/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPF_HASHMAP_LOOKUP_SKEL_H__
#define __BPF_HASHMAP_LOOKUP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bpf_hashmap_lookup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hash_map_bench;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *benchmark;
	} progs;
	struct {
		struct bpf_link *benchmark;
	} links;
	struct bpf_hashmap_lookup__bss {
		u64 percpu_times_index[256];
		u64 nr_loops;
		char __pad0[248];
		u64 percpu_times[256][32];
		u64 nr_entries;
		u32 key[256];
	} *bss;

#ifdef __cplusplus
	static inline struct bpf_hashmap_lookup *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bpf_hashmap_lookup *open_and_load();
	static inline int load(struct bpf_hashmap_lookup *skel);
	static inline int attach(struct bpf_hashmap_lookup *skel);
	static inline void detach(struct bpf_hashmap_lookup *skel);
	static inline void destroy(struct bpf_hashmap_lookup *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bpf_hashmap_lookup__destroy(struct bpf_hashmap_lookup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_hashmap_lookup__create_skeleton(struct bpf_hashmap_lookup *obj);

static inline struct bpf_hashmap_lookup *
bpf_hashmap_lookup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_hashmap_lookup *obj;
	int err;

	obj = (struct bpf_hashmap_lookup *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_hashmap_lookup__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_hashmap_lookup__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_hashmap_lookup *
bpf_hashmap_lookup__open(void)
{
	return bpf_hashmap_lookup__open_opts(NULL);
}

static inline int
bpf_hashmap_lookup__load(struct bpf_hashmap_lookup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_hashmap_lookup *
bpf_hashmap_lookup__open_and_load(void)
{
	struct bpf_hashmap_lookup *obj;
	int err;

	obj = bpf_hashmap_lookup__open();
	if (!obj)
		return NULL;
	err = bpf_hashmap_lookup__load(obj);
	if (err) {
		bpf_hashmap_lookup__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_hashmap_lookup__attach(struct bpf_hashmap_lookup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_hashmap_lookup__detach(struct bpf_hashmap_lookup *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_hashmap_lookup__elf_bytes(size_t *sz);

static inline int
bpf_hashmap_lookup__create_skeleton(struct bpf_hashmap_lookup *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bpf_hashmap_lookup";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "hash_map_bench";
	map->map = &obj->maps.hash_map_bench;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "bpf_hash.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "benchmark";
	s->progs[0].prog = &obj->progs.benchmark;
	s->progs[0].link = &obj->links.benchmark;

	s->data = bpf_hashmap_lookup__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bpf_hashmap_lookup__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x2e\x6d\x61\x70\x73\0\x62\x70\x66\x5f\x68\x61\x73\x68\x6d\x61\x70\x5f\x6c\x6f\
\x6f\x6b\x75\x70\x2e\x63\0\x6c\x6f\x6f\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\0\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\0\x70\x65\x72\x63\x70\x75\
\x5f\x74\x69\x6d\x65\x73\x5f\x69\x6e\x64\x65\x78\0\x6e\x72\x5f\x6c\x6f\x6f\x70\
\x73\0\x70\x65\x72\x63\x70\x75\x5f\x74\x69\x6d\x65\x73\0\x6e\x72\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x62\
\x65\x6e\x63\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\
\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x42\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x57\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x6c\0\0\0\x02\
\0\x03\0\x68\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x7c\0\0\0\x12\0\x04\0\0\0\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\x86\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\x99\0\0\0\x11\0\x06\0\0\x08\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa2\0\0\0\x11\0\
\x06\0\0\x09\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\xaf\0\0\0\x11\0\x06\0\0\x09\x01\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\xba\0\0\0\x11\0\x06\0\x08\x09\x01\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\xbe\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcd\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x79\x11\0\0\0\0\0\0\x18\x02\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\
\0\x15\x01\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x04\x01\0\0\x01\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\
\x15\x01\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\
\xbc\x06\0\0\0\0\0\0\x54\x06\0\0\xff\0\0\0\xbf\x61\0\0\0\0\0\0\x67\x01\0\0\x03\
\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\x79\x89\0\0\0\0\
\0\0\x85\0\0\0\x05\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x79\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x67\x06\0\0\x08\0\0\0\x18\x07\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x67\0\0\0\0\0\0\x57\x09\0\0\x1f\0\0\0\x67\x09\0\0\
\x03\0\0\0\x0f\x97\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x1f\
\x10\0\0\0\0\0\0\x7b\x07\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\
\x7b\x18\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x18\0\0\0\0\0\0\0\
\x01\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x88\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x58\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xa0\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x88\x02\0\0\x88\x02\0\0\
\x70\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\x2d\0\0\0\x07\0\0\0\x31\0\0\0\x01\0\0\x0c\x08\0\0\0\x3b\
\0\0\0\0\0\0\x08\x0b\0\0\0\x41\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x0d\0\0\0\x4e\0\0\0\0\0\0\x08\x0a\0\0\0\0\0\0\0\x02\0\0\x0d\x02\0\0\0\
\x52\0\0\0\x0a\0\0\0\x58\0\0\0\x0c\0\0\0\x5f\0\0\0\0\0\0\x0c\x0e\0\0\0\x74\0\0\
\0\0\0\0\x0c\x0e\0\0\0\x84\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\x04\0\0\0\x89\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\
\0\0\x92\0\0\0\0\0\0\x08\x15\0\0\0\x96\0\0\0\0\0\0\x08\x16\0\0\0\x9c\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x04\0\0\0\0\x01\
\0\0\xaf\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\xc2\0\0\0\0\0\0\x0e\x14\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x14\0\0\0\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1a\0\0\0\x04\0\0\0\0\x01\0\0\xcb\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\
\0\0\xd8\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\
\0\x04\0\0\0\0\x01\0\0\xe3\0\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x3f\x03\0\0\x01\
\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x47\x03\0\0\x05\0\0\x0f\x08\x0d\
\x01\0\x18\0\0\0\0\0\0\0\0\x08\0\0\x19\0\0\0\0\x08\0\0\x08\0\0\0\x1c\0\0\0\0\
\x09\0\0\0\0\x01\0\x1d\0\0\0\0\x09\x01\0\x08\0\0\0\x1f\0\0\0\x08\x09\x01\0\0\
\x04\0\0\x4c\x03\0\0\x01\0\0\x0f\x08\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x74\x79\x70\x65\0\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x62\x65\x6e\
\x63\x68\0\x63\x74\x78\0\x62\x65\x6e\x63\x68\x6d\x61\x72\x6b\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x33\x32\0\x69\x6e\
\x64\x65\x78\0\x75\x6e\x75\x73\x65\x64\0\x6c\x6f\x6f\x70\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x70\x65\x72\x63\x70\x75\x5f\x74\x69\x6d\
\x65\x73\x5f\x69\x6e\x64\x65\x78\0\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\0\x70\x65\
\x72\x63\x70\x75\x5f\x74\x69\x6d\x65\x73\0\x6e\x72\x5f\x65\x6e\x74\x72\x69\x65\
\x73\0\x6b\x65\x79\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\
\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x68\x61\x73\
\x68\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x2e\x63\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x6e\x72\x5f\x65\x6e\x74\x72\x69\
\x65\x73\x2c\x20\x6c\x6f\x6f\x6b\x75\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x20\x3f\x20\x30\x20\x3a\x20\x31\x3b\0\
\x09\x6b\x65\x79\x5b\x30\x5d\x20\x3d\x20\x69\x20\x2b\x20\x31\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x5f\x62\x65\x6e\
\x63\x68\x2c\x20\x6b\x65\x79\x29\x20\x3f\x20\x30\x20\x3a\x20\x31\x3b\0\x09\x75\
\x33\x32\x20\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\
\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x74\
\x69\x6d\x65\x73\x5f\x69\x6e\x64\x65\x78\x20\x3d\x20\x70\x65\x72\x63\x70\x75\
\x5f\x74\x69\x6d\x65\x73\x5f\x69\x6e\x64\x65\x78\x5b\x63\x70\x75\x20\x26\x20\
\x43\x50\x55\x5f\x4d\x41\x53\x4b\x5d\x20\x25\x20\x4e\x52\x5f\x53\x4c\x4f\x54\
\x53\x3b\0\x09\x73\x74\x61\x72\x74\x5f\x74\x69\x6d\x65\x20\x3d\x20\x62\x70\x66\
\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x62\x70\
\x66\x5f\x6c\x6f\x6f\x70\x28\x6e\x72\x5f\x6c\x6f\x6f\x70\x73\x2c\x20\x6c\x6f\
\x6f\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\
\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x74\
\x69\x6d\x65\x73\x5b\x63\x70\x75\x20\x26\x20\x43\x50\x55\x5f\x4d\x41\x53\x4b\
\x5d\x5b\x74\x69\x6d\x65\x73\x5f\x69\x6e\x64\x65\x78\x5d\x20\x3d\x20\x62\x70\
\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x20\x2d\x20\
\x73\x74\x61\x72\x74\x5f\x74\x69\x6d\x65\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\
\x74\x69\x6d\x65\x73\x5f\x69\x6e\x64\x65\x78\x5b\x63\x70\x75\x20\x26\x20\x43\
\x50\x55\x5f\x4d\x41\x53\x4b\x5d\x20\x2b\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\
\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x64\x01\0\0\x90\x01\0\0\0\0\0\0\x08\0\0\0\x52\x03\
\0\0\x02\0\0\0\0\0\0\0\x0f\0\0\0\x68\0\0\0\x10\0\0\0\x58\x03\0\0\x01\0\0\0\0\0\
\0\0\x09\0\0\0\x10\0\0\0\x52\x03\0\0\x07\0\0\0\0\0\0\0\xe7\0\0\0\x75\x01\0\0\
\x12\xbc\0\0\x18\0\0\0\xe7\0\0\0\x75\x01\0\0\x09\xbc\0\0\x60\0\0\0\xe7\0\0\0\
\x75\x01\0\0\x02\xbc\0\0\x68\0\0\0\xe7\0\0\0\xb5\x01\0\0\x0d\x80\0\0\x70\0\0\0\
\xe7\0\0\0\xb5\x01\0\0\x09\x80\0\0\x88\0\0\0\xe7\0\0\0\xc6\x01\0\0\x09\xa8\0\0\
\xc0\0\0\0\xe7\0\0\0\xc6\x01\0\0\x02\xa8\0\0\x58\x03\0\0\x0e\0\0\0\0\0\0\0\xe7\
\0\0\0\x01\x02\0\0\x0c\xd4\0\0\x10\0\0\0\xe7\0\0\0\x28\x02\0\0\x27\xe4\0\0\x18\
\0\0\0\xe7\0\0\0\x28\x02\0\0\x10\xe4\0\0\x48\0\0\0\xe7\0\0\0\x66\x02\0\0\x0f\
\xe8\0\0\x58\0\0\0\xe7\0\0\0\x88\x02\0\0\x0b\xec\0\0\x70\0\0\0\xe7\0\0\0\x88\
\x02\0\0\x02\xec\0\0\x98\0\0\0\xe7\0\0\0\xbc\x02\0\0\x02\xf0\0\0\xb8\0\0\0\xe7\
\0\0\0\x28\x02\0\0\x10\xe4\0\0\xc0\0\0\0\xe7\0\0\0\xbc\x02\0\0\x02\xf0\0\0\xd0\
\0\0\0\xe7\0\0\0\xbc\x02\0\0\x2e\xf0\0\0\xd8\0\0\0\xe7\0\0\0\xbc\x02\0\0\x41\
\xf0\0\0\xe8\0\0\0\xe7\0\0\0\xbc\x02\0\0\x2c\xf0\0\0\xf0\0\0\0\xe7\0\0\0\x0a\
\x03\0\0\x25\xf4\0\0\x08\x01\0\0\xe7\0\0\0\x34\x03\0\0\x02\xf8\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x0a\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x01\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x02\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x08\x0d\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\x05\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xe0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\x05\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xfc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x05\
\0\0\0\0\0\0\x10\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0b\0\0\0\0\0\0\
\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bpf_hashmap_lookup *bpf_hashmap_lookup::open(const struct bpf_object_open_opts *opts) { return bpf_hashmap_lookup__open_opts(opts); }
struct bpf_hashmap_lookup *bpf_hashmap_lookup::open_and_load() { return bpf_hashmap_lookup__open_and_load(); }
int bpf_hashmap_lookup::load(struct bpf_hashmap_lookup *skel) { return bpf_hashmap_lookup__load(skel); }
int bpf_hashmap_lookup::attach(struct bpf_hashmap_lookup *skel) { return bpf_hashmap_lookup__attach(skel); }
void bpf_hashmap_lookup::detach(struct bpf_hashmap_lookup *skel) { bpf_hashmap_lookup__detach(skel); }
void bpf_hashmap_lookup::destroy(struct bpf_hashmap_lookup *skel) { bpf_hashmap_lookup__destroy(skel); }
const void *bpf_hashmap_lookup::elf_bytes(size_t *sz) { return bpf_hashmap_lookup__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bpf_hashmap_lookup__assert(struct bpf_hashmap_lookup *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->percpu_times_index) == 2048, "unexpected size of 'percpu_times_index'");
	_Static_assert(sizeof(s->bss->nr_loops) == 8, "unexpected size of 'nr_loops'");
	_Static_assert(sizeof(s->bss->percpu_times) == 65536, "unexpected size of 'percpu_times'");
	_Static_assert(sizeof(s->bss->nr_entries) == 8, "unexpected size of 'nr_entries'");
	_Static_assert(sizeof(s->bss->key) == 1024, "unexpected size of 'key'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPF_HASHMAP_LOOKUP_SKEL_H__ */
