/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BTF_TYPE_TAG_SKEL_H__
#define __BTF_TYPE_TAG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct btf_type_tag {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *sub;
	} progs;
	struct {
		struct bpf_link *sub;
	} links;
	struct btf_type_tag__rodata {
		bool skip_tests;
	} *rodata;
	struct btf_type_tag__bss {
		struct btf_type_tag_test g;
	} *bss;

#ifdef __cplusplus
	static inline struct btf_type_tag *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct btf_type_tag *open_and_load();
	static inline int load(struct btf_type_tag *skel);
	static inline int attach(struct btf_type_tag *skel);
	static inline void detach(struct btf_type_tag *skel);
	static inline void destroy(struct btf_type_tag *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
btf_type_tag__destroy(struct btf_type_tag *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
btf_type_tag__create_skeleton(struct btf_type_tag *obj);

static inline struct btf_type_tag *
btf_type_tag__open_opts(const struct bpf_object_open_opts *opts)
{
	struct btf_type_tag *obj;
	int err;

	obj = (struct btf_type_tag *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = btf_type_tag__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	btf_type_tag__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct btf_type_tag *
btf_type_tag__open(void)
{
	return btf_type_tag__open_opts(NULL);
}

static inline int
btf_type_tag__load(struct btf_type_tag *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct btf_type_tag *
btf_type_tag__open_and_load(void)
{
	struct btf_type_tag *obj;
	int err;

	obj = btf_type_tag__open();
	if (!obj)
		return NULL;
	err = btf_type_tag__load(obj);
	if (err) {
		btf_type_tag__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
btf_type_tag__attach(struct btf_type_tag *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
btf_type_tag__detach(struct btf_type_tag *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *btf_type_tag__elf_bytes(size_t *sz);

static inline int
btf_type_tag__create_skeleton(struct btf_type_tag *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "btf_type_tag";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "btf_type.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "btf_type.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "sub";
	s->progs[0].prog = &obj->progs.sub;
	s->progs[0].link = &obj->links.sub;

	s->data = btf_type_tag__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *btf_type_tag__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x62\x74\x66\x5f\x74\
\x79\x70\x65\x5f\x74\x61\x67\x2e\x63\0\x73\x75\x62\0\x73\x6b\x69\x70\x5f\x74\
\x65\x73\x74\x73\0\x67\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x45\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x49\0\0\0\x11\0\
\x04\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x54\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x24\x01\0\0\x24\x01\0\0\x1c\x01\0\0\0\0\0\0\0\0\0\x02\
\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\
\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\
\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x0a\x07\0\0\0\0\0\0\0\0\0\0\x09\x08\0\0\0\x20\
\0\0\0\0\0\0\x08\x09\0\0\0\x25\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x2b\0\0\0\
\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x36\0\0\0\x01\0\0\x04\x08\0\0\0\x48\0\0\0\x0e\0\
\0\0\0\0\0\0\x4a\0\0\0\0\0\0\x12\x10\0\0\0\x4f\0\0\0\0\0\0\x12\x0c\0\0\0\0\0\0\
\0\0\0\0\x02\x0d\0\0\0\x4a\0\0\0\0\0\0\x12\x04\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\
\0\x54\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\xf7\0\0\0\x01\0\0\x0f\x01\0\0\0\x0a\
\0\0\0\0\0\0\0\x01\0\0\0\xff\0\0\0\x01\0\0\x0f\x08\0\0\0\x11\0\0\0\0\0\0\0\x08\
\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x73\x75\x62\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\
\x6f\x6c\0\x73\x6b\x69\x70\x5f\x74\x65\x73\x74\x73\0\x62\x74\x66\x5f\x74\x79\
\x70\x65\x5f\x74\x61\x67\x5f\x74\x65\x73\x74\0\x70\0\x74\x61\x67\x31\0\x74\x61\
\x67\x32\0\x67\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x74\x66\x5f\x74\x79\x70\x65\
\x5f\x74\x61\x67\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x73\x75\x62\x2c\x20\x69\x6e\x74\x20\x78\x29\0\x2e\x72\x6f\x64\x61\x74\x61\0\
\x2e\x62\x73\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x31\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\
\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x04\x01\0\0\x01\0\0\0\0\0\0\0\
\x05\0\0\0\x10\0\0\0\x04\x01\0\0\x01\0\0\0\0\0\0\0\x56\0\0\0\xde\0\0\0\x05\x58\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x64\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct btf_type_tag *btf_type_tag::open(const struct bpf_object_open_opts *opts) { return btf_type_tag__open_opts(opts); }
struct btf_type_tag *btf_type_tag::open_and_load() { return btf_type_tag__open_and_load(); }
int btf_type_tag::load(struct btf_type_tag *skel) { return btf_type_tag__load(skel); }
int btf_type_tag::attach(struct btf_type_tag *skel) { return btf_type_tag__attach(skel); }
void btf_type_tag::detach(struct btf_type_tag *skel) { btf_type_tag__detach(skel); }
void btf_type_tag::destroy(struct btf_type_tag *skel) { btf_type_tag__destroy(skel); }
const void *btf_type_tag::elf_bytes(size_t *sz) { return btf_type_tag__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
btf_type_tag__assert(struct btf_type_tag *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->skip_tests) == 1, "unexpected size of 'skip_tests'");
	_Static_assert(sizeof(s->bss->g) == 8, "unexpected size of 'g'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BTF_TYPE_TAG_SKEL_H__ */
