/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CGROUP_STORAGE_SKEL_H__
#define __CGROUP_STORAGE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct cgroup_storage {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *cgroup_storage;
	} maps;
	struct {
		struct bpf_program *bpf_prog;
	} progs;
	struct {
		struct bpf_link *bpf_prog;
	} links;

#ifdef __cplusplus
	static inline struct cgroup_storage *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cgroup_storage *open_and_load();
	static inline int load(struct cgroup_storage *skel);
	static inline int attach(struct cgroup_storage *skel);
	static inline void detach(struct cgroup_storage *skel);
	static inline void destroy(struct cgroup_storage *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cgroup_storage__destroy(struct cgroup_storage *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cgroup_storage__create_skeleton(struct cgroup_storage *obj);

static inline struct cgroup_storage *
cgroup_storage__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cgroup_storage *obj;
	int err;

	obj = (struct cgroup_storage *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cgroup_storage__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cgroup_storage__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cgroup_storage *
cgroup_storage__open(void)
{
	return cgroup_storage__open_opts(NULL);
}

static inline int
cgroup_storage__load(struct cgroup_storage *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cgroup_storage *
cgroup_storage__open_and_load(void)
{
	struct cgroup_storage *obj;
	int err;

	obj = cgroup_storage__open();
	if (!obj)
		return NULL;
	err = cgroup_storage__load(obj);
	if (err) {
		cgroup_storage__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cgroup_storage__attach(struct cgroup_storage *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cgroup_storage__detach(struct cgroup_storage *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cgroup_storage__elf_bytes(size_t *sz);

static inline int
cgroup_storage__create_skeleton(struct cgroup_storage *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cgroup_storage";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "cgroup_storage";
	map->map = &obj->maps.cgroup_storage;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_prog";
	s->progs[0].prog = &obj->progs.bpf_prog;
	s->progs[0].link = &obj->links.bpf_prog;

	s->data = cgroup_storage__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cgroup_storage__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x2e\x63\0\x62\x70\x66\x5f\x70\x72\x6f\x67\0\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x65\x67\x72\x65\
\x73\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x4b\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x5a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\0\0\
\xb7\x01\0\0\x01\0\0\0\xdb\x10\0\0\0\0\0\0\x79\0\0\0\0\0\0\0\x54\0\0\0\x01\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\xdc\x03\0\0\xdc\x03\0\0\x33\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x13\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\x19\0\0\0\x02\0\0\x04\x10\0\0\0\x30\0\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\
\0\x40\0\0\0\x4c\0\0\0\0\0\0\x08\x08\0\0\0\x52\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\
\0\0\x65\0\0\0\0\0\0\x08\x0a\0\0\0\x6b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x02\x07\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x78\0\0\0\x01\0\0\0\0\0\
\0\0\x7d\0\0\0\x05\0\0\0\x40\0\0\0\x81\0\0\0\x0b\0\0\0\x80\0\0\0\x87\0\0\0\0\0\
\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x96\0\0\0\x22\0\0\x04\
\xc0\0\0\0\xa0\0\0\0\x09\0\0\0\0\0\0\0\xa4\0\0\0\x09\0\0\0\x20\0\0\0\xad\0\0\0\
\x09\0\0\0\x40\0\0\0\xb2\0\0\0\x09\0\0\0\x60\0\0\0\xc0\0\0\0\x09\0\0\0\x80\0\0\
\0\xc9\0\0\0\x09\0\0\0\xa0\0\0\0\xd6\0\0\0\x09\0\0\0\xc0\0\0\0\xdf\0\0\0\x09\0\
\0\0\xe0\0\0\0\xea\0\0\0\x09\0\0\0\0\x01\0\0\xf3\0\0\0\x09\0\0\0\x20\x01\0\0\
\x03\x01\0\0\x09\0\0\0\x40\x01\0\0\x0b\x01\0\0\x09\0\0\0\x60\x01\0\0\x14\x01\0\
\0\x10\0\0\0\x80\x01\0\0\x17\x01\0\0\x09\0\0\0\x20\x02\0\0\x1c\x01\0\0\x09\0\0\
\0\x40\x02\0\0\x27\x01\0\0\x09\0\0\0\x60\x02\0\0\x2c\x01\0\0\x09\0\0\0\x80\x02\
\0\0\x35\x01\0\0\x09\0\0\0\xa0\x02\0\0\x3d\x01\0\0\x09\0\0\0\xc0\x02\0\0\x44\
\x01\0\0\x09\0\0\0\xe0\x02\0\0\x4f\x01\0\0\x09\0\0\0\0\x03\0\0\x59\x01\0\0\x11\
\0\0\0\x20\x03\0\0\x64\x01\0\0\x11\0\0\0\xa0\x03\0\0\x6e\x01\0\0\x09\0\0\0\x20\
\x04\0\0\x7a\x01\0\0\x09\0\0\0\x40\x04\0\0\x85\x01\0\0\x09\0\0\0\x60\x04\0\0\0\
\0\0\0\x12\0\0\0\x80\x04\0\0\x8f\x01\0\0\x07\0\0\0\xc0\x04\0\0\x96\x01\0\0\x09\
\0\0\0\0\x05\0\0\x9f\x01\0\0\x09\0\0\0\x20\x05\0\0\0\0\0\0\x14\0\0\0\x40\x05\0\
\0\xa8\x01\0\0\x09\0\0\0\x80\x05\0\0\xb1\x01\0\0\x16\0\0\0\xa0\x05\0\0\xbd\x01\
\0\0\x07\0\0\0\xc0\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x05\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\xc6\x01\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\0\0\0\
\0\x01\0\0\x05\x08\0\0\0\xd0\x01\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\
\0\0\xd3\x01\0\0\0\0\0\x08\x17\0\0\0\xd8\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xe6\x01\0\0\x0e\0\0\0\xea\x01\0\0\x01\0\0\x0c\
\x18\0\0\0\xf3\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\x1a\0\0\0\x04\0\0\0\x04\0\0\0\xf8\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\x01\
\x02\0\0\0\0\0\x07\0\0\0\0\x0f\x02\0\0\0\0\0\x07\0\0\0\0\x13\x03\0\0\x01\0\0\
\x0f\x18\0\0\0\x0d\0\0\0\0\0\0\0\x18\0\0\0\x19\x03\0\0\x01\0\0\x0f\x04\0\0\0\
\x1c\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x63\x67\x72\x6f\
\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\
\x70\x5f\x69\x6e\x6f\x64\x65\x5f\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\
\x70\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\
\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\
\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\
\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\
\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\
\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\
\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\
\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\
\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\
\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x62\x70\x66\x5f\x70\x72\x6f\x67\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x2e\x63\0\x09\
\x63\x6f\x75\x6e\x74\x65\x72\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\
\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x28\x26\x63\x67\x72\x6f\x75\
\x70\x5f\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x30\x29\x3b\0\x09\x5f\x5f\x73\x79\
\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x63\x6f\
\x75\x6e\x74\x65\x72\x2c\x20\x31\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x28\
\x2a\x63\x6f\x75\x6e\x74\x65\x72\x20\x26\x20\x31\x29\x3b\0\x2e\x6d\x61\x70\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\
\x65\x67\x72\x65\x73\x73\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\0\x5c\0\0\0\x70\0\0\0\0\0\0\0\x08\0\0\0\x21\x03\0\0\x01\0\0\0\0\0\0\0\x19\0\0\
\0\x10\0\0\0\x21\x03\0\0\x05\0\0\0\0\0\0\0\x18\x02\0\0\xa2\x02\0\0\x0c\x44\0\0\
\x28\0\0\0\x18\x02\0\0\xd8\x02\0\0\x02\x48\0\0\x30\0\0\0\x18\x02\0\0\xfb\x02\0\
\0\x0a\x54\0\0\x38\0\0\0\x18\x02\0\0\xfb\x02\0\0\x09\x54\0\0\x40\0\0\0\x18\x02\
\0\0\xfb\x02\0\0\x02\x54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x87\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x63\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x79\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x27\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\0\0\0\0\0\x90\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct cgroup_storage *cgroup_storage::open(const struct bpf_object_open_opts *opts) { return cgroup_storage__open_opts(opts); }
struct cgroup_storage *cgroup_storage::open_and_load() { return cgroup_storage__open_and_load(); }
int cgroup_storage::load(struct cgroup_storage *skel) { return cgroup_storage__load(skel); }
int cgroup_storage::attach(struct cgroup_storage *skel) { return cgroup_storage__attach(skel); }
void cgroup_storage::detach(struct cgroup_storage *skel) { cgroup_storage__detach(skel); }
void cgroup_storage::destroy(struct cgroup_storage *skel) { cgroup_storage__destroy(skel); }
const void *cgroup_storage::elf_bytes(size_t *sz) { return cgroup_storage__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cgroup_storage__assert(struct cgroup_storage *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CGROUP_STORAGE_SKEL_H__ */
