/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CONNECT_PING_SKEL_H__
#define __CONNECT_PING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct connect_ping {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_cst16;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *connect_v4_prog;
		struct bpf_program *connect_v6_prog;
	} progs;
	struct {
		struct bpf_link *connect_v4_prog;
		struct bpf_link *connect_v6_prog;
	} links;
	struct connect_ping__bss {
		__u32 do_bind;
		__u32 has_error;
		__u32 invocations_v4;
		__u32 invocations_v6;
	} *bss;

#ifdef __cplusplus
	static inline struct connect_ping *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct connect_ping *open_and_load();
	static inline int load(struct connect_ping *skel);
	static inline int attach(struct connect_ping *skel);
	static inline void detach(struct connect_ping *skel);
	static inline void destroy(struct connect_ping *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
connect_ping__destroy(struct connect_ping *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
connect_ping__create_skeleton(struct connect_ping *obj);

static inline struct connect_ping *
connect_ping__open_opts(const struct bpf_object_open_opts *opts)
{
	struct connect_ping *obj;
	int err;

	obj = (struct connect_ping *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = connect_ping__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	connect_ping__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct connect_ping *
connect_ping__open(void)
{
	return connect_ping__open_opts(NULL);
}

static inline int
connect_ping__load(struct connect_ping *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct connect_ping *
connect_ping__open_and_load(void)
{
	struct connect_ping *obj;
	int err;

	obj = connect_ping__open();
	if (!obj)
		return NULL;
	err = connect_ping__load(obj);
	if (err) {
		connect_ping__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
connect_ping__attach(struct connect_ping *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
connect_ping__detach(struct connect_ping *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *connect_ping__elf_bytes(size_t *sz);

static inline int
connect_ping__create_skeleton(struct connect_ping *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "connect_ping";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "connect_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.cst16";
	map->map = &obj->maps.rodata_cst16;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "connect_.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "connect_v4_prog";
	s->progs[0].prog = &obj->progs.connect_v4_prog;
	s->progs[0].link = &obj->links.connect_v4_prog;

	s->progs[1].name = "connect_v6_prog";
	s->progs[1].prog = &obj->progs.connect_v6_prog;
	s->progs[1].link = &obj->links.connect_v6_prog;

	s->data = connect_ping__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *connect_ping__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x34\0\x63\x67\x72\x6f\x75\x70\
\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x36\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\
\x74\x61\x2e\x63\x73\x74\x31\x36\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x70\x69\x6e\x67\x2e\x63\0\
\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x34\x5f\x70\x72\x6f\x67\0\x69\x6e\x76\x6f\
\x63\x61\x74\x69\x6f\x6e\x73\x5f\x76\x34\0\x64\x6f\x5f\x62\x69\x6e\x64\0\x68\
\x61\x73\x5f\x65\x72\x72\x6f\x72\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x36\x5f\
\x70\x72\x6f\x67\0\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\x5f\x76\x36\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\
\x63\x6f\x6e\x6e\x65\x63\x74\x34\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\
\x63\x6f\x6e\x6e\x65\x63\x74\x36\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x73\0\0\0\x11\0\x05\0\x08\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x82\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x8a\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x94\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x05\0\x0c\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xb3\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x18\x02\0\0\x02\0\0\0\0\0\0\0\
\x01\x01\x01\x01\x7b\x2a\xf0\xff\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x18\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc3\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x16\x02\x09\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\
\xff\xff\xff\xb4\x03\0\0\x10\0\0\0\x85\0\0\0\x40\0\0\0\x15\0\x04\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb4\
\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x2a\xf8\xff\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x7b\x2a\xf0\xff\0\0\0\0\x18\x02\0\0\x20\
\x01\x0d\xb8\0\0\0\0\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\xb7\x02\0\0\x0a\0\0\0\x7b\
\x2a\xe0\xff\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc3\x23\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\
\x16\x02\x09\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xb4\x03\
\0\0\x1c\0\0\0\x85\0\0\0\x40\0\0\0\x15\0\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\
\0\0\0\0\0\0\0\x02\0\0\0\x01\x01\x01\x01\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x20\
\x01\x0d\xb8\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x47\x50\x4c\0\x30\0\0\0\0\0\0\0\
\x01\0\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x90\0\0\0\0\0\0\0\
\x01\0\0\0\x07\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x70\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\x18\x02\0\0\x18\x02\0\0\x04\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\x0a\0\0\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\
\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\0\0\x37\0\
\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\0\0\0\x03\0\0\0\x20\
\x01\0\0\x4c\0\0\0\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\0\x60\x01\0\0\0\0\0\
\0\x07\0\0\0\0\x02\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\x77\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\0\0\x01\0\0\x0d\x0a\0\0\0\x8e\0\0\
\0\x01\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\0\0\x01\0\0\x0c\
\x09\0\0\0\xa6\0\0\0\x01\0\0\x0c\x09\0\0\0\xb6\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\
\0\0\xbe\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xc8\0\0\0\0\0\0\x0e\x03\0\0\0\x01\
\0\0\0\xd7\0\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xe6\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x06\0\0\0\x04\0\0\0\xeb\0\0\0\
\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xf4\0\0\0\0\0\0\x07\0\0\0\0\xcf\x02\0\0\x04\0\0\
\x0f\x10\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\0\x0f\0\
\0\0\x08\0\0\0\x04\0\0\0\x10\0\0\0\x0c\0\0\0\x04\0\0\0\xd4\x02\0\0\0\0\0\x0f\
\x1c\0\0\0\xdc\x02\0\0\x01\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\
\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\
\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\
\x79\x70\x65\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\
\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\
\x74\x78\0\x69\x6e\x74\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x34\x5f\x70\x72\
\x6f\x67\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x36\x5f\x70\x72\x6f\x67\0\x64\
\x6f\x5f\x62\x69\x6e\x64\0\x68\x61\x73\x5f\x65\x72\x72\x6f\x72\0\x69\x6e\x76\
\x6f\x63\x61\x74\x69\x6f\x6e\x73\x5f\x76\x34\0\x69\x6e\x76\x6f\x63\x61\x74\x69\
\x6f\x6e\x73\x5f\x76\x36\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x63\x6f\x6e\x6e\
\x65\x63\x74\x5f\x70\x69\x6e\x67\x2e\x63\0\x69\x6e\x74\x20\x63\x6f\x6e\x6e\x65\
\x63\x74\x5f\x76\x34\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\
\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\x20\
\x73\x61\x20\x3d\x20\x7b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\
\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\
\x6e\x73\x5f\x76\x34\x2c\x20\x31\x29\x3b\0\x09\x69\x66\x20\x28\x64\x6f\x5f\x62\
\x69\x6e\x64\x20\x26\x26\x20\x62\x70\x66\x5f\x62\x69\x6e\x64\x28\x63\x74\x78\
\x2c\x20\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\x20\
\x2a\x29\x26\x73\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\x29\x29\x29\0\
\x09\x09\x68\x61\x73\x5f\x65\x72\x72\x6f\x72\x20\x3d\x20\x31\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x31\x3b\0\x69\x6e\x74\x20\x63\x6f\x6e\x6e\x65\x63\x74\x5f\
\x76\x36\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\x36\x20\x73\x61\
\x20\x3d\x20\x7b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\
\x6e\x64\x5f\x61\x64\x64\x28\x26\x69\x6e\x76\x6f\x63\x61\x74\x69\x6f\x6e\x73\
\x5f\x76\x36\x2c\x20\x31\x29\x3b\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\
\x6e\x65\x63\x74\x34\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\
\x36\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\x01\0\0\
\x58\x01\0\0\0\0\0\0\x08\0\0\0\xe4\x02\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\xf4\x02\
\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\0\x10\0\0\0\xe4\x02\0\0\x09\0\0\0\0\0\0\0\xfd\0\
\0\0\x85\x01\0\0\0\x58\0\0\x08\0\0\0\xfd\0\0\0\xb4\x01\0\0\x15\x60\0\0\x30\0\0\
\0\xfd\0\0\0\xcf\x01\0\0\x02\x74\0\0\x48\0\0\0\xfd\0\0\0\xfa\x01\0\0\x06\x7c\0\
\0\x60\0\0\0\xfd\0\0\0\xfa\x01\0\0\x0e\x7c\0\0\x78\0\0\0\xfd\0\0\0\xfa\x01\0\0\
\x11\x7c\0\0\x88\0\0\0\xfd\0\0\0\xfa\x01\0\0\x06\x7c\0\0\x90\0\0\0\xfd\0\0\0\
\x3d\x02\0\0\x0d\x80\0\0\xb0\0\0\0\xfd\0\0\0\x4e\x02\0\0\x02\x88\0\0\xf4\x02\0\
\0\x09\0\0\0\0\0\0\0\xfd\0\0\0\x59\x02\0\0\0\x98\0\0\x08\0\0\0\xfd\0\0\0\x88\
\x02\0\0\x16\xa0\0\0\x58\0\0\0\xfd\0\0\0\xa4\x02\0\0\x02\xb4\0\0\x70\0\0\0\xfd\
\0\0\0\xfa\x01\0\0\x06\xbc\0\0\x88\0\0\0\xfd\0\0\0\xfa\x01\0\0\x0e\xbc\0\0\xa0\
\0\0\0\xfd\0\0\0\xfa\x01\0\0\x11\xbc\0\0\xb0\0\0\0\xfd\0\0\0\xfa\x01\0\0\x06\
\xbc\0\0\xb8\0\0\0\xfd\0\0\0\x3d\x02\0\0\x0d\xc0\0\0\xd8\0\0\0\xfd\0\0\0\x4e\
\x02\0\0\x02\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xf2\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x31\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x36\0\0\0\x01\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x44\0\0\0\
\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x1c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x48\x04\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xe4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x78\x04\0\0\0\0\0\0\x34\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x09\0\0\0\
\0\0\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct connect_ping *connect_ping::open(const struct bpf_object_open_opts *opts) { return connect_ping__open_opts(opts); }
struct connect_ping *connect_ping::open_and_load() { return connect_ping__open_and_load(); }
int connect_ping::load(struct connect_ping *skel) { return connect_ping__load(skel); }
int connect_ping::attach(struct connect_ping *skel) { return connect_ping__attach(skel); }
void connect_ping::detach(struct connect_ping *skel) { connect_ping__detach(skel); }
void connect_ping::destroy(struct connect_ping *skel) { connect_ping__destroy(skel); }
const void *connect_ping::elf_bytes(size_t *sz) { return connect_ping__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
connect_ping__assert(struct connect_ping *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->do_bind) == 4, "unexpected size of 'do_bind'");
	_Static_assert(sizeof(s->bss->has_error) == 4, "unexpected size of 'has_error'");
	_Static_assert(sizeof(s->bss->invocations_v4) == 4, "unexpected size of 'invocations_v4'");
	_Static_assert(sizeof(s->bss->invocations_v6) == 4, "unexpected size of 'invocations_v6'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CONNECT_PING_SKEL_H__ */
