/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BIND6_PROG_SKEL_H__
#define __BIND6_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bind6_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *bind_v6_prog;
		struct bpf_program *bind_v6_deny_prog;
	} progs;
	struct {
		struct bpf_link *bind_v6_prog;
		struct bpf_link *bind_v6_deny_prog;
	} links;

#ifdef __cplusplus
	static inline struct bind6_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bind6_prog *open_and_load();
	static inline int load(struct bind6_prog *skel);
	static inline int attach(struct bind6_prog *skel);
	static inline void detach(struct bind6_prog *skel);
	static inline void destroy(struct bind6_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bind6_prog__destroy(struct bind6_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bind6_prog__create_skeleton(struct bind6_prog *obj);

static inline struct bind6_prog *
bind6_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bind6_prog *obj;
	int err;

	obj = (struct bind6_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bind6_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bind6_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bind6_prog *
bind6_prog__open(void)
{
	return bind6_prog__open_opts(NULL);
}

static inline int
bind6_prog__load(struct bind6_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bind6_prog *
bind6_prog__open_and_load(void)
{
	struct bind6_prog *obj;
	int err;

	obj = bind6_prog__open();
	if (!obj)
		return NULL;
	err = bind6_prog__load(obj);
	if (err) {
		bind6_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bind6_prog__attach(struct bind6_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bind6_prog__detach(struct bind6_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bind6_prog__elf_bytes(size_t *sz);

static inline int
bind6_prog__create_skeleton(struct bind6_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bind6_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bind_v6_prog";
	s->progs[0].prog = &obj->progs.bind_v6_prog;
	s->progs[0].link = &obj->links.bind_v6_prog;

	s->progs[1].name = "bind_v6_deny_prog";
	s->progs[1].prog = &obj->progs.bind_v6_deny_prog;
	s->progs[1].link = &obj->links.bind_v6_deny_prog;

	s->data = bind6_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bind6_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x21\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x36\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\x2e\x31\0\
\x62\x69\x6e\x64\x36\x5f\x70\x72\x6f\x67\x2e\x63\0\x62\x69\x6e\x64\x5f\x74\x6f\
\x5f\x64\x65\x76\x69\x63\x65\0\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\0\x62\x69\
\x6e\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x62\x69\x6e\x64\x5f\x76\x36\
\x5f\x70\x72\x6f\x67\0\x62\x69\x6e\x64\x5f\x76\x36\x5f\x64\x65\x6e\x79\x5f\x70\
\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\
\x6f\x75\x70\x2f\x62\x69\x6e\x64\x36\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x04\
\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\
\x02\0\x03\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x57\0\0\0\x02\0\x03\0\xa8\x02\
\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\x61\0\0\0\x02\0\x03\0\0\x04\0\0\0\0\0\0\x68\
\x01\0\0\0\0\0\0\x70\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x7d\
\0\0\0\x12\0\x04\0\xe8\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\x6b\x5f\x61\
\x64\0\0\0\0\x64\x72\x31\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x74\x65\x73\x74\
\0\0\0\0\x5f\x73\x6f\x63\x7b\x1a\xf0\xff\0\0\0\0\x18\x02\0\0\x6b\x5f\x61\x64\0\
\0\0\0\x64\x72\x32\0\x7b\x2a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x18\x01\0\
\0\x65\x6e\x74\x5f\0\0\0\0\x64\x65\x76\0\x7b\x1a\xd8\xff\0\0\0\0\x18\x01\0\0\
\x6e\x6f\x6e\x65\0\0\0\0\x78\x69\x73\x74\x7b\x1a\xd0\xff\0\0\0\0\x7a\x0a\xc8\
\xff\0\0\0\0\x7a\x0a\xc0\xff\0\0\0\0\xb4\x07\0\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\
\x07\x04\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\
\0\0\x19\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x37\0\0\0\0\0\
\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xbc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\
\0\x01\0\0\0\xb4\x03\0\0\x3e\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\0\
\x55\0\x2f\0\0\0\0\0\x61\xa1\xbc\xff\0\0\0\0\x16\x01\x2d\0\0\0\0\0\xbf\xa4\0\0\
\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\
\xb4\x03\0\0\x19\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x25\0\0\
\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xb8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\xb4\x03\0\0\x3e\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\
\0\0\x55\0\x1d\0\0\0\0\0\x61\xa1\xb8\xff\0\0\0\0\x16\x01\x1b\0\0\0\0\0\x61\xa2\
\xbc\xff\0\0\0\0\x1e\x12\x19\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xd0\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x19\0\0\0\xb4\
\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x11\0\xed\xff\xff\xff\xbf\xa4\0\0\
\0\0\0\0\x07\x04\0\0\xbc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\
\xb4\x03\0\0\x3e\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x09\0\0\
\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xc0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\xb4\x03\0\0\x19\0\0\0\xb4\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\
\0\0\x55\0\x01\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbc\x27\0\0\0\0\0\0\xbf\x18\0\0\0\0\0\0\x62\x0a\xf4\xff\x9f\xeb\0\0\xb4\
\x06\0\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xb4\x02\0\0\
\x01\0\0\0\xbc\x73\0\0\0\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\0\x55\0\
\x1e\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x16\x01\x1c\0\x9f\xeb\0\0\xbf\xa4\0\0\0\
\0\0\0\x07\x04\0\0\xf4\xff\xff\xff\xbf\x81\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\
\xbc\x73\0\0\0\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x14\0\0\0\
\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xf8\xff\xff\xff\xbf\x81\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\xbc\x73\0\0\0\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\
\0\x55\0\x0c\0\0\0\0\0\x61\xa1\xf4\xff\0\0\0\0\x61\xa2\xf8\xff\0\0\0\0\x5e\x12\
\x09\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\x81\0\0\0\0\
\0\0\xb4\x02\0\0\x01\0\0\0\xbc\x73\0\0\0\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\
\x31\0\0\0\x55\0\x01\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x62\x0a\xfc\xff\x01\0\0\0\xb4\x06\0\0\x01\0\0\0\
\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xb4\x02\0\0\x01\0\0\0\xb4\x03\
\0\0\x0f\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x21\0\0\0\0\0\
\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb4\x02\0\
\0\x01\0\0\0\xb4\x03\0\0\x0f\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\0\
\x55\0\x19\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x16\x01\x17\0\0\0\0\0\x62\x0a\xfc\
\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\x71\0\0\0\0\0\
\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x0f\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\
\x31\0\0\0\x55\0\x0e\0\0\0\0\0\xb4\x08\0\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\
\x04\0\0\xfc\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\
\x0f\0\0\0\xb4\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\0\x55\0\x01\0\0\0\0\0\xb4\
\x06\0\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x56\x01\x01\0\0\0\0\0\xb4\x08\0\0\0\0\
\0\0\x4c\x86\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x79\x12\x40\0\0\0\0\0\x15\x02\x79\0\0\0\0\0\x61\x22\x04\0\0\0\0\0\x56\x02\
\x77\0\x0a\0\0\0\x61\x12\x20\0\0\0\0\0\x04\x02\0\0\xff\xff\xff\xff\x26\x02\x74\
\0\x01\0\0\0\x61\x12\x08\0\0\0\0\0\x56\x02\x72\0\xfa\xce\xb0\x0c\x61\x12\x0c\0\
\0\0\0\0\x56\x02\x70\0\x12\x34\x56\x78\x61\x12\x10\0\0\0\0\0\x56\x02\x6e\0\0\0\
\0\0\x61\x12\x14\0\0\0\0\0\x56\x02\x6c\0\0\0\xab\xcd\x61\x12\x18\0\0\0\0\0\x56\
\x02\x6a\0\x17\xac\0\0\x71\x12\x08\0\0\0\0\0\x71\x13\x09\0\0\0\0\0\x64\x03\0\0\
\x08\0\0\0\x4c\x23\0\0\0\0\0\0\x71\x12\x0a\0\0\0\0\0\x64\x02\0\0\x10\0\0\0\x4c\
\x23\0\0\0\0\0\0\x71\x12\x0b\0\0\0\0\0\x64\x02\0\0\x18\0\0\0\x4c\x23\0\0\0\0\0\
\0\x61\x12\x08\0\0\0\0\0\x5e\x32\x5e\0\0\0\0\0\x71\x12\x0c\0\0\0\0\0\x71\x13\
\x0d\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x4c\x23\0\0\0\0\0\0\x71\x12\x0e\0\0\0\0\0\
\x64\x02\0\0\x10\0\0\0\x4c\x23\0\0\0\0\0\0\x71\x12\x0f\0\0\0\0\0\x64\x02\0\0\
\x18\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x0c\0\0\0\0\0\x5e\x32\x52\0\0\0\0\0\x71\
\x12\x10\0\0\0\0\0\x71\x13\x11\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x4c\x23\0\0\0\0\
\0\0\x71\x12\x12\0\0\0\0\0\x64\x02\0\0\x10\0\0\0\x4c\x23\0\0\0\0\0\0\x71\x12\
\x13\0\0\0\0\0\x64\x02\0\0\x18\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x10\0\0\0\0\0\
\x5e\x32\x46\0\0\0\0\0\x71\x12\x14\0\0\0\0\0\x71\x13\x15\0\0\0\0\0\x64\x03\0\0\
\x08\0\0\0\x4c\x23\0\0\0\0\0\0\x71\x12\x16\0\0\0\0\0\x64\x02\0\0\x10\0\0\0\x4c\
\x23\0\0\0\0\0\0\x71\x12\x17\0\0\0\0\0\x64\x02\0\0\x18\0\0\0\x4c\x23\0\0\0\0\0\
\0\x61\x12\x14\0\0\0\0\0\x5e\x32\x3a\0\0\0\0\0\x71\x12\x18\0\0\0\0\0\x71\x13\
\x19\0\0\0\0\0\x64\x03\0\0\x08\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x18\0\0\0\0\0\
\x5e\x32\x34\0\0\0\0\0\x69\x12\x08\0\0\0\0\0\x69\x13\x0a\0\0\0\0\0\x64\x03\0\0\
\x10\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\x5e\x32\x2e\0\0\0\0\0\x69\
\x12\x0c\0\0\0\0\0\x69\x13\x0e\0\0\0\0\0\x64\x03\0\0\x10\0\0\0\x4c\x23\0\0\0\0\
\0\0\x61\x12\x0c\0\0\0\0\0\x5e\x32\x28\0\0\0\0\0\x69\x12\x10\0\0\0\0\0\x69\x13\
\x12\0\0\0\0\0\x64\x03\0\0\x10\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x10\0\0\0\0\0\
\x5e\x32\x22\0\0\0\0\0\x69\x12\x14\0\0\0\0\0\x69\x13\x16\0\0\0\0\0\x64\x03\0\0\
\x10\0\0\0\x4c\x23\0\0\0\0\0\0\x61\x12\x14\0\0\0\0\0\x5e\x32\x1c\0\0\0\0\0\xbf\
\x16\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x56\x01\x17\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x24\0\0\0\x85\x10\0\
\0\x54\0\0\0\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x56\x01\x11\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb4\x02\0\0\x0c\0\0\0\x85\x10\0\0\x54\0\0\0\xbc\x01\0\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x56\x01\x0b\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\x7f\
\0\0\0\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x56\x01\x06\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x7b\x16\x10\0\0\0\0\0\x62\x06\x18\0\x1a\x0a\0\0\x7a\
\x06\x08\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\
\x64\x72\x31\0\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x32\0\
\x6e\x6f\x6e\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x64\x65\x76\0\0\0\0\0\x08\x03\
\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x38\x03\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x68\
\x03\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x90\x03\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xd0\x01\0\0\xd0\x01\0\0\xdd\x0a\0\0\0\0\0\0\0\
\0\0\x02\x02\0\0\0\x01\0\0\0\x0a\0\0\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\
\x1b\0\0\0\x03\0\0\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\
\0\xc0\0\0\0\x37\0\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\0\
\0\0\x03\0\0\0\x20\x01\0\0\x4c\0\0\0\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\0\
\x60\x01\0\0\0\0\0\0\x07\0\0\0\0\x02\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\
\x04\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\
\0\x8b\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\0\0\x01\0\0\x0d\
\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\
\0\0\x01\0\0\x0c\x09\0\0\0\xa3\0\0\0\0\0\0\x0c\x09\0\0\0\0\0\0\0\x02\0\0\x0d\
\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\xb2\0\0\0\x0a\0\0\0\xb6\0\0\0\0\0\0\x0c\x0d\0\0\
\0\xc0\0\0\0\0\0\0\x0c\x09\0\0\0\xcf\0\0\0\x01\0\0\x0c\x09\0\0\0\xe1\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x06\0\0\0\x04\
\0\0\0\xe6\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xef\0\0\0\0\0\0\x07\0\0\0\0\xc2\
\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\
\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\
\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\
\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\
\0\x62\x69\x6e\x64\x5f\x76\x36\x5f\x70\x72\x6f\x67\0\x62\x69\x6e\x64\x5f\x74\
\x6f\x5f\x64\x65\x76\x69\x63\x65\0\x6f\x70\x74\0\x6d\x69\x73\x63\x5f\x6f\x70\
\x74\x73\0\x62\x69\x6e\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x62\x69\
\x6e\x64\x5f\x76\x36\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x62\x69\x6e\x64\x36\x5f\x70\x72\x6f\x67\x2e\x63\0\x73\x74\
\x61\x74\x69\x63\x20\x5f\x5f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x62\
\x69\x6e\x64\x5f\x74\x6f\x5f\x64\x65\x76\x69\x63\x65\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\
\x78\x29\0\x09\x63\x68\x61\x72\x20\x76\x65\x74\x68\x31\x5b\x49\x46\x4e\x41\x4d\
\x53\x49\x5a\x5d\x20\x3d\x20\x22\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\
\x64\x64\x72\x31\x22\x3b\0\x09\x63\x68\x61\x72\x20\x76\x65\x74\x68\x32\x5b\x49\
\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x74\x65\x73\x74\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\x32\x22\x3b\0\x09\x63\x68\x61\x72\x20\x6d\x69\x73\
\x73\x69\x6e\x67\x5b\x49\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x6e\
\x6f\x6e\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x64\x65\x76\x22\x3b\0\x09\x63\x68\
\x61\x72\x20\x64\x65\x6c\x5f\x62\x69\x6e\x64\x5b\x49\x46\x4e\x41\x4d\x53\x49\
\x5a\x5d\x20\x3d\x20\x22\x22\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\
\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\
\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x44\x45\x56\
\x49\x43\x45\x2c\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\
\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\
\x54\x2c\x20\x53\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x49\x46\x49\x4e\x44\x45\x58\
\x2c\0\x09\x09\x09\x20\x20\x20\x26\x76\x65\x74\x68\x31\x5f\x69\x64\x78\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x76\x65\x74\x68\x31\x5f\x69\x64\x78\x29\x29\x20\
\x7c\x7c\x20\x21\x76\x65\x74\x68\x31\x5f\x69\x64\x78\x29\0\x09\x09\x09\x20\x20\
\x20\x26\x76\x65\x74\x68\x32\x5f\x69\x64\x78\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x76\x65\x74\x68\x32\x5f\x69\x64\x78\x29\x29\x20\x7c\x7c\x20\x21\x76\x65\
\x74\x68\x32\x5f\x69\x64\x78\x20\x7c\x7c\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\
\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\
\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x49\
\x46\x49\x4e\x44\x45\x58\x2c\0\x7d\0\x73\x74\x61\x74\x69\x63\x20\x5f\x5f\x69\
\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\
\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\
\x64\x72\x20\x2a\x63\x74\x78\x2c\x20\x69\x6e\x74\x20\x6f\x70\x74\x29\0\x09\x69\
\x6e\x74\x20\x6f\x6c\x64\x2c\x20\x74\x6d\x70\x2c\x20\x6e\x65\x77\x20\x3d\x20\
\x30\x78\x65\x62\x39\x66\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\
\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\
\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\x2c\x20\x26\x6f\x6c\x64\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x6f\x6c\x64\x29\x29\x20\x7c\x7c\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\
\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\x2c\x20\x26\x6e\
\x65\x77\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x65\x77\x29\x29\x29\0\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\
\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x6f\x70\x74\
\x2c\x20\x26\x74\x6d\x70\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x6d\x70\x29\
\x29\x20\x7c\x7c\0\x09\x20\x20\x20\x20\x74\x6d\x70\x20\x21\x3d\x20\x6e\x65\x77\
\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\
\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\
\x6f\x70\x74\x2c\x20\x26\x6f\x6c\x64\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\
\x6c\x64\x29\x29\x29\0\x73\x74\x61\x74\x69\x63\x20\x5f\x5f\x69\x6e\x6c\x69\x6e\
\x65\x20\x69\x6e\x74\x20\x62\x69\x6e\x64\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\
\x74\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\
\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x76\x61\x6c\x20\x3d\
\x20\x31\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\
\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\
\x2c\x20\x53\x4f\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x2c\0\x09\x69\x66\x20\
\x28\x62\x70\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\
\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x52\x45\
\x55\x53\x45\x50\x4f\x52\x54\x2c\0\x09\x09\x09\x20\x20\x20\x26\x76\x61\x6c\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x29\x20\x7c\x7c\x20\x21\x76\
\x61\x6c\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x30\x3b\0\x09\x09\x09\x20\x20\x20\
\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x29\x20\
\x7c\x7c\x20\x76\x61\x6c\x29\0\x69\x6e\x74\x20\x62\x69\x6e\x64\x5f\x76\x36\x5f\
\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x73\x6b\x20\x3d\x20\x63\
\x74\x78\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\
\x66\x20\x28\x73\x6b\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\
\x5f\x49\x4e\x45\x54\x36\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x74\x79\
\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\x20\x26\
\x26\x20\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\
\x5f\x44\x47\x52\x41\x4d\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x75\x73\
\x65\x72\x5f\x69\x70\x36\x5b\x30\x5d\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\
\x6f\x6e\x6c\x28\x53\x45\x52\x56\x36\x5f\x49\x50\x5f\x30\x29\x20\x7c\x7c\0\x09\
\x20\x20\x20\x20\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x31\
\x5d\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\
\x36\x5f\x49\x50\x5f\x31\x29\x20\x7c\x7c\0\x09\x20\x20\x20\x20\x63\x74\x78\x2d\
\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x32\x5d\x20\x21\x3d\x20\x62\x70\x66\
\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\x36\x5f\x49\x50\x5f\x32\x29\x20\
\x7c\x7c\0\x09\x20\x20\x20\x20\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\
\x36\x5b\x33\x5d\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\
\x45\x52\x56\x36\x5f\x49\x50\x5f\x33\x29\x20\x7c\x7c\0\x09\x20\x20\x20\x20\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x21\x3d\x20\x62\x70\
\x66\x5f\x68\x74\x6f\x6e\x73\x28\x53\x45\x52\x56\x36\x5f\x50\x4f\x52\x54\x29\
\x29\0\x09\x09\x75\x73\x65\x72\x5f\x69\x70\x36\x20\x7c\x3d\x20\x6c\x6f\x61\x64\
\x5f\x62\x79\x74\x65\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\
\x5b\x69\x5d\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x73\x65\x72\
\x5f\x69\x70\x36\x29\x29\x3b\0\x09\x09\x75\x73\x65\x72\x5f\x69\x70\x36\x20\x7c\
\x3d\x20\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x28\x63\x74\x78\x2d\x3e\x75\x73\
\x65\x72\x5f\x69\x70\x36\x5b\x69\x5d\x2c\x20\x31\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x75\x73\x65\x72\x5f\x69\x70\x36\x29\x29\x3b\0\x09\x09\x75\x73\x65\x72\
\x5f\x69\x70\x36\x20\x7c\x3d\x20\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x28\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x69\x5d\x2c\x20\x32\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x73\x65\x72\x5f\x69\x70\x36\x29\x29\x3b\0\
\x09\x09\x75\x73\x65\x72\x5f\x69\x70\x36\x20\x7c\x3d\x20\x6c\x6f\x61\x64\x5f\
\x62\x79\x74\x65\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\
\x69\x5d\x2c\x20\x33\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x73\x65\x72\x5f\
\x69\x70\x36\x29\x29\x3b\0\x09\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x75\x73\
\x65\x72\x5f\x69\x70\x36\x5b\x69\x5d\x20\x21\x3d\x20\x75\x73\x65\x72\x5f\x69\
\x70\x36\x29\0\x09\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x7c\x3d\x20\x6c\x6f\
\x61\x64\x5f\x62\x79\x74\x65\x28\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\
\x6f\x72\x74\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x73\x65\x72\
\x5f\x70\x6f\x72\x74\x29\x29\x3b\0\x09\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\
\x7c\x3d\x20\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x28\x63\x74\x78\x2d\x3e\x75\
\x73\x65\x72\x5f\x70\x6f\x72\x74\x2c\x20\x31\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x29\x29\x3b\0\x09\x69\x66\x20\x28\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x21\x3d\x20\x75\x73\
\x65\x72\x5f\x70\x6f\x72\x74\x29\0\x09\x09\x75\x73\x65\x72\x5f\x69\x70\x36\x20\
\x7c\x3d\x20\x6c\x6f\x61\x64\x5f\x77\x6f\x72\x64\x28\x63\x74\x78\x2d\x3e\x75\
\x73\x65\x72\x5f\x69\x70\x36\x5b\x69\x5d\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x75\x73\x65\x72\x5f\x69\x70\x36\x29\x29\x3b\0\x09\x09\x75\x73\x65\
\x72\x5f\x69\x70\x36\x20\x7c\x3d\x20\x6c\x6f\x61\x64\x5f\x77\x6f\x72\x64\x28\
\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x69\x5d\x2c\x20\x31\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x73\x65\x72\x5f\x69\x70\x36\x29\x29\
\x3b\0\x09\x69\x66\x20\x28\x62\x69\x6e\x64\x5f\x74\x6f\x5f\x64\x65\x76\x69\x63\
\x65\x28\x63\x74\x78\x29\x29\0\x09\x69\x66\x20\x28\x6d\x69\x73\x63\x5f\x6f\x70\
\x74\x73\x28\x63\x74\x78\x2c\x20\x53\x4f\x5f\x4d\x41\x52\x4b\x29\x20\x7c\x7c\
\x20\x6d\x69\x73\x63\x5f\x6f\x70\x74\x73\x28\x63\x74\x78\x2c\x20\x53\x4f\x5f\
\x50\x52\x49\x4f\x52\x49\x54\x59\x29\x29\0\x09\x69\x66\x20\x28\x62\x69\x6e\x64\
\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x28\x63\x74\x78\x29\x29\0\x09\x63\x74\
\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x32\x5d\x20\x3d\x20\x62\x70\
\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\x36\x5f\x52\x45\x57\x52\x49\
\x54\x45\x5f\x49\x50\x5f\x32\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\
\x5f\x70\x6f\x72\x74\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x53\
\x45\x52\x56\x36\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x50\x4f\x52\x54\x29\x3b\0\
\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x30\x5d\x20\x3d\
\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\x36\x5f\x52\x45\
\x57\x52\x49\x54\x45\x5f\x49\x50\x5f\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\
\x6f\x75\x70\x2f\x62\x69\x6e\x64\x36\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x3c\0\0\0\x3c\0\0\0\x84\x08\0\0\xc0\x08\0\0\0\0\0\0\x08\0\0\0\xca\x0a\0\0\x03\
\0\0\0\0\0\0\0\x0c\0\0\0\xa8\x02\0\0\x0e\0\0\0\0\x04\0\0\x0f\0\0\0\xd0\x0a\0\0\
\x02\0\0\0\0\0\0\0\x0b\0\0\0\xe8\x03\0\0\x10\0\0\0\x10\0\0\0\xca\x0a\0\0\x2c\0\
\0\0\0\0\0\0\xf8\0\0\0\x7e\x01\0\0\0\x80\0\0\x18\0\0\0\xf8\0\0\0\xbc\x01\0\0\
\x07\x88\0\0\x48\0\0\0\xf8\0\0\0\xe7\x01\0\0\x07\x8c\0\0\x68\0\0\0\xf8\0\0\0\
\x12\x02\0\0\x07\x90\0\0\x88\0\0\0\xf8\0\0\0\x3f\x02\0\0\x07\x94\0\0\xb0\0\0\0\
\xf8\0\0\0\x5e\x02\0\0\x06\xa0\0\0\xd8\0\0\0\xf8\0\0\0\x5e\x02\0\0\x06\xa0\0\0\
\xf0\0\0\0\xf8\0\0\0\x94\x02\0\0\x06\xac\0\0\x18\x01\0\0\xf8\0\0\0\xcb\x02\0\0\
\x26\xb0\0\0\x40\x01\0\0\xf8\0\0\0\x5e\x02\0\0\x06\xb8\0\0\x68\x01\0\0\xf8\0\0\
\0\x5e\x02\0\0\x06\xb8\0\0\x80\x01\0\0\xf8\0\0\0\x94\x02\0\0\x06\xc4\0\0\xa8\
\x01\0\0\xf8\0\0\0\xff\x02\0\0\x26\xc8\0\0\xe0\x01\0\0\xf8\0\0\0\x5e\x02\0\0\
\x06\xd4\0\0\x08\x02\0\0\xf8\0\0\0\x5e\x02\0\0\x06\xd4\0\0\x20\x02\0\0\xf8\0\0\
\0\x35\x03\0\0\x06\xe0\0\0\x48\x02\0\0\xf8\0\0\0\x35\x03\0\0\x06\xe0\0\0\x60\
\x02\0\0\xf8\0\0\0\x5e\x02\0\0\x06\xec\0\0\x98\x02\0\0\xf8\0\0\0\x6c\x03\0\0\
\x01\0\x01\0\xa8\x02\0\0\xf8\0\0\0\x6e\x03\0\0\0\x5c\x01\0\xb8\x02\0\0\xf8\0\0\
\0\xb0\x03\0\0\x10\x64\x01\0\xd8\x02\0\0\xf8\0\0\0\xcd\x03\0\0\x06\x70\x01\0\
\xf8\x02\0\0\xf8\0\0\0\xcd\x03\0\0\x3e\x70\x01\0\x20\x03\0\0\xf8\0\0\0\x0d\x04\
\0\0\x06\x7c\x01\0\x48\x03\0\0\xf8\0\0\0\x0d\x04\0\0\x06\x7c\x01\0\x60\x03\0\0\
\xf8\0\0\0\x4b\x04\0\0\x06\x84\x01\0\x88\x03\0\0\xf8\0\0\0\x4b\x04\0\0\x3e\x84\
\x01\0\x90\x03\0\0\xf8\0\0\0\x8b\x04\0\0\x0d\x88\x01\0\x98\x03\0\0\xf8\0\0\0\
\x8b\x04\0\0\x06\x88\x01\0\xa0\x03\0\0\xf8\0\0\0\x4b\x04\0\0\x06\x84\x01\0\xb8\
\x03\0\0\xf8\0\0\0\x9c\x04\0\0\x06\x90\x01\0\xf0\x03\0\0\xf8\0\0\0\x6c\x03\0\0\
\x01\xa0\x01\0\0\x04\0\0\xf8\0\0\0\xda\x04\0\0\0\x08\x01\0\x08\x04\0\0\xf8\0\0\
\0\x18\x05\0\0\x06\x10\x01\0\x28\x04\0\0\xf8\0\0\0\x26\x05\0\0\x06\x18\x01\0\
\x48\x04\0\0\xf8\0\0\0\x26\x05\0\0\x06\x18\x01\0\x60\x04\0\0\xf8\0\0\0\x59\x05\
\0\0\x06\x24\x01\0\x88\x04\0\0\xf8\0\0\0\x8c\x05\0\0\x1a\x28\x01\0\xa0\x04\0\0\
\xf8\0\0\0\xae\x05\0\0\x06\x30\x01\0\xb8\x04\0\0\xf8\0\0\0\x26\x05\0\0\x06\x34\
\x01\0\xe0\x04\0\0\xf8\0\0\0\x26\x05\0\0\x06\x34\x01\0\0\x05\0\0\xf8\0\0\0\x59\
\x05\0\0\x06\x40\x01\0\x50\x05\0\0\xf8\0\0\0\xb8\x05\0\0\x1a\x44\x01\0\x58\x05\
\0\0\xf8\0\0\0\x6c\x03\0\0\x01\x54\x01\0\xd0\x0a\0\0\x5b\0\0\0\0\0\0\0\xf8\0\0\
\0\xd9\x05\0\0\0\xac\x01\0\x08\0\0\0\xf8\0\0\0\x05\x06\0\0\x0c\xc8\x01\0\x10\0\
\0\0\xf8\0\0\0\x14\x06\0\0\x06\xcc\x01\0\x18\0\0\0\xf8\0\0\0\x1e\x06\0\0\x0a\
\xd8\x01\0\x20\0\0\0\xf8\0\0\0\x1e\x06\0\0\x06\xd8\x01\0\x28\0\0\0\xf8\0\0\0\
\x3b\x06\0\0\x0b\xe4\x01\0\x30\0\0\0\xf8\0\0\0\x3b\x06\0\0\x1f\xe4\x01\0\x40\0\
\0\0\xf8\0\0\0\x75\x06\0\0\x06\xf0\x01\0\x48\0\0\0\xf8\0\0\0\x75\x06\0\0\x30\
\xf0\x01\0\x50\0\0\0\xf8\0\0\0\xa7\x06\0\0\x06\xf4\x01\0\x58\0\0\0\xf8\0\0\0\
\xa7\x06\0\0\x30\xf4\x01\0\x60\0\0\0\xf8\0\0\0\xd9\x06\0\0\x06\xf8\x01\0\x68\0\
\0\0\xf8\0\0\0\xd9\x06\0\0\x30\xf8\x01\0\x70\0\0\0\xf8\0\0\0\x0b\x07\0\0\x06\
\xfc\x01\0\x78\0\0\0\xf8\0\0\0\x0b\x07\0\0\x30\xfc\x01\0\x80\0\0\0\xf8\0\0\0\
\x3d\x07\0\0\x0b\0\x02\0\x88\0\0\0\xf8\0\0\0\x75\x06\0\0\x06\xf0\x01\0\x90\0\0\
\0\xf8\0\0\0\x6b\x07\0\0\x0f\x18\x02\0\x98\0\0\0\xf8\0\0\0\xab\x07\0\0\x0f\x1c\
\x02\0\xa8\0\0\0\xf8\0\0\0\xab\x07\0\0\x0c\x1c\x02\0\xb0\0\0\0\xf8\0\0\0\xeb\
\x07\0\0\x0f\x20\x02\0\xc0\0\0\0\xf8\0\0\0\xeb\x07\0\0\x0c\x20\x02\0\xc8\0\0\0\
\xf8\0\0\0\x2b\x08\0\0\x0f\x24\x02\0\xd8\0\0\0\xf8\0\0\0\x2b\x08\0\0\x0c\x24\
\x02\0\xe0\0\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x28\x02\0\xe8\0\0\0\xf8\0\0\0\x6b\
\x08\0\0\x07\x28\x02\0\xf0\0\0\0\xf8\0\0\0\x6b\x07\0\0\x0f\x18\x02\0\xf8\0\0\0\
\xf8\0\0\0\xab\x07\0\0\x0f\x1c\x02\0\x08\x01\0\0\xf8\0\0\0\xab\x07\0\0\x0c\x1c\
\x02\0\x10\x01\0\0\xf8\0\0\0\xeb\x07\0\0\x0f\x20\x02\0\x20\x01\0\0\xf8\0\0\0\
\xeb\x07\0\0\x0c\x20\x02\0\x28\x01\0\0\xf8\0\0\0\x2b\x08\0\0\x0f\x24\x02\0\x38\
\x01\0\0\xf8\0\0\0\x2b\x08\0\0\x0c\x24\x02\0\x40\x01\0\0\xf8\0\0\0\x6b\x08\0\0\
\x07\x28\x02\0\x48\x01\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x28\x02\0\x50\x01\0\0\xf8\
\0\0\0\x6b\x07\0\0\x0f\x18\x02\0\x58\x01\0\0\xf8\0\0\0\xab\x07\0\0\x0f\x1c\x02\
\0\x68\x01\0\0\xf8\0\0\0\xab\x07\0\0\x0c\x1c\x02\0\x70\x01\0\0\xf8\0\0\0\xeb\
\x07\0\0\x0f\x20\x02\0\x80\x01\0\0\xf8\0\0\0\xeb\x07\0\0\x0c\x20\x02\0\x88\x01\
\0\0\xf8\0\0\0\x2b\x08\0\0\x0f\x24\x02\0\x98\x01\0\0\xf8\0\0\0\x2b\x08\0\0\x0c\
\x24\x02\0\xa0\x01\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x28\x02\0\xa8\x01\0\0\xf8\0\0\
\0\x6b\x08\0\0\x07\x28\x02\0\xb0\x01\0\0\xf8\0\0\0\x6b\x07\0\0\x0f\x18\x02\0\
\xb8\x01\0\0\xf8\0\0\0\xab\x07\0\0\x0f\x1c\x02\0\xc8\x01\0\0\xf8\0\0\0\xab\x07\
\0\0\x0c\x1c\x02\0\xd0\x01\0\0\xf8\0\0\0\xeb\x07\0\0\x0f\x20\x02\0\xe0\x01\0\0\
\xf8\0\0\0\xeb\x07\0\0\x0c\x20\x02\0\xe8\x01\0\0\xf8\0\0\0\x2b\x08\0\0\x0f\x24\
\x02\0\xf8\x01\0\0\xf8\0\0\0\x2b\x08\0\0\x0c\x24\x02\0\0\x02\0\0\xf8\0\0\0\x6b\
\x08\0\0\x07\x28\x02\0\x08\x02\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x28\x02\0\x10\x02\
\0\0\xf8\0\0\0\x8f\x08\0\0\x0f\x3c\x02\0\x18\x02\0\0\xf8\0\0\0\xce\x08\0\0\x0f\
\x40\x02\0\x28\x02\0\0\xf8\0\0\0\xce\x08\0\0\x0c\x40\x02\0\x30\x02\0\0\xf8\0\0\
\0\x0d\x09\0\0\x0b\x44\x02\0\x38\x02\0\0\xf8\0\0\0\x0d\x09\0\0\x06\x44\x02\0\
\x40\x02\0\0\xf8\0\0\0\x2f\x09\0\0\x0f\x5c\x02\0\x48\x02\0\0\xf8\0\0\0\x6f\x09\
\0\0\x0f\x60\x02\0\x58\x02\0\0\xf8\0\0\0\x6f\x09\0\0\x0c\x60\x02\0\x60\x02\0\0\
\xf8\0\0\0\x6b\x08\0\0\x07\x64\x02\0\x68\x02\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x64\
\x02\0\x70\x02\0\0\xf8\0\0\0\x2f\x09\0\0\x0f\x5c\x02\0\x78\x02\0\0\xf8\0\0\0\
\x6f\x09\0\0\x0f\x60\x02\0\x88\x02\0\0\xf8\0\0\0\x6f\x09\0\0\x0c\x60\x02\0\x90\
\x02\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x64\x02\0\x98\x02\0\0\xf8\0\0\0\x6b\x08\0\0\
\x07\x64\x02\0\xa0\x02\0\0\xf8\0\0\0\x2f\x09\0\0\x0f\x5c\x02\0\xa8\x02\0\0\xf8\
\0\0\0\x6f\x09\0\0\x0f\x60\x02\0\xb8\x02\0\0\xf8\0\0\0\x6f\x09\0\0\x0c\x60\x02\
\0\xc0\x02\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x64\x02\0\xc8\x02\0\0\xf8\0\0\0\x6b\
\x08\0\0\x07\x64\x02\0\xd0\x02\0\0\xf8\0\0\0\x2f\x09\0\0\x0f\x5c\x02\0\xd8\x02\
\0\0\xf8\0\0\0\x6f\x09\0\0\x0f\x60\x02\0\xe8\x02\0\0\xf8\0\0\0\x6f\x09\0\0\x0c\
\x60\x02\0\xf0\x02\0\0\xf8\0\0\0\x6b\x08\0\0\x07\x64\x02\0\xf8\x02\0\0\xf8\0\0\
\0\x6b\x08\0\0\x07\x64\x02\0\x08\x03\0\0\xf8\0\0\0\xaf\x09\0\0\x06\x78\x02\0\
\x20\x03\0\0\xf8\0\0\0\xaf\x09\0\0\x06\x78\x02\0\x28\x03\0\0\xf8\0\0\0\xc9\x09\
\0\0\x06\x88\x02\0\x50\x03\0\0\xf8\0\0\0\xc9\x09\0\0\x1e\x88\x02\0\x58\x03\0\0\
\xf8\0\0\0\xc9\x09\0\0\x21\x88\x02\0\x80\x03\0\0\xf8\0\0\0\xc9\x09\0\0\x06\x88\
\x02\0\x88\x03\0\0\xf8\0\0\0\x06\x0a\0\0\x06\x98\x02\0\xa8\x03\0\0\xf8\0\0\0\
\x06\x0a\0\0\x06\x98\x02\0\xc0\x03\0\0\xf8\0\0\0\x20\x0a\0\0\x13\xac\x02\0\xc8\
\x03\0\0\xf8\0\0\0\x53\x0a\0\0\x11\xb4\x02\0\xd0\x03\0\0\xf8\0\0\0\x84\x0a\0\0\
\x13\xa4\x02\0\xe0\x03\0\0\xf8\0\0\0\x6c\x03\0\0\x01\xc0\x02\0\xe8\x03\0\0\xf8\
\0\0\0\xb7\x0a\0\0\x02\xd4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x68\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x50\x07\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\x0b\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\x0b\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x98\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0b\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa9\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0b\0\0\0\0\0\0\xc5\x0c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xae\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x18\0\0\0\0\0\0\xe0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bind6_prog *bind6_prog::open(const struct bpf_object_open_opts *opts) { return bind6_prog__open_opts(opts); }
struct bind6_prog *bind6_prog::open_and_load() { return bind6_prog__open_and_load(); }
int bind6_prog::load(struct bind6_prog *skel) { return bind6_prog__load(skel); }
int bind6_prog::attach(struct bind6_prog *skel) { return bind6_prog__attach(skel); }
void bind6_prog::detach(struct bind6_prog *skel) { bind6_prog__detach(skel); }
void bind6_prog::destroy(struct bind6_prog *skel) { bind6_prog__destroy(skel); }
const void *bind6_prog::elf_bytes(size_t *sz) { return bind6_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bind6_prog__assert(struct bind6_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BIND6_PROG_SKEL_H__ */
