/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MMAP_INNER_ARRAY_SKEL_H__
#define __MMAP_INNER_ARRAY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct mmap_inner_array {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *outer_map;
		struct bpf_map *inner_array;
		struct bpf_map *bss;
		struct bpf_map *data;
	} maps;
	struct {
		struct bpf_program *add_to_list_in_inner_array;
	} progs;
	struct {
		struct bpf_link *add_to_list_in_inner_array;
	} links;
	struct mmap_inner_array__bss {
		int pid;
		bool done;
		bool pid_match;
		bool outer_map_match;
	} *bss;
	struct mmap_inner_array__data {
		__u64 match_value;
	} *data;

#ifdef __cplusplus
	static inline struct mmap_inner_array *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct mmap_inner_array *open_and_load();
	static inline int load(struct mmap_inner_array *skel);
	static inline int attach(struct mmap_inner_array *skel);
	static inline void detach(struct mmap_inner_array *skel);
	static inline void destroy(struct mmap_inner_array *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
mmap_inner_array__destroy(struct mmap_inner_array *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
mmap_inner_array__create_skeleton(struct mmap_inner_array *obj);

static inline struct mmap_inner_array *
mmap_inner_array__open_opts(const struct bpf_object_open_opts *opts)
{
	struct mmap_inner_array *obj;
	int err;

	obj = (struct mmap_inner_array *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = mmap_inner_array__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	mmap_inner_array__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct mmap_inner_array *
mmap_inner_array__open(void)
{
	return mmap_inner_array__open_opts(NULL);
}

static inline int
mmap_inner_array__load(struct mmap_inner_array *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct mmap_inner_array *
mmap_inner_array__open_and_load(void)
{
	struct mmap_inner_array *obj;
	int err;

	obj = mmap_inner_array__open();
	if (!obj)
		return NULL;
	err = mmap_inner_array__load(obj);
	if (err) {
		mmap_inner_array__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
mmap_inner_array__attach(struct mmap_inner_array *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
mmap_inner_array__detach(struct mmap_inner_array *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *mmap_inner_array__elf_bytes(size_t *sz);

static inline int
mmap_inner_array__create_skeleton(struct mmap_inner_array *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "mmap_inner_array";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "outer_map";
	map->map = &obj->maps.outer_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "inner_array";
	map->map = &obj->maps.inner_array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "mmap_inn.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "mmap_inn.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "add_to_list_in_inner_array";
	s->progs[0].prog = &obj->progs.add_to_list_in_inner_array;
	s->progs[0].link = &obj->links.add_to_list_in_inner_array;

	s->data = mmap_inner_array__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *mmap_inner_array__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x64\x61\
\x74\x61\0\x2e\x6d\x61\x70\x73\0\x6d\x6d\x61\x70\x5f\x69\x6e\x6e\x65\x72\x5f\
\x61\x72\x72\x61\x79\x2e\x63\0\x61\x64\x64\x5f\x74\x6f\x5f\x6c\x69\x73\x74\x5f\
\x69\x6e\x5f\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\0\x64\x6f\x6e\x65\0\
\x70\x69\x64\0\x70\x69\x64\x5f\x6d\x61\x74\x63\x68\0\x6f\x75\x74\x65\x72\x5f\
\x6d\x61\x70\0\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x61\x74\x63\x68\0\
\x6d\x61\x74\x63\x68\x5f\x76\x61\x6c\x75\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\0\x2e\x72\x65\x6c\x66\x65\x6e\
\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x04\0\xf1\xff\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x72\0\0\0\x11\0\x05\0\
\x04\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x77\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\x7b\0\0\0\x11\0\x05\0\x05\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x85\0\
\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\x05\0\x06\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x9f\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\xab\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\x11\
\0\x07\0\x20\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x62\x0a\xf8\xff\0\0\0\0\x85\0\0\0\
\x0e\0\0\0\x63\x0a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\
\0\0\0\0\0\0\x56\x01\x1c\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\
\0\0\0\0\0\0\x5e\x01\x18\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\
\0\0\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0f\0\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\
\xff\xff\xff\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x07\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x68\x24\x57\x13\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x04\
\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x06\0\
\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\
\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x58\x03\0\0\x58\x03\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x0d\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\x19\0\0\0\x05\0\0\x04\x28\0\0\0\x2a\0\0\
\0\x0b\0\0\0\0\0\0\0\x2f\0\0\0\x0d\0\0\0\x40\0\0\0\x39\0\0\0\x0f\0\0\0\x80\0\0\
\0\x3d\0\0\0\x12\0\0\0\xc0\0\0\0\x43\0\0\0\x07\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\x02\x10\0\0\0\x4f\0\0\0\0\0\0\x08\x11\0\0\0\x55\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x62\0\0\0\0\0\0\x08\x14\0\0\0\
\x68\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\
\x7b\0\0\0\x05\0\0\0\x40\0\0\0\x84\0\0\0\x05\0\0\0\x80\0\0\0\x43\0\0\0\x07\0\0\
\0\xc0\0\0\0\x8f\0\0\0\x15\0\0\0\0\x01\0\0\x96\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\
\0\0\xa0\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\xac\0\0\0\x19\0\0\0\xb0\0\0\0\x01\0\0\x0c\x1a\0\0\0\xcb\
\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\0\x04\
\0\0\0\x04\0\0\0\xd0\0\0\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\xd9\0\0\0\0\0\0\x0e\
\x02\0\0\0\x01\0\0\0\xdd\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\xe9\0\0\0\0\0\0\
\x08\x22\0\0\0\xee\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xf4\0\0\0\0\0\0\x0e\
\x21\0\0\0\x01\0\0\0\xf9\0\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\x03\x01\0\0\0\0\0\
\x0e\x21\0\0\0\x01\0\0\0\xcd\x02\0\0\x01\0\0\x0f\x04\0\0\0\x1e\0\0\0\0\0\0\0\
\x04\0\0\0\xd5\x02\0\0\x04\0\0\x0f\x07\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\0\x23\0\
\0\0\x04\0\0\0\x01\0\0\0\x24\0\0\0\x05\0\0\0\x01\0\0\0\x25\0\0\0\x06\0\0\0\x01\
\0\0\0\xda\x02\0\0\x01\0\0\x0f\x08\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\0\xe0\x02\0\
\0\x02\0\0\x0f\x48\0\0\0\x17\0\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\x20\0\0\0\x28\0\
\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\x5f\x74\x79\
\x70\x65\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\
\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x76\x61\x6c\x75\x65\x73\0\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\0\x69\x6e\
\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\0\x63\x74\x78\0\x61\x64\x64\x5f\x74\x6f\
\x5f\x6c\x69\x73\x74\x5f\x69\x6e\x5f\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\
\x79\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x6d\
\x61\x74\x63\x68\x5f\x76\x61\x6c\x75\x65\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\
\x6c\0\x64\x6f\x6e\x65\0\x70\x69\x64\x5f\x6d\x61\x74\x63\x68\0\x6f\x75\x74\x65\
\x72\x5f\x6d\x61\x70\x5f\x6d\x61\x74\x63\x68\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6d\
\x6d\x61\x70\x5f\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\x2e\x63\0\x09\x5f\
\x5f\x75\x33\x32\x20\x63\x75\x72\x72\x5f\x70\x69\x64\x2c\x20\x7a\x65\x72\x6f\
\x20\x3d\x20\x30\x3b\0\x09\x63\x75\x72\x72\x5f\x70\x69\x64\x20\x3d\x20\x28\x75\
\x33\x32\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\
\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\x09\x69\x66\x20\x28\x64\x6f\x6e\
\x65\x20\x7c\x7c\x20\x63\x75\x72\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\
\x64\x29\0\x09\x70\x69\x64\x5f\x6d\x61\x74\x63\x68\x20\x3d\x20\x74\x72\x75\x65\
\x3b\0\x09\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\
\x2c\x20\x26\x63\x75\x72\x72\x5f\x70\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\
\x6d\x61\x70\x29\0\x09\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x61\x74\x63\
\x68\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\
\x61\x6c\x75\x65\x29\0\x09\x2a\x76\x61\x6c\x75\x65\x20\x3d\x20\x6d\x61\x74\x63\
\x68\x5f\x76\x61\x6c\x75\x65\x3b\0\x09\x64\x6f\x6e\x65\x20\x3d\x20\x74\x72\x75\
\x65\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x64\x61\
\x74\x61\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\
\x5f\x73\x79\x73\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xfc\0\0\0\x10\x01\0\0\0\0\0\0\x08\0\0\0\xe6\
\x02\0\0\x01\0\0\0\0\0\0\0\x1b\0\0\0\x10\0\0\0\xe6\x02\0\0\x0f\0\0\0\0\0\0\0\
\x13\x01\0\0\x9f\x01\0\0\x12\x90\0\0\x08\0\0\0\x13\x01\0\0\xba\x01\0\0\x12\xa0\
\0\0\x10\0\0\0\x13\x01\0\0\xba\x01\0\0\x0b\xa0\0\0\x18\0\0\0\x13\x01\0\0\xe7\
\x01\0\0\x06\xa4\0\0\x30\0\0\0\x13\x01\0\0\xe7\x01\0\0\x0b\xa4\0\0\x58\0\0\0\
\x13\x01\0\0\x05\x02\0\0\x0c\xb0\0\0\x80\0\0\0\x13\x01\0\0\x18\x02\0\0\x08\xb4\
\0\0\x98\0\0\0\x13\x01\0\0\x4b\x02\0\0\x06\xb8\0\0\xa0\0\0\0\x13\x01\0\0\x56\
\x02\0\0\x12\xc4\0\0\xc8\0\0\0\x13\x01\0\0\x6f\x02\0\0\x0a\xc8\0\0\xd8\0\0\0\
\x13\x01\0\0\x99\x02\0\0\x06\xcc\0\0\xe0\0\0\0\x13\x01\0\0\xa6\x02\0\0\x0b\xd8\
\0\0\xf8\0\0\0\x13\x01\0\0\xa6\x02\0\0\x09\xd8\0\0\0\x01\0\0\x13\x01\0\0\xbd\
\x02\0\0\x07\xdc\0\0\x18\x01\0\0\x13\x01\0\0\xcb\x02\0\0\x01\xe4\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\x01\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\
\x02\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\
\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\x03\0\0\0\0\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xd0\x03\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x04\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x0a\0\0\0\0\0\
\0\x30\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct mmap_inner_array *mmap_inner_array::open(const struct bpf_object_open_opts *opts) { return mmap_inner_array__open_opts(opts); }
struct mmap_inner_array *mmap_inner_array::open_and_load() { return mmap_inner_array__open_and_load(); }
int mmap_inner_array::load(struct mmap_inner_array *skel) { return mmap_inner_array__load(skel); }
int mmap_inner_array::attach(struct mmap_inner_array *skel) { return mmap_inner_array__attach(skel); }
void mmap_inner_array::detach(struct mmap_inner_array *skel) { mmap_inner_array__detach(skel); }
void mmap_inner_array::destroy(struct mmap_inner_array *skel) { mmap_inner_array__destroy(skel); }
const void *mmap_inner_array::elf_bytes(size_t *sz) { return mmap_inner_array__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
mmap_inner_array__assert(struct mmap_inner_array *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->done) == 1, "unexpected size of 'done'");
	_Static_assert(sizeof(s->bss->pid_match) == 1, "unexpected size of 'pid_match'");
	_Static_assert(sizeof(s->bss->outer_map_match) == 1, "unexpected size of 'outer_map_match'");
	_Static_assert(sizeof(s->data->match_value) == 8, "unexpected size of 'match_value'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MMAP_INNER_ARRAY_SKEL_H__ */
