/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOCKOPT_SK_SKEL_H__
#define __SOCKOPT_SK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct sockopt_sk {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *socket_storage_map;
		struct bpf_map *bss;
		struct bpf_map *rodata_str1_1;
	} maps;
	struct {
		struct bpf_program *_getsockopt;
		struct bpf_program *_setsockopt;
	} progs;
	struct {
		struct bpf_link *_getsockopt;
		struct bpf_link *_setsockopt;
	} links;
	struct sockopt_sk__bss {
		int page_size;
	} *bss;

#ifdef __cplusplus
	static inline struct sockopt_sk *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct sockopt_sk *open_and_load();
	static inline int load(struct sockopt_sk *skel);
	static inline int attach(struct sockopt_sk *skel);
	static inline void detach(struct sockopt_sk *skel);
	static inline void destroy(struct sockopt_sk *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
sockopt_sk__destroy(struct sockopt_sk *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
sockopt_sk__create_skeleton(struct sockopt_sk *obj);

static inline struct sockopt_sk *
sockopt_sk__open_opts(const struct bpf_object_open_opts *opts)
{
	struct sockopt_sk *obj;
	int err;

	obj = (struct sockopt_sk *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = sockopt_sk__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	sockopt_sk__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct sockopt_sk *
sockopt_sk__open(void)
{
	return sockopt_sk__open_opts(NULL);
}

static inline int
sockopt_sk__load(struct sockopt_sk *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct sockopt_sk *
sockopt_sk__open_and_load(void)
{
	struct sockopt_sk *obj;
	int err;

	obj = sockopt_sk__open();
	if (!obj)
		return NULL;
	err = sockopt_sk__load(obj);
	if (err) {
		sockopt_sk__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
sockopt_sk__attach(struct sockopt_sk *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
sockopt_sk__detach(struct sockopt_sk *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *sockopt_sk__elf_bytes(size_t *sz);

static inline int
sockopt_sk__create_skeleton(struct sockopt_sk *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "sockopt_sk";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "socket_storage_map";
	map->map = &obj->maps.socket_storage_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "sockopt_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "_getsockopt";
	s->progs[0].prog = &obj->progs._getsockopt;
	s->progs[0].link = &obj->links._getsockopt;

	s->progs[1].name = "_setsockopt";
	s->progs[1].prog = &obj->progs._setsockopt;
	s->progs[1].link = &obj->links._setsockopt;

	s->data = sockopt_sk__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *sockopt_sk__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x63\x67\x72\x6f\
\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\
\x73\x74\x72\x31\x2e\x31\0\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x73\x6b\x2e\x63\0\
\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x70\x61\x67\x65\x5f\x73\x69\x7a\
\x65\0\x73\x6f\x63\x6b\x65\x74\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x61\x70\
\0\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\
\x6f\x70\x74\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\
\x63\x6b\x6f\x70\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x58\x02\0\
\0\0\0\0\0\x70\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7a\0\0\0\
\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8d\0\0\0\x12\0\x04\0\0\0\0\0\0\
\0\0\0\xd0\x02\0\0\0\0\0\0\x99\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xbf\x16\0\0\0\0\0\0\x79\x68\x08\0\0\0\0\0\x79\x69\x10\0\0\0\0\0\x79\x61\0\
\0\0\0\0\0\x15\x01\x02\0\0\0\0\0\x61\x11\x04\0\0\0\0\0\x16\x01\x1f\0\x10\0\0\0\
\xb7\x01\0\0\0\0\0\0\x85\0\0\0\x7a\0\0\0\xb4\x07\0\0\0\0\0\0\x15\0\x22\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x7a\0\0\0\x15\0\x1f\0\0\0\0\0\x61\x61\x18\0\0\
\0\0\0\x16\x01\x1f\0\x06\0\0\0\x16\x01\x12\0\x01\0\0\0\x56\x01\x26\0\0\0\0\0\
\x61\x61\x1c\0\0\0\0\0\x16\x01\x12\0\x01\0\0\0\x56\x01\x18\0\x0f\0\0\0\xbf\x81\
\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x2d\x91\x15\0\0\0\0\0\x62\x06\x24\0\0\0\0\0\
\x72\x08\0\0\x55\0\0\0\x62\x06\x20\0\x01\0\0\0\x1f\x89\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x1d\x19\x0c\
\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x05\0\x0a\0\0\0\0\0\x61\x61\x1c\0\0\0\0\0\x16\
\x01\x01\0\x07\0\0\0\x05\0\x07\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x61\x62\x20\0\0\0\0\0\xde\x12\x01\0\0\
\0\0\0\x62\x06\x20\0\0\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x61\x1c\
\0\0\0\0\0\x16\x01\xf5\xff\x0d\0\0\0\x56\x01\xfb\xff\x23\0\0\0\xbf\x81\0\0\0\0\
\0\0\x07\x01\0\0\x08\0\0\0\x2d\x91\xf8\xff\0\0\0\0\x79\x81\0\0\0\0\0\0\x15\x01\
\xef\xff\0\0\0\0\x05\0\xf5\xff\0\0\0\0\x56\x01\xf4\xff\xef\xbe\xad\xde\xbf\x81\
\0\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x2d\x91\xf1\xff\0\0\0\0\x79\x62\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\
\x85\0\0\0\x6b\0\0\0\x15\0\xea\xff\0\0\0\0\x61\x61\x24\0\0\0\0\0\x16\x01\xe8\
\xff\0\0\0\0\x62\x06\x24\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x73\x18\0\0\0\0\0\0\x62\
\x06\x20\0\x01\0\0\0\xb4\x07\0\0\x01\0\0\0\x05\0\xe2\xff\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\x79\x68\x08\0\0\0\0\0\x79\x69\x10\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x15\x01\
\x02\0\0\0\0\0\x61\x11\x04\0\0\0\0\0\x16\x01\x11\0\x10\0\0\0\xb7\x01\0\0\0\0\0\
\0\x85\0\0\0\x7a\0\0\0\xb4\x07\0\0\0\0\0\0\x15\0\x14\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\0\0\0\x7a\0\0\0\x15\0\x11\0\0\0\0\0\x61\x61\x18\0\0\0\0\0\x16\x01\x1a\
\0\x06\0\0\0\x16\x01\x10\0\x01\0\0\0\x56\x01\x25\0\0\0\0\0\x61\x61\x1c\0\0\0\0\
\0\x16\x01\x33\0\x0f\0\0\0\x56\x01\x0a\0\x01\0\0\0\x62\x06\x20\0\0\0\0\0\xb4\
\x07\0\0\x01\0\0\0\x05\0\x07\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x61\x62\x20\0\0\0\0\0\xde\x12\x01\0\0\0\
\0\0\x62\x06\x20\0\0\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x61\x1c\0\
\0\0\0\0\x56\x01\xfc\xff\x07\0\0\0\xbf\x81\0\0\0\0\0\0\x07\x01\0\0\x04\0\0\0\
\x2d\x91\xf9\xff\0\0\0\0\x62\x08\0\0\xaa\x55\0\0\x62\x06\x20\0\x04\0\0\0\xb4\
\x07\0\0\x01\0\0\0\x05\0\xf5\xff\0\0\0\0\x61\x61\x1c\0\0\0\0\0\x56\x01\xf3\xff\
\x0d\0\0\0\xbf\x81\0\0\0\0\0\0\x07\x01\0\0\x05\0\0\0\x2d\x91\xf0\xff\0\0\0\0\
\x72\x08\x04\0\x63\0\0\0\x72\x08\x03\0\x69\0\0\0\x72\x08\x02\0\x62\0\0\0\x72\
\x08\x01\0\x75\0\0\0\x72\x08\0\0\x63\0\0\0\x62\x06\x20\0\x05\0\0\0\xb4\x07\0\0\
\x01\0\0\0\x05\0\xe8\xff\0\0\0\0\x56\x01\xe7\xff\xef\xbe\xad\xde\xbf\x81\0\0\0\
\0\0\0\x07\x01\0\0\x01\0\0\0\x2d\x91\xe4\xff\0\0\0\0\x79\x62\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\
\0\0\0\x6b\0\0\0\x15\0\xdd\xff\0\0\0\0\x71\x81\0\0\0\0\0\0\x73\x10\0\0\0\0\0\0\
\x62\x06\x20\0\xff\xff\xff\xff\xb4\x07\0\0\x01\0\0\0\x05\0\xd8\xff\0\0\0\0\x61\
\x61\x20\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x64\
\x02\0\0\x01\0\0\0\x5e\x21\xd2\xff\0\0\0\0\xbf\x81\0\0\0\0\0\0\x07\x01\0\0\x01\
\0\0\0\x2d\x91\xcf\xff\0\0\0\0\x72\x08\0\0\0\0\0\0\x62\x06\x20\0\x01\0\0\0\x1f\
\x89\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x11\0\0\0\0\0\0\xb4\
\x07\0\0\x01\0\0\0\x1d\x19\xc7\xff\0\0\0\0\xb4\x07\0\0\0\0\0\0\x05\0\xc5\xff\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x75\x62\x69\x63\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x38\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\
\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\
\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\x06\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\x02\0\0\xb8\x02\0\0\x0c\x07\0\0\0\0\0\
\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\
\x01\0\0\x04\x01\0\0\0\x24\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\x08\x0b\0\0\
\0\x2d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x3b\0\
\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\x05\0\0\0\x40\0\0\0\x4a\0\0\0\x07\0\0\0\x80\0\
\0\0\x4e\0\0\0\x08\0\0\0\xc0\0\0\0\x54\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x02\x0f\0\0\0\x67\0\0\0\x07\0\0\x04\x28\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\0\0\0\0\x12\0\0\0\x40\0\0\0\0\0\0\0\x14\0\0\0\x80\0\0\0\x73\0\0\0\x15\0\0\
\0\xc0\0\0\0\x79\0\0\0\x15\0\0\0\xe0\0\0\0\x81\0\0\0\x15\0\0\0\0\x01\0\0\x88\0\
\0\0\x15\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8f\0\0\0\x11\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x92\0\0\0\x13\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x99\0\0\
\0\x13\0\0\0\0\0\0\0\xa4\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\
\0\xaa\0\0\0\x0e\0\0\0\xae\0\0\0\x01\0\0\x0c\x16\0\0\0\xba\0\0\0\x01\0\0\x0c\
\x16\0\0\0\xc6\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x19\0\0\0\x04\0\0\0\x04\0\0\0\xcb\0\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\xd4\0\0\
\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\x04\0\0\0\
\x06\0\0\0\xde\0\0\0\0\0\0\x07\0\0\0\0\xd5\x06\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\
\0\0\0\0\0\0\x04\0\0\0\xdd\x06\0\0\x01\0\0\x0f\x04\0\0\0\x1c\0\0\0\0\0\0\0\x04\
\0\0\0\xe2\x06\0\0\x01\0\0\x0f\x20\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x73\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x38\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x74\x79\x70\x65\0\x6d\
\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x6f\
\x63\x6b\x65\x74\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x61\x70\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x6f\x70\x74\0\x6c\x65\x76\x65\x6c\0\x6f\x70\x74\x6e\x61\
\x6d\x65\0\x6f\x70\x74\x6c\x65\x6e\0\x72\x65\x74\x76\x61\x6c\0\x73\x6b\0\x6f\
\x70\x74\x76\x61\x6c\0\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\x64\0\x5f\x5f\x73\
\x33\x32\0\x63\x74\x78\0\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x5f\x73\
\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\0\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x73\x6f\x63\x6b\x6f\x70\x74\x5f\x73\x6b\
\x2e\x63\0\x69\x6e\x74\x20\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\
\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\x20\x2a\
\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x38\x20\x2a\x6f\x70\x74\x76\x61\x6c\x20\x3d\
\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x76\x61\x6c\x3b\0\x09\x5f\x5f\x75\x38\x20\
\x2a\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\x64\x20\x3d\x20\x63\x74\x78\x2d\x3e\
\x6f\x70\x74\x76\x61\x6c\x5f\x65\x6e\x64\x3b\0\x09\x73\x6b\x20\x3d\x20\x63\x74\
\x78\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\x28\x73\x6b\x20\x26\x26\x20\x73\x6b\
\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x3d\x3d\x20\x41\x46\x5f\x4e\x45\x54\x4c\
\x49\x4e\x4b\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x65\
\x74\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x4e\x55\x4c\x4c\x29\x20\x3d\x3d\
\x20\x30\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x6e\x65\x74\
\x6e\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x20\x3d\x3d\x20\x30\
\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\x20\x3d\x3d\
\x20\x53\x4f\x4c\x5f\x49\x50\x20\x26\x26\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\
\x6e\x61\x6d\x65\x20\x3d\x3d\x20\x49\x50\x5f\x54\x4f\x53\x29\x20\x7b\0\x09\x69\
\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\x20\x3d\x3d\x20\x53\x4f\
\x4c\x5f\x49\x50\x20\x26\x26\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6e\x61\x6d\
\x65\x20\x3d\x3d\x20\x49\x50\x5f\x46\x52\x45\x45\x42\x49\x4e\x44\x29\x20\x7b\0\
\x09\x09\x63\x74\x78\x2d\x3e\x72\x65\x74\x76\x61\x6c\x20\x3d\x20\x30\x3b\x20\
\x2f\x2a\x20\x52\x65\x73\x65\x74\x20\x73\x79\x73\x74\x65\x6d\x20\x63\x61\x6c\
\x6c\x20\x72\x65\x74\x75\x72\x6e\x20\x76\x61\x6c\x75\x65\x20\x74\x6f\x20\x7a\
\x65\x72\x6f\x20\x2a\x2f\0\x09\x09\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\x20\x3d\
\x20\x30\x78\x35\x35\x3b\0\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\
\x20\x3d\x20\x31\x3b\0\x09\x09\x69\x66\x20\x28\x6f\x70\x74\x76\x61\x6c\x5f\x65\
\x6e\x64\x20\x2d\x20\x6f\x70\x74\x76\x61\x6c\x20\x21\x3d\x20\x70\x61\x67\x65\
\x5f\x73\x69\x7a\x65\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\
\x65\x6c\x20\x3d\x3d\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x20\x26\x26\
\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6e\x61\x6d\x65\x20\x3d\x3d\x20\x53\x4f\
\x5f\x53\x4e\x44\x42\x55\x46\x29\x20\x7b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\
\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3e\x20\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\
\x29\0\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x30\x3b\
\0\x7d\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\x20\x3d\
\x3d\x20\x53\x4f\x4c\x5f\x54\x43\x50\x20\x26\x26\x20\x63\x74\x78\x2d\x3e\x6f\
\x70\x74\x6e\x61\x6d\x65\x20\x3d\x3d\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\
\x53\x54\x49\x4f\x4e\x29\x20\x7b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\
\x65\x76\x65\x6c\x20\x3d\x3d\x20\x53\x4f\x4c\x5f\x54\x43\x50\x20\x26\x26\x20\
\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6e\x61\x6d\x65\x20\x3d\x3d\x20\x54\x43\x50\
\x5f\x5a\x45\x52\x4f\x43\x4f\x50\x59\x5f\x52\x45\x43\x45\x49\x56\x45\x29\x20\
\x7b\0\x09\x09\x69\x66\x20\x28\x28\x28\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\
\x5f\x7a\x65\x72\x6f\x63\x6f\x70\x79\x5f\x72\x65\x63\x65\x69\x76\x65\x20\x2a\
\x29\x6f\x70\x74\x76\x61\x6c\x29\x2d\x3e\x61\x64\x64\x72\x65\x73\x73\x20\x21\
\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6c\x65\x76\x65\x6c\
\x20\x21\x3d\x20\x53\x4f\x4c\x5f\x43\x55\x53\x54\x4f\x4d\x29\0\x09\x73\x74\x6f\
\x72\x61\x67\x65\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x67\x65\x74\x28\x26\x73\x6f\x63\x6b\x65\x74\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x5f\x6d\x61\x70\x2c\x20\x63\x74\x78\x2d\x3e\x73\x6b\x2c\x20\x30\
\x2c\0\x09\x69\x66\x20\x28\x21\x73\x74\x6f\x72\x61\x67\x65\x29\0\x09\x69\x66\
\x20\x28\x21\x63\x74\x78\x2d\x3e\x72\x65\x74\x76\x61\x6c\x29\0\x09\x63\x74\x78\
\x2d\x3e\x72\x65\x74\x76\x61\x6c\x20\x3d\x20\x30\x3b\x20\x2f\x2a\x20\x52\x65\
\x73\x65\x74\x20\x73\x79\x73\x74\x65\x6d\x20\x63\x61\x6c\x6c\x20\x72\x65\x74\
\x75\x72\x6e\x20\x76\x61\x6c\x75\x65\x20\x74\x6f\x20\x7a\x65\x72\x6f\x20\x2a\
\x2f\0\x09\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\x20\x3d\x20\x73\x74\x6f\x72\x61\
\x67\x65\x2d\x3e\x76\x61\x6c\x3b\0\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\
\x6e\x20\x3d\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\x69\x6e\
\x74\x20\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\x20\x2a\x63\x74\x78\x29\0\
\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x30\x3b\x20\
\x2f\x2a\x20\x62\x79\x70\x61\x73\x73\x20\x6f\x70\x74\x76\x61\x6c\x3e\x50\x41\
\x47\x45\x5f\x53\x49\x5a\x45\x20\x2a\x2f\0\x09\x09\x2a\x28\x5f\x5f\x75\x33\x32\
\x20\x2a\x29\x6f\x70\x74\x76\x61\x6c\x20\x3d\x20\x30\x78\x35\x35\x41\x41\x3b\0\
\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x34\x3b\0\x09\
\x09\x6d\x65\x6d\x63\x70\x79\x28\x6f\x70\x74\x76\x61\x6c\x2c\x20\x22\x63\x75\
\x62\x69\x63\x22\x2c\x20\x35\x29\x3b\0\x09\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\
\x6c\x65\x6e\x20\x3d\x20\x35\x3b\0\x09\x73\x74\x6f\x72\x61\x67\x65\x2d\x3e\x76\
\x61\x6c\x20\x3d\x20\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\x3b\0\x09\x63\x74\x78\
\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x2d\x31\x3b\x20\x2f\x2a\x20\x42\
\x50\x46\x20\x68\x61\x73\x20\x63\x6f\x6e\x73\x75\x6d\x65\x64\x20\x74\x68\x69\
\x73\x20\x6f\x70\x74\x69\x6f\x6e\x2c\x20\x64\x6f\x6e\x27\x74\x20\x63\x61\x6c\
\x6c\x20\x6b\x65\x72\x6e\x65\x6c\0\x09\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\
\x6f\x70\x74\x6c\x65\x6e\x20\x21\x3d\x20\x70\x61\x67\x65\x5f\x73\x69\x7a\x65\
\x20\x2a\x20\x32\x29\0\x09\x09\x6f\x70\x74\x76\x61\x6c\x5b\x30\x5d\x20\x3d\x20\
\x30\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\
\0\x63\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x63\
\x67\x72\x6f\x75\x70\x2f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\xf4\x05\0\0\x18\x06\0\0\0\0\0\
\0\x08\0\0\0\xe8\x06\0\0\x01\0\0\0\0\0\0\0\x17\0\0\0\xfa\x06\0\0\x01\0\0\0\0\0\
\0\0\x18\0\0\0\x10\0\0\0\xe8\x06\0\0\x2d\0\0\0\0\0\0\0\xe7\0\0\0\x6d\x01\0\0\0\
\x78\0\0\x08\0\0\0\xe7\0\0\0\x96\x01\0\0\x16\x84\0\0\x10\0\0\0\xe7\0\0\0\xb3\
\x01\0\0\x1a\x80\0\0\x18\0\0\0\xe7\0\0\0\xd8\x01\0\0\x0c\x98\0\0\x20\0\0\0\xe7\
\0\0\0\xe7\x01\0\0\x09\x9c\0\0\x28\0\0\0\xe7\0\0\0\xe7\x01\0\0\x10\x9c\0\0\x30\
\0\0\0\xe7\0\0\0\xe7\x01\0\0\x06\x9c\0\0\x38\0\0\0\xe7\0\0\0\x0c\x02\0\0\x06\
\xb0\0\0\x50\0\0\0\xe7\0\0\0\x0c\x02\0\0\x06\xb0\0\0\x58\0\0\0\xe7\0\0\0\x32\
\x02\0\0\x06\xbc\0\0\x68\0\0\0\xe7\0\0\0\x32\x02\0\0\x06\xbc\0\0\x70\0\0\0\xe7\
\0\0\0\x57\x02\0\0\x0b\xc8\0\0\x78\0\0\0\xe7\0\0\0\x57\x02\0\0\x1b\xc8\0\0\x90\
\0\0\0\xe7\0\0\0\x57\x02\0\0\x23\xc8\0\0\x98\0\0\0\xe7\0\0\0\x57\x02\0\0\x06\
\xc8\0\0\xa0\0\0\0\xe7\0\0\0\x8e\x02\0\0\x06\x68\x01\0\xc0\0\0\0\xe7\0\0\0\xca\
\x02\0\0\x0f\x78\x01\0\xc8\0\0\0\xe7\0\0\0\x0a\x03\0\0\x0d\x84\x01\0\xd0\0\0\0\
\xe7\0\0\0\x1e\x03\0\0\x0f\x88\x01\0\xd8\0\0\0\xe7\0\0\0\x31\x03\0\0\x12\xa0\
\x01\0\xe0\0\0\0\xe7\0\0\0\x31\x03\0\0\x1e\xa0\x01\0\0\x01\0\0\xe7\0\0\0\x31\
\x03\0\0\x1b\xa0\x01\0\x18\x01\0\0\xe7\0\0\0\x59\x03\0\0\x27\xe8\0\0\x20\x01\0\
\0\xe7\0\0\0\x59\x03\0\0\x06\xe8\0\0\x38\x01\0\0\xe7\0\0\0\x97\x03\0\0\x14\x18\
\x02\0\x50\x01\0\0\xe7\0\0\0\x97\x03\0\0\x0b\x18\x02\0\x58\x01\0\0\xe7\0\0\0\
\x97\x03\0\0\x06\x18\x02\0\x60\x01\0\0\xe7\0\0\0\xb5\x03\0\0\x0f\x1c\x02\0\x68\
\x01\0\0\xe7\0\0\0\xc8\x03\0\0\x01\x24\x02\0\x78\x01\0\0\xe7\0\0\0\xca\x03\0\0\
\x24\x08\x01\0\x80\x01\0\0\xe7\0\0\0\xca\x03\0\0\x06\x08\x01\0\x88\x01\0\0\xe7\
\0\0\0\x0a\x04\0\0\x06\x28\x01\0\xa8\x01\0\0\xe7\0\0\0\x50\x04\0\0\x30\x50\x01\
\0\xb0\x01\0\0\xe7\0\0\0\x50\x04\0\0\x07\x50\x01\0\xc0\x01\0\0\xe7\0\0\0\x8d\
\x04\0\0\x06\xb8\x01\0\xe0\x01\0\0\xe7\0\0\0\xac\x04\0\0\x39\xd0\x01\0\xe8\x01\
\0\0\xe7\0\0\0\xac\x04\0\0\x0c\xd0\x01\0\x10\x02\0\0\xe7\0\0\0\xeb\x04\0\0\x06\
\xd8\x01\0\x18\x02\0\0\xe7\0\0\0\xfa\x04\0\0\x0c\xe4\x01\0\x20\x02\0\0\xe7\0\0\
\0\xfa\x04\0\0\x06\xe4\x01\0\x28\x02\0\0\xe7\0\0\0\x0d\x05\0\0\x0e\xf4\x01\0\
\x30\x02\0\0\xe7\0\0\0\x4c\x05\0\0\x17\xfc\x01\0\x38\x02\0\0\xe7\0\0\0\x4c\x05\
\0\0\x0c\xfc\x01\0\x40\x02\0\0\xe7\0\0\0\x67\x05\0\0\x0e\0\x02\0\x50\x02\0\0\
\xe7\0\0\0\x79\x05\0\0\x02\x08\x02\0\xfa\x06\0\0\x31\0\0\0\0\0\0\0\xe7\0\0\0\
\x84\x05\0\0\0\x30\x02\0\x08\0\0\0\xe7\0\0\0\x96\x01\0\0\x16\x3c\x02\0\x10\0\0\
\0\xe7\0\0\0\xb3\x01\0\0\x1a\x38\x02\0\x18\0\0\0\xe7\0\0\0\xd8\x01\0\0\x0c\x50\
\x02\0\x20\0\0\0\xe7\0\0\0\xe7\x01\0\0\x09\x54\x02\0\x28\0\0\0\xe7\0\0\0\xe7\
\x01\0\0\x10\x54\x02\0\x30\0\0\0\xe7\0\0\0\xe7\x01\0\0\x06\x54\x02\0\x38\0\0\0\
\xe7\0\0\0\x0c\x02\0\0\x06\x68\x02\0\x50\0\0\0\xe7\0\0\0\x0c\x02\0\0\x06\x68\
\x02\0\x58\0\0\0\xe7\0\0\0\x32\x02\0\0\x06\x74\x02\0\x68\0\0\0\xe7\0\0\0\x32\
\x02\0\0\x06\x74\x02\0\x70\0\0\0\xe7\0\0\0\x57\x02\0\0\x0b\x80\x02\0\x78\0\0\0\
\xe7\0\0\0\x57\x02\0\0\x1b\x80\x02\0\x90\0\0\0\xe7\0\0\0\x57\x02\0\0\x23\x80\
\x02\0\x98\0\0\0\xe7\0\0\0\x57\x02\0\0\x06\x80\x02\0\xa8\0\0\0\xe7\0\0\0\xad\
\x05\0\0\x0f\x94\x02\0\xb8\0\0\0\xe7\0\0\0\x79\x05\0\0\x02\x9c\x03\0\xc8\0\0\0\
\xe7\0\0\0\x97\x03\0\0\x14\xac\x03\0\xe0\0\0\0\xe7\0\0\0\x97\x03\0\0\x0b\xac\
\x03\0\xe8\0\0\0\xe7\0\0\0\x97\x03\0\0\x06\xac\x03\0\xf0\0\0\0\xe7\0\0\0\xb5\
\x03\0\0\x0f\xb0\x03\0\xf8\0\0\0\xe7\0\0\0\xc8\x03\0\0\x01\xb8\x03\0\x08\x01\0\
\0\xe7\0\0\0\x59\x03\0\0\x27\xa4\x02\0\x10\x01\0\0\xe7\0\0\0\x59\x03\0\0\x06\
\xa4\x02\0\x30\x01\0\0\xe7\0\0\0\xde\x05\0\0\x14\xbc\x02\0\x38\x01\0\0\xe7\0\0\
\0\xfb\x05\0\0\x0f\xc0\x02\0\x48\x01\0\0\xe7\0\0\0\x79\x05\0\0\x02\x9c\x03\0\
\x50\x01\0\0\xe7\0\0\0\xca\x03\0\0\x24\xd4\x02\0\x58\x01\0\0\xe7\0\0\0\xca\x03\
\0\0\x06\xd4\x02\0\x78\x01\0\0\xe7\0\0\0\x0e\x06\0\0\x03\xec\x02\0\xa0\x01\0\0\
\xe7\0\0\0\x2c\x06\0\0\x0f\xf0\x02\0\xb0\x01\0\0\xe7\0\0\0\x79\x05\0\0\x02\x9c\
\x03\0\xb8\x01\0\0\xe7\0\0\0\x8d\x04\0\0\x06\x5c\x03\0\xd8\x01\0\0\xe7\0\0\0\
\xac\x04\0\0\x39\x74\x03\0\xe0\x01\0\0\xe7\0\0\0\xac\x04\0\0\x0c\x74\x03\0\x08\
\x02\0\0\xe7\0\0\0\xeb\x04\0\0\x06\x7c\x03\0\x10\x02\0\0\xe7\0\0\0\x3f\x06\0\0\
\x11\x88\x03\0\x18\x02\0\0\xe7\0\0\0\x3f\x06\0\0\x0f\x88\x03\0\x20\x02\0\0\xe7\
\0\0\0\x5a\x06\0\0\x0e\x8c\x03\0\x30\x02\0\0\xe7\0\0\0\x79\x05\0\0\x02\x9c\x03\
\0\x38\x02\0\0\xe7\0\0\0\xa0\x06\0\0\x0c\x0c\x03\0\x40\x02\0\0\xe7\0\0\0\xa0\
\x06\0\0\x16\x0c\x03\0\x58\x02\0\0\xe7\0\0\0\xa0\x06\0\0\x20\x0c\x03\0\x60\x02\
\0\0\xe7\0\0\0\xa0\x06\0\0\x07\x0c\x03\0\x80\x02\0\0\xe7\0\0\0\xc4\x06\0\0\x0d\
\x28\x03\0\x88\x02\0\0\xe7\0\0\0\x1e\x03\0\0\x0f\x2c\x03\0\x90\x02\0\0\xe7\0\0\
\0\x31\x03\0\0\x12\x44\x03\0\x98\x02\0\0\xe7\0\0\0\x31\x03\0\0\x1e\x44\x03\0\
\xb8\x02\0\0\xe7\0\0\0\x31\x03\0\0\x1b\x44\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x58\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x38\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3c\x07\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x07\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x48\0\0\0\x01\0\0\0\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x07\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xa2\0\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x07\0\0\0\0\0\0\x30\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb8\0\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x07\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xce\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\xdc\x09\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb8\x11\0\0\0\0\0\0\x38\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct sockopt_sk *sockopt_sk::open(const struct bpf_object_open_opts *opts) { return sockopt_sk__open_opts(opts); }
struct sockopt_sk *sockopt_sk::open_and_load() { return sockopt_sk__open_and_load(); }
int sockopt_sk::load(struct sockopt_sk *skel) { return sockopt_sk__load(skel); }
int sockopt_sk::attach(struct sockopt_sk *skel) { return sockopt_sk__attach(skel); }
void sockopt_sk::detach(struct sockopt_sk *skel) { sockopt_sk__detach(skel); }
void sockopt_sk::destroy(struct sockopt_sk *skel) { sockopt_sk__destroy(skel); }
const void *sockopt_sk::elf_bytes(size_t *sz) { return sockopt_sk__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
sockopt_sk__assert(struct sockopt_sk *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->page_size) == 4, "unexpected size of 'page_size'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOCKOPT_SK_SKEL_H__ */
