/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_XDP_DO_REDIRECT_SKEL_H__
#define __TEST_XDP_DO_REDIRECT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_xdp_do_redirect {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *data;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *xdp_redirect;
		struct bpf_program *xdp_count_pkts;
		struct bpf_program *tc_count_pkts;
	} progs;
	struct {
		struct bpf_link *xdp_redirect;
		struct bpf_link *xdp_count_pkts;
		struct bpf_link *tc_count_pkts;
	} links;
	struct test_xdp_do_redirect__bss {
		int pkts_seen_xdp;
		int pkts_seen_zero;
		int pkts_seen_tc;
	} *bss;
	struct test_xdp_do_redirect__data {
		int retcode;
	} *data;
	struct test_xdp_do_redirect__rodata {
		int ifindex_in;
		int ifindex_out;
		__u8 expect_dst[6];
	} *rodata;

#ifdef __cplusplus
	static inline struct test_xdp_do_redirect *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_xdp_do_redirect *open_and_load();
	static inline int load(struct test_xdp_do_redirect *skel);
	static inline int attach(struct test_xdp_do_redirect *skel);
	static inline void detach(struct test_xdp_do_redirect *skel);
	static inline void destroy(struct test_xdp_do_redirect *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_xdp_do_redirect__destroy(struct test_xdp_do_redirect *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_xdp_do_redirect__create_skeleton(struct test_xdp_do_redirect *obj);

static inline struct test_xdp_do_redirect *
test_xdp_do_redirect__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_xdp_do_redirect *obj;
	int err;

	obj = (struct test_xdp_do_redirect *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_xdp_do_redirect__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_xdp_do_redirect__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_xdp_do_redirect *
test_xdp_do_redirect__open(void)
{
	return test_xdp_do_redirect__open_opts(NULL);
}

static inline int
test_xdp_do_redirect__load(struct test_xdp_do_redirect *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_xdp_do_redirect *
test_xdp_do_redirect__open_and_load(void)
{
	struct test_xdp_do_redirect *obj;
	int err;

	obj = test_xdp_do_redirect__open();
	if (!obj)
		return NULL;
	err = test_xdp_do_redirect__load(obj);
	if (err) {
		test_xdp_do_redirect__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_xdp_do_redirect__attach(struct test_xdp_do_redirect *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_xdp_do_redirect__detach(struct test_xdp_do_redirect *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_xdp_do_redirect__elf_bytes(size_t *sz);

static inline int
test_xdp_do_redirect__create_skeleton(struct test_xdp_do_redirect *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_xdp_do_redirect";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_xdp.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_xdp.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_xdp.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xdp_redirect";
	s->progs[0].prog = &obj->progs.xdp_redirect;
	s->progs[0].link = &obj->links.xdp_redirect;

	s->progs[1].name = "xdp_count_pkts";
	s->progs[1].prog = &obj->progs.xdp_count_pkts;
	s->progs[1].link = &obj->links.xdp_count_pkts;

	s->progs[2].name = "tc_count_pkts";
	s->progs[2].prog = &obj->progs.tc_count_pkts;
	s->progs[2].link = &obj->links.tc_count_pkts;

	s->data = test_xdp_do_redirect__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_xdp_do_redirect__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x74\x63\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x78\x64\x70\x5f\
\x64\x6f\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x2e\x63\0\x78\x64\x70\x5f\x72\x65\
\x64\x69\x72\x65\x63\x74\0\x72\x65\x74\x63\x6f\x64\x65\0\x69\x66\x69\x6e\x64\
\x65\x78\x5f\x69\x6e\0\x70\x6b\x74\x73\x5f\x73\x65\x65\x6e\x5f\x7a\x65\x72\x6f\
\0\x69\x66\x69\x6e\x64\x65\x78\x5f\x6f\x75\x74\0\x78\x64\x70\x5f\x63\x6f\x75\
\x6e\x74\x5f\x70\x6b\x74\x73\0\x70\x6b\x74\x73\x5f\x73\x65\x65\x6e\x5f\x78\x64\
\x70\0\x74\x63\x5f\x63\x6f\x75\x6e\x74\x5f\x70\x6b\x74\x73\0\x70\x6b\x74\x73\
\x5f\x73\x65\x65\x6e\x5f\x74\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\x78\
\x70\x65\x63\x74\x5f\x64\x73\x74\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x72\x65\
\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x80\x01\0\0\0\0\0\0\x57\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x5f\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x05\
\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x07\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x85\0\0\0\x12\0\x03\0\x80\x01\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\
\x94\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa2\0\0\0\x12\0\x04\0\
\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xb0\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\xbd\0\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc6\0\0\
\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\x61\x13\
\x08\0\0\0\0\0\x61\x14\x04\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x57\0\0\0\0\0\0\xbf\x25\0\0\0\0\0\0\x07\x05\0\0\x3f\0\0\0\
\x2d\x45\x24\0\0\0\0\0\x61\x14\x0c\0\0\0\0\0\x18\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x55\0\0\0\0\0\0\x5e\x54\x1f\0\0\0\0\0\xbf\x34\0\0\0\0\0\0\x07\x04\0\0\
\x04\0\0\0\x2d\x24\x1c\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x56\x03\x1a\0\x42\0\0\0\
\x71\x23\x3e\0\0\0\0\0\x56\x03\x05\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x34\0\0\0\0\0\0\x04\x04\0\0\x01\0\0\0\x63\x43\0\0\0\0\0\0\x72\x02\x3e\0\
\x42\0\0\0\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x36\0\0\0\x55\0\x0f\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xc6\x02\x03\0\x03\0\0\0\
\x61\x12\0\0\0\0\0\0\x04\x02\0\0\xff\xff\xff\xff\x63\x21\0\0\0\0\0\0\xbc\x76\0\
\0\0\0\0\0\x56\x07\x06\0\x04\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\
\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x17\0\0\0\xbf\x06\0\0\0\0\0\0\xbc\
\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\x04\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\x3f\0\0\0\x2d\x23\x0d\0\0\0\0\0\xb7\x02\0\0\
\x06\0\0\0\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x71\x32\x0e\0\0\0\0\0\x56\
\x02\x08\0\x11\0\0\0\x71\x12\x3e\0\0\0\0\0\x56\x02\x06\0\x42\0\0\0\x72\x01\x3e\
\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\
\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\
\x50\0\0\0\0\0\x61\x11\x4c\0\0\0\0\0\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\x3f\0\0\0\
\x2d\x23\x0d\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\
\0\0\0\x71\x32\x0e\0\0\0\0\0\x56\x02\x08\0\x11\0\0\0\x71\x12\x3e\0\0\0\0\0\x56\
\x02\x06\0\x42\0\0\0\x72\x01\x3e\0\x45\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x12\0\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\x20\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\xb0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\x40\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\
\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\
\x06\0\0\x64\x06\0\0\xe2\x06\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x06\0\0\
\x04\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\
\0\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\
\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\
\x65\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\x76\
\0\0\0\x01\0\0\x0c\x05\0\0\0\x85\0\0\0\x07\0\0\x84\x28\0\0\0\x8d\0\0\0\x0a\0\0\
\0\0\0\0\x04\x96\0\0\0\x0a\0\0\0\x04\0\0\x04\x9e\0\0\0\x0c\0\0\0\x08\0\0\0\xa7\
\0\0\0\x0e\0\0\0\x20\0\0\0\xb3\0\0\0\x0a\0\0\0\x30\0\0\0\xbb\0\0\0\x0a\0\0\0\
\x38\0\0\0\0\0\0\0\x11\0\0\0\x40\0\0\0\xc5\0\0\0\0\0\0\x08\x0b\0\0\0\xca\0\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x0d\0\0\0\
\x03\0\0\0\xd8\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xec\0\0\0\0\0\0\x08\x0f\0\0\
\0\xf3\0\0\0\0\0\0\x08\x10\0\0\0\xf9\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\0\0\0\
\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\x08\x01\0\0\x12\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\x04\x20\0\0\0\x0e\x01\0\0\x13\0\0\0\0\0\0\0\x14\x01\0\0\x13\
\0\0\0\x80\0\0\0\x1a\x01\0\0\x01\0\0\x04\x10\0\0\0\x23\x01\0\0\x14\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x29\x01\0\0\x15\0\0\0\0\0\0\0\x32\x01\0\0\x16\
\0\0\0\0\0\0\0\x3c\x01\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\
\0\x0d\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x0d\0\0\0\x08\0\0\0\
\x46\x01\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x0d\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\x4d\x01\0\0\x22\0\0\x04\xc0\0\0\0\x57\
\x01\0\0\x03\0\0\0\0\0\0\0\x5b\x01\0\0\x03\0\0\0\x20\0\0\0\x64\x01\0\0\x03\0\0\
\0\x40\0\0\0\x69\x01\0\0\x03\0\0\0\x60\0\0\0\x77\x01\0\0\x03\0\0\0\x80\0\0\0\
\x80\x01\0\0\x03\0\0\0\xa0\0\0\0\x8d\x01\0\0\x03\0\0\0\xc0\0\0\0\x96\x01\0\0\
\x03\0\0\0\xe0\0\0\0\x8d\0\0\0\x03\0\0\0\0\x01\0\0\x20\0\0\0\x03\0\0\0\x20\x01\
\0\0\xa1\x01\0\0\x03\0\0\0\x40\x01\0\0\xa9\x01\0\0\x03\0\0\0\x60\x01\0\0\xb2\
\x01\0\0\x1b\0\0\0\x80\x01\0\0\xb5\x01\0\0\x03\0\0\0\x20\x02\0\0\xba\x01\0\0\
\x03\0\0\0\x40\x02\0\0\x08\0\0\0\x03\0\0\0\x60\x02\0\0\x0d\0\0\0\x03\0\0\0\x80\
\x02\0\0\xc5\x01\0\0\x03\0\0\0\xa0\x02\0\0\xcd\x01\0\0\x03\0\0\0\xc0\x02\0\0\
\xd4\x01\0\0\x03\0\0\0\xe0\x02\0\0\xdf\x01\0\0\x03\0\0\0\0\x03\0\0\xe9\x01\0\0\
\x1c\0\0\0\x20\x03\0\0\xf4\x01\0\0\x1c\0\0\0\xa0\x03\0\0\xfe\x01\0\0\x03\0\0\0\
\x20\x04\0\0\x0a\x02\0\0\x03\0\0\0\x40\x04\0\0\x16\0\0\0\x03\0\0\0\x60\x04\0\0\
\0\0\0\0\x1d\0\0\0\x80\x04\0\0\x15\x02\0\0\x1f\0\0\0\xc0\x04\0\0\x1c\x02\0\0\
\x03\0\0\0\0\x05\0\0\x25\x02\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x21\0\0\0\x40\
\x05\0\0\x2e\x02\0\0\x03\0\0\0\x80\x05\0\0\x37\x02\0\0\x0a\0\0\0\xa0\x05\0\0\
\x43\x02\0\0\x1f\0\0\0\xc0\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x0d\0\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x0d\0\0\0\x04\0\0\0\0\0\0\0\
\x01\0\0\x05\x08\0\0\0\x4c\x02\0\0\x1e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x35\0\0\
\0\x56\x02\0\0\0\0\0\x08\x20\0\0\0\x5c\x02\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\
\0\0\0\x01\0\0\x05\x08\0\0\0\x6f\x02\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x34\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x72\x02\0\0\x19\0\0\0\x76\x02\0\0\x01\
\0\0\x0c\x23\0\0\0\0\0\0\0\0\0\0\x09\x06\0\0\0\x84\x02\0\0\0\0\0\x0e\x25\0\0\0\
\x01\0\0\0\x92\x02\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\xa1\x02\0\0\0\0\0\x0e\x25\
\0\0\0\x01\0\0\0\xae\x02\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\
\x25\0\0\0\xb6\x02\0\0\0\0\0\x0e\x2a\0\0\0\x01\0\0\0\xc1\x02\0\0\0\0\0\x0e\x2a\
\0\0\0\x01\0\0\0\xcd\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x2d\0\0\0\x0d\0\0\0\x04\0\0\0\xd2\x02\0\0\0\0\0\x0e\x2e\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x0a\x31\0\0\0\0\0\0\0\0\0\0\x09\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x30\0\0\0\x0d\0\0\0\x06\0\0\0\xdb\x02\0\0\0\0\0\x0e\x32\0\0\0\x01\0\0\0\
\xe6\x02\0\0\0\0\0\x07\0\0\0\0\xef\x02\0\0\0\0\0\x07\0\0\0\0\xc4\x06\0\0\x03\0\
\0\x0f\x0c\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\0\x28\
\0\0\0\x08\0\0\0\x04\0\0\0\xc9\x06\0\0\x01\0\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\
\x04\0\0\0\xcf\x06\0\0\x03\0\0\x0f\x0e\0\0\0\x2b\0\0\0\0\0\0\0\x04\0\0\0\x2c\0\
\0\0\x04\0\0\0\x04\0\0\0\x33\0\0\0\x08\0\0\0\x06\0\0\0\xd7\x06\0\0\x01\0\0\x0f\
\x04\0\0\0\x2f\0\0\0\0\0\0\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\
\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\
\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\0\x78\x64\x70\x5f\x72\x65\x64\x69\
\x72\x65\x63\x74\0\x78\x64\x70\x5f\x63\x6f\x75\x6e\x74\x5f\x70\x6b\x74\x73\0\
\x69\x70\x76\x36\x68\x64\x72\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x76\x65\x72\
\x73\x69\x6f\x6e\0\x66\x6c\x6f\x77\x5f\x6c\x62\x6c\0\x70\x61\x79\x6c\x6f\x61\
\x64\x5f\x6c\x65\x6e\0\x6e\x65\x78\x74\x68\x64\x72\0\x68\x6f\x70\x5f\x6c\x69\
\x6d\x69\x74\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x5f\x5f\x62\x65\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x61\x64\x64\x72\x73\0\x73\x61\x64\x64\
\x72\0\x64\x61\x64\x64\x72\0\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x69\x6e\x36\x5f\
\x75\0\x75\x36\x5f\x61\x64\x64\x72\x38\0\x75\x36\x5f\x61\x64\x64\x72\x31\x36\0\
\x75\x36\x5f\x61\x64\x64\x72\x33\x32\0\x5f\x5f\x62\x65\x33\x32\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\
\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x6e\x61\x70\x69\x5f\
\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\
\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\
\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x74\x73\x74\x61\x6d\x70\0\
\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\
\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\
\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x73\x6b\0\x73\x6b\x62\0\x74\x63\x5f\x63\x6f\x75\x6e\x74\x5f\x70\x6b\
\x74\x73\0\x70\x6b\x74\x73\x5f\x73\x65\x65\x6e\x5f\x78\x64\x70\0\x70\x6b\x74\
\x73\x5f\x73\x65\x65\x6e\x5f\x7a\x65\x72\x6f\0\x70\x6b\x74\x73\x5f\x73\x65\x65\
\x6e\x5f\x74\x63\0\x72\x65\x74\x63\x6f\x64\x65\0\x69\x66\x69\x6e\x64\x65\x78\
\x5f\x69\x6e\0\x69\x66\x69\x6e\x64\x65\x78\x5f\x6f\x75\x74\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\x78\x70\x65\x63\x74\x5f\x64\x73\x74\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x78\x64\x70\x5f\x64\
\x6f\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\
\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\
\x70\x5f\x6d\x64\x20\x2a\x78\x64\x70\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x2a\x6d\
\x65\x74\x61\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\
\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\
\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\
\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\
\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\
\x20\x72\x65\x74\x63\x6f\x64\x65\x3b\0\x09\x69\x66\x20\x28\x70\x61\x79\x6c\x6f\
\x61\x64\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\
\x69\x66\x20\x28\x78\x64\x70\x2d\x3e\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\
\x69\x6e\x64\x65\x78\x20\x21\x3d\x20\x28\x5f\x5f\x75\x33\x32\x29\x69\x66\x69\
\x6e\x64\x65\x78\x5f\x69\x6e\x29\0\x09\x69\x66\x20\x28\x2a\x6d\x65\x74\x61\x64\
\x61\x74\x61\x20\x21\x3d\x20\x30\x78\x34\x32\x29\0\x09\x69\x66\x20\x28\x2a\x70\
\x61\x79\x6c\x6f\x61\x64\x20\x3d\x3d\x20\x4d\x41\x52\x4b\x5f\x58\x4d\x49\x54\
\x29\0\x09\x09\x70\x6b\x74\x73\x5f\x73\x65\x65\x6e\x5f\x7a\x65\x72\x6f\x2b\x2b\
\x3b\0\x09\x2a\x70\x61\x79\x6c\x6f\x61\x64\x20\x3d\x20\x4d\x41\x52\x4b\x5f\x49\
\x4e\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x78\x64\x70\x5f\x61\x64\x6a\x75\
\x73\x74\x5f\x6d\x65\x74\x61\x28\x78\x64\x70\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x5f\x5f\x75\x36\x34\x29\x29\x29\0\x09\x69\x66\x20\x28\x72\x65\x74\x63\x6f\
\x64\x65\x20\x3e\x20\x58\x44\x50\x5f\x50\x41\x53\x53\x29\0\x09\x09\x72\x65\x74\
\x63\x6f\x64\x65\x2d\x2d\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3d\x3d\x20\
\x58\x44\x50\x5f\x52\x45\x44\x49\x52\x45\x43\x54\x29\0\x09\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x28\x69\x66\x69\
\x6e\x64\x65\x78\x5f\x6f\x75\x74\x2c\x20\x30\x29\x3b\0\x7d\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x69\x70\x76\x36\x68\x64\x72\x20\x2a\x69\x70\x68\x20\x3d\x20\
\x64\x61\x74\x61\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x65\x74\x68\x68\x64\x72\x29\x3b\0\x09\x69\x66\x20\x28\x69\x70\x68\x2d\
\x3e\x6e\x65\x78\x74\x68\x64\x72\x20\x21\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\
\x5f\x55\x44\x50\x20\x7c\x7c\x20\x2a\x70\x61\x79\x6c\x6f\x61\x64\x20\x21\x3d\
\x20\x4d\x41\x52\x4b\x5f\x49\x4e\x29\0\x09\x2a\x70\x61\x79\x6c\x6f\x61\x64\x20\
\x3d\x20\x6d\x61\x72\x6b\x3b\0\x09\x09\x70\x6b\x74\x73\x5f\x73\x65\x65\x6e\x5f\
\x78\x64\x70\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x58\x44\x50\x5f\x44\
\x52\x4f\x50\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\
\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x73\x6b\
\x62\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\
\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\
\x67\x29\x73\x6b\x62\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x09\x70\x6b\x74\x73\x5f\
\x73\x65\x65\x6e\x5f\x74\x63\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\
\x3b\0\x30\x3a\x32\0\x30\x3a\x31\0\x30\x3a\x30\0\x30\x3a\x33\0\x30\x3a\x34\0\
\x30\x3a\x31\x36\0\x30\x3a\x31\x35\0\x2e\x62\x73\x73\0\x2e\x64\x61\x74\x61\0\
\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x24\x03\0\0\x50\x03\0\0\xb4\0\
\0\0\x08\0\0\0\x61\0\0\0\x02\0\0\0\0\0\0\0\x07\0\0\0\x80\x01\0\0\x08\0\0\0\xdf\
\x06\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\x10\0\0\0\x61\0\0\0\x25\0\0\0\0\0\0\0\xfd\
\x02\0\0\x8d\x03\0\0\0\x74\0\0\x08\0\0\0\xfd\x02\0\0\xb2\x03\0\0\x27\x7c\0\0\
\x10\0\0\0\xfd\x02\0\0\xe3\x03\0\0\x26\x80\0\0\x18\0\0\0\xfd\x02\0\0\x12\x04\0\
\0\x22\x84\0\0\x20\0\0\0\xfd\x02\0\0\x39\x04\0\0\x0c\x90\0\0\x38\0\0\0\xfd\x02\
\0\0\x4d\x04\0\0\x0e\x98\0\0\x48\0\0\0\xfd\x02\0\0\x4d\x04\0\0\x06\x98\0\0\x50\
\0\0\0\xfd\x02\0\0\x6a\x04\0\0\x0b\xa4\0\0\x58\0\0\0\xfd\x02\0\0\x6a\x04\0\0\
\x25\xa4\0\0\x70\0\0\0\xfd\x02\0\0\x6a\x04\0\0\x06\xa4\0\0\x90\0\0\0\xfd\x02\0\
\0\x9a\x04\0\0\x06\xbc\0\0\x98\0\0\0\xfd\x02\0\0\x9a\x04\0\0\x06\xbc\0\0\xa0\0\
\0\0\xfd\x02\0\0\xb2\x04\0\0\x06\xc8\0\0\xa8\0\0\0\xfd\x02\0\0\xb2\x04\0\0\x06\
\xc8\0\0\xb0\0\0\0\xfd\x02\0\0\xce\x04\0\0\x11\xcc\0\0\xd8\0\0\0\xfd\x02\0\0\
\xe2\x04\0\0\x0b\xd4\0\0\xe0\0\0\0\xfd\x02\0\0\xf7\x04\0\0\x06\xdc\0\0\xf0\0\0\
\0\xfd\x02\0\0\xf7\x04\0\0\x06\xdc\0\0\xf8\0\0\0\xfd\x02\0\0\x25\x05\0\0\x06\
\xe8\0\0\x10\x01\0\0\xfd\x02\0\0\x25\x05\0\0\x06\xe8\0\0\x18\x01\0\0\xfd\x02\0\
\0\x3e\x05\0\0\x0a\xec\0\0\x38\x01\0\0\xfd\x02\0\0\x4b\x05\0\0\x06\xf4\0\0\x40\
\x01\0\0\xfd\x02\0\0\x65\x05\0\0\x17\xf8\0\0\x58\x01\0\0\xfd\x02\0\0\x65\x05\0\
\0\x0a\xf8\0\0\x70\x01\0\0\xfd\x02\0\0\x8c\x05\0\0\x01\x04\x01\0\x80\x01\0\0\
\xfd\x02\0\0\xe3\x03\0\0\x26\x64\x01\0\x88\x01\0\0\xfd\x02\0\0\x12\x04\0\0\x22\
\x60\x01\0\x90\x01\0\0\xfd\x02\0\0\x4d\x04\0\0\x0e\x20\x01\0\xa0\x01\0\0\xfd\
\x02\0\0\x4d\x04\0\0\x06\x20\x01\0\xb0\x01\0\0\xfd\x02\0\0\x8e\x05\0\0\x1d\x14\
\x01\0\xc0\x01\0\0\xfd\x02\0\0\xc3\x05\0\0\x0b\x2c\x01\0\xc8\x01\0\0\xfd\x02\0\
\0\xc3\x05\0\0\x22\x2c\x01\0\xd0\x01\0\0\xfd\x02\0\0\xc3\x05\0\0\x25\x2c\x01\0\
\xd8\x01\0\0\xfd\x02\0\0\xc3\x05\0\0\x06\x2c\x01\0\xe0\x01\0\0\xfd\x02\0\0\xfc\
\x05\0\0\x0b\x44\x01\0\xe8\x01\0\0\xfd\x02\0\0\x0e\x06\0\0\x10\x70\x01\0\x10\
\x02\0\0\xfd\x02\0\0\x21\x06\0\0\x02\x88\x01\0\xdf\x06\0\0\x0c\0\0\0\0\0\0\0\
\xfd\x02\0\0\x33\x06\0\0\x26\xa4\x01\0\x08\0\0\0\xfd\x02\0\0\x62\x06\0\0\x22\
\xa0\x01\0\x10\0\0\0\xfd\x02\0\0\x4d\x04\0\0\x0e\x20\x01\0\x20\0\0\0\xfd\x02\0\
\0\x4d\x04\0\0\x06\x20\x01\0\x30\0\0\0\xfd\x02\0\0\x8e\x05\0\0\x1d\x14\x01\0\
\x40\0\0\0\xfd\x02\0\0\xc3\x05\0\0\x0b\x2c\x01\0\x48\0\0\0\xfd\x02\0\0\xc3\x05\
\0\0\x22\x2c\x01\0\x50\0\0\0\xfd\x02\0\0\xc3\x05\0\0\x25\x2c\x01\0\x58\0\0\0\
\xfd\x02\0\0\xc3\x05\0\0\x06\x2c\x01\0\x60\0\0\0\xfd\x02\0\0\xfc\x05\0\0\x0b\
\x44\x01\0\x68\0\0\0\xfd\x02\0\0\x89\x06\0\0\x0f\xb0\x01\0\x90\0\0\0\xfd\x02\0\
\0\x9b\x06\0\0\x02\xc4\x01\0\x10\0\0\0\x61\0\0\0\x07\0\0\0\x08\0\0\0\x02\0\0\0\
\xa6\x06\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\xaa\x06\0\0\0\0\0\0\x18\0\0\0\x02\0\0\
\0\xae\x06\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\xb2\x06\0\0\0\0\0\0\x80\x01\0\0\x02\
\0\0\0\xaa\x06\0\0\0\0\0\0\x88\x01\0\0\x02\0\0\0\xae\x06\0\0\0\0\0\0\xa8\x01\0\
\0\x09\0\0\0\xb6\x06\0\0\0\0\0\0\xdf\x06\0\0\x03\0\0\0\0\0\0\0\x1a\0\0\0\xba\
\x06\0\0\0\0\0\0\x08\0\0\0\x1a\0\0\0\xbf\x06\0\0\0\0\0\0\x28\0\0\0\x09\0\0\0\
\xb6\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xee\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x58\x05\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x23\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\x05\0\0\0\0\0\0\x0e\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd1\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x05\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd9\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe0\x05\0\0\0\0\0\0\x5e\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x13\0\0\0\0\0\0\x24\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_xdp_do_redirect *test_xdp_do_redirect::open(const struct bpf_object_open_opts *opts) { return test_xdp_do_redirect__open_opts(opts); }
struct test_xdp_do_redirect *test_xdp_do_redirect::open_and_load() { return test_xdp_do_redirect__open_and_load(); }
int test_xdp_do_redirect::load(struct test_xdp_do_redirect *skel) { return test_xdp_do_redirect__load(skel); }
int test_xdp_do_redirect::attach(struct test_xdp_do_redirect *skel) { return test_xdp_do_redirect__attach(skel); }
void test_xdp_do_redirect::detach(struct test_xdp_do_redirect *skel) { test_xdp_do_redirect__detach(skel); }
void test_xdp_do_redirect::destroy(struct test_xdp_do_redirect *skel) { test_xdp_do_redirect__destroy(skel); }
const void *test_xdp_do_redirect::elf_bytes(size_t *sz) { return test_xdp_do_redirect__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_xdp_do_redirect__assert(struct test_xdp_do_redirect *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pkts_seen_xdp) == 4, "unexpected size of 'pkts_seen_xdp'");
	_Static_assert(sizeof(s->bss->pkts_seen_zero) == 4, "unexpected size of 'pkts_seen_zero'");
	_Static_assert(sizeof(s->bss->pkts_seen_tc) == 4, "unexpected size of 'pkts_seen_tc'");
	_Static_assert(sizeof(s->data->retcode) == 4, "unexpected size of 'retcode'");
	_Static_assert(sizeof(s->rodata->ifindex_in) == 4, "unexpected size of 'ifindex_in'");
	_Static_assert(sizeof(s->rodata->ifindex_out) == 4, "unexpected size of 'ifindex_out'");
	_Static_assert(sizeof(s->rodata->expect_dst) == 6, "unexpected size of 'expect_dst'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_XDP_DO_REDIRECT_SKEL_H__ */
