/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TIMER_FAILURE_SKEL_H__
#define __TIMER_FAILURE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct timer_failure {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *timer_map;
	} maps;
	struct {
		struct bpf_program *test_bad_ret;
	} progs;
	struct {
		struct bpf_link *test_bad_ret;
	} links;

#ifdef __cplusplus
	static inline struct timer_failure *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct timer_failure *open_and_load();
	static inline int load(struct timer_failure *skel);
	static inline int attach(struct timer_failure *skel);
	static inline void detach(struct timer_failure *skel);
	static inline void destroy(struct timer_failure *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
timer_failure__destroy(struct timer_failure *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
timer_failure__create_skeleton(struct timer_failure *obj);

static inline struct timer_failure *
timer_failure__open_opts(const struct bpf_object_open_opts *opts)
{
	struct timer_failure *obj;
	int err;

	obj = (struct timer_failure *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = timer_failure__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	timer_failure__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct timer_failure *
timer_failure__open(void)
{
	return timer_failure__open_opts(NULL);
}

static inline int
timer_failure__load(struct timer_failure *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct timer_failure *
timer_failure__open_and_load(void)
{
	struct timer_failure *obj;
	int err;

	obj = timer_failure__open();
	if (!obj)
		return NULL;
	err = timer_failure__load(obj);
	if (err) {
		timer_failure__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
timer_failure__attach(struct timer_failure *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
timer_failure__detach(struct timer_failure *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *timer_failure__elf_bytes(size_t *sz);

static inline int
timer_failure__create_skeleton(struct timer_failure *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "timer_failure";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "timer_map";
	map->map = &obj->maps.timer_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_bad_ret";
	s->progs[0].prog = &obj->progs.test_bad_ret;
	s->progs[0].link = &obj->links.test_bad_ret;

	s->data = timer_failure__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *timer_failure__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\
\x73\0\x74\x69\x6d\x65\x72\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x63\0\x74\x69\
\x6d\x65\x72\x5f\x63\x62\x5f\x72\x65\x74\x5f\x62\x61\x64\0\x74\x65\x73\x74\x5f\
\x62\x61\x64\x5f\x72\x65\x74\0\x74\x69\x6d\x65\x72\x5f\x6d\x61\x70\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x3d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x28\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x12\
\0\x04\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\x6b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x75\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x85\0\0\0\x07\0\0\0\x65\0\x01\0\xe8\x03\0\0\xb7\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x06\0\0\0\0\0\0\x15\x06\x0d\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x03\0\0\x07\0\0\0\x85\0\0\0\xa9\0\0\0\xbf\x61\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\xaa\0\0\0\xbf\x61\0\0\0\0\0\0\
\xb7\x02\0\0\xe8\x03\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\xab\0\0\0\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x48\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\x7c\x02\0\0\x7c\x02\0\0\x12\x04\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\x01\0\0\x04\x10\0\
\0\0\x1e\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\x04\x10\0\0\0\x2a\0\0\0\x0d\
\0\0\0\0\0\0\0\x33\0\0\0\0\0\0\x08\x0c\0\0\0\x39\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\0\0\x51\0\0\0\x05\0\0\0\x40\0\0\0\x5d\0\
\0\0\x07\0\0\0\x80\0\0\0\x61\0\0\0\x08\0\0\0\xc0\0\0\0\x67\0\0\0\0\0\0\x0e\x0e\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\x11\0\0\0\x71\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\0\x7f\0\0\0\0\0\0\x0c\x10\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\x01\0\
\0\x0d\x15\0\0\0\x90\0\0\0\x13\0\0\0\x94\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\
\x99\0\0\0\x01\0\0\x0c\x14\0\0\0\xa6\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\
\xbf\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xed\0\0\0\0\0\0\x11\x16\0\0\0\
\xff\xff\xff\xff\x09\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x4f\x01\0\0\0\
\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x8b\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\
\xff\xd2\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x0e\x02\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x43\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x1f\0\0\0\x04\0\0\0\x04\0\0\0\x48\x02\0\0\0\0\0\x0e\x20\0\0\0\
\x01\0\0\0\xe6\x03\0\0\x01\0\0\x0f\x04\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\xee\
\x03\0\0\x01\0\0\x0f\x20\0\0\0\x0f\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\
\x6c\x65\x6d\0\x74\0\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x5f\x5f\x6f\x70\x61\
\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\
\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x74\x69\x6d\x65\x72\
\x5f\x6d\x61\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x74\
\x69\x6d\x65\x72\x5f\x63\x62\x5f\x72\x65\x74\x5f\x62\x61\x64\0\x63\x74\x78\0\
\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x62\x61\x64\x5f\x72\x65\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\
\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\
\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\
\x53\x54\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x30\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\
\x20\x66\x72\x61\x6d\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\
\x61\x63\x6b\x3d\x20\x62\x65\x66\x6f\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x3a\
\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x23\x37\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\
\x3d\x6d\x61\x72\x6b\x5f\x70\x72\x65\x63\x69\x73\x65\x3a\x20\x66\x72\x61\x6d\
\x65\x30\x3a\x20\x72\x65\x67\x73\x3d\x72\x30\x20\x73\x74\x61\x63\x6b\x3d\x20\
\x62\x65\x66\x6f\x72\x65\x20\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x3a\x20\x28\x38\x35\
\x29\x20\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x70\x72\x61\x6e\
\x64\x6f\x6d\x5f\x75\x33\x32\x23\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x73\x68\x6f\
\x75\x6c\x64\x20\x68\x61\x76\x65\x20\x62\x65\x65\x6e\x20\x69\x6e\x20\x5b\x30\
\x2c\x20\x30\x5d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x69\x6d\x65\x72\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\
\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x09\x69\
\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x74\x69\x6d\x65\x72\x20\x3d\
\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\x28\x26\x74\x69\x6d\x65\x72\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\
\x3b\0\x09\x69\x66\x20\x28\x74\x69\x6d\x65\x72\x29\x20\x7b\0\x09\x09\x62\x70\
\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\x6e\x69\x74\x28\x74\x69\x6d\x65\x72\x2c\
\x20\x26\x74\x69\x6d\x65\x72\x5f\x6d\x61\x70\x2c\x20\x43\x4c\x4f\x43\x4b\x5f\
\x42\x4f\x4f\x54\x54\x49\x4d\x45\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x74\x69\x6d\
\x65\x72\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x74\x69\x6d\
\x65\x72\x2c\x20\x74\x69\x6d\x65\x72\x5f\x63\x62\x5f\x72\x65\x74\x5f\x62\x61\
\x64\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x73\x74\x61\x72\
\x74\x28\x74\x69\x6d\x65\x72\x2c\x20\x31\x30\x30\x30\x2c\x20\x30\x29\x3b\0\x6c\
\x6f\x6e\x67\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\
\x62\x61\x64\x5f\x72\x65\x74\x2c\x20\x69\x6e\x74\x2c\x20\x61\x29\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\0\xb8\0\0\0\0\
\0\0\0\x08\0\0\0\xf4\x03\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\xfa\x03\0\0\x01\0\0\0\
\0\0\0\0\x16\0\0\0\x10\0\0\0\xf4\x03\0\0\x01\0\0\0\0\0\0\0\x51\x02\0\0\xda\x02\
\0\0\x02\x6c\0\0\xfa\x03\0\0\x07\0\0\0\0\0\0\0\x51\x02\0\0\xea\x02\0\0\x06\xe4\
\0\0\x18\0\0\0\x51\x02\0\0\xf8\x02\0\0\x0a\xf0\0\0\x38\0\0\0\x51\x02\0\0\x28\
\x03\0\0\x06\xf4\0\0\x40\0\0\0\x51\x02\0\0\x36\x03\0\0\x03\xf8\0\0\x68\0\0\0\
\x51\x02\0\0\x6b\x03\0\0\x03\xfc\0\0\x88\0\0\0\x51\x02\0\0\x9e\x03\0\0\x03\0\
\x01\0\xa8\0\0\0\x51\x02\0\0\xc1\x03\0\0\x06\xdc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\
\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x90\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7e\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x02\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x9a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\
\0\xa6\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x09\0\0\0\0\0\0\xd8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct timer_failure *timer_failure::open(const struct bpf_object_open_opts *opts) { return timer_failure__open_opts(opts); }
struct timer_failure *timer_failure::open_and_load() { return timer_failure__open_and_load(); }
int timer_failure::load(struct timer_failure *skel) { return timer_failure__load(skel); }
int timer_failure::attach(struct timer_failure *skel) { return timer_failure__attach(skel); }
void timer_failure::detach(struct timer_failure *skel) { timer_failure__detach(skel); }
void timer_failure::destroy(struct timer_failure *skel) { timer_failure__destroy(skel); }
const void *timer_failure::elf_bytes(size_t *sz) { return timer_failure__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
timer_failure__assert(struct timer_failure *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TIMER_FAILURE_SKEL_H__ */
