/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __USER_RINGBUF_SUCCESS_SKEL_H__
#define __USER_RINGBUF_SUCCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct user_ringbuf_success {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *user_ringbuf;
		struct bpf_map *kernel_ringbuf;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *test_user_ringbuf_protocol;
		struct bpf_program *test_user_ringbuf;
		struct bpf_program *test_user_ringbuf_epoll;
	} progs;
	struct {
		struct bpf_link *test_user_ringbuf_protocol;
		struct bpf_link *test_user_ringbuf;
		struct bpf_link *test_user_ringbuf_epoll;
	} links;
	struct user_ringbuf_success__bss {
		int read;
		char __pad0[4];
		__u64 kern_mutated;
		__u64 user_mutated;
		__u64 expected_user_mutated;
		int err;
		int pid;
		int val;
	} *bss;

#ifdef __cplusplus
	static inline struct user_ringbuf_success *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct user_ringbuf_success *open_and_load();
	static inline int load(struct user_ringbuf_success *skel);
	static inline int attach(struct user_ringbuf_success *skel);
	static inline void detach(struct user_ringbuf_success *skel);
	static inline void destroy(struct user_ringbuf_success *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
user_ringbuf_success__destroy(struct user_ringbuf_success *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
user_ringbuf_success__create_skeleton(struct user_ringbuf_success *obj);

static inline struct user_ringbuf_success *
user_ringbuf_success__open_opts(const struct bpf_object_open_opts *opts)
{
	struct user_ringbuf_success *obj;
	int err;

	obj = (struct user_ringbuf_success *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = user_ringbuf_success__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	user_ringbuf_success__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct user_ringbuf_success *
user_ringbuf_success__open(void)
{
	return user_ringbuf_success__open_opts(NULL);
}

static inline int
user_ringbuf_success__load(struct user_ringbuf_success *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct user_ringbuf_success *
user_ringbuf_success__open_and_load(void)
{
	struct user_ringbuf_success *obj;
	int err;

	obj = user_ringbuf_success__open();
	if (!obj)
		return NULL;
	err = user_ringbuf_success__load(obj);
	if (err) {
		user_ringbuf_success__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
user_ringbuf_success__attach(struct user_ringbuf_success *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
user_ringbuf_success__detach(struct user_ringbuf_success *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *user_ringbuf_success__elf_bytes(size_t *sz);

static inline int
user_ringbuf_success__create_skeleton(struct user_ringbuf_success *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "user_ringbuf_success";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "user_ringbuf";
	map->map = &obj->maps.user_ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "kernel_ringbuf";
	map->map = &obj->maps.kernel_ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "user_rin.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "user_rin.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_user_ringbuf_protocol";
	s->progs[0].prog = &obj->progs.test_user_ringbuf_protocol;
	s->progs[0].link = &obj->links.test_user_ringbuf_protocol;

	s->progs[1].name = "test_user_ringbuf";
	s->progs[1].prog = &obj->progs.test_user_ringbuf;
	s->progs[1].link = &obj->links.test_user_ringbuf;

	s->progs[2].name = "test_user_ringbuf_epoll";
	s->progs[2].prog = &obj->progs.test_user_ringbuf_epoll;
	s->progs[2].link = &obj->links.test_user_ringbuf_epoll;

	s->data = user_ringbuf_success__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *user_ringbuf_success__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x26\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\
\x70\x72\x63\x74\x6c\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\
\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\
\x65\x5f\x73\x79\x73\x5f\x70\x72\x6c\x69\x6d\x69\x74\x36\x34\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x63\x63\x65\
\x73\x73\x2e\x63\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\
\x73\x67\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x70\x75\
\x62\x6c\x69\x73\x68\x5f\x6b\x65\x72\x6e\x5f\x6d\x65\x73\x73\x61\x67\x65\x73\
\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x70\x75\x62\x6c\x69\x73\x68\x5f\x6e\x65\x78\
\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\x5f\x6d\x73\x67\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x73\x67\x2e\x5f\x5f\x5f\x5f\
\x66\x6d\x74\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\0\x72\x65\
\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x6e\x75\x6d\x5f\x63\x61\x6c\
\x6c\x73\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x5f\x5f\x5f\
\x5f\x66\x6d\x74\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x5f\
\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x64\x6f\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\
\x63\x62\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x70\x69\x64\0\x75\x73\x65\x72\x5f\x72\
\x69\x6e\x67\x62\x75\x66\0\x65\x72\x72\0\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\
\x74\x65\x64\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\
\x74\x61\x74\x65\x64\0\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x74\
\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x72\x65\x61\
\x64\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x65\x70\x6f\x6c\x6c\0\x6b\x65\x72\x6e\x65\x6c\x5f\x72\x69\x6e\x67\x62\x75\x66\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x61\x6c\0\x2e\x72\x65\x6c\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\
\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\
\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\
\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x70\x72\
\x6c\x69\x6d\x69\x74\x36\x34\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x04\0\xf1\
\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x02\0\
\x03\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\xa3\0\0\0\x01\0\x0a\0\0\0\0\0\0\0\0\
\0\x15\0\0\0\0\0\0\0\xc6\0\0\0\x01\0\x0a\0\x49\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\
\xe4\0\0\0\x02\0\x03\0\x50\x03\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\xfa\0\0\0\x01\0\
\x0a\0\x15\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x14\x01\0\0\x01\0\x0a\0\x35\0\0\0\0\
\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2e\x01\0\0\x02\0\x03\0\x70\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x3c\x01\0\0\
\x01\0\x08\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x54\x01\0\0\x01\0\x0a\0\x55\0\
\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x6a\x01\0\0\x01\0\x0a\0\x73\0\0\0\0\0\0\0\x23\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\x01\0\0\
\x02\0\x03\0\x20\x03\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\xab\x01\0\0\x11\0\
\x08\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xaf\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\xbc\x01\0\0\x11\0\x08\0\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\xc0\x01\0\0\x11\0\x08\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xcd\x01\0\0\
\x11\0\x08\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe3\x01\0\0\x11\0\x08\0\x08\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf0\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x90\0\0\
\0\0\0\0\0\x02\x02\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x07\x02\0\
\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x1f\x02\0\0\x11\0\x09\0\x08\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x2e\x02\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x37\x02\0\0\x11\0\x08\0\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x02\
\0\0\0\0\0\0\xb4\x03\0\0\x10\0\0\0\x85\0\0\0\xcb\0\0\0\x55\0\x08\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x01\0\0\x01\0\0\0\x18\x01\0\0\x15\0\0\0\0\
\0\0\0\0\0\0\0\xb4\x02\0\0\x20\0\0\0\x85\0\0\0\x06\0\0\0\x05\0\x20\0\0\0\0\0\
\x61\x03\0\0\0\0\0\0\x66\x03\x05\0\x01\0\0\0\x16\x03\x11\0\0\0\0\0\x16\x03\x01\
\0\x01\0\0\0\x05\0\x07\0\0\0\0\0\x81\x01\x08\0\0\0\0\0\x05\0\x0e\0\0\0\0\0\x16\
\x03\x12\0\x02\0\0\0\x16\x03\x01\0\x03\0\0\0\x05\0\x02\0\0\0\0\0\x81\x01\x08\0\
\0\0\0\0\x05\0\x0f\0\0\0\0\0\x18\x01\0\0\x35\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x14\0\0\0\x85\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x01\0\0\
\x02\0\0\0\x05\0\x0c\0\0\0\0\0\x79\x01\x08\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x79\x23\0\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x05\0\x05\0\0\0\0\0\x79\x01\
\x08\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x23\0\0\0\0\0\0\x2f\x13\
\0\0\0\0\0\0\x7b\x32\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x13\0\
\0\0\0\0\0\x18\x01\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\xbc\x24\0\
\0\0\0\0\0\x04\x04\0\0\x01\0\0\0\x63\x41\0\0\0\0\0\0\x54\x02\0\0\x01\0\0\0\x56\
\x02\x11\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xe0\xff\xff\xff\xb4\x02\0\0\
\x20\0\0\0\xb4\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\xc9\0\0\0\x16\0\
\x20\0\0\0\0\0\x18\x01\0\0\x55\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x1e\0\0\0\xbc\
\x03\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\
\x01\0\0\x01\0\0\0\xb7\0\0\0\x01\0\0\0\x05\0\x1b\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\
\xb4\x02\0\0\0\0\0\0\xb4\x03\0\0\x20\0\0\0\x85\0\0\0\xcb\0\0\0\x55\0\x09\0\0\0\
\0\0\x18\x01\0\0\x73\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x23\0\0\0\x85\0\0\0\x06\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x01\0\0\x02\0\0\0\xb7\0\0\0\x01\
\0\0\0\x05\0\x0d\0\0\0\0\0\x79\x01\x18\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x79\
\x01\x10\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x79\x01\x08\0\0\0\0\0\x7b\x1a\xe8\
\xff\0\0\0\0\x79\x01\0\0\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\xb4\x01\0\0\x01\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\
\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbc\x16\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x10\0\0\0\xb7\x03\0\0\0\0\0\0\x85\
\0\0\0\x83\0\0\0\x55\0\x05\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\
\x01\0\0\x04\0\0\0\xb4\0\0\0\x01\0\0\0\x05\0\x26\0\0\0\0\0\x54\x06\0\0\x03\0\0\
\0\x66\x06\x08\0\x01\0\0\0\x16\x06\x0f\0\0\0\0\0\x62\0\0\0\x01\0\0\0\x62\0\x08\
\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x07\x01\0\
\0\x02\0\0\0\x05\0\x15\0\0\0\0\0\x16\x06\x0e\0\x02\0\0\0\x62\0\0\0\x03\0\0\0\
\x62\0\x08\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\x67\x01\0\0\x01\0\0\0\x05\0\x0d\0\0\0\0\0\x62\0\0\0\0\0\0\0\x7a\0\x08\0\x04\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x07\x01\0\0\x04\0\
\0\0\x05\0\x06\0\0\0\0\0\x62\0\0\0\x02\0\0\0\x7a\0\x08\0\x04\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x67\x01\0\0\x02\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\
\0\0\0\x85\0\0\0\x84\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\
\0\x5e\x01\x26\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\
\x65\0\x09\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x15\0\0\0\xbf\x03\0\0\0\0\0\0\x85\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x62\x01\0\0\x01\0\0\0\x05\0\x15\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\x14\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x13\0\0\0\
\0\0\0\x1d\x43\x08\0\0\0\0\0\x18\x01\0\0\x49\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\
\x0c\0\0\0\x85\0\0\0\x06\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x01\0\0\
\x03\0\0\0\x05\0\x06\0\0\0\0\0\xb4\x01\0\0\x08\0\0\0\x18\x02\0\0\x50\x03\0\0\0\
\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\xb4\
\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x0a\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\xb7\
\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xd1\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\
\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\
\x20\0\0\0\x5e\x01\x0b\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\
\0\x20\x03\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\
\0\xd1\0\0\0\x65\0\x03\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\x01\0\
\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x44\x72\x61\x69\x6e\x20\x72\x65\x74\x75\x72\x6e\x65\
\x64\x3a\x20\x25\x6c\x64\x0a\0\x55\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x6c\x79\
\x20\x66\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\x65\x74\x20\x6d\x73\x67\x0a\0\
\x55\x6e\x72\x65\x63\x6f\x67\x6e\x69\x7a\x65\x64\x20\x6f\x70\x20\x25\x64\x0a\0\
\x25\x6c\x75\x20\x21\x3d\x20\x25\x6c\x75\x0a\0\x62\x70\x66\x5f\x64\x79\x6e\x70\
\x74\x72\x5f\x72\x65\x61\x64\x28\x29\x20\x66\x61\x69\x6c\x65\x64\x3a\x20\x25\
\x64\x0a\0\x55\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x6c\x79\x20\x66\x61\x69\x6c\
\x65\x64\x20\x74\x6f\x20\x67\x65\x74\x20\x73\x61\x6d\x70\x6c\x65\x0a\0\0\0\x20\
\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\xc0\0\
\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x08\x01\
\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x78\
\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\xf0\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\
\x18\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x68\x02\0\0\0\0\0\0\x01\0\0\0\x12\0\0\
\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xf8\x02\0\0\0\0\0\0\x01\0\0\0\x1b\0\
\0\0\x28\x03\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x58\x03\0\0\0\0\0\0\x01\0\0\0\x1d\
\0\0\0\x88\x03\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xd8\x03\0\0\0\0\0\0\x01\0\0\0\
\x18\0\0\0\x18\x04\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\x50\x04\0\0\0\0\0\0\x01\0\0\
\0\x18\0\0\0\x88\x04\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\xa8\x04\0\0\0\0\0\0\x01\0\
\0\0\x18\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\
\0\x15\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\
\x17\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\
\x12\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\
\0\x02\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x15\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\
\x16\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x15\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x70\0\0\0\0\0\0\0\x01\0\0\0\
\x16\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x98\x04\0\0\x98\x04\0\0\x36\x0b\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1f\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\
\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\
\x07\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3a\0\0\0\x0b\0\0\0\x3e\0\0\0\x01\0\0\x0c\
\x0c\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x59\0\0\0\x01\0\0\x04\x10\0\0\0\x64\0\0\
\0\x12\0\0\0\0\0\0\0\x6d\0\0\0\0\0\0\x08\x11\0\0\0\x73\0\0\0\0\0\0\x01\x08\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\
\x02\0\0\x0d\x14\0\0\0\x86\0\0\0\x0e\0\0\0\x8d\0\0\0\x0b\0\0\0\x95\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\x01\x9a\0\0\0\0\0\0\x0c\x13\0\0\0\xac\0\0\0\x01\0\0\x0c\
\x0c\0\0\0\xbe\0\0\0\0\0\0\x0c\x13\0\0\0\xcc\0\0\0\x01\0\0\x0c\x0c\0\0\0\xe4\0\
\0\0\0\0\0\x0c\x13\0\0\0\xf2\0\0\0\0\0\0\x08\x1b\0\0\0\xf8\0\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\x0d\x02\0\0\0\x05\x01\0\0\x1a\0\0\0\x8d\0\0\0\
\x0b\0\0\0\x0b\x01\0\0\0\0\0\x0c\x1c\0\0\0\x21\x01\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\x04\0\0\0\x26\x01\0\0\0\
\0\0\x0e\x1f\0\0\0\x01\0\0\0\x2f\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x34\x01\
\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x41\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\
\x4e\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x1e\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x15\0\0\0\x64\x01\0\0\0\0\0\x0e\x26\0\0\
\0\0\0\0\0\x87\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x8b\x01\0\0\0\0\0\x0e\x02\
\0\0\0\x01\0\0\0\x8f\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x25\0\0\0\x04\0\0\0\x20\0\0\0\x93\x01\0\0\0\0\0\x0e\x2b\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x14\0\0\0\xad\x01\0\0\0\0\0\x0e\
\x2d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x0c\0\0\0\xc7\
\x01\0\0\0\0\0\x0e\x2f\0\0\0\0\0\0\0\xe5\x01\0\0\0\0\0\x0e\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x1e\0\0\0\xfd\x01\0\0\0\0\0\x0e\
\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x04\0\0\0\x23\0\0\0\x13\
\x02\0\0\0\0\0\x0e\x34\0\0\0\0\0\0\0\xcd\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x20\0\0\
\0\0\0\0\0\x04\0\0\0\xd5\x0a\0\0\x08\0\0\x0f\x30\0\0\0\x21\0\0\0\0\0\0\0\x04\0\
\0\0\x22\0\0\0\x08\0\0\0\x08\0\0\0\x23\0\0\0\x10\0\0\0\x08\0\0\0\x24\0\0\0\x18\
\0\0\0\x08\0\0\0\x28\0\0\0\x20\0\0\0\x04\0\0\0\x29\0\0\0\x24\0\0\0\x04\0\0\0\
\x2a\0\0\0\x28\0\0\0\x04\0\0\0\x31\0\0\0\x2c\0\0\0\x04\0\0\0\xda\x0a\0\0\x02\0\
\0\x0f\x10\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\x0a\0\0\0\x08\0\0\0\x08\0\0\0\xe0\
\x0a\0\0\x06\0\0\x0f\x96\0\0\0\x27\0\0\0\0\0\0\0\x15\0\0\0\x2c\0\0\0\x15\0\0\0\
\x20\0\0\0\x2e\0\0\0\x35\0\0\0\x14\0\0\0\x30\0\0\0\x49\0\0\0\x0c\0\0\0\x33\0\0\
\0\x55\0\0\0\x1e\0\0\0\x35\0\0\0\x73\0\0\0\x23\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x6b\x65\x72\x6e\
\x65\x6c\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\x63\
\x6f\x6c\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\x71\
\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x64\x79\x6e\x70\x74\x72\0\x63\x6f\x6e\x74\x65\
\x78\x74\0\x6c\x6f\x6e\x67\0\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\x5f\x6d\x73\x67\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\
\x62\x75\x66\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\0\x74\x65\
\x73\x74\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x65\x70\x6f\
\x6c\x6c\0\x64\x6f\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\x63\x62\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x69\x6e\x64\x65\
\x78\0\x70\x75\x62\x6c\x69\x73\x68\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\
\x6d\x73\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x65\x61\
\x64\0\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x75\x73\x65\x72\x5f\
\x6d\x75\x74\x61\x74\x65\x64\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\
\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\0\x74\x65\x73\x74\x5f\x75\x73\x65\x72\x5f\
\x72\x69\x6e\x67\x62\x75\x66\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x2e\x5f\x5f\
\x5f\x5f\x66\x6d\x74\0\x65\x72\x72\0\x70\x69\x64\0\x76\x61\x6c\0\x72\x65\x61\
\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\x73\x67\x2e\x5f\x5f\x5f\x5f\
\x66\x6d\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x61\x6d\x70\x6c\x65\x5f\x6d\x73\
\x67\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\x70\x75\x62\x6c\x69\x73\x68\x5f\x6b\x65\
\x72\x6e\x5f\x6d\x65\x73\x73\x61\x67\x65\x73\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\0\
\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x6e\x75\x6d\x5f\x63\
\x61\x6c\x6c\x73\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\x2e\x5f\
\x5f\x5f\x5f\x66\x6d\x74\0\x72\x65\x63\x6f\x72\x64\x5f\x73\x61\x6d\x70\x6c\x65\
\x2e\x5f\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x63\x63\x65\x73\x73\x2e\
\x63\0\x09\x6d\x73\x67\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\
\x64\x61\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\
\x65\x6f\x66\x28\x2a\x6d\x73\x67\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x73\
\x67\x29\x20\x7b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x31\x3b\0\x09\x09\x62\x70\
\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x55\x6e\x65\x78\x70\x65\x63\x74\x65\
\x64\x6c\x79\x20\x66\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\x65\x74\x20\x6d\
\x73\x67\x5c\x6e\x22\x29\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x09\x73\x77\x69\x74\x63\x68\x20\x28\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\
\x70\x29\x20\x7b\0\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\
\x2b\x3d\x20\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\
\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\x3d\x20\x6d\
\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x62\x70\
\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x55\x6e\x72\x65\x63\x6f\x67\x6e\x69\
\x7a\x65\x64\x20\x6f\x70\x20\x25\x64\x5c\x6e\x22\x2c\x20\x6d\x73\x67\x2d\x3e\
\x6d\x73\x67\x5f\x6f\x70\x29\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x32\x3b\0\
\x09\x09\x6b\x65\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2b\x3d\x20\x6d\
\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x09\x6b\x65\
\x72\x6e\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\x3d\x20\x6d\x73\x67\x2d\x3e\
\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x7d\0\x72\x65\x63\x6f\x72\x64\
\x5f\x73\x61\x6d\x70\x6c\x65\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x64\x79\x6e\x70\x74\x72\x20\x2a\x64\x79\x6e\x70\x74\x72\x2c\x20\x76\x6f\x69\
\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\x69\x66\x20\x28\x6e\x75\x6d\
\x5f\x63\x61\x6c\x6c\x73\x2b\x2b\x20\x25\x20\x32\x20\x3d\x3d\x20\x30\x29\x20\
\x7b\0\x09\x09\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x72\x65\x61\x64\x28\x26\x73\x74\x61\x63\x6b\x5f\x73\x61\x6d\
\x70\x6c\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x5f\x73\
\x61\x6d\x70\x6c\x65\x29\x2c\x20\x64\x79\x6e\x70\x74\x72\x2c\x20\x30\x2c\x20\
\x30\x29\x3b\0\x09\x09\x69\x66\x20\x28\x73\x74\x61\x74\x75\x73\x29\x20\x7b\0\
\x09\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x62\x70\x66\x5f\
\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x61\x64\x28\x29\x20\x66\x61\x69\x6c\x65\
\x64\x3a\x20\x25\x64\x5c\x6e\x22\x2c\x20\x73\x74\x61\x74\x75\x73\x29\x3b\0\x09\
\x09\x09\x65\x72\x72\x20\x3d\x20\x31\x3b\0\x09\x09\x09\x72\x65\x74\x75\x72\x6e\
\x20\x31\x3b\0\x09\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x64\
\x79\x6e\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x64\x79\x6e\x70\x74\x72\x2c\x20\
\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x29\
\x3b\0\x09\x09\x69\x66\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\x20\x7b\0\x09\
\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\x6b\x28\x22\x55\x6e\x65\x78\x70\
\x65\x63\x74\x65\x64\x6c\x79\x20\x66\x61\x69\x6c\x65\x64\x20\x74\x6f\x20\x67\
\x65\x74\x20\x73\x61\x6d\x70\x6c\x65\x5c\x6e\x22\x29\x3b\0\x09\x09\x09\x65\x72\
\x72\x20\x3d\x20\x32\x3b\0\x09\x09\x73\x74\x61\x63\x6b\x5f\x73\x61\x6d\x70\x6c\
\x65\x20\x3d\x20\x2a\x73\x61\x6d\x70\x6c\x65\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\
\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x72\x65\x61\
\x64\x2c\x20\x31\x29\x3b\0\x64\x6f\x5f\x6e\x6f\x74\x68\x69\x6e\x67\x5f\x63\x62\
\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x20\
\x2a\x64\x79\x6e\x70\x74\x72\x2c\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\
\x65\x78\x74\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x73\x74\x61\x74\
\x69\x63\x20\x69\x6e\x74\x20\x70\x75\x62\x6c\x69\x73\x68\x5f\x6e\x65\x78\x74\
\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\x28\x5f\x5f\x75\x33\x32\x20\x69\x6e\x64\
\x65\x78\x2c\x20\x76\x6f\x69\x64\x20\x2a\x63\x6f\x6e\x74\x65\x78\x74\x29\0\x09\
\x6d\x73\x67\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\
\x65\x73\x65\x72\x76\x65\x28\x26\x6b\x65\x72\x6e\x65\x6c\x5f\x72\x69\x6e\x67\
\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x6d\x73\x67\x29\x2c\x20\
\x30\x29\x3b\0\x09\x09\x65\x72\x72\x20\x3d\x20\x34\x3b\0\x09\x09\x72\x65\x74\
\x75\x72\x6e\x20\x31\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x69\x6e\x64\x65\
\x78\x20\x25\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x4e\x55\x4d\
\x5f\x4f\x50\x53\x29\x20\x7b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\
\x70\x20\x3d\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x49\x4e\x43\
\x33\x32\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\
\x32\x20\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x65\x78\
\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\
\x20\x2b\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\x09\x09\x62\x72\
\x65\x61\x6b\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\x70\x20\x3d\
\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x4d\x55\x4c\x33\x32\x3b\0\
\x09\x09\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\
\x61\x74\x65\x64\x20\x2a\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\x5f\x33\x32\x3b\0\
\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\x6f\x70\x20\x3d\x20\x54\x45\x53\
\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x49\x4e\x43\x36\x34\x3b\0\x09\x09\x6d\x73\
\x67\x2d\x3e\x6f\x70\x65\x72\x61\x6e\x64\x5f\x36\x34\x20\x3d\x20\x6f\x70\x65\
\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x09\x65\x78\x70\x65\x63\x74\x65\x64\x5f\
\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2b\x3d\x20\x6f\x70\x65\
\x72\x61\x6e\x64\x5f\x36\x34\x3b\0\x09\x09\x6d\x73\x67\x2d\x3e\x6d\x73\x67\x5f\
\x6f\x70\x20\x3d\x20\x54\x45\x53\x54\x5f\x4d\x53\x47\x5f\x4f\x50\x5f\x4d\x55\
\x4c\x36\x34\x3b\0\x09\x09\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\
\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x2a\x3d\x20\x6f\x70\x65\x72\x61\x6e\x64\
\x5f\x36\x34\x3b\0\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\
\x62\x6d\x69\x74\x28\x6d\x73\x67\x2c\x20\x30\x29\x3b\0\x09\x69\x6e\x74\x20\x63\
\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\
\x20\x33\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x75\x72\x5f\x70\x69\x64\
\x20\x3d\x3d\x20\x70\x69\x64\x3b\0\x09\x69\x66\x20\x28\x21\x69\x73\x5f\x74\x65\
\x73\x74\x5f\x70\x72\x6f\x63\x65\x73\x73\x28\x29\x29\0\x09\x73\x74\x61\x74\x75\
\x73\x20\x3d\x20\x62\x70\x66\x5f\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\
\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x72\x65\x61\x64\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x6d\
\x73\x67\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x73\
\x74\x61\x74\x75\x73\x20\x3c\x20\x30\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x70\
\x72\x69\x6e\x74\x6b\x28\x22\x44\x72\x61\x69\x6e\x20\x72\x65\x74\x75\x72\x6e\
\x65\x64\x3a\x20\x25\x6c\x64\x5c\x6e\x22\x2c\x20\x73\x74\x61\x74\x75\x73\x29\
\x3b\0\x09\x69\x66\x20\x28\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\
\x5f\x6d\x75\x74\x61\x74\x65\x64\x20\x21\x3d\x20\x75\x73\x65\x72\x5f\x6d\x75\
\x74\x61\x74\x65\x64\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x70\x72\x69\x6e\x74\
\x6b\x28\x22\x25\x6c\x75\x20\x21\x3d\x20\x25\x6c\x75\x5c\x6e\x22\x2c\x20\x65\
\x78\x70\x65\x63\x74\x65\x64\x5f\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\
\x64\x2c\x20\x75\x73\x65\x72\x5f\x6d\x75\x74\x61\x74\x65\x64\x29\x3b\0\x09\x09\
\x65\x72\x72\x20\x3d\x20\x33\x3b\0\x09\x09\x72\x65\x74\x75\x72\x6e\x3b\0\x09\
\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x38\x2c\x20\x70\x75\x62\x6c\x69\x73\x68\
\x5f\x6e\x65\x78\x74\x5f\x6b\x65\x72\x6e\x5f\x6d\x73\x67\x2c\x20\x4e\x55\x4c\
\x4c\x2c\x20\x30\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x75\x73\
\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x72\x65\x63\x6f\x72\x64\
\x5f\x73\x61\x6d\x70\x6c\x65\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\x09\
\x6e\x75\x6d\x5f\x73\x61\x6d\x70\x6c\x65\x73\x20\x3d\x20\x62\x70\x66\x5f\x75\
\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x72\x61\x69\x6e\x28\x26\
\x75\x73\x65\x72\x5f\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x64\x6f\x5f\x6e\x6f\
\x74\x68\x69\x6e\x67\x5f\x63\x62\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x30\x29\x3b\0\
\x09\x69\x66\x20\x28\x6e\x75\x6d\x5f\x73\x61\x6d\x70\x6c\x65\x73\x20\x3c\x3d\
\x20\x30\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\
\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x70\x72\x63\x74\x6c\0\x66\x65\x6e\
\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\
\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x70\x72\
\x6c\x69\x6d\x69\x74\x36\x34\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x5c\0\0\0\
\x5c\0\0\0\xf4\x05\0\0\x50\x06\0\0\0\0\0\0\x08\0\0\0\xe8\x0a\0\0\x04\0\0\0\0\0\
\0\0\x15\0\0\0\x70\x01\0\0\x17\0\0\0\x20\x03\0\0\x19\0\0\0\x50\x03\0\0\x1d\0\0\
\0\xee\x0a\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x04\x0b\0\0\x01\0\0\0\0\0\0\0\x16\0\
\0\0\x1c\x0b\0\0\x01\0\0\0\0\0\0\0\x18\0\0\0\x10\0\0\0\xe8\x0a\0\0\x3d\0\0\0\0\
\0\0\0\x2b\x02\0\0\xbb\x02\0\0\x08\x74\x01\0\x18\0\0\0\x2b\x02\0\0\xec\x02\0\0\
\x06\x78\x01\0\x20\0\0\0\x2b\x02\0\0\xf9\x02\0\0\x07\x7c\x01\0\x38\0\0\0\x2b\
\x02\0\0\x04\x03\0\0\x03\x80\x01\0\x58\0\0\0\x2b\x02\0\0\x36\x03\0\0\x03\x84\
\x01\0\x60\0\0\0\x2b\x02\0\0\x42\x03\0\0\x0f\x14\x01\0\x68\0\0\0\x2b\x02\0\0\
\x42\x03\0\0\x02\x14\x01\0\x88\0\0\0\x2b\x02\0\0\x5a\x03\0\0\x18\x28\x01\0\x90\
\0\0\0\x2b\x02\0\0\x5a\x03\0\0\x10\x28\x01\0\x98\0\0\0\x2b\x02\0\0\x42\x03\0\0\
\x02\x14\x01\0\xb0\0\0\0\x2b\x02\0\0\x7d\x03\0\0\x18\x40\x01\0\xb8\0\0\0\x2b\
\x02\0\0\x7d\x03\0\0\x10\x40\x01\0\xc0\0\0\0\x2b\x02\0\0\xa0\x03\0\0\x03\x4c\
\x01\0\xe0\0\0\0\x2b\x02\0\0\xd3\x03\0\0\x07\x50\x01\0\0\x01\0\0\x2b\x02\0\0\
\xde\x03\0\0\x18\x1c\x01\0\x30\x01\0\0\x2b\x02\0\0\x01\x04\0\0\x18\x34\x01\0\
\x60\x01\0\0\x2b\x02\0\0\x24\x04\0\0\x01\x9c\x01\0\x70\x01\0\0\x2b\x02\0\0\x26\
\x04\0\0\0\x98\0\0\x78\x01\0\0\x2b\x02\0\0\x5e\x04\0\0\x0f\xb4\0\0\xa8\x01\0\0\
\x2b\x02\0\0\x5e\x04\0\0\x16\xb4\0\0\xb0\x01\0\0\x2b\x02\0\0\x5e\x04\0\0\x06\
\xb4\0\0\xc8\x01\0\0\x2b\x02\0\0\x7b\x04\0\0\x0c\xb8\0\0\xe8\x01\0\0\x2b\x02\0\
\0\xca\x04\0\0\x07\xbc\0\0\xf0\x01\0\0\x2b\x02\0\0\xda\x04\0\0\x04\xc0\0\0\x18\
\x02\0\0\x2b\x02\0\0\x13\x05\0\0\x08\xc4\0\0\x38\x02\0\0\x2b\x02\0\0\x1f\x05\0\
\0\x04\xe4\0\0\x40\x02\0\0\x2b\x02\0\0\x2c\x05\0\0\x0c\xd4\0\0\x60\x02\0\0\x2b\
\x02\0\0\x64\x05\0\0\x07\xd8\0\0\x68\x02\0\0\x2b\x02\0\0\x75\x05\0\0\x04\xdc\0\
\0\x88\x02\0\0\x2b\x02\0\0\xab\x05\0\0\x08\xe0\0\0\xa8\x02\0\0\x2b\x02\0\0\x1f\
\x05\0\0\x04\xe4\0\0\xb0\x02\0\0\x2b\x02\0\0\xb7\x05\0\0\x12\xec\0\0\xf8\x02\0\
\0\x2b\x02\0\0\xd1\x05\0\0\x02\xf8\0\0\x18\x03\0\0\x2b\x02\0\0\x24\x04\0\0\x01\
\0\x01\0\x20\x03\0\0\x2b\x02\0\0\xf2\x05\0\0\0\x04\x03\0\x28\x03\0\0\x2b\x02\0\
\0\xd1\x05\0\0\x02\x0c\x03\0\x40\x03\0\0\x2b\x02\0\0\x2a\x06\0\0\x02\x10\x03\0\
\x50\x03\0\0\x2b\x02\0\0\x35\x06\0\0\0\xa4\x01\0\x58\x03\0\0\x2b\x02\0\0\x72\
\x06\0\0\x08\xbc\x01\0\x80\x03\0\0\x2b\x02\0\0\xec\x02\0\0\x06\xc0\x01\0\x88\
\x03\0\0\x2b\x02\0\0\xb0\x06\0\0\x07\xc4\x01\0\xa8\x03\0\0\x2b\x02\0\0\xbb\x06\
\0\0\x03\xc8\x01\0\xb0\x03\0\0\x2b\x02\0\0\xc7\x06\0\0\x10\xd4\x01\0\xb8\x03\0\
\0\x2b\x02\0\0\xc7\x06\0\0\x02\xd4\x01\0\xc8\x03\0\0\x2b\x02\0\0\xef\x06\0\0\
\x0f\xf4\x01\0\xd0\x03\0\0\x2b\x02\0\0\x12\x07\0\0\x13\xf0\x01\0\xd8\x03\0\0\
\x2b\x02\0\0\x32\x07\0\0\x19\xf8\x01\0\xf8\x03\0\0\x2b\x02\0\0\x59\x07\0\0\x03\
\xfc\x01\0\0\x04\0\0\x2b\x02\0\0\xc7\x06\0\0\x02\xd4\x01\0\x08\x04\0\0\x2b\x02\
\0\0\x62\x07\0\0\x0f\x1c\x02\0\x10\x04\0\0\x2b\x02\0\0\x12\x07\0\0\x13\x18\x02\
\0\x18\x04\0\0\x2b\x02\0\0\x85\x07\0\0\x19\x20\x02\0\x40\x04\0\0\x2b\x02\0\0\
\xac\x07\0\0\x0f\xe0\x01\0\x48\x04\0\0\x2b\x02\0\0\xcf\x07\0\0\x13\xdc\x01\0\
\x50\x04\0\0\x2b\x02\0\0\xef\x07\0\0\x19\xe4\x01\0\x70\x04\0\0\x2b\x02\0\0\x59\
\x07\0\0\x03\xe8\x01\0\x78\x04\0\0\x2b\x02\0\0\x16\x08\0\0\x0f\x08\x02\0\x80\
\x04\0\0\x2b\x02\0\0\xcf\x07\0\0\x13\x04\x02\0\x88\x04\0\0\x2b\x02\0\0\x39\x08\
\0\0\x19\x0c\x02\0\xc0\x04\0\0\x2b\x02\0\0\x60\x08\0\0\x02\x40\x02\0\xe0\x04\0\
\0\x2b\x02\0\0\x24\x04\0\0\x01\x4c\x02\0\xee\x0a\0\0\x11\0\0\0\0\0\0\0\x2b\x02\
\0\0\x7d\x08\0\0\x10\x80\0\0\x08\0\0\0\x2b\x02\0\0\xae\x08\0\0\x14\x88\0\0\x20\
\0\0\0\x2b\x02\0\0\x7d\x08\0\0\x2b\x80\0\0\x28\0\0\0\x2b\x02\0\0\xc6\x08\0\0\
\x06\x98\x02\0\x30\0\0\0\x2b\x02\0\0\xdf\x08\0\0\x0b\xa4\x02\0\x68\0\0\0\x2b\
\x02\0\0\x2c\x09\0\0\x06\xa8\x02\0\x70\0\0\0\x2b\x02\0\0\x3f\x09\0\0\x03\xac\
\x02\0\x98\0\0\0\x2b\x02\0\0\xf9\x02\0\0\x07\xb0\x02\0\xb0\0\0\0\x2b\x02\0\0\
\x36\x03\0\0\x03\xb4\x02\0\xb8\0\0\0\x2b\x02\0\0\x6e\x09\0\0\x1f\x60\x02\0\xd0\
\0\0\0\x2b\x02\0\0\x6e\x09\0\0\x06\x60\x02\0\xe8\0\0\0\x2b\x02\0\0\x6e\x09\0\0\
\x06\x60\x02\0\xf0\0\0\0\x2b\x02\0\0\x9c\x09\0\0\x03\x64\x02\0\x10\x01\0\0\x2b\
\x02\0\0\xdf\x09\0\0\x07\x68\x02\0\x28\x01\0\0\x2b\x02\0\0\xea\x09\0\0\x03\x6c\
\x02\0\x30\x01\0\0\x2b\x02\0\0\xf4\x09\0\0\x02\x78\x02\0\x60\x01\0\0\x2b\x02\0\
\0\x24\x04\0\0\x01\xcc\x02\0\x04\x0b\0\0\x07\0\0\0\0\0\0\0\x2b\x02\0\0\x7d\x08\
\0\0\x10\x80\0\0\x08\0\0\0\x2b\x02\0\0\xae\x08\0\0\x14\x88\0\0\x20\0\0\0\x2b\
\x02\0\0\x7d\x08\0\0\x2b\x80\0\0\x28\0\0\0\x2b\x02\0\0\xc6\x08\0\0\x06\xe0\x02\
\0\x30\0\0\0\x2b\x02\0\0\x22\x0a\0\0\x08\xec\x02\0\x68\0\0\0\x2b\x02\0\0\x22\
\x0a\0\0\x06\xec\x02\0\x80\0\0\0\x2b\x02\0\0\x24\x04\0\0\x01\xf8\x02\0\x1c\x0b\
\0\0\x08\0\0\0\0\0\0\0\x2b\x02\0\0\x7d\x08\0\0\x10\x80\0\0\x08\0\0\0\x2b\x02\0\
\0\xae\x08\0\0\x14\x88\0\0\x20\0\0\0\x2b\x02\0\0\x7d\x08\0\0\x2b\x80\0\0\x28\0\
\0\0\x2b\x02\0\0\xc6\x08\0\0\x06\x30\x03\0\x30\0\0\0\x2b\x02\0\0\x68\x0a\0\0\
\x10\x3c\x03\0\x68\0\0\0\x2b\x02\0\0\xb6\x0a\0\0\x06\x40\x03\0\x70\0\0\0\x2b\
\x02\0\0\xf9\x02\0\0\x07\x44\x03\0\x88\0\0\0\x2b\x02\0\0\x24\x04\0\0\x01\x50\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa7\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe8\x05\0\0\0\0\0\0\xe8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x0a\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x2d\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x0c\0\0\0\0\
\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\x98\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x70\x0d\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x70\x0d\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x72\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x0d\
\0\0\0\0\0\0\x96\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x3b\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0e\0\0\0\0\0\0\
\x40\x01\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x45\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x0f\0\0\0\0\0\0\
\xa0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5f\
\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0f\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7b\x02\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x10\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x99\x02\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x10\0\0\0\0\0\0\xe6\x0f\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\x02\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x20\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct user_ringbuf_success *user_ringbuf_success::open(const struct bpf_object_open_opts *opts) { return user_ringbuf_success__open_opts(opts); }
struct user_ringbuf_success *user_ringbuf_success::open_and_load() { return user_ringbuf_success__open_and_load(); }
int user_ringbuf_success::load(struct user_ringbuf_success *skel) { return user_ringbuf_success__load(skel); }
int user_ringbuf_success::attach(struct user_ringbuf_success *skel) { return user_ringbuf_success__attach(skel); }
void user_ringbuf_success::detach(struct user_ringbuf_success *skel) { user_ringbuf_success__detach(skel); }
void user_ringbuf_success::destroy(struct user_ringbuf_success *skel) { user_ringbuf_success__destroy(skel); }
const void *user_ringbuf_success::elf_bytes(size_t *sz) { return user_ringbuf_success__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
user_ringbuf_success__assert(struct user_ringbuf_success *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->read) == 4, "unexpected size of 'read'");
	_Static_assert(sizeof(s->bss->kern_mutated) == 8, "unexpected size of 'kern_mutated'");
	_Static_assert(sizeof(s->bss->user_mutated) == 8, "unexpected size of 'user_mutated'");
	_Static_assert(sizeof(s->bss->expected_user_mutated) == 8, "unexpected size of 'expected_user_mutated'");
	_Static_assert(sizeof(s->bss->err) == 4, "unexpected size of 'err'");
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->val) == 4, "unexpected size of 'val'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __USER_RINGBUF_SUCCESS_SKEL_H__ */
