/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __GETSOCKNAME6_PROG_SKEL_H__
#define __GETSOCKNAME6_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct getsockname6_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *getsockname_v6_prog;
	} progs;
	struct {
		struct bpf_link *getsockname_v6_prog;
	} links;

#ifdef __cplusplus
	static inline struct getsockname6_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct getsockname6_prog *open_and_load();
	static inline int load(struct getsockname6_prog *skel);
	static inline int attach(struct getsockname6_prog *skel);
	static inline void detach(struct getsockname6_prog *skel);
	static inline void destroy(struct getsockname6_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
getsockname6_prog__destroy(struct getsockname6_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
getsockname6_prog__create_skeleton(struct getsockname6_prog *obj);

static inline struct getsockname6_prog *
getsockname6_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct getsockname6_prog *obj;
	int err;

	obj = (struct getsockname6_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = getsockname6_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	getsockname6_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct getsockname6_prog *
getsockname6_prog__open(void)
{
	return getsockname6_prog__open_opts(NULL);
}

static inline int
getsockname6_prog__load(struct getsockname6_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct getsockname6_prog *
getsockname6_prog__open_and_load(void)
{
	struct getsockname6_prog *obj;
	int err;

	obj = getsockname6_prog__open();
	if (!obj)
		return NULL;
	err = getsockname6_prog__load(obj);
	if (err) {
		getsockname6_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
getsockname6_prog__attach(struct getsockname6_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
getsockname6_prog__detach(struct getsockname6_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *getsockname6_prog__elf_bytes(size_t *sz);

static inline int
getsockname6_prog__create_skeleton(struct getsockname6_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "getsockname6_prog";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "getsockname_v6_prog";
	s->progs[0].prog = &obj->progs.getsockname_v6_prog;
	s->progs[0].link = &obj->links.getsockname_v6_prog;

	s->data = getsockname6_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *getsockname6_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x36\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x36\x5f\x70\
\x72\x6f\x67\x2e\x63\0\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x5f\x76\x36\
\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x60\0\0\0\0\0\0\0\x55\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\
\x02\0\0\xfa\xce\xb0\x0c\x63\x21\x08\0\0\0\0\0\xb4\x02\0\0\x12\x34\x56\x78\x63\
\x21\x0c\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x21\x10\0\0\0\0\0\xb4\x02\0\0\0\0\
\xab\xcd\x63\x21\x14\0\0\0\0\0\xb4\x02\0\0\x17\xac\0\0\x63\x21\x18\0\0\0\0\0\
\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x84\x01\0\0\x84\x01\0\0\xd0\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\x0a\0\0\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\
\0\x20\0\0\0\x24\0\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\0\0\x37\0\
\0\0\x03\0\0\0\xe0\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\0\0\0\x03\0\0\0\x20\
\x01\0\0\x4c\0\0\0\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\0\x60\x01\0\0\0\0\0\
\0\x07\0\0\0\0\x02\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\x77\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\0\0\0\0\x01\0\0\x0d\x0a\0\0\0\x8e\0\0\
\0\x01\0\0\0\x92\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\0\0\x01\0\0\x0c\
\x09\0\0\0\xaa\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0c\0\0\0\x06\0\0\0\x04\0\0\0\xaf\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xb8\0\0\
\0\0\0\0\x07\0\0\0\0\xb4\x02\0\0\x01\0\0\x0f\x04\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\
\0\0\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\
\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\
\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\
\x6c\x79\0\x74\x79\x70\x65\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\
\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\
\x6b\0\x63\x74\x78\0\x69\x6e\x74\0\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\
\x5f\x76\x36\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x67\
\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x36\x5f\x70\x72\x6f\x67\x2e\x63\0\x69\
\x6e\x74\x20\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x5f\x76\x36\x5f\x70\
\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x63\x74\x78\x2d\x3e\x75\x73\
\x65\x72\x5f\x69\x70\x36\x5b\x30\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\
\x6e\x6c\x28\x52\x45\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x5f\
\x49\x50\x36\x5f\x30\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\
\x70\x36\x5b\x31\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x52\
\x45\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x5f\x49\x50\x36\x5f\
\x31\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x32\
\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x52\x45\x57\x52\x49\
\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\x5f\x49\x50\x36\x5f\x32\x29\x3b\0\x09\
\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x33\x5d\x20\x3d\x20\
\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x52\x45\x57\x52\x49\x54\x45\x5f\x41\
\x44\x44\x52\x45\x53\x53\x5f\x49\x50\x36\x5f\x33\x29\x3b\0\x09\x63\x74\x78\x2d\
\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\
\x6f\x6e\x73\x28\x52\x45\x57\x52\x49\x54\x45\x5f\x41\x44\x44\x52\x45\x53\x53\
\x5f\x50\x4f\x52\x54\x36\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x31\x3b\0\
\x30\x3a\x32\x3a\x30\0\x30\x3a\x32\x3a\x31\0\x30\x3a\x32\x3a\x32\0\x30\x3a\x32\
\x3a\x33\0\x30\x3a\x33\0\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x67\x72\x6f\x75\x70\
\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6e\x61\x6d\x65\x36\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\0\0\x5c\0\0\0\x08\0\0\0\
\xbc\x02\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\x10\0\0\0\xbc\x02\0\0\x07\0\0\0\0\0\0\
\0\xc1\0\0\0\x4e\x01\0\0\0\x50\0\0\x08\0\0\0\xc1\0\0\0\x81\x01\0\0\x13\x58\0\0\
\x18\0\0\0\xc1\0\0\0\xb7\x01\0\0\x13\x5c\0\0\x28\0\0\0\xc1\0\0\0\xed\x01\0\0\
\x13\x60\0\0\x38\0\0\0\xc1\0\0\0\x23\x02\0\0\x13\x64\0\0\x48\0\0\0\xc1\0\0\0\
\x59\x02\0\0\x11\x68\0\0\x50\0\0\0\xc1\0\0\0\x8d\x02\0\0\x02\x70\0\0\x10\0\0\0\
\xbc\x02\0\0\x05\0\0\0\x08\0\0\0\x02\0\0\0\x98\x02\0\0\0\0\0\0\x18\0\0\0\x02\0\
\0\0\x9e\x02\0\0\0\0\0\0\x28\0\0\0\x02\0\0\0\xa4\x02\0\0\0\0\0\0\x38\0\0\0\x02\
\0\0\0\xaa\x02\0\0\0\0\0\0\x48\0\0\0\x02\0\0\0\xb0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\
\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x25\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\x6c\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct getsockname6_prog *getsockname6_prog::open(const struct bpf_object_open_opts *opts) { return getsockname6_prog__open_opts(opts); }
struct getsockname6_prog *getsockname6_prog::open_and_load() { return getsockname6_prog__open_and_load(); }
int getsockname6_prog::load(struct getsockname6_prog *skel) { return getsockname6_prog__load(skel); }
int getsockname6_prog::attach(struct getsockname6_prog *skel) { return getsockname6_prog__attach(skel); }
void getsockname6_prog::detach(struct getsockname6_prog *skel) { getsockname6_prog__detach(skel); }
void getsockname6_prog::destroy(struct getsockname6_prog *skel) { getsockname6_prog__destroy(skel); }
const void *getsockname6_prog::elf_bytes(size_t *sz) { return getsockname6_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
getsockname6_prog__assert(struct getsockname6_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __GETSOCKNAME6_PROG_SKEL_H__ */
