/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ITERS_TESTMOD_SEQ_SKEL_H__
#define __ITERS_TESTMOD_SEQ_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct iters_testmod_seq {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *testmod_seq_empty;
		struct bpf_program *testmod_seq_full;
		struct bpf_program *testmod_seq_truncated;
		struct bpf_program *testmod_seq_getter_before_bad;
		struct bpf_program *testmod_seq_getter_after_bad;
		struct bpf_program *testmod_seq_getter_good;
	} progs;
	struct {
		struct bpf_link *testmod_seq_empty;
		struct bpf_link *testmod_seq_full;
		struct bpf_link *testmod_seq_truncated;
		struct bpf_link *testmod_seq_getter_before_bad;
		struct bpf_link *testmod_seq_getter_after_bad;
		struct bpf_link *testmod_seq_getter_good;
	} links;
	struct iters_testmod_seq__rodata {
		__s64 exp_empty;
		__s64 exp_full;
		__s64 exp_truncated;
	} *rodata;
	struct iters_testmod_seq__bss {
		__s64 res_empty;
		__s64 res_full;
		char __pad0[8];
		__s64 res_truncated;
	} *bss;

#ifdef __cplusplus
	static inline struct iters_testmod_seq *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct iters_testmod_seq *open_and_load();
	static inline int load(struct iters_testmod_seq *skel);
	static inline int attach(struct iters_testmod_seq *skel);
	static inline void detach(struct iters_testmod_seq *skel);
	static inline void destroy(struct iters_testmod_seq *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
iters_testmod_seq__destroy(struct iters_testmod_seq *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
iters_testmod_seq__create_skeleton(struct iters_testmod_seq *obj);

static inline struct iters_testmod_seq *
iters_testmod_seq__open_opts(const struct bpf_object_open_opts *opts)
{
	struct iters_testmod_seq *obj;
	int err;

	obj = (struct iters_testmod_seq *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = iters_testmod_seq__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	iters_testmod_seq__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct iters_testmod_seq *
iters_testmod_seq__open(void)
{
	return iters_testmod_seq__open_opts(NULL);
}

static inline int
iters_testmod_seq__load(struct iters_testmod_seq *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct iters_testmod_seq *
iters_testmod_seq__open_and_load(void)
{
	struct iters_testmod_seq *obj;
	int err;

	obj = iters_testmod_seq__open();
	if (!obj)
		return NULL;
	err = iters_testmod_seq__load(obj);
	if (err) {
		iters_testmod_seq__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
iters_testmod_seq__attach(struct iters_testmod_seq *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
iters_testmod_seq__detach(struct iters_testmod_seq *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *iters_testmod_seq__elf_bytes(size_t *sz);

static inline int
iters_testmod_seq__create_skeleton(struct iters_testmod_seq *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "iters_testmod_seq";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "iters_te.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "iters_te.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "testmod_seq_empty";
	s->progs[0].prog = &obj->progs.testmod_seq_empty;
	s->progs[0].link = &obj->links.testmod_seq_empty;

	s->progs[1].name = "testmod_seq_full";
	s->progs[1].prog = &obj->progs.testmod_seq_full;
	s->progs[1].link = &obj->links.testmod_seq_full;

	s->progs[2].name = "testmod_seq_truncated";
	s->progs[2].prog = &obj->progs.testmod_seq_truncated;
	s->progs[2].link = &obj->links.testmod_seq_truncated;

	s->progs[3].name = "testmod_seq_getter_before_bad";
	s->progs[3].prog = &obj->progs.testmod_seq_getter_before_bad;
	s->progs[3].link = &obj->links.testmod_seq_getter_before_bad;

	s->progs[4].name = "testmod_seq_getter_after_bad";
	s->progs[4].prog = &obj->progs.testmod_seq_getter_after_bad;
	s->progs[4].link = &obj->links.testmod_seq_getter_after_bad;

	s->progs[5].name = "testmod_seq_getter_good";
	s->progs[5].prog = &obj->progs.testmod_seq_getter_good;
	s->progs[5].link = &obj->links.testmod_seq_getter_good;

	s->data = iters_testmod_seq__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *iters_testmod_seq__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x1c\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x3f\x72\x61\x77\x5f\
\x74\x70\0\x3f\x73\x6f\x63\x6b\x65\x74\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x69\x74\x65\x72\x73\x5f\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x73\x65\x71\x2e\x63\0\x7a\x65\x72\x6f\0\x74\x65\x73\x74\
\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x65\x6d\x70\x74\x79\0\x62\x70\x66\x5f\x69\x74\
\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x6e\x65\x77\0\x62\
\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\
\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x73\x65\x71\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x72\x65\x73\x5f\x65\
\x6d\x70\x74\x79\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x66\x75\x6c\
\x6c\0\x72\x65\x73\x5f\x66\x75\x6c\x6c\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\
\x65\x71\x5f\x74\x72\x75\x6e\x63\x61\x74\x65\x64\0\x72\x65\x73\x5f\x74\x72\x75\
\x6e\x63\x61\x74\x65\x64\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x67\
\x65\x74\x74\x65\x72\x5f\x62\x65\x66\x6f\x72\x65\x5f\x62\x61\x64\0\x62\x70\x66\
\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x76\
\x61\x6c\x75\x65\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x67\x65\x74\
\x74\x65\x72\x5f\x61\x66\x74\x65\x72\x5f\x62\x61\x64\0\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x73\x65\x71\x5f\x67\x65\x74\x74\x65\x72\x5f\x67\x6f\x6f\x64\0\x65\x78\
\x70\x5f\x65\x6d\x70\x74\x79\0\x65\x78\x70\x5f\x66\x75\x6c\x6c\0\x65\x78\x70\
\x5f\x74\x72\x75\x6e\x63\x61\x74\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x72\x65\x6c\x3f\x73\
\x6f\x63\x6b\x65\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x5b\0\0\0\x01\0\x07\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x72\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x8b\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\xcc\0\0\0\x12\0\x03\0\xe0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\
\xdd\0\0\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe6\0\0\0\x12\0\x03\
\0\xb8\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\xfc\0\0\0\x11\0\x07\0\x18\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x0a\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x28\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\x01\0\0\x12\0\x04\0\
\x28\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x60\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\
\xe8\0\0\0\0\0\0\0\x78\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x82\x01\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8b\x01\0\0\x11\0\
\x06\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x99\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\
\0\0\0\0\0\0\xb7\x02\0\0\xe8\x03\0\0\xb4\x03\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x06\0\0\x01\0\0\0\
\x15\0\x0a\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x79\x06\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\x15\0\x01\0\0\0\0\0\x05\0\xf8\xff\0\0\0\0\x07\x06\0\0\x01\
\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\0\0\
\0\0\0\0\xb7\x02\0\0\xe8\x03\0\0\xb4\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x06\0\0\0\0\0\0\
\x15\0\x09\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x79\x06\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\x15\0\x01\0\0\0\0\0\x05\0\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\
\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\
\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x0a\0\0\0\xb4\x03\0\0\x80\x84\x1e\0\x85\
\x10\0\0\xff\xff\xff\xff\xb7\x07\0\0\0\0\0\0\x04\x06\0\0\xff\xff\xff\xff\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x15\0\
\x05\0\0\0\0\0\x79\x01\0\0\0\0\0\0\x0f\x71\0\0\0\0\0\0\x04\x06\0\0\x01\0\0\0\
\xbf\x17\0\0\0\0\0\0\xc6\x06\xf7\xff\x3f\x42\x0f\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7b\x71\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xf0\xff\xff\xff\xb4\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\
\0\0\0\0\0\0\xb7\x02\0\0\x64\0\0\0\xb4\x03\0\0\x64\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x07\0\0\0\0\0\0\
\x15\0\x08\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x79\x07\0\0\0\0\0\0\x0f\x17\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\
\xbf\x71\0\0\0\0\0\0\x55\0\xf9\xff\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\
\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x01\0\0\0\0\0\
\0\xbf\x62\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x0c\x70\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\xb7\x02\0\0\x64\0\0\0\xb4\x03\0\0\x64\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x08\0\0\0\0\0\0\x15\0\x08\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x79\x08\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\xbf\xa1\0\0\
\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xbf\x81\0\0\0\
\0\0\0\x55\0\xf9\xff\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf0\xff\xff\xff\
\xb4\x01\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x07\0\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x2c\x87\0\0\0\0\0\0\
\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x40\x42\x0f\0\0\0\0\0\
\x80\x96\x98\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x28\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x78\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\xb0\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x08\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\
\0\x58\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x88\x01\0\0\0\0\0\0\x0a\0\0\0\x0a\0\
\0\0\x90\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x06\
\0\0\0\xf0\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x18\x02\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x60\x02\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x68\x02\0\0\0\0\0\0\x01\0\0\
\0\x0f\0\0\0\x18\0\0\0\0\0\0\0\x0a\0\0\0\x11\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\
\x08\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\xd0\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\
\x11\0\0\0\x28\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\
\x09\0\0\0\x78\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xb0\0\0\0\0\0\0\0\x0a\0\0\0\
\x11\0\0\0\xc8\0\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x54\x04\0\0\x54\x04\0\0\x12\x09\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\
\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\x1b\0\0\0\0\0\0\
\x11\x05\0\0\0\xff\xff\xff\xff\x37\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\
\x50\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\x11\x05\0\0\0\
\xff\xff\xff\xff\xf3\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\
\x0d\x04\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\x02\x0d\0\0\0\x2f\x01\0\0\0\0\0\x04\x10\0\0\0\x44\x01\0\0\0\0\0\x08\x0f\0\
\0\0\x48\x01\0\0\0\0\0\x08\x10\0\0\0\x4e\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\x01\x58\x01\0\0\x02\0\0\x0c\x0b\0\0\0\0\0\0\0\x01\0\0\x0d\x13\0\0\0\0\0\0\0\
\x0c\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\x71\x01\0\0\x02\0\0\x0c\x12\0\0\0\0\0\0\
\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x0c\0\0\0\x8b\x01\0\0\x02\0\0\x0c\x15\0\0\0\xa8\
\x01\0\0\x01\0\0\x0c\x03\0\0\0\x1b\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\
\x37\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xb9\x01\0\0\0\0\0\x11\x17\0\0\0\
\xff\xff\xff\xff\x0b\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x5c\x02\0\0\0\
\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x98\x02\0\0\x01\0\0\x0c\x03\0\0\0\x1b\0\0\0\
\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x37\0\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\
\xff\xae\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\0\x03\0\0\0\0\0\x11\x1d\0\
\0\0\xff\xff\xff\xff\x51\x03\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x8d\x03\0\
\0\x01\0\0\x0c\x03\0\0\0\xab\x03\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xc7\
\x03\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\0\0\0\0\x02\0\0\x0d\x0e\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x0c\0\0\0\x14\x04\0\0\x02\0\0\x0c\x26\0\0\0\x2f\x04\0\0\
\x01\0\0\x0c\x03\0\0\0\xab\x03\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x4c\x04\
\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x9a\x04\0\0\x01\0\0\x0c\x03\0\0\0\x1b\
\0\0\0\0\0\0\x11\x2b\0\0\0\xff\xff\xff\xff\xb2\x04\0\0\0\0\0\x11\x2b\0\0\0\xff\
\xff\xff\xff\0\0\0\0\0\0\0\x0a\x2f\0\0\0\0\0\0\0\0\0\0\x09\x0f\0\0\0\xce\x04\0\
\0\0\0\0\x0e\x2e\0\0\0\x01\0\0\0\xd8\x04\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\xe2\
\x04\0\0\0\0\0\x0e\x2e\0\0\0\x01\0\0\0\xeb\x04\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\
\0\xf4\x04\0\0\0\0\0\x0e\x2e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x09\x04\0\0\0\x02\
\x05\0\0\0\0\0\x0e\x35\0\0\0\0\0\0\0\x07\x05\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\
\x15\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x38\0\0\
\0\x3a\0\0\0\x04\0\0\0\x1a\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x2e\x05\0\0\0\
\0\0\x0e\x39\0\0\0\x01\0\0\0\xd5\x08\0\0\x03\0\0\x0f\x18\0\0\0\x30\0\0\0\0\0\0\
\0\x08\0\0\0\x32\0\0\0\x08\0\0\0\x08\0\0\0\x34\0\0\0\x10\0\0\0\x08\0\0\0\xdd\
\x08\0\0\x04\0\0\x0f\x20\0\0\0\x31\0\0\0\0\0\0\0\x08\0\0\0\x33\0\0\0\x08\0\0\0\
\x08\0\0\0\x36\0\0\0\x10\0\0\0\x04\0\0\0\x37\0\0\0\x18\0\0\0\x08\0\0\0\xe2\x08\
\0\0\x01\0\0\x0f\x04\0\0\0\x3b\0\0\0\0\0\0\0\x04\0\0\0\xea\x08\0\0\x04\0\0\x0f\
\0\0\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\
\0\0\0\0\x27\0\0\0\0\0\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x65\x6d\x70\x74\x79\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\
\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\
\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x66\x70\x2d\x31\
\x36\x5f\x77\x3d\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\
\x71\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\x65\x3d\x61\x63\
\x74\x69\x76\x65\x2c\x64\x65\x70\x74\x68\x3d\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x3d\x66\x70\x2d\x31\x36\x3d\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\
\x5f\x73\x65\x71\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\x65\
\x3d\x64\x72\x61\x69\x6e\x65\x64\x2c\x64\x65\x70\x74\x68\x3d\x30\x29\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x32\x3d\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\
\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x64\x65\x73\x74\x72\x6f\x79\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\
\x71\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\
\x71\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x73\x65\x71\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x64\x65\x73\x74\x72\x6f\
\x79\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x66\x75\x6c\x6c\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x33\x3d\x66\x70\x2d\x31\x36\x5f\x77\x3d\x69\x74\x65\x72\x5f\
\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x28\x72\x65\x66\x5f\x69\x64\x3d\
\x31\x2c\x73\x74\x61\x74\x65\x3d\x61\x63\x74\x69\x76\x65\x2c\x64\x65\x70\x74\
\x68\x3d\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x66\x70\x2d\x31\x36\x3d\x69\x74\
\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x28\x72\x65\x66\x5f\
\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\x65\x3d\x64\x72\x61\x69\x6e\x65\x64\x2c\
\x64\x65\x70\x74\x68\x3d\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x63\x61\x6c\x6c\
\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\
\x65\x71\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\
\x65\x71\x5f\x74\x72\x75\x6e\x63\x61\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\
\x66\x70\x2d\x31\x36\x5f\x77\x3d\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x73\x65\x71\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\
\x65\x3d\x61\x63\x74\x69\x76\x65\x2c\x64\x65\x70\x74\x68\x3d\x30\x29\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x37\x3d\x66\x70\x2d\x31\x36\x3d\x69\x74\x65\x72\x5f\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x73\x65\x71\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\
\x74\x61\x74\x65\x3d\x64\x72\x61\x69\x6e\x65\x64\x2c\x64\x65\x70\x74\x68\x3d\
\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x63\x61\x6c\x6c\x20\x62\x70\x66\x5f\x69\
\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x64\x65\x73\
\x74\x72\x6f\x79\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x67\x65\x74\
\x74\x65\x72\x5f\x62\x65\x66\x6f\x72\x65\x5f\x62\x61\x64\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\
\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\
\x61\x6e\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\
\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x20\x61\x73\x20\x61\x72\x67\
\x20\x23\x32\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\
\x5f\x73\x65\x71\x5f\x76\x61\x6c\x75\x65\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\
\x65\x71\x5f\x67\x65\x74\x74\x65\x72\x5f\x61\x66\x74\x65\x72\x5f\x62\x61\x64\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x30\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\
\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x74\
\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x20\x61\x73\x20\x61\x72\x67\x20\x23\
\x32\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x67\x65\x74\x74\x65\x72\
\x5f\x67\x6f\x6f\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x3d\x31\x30\x30\x30\x30\x30\x30\0\x65\x78\x70\x5f\x65\x6d\
\x70\x74\x79\0\x72\x65\x73\x5f\x65\x6d\x70\x74\x79\0\x65\x78\x70\x5f\x66\x75\
\x6c\x6c\0\x72\x65\x73\x5f\x66\x75\x6c\x6c\0\x65\x78\x70\x5f\x74\x72\x75\x6e\
\x63\x61\x74\x65\x64\0\x7a\x65\x72\x6f\0\x72\x65\x73\x5f\x74\x72\x75\x6e\x63\
\x61\x74\x65\x64\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\
\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x69\x74\x65\x72\x73\x5f\x74\x65\x73\x74\x6d\x6f\x64\
\x5f\x73\x65\x71\x2e\x63\0\x69\x6e\x74\x20\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\
\x65\x71\x5f\x65\x6d\x70\x74\x79\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\
\x28\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x2c\x20\x69\x2c\x20\x31\x30\
\x30\x30\x2c\x20\x30\x29\x20\x73\x75\x6d\x20\x2b\x3d\x20\x2a\x69\x3b\0\x09\x72\
\x65\x73\x5f\x65\x6d\x70\x74\x79\x20\x3d\x20\x31\x20\x2b\x20\x73\x75\x6d\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x74\x65\x73\x74\x6d\
\x6f\x64\x5f\x73\x65\x71\x5f\x66\x75\x6c\x6c\x28\x63\x6f\x6e\x73\x74\x20\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\
\x61\x63\x68\x28\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x2c\x20\x69\x2c\
\x20\x31\x30\x30\x30\x2c\x20\x31\x30\x30\x30\x29\x20\x73\x75\x6d\x20\x2b\x3d\
\x20\x2a\x69\x3b\0\x09\x72\x65\x73\x5f\x66\x75\x6c\x6c\x20\x3d\x20\x73\x75\x6d\
\x3b\0\x09\x69\x6e\x74\x20\x63\x6e\x74\x20\x3d\x20\x7a\x65\x72\x6f\x3b\0\x09\
\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x28\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x73\x65\x71\x2c\x20\x69\x2c\x20\x31\x30\x2c\x20\x32\x30\x30\x30\x30\
\x30\x30\x29\x20\x7b\0\x09\x09\x73\x75\x6d\x20\x2b\x3d\x20\x2a\x69\x3b\0\x09\
\x09\x69\x66\x20\x28\x63\x6e\x74\x20\x3e\x3d\x20\x31\x30\x30\x30\x30\x30\x30\
\x29\0\x09\x72\x65\x73\x5f\x74\x72\x75\x6e\x63\x61\x74\x65\x64\x20\x3d\x20\x73\
\x75\x6d\x3b\0\x69\x6e\x74\x20\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\
\x67\x65\x74\x74\x65\x72\x5f\x62\x65\x66\x6f\x72\x65\x5f\x62\x61\x64\x28\x63\
\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\
\x64\x5f\x73\x65\x71\x5f\x76\x61\x6c\x75\x65\x28\x30\x2c\x20\x26\x69\x74\x29\
\x3b\0\x69\x6e\x74\x20\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x67\x65\
\x74\x74\x65\x72\x5f\x61\x66\x74\x65\x72\x5f\x62\x61\x64\x28\x63\x6f\x6e\x73\
\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x69\x74\
\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x6e\x65\x77\x28\
\x26\x69\x74\x2c\x20\x31\x30\x30\x2c\x20\x31\x30\x30\x29\x3b\0\x09\x77\x68\x69\
\x6c\x65\x20\x28\x28\x76\x20\x3d\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\
\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x6e\x65\x78\x74\x28\x26\x69\x74\
\x29\x29\x29\x20\x7b\0\x09\x09\x73\x75\x6d\x20\x2b\x3d\x20\x2a\x76\x3b\0\x09\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\
\x71\x5f\x64\x65\x73\x74\x72\x6f\x79\x28\x26\x69\x74\x29\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x73\x75\x6d\x20\x2b\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\
\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x65\x71\x5f\x76\x61\x6c\x75\x65\x28\x30\
\x2c\x20\x26\x69\x74\x29\x3b\0\x69\x6e\x74\x20\x74\x65\x73\x74\x6d\x6f\x64\x5f\
\x73\x65\x71\x5f\x67\x65\x74\x74\x65\x72\x5f\x67\x6f\x6f\x64\x28\x63\x6f\x6e\
\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x75\x6d\x20\x2a\
\x3d\x20\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\
\x73\x65\x71\x5f\x76\x61\x6c\x75\x65\x28\x30\x2c\x20\x26\x69\x74\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x6d\x3b\0\x2e\x72\x6f\x64\x61\x74\x61\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x72\
\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x3f\x72\x61\x77\
\x5f\x74\x70\0\x3f\x73\x6f\x63\x6b\x65\x74\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x4c\0\0\0\x4c\0\0\0\xec\x03\0\0\x38\x04\0\0\0\0\0\0\x08\0\0\0\xf1\x08\0\0\
\x03\0\0\0\0\0\0\0\x05\0\0\0\xe0\0\0\0\x17\0\0\0\xb8\x01\0\0\x1d\0\0\0\x02\x09\
\0\0\x02\0\0\0\0\0\0\0\x23\0\0\0\x28\0\0\0\x28\0\0\0\x0a\x09\0\0\x01\0\0\0\0\0\
\0\0\x2b\0\0\0\x10\0\0\0\xf1\x08\0\0\x22\0\0\0\0\0\0\0\x37\x05\0\0\xc4\x05\0\0\
\0\x68\0\0\x10\0\0\0\x37\x05\0\0\xeb\x05\0\0\x02\x78\0\0\x30\0\0\0\x37\x05\0\0\
\xeb\x05\0\0\x02\x78\0\0\x48\0\0\0\x37\x05\0\0\xeb\x05\0\0\x02\x78\0\0\x58\0\0\
\0\x37\x05\0\0\xeb\x05\0\0\x2f\x78\0\0\x60\0\0\0\x37\x05\0\0\xeb\x05\0\0\x2c\
\x78\0\0\x78\0\0\0\x37\x05\0\0\xeb\x05\0\0\x02\x78\0\0\x88\0\0\0\x37\x05\0\0\
\xeb\x05\0\0\x02\x78\0\0\x98\0\0\0\x37\x05\0\0\x1d\x06\0\0\x10\x7c\0\0\xb0\0\0\
\0\x37\x05\0\0\xeb\x05\0\0\x02\x78\0\0\xb8\0\0\0\x37\x05\0\0\x1d\x06\0\0\x0c\
\x7c\0\0\xd0\0\0\0\x37\x05\0\0\x33\x06\0\0\x02\x84\0\0\xe0\0\0\0\x37\x05\0\0\
\x3e\x06\0\0\0\xb0\0\0\xf0\0\0\0\x37\x05\0\0\x64\x06\0\0\x02\xc0\0\0\x10\x01\0\
\0\x37\x05\0\0\x64\x06\0\0\x02\xc0\0\0\x28\x01\0\0\x37\x05\0\0\x64\x06\0\0\x02\
\xc0\0\0\x38\x01\0\0\x37\x05\0\0\x64\x06\0\0\x32\xc0\0\0\x40\x01\0\0\x37\x05\0\
\0\x64\x06\0\0\x2f\xc0\0\0\x58\x01\0\0\x37\x05\0\0\x64\x06\0\0\x02\xc0\0\0\x68\
\x01\0\0\x37\x05\0\0\x64\x06\0\0\x02\xc0\0\0\x88\x01\0\0\x37\x05\0\0\x64\x06\0\
\0\x02\xc0\0\0\x90\x01\0\0\x37\x05\0\0\x99\x06\0\0\x0b\xc4\0\0\xa8\x01\0\0\x37\
\x05\0\0\x33\x06\0\0\x02\xcc\0\0\xb8\x01\0\0\x37\x05\0\0\xaa\x06\0\0\x0c\x0c\
\x01\0\xe0\x01\0\0\x37\x05\0\0\xbb\x06\0\0\x02\x14\x01\0\x18\x02\0\0\x37\x05\0\
\0\xbb\x06\0\0\x02\x14\x01\0\x20\x02\0\0\x37\x05\0\0\xbb\x06\0\0\x02\x14\x01\0\
\x28\x02\0\0\x37\x05\0\0\xe8\x06\0\0\x0a\x18\x01\0\x30\x02\0\0\x37\x05\0\0\xe8\
\x06\0\0\x07\x18\x01\0\x38\x02\0\0\x37\x05\0\0\xf5\x06\0\0\x0b\x20\x01\0\x48\
\x02\0\0\x37\x05\0\0\xf5\x06\0\0\x07\x20\x01\0\x60\x02\0\0\x37\x05\0\0\xbb\x06\
\0\0\x02\x14\x01\0\x68\x02\0\0\x37\x05\0\0\x0b\x07\0\0\x10\x2c\x01\0\x80\x02\0\
\0\x37\x05\0\0\x33\x06\0\0\x02\x34\x01\0\x02\x09\0\0\x0f\0\0\0\0\0\0\0\x37\x05\
\0\0\x21\x07\0\0\0\x4c\x01\0\x10\0\0\0\x37\x05\0\0\x54\x07\0\0\x09\x5c\x01\0\
\x20\0\0\0\x37\x05\0\0\x54\x07\0\0\x02\x5c\x01\0\x28\0\0\0\x37\x05\0\0\x80\x07\
\0\0\0\x74\x01\0\x38\0\0\0\x37\x05\0\0\xb2\x07\0\0\x02\x88\x01\0\x58\0\0\0\x37\
\x05\0\0\xdc\x07\0\0\x0e\x90\x01\0\x70\0\0\0\x37\x05\0\0\xdc\x07\0\0\x02\x90\
\x01\0\x80\0\0\0\x37\x05\0\0\x0c\x08\0\0\x0a\x94\x01\0\x88\0\0\0\x37\x05\0\0\
\x0c\x08\0\0\x07\x94\x01\0\xa0\0\0\0\x37\x05\0\0\xdc\x07\0\0\x0e\x90\x01\0\xb0\
\0\0\0\x37\x05\0\0\xdc\x07\0\0\x02\x90\x01\0\xc8\0\0\0\x37\x05\0\0\x19\x08\0\0\
\x02\xa0\x01\0\xd8\0\0\0\x37\x05\0\0\x3d\x08\0\0\x0f\xa8\x01\0\xf0\0\0\0\x37\
\x05\0\0\x3d\x08\0\0\x0d\xa8\x01\0\xf8\0\0\0\x37\x05\0\0\x3d\x08\0\0\x02\xa8\
\x01\0\x0a\x09\0\0\x0c\0\0\0\0\0\0\0\x37\x05\0\0\x6f\x08\0\0\0\xbc\x01\0\x10\0\
\0\0\x37\x05\0\0\xb2\x07\0\0\x02\xd0\x01\0\x30\0\0\0\x37\x05\0\0\xdc\x07\0\0\
\x0e\xd8\x01\0\x48\0\0\0\x37\x05\0\0\xdc\x07\0\0\x02\xd8\x01\0\x58\0\0\0\x37\
\x05\0\0\x0c\x08\0\0\x0a\xdc\x01\0\x60\0\0\0\x37\x05\0\0\x0c\x08\0\0\x07\xdc\
\x01\0\x78\0\0\0\x37\x05\0\0\xdc\x07\0\0\x0e\xd8\x01\0\x88\0\0\0\x37\x05\0\0\
\xdc\x07\0\0\x02\xd8\x01\0\xa0\0\0\0\x37\x05\0\0\x9c\x08\0\0\x09\xe8\x01\0\xc0\
\0\0\0\x37\x05\0\0\x19\x08\0\0\x02\xf0\x01\0\xd0\0\0\0\x37\x05\0\0\x9c\x08\0\0\
\x06\xe8\x01\0\xd8\0\0\0\x37\x05\0\0\xc8\x08\0\0\x02\xf8\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\xdd\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\x02\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\
\0\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x22\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x06\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x07\0\0\0\0\0\0\xe8\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x08\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf0\x08\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xf0\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa2\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x08\0\
\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xb7\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x09\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xc3\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0a\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcf\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0a\0\0\0\0\0\0\x7e\x0d\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x18\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct iters_testmod_seq *iters_testmod_seq::open(const struct bpf_object_open_opts *opts) { return iters_testmod_seq__open_opts(opts); }
struct iters_testmod_seq *iters_testmod_seq::open_and_load() { return iters_testmod_seq__open_and_load(); }
int iters_testmod_seq::load(struct iters_testmod_seq *skel) { return iters_testmod_seq__load(skel); }
int iters_testmod_seq::attach(struct iters_testmod_seq *skel) { return iters_testmod_seq__attach(skel); }
void iters_testmod_seq::detach(struct iters_testmod_seq *skel) { iters_testmod_seq__detach(skel); }
void iters_testmod_seq::destroy(struct iters_testmod_seq *skel) { iters_testmod_seq__destroy(skel); }
const void *iters_testmod_seq::elf_bytes(size_t *sz) { return iters_testmod_seq__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
iters_testmod_seq__assert(struct iters_testmod_seq *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->exp_empty) == 8, "unexpected size of 'exp_empty'");
	_Static_assert(sizeof(s->rodata->exp_full) == 8, "unexpected size of 'exp_full'");
	_Static_assert(sizeof(s->rodata->exp_truncated) == 8, "unexpected size of 'exp_truncated'");
	_Static_assert(sizeof(s->bss->res_empty) == 8, "unexpected size of 'res_empty'");
	_Static_assert(sizeof(s->bss->res_full) == 8, "unexpected size of 'res_full'");
	_Static_assert(sizeof(s->bss->res_truncated) == 8, "unexpected size of 'res_truncated'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ITERS_TESTMOD_SEQ_SKEL_H__ */
