/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KPROBE_MULTI_SESSION_COOKIE_SKEL_H__
#define __KPROBE_MULTI_SESSION_COOKIE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct kprobe_multi_session_cookie {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *trigger;
		struct bpf_program *test_kprobe_1;
		struct bpf_program *test_kprobe_2;
		struct bpf_program *test_kprobe_3;
	} progs;
	struct {
		struct bpf_link *trigger;
		struct bpf_link *test_kprobe_1;
		struct bpf_link *test_kprobe_2;
		struct bpf_link *test_kprobe_3;
	} links;
	struct kprobe_multi_session_cookie__bss {
		int pid;
		char __pad0[4];
		__u64 test_kprobe_1_result;
		__u64 test_kprobe_2_result;
		__u64 test_kprobe_3_result;
	} *bss;

#ifdef __cplusplus
	static inline struct kprobe_multi_session_cookie *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kprobe_multi_session_cookie *open_and_load();
	static inline int load(struct kprobe_multi_session_cookie *skel);
	static inline int attach(struct kprobe_multi_session_cookie *skel);
	static inline void detach(struct kprobe_multi_session_cookie *skel);
	static inline void destroy(struct kprobe_multi_session_cookie *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kprobe_multi_session_cookie__destroy(struct kprobe_multi_session_cookie *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kprobe_multi_session_cookie__create_skeleton(struct kprobe_multi_session_cookie *obj);

static inline struct kprobe_multi_session_cookie *
kprobe_multi_session_cookie__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kprobe_multi_session_cookie *obj;
	int err;

	obj = (struct kprobe_multi_session_cookie *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kprobe_multi_session_cookie__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kprobe_multi_session_cookie__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kprobe_multi_session_cookie *
kprobe_multi_session_cookie__open(void)
{
	return kprobe_multi_session_cookie__open_opts(NULL);
}

static inline int
kprobe_multi_session_cookie__load(struct kprobe_multi_session_cookie *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kprobe_multi_session_cookie *
kprobe_multi_session_cookie__open_and_load(void)
{
	struct kprobe_multi_session_cookie *obj;
	int err;

	obj = kprobe_multi_session_cookie__open();
	if (!obj)
		return NULL;
	err = kprobe_multi_session_cookie__load(obj);
	if (err) {
		kprobe_multi_session_cookie__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kprobe_multi_session_cookie__attach(struct kprobe_multi_session_cookie *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kprobe_multi_session_cookie__detach(struct kprobe_multi_session_cookie *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kprobe_multi_session_cookie__elf_bytes(size_t *sz);

static inline int
kprobe_multi_session_cookie__create_skeleton(struct kprobe_multi_session_cookie *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kprobe_multi_session_cookie";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "kprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trigger";
	s->progs[0].prog = &obj->progs.trigger;
	s->progs[0].link = &obj->links.trigger;

	s->progs[1].name = "test_kprobe_1";
	s->progs[1].prog = &obj->progs.test_kprobe_1;
	s->progs[1].link = &obj->links.test_kprobe_1;

	s->progs[2].name = "test_kprobe_2";
	s->progs[2].prog = &obj->progs.test_kprobe_2;
	s->progs[2].link = &obj->links.test_kprobe_2;

	s->progs[3].name = "test_kprobe_3";
	s->progs[3].prog = &obj->progs.test_kprobe_3;
	s->progs[3].link = &obj->links.test_kprobe_3;

	s->data = kprobe_multi_session_cookie__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kprobe_multi_session_cookie__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\
\x75\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\
\x69\x6f\x6e\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6b\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\
\x69\x65\x2e\x63\0\x74\x72\x69\x67\x67\x65\x72\0\x74\x65\x73\x74\x5f\x6b\x70\
\x72\x6f\x62\x65\x5f\x31\0\x70\x69\x64\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\
\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\
\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x65\x73\x74\x5f\x6b\x70\x72\
\x6f\x62\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x5f\x6b\x70\
\x72\x6f\x62\x65\x5f\x32\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x32\
\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\
\x33\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x33\x5f\x72\x65\x73\x75\
\x6c\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\
\x62\x65\x2e\x73\x65\x73\x73\x69\x6f\x6e\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x82\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x90\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x94\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xd2\0\0\0\x12\0\x04\0\xe0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xe0\0\0\
\0\x11\0\x06\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf5\0\0\0\x12\0\x04\0\xc8\
\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x03\x01\0\0\x11\0\x06\0\x18\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\x01\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\x01\0\0\0\0\0\0\
\xb4\0\0\0\x01\0\0\0\x77\x01\0\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\x5d\x21\x11\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\x54\0\0\0\x01\0\0\0\x16\0\x09\0\0\0\0\0\x79\x62\0\0\0\0\0\0\xb4\0\0\0\
\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\x02\x01\0\x01\0\0\0\xb4\x01\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\
\x01\0\0\x01\0\0\0\x7b\x16\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\
\0\0\0\x0e\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x77\x01\0\0\x20\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\
\xc7\x02\0\0\x20\0\0\0\x5d\x21\x12\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\
\x06\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x54\0\0\0\x01\0\0\0\x16\0\x0a\0\0\
\0\0\0\x79\x62\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x15\x02\x01\
\0\x02\0\0\0\xb4\x01\0\0\0\0\0\0\x67\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x7b\
\x16\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\
\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x77\x01\0\0\x20\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\
\0\x5d\x21\x10\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x54\0\0\0\x01\0\0\0\x16\0\x08\0\0\0\0\0\x79\x62\0\0\0\
\0\0\0\xb7\x01\0\0\x03\0\0\0\x15\x02\x01\0\x03\0\0\0\xb7\x01\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x05\0\x02\0\0\0\0\0\xb7\
\x01\0\0\x03\0\0\0\x7b\x16\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x0a\
\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\
\0\0\x09\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x30\x01\0\0\0\0\0\0\x0a\0\
\0\0\x07\0\0\0\x40\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x88\x01\0\0\0\0\0\0\x01\
\0\0\0\x0b\0\0\0\xe8\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x18\x02\0\0\0\0\0\0\
\x0a\0\0\0\x07\0\0\0\x28\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x60\x02\0\0\0\0\0\
\0\x01\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf4\x01\0\0\xf4\x01\0\0\
\x22\x03\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\
\x24\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x06\0\0\0\
\x2c\0\0\0\x01\0\0\x0c\x08\0\0\0\0\0\0\0\0\0\0\x0d\x0b\0\0\0\0\0\0\0\0\0\0\x02\
\x0c\0\0\0\x3a\0\0\0\0\0\0\x08\x02\0\0\0\x40\0\0\0\x02\0\0\x0c\x0a\0\0\0\0\0\0\
\0\0\0\0\x0d\x0f\0\0\0\x53\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x59\0\0\0\x02\
\0\0\x0c\x0e\0\0\0\x6f\0\0\0\x01\0\0\x0c\x08\0\0\0\x7d\0\0\0\x01\0\0\x0c\x08\0\
\0\0\x8b\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\
\0\0\x15\0\0\0\x04\0\0\0\x90\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa4\0\0\0\0\0\
\0\x0e\x14\0\0\0\x01\0\0\0\xad\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xb1\0\0\0\0\
\0\0\x0e\x0c\0\0\0\x01\0\0\0\xc6\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xdb\0\0\0\
\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\xd0\x02\0\0\x01\0\0\x0f\x04\0\0\0\x16\0\0\0\0\0\
\0\0\x04\0\0\0\xd8\x02\0\0\x04\0\0\x0f\x20\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\
\x18\0\0\0\x08\0\0\0\x08\0\0\0\x19\0\0\0\x10\0\0\0\x08\0\0\0\x1a\0\0\0\x18\0\0\
\0\x08\0\0\0\xdd\x02\0\0\x02\0\0\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x72\x69\x67\x67\x65\x72\0\
\x70\x74\x5f\x72\x65\x67\x73\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\
\x31\0\x5f\x5f\x75\x36\x34\0\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\
\x63\x6f\x6f\x6b\x69\x65\0\x5f\x42\x6f\x6f\x6c\0\x62\x70\x66\x5f\x73\x65\x73\
\x73\x69\x6f\x6e\x5f\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\0\x74\x65\x73\x74\x5f\
\x6b\x70\x72\x6f\x62\x65\x5f\x32\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\
\x5f\x33\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\
\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\
\x74\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x32\x5f\x72\x65\x73\x75\
\x6c\x74\0\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x33\x5f\x72\x65\x73\
\x75\x6c\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\x2e\
\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x72\x69\x67\x67\
\x65\x72\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\
\x33\x32\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x63\x6f\x6f\x6b\x69\x65\x20\x3d\
\x20\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\
\x28\x29\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x73\x73\x69\x6f\x6e\
\x5f\x69\x73\x5f\x72\x65\x74\x75\x72\x6e\x28\x29\x29\0\x09\x09\x2a\x72\x65\x73\
\x75\x6c\x74\x20\x3d\x20\x2a\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x3d\x20\x76\x61\
\x6c\x20\x3f\x20\x76\x61\x6c\x20\x3a\x20\x30\x3b\0\x09\x09\x2a\x63\x6f\x6f\x6b\
\x69\x65\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x68\
\x65\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x31\x2c\x20\x26\x74\x65\x73\x74\
\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x63\x68\x65\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\
\x28\x32\x2c\x20\x26\x74\x65\x73\x74\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x32\x5f\
\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x68\x65\
\x63\x6b\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x33\x2c\x20\x26\x74\x65\x73\x74\x5f\
\x6b\x70\x72\x6f\x62\x65\x5f\x33\x5f\x72\x65\x73\x75\x6c\x74\x29\x3b\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x6d\x6f\x64\x69\x66\x79\x5f\x72\x65\x74\x75\
\x72\x6e\x5f\x74\x65\x73\x74\0\x6b\x70\x72\x6f\x62\x65\x2e\x73\x65\x73\x73\x69\
\x6f\x6e\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x44\x02\0\0\x78\x02\0\
\0\0\0\0\0\x08\0\0\0\xe4\x02\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x02\x03\0\0\x03\0\
\0\0\0\0\0\0\x09\0\0\0\xe0\0\0\0\x11\0\0\0\xc8\x01\0\0\x12\0\0\0\x10\0\0\0\xe4\
\x02\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x87\x01\0\0\x05\x54\0\0\x02\x03\0\0\x22\0\
\0\0\0\0\0\0\xf0\0\0\0\x9d\x01\0\0\x06\x78\0\0\x18\0\0\0\xf0\0\0\0\x9d\x01\0\0\
\x21\x78\0\0\x20\0\0\0\xf0\0\0\0\x9d\x01\0\0\x2a\x78\0\0\x48\0\0\0\xf0\0\0\0\
\x9d\x01\0\0\x06\x78\0\0\x50\0\0\0\xf0\0\0\0\xcb\x01\0\0\x0b\x84\0\0\x60\0\0\0\
\xf0\0\0\0\xeb\x01\0\0\x06\x8c\0\0\x70\0\0\0\xf0\0\0\0\xeb\x01\0\0\x06\x8c\0\0\
\x78\0\0\0\xf0\0\0\0\x09\x02\0\0\x0d\x90\0\0\x90\0\0\0\xf0\0\0\0\x09\x02\0\0\
\x15\x90\0\0\xa0\0\0\0\xf0\0\0\0\x09\x02\0\0\x0b\x90\0\0\xc8\0\0\0\xf0\0\0\0\
\x2f\x02\0\0\x0b\x98\0\0\xd8\0\0\0\xf0\0\0\0\x40\x02\0\0\x02\xb4\0\0\xe0\0\0\0\
\xf0\0\0\0\x9d\x01\0\0\x06\x78\0\0\xf8\0\0\0\xf0\0\0\0\x9d\x01\0\0\x21\x78\0\0\
\0\x01\0\0\xf0\0\0\0\x9d\x01\0\0\x2a\x78\0\0\x28\x01\0\0\xf0\0\0\0\x9d\x01\0\0\
\x06\x78\0\0\x30\x01\0\0\xf0\0\0\0\xcb\x01\0\0\x0b\x84\0\0\x40\x01\0\0\xf0\0\0\
\0\xeb\x01\0\0\x06\x8c\0\0\x50\x01\0\0\xf0\0\0\0\xeb\x01\0\0\x06\x8c\0\0\x58\
\x01\0\0\xf0\0\0\0\x09\x02\0\0\x0d\x90\0\0\x88\x01\0\0\xf0\0\0\0\x09\x02\0\0\
\x0b\x90\0\0\xb0\x01\0\0\xf0\0\0\0\x2f\x02\0\0\x0b\x98\0\0\xc0\x01\0\0\xf0\0\0\
\0\x70\x02\0\0\x02\xcc\0\0\xc8\x01\0\0\xf0\0\0\0\x9d\x01\0\0\x06\x78\0\0\xe0\
\x01\0\0\xf0\0\0\0\x9d\x01\0\0\x21\x78\0\0\xe8\x01\0\0\xf0\0\0\0\x9d\x01\0\0\
\x2a\x78\0\0\x10\x02\0\0\xf0\0\0\0\x9d\x01\0\0\x06\x78\0\0\x18\x02\0\0\xf0\0\0\
\0\xcb\x01\0\0\x0b\x84\0\0\x28\x02\0\0\xf0\0\0\0\xeb\x01\0\0\x06\x8c\0\0\x38\
\x02\0\0\xf0\0\0\0\xeb\x01\0\0\x06\x8c\0\0\x40\x02\0\0\xf0\0\0\0\x09\x02\0\0\
\x0d\x90\0\0\x60\x02\0\0\xf0\0\0\0\x09\x02\0\0\x0b\x90\0\0\x88\x02\0\0\xf0\0\0\
\0\x2f\x02\0\0\x0b\x98\0\0\x98\x02\0\0\xf0\0\0\0\xa0\x02\0\0\x02\xe4\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x53\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x98\x01\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x2f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\
\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x01\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x45\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x78\x06\0\0\0\0\0\0\x2e\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa8\x0b\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct kprobe_multi_session_cookie *kprobe_multi_session_cookie::open(const struct bpf_object_open_opts *opts) { return kprobe_multi_session_cookie__open_opts(opts); }
struct kprobe_multi_session_cookie *kprobe_multi_session_cookie::open_and_load() { return kprobe_multi_session_cookie__open_and_load(); }
int kprobe_multi_session_cookie::load(struct kprobe_multi_session_cookie *skel) { return kprobe_multi_session_cookie__load(skel); }
int kprobe_multi_session_cookie::attach(struct kprobe_multi_session_cookie *skel) { return kprobe_multi_session_cookie__attach(skel); }
void kprobe_multi_session_cookie::detach(struct kprobe_multi_session_cookie *skel) { kprobe_multi_session_cookie__detach(skel); }
void kprobe_multi_session_cookie::destroy(struct kprobe_multi_session_cookie *skel) { kprobe_multi_session_cookie__destroy(skel); }
const void *kprobe_multi_session_cookie::elf_bytes(size_t *sz) { return kprobe_multi_session_cookie__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kprobe_multi_session_cookie__assert(struct kprobe_multi_session_cookie *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->test_kprobe_1_result) == 8, "unexpected size of 'test_kprobe_1_result'");
	_Static_assert(sizeof(s->bss->test_kprobe_2_result) == 8, "unexpected size of 'test_kprobe_2_result'");
	_Static_assert(sizeof(s->bss->test_kprobe_3_result) == 8, "unexpected size of 'test_kprobe_3_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KPROBE_MULTI_SESSION_COOKIE_SKEL_H__ */
