/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPRM_OPTS_SKEL_H__
#define __BPRM_OPTS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct bprm_opts {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *secure_exec_task_map;
	} maps;
	struct {
		struct bpf_program *secure_exec;
	} progs;
	struct {
		struct bpf_link *secure_exec;
	} links;

#ifdef __cplusplus
	static inline struct bprm_opts *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bprm_opts *open_and_load();
	static inline int load(struct bprm_opts *skel);
	static inline int attach(struct bprm_opts *skel);
	static inline void detach(struct bprm_opts *skel);
	static inline void destroy(struct bprm_opts *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bprm_opts__destroy(struct bprm_opts *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bprm_opts__create_skeleton(struct bprm_opts *obj);

static inline struct bprm_opts *
bprm_opts__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bprm_opts *obj;
	int err;

	obj = (struct bprm_opts *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bprm_opts__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bprm_opts__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bprm_opts *
bprm_opts__open(void)
{
	return bprm_opts__open_opts(NULL);
}

static inline int
bprm_opts__load(struct bprm_opts *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bprm_opts *
bprm_opts__open_and_load(void)
{
	struct bprm_opts *obj;
	int err;

	obj = bprm_opts__open();
	if (!obj)
		return NULL;
	err = bprm_opts__load(obj);
	if (err) {
		bprm_opts__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bprm_opts__attach(struct bprm_opts *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bprm_opts__detach(struct bprm_opts *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bprm_opts__elf_bytes(size_t *sz);

static inline int
bprm_opts__create_skeleton(struct bprm_opts *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bprm_opts";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "secure_exec_task_map";
	map->map = &obj->maps.secure_exec_task_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "secure_exec";
	s->progs[0].prog = &obj->progs.secure_exec;
	s->progs[0].link = &obj->links.secure_exec;

	s->data = bprm_opts__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bprm_opts__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2f\x62\x70\x72\x6d\x5f\x63\x72\x65\x64\x73\x5f\x66\x6f\x72\x5f\x65\x78\
\x65\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x62\x70\x72\x6d\
\x5f\x6f\x70\x74\x73\x2e\x63\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\0\
\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\x61\
\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2f\x62\
\x70\x72\x6d\x5f\x63\x72\x65\x64\x73\x5f\x66\x6f\x72\x5f\x65\x78\x65\x63\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\0\0\0\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\x4f\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\x64\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x16\0\0\0\0\
\0\0\x85\0\0\0\x9e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\
\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\x15\0\x05\0\0\
\0\0\0\x61\x01\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\
\0\x01\0\0\0\x85\0\0\0\x9f\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\x01\
\0\0\x64\x01\0\0\x0a\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\0\0\
\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\
\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\
\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\0\0\0\
\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x47\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5a\0\0\0\x0a\0\0\0\x5e\0\0\
\0\x01\0\0\x0c\x0c\0\0\0\x6a\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\0\x6f\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\
\0\0\0\xe4\x01\0\0\x01\0\0\x0f\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\xec\x01\0\
\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\
\x61\x70\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\
\x72\x6d\x5f\x6f\x70\x74\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x6c\x69\x6e\x75\x78\x5f\x62\x69\x6e\x70\x72\x6d\x20\x2a\x62\
\x70\x72\x6d\x29\0\x09\x09\x09\x09\x20\x20\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x2c\
\x20\x30\x2c\0\x09\x73\x65\x63\x75\x72\x65\x65\x78\x65\x63\x20\x3d\x20\x62\x70\
\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\
\x26\x73\x65\x63\x75\x72\x65\x5f\x65\x78\x65\x63\x5f\x74\x61\x73\x6b\x5f\x6d\
\x61\x70\x2c\0\x09\x69\x66\x20\x28\x73\x65\x63\x75\x72\x65\x65\x78\x65\x63\x20\
\x26\x26\x20\x2a\x73\x65\x63\x75\x72\x65\x65\x78\x65\x63\x29\0\x09\x09\x62\x70\
\x66\x5f\x62\x70\x72\x6d\x5f\x6f\x70\x74\x73\x5f\x73\x65\x74\x28\x62\x70\x72\
\x6d\x2c\x20\x42\x50\x46\x5f\x46\x5f\x42\x50\x52\x4d\x5f\x53\x45\x43\x55\x52\
\x45\x45\x58\x45\x43\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\
\x73\0\x6c\x73\x6d\x2f\x62\x70\x72\x6d\x5f\x63\x72\x65\x64\x73\x5f\x66\x6f\x72\
\x5f\x65\x78\x65\x63\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\x8c\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\xf2\x01\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\
\x10\0\0\0\xf2\x01\0\0\x08\0\0\0\0\0\0\0\x78\0\0\0\xfd\0\0\0\x05\x58\0\0\x08\0\
\0\0\x78\0\0\0\x32\x01\0\0\x08\x6c\0\0\x10\0\0\0\x78\0\0\0\x58\x01\0\0\x0f\x68\
\0\0\x40\0\0\0\x78\0\0\0\x92\x01\0\0\x11\x78\0\0\x48\0\0\0\x78\0\0\0\x92\x01\0\
\0\x14\x78\0\0\x50\0\0\0\x78\0\0\0\x92\x01\0\0\x06\x78\0\0\x58\0\0\0\x78\0\0\0\
\xb2\x01\0\0\x03\x7c\0\0\x70\0\0\0\x78\0\0\0\xfd\0\0\0\x05\x58\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x97\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\
\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x89\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x86\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x05\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bprm_opts *bprm_opts::open(const struct bpf_object_open_opts *opts) { return bprm_opts__open_opts(opts); }
struct bprm_opts *bprm_opts::open_and_load() { return bprm_opts__open_and_load(); }
int bprm_opts::load(struct bprm_opts *skel) { return bprm_opts__load(skel); }
int bprm_opts::attach(struct bprm_opts *skel) { return bprm_opts__attach(skel); }
void bprm_opts::detach(struct bprm_opts *skel) { bprm_opts__detach(skel); }
void bprm_opts::destroy(struct bprm_opts *skel) { bprm_opts__destroy(skel); }
const void *bprm_opts::elf_bytes(size_t *sz) { return bprm_opts__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bprm_opts__assert(struct bprm_opts *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPRM_OPTS_SKEL_H__ */
