/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CONNECT4_PROG_SKEL_H__
#define __CONNECT4_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct connect4_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata_str1_1;
		struct bpf_map *rodata_cst16;
	} maps;
	struct {
		struct bpf_program *connect_v4_prog;
		struct bpf_program *connect_v4_deny_prog;
	} progs;
	struct {
		struct bpf_link *connect_v4_prog;
		struct bpf_link *connect_v4_deny_prog;
	} links;

#ifdef __cplusplus
	static inline struct connect4_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct connect4_prog *open_and_load();
	static inline int load(struct connect4_prog *skel);
	static inline int attach(struct connect4_prog *skel);
	static inline void detach(struct connect4_prog *skel);
	static inline void destroy(struct connect4_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
connect4_prog__destroy(struct connect4_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
connect4_prog__create_skeleton(struct connect4_prog *obj);

static inline struct connect4_prog *
connect4_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct connect4_prog *obj;
	int err;

	obj = (struct connect4_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = connect4_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	connect4_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct connect4_prog *
connect4_prog__open(void)
{
	return connect4_prog__open_opts(NULL);
}

static inline int
connect4_prog__load(struct connect4_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct connect4_prog *
connect4_prog__open_and_load(void)
{
	struct connect4_prog *obj;
	int err;

	obj = connect4_prog__open();
	if (!obj)
		return NULL;
	err = connect4_prog__load(obj);
	if (err) {
		connect4_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
connect4_prog__attach(struct connect4_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
connect4_prog__detach(struct connect4_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *connect4_prog__elf_bytes(size_t *sz);

static inline int
connect4_prog__create_skeleton(struct connect4_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "connect4_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = ".rodata.str1.1";
	map->map = &obj->maps.rodata_str1_1;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.cst16";
	map->map = &obj->maps.rodata_cst16;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "connect_v4_prog";
	s->progs[0].prog = &obj->progs.connect_v4_prog;
	s->progs[0].link = &obj->links.connect_v4_prog;

	s->progs[1].name = "connect_v4_deny_prog";
	s->progs[1].prog = &obj->progs.connect_v4_deny_prog;
	s->progs[1].link = &obj->links.connect_v4_deny_prog;

	s->data = connect4_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *connect4_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x24\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x34\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x73\x74\x72\x31\
\x2e\x31\0\x2e\x72\x6f\x64\x61\x74\x61\x2e\x63\x73\x74\x31\x36\0\x63\x6f\x6e\
\x6e\x65\x63\x74\x34\x5f\x70\x72\x6f\x67\x2e\x63\0\x73\x65\x74\x5f\x63\x63\0\
\x76\x65\x72\x69\x66\x79\x5f\x63\x63\0\x64\x6f\x5f\x62\x69\x6e\x64\0\x63\x6f\
\x6e\x6e\x65\x63\x74\x5f\x76\x34\x5f\x70\x72\x6f\x67\0\x63\x6f\x6e\x6e\x65\x63\
\x74\x5f\x76\x34\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\
\x63\x74\x34\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x02\0\x03\0\x80\0\0\0\
\0\0\0\0\x40\x01\0\0\0\0\0\0\x63\0\0\0\x02\0\x03\0\xc0\x01\0\0\0\0\0\0\x58\x03\
\0\0\0\0\0\0\x6d\0\0\0\x22\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x75\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\xf0\x05\0\0\0\0\0\0\x85\0\0\0\x12\0\x04\0\xf0\x05\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xb7\x02\0\0\x7f\0\0\x04\x63\x2a\xf4\xff\0\0\0\0\xb7\x02\0\0\x02\0\0\0\
\x63\x2a\xf0\xff\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\0\x63\x2a\
\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\xff\xff\xb7\x03\0\0\
\x10\0\0\0\x85\0\0\0\x40\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x01\
\x01\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\
\0\0\x72\x65\x6e\x6f\x7b\x1a\xf0\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\
\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x18\x01\0\0\x63\x75\x62\x69\0\0\0\0\x63\0\
\0\0\x7b\x1a\xe0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xf0\xff\xff\xff\
\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x0d\0\0\0\xb7\x05\0\0\
\x10\0\0\0\x85\0\0\0\x31\0\0\0\xb7\x07\0\0\x01\0\0\0\x55\0\x14\0\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\
\x12\0\0\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x0d\0\0\0\0\0\xbf\xa4\
\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x06\0\
\0\0\xb7\x03\0\0\x0d\0\0\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x05\
\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\x85\x10\0\0\x03\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\x26\0\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xf0\xff\xff\xff\xb7\x02\
\0\0\x06\0\0\0\xb7\x03\0\0\x0d\0\0\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\x39\0\0\0\
\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x55\x01\x06\0\0\0\0\0\x71\x62\0\0\0\0\
\0\0\x71\xa1\xf0\xff\0\0\0\0\x1d\x21\x01\0\0\0\0\0\x05\0\x02\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x55\x01\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\x71\x62\x01\0\0\0\0\0\x71\
\xa1\xf1\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xfb\xff\0\0\0\0\xb7\0\0\0\0\0\
\0\0\x15\x01\xf9\xff\0\0\0\0\x71\x62\x02\0\0\0\0\0\x71\xa1\xf2\xff\0\0\0\0\xb7\
\0\0\0\x01\0\0\0\x5d\x21\xf5\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xf3\xff\0\0\
\0\0\x71\x62\x03\0\0\0\0\0\x71\xa1\xf3\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\
\xef\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xed\xff\0\0\0\0\x71\x62\x04\0\0\0\0\
\0\x71\xa1\xf4\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xe9\xff\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x15\x01\xe7\xff\0\0\0\0\x71\x62\x05\0\0\0\0\0\x71\xa1\xf5\xff\0\0\0\
\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xe3\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xe1\
\xff\0\0\0\0\x71\x62\x06\0\0\0\0\0\x71\xa1\xf6\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\
\x5d\x21\xdd\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xdb\xff\0\0\0\0\x71\x62\x07\
\0\0\0\0\0\x71\xa1\xf7\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xd7\xff\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x15\x01\xd5\xff\0\0\0\0\x71\x62\x08\0\0\0\0\0\x71\xa1\xf8\
\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xd1\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\
\x01\xcf\xff\0\0\0\0\x71\x62\x09\0\0\0\0\0\x71\xa1\xf9\xff\0\0\0\0\xb7\0\0\0\
\x01\0\0\0\x5d\x21\xcb\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xc9\xff\0\0\0\0\
\x71\x62\x0a\0\0\0\0\0\x71\xa1\xfa\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xc5\
\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xc3\xff\0\0\0\0\x71\x62\x0b\0\0\0\0\0\
\x71\xa1\xfb\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xbf\xff\0\0\0\0\xb7\0\0\0\
\0\0\0\0\x15\x01\xbd\xff\0\0\0\0\x71\x62\x0c\0\0\0\0\0\x71\xa1\xfc\xff\0\0\0\0\
\xb7\0\0\0\x01\0\0\0\x5d\x21\xb9\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xb7\xff\
\0\0\0\0\x71\x62\x0d\0\0\0\0\0\x71\xa1\xfd\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\
\x21\xb3\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x15\x01\xb1\xff\0\0\0\0\x71\x62\x0e\0\0\
\0\0\0\x71\xa1\xfe\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x21\xad\xff\0\0\0\0\xb7\
\0\0\0\0\0\0\0\x15\x01\xab\xff\0\0\0\0\x71\x61\x0f\0\0\0\0\0\x71\xa2\xff\xff\0\
\0\0\0\xb7\0\0\0\x01\0\0\0\x5d\x12\xa7\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x05\0\xa5\
\xff\0\0\0\0\xbf\x17\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x7b\x6a\xa0\xff\0\0\0\0\
\xb7\x01\0\0\x11\x5c\0\0\x6b\x1a\xa2\xff\0\0\0\0\x7b\x6a\x98\xff\0\0\0\0\xb7\
\x01\0\0\x7f\0\0\x01\x63\x1a\x9c\xff\0\0\0\0\x63\x6a\xb8\xff\0\0\0\0\x7b\x6a\
\xb0\xff\0\0\0\0\x7b\x6a\xa8\xff\0\0\0\0\x18\x01\0\0\x6b\x5f\x61\x64\0\0\0\0\
\x64\x72\x31\0\x7b\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\x74\x65\x73\x74\0\0\0\0\x5f\
\x73\x6f\x63\x7b\x1a\xf0\xff\0\0\0\0\x18\x02\0\0\x6b\x5f\x61\x64\0\0\0\0\x64\
\x72\x32\0\x7b\x2a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x18\x01\0\0\x65\x6e\
\x74\x5f\0\0\0\0\x64\x65\x76\0\x7b\x1a\xd8\xff\0\0\0\0\x18\x01\0\0\x6e\x6f\x6e\
\x65\0\0\0\0\x78\x69\x73\x74\x7b\x1a\xd0\xff\0\0\0\0\x7b\x6a\xc8\xff\0\0\0\0\
\x7b\x6a\xc0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xf0\xff\xff\xff\xbf\
\x71\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x19\0\0\0\xb7\x05\0\0\x10\0\
\0\0\x85\0\0\0\x31\0\0\0\x55\0\x10\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x19\0\0\
\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x08\0\0\0\0\0\xbf\xa4\0\0\0\
\0\0\0\x07\x04\0\0\xd0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\
\xb7\x03\0\0\x19\0\0\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\x15\0\x02\0\
\xed\xff\xff\xff\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x08\0\0\x01\0\0\0\
\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xc0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\
\0\x01\0\0\0\xb7\x03\0\0\x19\0\0\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\x31\0\0\0\
\x55\0\xf5\xff\0\0\0\0\x63\x6a\xf0\xff\0\0\0\0\x63\x8a\xe0\xff\0\0\0\0\xbf\xa4\
\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x01\0\
\0\0\xb7\x03\0\0\x09\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x2a\
\0\0\0\0\0\x61\x71\x20\0\0\0\0\0\x55\x01\x29\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\
\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\
\0\0\x04\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x20\0\0\0\0\0\
\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\
\0\x06\0\0\0\xb7\x03\0\0\x05\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\
\x55\0\x18\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\
\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x06\0\0\0\xb7\x05\0\0\x04\0\0\0\
\x85\0\0\0\x31\0\0\0\x55\0\x10\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xe0\
\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x07\0\0\0\
\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x55\0\x08\0\0\0\0\0\xbf\xa4\0\0\0\0\
\0\0\x07\x04\0\0\xe0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\
\x03\0\0\x12\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x15\0\x01\0\0\0\0\
\0\x05\0\xc0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xf0\xff\xff\xff\xbf\
\x71\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x09\0\0\0\xb7\x05\0\0\x04\0\
\0\0\x85\0\0\0\x31\0\0\0\x55\0\xb8\xff\0\0\0\0\xb7\x01\0\0\xff\xff\0\0\x63\x1a\
\xf0\xff\0\0\0\0\x61\x71\x20\0\0\0\0\0\x55\x01\x0a\0\x01\0\0\0\xbf\xa4\0\0\0\0\
\0\0\x07\x04\0\0\xf0\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\
\x03\0\0\x19\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x15\0\x01\0\0\0\0\
\0\x05\0\xab\xff\0\0\0\0\x61\x71\x20\0\0\0\0\0\xbf\x12\0\0\0\0\0\0\x07\x02\0\0\
\xff\xff\xff\xff\x67\x02\0\0\x20\0\0\0\x77\x02\0\0\x20\0\0\0\x25\x02\xa5\xff\
\x01\0\0\0\x55\x01\x08\0\x01\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\x98\xff\xff\
\xff\xbf\x71\0\0\0\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\
\x05\0\0\0\0\0\0\x85\0\0\0\x54\0\0\0\x05\0\x07\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\x98\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\
\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x55\0\0\0\x15\0\x94\xff\0\0\
\0\0\x61\x01\x18\0\0\0\0\0\x61\xa2\x9c\xff\0\0\0\0\x5d\x21\x02\0\0\0\0\0\x61\
\x01\x2c\0\0\0\0\0\x15\x01\x03\0\x5c\x11\0\0\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x56\
\0\0\0\x05\0\x8c\xff\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\x61\x71\
\x20\0\0\0\0\0\x55\x01\x05\0\x01\0\0\0\xbf\x71\0\0\0\0\0\0\x85\x10\0\0\x0f\0\0\
\0\x67\0\0\0\x20\0\0\0\x77\0\0\0\x20\0\0\0\x55\0\x83\xff\0\0\0\0\xb7\x01\0\0\
\x11\x5c\0\0\x63\x17\x18\0\0\0\0\0\xb7\x01\0\0\x7f\0\0\x01\x63\x17\x04\0\0\0\0\
\0\xbf\x71\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x67\0\0\0\x20\0\0\0\x77\0\0\
\0\x20\0\0\0\xb7\x06\0\0\x01\0\0\0\x55\0\x79\xff\0\0\0\0\xb7\x06\0\0\0\0\0\0\
\x05\0\x77\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\x74\
\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x31\0\x74\x65\x73\x74\x5f\
\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x32\0\x6e\x6f\x6e\x65\x78\x69\x73\x74\x65\
\x6e\x74\x5f\x64\x65\x76\0\x72\x65\x6e\x6f\0\0\0\0\0\0\0\0\0\0\0\0\x63\x75\x62\
\x69\x63\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x05\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\
\xb8\x05\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xdc\
\x01\0\0\xdc\x01\0\0\xda\x0a\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x0a\0\0\
\x04\x48\0\0\0\x0f\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\0\x03\0\0\0\x20\0\0\0\x24\0\
\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x03\0\0\0\xc0\0\0\0\x37\0\0\0\x03\0\0\0\xe0\
\0\0\0\x3e\0\0\0\x03\0\0\0\0\x01\0\0\x43\0\0\0\x03\0\0\0\x20\x01\0\0\x4c\0\0\0\
\x03\0\0\0\x40\x01\0\0\x58\0\0\0\x05\0\0\0\x60\x01\0\0\0\0\0\0\x07\0\0\0\0\x02\
\0\0\x64\0\0\0\0\0\0\x08\x04\0\0\0\x6a\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\x77\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x8b\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\x15\0\0\0\0\0\0\0\x01\0\0\x0d\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\x92\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x96\0\0\0\x01\0\0\x0c\x09\0\0\0\x9e\0\0\0\
\x01\0\0\x0c\x09\0\0\0\xae\0\0\0\0\0\0\x0c\x09\0\0\0\xb5\0\0\0\x01\0\0\x0c\x09\
\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\xca\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\
\0\0\0\x02\0\0\x0d\x0a\0\0\0\x8e\0\0\0\x01\0\0\0\xcf\0\0\0\x0f\0\0\0\xd8\0\0\0\
\0\0\0\x0c\x11\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x06\0\0\0\x04\0\0\0\
\xe2\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\xeb\0\0\0\0\0\0\x07\0\0\0\0\xbc\x0a\0\
\0\x01\0\0\x0f\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\
\x75\x73\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\
\x65\x72\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\x70\
\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\
\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x63\x74\x78\0\x69\x6e\x74\
\0\x64\x6f\x5f\x62\x69\x6e\x64\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\x76\x34\x5f\
\x70\x72\x6f\x67\0\x73\x65\x74\x5f\x63\x63\0\x63\x6f\x6e\x6e\x65\x63\x74\x5f\
\x76\x34\x5f\x64\x65\x6e\x79\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x65\x78\
\x70\x65\x63\x74\x65\x64\0\x76\x65\x72\x69\x66\x79\x5f\x63\x63\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x34\x5f\x70\x72\x6f\x67\x2e\x63\0\x69\x6e\
\x74\x20\x64\x6f\x5f\x62\x69\x6e\x64\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x29\0\x09\x73\
\x61\x2e\x73\x69\x6e\x5f\x61\x64\x64\x72\x2e\x73\x5f\x61\x64\x64\x72\x20\x3d\
\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x53\x52\x43\x5f\x52\x45\x57\x52\
\x49\x54\x45\x5f\x49\x50\x34\x29\x3b\0\x09\x73\x61\x2e\x73\x69\x6e\x5f\x66\x61\
\x6d\x69\x6c\x79\x20\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x3b\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\x20\x73\x61\x20\
\x3d\x20\x7b\x7d\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x62\x69\x6e\x64\x28\
\x63\x74\x78\x2c\x20\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x61\x64\
\x64\x72\x20\x2a\x29\x26\x73\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\
\x29\x29\x20\x21\x3d\x20\x30\x29\0\x7d\0\x73\x74\x61\x74\x69\x63\x20\x5f\x5f\
\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x73\x65\x74\x5f\x63\x63\x28\x73\
\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\
\x20\x2a\x63\x74\x78\x29\0\x09\x63\x68\x61\x72\x20\x72\x65\x6e\x6f\x5b\x54\x43\
\x50\x5f\x43\x41\x5f\x4e\x41\x4d\x45\x5f\x4d\x41\x58\x5d\x20\x3d\x20\x22\x72\
\x65\x6e\x6f\x22\x3b\0\x09\x63\x68\x61\x72\x20\x63\x75\x62\x69\x63\x5b\x54\x43\
\x50\x5f\x43\x41\x5f\x4e\x41\x4d\x45\x5f\x4d\x41\x58\x5d\x20\x3d\x20\x22\x63\
\x75\x62\x69\x63\x22\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\
\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\
\x2c\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\x20\x26\
\x72\x65\x6e\x6f\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x72\x65\x6e\x6f\x29\x29\
\x29\0\x09\x69\x66\x20\x28\x76\x65\x72\x69\x66\x79\x5f\x63\x63\x28\x63\x74\x78\
\x2c\x20\x72\x65\x6e\x6f\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\
\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\
\x43\x50\x2c\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\x49\x4f\x4e\x2c\
\x20\x26\x63\x75\x62\x69\x63\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x63\x75\x62\
\x69\x63\x29\x29\x29\0\x09\x69\x66\x20\x28\x76\x65\x72\x69\x66\x79\x5f\x63\x63\
\x28\x63\x74\x78\x2c\x20\x63\x75\x62\x69\x63\x29\x29\0\x73\x74\x61\x74\x69\x63\
\x20\x5f\x5f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x76\x65\x72\x69\x66\
\x79\x5f\x63\x63\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\x78\x2c\0\x09\x69\x66\x20\x28\x62\x70\
\x66\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\
\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x43\x4f\x4e\x47\x45\x53\x54\
\x49\x4f\x4e\x2c\x20\x26\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x62\
\x75\x66\x29\x29\x29\0\x09\x09\x69\x66\x20\x28\x62\x75\x66\x5b\x69\x5d\x20\x21\
\x3d\x20\x65\x78\x70\x65\x63\x74\x65\x64\x5b\x69\x5d\x29\0\x09\x09\x69\x66\x20\
\x28\x62\x75\x66\x5b\x69\x5d\x20\x3d\x3d\x20\x30\x29\0\x69\x6e\x74\x20\x63\x6f\
\x6e\x6e\x65\x63\x74\x5f\x76\x34\x5f\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\x20\x2a\x63\x74\
\x78\x29\0\x09\x6d\x65\x6d\x73\x65\x74\x28\x26\x74\x75\x70\x6c\x65\x2e\x69\x70\
\x76\x34\x2e\x73\x61\x64\x64\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x34\x2e\x73\x61\x64\x64\x72\x29\x29\
\x3b\0\x09\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x34\x2e\x64\x70\x6f\x72\x74\x20\
\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x44\x53\x54\x5f\x52\x45\x57\
\x52\x49\x54\x45\x5f\x50\x4f\x52\x54\x34\x29\x3b\0\x09\x74\x75\x70\x6c\x65\x2e\
\x69\x70\x76\x34\x2e\x64\x61\x64\x64\x72\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\
\x6f\x6e\x6c\x28\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x34\
\x29\x3b\0\x09\x63\x68\x61\x72\x20\x76\x65\x74\x68\x31\x5b\x49\x46\x4e\x41\x4d\
\x53\x49\x5a\x5d\x20\x3d\x20\x22\x74\x65\x73\x74\x5f\x73\x6f\x63\x6b\x5f\x61\
\x64\x64\x72\x31\x22\x3b\0\x09\x63\x68\x61\x72\x20\x76\x65\x74\x68\x32\x5b\x49\
\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x74\x65\x73\x74\x5f\x73\x6f\
\x63\x6b\x5f\x61\x64\x64\x72\x32\x22\x3b\0\x09\x63\x68\x61\x72\x20\x6d\x69\x73\
\x73\x69\x6e\x67\x5b\x49\x46\x4e\x41\x4d\x53\x49\x5a\x5d\x20\x3d\x20\x22\x6e\
\x6f\x6e\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x64\x65\x76\x22\x3b\0\x09\x63\x68\
\x61\x72\x20\x64\x65\x6c\x5f\x62\x69\x6e\x64\x5b\x49\x46\x4e\x41\x4d\x53\x49\
\x5a\x5d\x20\x3d\x20\x22\x22\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\
\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\
\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x42\x49\x4e\x44\x54\x4f\x44\x45\x56\
\x49\x43\x45\x2c\0\x09\x69\x66\x20\x28\x62\x69\x6e\x64\x5f\x74\x6f\x5f\x64\x65\
\x76\x69\x63\x65\x28\x63\x74\x78\x29\x29\0\x09\x69\x6e\x74\x20\x7a\x65\x72\x6f\
\x20\x3d\x20\x30\x2c\x20\x6f\x6e\x65\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\
\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x4b\x45\x45\
\x50\x41\x4c\x49\x56\x45\x2c\x20\x26\x6f\x6e\x65\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x6f\x6e\x65\x29\x29\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x74\
\x79\x70\x65\x20\x3d\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\x29\
\x20\x7b\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\
\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\
\x43\x50\x5f\x4b\x45\x45\x50\x49\x44\x4c\x45\x2c\x20\x26\x6f\x6e\x65\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x6f\x6e\x65\x29\x29\x29\0\x09\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\
\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x4b\x45\x45\x50\x49\
\x4e\x54\x56\x4c\x2c\x20\x26\x6f\x6e\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x6f\x6e\x65\x29\x29\x29\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\
\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\
\x50\x2c\x20\x54\x43\x50\x5f\x4b\x45\x45\x50\x43\x4e\x54\x2c\x20\x26\x6f\x6e\
\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\x6e\x65\x29\x29\x29\0\x09\x09\x69\
\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\
\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\x54\x43\x50\x5f\x53\x59\
\x4e\x43\x4e\x54\x2c\x20\x26\x6f\x6e\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x6f\x6e\x65\x29\x29\x29\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\
\x73\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\
\x50\x2c\x20\x54\x43\x50\x5f\x55\x53\x45\x52\x5f\x54\x49\x4d\x45\x4f\x55\x54\
\x2c\x20\x26\x6f\x6e\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6f\x6e\x65\x29\
\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\
\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\
\x20\x53\x4f\x5f\x4b\x45\x45\x50\x41\x4c\x49\x56\x45\x2c\x20\x26\x7a\x65\x72\
\x6f\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x7a\x65\x72\x6f\x29\x29\x29\0\x09\x69\
\x66\x20\x28\x73\x65\x74\x5f\x6b\x65\x65\x70\x61\x6c\x69\x76\x65\x28\x63\x74\
\x78\x29\x29\0\x09\x69\x6e\x74\x20\x6c\x6f\x77\x61\x74\x20\x3d\x20\x36\x35\x35\
\x33\x35\x3b\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\
\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x54\x43\x50\x2c\x20\
\x54\x43\x50\x5f\x4e\x4f\x54\x53\x45\x4e\x54\x5f\x4c\x4f\x57\x41\x54\x2c\x20\
\x26\x6c\x6f\x77\x61\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6c\x6f\x77\x61\
\x74\x29\x29\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\
\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\x20\x26\x26\x20\x63\
\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x44\x47\
\x52\x41\x4d\x29\0\x09\x65\x6c\x73\x65\x20\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\
\x74\x79\x70\x65\x20\x3d\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\x4d\
\x29\0\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x74\x63\x70\x28\x63\x74\x78\x2c\x20\x26\x74\x75\x70\x6c\x65\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x34\x29\
\x2c\0\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x75\x64\x70\x28\x63\x74\x78\x2c\x20\x26\x74\x75\x70\x6c\x65\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x75\x70\x6c\x65\x2e\x69\x70\x76\x34\x29\
\x2c\0\x09\x69\x66\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x73\x6b\x2d\
\x3e\x73\x72\x63\x5f\x69\x70\x34\x20\x21\x3d\x20\x74\x75\x70\x6c\x65\x2e\x69\
\x70\x76\x34\x2e\x64\x61\x64\x64\x72\x20\x7c\x7c\0\x09\x20\x20\x20\x20\x73\x6b\
\x2d\x3e\x73\x72\x63\x5f\x70\x6f\x72\x74\x20\x21\x3d\x20\x44\x53\x54\x5f\x52\
\x45\x57\x52\x49\x54\x45\x5f\x50\x4f\x52\x54\x34\x29\x20\x7b\0\x09\x09\x62\x70\
\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\x73\x65\x28\x73\x6b\x29\x3b\0\x09\x09\
\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\
\x6c\x65\x61\x73\x65\x28\x73\x6b\x29\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\
\x3e\x74\x79\x70\x65\x20\x3d\x3d\x20\x53\x4f\x43\x4b\x5f\x53\x54\x52\x45\x41\
\x4d\x20\x26\x26\x20\x73\x65\x74\x5f\x63\x63\x28\x63\x74\x78\x29\x29\0\x09\x63\
\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\x20\x3d\x20\x62\x70\x66\
\x5f\x68\x74\x6f\x6e\x73\x28\x44\x53\x54\x5f\x52\x45\x57\x52\x49\x54\x45\x5f\
\x50\x4f\x52\x54\x34\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x69\
\x70\x34\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x6c\x28\x44\x53\x54\x5f\
\x52\x45\x57\x52\x49\x54\x45\x5f\x49\x50\x34\x29\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x64\x6f\x5f\x62\x69\x6e\x64\x28\x63\x74\x78\x29\x20\x3f\x20\x31\x20\
\x3a\x20\x30\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\
\x6e\x65\x63\x74\x34\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\
\x84\x09\0\0\xc0\x09\0\0\0\0\0\0\x08\0\0\0\xc4\x0a\0\0\x03\0\0\0\0\0\0\0\x0b\0\
\0\0\x80\0\0\0\x0d\0\0\0\xc0\x01\0\0\x12\0\0\0\xca\x0a\0\0\x02\0\0\0\0\0\0\0\
\x0c\0\0\0\xf0\x05\0\0\x0e\0\0\0\x10\0\0\0\xc4\x0a\0\0\x56\0\0\0\0\0\0\0\xf4\0\
\0\0\x7d\x01\0\0\0\x98\0\0\x08\0\0\0\xf4\0\0\0\xa4\x01\0\0\x15\xb0\0\0\x18\0\0\
\0\xf4\0\0\0\xd6\x01\0\0\x10\xa8\0\0\x28\0\0\0\xf4\0\0\0\xf0\x01\0\0\x15\xa0\0\
\0\x48\0\0\0\xf4\0\0\0\x0d\x02\0\0\x06\xb8\0\0\x68\0\0\0\xf4\0\0\0\x0d\x02\0\0\
\x38\xb8\0\0\x78\0\0\0\xf4\0\0\0\x4a\x02\0\0\x01\xc8\0\0\x80\0\0\0\xf4\0\0\0\
\x4c\x02\0\0\0\x1c\x01\0\x90\0\0\0\xf4\0\0\0\x82\x02\0\0\x07\x24\x01\0\xa8\0\0\
\0\xf4\0\0\0\xa8\x02\0\0\x07\x28\x01\0\xd8\0\0\0\xf4\0\0\0\xd0\x02\0\0\x06\x30\
\x01\0\x08\x01\0\0\xf4\0\0\0\xd0\x02\0\0\x06\x30\x01\0\x20\x01\0\0\xf4\0\0\0\
\x18\x03\0\0\x06\x38\x01\0\x40\x01\0\0\xf4\0\0\0\x18\x03\0\0\x06\x38\x01\0\x58\
\x01\0\0\xf4\0\0\0\x33\x03\0\0\x06\x44\x01\0\x80\x01\0\0\xf4\0\0\0\x33\x03\0\0\
\x06\x44\x01\0\x98\x01\0\0\xf4\0\0\0\x7d\x03\0\0\x06\x4c\x01\0\xb0\x01\0\0\xf4\
\0\0\0\x4a\x02\0\0\x01\x5c\x01\0\xc0\x01\0\0\xf4\0\0\0\x99\x03\0\0\0\xd0\0\0\
\xd8\x01\0\0\xf4\0\0\0\xd2\x03\0\0\x06\xe8\0\0\x08\x02\0\0\xf4\0\0\0\xd2\x03\0\
\0\x06\xe8\0\0\x10\x02\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\x18\x02\0\0\xf4\0\
\0\0\x18\x04\0\0\x07\xf8\0\0\x20\x02\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x38\
\x02\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x40\x02\0\0\xf4\0\0\0\x4a\x02\0\0\
\x01\x14\x01\0\x48\x02\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\x50\x02\0\0\xf4\0\
\0\0\x18\x04\0\0\x07\xf8\0\0\x60\x02\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x70\
\x02\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x78\x02\0\0\xf4\0\0\0\x18\x04\0\0\
\x11\xf8\0\0\x80\x02\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x90\x02\0\0\xf4\0\0\
\0\x18\x04\0\0\x07\xf8\0\0\xa0\x02\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\xa8\
\x02\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\xb0\x02\0\0\xf4\0\0\0\x18\x04\0\0\
\x07\xf8\0\0\xc0\x02\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xd0\x02\0\0\xf4\0\0\
\0\x35\x04\0\0\x07\0\x01\0\xd8\x02\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\xe0\
\x02\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xf0\x02\0\0\xf4\0\0\0\x18\x04\0\0\
\x07\xf8\0\0\0\x03\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x08\x03\0\0\xf4\0\0\0\
\x18\x04\0\0\x11\xf8\0\0\x10\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x20\x03\
\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x30\x03\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\
\x01\0\x38\x03\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\x40\x03\0\0\xf4\0\0\0\x18\
\x04\0\0\x07\xf8\0\0\x50\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x60\x03\0\0\
\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x68\x03\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\
\0\x70\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x80\x03\0\0\xf4\0\0\0\x18\x04\
\0\0\x07\xf8\0\0\x90\x03\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x98\x03\0\0\xf4\
\0\0\0\x18\x04\0\0\x11\xf8\0\0\xa0\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\
\xb0\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xc0\x03\0\0\xf4\0\0\0\x35\x04\0\
\0\x07\0\x01\0\xc8\x03\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\xd0\x03\0\0\xf4\0\
\0\0\x18\x04\0\0\x07\xf8\0\0\xe0\x03\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xf0\
\x03\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\xf8\x03\0\0\xf4\0\0\0\x18\x04\0\0\
\x11\xf8\0\0\0\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x10\x04\0\0\xf4\0\0\0\
\x18\x04\0\0\x07\xf8\0\0\x20\x04\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x28\x04\
\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\x30\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\
\xf8\0\0\x40\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x50\x04\0\0\xf4\0\0\0\
\x35\x04\0\0\x07\0\x01\0\x58\x04\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\x60\x04\
\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\x70\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\
\xf8\0\0\x80\x04\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\x88\x04\0\0\xf4\0\0\0\
\x18\x04\0\0\x11\xf8\0\0\x90\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xa0\x04\
\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xb0\x04\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\
\x01\0\xb8\x04\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\0\xc0\x04\0\0\xf4\0\0\0\x18\
\x04\0\0\x07\xf8\0\0\xd0\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\xe0\x04\0\0\
\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\xe8\x04\0\0\xf4\0\0\0\x18\x04\0\0\x11\xf8\0\
\0\xf0\x04\0\0\xf4\0\0\0\x18\x04\0\0\x07\xf8\0\0\0\x05\0\0\xf4\0\0\0\x18\x04\0\
\0\x07\xf8\0\0\x10\x05\0\0\xf4\0\0\0\x35\x04\0\0\x07\0\x01\0\xca\x0a\0\0\x41\0\
\0\0\0\0\0\0\xf4\0\0\0\x48\x04\0\0\0\x54\x02\0\x10\0\0\0\xf4\0\0\0\x77\x04\0\0\
\x02\x6c\x02\0\x20\0\0\0\xf4\0\0\0\xb0\x04\0\0\x13\x7c\x02\0\x28\0\0\0\xf4\0\0\
\0\x77\x04\0\0\x02\x6c\x02\0\x38\0\0\0\xf4\0\0\0\xe2\x04\0\0\x13\x78\x02\0\x40\
\0\0\0\xf4\0\0\0\x77\x04\0\0\x02\x6c\x02\0\x68\0\0\0\xf4\0\0\0\x12\x05\0\0\x07\
\x6c\x01\0\x98\0\0\0\xf4\0\0\0\x3d\x05\0\0\x07\x70\x01\0\xb8\0\0\0\xf4\0\0\0\
\x68\x05\0\0\x07\x74\x01\0\xd8\0\0\0\xf4\0\0\0\x95\x05\0\0\x07\x78\x01\0\xf8\0\
\0\0\xf4\0\0\0\xb4\x05\0\0\x06\x80\x01\0\x20\x01\0\0\xf4\0\0\0\xb4\x05\0\0\x06\
\x80\x01\0\x38\x01\0\0\xf4\0\0\0\xb4\x05\0\0\x06\x8c\x01\0\x60\x01\0\0\xf4\0\0\
\0\xb4\x05\0\0\x06\x8c\x01\0\x78\x01\0\0\xf4\0\0\0\xb4\x05\0\0\x06\x98\x01\0\
\xa0\x01\0\0\xf4\0\0\0\xb4\x05\0\0\x06\x98\x01\0\xa8\x01\0\0\xf4\0\0\0\x4a\x02\
\0\0\x01\x20\x03\0\xd0\x01\0\0\xf4\0\0\0\xb4\x05\0\0\x06\xa4\x01\0\xf8\x01\0\0\
\xf4\0\0\0\xea\x05\0\0\x06\x88\x02\0\0\x02\0\0\xf4\0\0\0\x04\x06\0\0\x06\xc8\
\x01\0\x08\x02\0\0\xf4\0\0\0\x04\x06\0\0\x10\xc8\x01\0\x20\x02\0\0\xf4\0\0\0\
\x1c\x06\0\0\x06\xd0\x01\0\x48\x02\0\0\xf4\0\0\0\x1c\x06\0\0\x06\xd0\x01\0\x50\
\x02\0\0\xf4\0\0\0\x63\x06\0\0\x0b\xd8\x01\0\x58\x02\0\0\xf4\0\0\0\x63\x06\0\0\
\x06\xd8\x01\0\x70\x02\0\0\xf4\0\0\0\x84\x06\0\0\x07\xdc\x01\0\x98\x02\0\0\xf4\
\0\0\0\x84\x06\0\0\x07\xdc\x01\0\xb0\x02\0\0\xf4\0\0\0\xc9\x06\0\0\x07\xe4\x01\
\0\xd8\x02\0\0\xf4\0\0\0\xc9\x06\0\0\x07\xe4\x01\0\xf0\x02\0\0\xf4\0\0\0\x0f\
\x07\0\0\x07\xec\x01\0\x18\x03\0\0\xf4\0\0\0\x0f\x07\0\0\x07\xec\x01\0\x30\x03\
\0\0\xf4\0\0\0\x53\x07\0\0\x07\xf4\x01\0\x58\x03\0\0\xf4\0\0\0\x53\x07\0\0\x07\
\xf4\x01\0\x70\x03\0\0\xf4\0\0\0\x96\x07\0\0\x07\xfc\x01\0\x98\x03\0\0\xf4\0\0\
\0\x96\x07\0\0\x07\xfc\x01\0\xb8\x03\0\0\xf4\0\0\0\xdf\x07\0\0\x06\x08\x02\0\
\xe0\x03\0\0\xf4\0\0\0\x28\x08\0\0\x06\x94\x02\0\xf0\x03\0\0\xf4\0\0\0\x41\x08\
\0\0\x06\x28\x02\0\xf8\x03\0\0\xf4\0\0\0\x63\x06\0\0\x0b\x30\x02\0\0\x04\0\0\
\xf4\0\0\0\x63\x06\0\0\x06\x30\x02\0\x18\x04\0\0\xf4\0\0\0\x55\x08\0\0\x07\x34\
\x02\0\x40\x04\0\0\xf4\0\0\0\x55\x08\0\0\x07\x34\x02\0\x50\x04\0\0\xf4\0\0\0\
\xa3\x08\0\0\x0b\xac\x02\0\x58\x04\0\0\xf4\0\0\0\xa3\x08\0\0\x1f\xac\x02\0\x80\
\x04\0\0\xf4\0\0\0\xdd\x08\0\0\x0b\xb4\x02\0\x98\x04\0\0\xf4\0\0\0\x01\x09\0\0\
\x08\xb8\x02\0\xc0\x04\0\0\xf4\0\0\0\x01\x09\0\0\x03\xb8\x02\0\xd8\x04\0\0\xf4\
\0\0\0\x3b\x09\0\0\x08\xc4\x02\0\0\x05\0\0\xf4\0\0\0\x75\x09\0\0\x06\xd0\x02\0\
\x08\x05\0\0\xf4\0\0\0\x7f\x09\0\0\x0a\xdc\x02\0\x10\x05\0\0\xf4\0\0\0\x7f\x09\
\0\0\x20\xdc\x02\0\x18\x05\0\0\xf4\0\0\0\x7f\x09\0\0\x26\xdc\x02\0\x20\x05\0\0\
\xf4\0\0\0\xa7\x09\0\0\x0a\xe0\x02\0\x28\x05\0\0\xf4\0\0\0\x7f\x09\0\0\x06\xdc\
\x02\0\x30\x05\0\0\xf4\0\0\0\xd1\x09\0\0\x03\xe4\x02\0\x40\x05\0\0\xf4\0\0\0\
\xe7\x09\0\0\x03\xe8\x02\0\x48\x05\0\0\xf4\0\0\0\xf3\x09\0\0\x02\xf4\x02\0\x58\
\x05\0\0\xf4\0\0\0\x08\x0a\0\0\x0b\0\x03\0\x60\x05\0\0\xf4\0\0\0\x08\x0a\0\0\
\x1f\0\x03\0\x68\x05\0\0\xf4\0\0\0\x08\x0a\0\0\x22\0\x03\0\x88\x05\0\0\xf4\0\0\
\0\x08\x0a\0\0\x06\0\x03\0\x98\x05\0\0\xf4\0\0\0\x36\x0a\0\0\x11\x14\x03\0\xa8\
\x05\0\0\xf4\0\0\0\x66\x0a\0\0\x10\x10\x03\0\xb0\x05\0\0\xf4\0\0\0\x93\x0a\0\0\
\x09\x1c\x03\0\xf0\x05\0\0\xf4\0\0\0\xb1\x0a\0\0\x02\x34\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\
\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\
\0\x18\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0d\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x32\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x14\x0d\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x44\x0d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x0d\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\
\0\0\0\xce\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbc\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x1a\0\0\0\0\0\0\xe0\
\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct connect4_prog *connect4_prog::open(const struct bpf_object_open_opts *opts) { return connect4_prog__open_opts(opts); }
struct connect4_prog *connect4_prog::open_and_load() { return connect4_prog__open_and_load(); }
int connect4_prog::load(struct connect4_prog *skel) { return connect4_prog__load(skel); }
int connect4_prog::attach(struct connect4_prog *skel) { return connect4_prog__attach(skel); }
void connect4_prog::detach(struct connect4_prog *skel) { connect4_prog__detach(skel); }
void connect4_prog::destroy(struct connect4_prog *skel) { connect4_prog__destroy(skel); }
const void *connect4_prog::elf_bytes(size_t *sz) { return connect4_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
connect4_prog__assert(struct connect4_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CONNECT4_PROG_SKEL_H__ */
