/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __INNER_ARRAY_LOOKUP_SKEL_H__
#define __INNER_ARRAY_LOOKUP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct inner_array_lookup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *inner_map1;
		struct bpf_map *outer_map1;
	} maps;
	struct {
		struct bpf_program *handle__sys_enter;
	} progs;
	struct {
		struct bpf_link *handle__sys_enter;
	} links;

#ifdef __cplusplus
	static inline struct inner_array_lookup *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct inner_array_lookup *open_and_load();
	static inline int load(struct inner_array_lookup *skel);
	static inline int attach(struct inner_array_lookup *skel);
	static inline void detach(struct inner_array_lookup *skel);
	static inline void destroy(struct inner_array_lookup *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
inner_array_lookup__destroy(struct inner_array_lookup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
inner_array_lookup__create_skeleton(struct inner_array_lookup *obj);

static inline struct inner_array_lookup *
inner_array_lookup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct inner_array_lookup *obj;
	int err;

	obj = (struct inner_array_lookup *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = inner_array_lookup__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	inner_array_lookup__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct inner_array_lookup *
inner_array_lookup__open(void)
{
	return inner_array_lookup__open_opts(NULL);
}

static inline int
inner_array_lookup__load(struct inner_array_lookup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct inner_array_lookup *
inner_array_lookup__open_and_load(void)
{
	struct inner_array_lookup *obj;
	int err;

	obj = inner_array_lookup__open();
	if (!obj)
		return NULL;
	err = inner_array_lookup__load(obj);
	if (err) {
		inner_array_lookup__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
inner_array_lookup__attach(struct inner_array_lookup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
inner_array_lookup__detach(struct inner_array_lookup *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *inner_array_lookup__elf_bytes(size_t *sz);

static inline int
inner_array_lookup__create_skeleton(struct inner_array_lookup *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "inner_array_lookup";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "inner_map1";
	map->map = &obj->maps.inner_map1;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "outer_map1";
	map->map = &obj->maps.outer_map1;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle__sys_enter";
	s->progs[0].prog = &obj->progs.handle__sys_enter;
	s->progs[0].link = &obj->links.handle__sys_enter;

	s->data = inner_array_lookup__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *inner_array_lookup__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x6d\x61\x70\x73\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x69\x6e\x6e\x65\x72\x5f\x61\x72\x72\x61\x79\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\0\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\x31\0\x69\
\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x31\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\
\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\
\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\
\0\x57\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x62\0\0\0\x11\0\
\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x6d\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb7\x01\0\0\x02\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x01\0\0\
\x03\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\x06\0\0\x01\0\
\0\0\x15\0\x0a\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\
\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x05\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\
\x61\x01\0\0\0\0\0\0\x55\x01\x02\0\x01\0\0\0\xb7\x01\0\0\x02\0\0\0\x63\x10\0\0\
\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x30\0\
\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x48\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x18\x02\0\0\x18\x02\0\0\x10\x02\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x05\0\0\0\0\
\0\0\0\0\0\0\x02\x02\0\0\0\x19\0\0\0\x04\0\0\x04\x20\0\0\0\x23\0\0\0\x01\0\0\0\
\0\0\0\0\x28\0\0\0\x05\0\0\0\x40\0\0\0\x34\0\0\0\x07\0\0\0\x80\0\0\0\x38\0\0\0\
\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\0\0\0\0\
\x49\0\0\0\x04\0\0\x04\x18\0\0\0\x23\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\x0c\0\0\
\0\x40\0\0\0\x34\0\0\0\x07\0\0\0\x80\0\0\0\x53\0\0\0\x0f\0\0\0\xc0\0\0\0\x5a\0\
\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\x65\0\0\0\x12\0\0\0\x69\0\0\0\x01\0\0\x0c\x13\0\0\0\x7b\0\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x04\0\0\0\
\x04\0\0\0\x80\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xf1\x01\0\0\x02\0\0\x0f\x50\
\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x11\0\0\0\x20\0\0\0\x30\0\0\0\xf7\x01\0\0\
\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x69\x6e\x6e\
\x65\x72\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x69\x6e\x6e\x65\x72\x5f\x6d\
\x61\x70\x31\0\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\0\x76\x61\x6c\x75\x65\x73\0\
\x6f\x75\x74\x65\x72\x5f\x6d\x61\x70\x31\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x69\x6e\x6e\x65\x72\x5f\
\x61\x72\x72\x61\x79\x5f\x6c\x6f\x6f\x6b\x75\x70\x2e\x63\0\x69\x6e\x74\x20\x68\
\x61\x6e\x64\x6c\x65\x5f\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6f\x75\x74\x65\x72\x5f\
\x6b\x65\x79\x20\x3d\x20\x32\x2c\x20\x69\x6e\x6e\x65\x72\x5f\x6b\x65\x79\x20\
\x3d\x20\x33\x3b\0\x09\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6f\x75\x74\x65\x72\x5f\
\x6d\x61\x70\x31\x2c\x20\x26\x6f\x75\x74\x65\x72\x5f\x6b\x65\x79\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x6d\x61\x70\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\
\x70\x2c\x20\x26\x69\x6e\x6e\x65\x72\x5f\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x76\x61\x6c\x29\0\x09\x69\x66\x20\x28\x2a\x76\x61\x6c\x20\x3d\x3d\x20\
\x31\x29\0\x09\x09\x2a\x76\x61\x6c\x20\x3d\x20\x32\x3b\0\x7d\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\
\xbc\0\0\0\xd0\0\0\0\0\0\0\0\x08\0\0\0\xff\x01\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\
\x10\0\0\0\xff\x01\0\0\x0b\0\0\0\0\0\0\0\x89\0\0\0\x17\x01\0\0\0\x64\0\0\x08\0\
\0\0\x89\0\0\0\x38\x01\0\0\x06\x6c\0\0\x18\0\0\0\x89\0\0\0\x38\x01\0\0\x15\x6c\
\0\0\x30\0\0\0\x89\0\0\0\x5b\x01\0\0\x08\x7c\0\0\x50\0\0\0\x89\0\0\0\x90\x01\0\
\0\x06\x80\0\0\x68\0\0\0\x89\0\0\0\x9b\x01\0\0\x08\x8c\0\0\x78\0\0\0\x89\0\0\0\
\xc8\x01\0\0\x06\x90\0\0\x88\0\0\0\x89\0\0\0\xd3\x01\0\0\x06\x9c\0\0\x90\0\0\0\
\x89\0\0\0\xd3\x01\0\0\x06\x9c\0\0\xa0\0\0\0\x89\0\0\0\xe3\x01\0\0\x08\xa0\0\0\
\xa8\0\0\0\x89\0\0\0\xef\x01\0\0\x01\xac\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\xa3\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xa8\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x01\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x8b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x95\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\
\0\0\0\x40\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\xf0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct inner_array_lookup *inner_array_lookup::open(const struct bpf_object_open_opts *opts) { return inner_array_lookup__open_opts(opts); }
struct inner_array_lookup *inner_array_lookup::open_and_load() { return inner_array_lookup__open_and_load(); }
int inner_array_lookup::load(struct inner_array_lookup *skel) { return inner_array_lookup__load(skel); }
int inner_array_lookup::attach(struct inner_array_lookup *skel) { return inner_array_lookup__attach(skel); }
void inner_array_lookup::detach(struct inner_array_lookup *skel) { inner_array_lookup__detach(skel); }
void inner_array_lookup::destroy(struct inner_array_lookup *skel) { inner_array_lookup__destroy(skel); }
const void *inner_array_lookup::elf_bytes(size_t *sz) { return inner_array_lookup__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
inner_array_lookup__assert(struct inner_array_lookup *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __INNER_ARRAY_LOOKUP_SKEL_H__ */
