/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ITERS_LOOPING_SKEL_H__
#define __ITERS_LOOPING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct iters_looping {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *force_clang_to_emit_btf_for_externs;
		struct bpf_program *consume_first_item_only;
		struct bpf_program *missing_null_check_fail;
		struct bpf_program *wrong_sized_read_fail;
		struct bpf_program *simplest_loop;
	} progs;
	struct {
		struct bpf_link *force_clang_to_emit_btf_for_externs;
		struct bpf_link *consume_first_item_only;
		struct bpf_link *missing_null_check_fail;
		struct bpf_link *wrong_sized_read_fail;
		struct bpf_link *simplest_loop;
	} links;

#ifdef __cplusplus
	static inline struct iters_looping *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct iters_looping *open_and_load();
	static inline int load(struct iters_looping *skel);
	static inline int attach(struct iters_looping *skel);
	static inline void detach(struct iters_looping *skel);
	static inline void destroy(struct iters_looping *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
iters_looping__destroy(struct iters_looping *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
iters_looping__create_skeleton(struct iters_looping *obj);

static inline struct iters_looping *
iters_looping__open_opts(const struct bpf_object_open_opts *opts)
{
	struct iters_looping *obj;
	int err;

	obj = (struct iters_looping *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = iters_looping__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	iters_looping__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct iters_looping *
iters_looping__open(void)
{
	return iters_looping__open_opts(NULL);
}

static inline int
iters_looping__load(struct iters_looping *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct iters_looping *
iters_looping__open_and_load(void)
{
	struct iters_looping *obj;
	int err;

	obj = iters_looping__open();
	if (!obj)
		return NULL;
	err = iters_looping__load(obj);
	if (err) {
		iters_looping__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
iters_looping__attach(struct iters_looping *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
iters_looping__detach(struct iters_looping *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *iters_looping__elf_bytes(size_t *sz);

static inline int
iters_looping__create_skeleton(struct iters_looping *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "iters_looping";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "force_clang_to_emit_btf_for_externs";
	s->progs[0].prog = &obj->progs.force_clang_to_emit_btf_for_externs;
	s->progs[0].link = &obj->links.force_clang_to_emit_btf_for_externs;

	s->progs[1].name = "consume_first_item_only";
	s->progs[1].prog = &obj->progs.consume_first_item_only;
	s->progs[1].link = &obj->links.consume_first_item_only;

	s->progs[2].name = "missing_null_check_fail";
	s->progs[2].prog = &obj->progs.missing_null_check_fail;
	s->progs[2].link = &obj->links.missing_null_check_fail;

	s->progs[3].name = "wrong_sized_read_fail";
	s->progs[3].prog = &obj->progs.wrong_sized_read_fail;
	s->progs[3].link = &obj->links.wrong_sized_read_fail;

	s->progs[4].name = "simplest_loop";
	s->progs[4].prog = &obj->progs.simplest_loop;
	s->progs[4].link = &obj->links.simplest_loop;

	s->data = iters_looping__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *iters_looping__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x72\
\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x69\x74\x65\x72\x73\x5f\
\x6c\x6f\x6f\x70\x69\x6e\x67\x2e\x63\0\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\x6e\
\x67\x5f\x74\x6f\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\x65\
\x78\x74\x65\x72\x6e\x73\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\
\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\
\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\
\x6f\x79\0\x63\x6f\x6e\x73\x75\x6d\x65\x5f\x66\x69\x72\x73\x74\x5f\x69\x74\x65\
\x6d\x5f\x6f\x6e\x6c\x79\0\x6d\x69\x73\x73\x69\x6e\x67\x5f\x6e\x75\x6c\x6c\x5f\
\x63\x68\x65\x63\x6b\x5f\x66\x61\x69\x6c\0\x77\x72\x6f\x6e\x67\x5f\x73\x69\x7a\
\x65\x64\x5f\x72\x65\x61\x64\x5f\x66\x61\x69\x6c\0\x73\x69\x6d\x70\x6c\x65\x73\
\x74\x5f\x6c\x6f\x6f\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x3f\x72\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x31\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x55\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x78\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\0\
\0\x12\0\x03\0\x70\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\xa5\0\0\0\x12\0\x03\0\xe0\0\
\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xbd\0\0\0\x12\0\x03\0\x48\x01\0\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\xd3\0\0\0\x12\0\x03\0\xb8\x01\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\xe1\0\
\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xf8\xff\xff\xff\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\
\xff\xff\xff\x55\0\xfc\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\
\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x15\0\x01\0\0\0\0\0\x61\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\
\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\x61\x01\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\
\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\
\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\x15\0\x01\0\0\0\0\0\x79\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\
\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\
\x07\x07\0\0\xf8\xff\xff\xff\xb7\x06\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xb7\x02\0\
\0\0\0\0\0\xb7\x03\0\0\x0a\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x71\0\0\0\0\0\
\0\x85\x10\0\0\xff\xff\xff\xff\x15\0\x03\0\0\0\0\0\x61\0\0\0\0\0\0\0\x0f\x06\0\
\0\0\0\0\0\x05\0\xfa\xff\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x0a\0\0\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\
\x0a\0\0\0\x06\0\0\0\x98\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\xa8\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\xc8\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x08\x01\0\0\0\0\0\0\
\x0a\0\0\0\x04\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x30\x01\0\0\0\0\0\
\0\x0a\0\0\0\x06\0\0\0\x70\x01\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x80\x01\0\0\0\0\
\0\0\x0a\0\0\0\x05\0\0\0\xa0\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xe8\x01\0\0\0\
\0\0\0\x0a\0\0\0\x04\0\0\0\xf8\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x28\x02\0\0\
\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x70\x02\0\0\x70\
\x02\0\0\xea\x03\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\
\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\
\0\x0c\x02\0\0\0\x2d\0\0\0\0\0\0\x11\x04\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\
\x0d\x03\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x02\x08\0\0\0\x49\0\0\0\x01\0\0\x04\x08\0\0\0\x56\0\0\0\x0b\0\0\0\0\0\0\0\
\x5f\0\0\0\0\0\0\x08\x0a\0\0\0\x65\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x09\0\0\0\x0c\0\0\0\x01\0\0\0\x78\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\x8c\0\0\0\x02\0\0\x0c\x06\0\0\0\0\0\0\0\x01\0\0\x0d\x0f\0\0\0\0\0\0\
\0\x07\0\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x9d\0\0\0\x02\0\0\x0c\x0e\0\0\0\0\0\0\
\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x07\0\0\0\xaf\0\0\0\x02\0\0\x0c\x11\0\0\0\xc4\0\
\0\0\x01\0\0\x0c\x02\0\0\0\x2d\0\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\xdc\0\
\0\0\x01\0\0\x0c\x02\0\0\0\xf4\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x10\
\x01\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x49\x01\0\0\x01\0\0\x0c\x02\0\0\0\
\xf4\0\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x5f\x01\0\0\0\0\0\x11\x18\0\0\0\
\xff\xff\xff\xff\xab\x01\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xf9\x01\0\0\
\x01\0\0\x0c\x02\0\0\0\x2d\0\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x07\x02\0\
\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x20\x02\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\
\xff\xff\x4e\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x20\0\0\0\x0c\0\0\0\x04\0\0\0\x53\x02\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\xd3\
\x03\0\0\x01\0\0\x0f\x04\0\0\0\x22\0\0\0\0\0\0\0\x04\0\0\0\xdb\x03\0\0\x03\0\0\
\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\0\0\
\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\
\x6e\x67\x5f\x74\x6f\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\
\x65\x78\x74\x65\x72\x6e\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x62\x70\x66\x5f\
\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x63\
\x6f\x6e\x73\x75\x6d\x65\x5f\x66\x69\x72\x73\x74\x5f\x69\x74\x65\x6d\x5f\x6f\
\x6e\x6c\x79\0\x6d\x69\x73\x73\x69\x6e\x67\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\
\x63\x6b\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x30\x3d\x52\x30\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\
\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\x77\x72\x6f\x6e\x67\
\x5f\x73\x69\x7a\x65\x64\x5f\x72\x65\x61\x64\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x31\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\
\x74\x6f\x20\x6d\x65\x6d\x6f\x72\x79\x2c\x20\x6d\x65\x6d\x5f\x73\x69\x7a\x65\
\x3d\x34\x20\x6f\x66\x66\x3d\x30\x20\x73\x69\x7a\x65\x3d\x38\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x32\x3d\x52\x30\x20\x6d\x69\x6e\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\
\x6f\x75\x74\x73\x69\x64\x65\x20\x6f\x66\x20\x74\x68\x65\x20\x61\x6c\x6c\x6f\
\x77\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x72\x61\x6e\x67\x65\0\x73\x69\x6d\
\x70\x6c\x65\x73\x74\x5f\x6c\x6f\x6f\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\
\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\x46\
\x52\x45\x51\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x69\x74\x65\x72\x73\x5f\x6c\x6f\x6f\x70\x69\x6e\x67\x2e\x63\0\
\x69\x6e\x74\x20\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\x6e\x67\x5f\x74\x6f\x5f\
\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\x65\x78\x74\x65\x72\x6e\
\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x72\x65\
\x70\x65\x61\x74\x28\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x69\x6e\x74\x20\x63\x6f\x6e\x73\x75\x6d\x65\x5f\x66\x69\x72\x73\x74\x5f\x69\
\x74\x65\x6d\x5f\x6f\x6e\x6c\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\
\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x69\x6e\x74\x20\
\x6d\x69\x73\x73\x69\x6e\x67\x5f\x6e\x75\x6c\x6c\x5f\x63\x68\x65\x63\x6b\x5f\
\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\
\x77\x72\x6f\x6e\x67\x5f\x73\x69\x7a\x65\x64\x5f\x72\x65\x61\x64\x5f\x66\x61\
\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x73\x69\
\x6d\x70\x6c\x65\x73\x74\x5f\x6c\x6f\x6f\x70\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x3f\x72\
\x61\x77\x5f\x74\x70\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\
\x34\0\0\0\x2c\x01\0\0\x60\x01\0\0\0\0\0\0\x08\0\0\0\xe2\x03\0\0\x05\0\0\0\0\0\
\0\0\x04\0\0\0\x70\0\0\0\x13\0\0\0\xe0\0\0\0\x15\0\0\0\x48\x01\0\0\x18\0\0\0\
\xb8\x01\0\0\x1c\0\0\0\x10\0\0\0\xe2\x03\0\0\x12\0\0\0\0\0\0\0\x5c\x02\0\0\xe5\
\x02\0\0\0\x4c\0\0\x10\0\0\0\x5c\x02\0\0\x18\x03\0\0\x02\x68\0\0\x38\0\0\0\x5c\
\x02\0\0\x18\x03\0\0\x02\x68\0\0\x40\0\0\0\x5c\x02\0\0\x18\x03\0\0\x02\x68\0\0\
\x58\0\0\0\x5c\x02\0\0\x18\x03\0\0\x02\x68\0\0\x60\0\0\0\x5c\x02\0\0\x28\x03\0\
\0\x02\x70\0\0\x70\0\0\0\x5c\x02\0\0\x33\x03\0\0\0\x84\0\0\x80\0\0\0\x5c\x02\0\
\0\x5a\x03\0\0\x02\x94\0\0\xd0\0\0\0\x5c\x02\0\0\x28\x03\0\0\x02\xec\0\0\xe0\0\
\0\0\x5c\x02\0\0\x6a\x03\0\0\0\0\x01\0\xf0\0\0\0\x5c\x02\0\0\x5a\x03\0\0\x02\
\x10\x01\0\x38\x01\0\0\x5c\x02\0\0\x28\x03\0\0\x02\x68\x01\0\x48\x01\0\0\x5c\
\x02\0\0\x91\x03\0\0\0\x84\x01\0\x58\x01\0\0\x5c\x02\0\0\x5a\x03\0\0\x02\x94\
\x01\0\xa8\x01\0\0\x5c\x02\0\0\x28\x03\0\0\x02\xf0\x01\0\xb8\x01\0\0\x5c\x02\0\
\0\xb6\x03\0\0\0\x08\x02\0\xc8\x01\0\0\x5c\x02\0\0\x5a\x03\0\0\x02\x18\x02\0\
\x30\x02\0\0\x5c\x02\0\0\x28\x03\0\0\x02\x88\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x40\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xea\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x02\0\0\0\
\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf6\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x72\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x0c\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct iters_looping *iters_looping::open(const struct bpf_object_open_opts *opts) { return iters_looping__open_opts(opts); }
struct iters_looping *iters_looping::open_and_load() { return iters_looping__open_and_load(); }
int iters_looping::load(struct iters_looping *skel) { return iters_looping__load(skel); }
int iters_looping::attach(struct iters_looping *skel) { return iters_looping__attach(skel); }
void iters_looping::detach(struct iters_looping *skel) { iters_looping__detach(skel); }
void iters_looping::destroy(struct iters_looping *skel) { iters_looping__destroy(skel); }
const void *iters_looping::elf_bytes(size_t *sz) { return iters_looping__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
iters_looping__assert(struct iters_looping *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ITERS_LOOPING_SKEL_H__ */
