/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LSM_TAILCALL_SKEL_H__
#define __LSM_TAILCALL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct lsm_tailcall {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
	} maps;
	struct {
		struct bpf_program *lsm_file_permission_prog;
		struct bpf_program *lsm_file_alloc_security_prog;
		struct bpf_program *lsm_file_alloc_security_entry;
	} progs;
	struct {
		struct bpf_link *lsm_file_permission_prog;
		struct bpf_link *lsm_file_alloc_security_prog;
		struct bpf_link *lsm_file_alloc_security_entry;
	} links;

#ifdef __cplusplus
	static inline struct lsm_tailcall *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct lsm_tailcall *open_and_load();
	static inline int load(struct lsm_tailcall *skel);
	static inline int attach(struct lsm_tailcall *skel);
	static inline void detach(struct lsm_tailcall *skel);
	static inline void destroy(struct lsm_tailcall *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
lsm_tailcall__destroy(struct lsm_tailcall *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
lsm_tailcall__create_skeleton(struct lsm_tailcall *obj);

static inline struct lsm_tailcall *
lsm_tailcall__open_opts(const struct bpf_object_open_opts *opts)
{
	struct lsm_tailcall *obj;
	int err;

	obj = (struct lsm_tailcall *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = lsm_tailcall__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	lsm_tailcall__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct lsm_tailcall *
lsm_tailcall__open(void)
{
	return lsm_tailcall__open_opts(NULL);
}

static inline int
lsm_tailcall__load(struct lsm_tailcall *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct lsm_tailcall *
lsm_tailcall__open_and_load(void)
{
	struct lsm_tailcall *obj;
	int err;

	obj = lsm_tailcall__open();
	if (!obj)
		return NULL;
	err = lsm_tailcall__load(obj);
	if (err) {
		lsm_tailcall__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
lsm_tailcall__attach(struct lsm_tailcall *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
lsm_tailcall__detach(struct lsm_tailcall *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *lsm_tailcall__elf_bytes(size_t *sz);

static inline int
lsm_tailcall__create_skeleton(struct lsm_tailcall *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "lsm_tailcall";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "lsm_file_permission_prog";
	s->progs[0].prog = &obj->progs.lsm_file_permission_prog;
	s->progs[0].link = &obj->links.lsm_file_permission_prog;

	s->progs[1].name = "lsm_file_alloc_security_prog";
	s->progs[1].prog = &obj->progs.lsm_file_alloc_security_prog;
	s->progs[1].link = &obj->links.lsm_file_alloc_security_prog;

	s->progs[2].name = "lsm_file_alloc_security_entry";
	s->progs[2].prog = &obj->progs.lsm_file_alloc_security_entry;
	s->progs[2].link = &obj->links.lsm_file_alloc_security_entry;

	s->data = lsm_tailcall__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *lsm_tailcall__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2f\x66\x69\x6c\x65\x5f\x70\x65\x72\x6d\x69\x73\x73\x69\x6f\x6e\0\x6c\x73\
\x6d\x2f\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\x69\
\x74\x79\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6c\x73\x6d\x5f\
\x74\x61\x69\x6c\x63\x61\x6c\x6c\x2e\x63\0\x6c\x73\x6d\x5f\x66\x69\x6c\x65\x5f\
\x70\x65\x72\x6d\x69\x73\x73\x69\x6f\x6e\x5f\x70\x72\x6f\x67\0\x6c\x73\x6d\x5f\
\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\x69\x74\x79\
\x5f\x70\x72\x6f\x67\0\x6c\x73\x6d\x5f\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\
\x5f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x65\x6e\x74\x72\x79\0\x6a\x6d\x70\x5f\
\x74\x61\x62\x6c\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\
\x73\x6d\x2f\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\
\x69\x74\x79\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\0\0\0\x04\0\xf1\xff\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x12\0\x03\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x73\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x90\0\0\0\x12\0\x04\0\x10\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xae\0\0\0\x11\
\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb8\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\
\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x84\x01\0\0\x84\x01\0\0\x5b\x02\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\
\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x07\0\0\0\xc0\0\
\0\0\x3e\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\x48\0\0\0\x0b\0\0\0\x4c\0\0\0\x01\0\0\x0c\x0c\0\0\0\x65\
\0\0\0\x01\0\0\x0c\x0c\0\0\0\x82\0\0\0\x01\0\0\x0c\x0c\0\0\0\xa0\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\
\0\0\xa5\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x21\x02\0\0\x01\0\0\x0f\x04\0\0\0\
\x12\0\0\0\0\0\0\0\x04\0\0\0\x29\x02\0\0\x01\0\0\x0f\x20\0\0\0\x0a\0\0\0\0\0\0\
\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\
\x73\x69\x7a\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x63\x74\x78\0\x6c\x73\
\x6d\x5f\x66\x69\x6c\x65\x5f\x70\x65\x72\x6d\x69\x73\x73\x69\x6f\x6e\x5f\x70\
\x72\x6f\x67\0\x6c\x73\x6d\x5f\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\
\x65\x63\x75\x72\x69\x74\x79\x5f\x70\x72\x6f\x67\0\x6c\x73\x6d\x5f\x66\x69\x6c\
\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x65\x6e\
\x74\x72\x79\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x6c\x73\x6d\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\x2e\x63\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x6c\x73\x6d\x5f\x66\x69\
\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\x69\x74\x79\x5f\x65\
\x6e\x74\x72\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\
\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\x63\x74\x78\x5d\x5c\x6e\x5c\
\x74\x22\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6c\x73\x6d\x2f\
\x66\x69\x6c\x65\x5f\x70\x65\x72\x6d\x69\x73\x73\x69\x6f\x6e\0\x6c\x73\x6d\x2f\
\x66\x69\x6c\x65\x5f\x61\x6c\x6c\x6f\x63\x5f\x73\x65\x63\x75\x72\x69\x74\x79\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\x64\0\0\0\x90\0\0\0\0\0\
\0\0\x08\0\0\0\x2f\x02\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x43\x02\0\0\x02\0\0\0\0\
\0\0\0\x0e\0\0\0\x10\0\0\0\x0f\0\0\0\x10\0\0\0\x2f\x02\0\0\x01\0\0\0\0\0\0\0\
\xae\0\0\0\x36\x01\0\0\x02\x50\0\0\x43\x02\0\0\x04\0\0\0\0\0\0\0\xae\0\0\0\x36\
\x01\0\0\x02\x68\0\0\x10\0\0\0\xae\0\0\0\x41\x01\0\0\0\x78\0\0\x18\0\0\0\x6e\
\x01\0\0\x01\x02\0\0\x02\x84\x02\0\x48\0\0\0\xae\0\0\0\x36\x01\0\0\x02\x84\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xeb\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x30\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdd\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\xf7\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa0\x06\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct lsm_tailcall *lsm_tailcall::open(const struct bpf_object_open_opts *opts) { return lsm_tailcall__open_opts(opts); }
struct lsm_tailcall *lsm_tailcall::open_and_load() { return lsm_tailcall__open_and_load(); }
int lsm_tailcall::load(struct lsm_tailcall *skel) { return lsm_tailcall__load(skel); }
int lsm_tailcall::attach(struct lsm_tailcall *skel) { return lsm_tailcall__attach(skel); }
void lsm_tailcall::detach(struct lsm_tailcall *skel) { lsm_tailcall__detach(skel); }
void lsm_tailcall::destroy(struct lsm_tailcall *skel) { lsm_tailcall__destroy(skel); }
const void *lsm_tailcall::elf_bytes(size_t *sz) { return lsm_tailcall__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
lsm_tailcall__assert(struct lsm_tailcall *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LSM_TAILCALL_SKEL_H__ */
