/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RECVMSG6_PROG_SKEL_H__
#define __RECVMSG6_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct recvmsg6_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *recvmsg6_prog;
	} progs;
	struct {
		struct bpf_link *recvmsg6_prog;
	} links;

#ifdef __cplusplus
	static inline struct recvmsg6_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct recvmsg6_prog *open_and_load();
	static inline int load(struct recvmsg6_prog *skel);
	static inline int attach(struct recvmsg6_prog *skel);
	static inline void detach(struct recvmsg6_prog *skel);
	static inline void destroy(struct recvmsg6_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
recvmsg6_prog__destroy(struct recvmsg6_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
recvmsg6_prog__create_skeleton(struct recvmsg6_prog *obj);

static inline struct recvmsg6_prog *
recvmsg6_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct recvmsg6_prog *obj;
	int err;

	obj = (struct recvmsg6_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = recvmsg6_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	recvmsg6_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct recvmsg6_prog *
recvmsg6_prog__open(void)
{
	return recvmsg6_prog__open_opts(NULL);
}

static inline int
recvmsg6_prog__load(struct recvmsg6_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct recvmsg6_prog *
recvmsg6_prog__open_and_load(void)
{
	struct recvmsg6_prog *obj;
	int err;

	obj = recvmsg6_prog__open();
	if (!obj)
		return NULL;
	err = recvmsg6_prog__load(obj);
	if (err) {
		recvmsg6_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
recvmsg6_prog__attach(struct recvmsg6_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
recvmsg6_prog__detach(struct recvmsg6_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *recvmsg6_prog__elf_bytes(size_t *sz);

static inline int
recvmsg6_prog__create_skeleton(struct recvmsg6_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "recvmsg6_prog";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "recvmsg6_prog";
	s->progs[0].prog = &obj->progs.recvmsg6_prog;
	s->progs[0].link = &obj->links.recvmsg6_prog;

	s->data = recvmsg6_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *recvmsg6_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x72\x65\x63\x76\x6d\x73\x67\x36\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x65\x63\x76\x6d\x73\x67\x36\x5f\x70\x72\x6f\
\x67\x2e\x63\0\x67\x65\x74\x5f\x73\x65\x74\x5f\x73\x6b\x5f\x70\x72\x69\x6f\x72\
\x69\x74\x79\0\x72\x65\x63\x76\x6d\x73\x67\x36\x5f\x70\x72\x6f\x67\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x04\0\xf1\xff\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x53\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x20\x01\0\
\0\0\0\0\0\x61\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\
\0\0\0\0\xb7\x07\0\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\
\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\
\x39\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x55\x01\x0a\0\0\0\0\0\xbf\xa4\
\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x01\0\
\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x31\0\0\0\x15\0\x01\
\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\
\x40\0\0\0\0\0\x15\x02\x0f\0\0\0\0\0\x61\x22\x04\0\0\0\0\0\x55\x02\x0d\0\x0a\0\
\0\0\x61\x12\x20\0\0\0\0\0\x07\x02\0\0\xff\xff\xff\xff\x67\x02\0\0\x20\0\0\0\
\x77\x02\0\0\x20\0\0\0\x25\x02\x08\0\x01\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xfc\xff\xff\xff\xbf\x16\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x0c\0\0\
\0\xb7\x05\0\0\x04\0\0\0\x85\0\0\0\x39\0\0\0\x15\0\x02\0\0\0\0\0\xb7\0\0\0\x01\
\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xfc\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x05\0\0\x04\0\
\0\0\x85\0\0\0\x31\0\0\0\x55\0\xf6\xff\0\0\0\0\xb7\x01\0\0\x17\xac\0\0\x63\x16\
\x18\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\xab\xcd\x7b\x16\x10\0\0\0\0\0\
\x18\x01\0\0\xfa\xce\xb0\x0c\0\0\0\0\x12\x34\x56\x78\x7b\x16\x08\0\0\0\0\0\x05\
\0\xed\xff\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb0\
\x01\0\0\xb0\x01\0\0\xc3\x03\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\
\0\0\x01\0\0\x0c\x02\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x1d\0\0\0\x0a\0\0\x04\
\x48\0\0\0\x2b\0\0\0\x07\0\0\0\0\0\0\0\x37\0\0\0\x07\0\0\0\x20\0\0\0\x40\0\0\0\
\x09\0\0\0\x40\0\0\0\x49\0\0\0\x07\0\0\0\xc0\0\0\0\x53\0\0\0\x07\0\0\0\xe0\0\0\
\0\x5a\0\0\0\x07\0\0\0\0\x01\0\0\x5f\0\0\0\x07\0\0\0\x20\x01\0\0\x68\0\0\0\x07\
\0\0\0\x40\x01\0\0\x74\0\0\0\x09\0\0\0\x60\x01\0\0\0\0\0\0\x0b\0\0\0\0\x02\0\0\
\x80\0\0\0\0\0\0\x08\x08\0\0\0\x86\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x07\0\0\0\x0a\0\0\0\x04\0\0\0\x93\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\xa7\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x02\x12\0\0\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x05\0\0\0\xaa\0\0\0\
\x01\0\0\x0c\x0d\0\0\0\xb8\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x0f\0\0\0\x0a\0\0\0\x04\0\0\0\xbd\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\
\0\0\xc6\0\0\0\0\0\0\x07\0\0\0\0\xa5\x03\0\0\x01\0\0\x0f\x04\0\0\0\x11\0\0\0\0\
\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x67\x65\x74\x5f\x73\x65\x74\x5f\
\x73\x6b\x5f\x70\x72\x69\x6f\x72\x69\x74\x79\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x5f\x61\x64\x64\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\
\x65\x72\x5f\x69\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\
\x5f\x70\x6f\x72\x74\0\x66\x61\x6d\x69\x6c\x79\0\x74\x79\x70\x65\0\x70\x72\x6f\
\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\
\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\0\x72\x65\x63\x76\x6d\x73\x67\x36\
\x5f\x70\x72\x6f\x67\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\
\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x69\x6e\x74\x20\x67\x65\x74\x5f\x73\
\x65\x74\x5f\x73\x6b\x5f\x70\x72\x69\x6f\x72\x69\x74\x79\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x73\
\x6f\x63\x6b\x6f\x70\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\
\x4b\x45\x54\x2c\x20\x53\x4f\x5f\x50\x52\x49\x4f\x52\x49\x54\x59\x2c\x20\x26\
\x70\x72\x69\x6f\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x70\x72\x69\x6f\x29\x29\
\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\
\x74\x28\x63\x74\x78\x2c\x20\x53\x4f\x4c\x5f\x53\x4f\x43\x4b\x45\x54\x2c\x20\
\x53\x4f\x5f\x50\x52\x49\x4f\x52\x49\x54\x59\x2c\x20\x26\x70\x72\x69\x6f\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x70\x72\x69\x6f\x29\x29\x29\0\x7d\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x72\x65\x63\x76\x6d\x73\x67\x36\x5f\x70\x72\x6f\x67\x2e\
\x63\0\x09\x73\x6b\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\
\x20\x28\x21\x73\x6b\x29\0\x09\x69\x66\x20\x28\x73\x6b\x2d\x3e\x66\x61\x6d\x69\
\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\0\x09\x69\x66\x20\
\x28\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\
\x53\x54\x52\x45\x41\x4d\x20\x26\x26\x20\x63\x74\x78\x2d\x3e\x74\x79\x70\x65\
\x20\x21\x3d\x20\x53\x4f\x43\x4b\x5f\x44\x47\x52\x41\x4d\x29\0\x09\x69\x66\x20\
\x28\x21\x67\x65\x74\x5f\x73\x65\x74\x5f\x73\x6b\x5f\x70\x72\x69\x6f\x72\x69\
\x74\x79\x28\x63\x74\x78\x29\x29\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\
\x70\x6f\x72\x74\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x53\x45\
\x52\x56\x36\x5f\x50\x4f\x52\x54\x29\x3b\0\x09\x63\x74\x78\x2d\x3e\x75\x73\x65\
\x72\x5f\x69\x70\x36\x5b\x32\x5d\x20\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\
\x6c\x28\x53\x45\x52\x56\x36\x5f\x49\x50\x5f\x32\x29\x3b\0\x09\x63\x74\x78\x2d\
\x3e\x75\x73\x65\x72\x5f\x69\x70\x36\x5b\x30\x5d\x20\x3d\x20\x62\x70\x66\x5f\
\x68\x74\x6f\x6e\x6c\x28\x53\x45\x52\x56\x36\x5f\x49\x50\x5f\x30\x29\x3b\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\
\x72\x65\x63\x76\x6d\x73\x67\x36\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x24\0\0\0\x24\0\0\0\x44\x01\0\0\x68\x01\0\0\0\0\0\0\x08\0\0\0\xad\x03\0\0\x01\
\0\0\0\0\0\0\0\x04\0\0\0\xb3\x03\0\0\x01\0\0\0\0\0\0\0\x0e\0\0\0\x10\0\0\0\xad\
\x03\0\0\x05\0\0\0\0\0\0\0\xcf\0\0\0\x58\x01\0\0\0\x18\0\0\x20\0\0\0\xcf\0\0\0\
\x7b\x01\0\0\x06\x3c\0\0\x50\0\0\0\xcf\0\0\0\x7b\x01\0\0\x06\x3c\0\0\x68\0\0\0\
\xcf\0\0\0\xc3\x01\0\0\x06\x44\0\0\xa8\0\0\0\xcf\0\0\0\x0b\x02\0\0\x01\x54\0\0\
\xb3\x03\0\0\x0e\0\0\0\0\0\0\0\x0d\x02\0\0\x96\x02\0\0\x0c\x60\0\0\x08\0\0\0\
\x0d\x02\0\0\xa5\x02\0\0\x06\x64\0\0\x10\0\0\0\x0d\x02\0\0\xaf\x02\0\0\x0a\x70\
\0\0\x18\0\0\0\x0d\x02\0\0\xaf\x02\0\0\x06\x70\0\0\x20\0\0\0\x0d\x02\0\0\xcc\
\x02\0\0\x0b\x7c\0\0\x28\0\0\0\x0d\x02\0\0\xcc\x02\0\0\x1f\x7c\0\0\x60\0\0\0\
\xcf\0\0\0\x7b\x01\0\0\x06\x3c\0\0\x80\0\0\0\xcf\0\0\0\x7b\x01\0\0\x06\x3c\0\0\
\x88\0\0\0\x0d\x02\0\0\x0b\x02\0\0\x01\xb0\0\0\xa8\0\0\0\xcf\0\0\0\xc3\x01\0\0\
\x06\x44\0\0\xd0\0\0\0\x0d\x02\0\0\x06\x03\0\0\x06\x88\0\0\xe0\0\0\0\x0d\x02\0\
\0\x26\x03\0\0\x11\xa4\0\0\xf8\0\0\0\x0d\x02\0\0\x4f\x03\0\0\x13\x9c\0\0\x10\
\x01\0\0\x0d\x02\0\0\x7a\x03\0\0\x13\x94\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\xa8\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x30\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x03\0\0\0\0\0\0\x8b\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x6f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x08\0\0\0\
\0\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct recvmsg6_prog *recvmsg6_prog::open(const struct bpf_object_open_opts *opts) { return recvmsg6_prog__open_opts(opts); }
struct recvmsg6_prog *recvmsg6_prog::open_and_load() { return recvmsg6_prog__open_and_load(); }
int recvmsg6_prog::load(struct recvmsg6_prog *skel) { return recvmsg6_prog__load(skel); }
int recvmsg6_prog::attach(struct recvmsg6_prog *skel) { return recvmsg6_prog__attach(skel); }
void recvmsg6_prog::detach(struct recvmsg6_prog *skel) { recvmsg6_prog__detach(skel); }
void recvmsg6_prog::destroy(struct recvmsg6_prog *skel) { recvmsg6_prog__destroy(skel); }
const void *recvmsg6_prog::elf_bytes(size_t *sz) { return recvmsg6_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
recvmsg6_prog__assert(struct recvmsg6_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RECVMSG6_PROG_SKEL_H__ */
