/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TAILCALL_BPF2BPF4_SKEL_H__
#define __TAILCALL_BPF2BPF4_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tailcall_bpf2bpf4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
		struct bpf_map *nop_table;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *classifier_1;
		struct bpf_program *classifier_2;
		struct bpf_program *classifier_0;
		struct bpf_program *entry;
	} progs;
	struct {
		struct bpf_link *classifier_1;
		struct bpf_link *classifier_2;
		struct bpf_link *classifier_0;
		struct bpf_link *entry;
	} links;
	struct tailcall_bpf2bpf4__bss {
		int count;
		int noise;
	} *bss;

#ifdef __cplusplus
	static inline struct tailcall_bpf2bpf4 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_bpf2bpf4 *open_and_load();
	static inline int load(struct tailcall_bpf2bpf4 *skel);
	static inline int attach(struct tailcall_bpf2bpf4 *skel);
	static inline void detach(struct tailcall_bpf2bpf4 *skel);
	static inline void destroy(struct tailcall_bpf2bpf4 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_bpf2bpf4__destroy(struct tailcall_bpf2bpf4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_bpf2bpf4__create_skeleton(struct tailcall_bpf2bpf4 *obj);

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_bpf2bpf4 *obj;
	int err;

	obj = (struct tailcall_bpf2bpf4 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_bpf2bpf4__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_bpf2bpf4__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open(void)
{
	return tailcall_bpf2bpf4__open_opts(NULL);
}

static inline int
tailcall_bpf2bpf4__load(struct tailcall_bpf2bpf4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_bpf2bpf4 *
tailcall_bpf2bpf4__open_and_load(void)
{
	struct tailcall_bpf2bpf4 *obj;
	int err;

	obj = tailcall_bpf2bpf4__open();
	if (!obj)
		return NULL;
	err = tailcall_bpf2bpf4__load(obj);
	if (err) {
		tailcall_bpf2bpf4__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_bpf2bpf4__attach(struct tailcall_bpf2bpf4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_bpf2bpf4__detach(struct tailcall_bpf2bpf4 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_bpf2bpf4__elf_bytes(size_t *sz);

static inline int
tailcall_bpf2bpf4__create_skeleton(struct tailcall_bpf2bpf4 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_bpf2bpf4";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "nop_table";
	map->map = &obj->maps.nop_table;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "tailcall.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "classifier_1";
	s->progs[0].prog = &obj->progs.classifier_1;
	s->progs[0].link = &obj->links.classifier_1;

	s->progs[1].name = "classifier_2";
	s->progs[1].prog = &obj->progs.classifier_2;
	s->progs[1].link = &obj->links.classifier_2;

	s->progs[2].name = "classifier_0";
	s->progs[2].prog = &obj->progs.classifier_0;
	s->progs[2].link = &obj->links.classifier_0;

	s->progs[3].name = "entry";
	s->progs[3].prog = &obj->progs.entry;
	s->progs[3].link = &obj->links.entry;

	s->data = tailcall_bpf2bpf4__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_bpf2bpf4__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x62\x70\x66\x32\x62\x70\
\x66\x34\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x32\0\
\x6e\x6f\x69\x73\x65\0\x6e\x6f\x70\x5f\x74\x61\x62\x6c\x65\0\x6a\x6d\x70\x5f\
\x74\x61\x62\x6c\x65\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x31\
\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\0\x63\x6c\x61\x73\x73\x69\
\x66\x69\x65\x72\x5f\x31\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x32\0\
\x63\x6f\x75\x6e\x74\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x30\0\x65\
\x6e\x74\x72\x79\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x50\0\0\0\x11\0\
\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x56\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x60\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x6a\0\0\0\x12\0\x03\0\xa8\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x79\0\0\0\x12\0\x03\
\0\xf8\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x86\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x93\0\0\0\x12\0\x04\0\x10\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\
\xa0\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa6\0\0\0\x12\0\x04\0\
\x48\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb3\0\0\0\x12\0\x04\0\x58\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xb9\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\
\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\
\x01\x07\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x72\0\0\
\0\0\0\0\xb7\x03\0\0\x02\0\0\0\x85\0\0\0\x0c\0\0\0\x61\x60\0\0\0\0\0\0\x27\0\0\
\0\x03\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x85\0\0\
\0\x0c\0\0\0\x61\x60\0\0\0\0\0\0\x67\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\
\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x72\0\
\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\x61\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x23\0\0\0\0\0\0\x07\x03\0\0\x01\0\0\0\x63\x32\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\
\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\
\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0c\
\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x48\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\
\0\0\x58\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xfc\
\x04\0\0\xfc\x04\0\0\x15\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\
\0\x80\0\0\0\x33\0\0\0\x05\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\
\0\0\0\x0b\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x33\0\0\0\x05\0\0\0\
\xc0\0\0\0\x48\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\
\x52\0\0\0\x22\0\0\x04\xc0\0\0\0\x5c\0\0\0\x11\0\0\0\0\0\0\0\x60\0\0\0\x11\0\0\
\0\x20\0\0\0\x69\0\0\0\x11\0\0\0\x40\0\0\0\x6e\0\0\0\x11\0\0\0\x60\0\0\0\x7c\0\
\0\0\x11\0\0\0\x80\0\0\0\x85\0\0\0\x11\0\0\0\xa0\0\0\0\x92\0\0\0\x11\0\0\0\xc0\
\0\0\0\x9b\0\0\0\x11\0\0\0\xe0\0\0\0\xa6\0\0\0\x11\0\0\0\0\x01\0\0\xaf\0\0\0\
\x11\0\0\0\x20\x01\0\0\xbf\0\0\0\x11\0\0\0\x40\x01\0\0\xc7\0\0\0\x11\0\0\0\x60\
\x01\0\0\xd0\0\0\0\x13\0\0\0\x80\x01\0\0\xd3\0\0\0\x11\0\0\0\x20\x02\0\0\xd8\0\
\0\0\x11\0\0\0\x40\x02\0\0\xe3\0\0\0\x11\0\0\0\x60\x02\0\0\xe8\0\0\0\x11\0\0\0\
\x80\x02\0\0\xf1\0\0\0\x11\0\0\0\xa0\x02\0\0\xf9\0\0\0\x11\0\0\0\xc0\x02\0\0\0\
\x01\0\0\x11\0\0\0\xe0\x02\0\0\x0b\x01\0\0\x11\0\0\0\0\x03\0\0\x15\x01\0\0\x14\
\0\0\0\x20\x03\0\0\x20\x01\0\0\x14\0\0\0\xa0\x03\0\0\x2a\x01\0\0\x11\0\0\0\x20\
\x04\0\0\x36\x01\0\0\x11\0\0\0\x40\x04\0\0\x41\x01\0\0\x11\0\0\0\x60\x04\0\0\0\
\0\0\0\x15\0\0\0\x80\x04\0\0\x4b\x01\0\0\x17\0\0\0\xc0\x04\0\0\x52\x01\0\0\x11\
\0\0\0\0\x05\0\0\x5b\x01\0\0\x11\0\0\0\x20\x05\0\0\0\0\0\0\x19\0\0\0\x40\x05\0\
\0\x64\x01\0\0\x11\0\0\0\x80\x05\0\0\x6d\x01\0\0\x1b\0\0\0\xa0\x05\0\0\x79\x01\
\0\0\x17\0\0\0\xc0\x05\0\0\x82\x01\0\0\0\0\0\x08\x12\0\0\0\x88\x01\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\x05\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x95\x01\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\0\0\x9f\x01\0\
\0\0\0\0\x08\x18\0\0\0\xa5\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x05\x08\0\0\0\xb8\x01\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2b\0\0\0\xbb\
\x01\0\0\0\0\0\x08\x1c\0\0\0\xc0\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\xce\x01\0\0\x0f\0\0\0\xd2\x01\0\0\x01\0\0\x0c\x1d\0\0\0\
\xe1\x01\0\0\x01\0\0\x0c\x1d\0\0\0\xf0\x01\0\0\x01\0\0\x0c\x1d\0\0\0\xfd\x01\0\
\0\x01\0\0\x0c\x1d\0\0\0\x0a\x02\0\0\x01\0\0\x0c\x1d\0\0\0\x17\x02\0\0\x01\0\0\
\x0c\x1d\0\0\0\x24\x02\0\0\x01\0\0\x0c\x1d\0\0\0\x2a\x02\0\0\0\0\0\x0e\x02\0\0\
\0\x01\0\0\0\x30\x02\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x36\x02\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x04\0\0\0\x04\0\0\0\
\x3b\x02\0\0\0\0\0\x0e\x28\0\0\0\x01\0\0\0\x45\x02\0\0\0\0\0\x07\0\0\0\0\x53\
\x02\0\0\0\0\0\x07\0\0\0\0\xf9\x04\0\0\x02\0\0\x0f\x08\0\0\0\x25\0\0\0\0\0\0\0\
\x04\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\0\xfe\x04\0\0\x02\0\0\x0f\x40\0\0\0\x08\
\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\x20\0\0\0\x20\0\0\0\x04\x05\0\0\x01\0\0\x0f\
\x04\0\0\0\x29\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\
\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\
\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\
\0\x6e\x6f\x70\x5f\x74\x61\x62\x6c\x65\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\
\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\
\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\
\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\
\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\
\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\
\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\
\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\
\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\
\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\
\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\
\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\
\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\
\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\
\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\
\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\
\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\
\x68\x61\x72\0\x73\x6b\x62\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\
\x5f\x32\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x31\0\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\
\x72\x5f\x31\0\x63\x6c\x61\x73\x73\x69\x66\x69\x65\x72\x5f\x32\0\x63\x6c\x61\
\x73\x73\x69\x66\x69\x65\x72\x5f\x30\0\x65\x6e\x74\x72\x79\0\x63\x6f\x75\x6e\
\x74\0\x6e\x6f\x69\x73\x65\0\x63\x68\x61\x72\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\
\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x61\x69\x6c\x63\x61\x6c\x6c\
\x5f\x62\x70\x66\x32\x62\x70\x66\x34\x2e\x63\0\x69\x6e\x74\x20\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x32\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x69\x66\x20\x28\
\x6e\x6f\x69\x73\x65\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\x65\x79\x20\x3d\x20\
\x30\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x6e\x6f\x70\x5f\x74\x61\x62\x6c\x65\x2c\x20\x26\x6b\x65\
\x79\x29\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\
\x70\x66\x2f\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\
\x63\x74\x78\x5d\x5c\x6e\x5c\x74\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\
\x62\x2d\x3e\x6c\x65\x6e\x20\x2a\x20\x33\x3b\0\x69\x6e\x74\x20\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x31\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x20\x2a\x20\x32\x3b\0\x69\x6e\x74\
\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x32\x28\
\x73\x6b\x62\x29\x3b\0\x09\x63\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x74\x61\x69\x6c\x5f\x31\x28\
\x73\x6b\x62\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x75\x62\x70\x72\x6f\
\x67\x5f\x74\x61\x69\x6c\x28\x73\x6b\x62\x29\x3b\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\
\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\0\0\0\xb4\x01\0\0\0\
\x02\0\0\0\0\0\0\x08\0\0\0\x0c\x05\0\0\x03\0\0\0\0\0\0\0\x1e\0\0\0\xa8\0\0\0\
\x1f\0\0\0\xf8\0\0\0\x20\0\0\0\x12\x05\0\0\x04\0\0\0\0\0\0\0\x21\0\0\0\x10\0\0\
\0\x22\0\0\0\x48\0\0\0\x23\0\0\0\x58\0\0\0\x24\0\0\0\x10\0\0\0\x0c\x05\0\0\x11\
\0\0\0\0\0\0\0\x5c\x02\0\0\xe9\x02\0\0\0\x7c\0\0\x08\0\0\0\x5c\x02\0\0\x13\x03\
\0\0\x06\x84\0\0\x20\0\0\0\x5c\x02\0\0\x13\x03\0\0\x06\x84\0\0\x30\0\0\0\x5c\
\x02\0\0\x1f\x03\0\0\x08\x60\0\0\x48\0\0\0\x5c\x02\0\0\x2f\x03\0\0\x02\x68\0\0\
\x60\0\0\0\x57\x03\0\0\xea\x03\0\0\x02\x84\x02\0\x90\0\0\0\x5c\x02\0\0\x0a\x04\
\0\0\x0e\x90\0\0\x98\0\0\0\x5c\x02\0\0\x0a\x04\0\0\x12\x90\0\0\xa0\0\0\0\x5c\
\x02\0\0\x0a\x04\0\0\x02\x90\0\0\xa8\0\0\0\x5c\x02\0\0\x20\x04\0\0\0\xa0\0\0\
\xb0\0\0\0\x57\x03\0\0\xea\x03\0\0\x02\x84\x02\0\xe0\0\0\0\x5c\x02\0\0\x4a\x04\
\0\0\x0e\xac\0\0\xe8\0\0\0\x5c\x02\0\0\x4a\x04\0\0\x12\xac\0\0\xf0\0\0\0\x5c\
\x02\0\0\x4a\x04\0\0\x02\xac\0\0\xf8\0\0\0\x5c\x02\0\0\x60\x04\0\0\0\xbc\0\0\0\
\x01\0\0\x57\x03\0\0\xea\x03\0\0\x02\x84\x02\0\x30\x01\0\0\x5c\x02\0\0\x88\x04\
\0\0\x02\xc8\0\0\x12\x05\0\0\x09\0\0\0\0\0\0\0\x5c\x02\0\0\x9a\x04\0\0\x09\xe0\
\0\0\x08\0\0\0\x5c\x02\0\0\x9a\x04\0\0\x02\xe0\0\0\x10\0\0\0\x5c\x02\0\0\xb7\
\x04\0\0\x07\xf8\0\0\x38\0\0\0\x5c\x02\0\0\x9a\x04\0\0\x09\xfc\0\0\x40\0\0\0\
\x5c\x02\0\0\x9a\x04\0\0\x02\xfc\0\0\x48\0\0\0\x5c\x02\0\0\xc1\x04\0\0\x09\x14\
\x01\0\x50\0\0\0\x5c\x02\0\0\xc1\x04\0\0\x02\x14\x01\0\x58\0\0\0\x5c\x02\0\0\
\xde\x04\0\0\x09\x2c\x01\0\x60\0\0\0\x5c\x02\0\0\xde\x04\0\0\x02\x2c\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x28\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x02\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\
\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\
\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x98\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\xcd\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe8\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xd4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x05\
\0\0\0\0\0\0\x29\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xd9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0f\0\0\0\0\0\0\
\x20\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tailcall_bpf2bpf4 *tailcall_bpf2bpf4::open(const struct bpf_object_open_opts *opts) { return tailcall_bpf2bpf4__open_opts(opts); }
struct tailcall_bpf2bpf4 *tailcall_bpf2bpf4::open_and_load() { return tailcall_bpf2bpf4__open_and_load(); }
int tailcall_bpf2bpf4::load(struct tailcall_bpf2bpf4 *skel) { return tailcall_bpf2bpf4__load(skel); }
int tailcall_bpf2bpf4::attach(struct tailcall_bpf2bpf4 *skel) { return tailcall_bpf2bpf4__attach(skel); }
void tailcall_bpf2bpf4::detach(struct tailcall_bpf2bpf4 *skel) { tailcall_bpf2bpf4__detach(skel); }
void tailcall_bpf2bpf4::destroy(struct tailcall_bpf2bpf4 *skel) { tailcall_bpf2bpf4__destroy(skel); }
const void *tailcall_bpf2bpf4::elf_bytes(size_t *sz) { return tailcall_bpf2bpf4__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_bpf2bpf4__assert(struct tailcall_bpf2bpf4 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
	_Static_assert(sizeof(s->bss->noise) == 4, "unexpected size of 'noise'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_BPF2BPF4_SKEL_H__ */
