/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_LOOKUP_KEY_SKEL_H__
#define __TEST_LOOKUP_KEY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_lookup_key {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bpf;
	} progs;
	struct {
		struct bpf_link *bpf;
	} links;
	struct test_lookup_key__bss {
		__u32 monitored_pid;
		__u32 key_serial;
		__u32 key_id;
		char __pad0[4];
		__u64 flags;
	} *bss;

#ifdef __cplusplus
	static inline struct test_lookup_key *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_lookup_key *open_and_load();
	static inline int load(struct test_lookup_key *skel);
	static inline int attach(struct test_lookup_key *skel);
	static inline void detach(struct test_lookup_key *skel);
	static inline void destroy(struct test_lookup_key *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_lookup_key__destroy(struct test_lookup_key *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_lookup_key__create_skeleton(struct test_lookup_key *obj);

static inline struct test_lookup_key *
test_lookup_key__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_lookup_key *obj;
	int err;

	obj = (struct test_lookup_key *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_lookup_key__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_lookup_key__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_lookup_key *
test_lookup_key__open(void)
{
	return test_lookup_key__open_opts(NULL);
}

static inline int
test_lookup_key__load(struct test_lookup_key *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_lookup_key *
test_lookup_key__open_and_load(void)
{
	struct test_lookup_key *obj;
	int err;

	obj = test_lookup_key__open();
	if (!obj)
		return NULL;
	err = test_lookup_key__load(obj);
	if (err) {
		test_lookup_key__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_lookup_key__attach(struct test_lookup_key *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_lookup_key__detach(struct test_lookup_key *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_lookup_key__elf_bytes(size_t *sz);

static inline int
test_lookup_key__create_skeleton(struct test_lookup_key *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_lookup_key";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_loo.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf";
	s->progs[0].prog = &obj->progs.bpf;
	s->progs[0].link = &obj->links.bpf;

	s->data = test_lookup_key__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_lookup_key__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2e\x73\x2f\x62\x70\x66\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x74\x65\x73\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x6b\x65\x79\x2e\x63\0\x62\x70\
\x66\0\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x6b\x65\x79\x5f\
\x73\x65\x72\x69\x61\x6c\0\x66\x6c\x61\x67\x73\0\x62\x70\x66\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x75\x73\x65\x72\x5f\x6b\x65\x79\0\x6b\x65\x79\x5f\x69\x64\0\
\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\
\x65\x79\0\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2e\x73\x2f\x62\x70\x66\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x28\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x12\0\x03\0\0\0\0\0\0\
\0\0\0\xe0\0\0\0\0\0\0\0\x3e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x4c\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x57\0\0\0\x11\0\
\x05\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x5d\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x71\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x78\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x9a\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x12\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x5d\x02\x13\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x05\0\x04\
\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\x18\x01\0\0\xfe\xff\xff\xff\0\0\0\0\0\0\0\0\x15\0\x03\0\0\0\0\
\0\xbf\x01\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x01\0\0\0\0\0\0\xbf\x10\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\
\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\
\x06\0\0\0\x70\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x08\0\0\0\x98\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xc0\0\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x64\x02\0\0\x64\x02\0\0\x99\x02\0\0\
\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\
\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\0\0\0\0\x02\0\0\x0d\x07\0\0\0\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x20\0\0\0\x02\0\0\x04\
\x10\0\0\0\x28\0\0\0\x09\0\0\0\0\0\0\0\x2c\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\x02\x1e\0\0\0\x34\0\0\0\0\0\0\x08\x0b\0\0\0\x39\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x04\x3f\0\0\0\0\0\0\x08\x0d\0\0\0\x43\0\0\0\0\0\0\x08\x0e\0\0\0\x49\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x56\0\0\0\0\0\0\x08\x10\0\0\0\x5a\0\0\0\0\0\
\0\x08\x02\0\0\0\x60\0\0\0\x02\0\0\x0c\x06\0\0\0\0\0\0\0\x01\0\0\x0d\x07\0\0\0\
\0\0\0\0\x0f\0\0\0\x74\0\0\0\x02\0\0\x0c\x12\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\
\0\0\0\0\x07\0\0\0\x8a\0\0\0\x02\0\0\x0c\x14\0\0\0\x96\0\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x16\0\0\0\x18\0\0\0\x04\0\0\0\x9b\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xaf\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\xb8\0\
\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xc6\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xd1\
\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xd8\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\
\x28\0\0\0\0\0\0\x07\0\0\0\0\x7b\x02\0\0\x01\0\0\x0f\x04\0\0\0\x19\0\0\0\0\0\0\
\0\x04\0\0\0\x83\x02\0\0\x04\0\0\x0f\x18\0\0\0\x1a\0\0\0\0\0\0\0\x04\0\0\0\x1b\
\0\0\0\x04\0\0\0\x04\0\0\0\x1c\0\0\0\x08\0\0\0\x04\0\0\0\x1d\0\0\0\x10\0\0\0\
\x08\0\0\0\x88\x02\0\0\x03\0\0\x0f\0\0\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x13\0\0\0\
\0\0\0\0\0\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x62\x70\
\x66\0\x62\x70\x66\x5f\x6b\x65\x79\0\x6b\x65\x79\0\x68\x61\x73\x5f\x72\x65\x66\
\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x5f\x5f\x75\
\x36\x34\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x75\x73\x65\x72\x5f\x6b\
\x65\x79\0\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\
\x5f\x6b\x65\x79\0\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\
\x5f\x70\x69\x64\0\x6b\x65\x79\x5f\x73\x65\x72\x69\x61\x6c\0\x6b\x65\x79\x5f\
\x69\x64\0\x66\x6c\x61\x67\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x6b\x65\x79\x2e\x63\0\x09\x70\x69\x64\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\
\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\
\x28\x70\x69\x64\x20\x21\x3d\x20\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\
\x69\x64\x29\0\x09\x69\x66\x20\x28\x6b\x65\x79\x5f\x73\x65\x72\x69\x61\x6c\x29\
\0\x09\x09\x62\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x75\x73\x65\x72\x5f\x6b\x65\x79\x28\x6b\x65\x79\x5f\x73\x65\x72\x69\x61\
\x6c\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x09\x62\x6b\x65\x79\x20\x3d\x20\
\x62\x70\x66\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x79\x73\x74\x65\x6d\x5f\x6b\
\x65\x79\x28\x6b\x65\x79\x5f\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x62\x6b\
\x65\x79\x29\0\x09\x62\x70\x66\x5f\x6b\x65\x79\x5f\x70\x75\x74\x28\x62\x6b\x65\
\x79\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x62\x70\x66\
\x2c\x20\x69\x6e\x74\x20\x63\x6d\x64\x2c\x20\x75\x6e\x69\x6f\x6e\x20\x62\x70\
\x66\x5f\x61\x74\x74\x72\x20\x2a\x61\x74\x74\x72\x2c\x20\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\x20\x73\x69\x7a\x65\x29\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x6c\x73\x6d\x2e\x73\x2f\x62\
\x70\x66\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xec\0\0\0\
\0\x01\0\0\0\0\0\0\x08\0\0\0\x8f\x02\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\
\x8f\x02\0\0\x0e\0\0\0\0\0\0\0\xde\0\0\0\x69\x01\0\0\x08\x7c\0\0\x08\0\0\0\xde\
\0\0\0\x69\x01\0\0\x23\x7c\0\0\x10\0\0\0\xde\0\0\0\x92\x01\0\0\x0d\x80\0\0\x30\
\0\0\0\xde\0\0\0\x92\x01\0\0\x06\x80\0\0\x38\0\0\0\xde\0\0\0\xad\x01\0\0\x06\
\x8c\0\0\x50\0\0\0\xde\0\0\0\xad\x01\0\0\x06\x8c\0\0\x58\0\0\0\xde\0\0\0\xbe\
\x01\0\0\x2a\x90\0\0\x70\0\0\0\xde\0\0\0\xbe\x01\0\0\x0a\x90\0\0\x78\0\0\0\xde\
\0\0\0\xbe\x01\0\0\x03\x90\0\0\x80\0\0\0\xde\0\0\0\xef\x01\0\0\x20\x98\0\0\x98\
\0\0\0\xde\0\0\0\xef\x01\0\0\x0a\x98\0\0\xb0\0\0\0\xde\0\0\0\x17\x02\0\0\x06\
\xa0\0\0\xb8\0\0\0\xde\0\0\0\x23\x02\0\0\x02\xac\0\0\xd0\0\0\0\xde\0\0\0\x37\
\x02\0\0\x05\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbf\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\
\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xa3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb1\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\0\0\x15\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb6\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_lookup_key *test_lookup_key::open(const struct bpf_object_open_opts *opts) { return test_lookup_key__open_opts(opts); }
struct test_lookup_key *test_lookup_key::open_and_load() { return test_lookup_key__open_and_load(); }
int test_lookup_key::load(struct test_lookup_key *skel) { return test_lookup_key__load(skel); }
int test_lookup_key::attach(struct test_lookup_key *skel) { return test_lookup_key__attach(skel); }
void test_lookup_key::detach(struct test_lookup_key *skel) { test_lookup_key__detach(skel); }
void test_lookup_key::destroy(struct test_lookup_key *skel) { test_lookup_key__destroy(skel); }
const void *test_lookup_key::elf_bytes(size_t *sz) { return test_lookup_key__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_lookup_key__assert(struct test_lookup_key *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->monitored_pid) == 4, "unexpected size of 'monitored_pid'");
	_Static_assert(sizeof(s->bss->key_serial) == 4, "unexpected size of 'key_serial'");
	_Static_assert(sizeof(s->bss->key_id) == 4, "unexpected size of 'key_id'");
	_Static_assert(sizeof(s->bss->flags) == 8, "unexpected size of 'flags'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LOOKUP_KEY_SKEL_H__ */
