/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_MAP_OPS_SKEL_H__
#define __TEST_MAP_OPS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_map_ops {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hash_map;
		struct bpf_map *stack_map;
		struct bpf_map *array_map;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *map_update;
		struct bpf_program *map_delete;
		struct bpf_program *map_push;
		struct bpf_program *map_pop;
		struct bpf_program *map_peek;
		struct bpf_program *map_for_each_pass;
		struct bpf_program *map_for_each_fail;
	} progs;
	struct {
		struct bpf_link *map_update;
		struct bpf_link *map_delete;
		struct bpf_link *map_push;
		struct bpf_link *map_pop;
		struct bpf_link *map_peek;
		struct bpf_link *map_for_each_pass;
		struct bpf_link *map_for_each_fail;
	} links;
	struct test_map_ops__bss {
		long err;
	} *bss;
	struct test_map_ops__rodata {
		pid_t pid;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_map_ops *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_map_ops *open_and_load();
	static inline int load(struct test_map_ops *skel);
	static inline int attach(struct test_map_ops *skel);
	static inline void detach(struct test_map_ops *skel);
	static inline void destroy(struct test_map_ops *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_map_ops__destroy(struct test_map_ops *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_map_ops__create_skeleton(struct test_map_ops *obj);

static inline struct test_map_ops *
test_map_ops__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_map_ops *obj;
	int err;

	obj = (struct test_map_ops *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_map_ops__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_map_ops__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_map_ops *
test_map_ops__open(void)
{
	return test_map_ops__open_opts(NULL);
}

static inline int
test_map_ops__load(struct test_map_ops *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_map_ops *
test_map_ops__open_and_load(void)
{
	struct test_map_ops *obj;
	int err;

	obj = test_map_ops__open();
	if (!obj)
		return NULL;
	err = test_map_ops__load(obj);
	if (err) {
		test_map_ops__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_map_ops__attach(struct test_map_ops *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_map_ops__detach(struct test_map_ops *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_map_ops__elf_bytes(size_t *sz);

static inline int
test_map_ops__create_skeleton(struct test_map_ops *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_map_ops";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "hash_map";
	map->map = &obj->maps.hash_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "stack_map";
	map->map = &obj->maps.stack_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "array_map";
	map->map = &obj->maps.array_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "test_map.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "test_map.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "map_update";
	s->progs[0].prog = &obj->progs.map_update;
	s->progs[0].link = &obj->links.map_update;

	s->progs[1].name = "map_delete";
	s->progs[1].prog = &obj->progs.map_delete;
	s->progs[1].link = &obj->links.map_delete;

	s->progs[2].name = "map_push";
	s->progs[2].prog = &obj->progs.map_push;
	s->progs[2].link = &obj->links.map_push;

	s->progs[3].name = "map_pop";
	s->progs[3].prog = &obj->progs.map_pop;
	s->progs[3].link = &obj->links.map_pop;

	s->progs[4].name = "map_peek";
	s->progs[4].prog = &obj->progs.map_peek;
	s->progs[4].link = &obj->links.map_peek;

	s->progs[5].name = "map_for_each_pass";
	s->progs[5].prog = &obj->progs.map_for_each_pass;
	s->progs[5].link = &obj->links.map_for_each_pass;

	s->progs[6].name = "map_for_each_fail";
	s->progs[6].prog = &obj->progs.map_for_each_fail;
	s->progs[6].link = &obj->links.map_for_each_fail;

	s->data = test_map_ops__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_map_ops__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x18\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\
\x70\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x65\
\x75\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x67\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\
\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x74\
\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x6d\x61\x70\x73\0\x74\
\x65\x73\x74\x5f\x6d\x61\x70\x5f\x6f\x70\x73\x2e\x63\0\x63\x61\x6c\x6c\x62\x61\
\x63\x6b\0\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\0\x70\x69\x64\0\x68\x61\x73\
\x68\x5f\x6d\x61\x70\0\x65\x72\x72\0\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\0\
\x6d\x61\x70\x5f\x70\x75\x73\x68\0\x73\x74\x61\x63\x6b\x5f\x6d\x61\x70\0\x6d\
\x61\x70\x5f\x70\x6f\x70\0\x6d\x61\x70\x5f\x70\x65\x65\x6b\0\x6d\x61\x70\x5f\
\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x70\x61\x73\x73\0\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\0\x6d\x61\x70\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x66\x61\x69\
\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\
\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\
\x74\x70\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x70\x69\x64\0\x2e\
\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x75\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\
\x67\x65\x74\x65\x75\x69\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x67\x69\
\x64\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x74\x69\x64\0\x2e\x72\x65\x6c\x74\
\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x01\0\0\x12\0\
\x04\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x23\x01\0\0\x11\0\x0d\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x27\x01\0\0\x11\0\x0e\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x30\x01\0\0\x11\0\x0c\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x34\x01\0\0\x12\0\
\x05\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x3f\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\x48\x01\0\0\x11\0\x0e\0\x20\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x52\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x5a\x01\0\0\x12\0\
\x08\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x63\x01\0\0\x12\0\x09\0\0\0\0\0\0\0\0\
\0\x08\x01\0\0\0\0\0\0\x75\x01\0\0\x11\0\x0e\0\x38\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x7f\x01\0\0\x12\0\x0a\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x91\x01\0\0\
\x11\0\x0b\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\x1a\
\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x67\
\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\
\0\x5d\x60\x0b\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\
\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\
\0\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\
\x20\0\0\0\x5d\x60\x08\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x03\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x01\0\0\x01\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x16\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\
\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x09\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\
\0\0\0\x57\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\
\0\0\0\0\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\
\0\0\x20\0\0\0\x5d\x60\x08\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\
\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x58\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\
\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x08\0\0\
\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x59\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\
\xff\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\
\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x60\x13\0\0\0\0\0\xbf\xa2\0\0\0\
\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\
\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x01\0\0\
\x01\0\0\0\x63\x1a\xf8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\
\0\0\0\0\0\0\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\
\x77\0\0\0\x20\0\0\0\x5d\x60\x13\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\
\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x02\0\0\0\xbf\xa3\0\0\0\0\0\
\0\x07\x03\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\xa4\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa0\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x60\0\0\0\0\0\0\0\
\x01\0\0\0\x0d\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x10\0\0\0\0\0\0\0\
\x01\0\0\0\x0c\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x80\0\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x50\0\0\0\0\0\0\0\x01\
\0\0\0\x11\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\x0c\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x68\0\0\0\0\0\0\0\x01\0\0\0\
\x0e\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\
\x15\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\
\x02\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\
\x15\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\
\x0e\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x03\0\0\x5c\x03\0\0\xe9\x04\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\
\x2e\0\0\0\x05\0\0\0\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x09\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x17\0\0\0\0\
\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x08\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\
\x40\0\0\0\x2e\0\0\0\x05\0\0\0\x80\0\0\0\x3d\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x0c\0\0\0\0\0\0\0\x1e\0\0\0\
\x01\0\0\0\x40\0\0\0\x2a\0\0\0\x05\0\0\0\x80\0\0\0\x2e\0\0\0\x05\0\0\0\xc0\0\0\
\0\x47\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\x51\0\0\0\x10\0\0\0\x55\0\0\0\x01\0\0\x0c\x11\0\0\0\x60\
\0\0\0\x01\0\0\x0c\x11\0\0\0\x6b\0\0\0\x01\0\0\x0c\x11\0\0\0\x74\0\0\0\x01\0\0\
\x0c\x11\0\0\0\x7c\0\0\0\x01\0\0\x0c\x11\0\0\0\x85\0\0\0\x01\0\0\x0c\x11\0\0\0\
\x97\0\0\0\0\0\0\x08\x19\0\0\0\x9b\0\0\0\0\0\0\x08\x1a\0\0\0\xa1\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x05\0\0\x0d\x18\0\0\0\xb4\0\0\0\x18\0\0\0\x2a\
\0\0\0\x18\0\0\0\xb8\0\0\0\x18\0\0\0\x51\0\0\0\x18\0\0\0\xbc\0\0\0\x18\0\0\0\
\xc2\0\0\0\0\0\0\x0c\x1b\0\0\0\xcb\0\0\0\x01\0\0\x0c\x11\0\0\0\xdd\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1e\0\0\0\x04\0\0\0\x04\0\
\0\0\xe2\0\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\xeb\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\xf0\0\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x24\0\0\0\0\
\0\0\0\0\0\0\x09\x25\0\0\0\xf4\0\0\0\0\0\0\x08\x26\0\0\0\xfa\0\0\0\0\0\0\x08\
\x02\0\0\0\x09\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xfa\x03\0\0\x01\0\0\x0f\
\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\0\x02\x04\0\0\x01\0\0\x0f\x08\0\0\0\x22\0\
\0\0\0\0\0\0\x08\0\0\0\x07\x04\0\0\x01\0\0\x0f\x04\0\0\0\x27\0\0\0\0\0\0\0\x04\
\0\0\0\x0f\x04\0\0\x03\0\0\x0f\x58\0\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\x0b\0\0\0\
\x20\0\0\0\x18\0\0\0\x0f\0\0\0\x38\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x73\x74\x61\x63\x6b\x5f\x6d\x61\
\x70\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x63\x74\x78\0\x6d\x61\x70\x5f\x75\
\x70\x64\x61\x74\x65\0\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\0\x6d\x61\x70\
\x5f\x70\x75\x73\x68\0\x6d\x61\x70\x5f\x70\x6f\x70\0\x6d\x61\x70\x5f\x70\x65\
\x65\x6b\0\x6d\x61\x70\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x70\x61\x73\x73\
\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6d\x61\x70\0\x76\x61\x6c\0\x66\x6c\x61\x67\
\x73\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x6d\x61\x70\x5f\x66\x6f\x72\x5f\x65\
\x61\x63\x68\x5f\x66\x61\x69\x6c\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x6c\x6f\x6e\x67\0\x65\x72\x72\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x6b\
\x65\x72\x6e\x65\x6c\x5f\x70\x69\x64\x5f\x74\0\x70\x69\x64\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x6d\x61\x70\x5f\x6f\x70\x73\x2e\x63\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x6d\x61\x70\x5f\x75\x70\x64\
\x61\x74\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x63\x6f\x6e\x73\
\x74\x20\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x63\x6f\x6e\x73\
\x74\x20\x69\x6e\x74\x20\x76\x61\x6c\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\
\x70\x69\x64\x20\x21\x3d\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\
\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\
\x33\x32\x29\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\
\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x42\x50\x46\
\x5f\x4e\x4f\x45\x58\x49\x53\x54\x29\x3b\0\x7d\0\x69\x6e\x74\x20\x6d\x61\x70\
\x5f\x64\x65\x6c\x65\x74\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\
\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x2c\x20\x26\
\x6b\x65\x79\x29\x3b\0\x69\x6e\x74\x20\x6d\x61\x70\x5f\x70\x75\x73\x68\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x70\x75\x73\x68\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\
\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x76\x61\x6c\x2c\x20\x30\x29\x3b\0\x09\x65\
\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x6f\x70\x5f\x65\x6c\
\x65\x6d\x28\x26\x73\x74\x61\x63\x6b\x5f\x6d\x61\x70\x2c\x20\x26\x76\x61\x6c\
\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x65\
\x65\x6b\x5f\x65\x6c\x65\x6d\x28\x26\x73\x74\x61\x63\x6b\x5f\x6d\x61\x70\x2c\
\x20\x26\x76\x61\x6c\x29\x3b\0\x69\x6e\x74\x20\x6d\x61\x70\x5f\x66\x6f\x72\x5f\
\x65\x61\x63\x68\x5f\x70\x61\x73\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\
\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\
\x2c\x20\x26\x76\x61\x6c\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x65\x72\x72\
\x20\x3d\x20\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x2c\x20\x63\
\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\
\x63\x74\x78\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x69\x6e\x74\x20\x6d\x61\x70\
\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\
\x20\x2a\x63\x74\x78\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x72\x6f\x64\x61\x74\x61\0\x2e\x6d\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x67\x65\x74\x70\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x70\x69\x64\0\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x67\x65\x74\x75\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x65\x75\x69\x64\0\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x67\x65\x74\x67\x69\x64\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x74\x69\x64\0\x74\x70\x2f\
\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x84\0\0\0\
\x84\0\0\0\x54\x04\0\0\xd8\x04\0\0\0\0\0\0\x08\0\0\0\x15\x04\0\0\x01\0\0\0\0\0\
\0\0\x1c\0\0\0\x1b\x04\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x38\x04\0\0\x01\0\0\0\0\
\0\0\0\x13\0\0\0\x56\x04\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\x73\x04\0\0\x01\0\0\0\
\0\0\0\0\x15\0\0\0\x91\x04\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\xae\x04\0\0\x01\0\0\
\0\0\0\0\0\x17\0\0\0\xcb\x04\0\0\x01\0\0\0\0\0\0\0\x1d\0\0\0\x10\0\0\0\x15\x04\
\0\0\x01\0\0\0\0\0\0\0\x0d\x01\0\0\x95\x01\0\0\x02\x88\0\0\x1b\x04\0\0\x0a\0\0\
\0\0\0\0\0\x0d\x01\0\0\xa0\x01\0\0\0\x98\0\0\x08\0\0\0\x0d\x01\0\0\xba\x01\0\0\
\x0c\xa0\0\0\x18\0\0\0\x0d\x01\0\0\xce\x01\0\0\x0c\xa4\0\0\x20\0\0\0\x0d\x01\0\
\0\xe2\x01\0\0\x06\xac\0\0\x48\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x0e\xac\0\0\x50\0\
\0\0\x0d\x01\0\0\xe2\x01\0\0\x29\xac\0\0\x58\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\
\xac\0\0\x80\0\0\0\x0d\x01\0\0\x12\x02\0\0\x08\xb8\0\0\xa0\0\0\0\x0d\x01\0\0\
\x12\x02\0\0\x06\xb8\0\0\xb8\0\0\0\x0d\x01\0\0\x52\x02\0\0\x01\xc4\0\0\x38\x04\
\0\0\x09\0\0\0\0\0\0\0\x0d\x01\0\0\x54\x02\0\0\0\xd0\0\0\x08\0\0\0\x0d\x01\0\0\
\xba\x01\0\0\x0c\xd8\0\0\x10\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\xe0\0\0\x38\0\0\
\0\x0d\x01\0\0\xe2\x01\0\0\x0e\xe0\0\0\x40\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x29\
\xe0\0\0\x48\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\xe0\0\0\x60\0\0\0\x0d\x01\0\0\
\x6e\x02\0\0\x08\xec\0\0\x78\0\0\0\x0d\x01\0\0\x6e\x02\0\0\x06\xec\0\0\x90\0\0\
\0\x0d\x01\0\0\x52\x02\0\0\x01\xf8\0\0\x56\x04\0\0\x09\0\0\0\0\0\0\0\x0d\x01\0\
\0\x9b\x02\0\0\0\x04\x01\0\x08\0\0\0\x0d\x01\0\0\xce\x01\0\0\x0c\x0c\x01\0\x10\
\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\x14\x01\0\x38\0\0\0\x0d\x01\0\0\xe2\x01\0\0\
\x0e\x14\x01\0\x40\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x29\x14\x01\0\x48\0\0\0\x0d\
\x01\0\0\xe2\x01\0\0\x06\x14\x01\0\x60\0\0\0\x0d\x01\0\0\xb3\x02\0\0\x08\x20\
\x01\0\x80\0\0\0\x0d\x01\0\0\xb3\x02\0\0\x06\x20\x01\0\x98\0\0\0\x0d\x01\0\0\
\x52\x02\0\0\x01\x2c\x01\0\x73\x04\0\0\x07\0\0\0\0\0\0\0\x0d\x01\0\0\xe2\x01\0\
\0\x06\x48\x01\0\x28\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x0e\x48\x01\0\x30\0\0\0\x0d\
\x01\0\0\xe2\x01\0\0\x29\x48\x01\0\x38\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\x48\
\x01\0\x50\0\0\0\x0d\x01\0\0\xe2\x02\0\0\x08\x54\x01\0\x68\0\0\0\x0d\x01\0\0\
\xe2\x02\0\0\x06\x54\x01\0\x80\0\0\0\x0d\x01\0\0\x52\x02\0\0\x01\x60\x01\0\x91\
\x04\0\0\x07\0\0\0\0\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\x7c\x01\0\x28\0\0\0\x0d\
\x01\0\0\xe2\x01\0\0\x0e\x7c\x01\0\x30\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x29\x7c\
\x01\0\x38\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\x7c\x01\0\x50\0\0\0\x0d\x01\0\0\
\x0d\x03\0\0\x08\x88\x01\0\x68\0\0\0\x0d\x01\0\0\x0d\x03\0\0\x06\x88\x01\0\x80\
\0\0\0\x0d\x01\0\0\x52\x02\0\0\x01\x94\x01\0\xae\x04\0\0\x0b\0\0\0\0\0\0\0\x0d\
\x01\0\0\x39\x03\0\0\0\xa0\x01\0\x08\0\0\0\x0d\x01\0\0\xba\x01\0\0\x0c\xa8\x01\
\0\x18\0\0\0\x0d\x01\0\0\xce\x01\0\0\x0c\xac\x01\0\x20\0\0\0\x0d\x01\0\0\xe2\
\x01\0\0\x06\xbc\x01\0\x48\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x0e\xbc\x01\0\x50\0\0\
\0\x0d\x01\0\0\xe2\x01\0\0\x29\xbc\x01\0\x58\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x06\
\xbc\x01\0\x80\0\0\0\x0d\x01\0\0\x5a\x03\0\0\x02\xc8\x01\0\xb0\0\0\0\x0d\x01\0\
\0\x8f\x03\0\0\x08\xd0\x01\0\xe0\0\0\0\x0d\x01\0\0\x8f\x03\0\0\x06\xd0\x01\0\
\xf8\0\0\0\x0d\x01\0\0\x52\x02\0\0\x01\xdc\x01\0\xcb\x04\0\0\x0b\0\0\0\0\0\0\0\
\x0d\x01\0\0\xd9\x03\0\0\0\xe8\x01\0\x08\0\0\0\x0d\x01\0\0\xba\x01\0\0\x0c\xf0\
\x01\0\x18\0\0\0\x0d\x01\0\0\xce\x01\0\0\x0c\xf4\x01\0\x20\0\0\0\x0d\x01\0\0\
\xe2\x01\0\0\x06\x04\x02\0\x48\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x0e\x04\x02\0\x50\
\0\0\0\x0d\x01\0\0\xe2\x01\0\0\x29\x04\x02\0\x58\0\0\0\x0d\x01\0\0\xe2\x01\0\0\
\x06\x04\x02\0\x80\0\0\0\x0d\x01\0\0\x5a\x03\0\0\x02\x10\x02\0\xb0\0\0\0\x0d\
\x01\0\0\x8f\x03\0\0\x08\x1c\x02\0\xe0\0\0\0\x0d\x01\0\0\x8f\x03\0\0\x06\x1c\
\x02\0\xf8\0\0\0\x0d\x01\0\0\x52\x02\0\0\x01\x28\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\x92\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\
\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\xc8\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x05\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x90\x06\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x07\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x8d\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x07\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xaa\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x08\0\0\0\0\0\0\x08\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc7\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x09\0\0\0\0\0\0\x08\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x70\x0a\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x70\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xfa\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x0a\
\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x9a\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0a\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbb\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\x30\0\0\
\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdd\x01\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfe\x01\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\x02\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x0b\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\
\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x41\x02\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x0b\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\
\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x02\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\x0c\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x0a\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x84\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x60\x0c\0\0\0\0\0\0\x5d\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc0\x14\0\0\0\0\0\0\xf8\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_map_ops *test_map_ops::open(const struct bpf_object_open_opts *opts) { return test_map_ops__open_opts(opts); }
struct test_map_ops *test_map_ops::open_and_load() { return test_map_ops__open_and_load(); }
int test_map_ops::load(struct test_map_ops *skel) { return test_map_ops__load(skel); }
int test_map_ops::attach(struct test_map_ops *skel) { return test_map_ops__attach(skel); }
void test_map_ops::detach(struct test_map_ops *skel) { test_map_ops__detach(skel); }
void test_map_ops::destroy(struct test_map_ops *skel) { test_map_ops__destroy(skel); }
const void *test_map_ops::elf_bytes(size_t *sz) { return test_map_ops__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_map_ops__assert(struct test_map_ops *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->err) == 8, "unexpected size of 'err'");
	_Static_assert(sizeof(s->rodata->pid) == 4, "unexpected size of 'pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_MAP_OPS_SKEL_H__ */
