/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SNPRINTF_SKEL_H__
#define __TEST_SNPRINTF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_snprintf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata_cst16;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *handler;
	} progs;
	struct {
		struct bpf_link *handler;
	} links;
	struct test_snprintf__bss {
		__u32 pid;
		char num_out[64];
		char __pad0[4];
		long num_ret;
		char ip_out[64];
		long ip_ret;
		char sym_out[64];
		long sym_ret;
		char addr_out[64];
		long addr_ret;
		char str_out[64];
		long str_ret;
		char over_out[6];
		long over_ret;
		char pad_out[10];
		char __pad1[6];
		long pad_ret;
		char noarg_out[64];
		long noarg_ret;
		long nobuf_ret;
	} *bss;

#ifdef __cplusplus
	static inline struct test_snprintf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_snprintf *open_and_load();
	static inline int load(struct test_snprintf *skel);
	static inline int attach(struct test_snprintf *skel);
	static inline void detach(struct test_snprintf *skel);
	static inline void destroy(struct test_snprintf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_snprintf__destroy(struct test_snprintf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_snprintf__create_skeleton(struct test_snprintf *obj);

static inline struct test_snprintf *
test_snprintf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_snprintf *obj;
	int err;

	obj = (struct test_snprintf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_snprintf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_snprintf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_snprintf *
test_snprintf__open(void)
{
	return test_snprintf__open_opts(NULL);
}

static inline int
test_snprintf__load(struct test_snprintf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_snprintf *
test_snprintf__open_and_load(void)
{
	struct test_snprintf *obj;
	int err;

	obj = test_snprintf__open();
	if (!obj)
		return NULL;
	err = test_snprintf__load(obj);
	if (err) {
		test_snprintf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_snprintf__attach(struct test_snprintf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_snprintf__detach(struct test_snprintf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_snprintf__elf_bytes(size_t *sz);

static inline int
test_snprintf__create_skeleton(struct test_snprintf *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_snprintf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_snp.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = ".rodata.cst16";
	map->map = &obj->maps.rodata_cst16;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_snp.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handler";
	s->progs[0].prog = &obj->progs.handler;
	s->progs[0].link = &obj->links.handler;

	s->data = test_snprintf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_snprintf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x62\x73\x73\0\
\x2e\x72\x6f\x64\x61\x74\x61\x2e\x63\x73\x74\x31\x36\0\x2e\x72\x6f\x64\x61\x74\
\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x6e\x70\x72\x69\
\x6e\x74\x66\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x32\0\x68\x61\x6e\x64\x6c\
\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x33\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\
\x6c\x6f\x6e\x67\x73\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x73\x74\x72\x31\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x34\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x35\0\x68\x61\x6e\x64\x6c\
\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x36\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\
\x5f\x5f\x5f\x66\x6d\x74\x2e\x37\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\
\x66\x6d\x74\x2e\x38\0\x68\x61\x6e\x64\x6c\x65\x72\0\x70\x69\x64\0\x6e\x75\x6d\
\x5f\x6f\x75\x74\0\x6e\x75\x6d\x5f\x72\x65\x74\0\x69\x70\x5f\x6f\x75\x74\0\x69\
\x70\x5f\x72\x65\x74\0\x73\x63\x68\x65\x64\x75\x6c\x65\0\x73\x79\x6d\x5f\x6f\
\x75\x74\0\x73\x79\x6d\x5f\x72\x65\x74\0\x61\x64\x64\x72\x5f\x6f\x75\x74\0\x61\
\x64\x64\x72\x5f\x72\x65\x74\0\x73\x74\x72\x5f\x6f\x75\x74\0\x73\x74\x72\x5f\
\x72\x65\x74\0\x6f\x76\x65\x72\x5f\x6f\x75\x74\0\x6f\x76\x65\x72\x5f\x72\x65\
\x74\0\x70\x61\x64\x5f\x6f\x75\x74\0\x70\x61\x64\x5f\x72\x65\x74\0\x6e\x6f\x61\
\x72\x67\x5f\x6f\x75\x74\0\x6e\x6f\x61\x72\x67\x5f\x72\x65\x74\0\x6e\x6f\x62\
\x75\x66\x5f\x72\x65\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\x06\0\x0d\
\0\0\0\0\0\0\0\x16\0\0\0\0\0\0\0\x64\0\0\0\x01\0\x06\0\x23\0\0\0\0\0\0\0\x0a\0\
\0\0\0\0\0\0\x75\0\0\0\x01\0\x06\0\x2d\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x86\0\0\
\0\x01\0\x06\0\x39\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x97\0\0\0\x01\0\x06\0\x05\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\x06\0\0\0\0\0\0\0\0\0\x05\0\0\0\
\0\0\0\0\xb4\0\0\0\x01\0\x06\0\x44\0\0\0\0\0\0\0\x21\0\0\0\0\0\0\0\xc5\0\0\0\
\x01\0\x06\0\x65\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\xd6\0\0\0\x01\0\x06\0\x70\0\0\
\0\0\0\0\0\x0e\0\0\0\0\0\0\0\xe7\0\0\0\x01\0\x06\0\x7e\0\0\0\0\0\0\0\x0c\0\0\0\
\0\0\0\0\xf8\0\0\0\x01\0\x06\0\x8a\0\0\0\0\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x01\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\x68\x05\0\0\0\0\0\0\x11\x01\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x15\x01\0\0\x11\0\x04\0\x04\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x1d\x01\0\0\x11\
\0\x04\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x25\x01\0\0\x11\0\x04\0\x50\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x2c\x01\0\0\x11\0\x04\0\x90\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x33\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\x01\0\0\x11\
\0\x04\0\x98\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x44\x01\0\0\x11\0\x04\0\xd8\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x4c\x01\0\0\x11\0\x04\0\xe0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\x55\x01\0\0\x11\0\x04\0\x20\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x5e\x01\
\0\0\x11\0\x04\0\x28\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x66\x01\0\0\x11\0\x04\0\
\x68\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x6e\x01\0\0\x11\0\x04\0\x70\x01\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\x77\x01\0\0\x11\0\x04\0\x78\x01\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x80\x01\0\0\x11\0\x04\0\x80\x01\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\x88\x01\0\
\0\x11\0\x04\0\x90\x01\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x90\x01\0\0\x11\0\x04\0\
\x98\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9a\x01\0\0\x11\0\x04\0\xd8\x01\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\xa4\x01\0\0\x11\0\x04\0\xe0\x01\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\xae\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\
\x7f\0\0\x01\x63\x1a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x7b\
\x1a\xf0\xff\0\0\0\0\xb7\x06\0\0\0\0\0\0\x7b\x6a\xe8\xff\0\0\0\0\x85\0\0\0\x0e\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\0\0\0\x20\0\
\0\0\x77\0\0\0\x20\0\0\0\x5d\x01\x9d\0\0\0\0\0\x18\x01\0\0\0\xad\xbb\xda\0\0\0\
\0\0\0\0\0\x7b\x1a\xd8\xff\0\0\0\0\xb7\x01\0\0\x39\x05\0\0\x7b\x1a\xd0\xff\0\0\
\0\0\xb7\x01\0\0\xce\x86\xf9\xff\x7b\x1a\xc8\xff\0\0\0\0\xb7\x01\0\0\x96\0\0\0\
\x7b\x1a\xc0\xff\0\0\0\0\xb7\x01\0\0\x09\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\xb7\x01\
\0\0\xf8\xff\xff\xff\x7b\x1a\xb0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\
\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x40\0\0\0\x18\
\x03\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x30\0\0\0\x85\0\0\0\xa5\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\
\x07\x01\0\0\xe8\xff\xff\xff\x7b\x1a\xb8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\
\x01\0\0\xfc\xff\xff\xff\x7b\x1a\xb0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\
\0\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x40\0\0\0\
\x18\x03\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x10\0\0\0\x85\0\0\0\xa5\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\x1a\xc0\xff\0\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\
\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x40\0\0\0\x18\x03\0\0\x2d\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x05\0\0\x18\0\0\0\x85\0\0\0\xa5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x01\0\0\0\0\0\0\x18\x01\0\0\x55\x4e\xdd\x0a\0\0\0\0\0\0\xff\xff\x7b\x1a\
\xc0\xff\0\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x6a\xb0\xff\0\0\0\0\xbf\xa4\0\0\0\
\0\0\0\x07\x04\0\0\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\
\0\0\x40\0\0\0\x18\x03\0\0\x39\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x18\0\0\0\x85\
\0\0\0\xa5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x18\
\x01\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\xb7\x01\0\0\x65\0\0\
\0\x7b\x1a\xd8\xff\0\0\0\0\xb7\x01\0\0\x64\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\xb7\
\x01\0\0\x63\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\xb7\x01\0\0\x62\0\0\0\x7b\x1a\xc0\
\xff\0\0\0\0\xb7\x01\0\0\x61\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xb0\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x40\0\0\0\x18\x03\
\0\0\x44\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x38\0\0\0\x85\0\0\0\xa5\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\
\x06\0\0\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x06\0\
\0\0\x18\x03\0\0\x65\0\0\0\0\0\0\0\0\0\0\0\xbf\x64\0\0\0\0\0\0\xb7\x05\0\0\0\0\
\0\0\x85\0\0\0\xa5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\
\0\xb7\x01\0\0\x04\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\xbf\
\xa4\0\0\0\0\0\0\x07\x04\0\0\xb0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb7\x02\0\0\x0a\0\0\0\x18\x03\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\xb7\x05\0\0\x10\
\0\0\0\x85\0\0\0\xa5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x40\0\0\0\x18\x03\0\0\x7e\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x64\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\xa5\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\x3c\0\
\0\0\x7b\x1a\xb0\xff\0\0\0\0\xbf\xa4\0\0\0\0\0\0\x07\x04\0\0\xb0\xff\xff\xff\
\xb7\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x18\x03\0\0\x8a\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x05\0\0\x08\0\0\0\x85\0\0\0\xa5\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\x73\x74\x72\x31\0\x6c\x6f\x6e\x67\x73\x74\x72\0\x25\x64\x20\x25\
\x75\x20\x25\x78\x20\x25\x6c\x69\x20\x25\x6c\x6c\x75\x20\x25\x6c\x58\0\x25\x70\
\x69\x34\x20\x25\x70\x49\x36\0\x25\x70\x73\x20\x25\x70\x53\x20\x25\x70\x42\0\
\x25\x70\x4b\x20\x25\x70\x78\x20\x25\x70\0\x25\x73\x20\x25\x20\x39\x63\x20\x25\
\x2b\x32\x63\x20\x25\x2d\x33\x63\x20\x25\x30\x34\x63\x20\x25\x30\x63\x20\x25\
\x2b\x30\x35\x73\0\x25\x25\x6f\x76\x65\x72\x66\x6c\x6f\x77\0\x25\x35\x64\x20\
\x25\x30\x39\x30\x30\x30\x30\x30\x58\0\x73\x69\x6d\x70\x6c\x65\x20\x63\x61\x73\
\x65\0\x6f\x6e\x6c\x79\x20\x69\x6e\x74\x65\x72\x65\x73\x74\x65\x64\x20\x69\x6e\
\x20\x6c\x65\x6e\x67\x74\x68\x20\x25\x64\0\x47\x50\x4c\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x01\0\0\0\x10\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\0\x01\0\0\0\0\
\0\0\x01\0\0\0\x0e\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x12\0\0\0\x78\x01\0\0\0\
\0\0\0\x01\0\0\0\x13\0\0\0\x90\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xb0\x01\0\0\
\0\0\0\0\x01\0\0\0\x14\0\0\0\xc8\x01\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\0\x02\0\0\
\0\0\0\0\x01\0\0\0\x16\0\0\0\x18\x02\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x38\x02\0\
\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\x18\0\0\0\xa0\x02\
\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xc0\x02\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\xd8\
\x02\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x40\x03\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\x68\x03\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x80\x03\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\
\0\xa0\x03\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\xc8\x03\0\0\0\0\0\0\x01\0\0\0\x1c\0\
\0\0\xe0\x03\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x08\x04\0\0\0\0\0\0\x01\0\0\0\x1d\
\0\0\0\x48\x04\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\x60\x04\0\0\0\0\0\0\x01\0\0\0\
\x0e\0\0\0\x80\x04\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\x98\x04\0\0\0\0\0\0\x01\0\0\
\0\x20\0\0\0\xb0\x04\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xd8\x04\0\0\0\0\0\0\x01\0\
\0\0\x21\0\0\0\x20\x05\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x40\x05\0\0\0\0\0\0\x01\
\0\0\0\x22\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x6c\x05\0\0\x6c\x05\0\0\x7c\
\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\x11\0\0\0\0\0\0\x08\x07\0\0\0\x17\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\x24\0\0\0\0\0\0\x0e\x06\0\0\0\x01\0\0\0\x28\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x40\
\0\0\0\x2d\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x41\0\0\0\0\0\0\x0e\x0a\0\0\0\
\x01\0\0\0\x49\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x4e\0\0\0\0\0\0\x0e\x0d\0\
\0\0\x01\0\0\0\x56\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x5d\0\0\0\0\0\0\x0e\x0d\
\0\0\0\x01\0\0\0\x64\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x6c\0\0\0\0\0\0\x0e\
\x0d\0\0\0\x01\0\0\0\x74\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x7d\0\0\0\0\0\0\
\x0e\x0d\0\0\0\x01\0\0\0\x86\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x8e\0\0\0\0\0\
\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x06\0\
\0\0\x96\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\x9f\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x0a\0\0\0\xa8\0\0\0\0\0\0\
\x0e\x1a\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xb8\0\0\0\0\0\
\0\x0e\x0a\0\0\0\x01\0\0\0\xc2\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xcc\0\0\0\0\
\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x09\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x20\0\0\0\x0b\0\0\0\x05\0\0\0\xd6\0\0\0\0\0\0\x0e\x21\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x08\0\0\0\xe3\0\0\0\0\0\0\x0e\x23\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x16\0\0\0\xf3\0\0\0\0\
\0\0\x0e\x25\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0a\0\
\0\0\x02\x01\0\0\0\0\0\x0e\x27\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\
\0\x0b\0\0\0\x0c\0\0\0\x13\x01\0\0\0\0\0\x0e\x29\0\0\0\0\0\0\0\x24\x01\0\0\0\0\
\0\x0e\x02\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0b\0\
\0\0\x2d\x01\0\0\0\0\0\x0e\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\
\0\x0b\0\0\0\x21\0\0\0\x3e\x01\0\0\0\0\0\x0e\x2e\0\0\0\0\0\0\0\x4f\x01\0\0\0\0\
\0\x0e\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x0e\0\0\
\0\x60\x01\0\0\0\0\0\x0e\x31\0\0\0\0\0\0\0\x71\x01\0\0\0\0\0\x0e\x29\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x0b\0\0\0\x1d\0\0\0\x82\x01\0\0\0\0\0\
\x0e\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x04\0\0\0\
\x93\x01\0\0\0\0\0\x0e\x36\0\0\0\x01\0\0\0\x4f\x05\0\0\x12\0\0\x0f\xe8\x01\0\0\
\x08\0\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x04\0\0\0\x40\0\0\0\x0e\0\0\0\x48\0\0\0\
\x08\0\0\0\x0f\0\0\0\x50\0\0\0\x40\0\0\0\x10\0\0\0\x90\0\0\0\x08\0\0\0\x11\0\0\
\0\x98\0\0\0\x40\0\0\0\x12\0\0\0\xd8\0\0\0\x08\0\0\0\x13\0\0\0\xe0\0\0\0\x40\0\
\0\0\x14\0\0\0\x20\x01\0\0\x08\0\0\0\x15\0\0\0\x28\x01\0\0\x40\0\0\0\x16\0\0\0\
\x68\x01\0\0\x08\0\0\0\x18\0\0\0\x70\x01\0\0\x06\0\0\0\x19\0\0\0\x78\x01\0\0\
\x08\0\0\0\x1b\0\0\0\x80\x01\0\0\x0a\0\0\0\x1c\0\0\0\x90\x01\0\0\x08\0\0\0\x1d\
\0\0\0\x98\x01\0\0\x40\0\0\0\x1e\0\0\0\xd8\x01\0\0\x08\0\0\0\x1f\0\0\0\xe0\x01\
\0\0\x08\0\0\0\x54\x05\0\0\x0b\0\0\x0f\xa7\0\0\0\x22\0\0\0\0\0\0\0\x05\0\0\0\
\x24\0\0\0\x05\0\0\0\x08\0\0\0\x26\0\0\0\x0d\0\0\0\x16\0\0\0\x28\0\0\0\x23\0\0\
\0\x0a\0\0\0\x2a\0\0\0\x2d\0\0\0\x0c\0\0\0\x2d\0\0\0\x39\0\0\0\x0b\0\0\0\x2f\0\
\0\0\x44\0\0\0\x21\0\0\0\x30\0\0\0\x65\0\0\0\x0b\0\0\0\x32\0\0\0\x70\0\0\0\x0e\
\0\0\0\x33\0\0\0\x7e\0\0\0\x0c\0\0\0\x35\0\0\0\x8a\0\0\0\x1d\0\0\0\x5c\x05\0\0\
\x01\0\0\x0f\x04\0\0\0\x37\0\0\0\0\0\0\0\x04\0\0\0\x64\x05\0\0\x01\0\0\x0f\0\0\
\0\0\x2b\0\0\0\0\0\0\0\x01\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\
\x6c\x65\x72\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x70\x69\x64\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6e\x75\x6d\x5f\x6f\x75\x74\0\x6c\
\x6f\x6e\x67\0\x6e\x75\x6d\x5f\x72\x65\x74\0\x69\x70\x5f\x6f\x75\x74\0\x69\x70\
\x5f\x72\x65\x74\0\x73\x79\x6d\x5f\x6f\x75\x74\0\x73\x79\x6d\x5f\x72\x65\x74\0\
\x61\x64\x64\x72\x5f\x6f\x75\x74\0\x61\x64\x64\x72\x5f\x72\x65\x74\0\x73\x74\
\x72\x5f\x6f\x75\x74\0\x73\x74\x72\x5f\x72\x65\x74\0\x6f\x76\x65\x72\x5f\x6f\
\x75\x74\0\x6f\x76\x65\x72\x5f\x72\x65\x74\0\x70\x61\x64\x5f\x6f\x75\x74\0\x70\
\x61\x64\x5f\x72\x65\x74\0\x6e\x6f\x61\x72\x67\x5f\x6f\x75\x74\0\x6e\x6f\x61\
\x72\x67\x5f\x72\x65\x74\0\x6e\x6f\x62\x75\x66\x5f\x72\x65\x74\0\x68\x61\x6e\
\x64\x6c\x65\x72\x2e\x73\x74\x72\x31\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x6c\x6f\
\x6e\x67\x73\x74\x72\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x31\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x32\0\x73\x63\x68\x65\x64\
\x75\x6c\x65\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x33\
\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x34\0\x68\x61\
\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x35\0\x68\x61\x6e\x64\x6c\
\x65\x72\x2e\x5f\x5f\x5f\x66\x6d\x74\x2e\x36\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\
\x5f\x5f\x5f\x66\x6d\x74\x2e\x37\0\x68\x61\x6e\x64\x6c\x65\x72\x2e\x5f\x5f\x5f\
\x66\x6d\x74\x2e\x38\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x73\x6e\x70\x72\x69\x6e\x74\x66\x2e\x63\0\x69\x6e\
\x74\x20\x68\x61\x6e\x64\x6c\x65\x72\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x09\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x38\x20\
\x65\x78\x5f\x69\x70\x76\x34\x5b\x5d\x20\x3d\x20\x7b\x31\x32\x37\x2c\x20\x30\
\x2c\x20\x30\x2c\x20\x31\x7d\x3b\0\x09\x63\x6f\x6e\x73\x74\x20\x5f\x5f\x75\x38\
\x20\x65\x78\x5f\x69\x70\x76\x36\x5b\x5d\x20\x3d\x20\x7b\x30\x2c\x20\x30\x2c\
\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\
\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\x2c\x20\x30\
\x2c\x20\x31\x7d\x3b\0\x09\x69\x66\x20\x28\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\
\x64\x28\x29\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x6e\x75\x6d\x5f\x72\x65\x74\
\x20\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x6e\x75\
\x6d\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x75\x6d\x5f\x6f\
\x75\x74\x29\x2c\0\x09\x69\x70\x5f\x72\x65\x74\x20\x20\x20\x3d\x20\x42\x50\x46\
\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x69\x70\x5f\x6f\x75\x74\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x69\x70\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x70\x69\
\x34\x20\x25\x70\x49\x36\x22\x2c\0\x09\x73\x79\x6d\x5f\x72\x65\x74\x20\x20\x3d\
\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x73\x79\x6d\x5f\x6f\
\x75\x74\x2c\x20\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x79\x6d\x5f\x6f\x75\x74\
\x29\x2c\x20\x22\x25\x70\x73\x20\x25\x70\x53\x20\x25\x70\x42\x22\x2c\0\x09\x61\
\x64\x64\x72\x5f\x72\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\
\x4e\x54\x46\x28\x61\x64\x64\x72\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x61\x64\x64\x72\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x70\x4b\x20\x25\
\x70\x78\x20\x25\x70\x22\x2c\0\x09\x73\x74\x72\x5f\x72\x65\x74\x20\x20\x3d\x20\
\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x73\x74\x72\x5f\x6f\x75\
\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x5f\x6f\x75\x74\x29\x2c\
\x20\x22\x25\x73\x20\x25\x20\x39\x63\x20\x25\x2b\x32\x63\x20\x25\x2d\x33\x63\
\x20\x25\x30\x34\x63\x20\x25\x30\x63\x20\x25\x2b\x30\x35\x73\x22\x2c\0\x09\x6f\
\x76\x65\x72\x5f\x72\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\
\x4e\x54\x46\x28\x6f\x76\x65\x72\x5f\x6f\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\
\x66\x28\x6f\x76\x65\x72\x5f\x6f\x75\x74\x29\x2c\x20\x22\x25\x25\x6f\x76\x65\
\x72\x66\x6c\x6f\x77\x22\x29\x3b\0\x09\x70\x61\x64\x5f\x72\x65\x74\x20\x3d\x20\
\x42\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x70\x61\x64\x5f\x6f\x75\
\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x70\x61\x64\x5f\x6f\x75\x74\x29\x2c\
\x20\x22\x25\x35\x64\x20\x25\x30\x39\x30\x30\x30\x30\x30\x58\x22\x2c\x20\x34\
\x2c\x20\x34\x29\x3b\0\x09\x6e\x6f\x61\x72\x67\x5f\x72\x65\x74\x20\x3d\x20\x42\
\x50\x46\x5f\x53\x4e\x50\x52\x49\x4e\x54\x46\x28\x6e\x6f\x61\x72\x67\x5f\x6f\
\x75\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x6e\x6f\x61\x72\x67\x5f\x6f\x75\
\x74\x29\x2c\x20\x22\x73\x69\x6d\x70\x6c\x65\x20\x63\x61\x73\x65\x22\x29\x3b\0\
\x09\x6e\x6f\x62\x75\x66\x5f\x72\x65\x74\x20\x3d\x20\x42\x50\x46\x5f\x53\x4e\
\x50\x52\x49\x4e\x54\x46\x28\x4e\x55\x4c\x4c\x2c\x20\x30\x2c\x20\x22\x6f\x6e\
\x6c\x79\x20\x69\x6e\x74\x65\x72\x65\x73\x74\x65\x64\x20\x69\x6e\x20\x6c\x65\
\x6e\x67\x74\x68\x20\x25\x64\x22\x2c\x20\x36\x30\x29\x3b\0\x7d\0\x2e\x62\x73\
\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\
\x79\x6d\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xac\x01\0\0\xc0\x01\0\0\
\0\0\0\0\x08\0\0\0\x6b\x05\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x6b\x05\0\
\0\x1a\0\0\0\0\0\0\0\x9c\x01\0\0\x25\x02\0\0\0\x98\0\0\x08\0\0\0\x9c\x01\0\0\
\x42\x02\0\0\x0d\xa4\0\0\x20\0\0\0\x9c\x01\0\0\x6a\x02\0\0\x0d\xa8\0\0\x38\0\0\
\0\x9c\x01\0\0\xb4\x02\0\0\x0b\xb8\0\0\x40\0\0\0\x9c\x01\0\0\xb4\x02\0\0\x29\
\xb8\0\0\x58\0\0\0\x9c\x01\0\0\xb4\x02\0\0\x06\xb8\0\0\x68\0\0\0\x9c\x01\0\0\
\xb4\x02\0\0\x06\xb8\0\0\x80\0\0\0\x9c\x01\0\0\xe1\x02\0\0\x0d\xc8\0\0\x20\x01\
\0\0\x9c\x01\0\0\xe1\x02\0\0\x0b\xc8\0\0\x48\x01\0\0\x9c\x01\0\0\x14\x03\0\0\
\x0d\xd8\0\0\xb0\x01\0\0\x9c\x01\0\0\x14\x03\0\0\x0b\xd8\0\0\xc8\x01\0\0\x9c\
\x01\0\0\x52\x03\0\0\x0d\xe4\0\0\x38\x02\0\0\x9c\x01\0\0\x52\x03\0\0\x0b\xe4\0\
\0\x60\x02\0\0\x9c\x01\0\0\x95\x03\0\0\x0d\xf0\0\0\xc0\x02\0\0\x9c\x01\0\0\x95\
\x03\0\0\x0b\xf0\0\0\xd8\x02\0\0\x9c\x01\0\0\xd8\x03\0\0\x0d\xfc\0\0\xa0\x03\0\
\0\x9c\x01\0\0\xd8\x03\0\0\x0b\xfc\0\0\xc8\x03\0\0\x9c\x01\0\0\x2f\x04\0\0\x0d\
\x08\x01\0\x08\x04\0\0\x9c\x01\0\0\x2f\x04\0\0\x0b\x08\x01\0\x28\x04\0\0\x9c\
\x01\0\0\x73\x04\0\0\x0c\x10\x01\0\x80\x04\0\0\x9c\x01\0\0\x73\x04\0\0\x0a\x10\
\x01\0\x98\x04\0\0\x9c\x01\0\0\xbd\x04\0\0\x0e\x18\x01\0\xd8\x04\0\0\x9c\x01\0\
\0\xbd\x04\0\0\x0c\x18\x01\0\xf8\x04\0\0\x9c\x01\0\0\x05\x05\0\0\x0e\x20\x01\0\
\x40\x05\0\0\x9c\x01\0\0\x05\x05\0\0\x0c\x20\x01\0\x58\x05\0\0\x9c\x01\0\0\x4d\
\x05\0\0\x01\x2c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xda\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\x60\x03\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x80\x05\0\0\0\0\0\0\x68\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xe8\x0a\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xe8\x0a\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x0a\0\0\
\0\0\0\0\xa7\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\x0b\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x01\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x0b\0\0\0\0\0\0\xe0\x01\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcc\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x0d\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd1\x01\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x88\x18\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_snprintf *test_snprintf::open(const struct bpf_object_open_opts *opts) { return test_snprintf__open_opts(opts); }
struct test_snprintf *test_snprintf::open_and_load() { return test_snprintf__open_and_load(); }
int test_snprintf::load(struct test_snprintf *skel) { return test_snprintf__load(skel); }
int test_snprintf::attach(struct test_snprintf *skel) { return test_snprintf__attach(skel); }
void test_snprintf::detach(struct test_snprintf *skel) { test_snprintf__detach(skel); }
void test_snprintf::destroy(struct test_snprintf *skel) { test_snprintf__destroy(skel); }
const void *test_snprintf::elf_bytes(size_t *sz) { return test_snprintf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_snprintf__assert(struct test_snprintf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->num_out) == 64, "unexpected size of 'num_out'");
	_Static_assert(sizeof(s->bss->num_ret) == 8, "unexpected size of 'num_ret'");
	_Static_assert(sizeof(s->bss->ip_out) == 64, "unexpected size of 'ip_out'");
	_Static_assert(sizeof(s->bss->ip_ret) == 8, "unexpected size of 'ip_ret'");
	_Static_assert(sizeof(s->bss->sym_out) == 64, "unexpected size of 'sym_out'");
	_Static_assert(sizeof(s->bss->sym_ret) == 8, "unexpected size of 'sym_ret'");
	_Static_assert(sizeof(s->bss->addr_out) == 64, "unexpected size of 'addr_out'");
	_Static_assert(sizeof(s->bss->addr_ret) == 8, "unexpected size of 'addr_ret'");
	_Static_assert(sizeof(s->bss->str_out) == 64, "unexpected size of 'str_out'");
	_Static_assert(sizeof(s->bss->str_ret) == 8, "unexpected size of 'str_ret'");
	_Static_assert(sizeof(s->bss->over_out) == 6, "unexpected size of 'over_out'");
	_Static_assert(sizeof(s->bss->over_ret) == 8, "unexpected size of 'over_ret'");
	_Static_assert(sizeof(s->bss->pad_out) == 10, "unexpected size of 'pad_out'");
	_Static_assert(sizeof(s->bss->pad_ret) == 8, "unexpected size of 'pad_ret'");
	_Static_assert(sizeof(s->bss->noarg_out) == 64, "unexpected size of 'noarg_out'");
	_Static_assert(sizeof(s->bss->noarg_ret) == 8, "unexpected size of 'noarg_ret'");
	_Static_assert(sizeof(s->bss->nobuf_ret) == 8, "unexpected size of 'nobuf_ret'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SNPRINTF_SKEL_H__ */
