/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SPIN_LOCK_SKEL_H__
#define __TEST_SPIN_LOCK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_spin_lock {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hmap;
		struct bpf_map *vqueue;
		struct bpf_map *cls_map;
		struct bpf_map *data_A;
	} maps;
	struct {
		struct bpf_program *bpf_spin_lock_test;
		struct bpf_program *lock_static_subprog_call;
		struct bpf_program *lock_static_subprog_lock;
		struct bpf_program *lock_static_subprog_unlock;
	} progs;
	struct {
		struct bpf_link *bpf_spin_lock_test;
		struct bpf_link *lock_static_subprog_call;
		struct bpf_link *lock_static_subprog_lock;
		struct bpf_link *lock_static_subprog_unlock;
	} links;

#ifdef __cplusplus
	static inline struct test_spin_lock *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_spin_lock *open_and_load();
	static inline int load(struct test_spin_lock *skel);
	static inline int attach(struct test_spin_lock *skel);
	static inline void detach(struct test_spin_lock *skel);
	static inline void destroy(struct test_spin_lock *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_spin_lock__destroy(struct test_spin_lock *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_spin_lock__create_skeleton(struct test_spin_lock *obj);

static inline struct test_spin_lock *
test_spin_lock__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_spin_lock *obj;
	int err;

	obj = (struct test_spin_lock *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_spin_lock__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_spin_lock__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_spin_lock *
test_spin_lock__open(void)
{
	return test_spin_lock__open_opts(NULL);
}

static inline int
test_spin_lock__load(struct test_spin_lock *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_spin_lock *
test_spin_lock__open_and_load(void)
{
	struct test_spin_lock *obj;
	int err;

	obj = test_spin_lock__open();
	if (!obj)
		return NULL;
	err = test_spin_lock__load(obj);
	if (err) {
		test_spin_lock__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_spin_lock__attach(struct test_spin_lock *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_spin_lock__detach(struct test_spin_lock *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_spin_lock__elf_bytes(size_t *sz);

static inline int
test_spin_lock__create_skeleton(struct test_spin_lock *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_spin_lock";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "hmap";
	map->map = &obj->maps.hmap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "vqueue";
	map->map = &obj->maps.vqueue;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "cls_map";
	map->map = &obj->maps.cls_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = ".data.A";
	map->map = &obj->maps.data_A;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_spin_lock_test";
	s->progs[0].prog = &obj->progs.bpf_spin_lock_test;
	s->progs[0].link = &obj->links.bpf_spin_lock_test;

	s->progs[1].name = "lock_static_subprog_call";
	s->progs[1].prog = &obj->progs.lock_static_subprog_call;
	s->progs[1].link = &obj->links.lock_static_subprog_call;

	s->progs[2].name = "lock_static_subprog_lock";
	s->progs[2].prog = &obj->progs.lock_static_subprog_lock;
	s->progs[2].link = &obj->links.lock_static_subprog_lock;

	s->progs[3].name = "lock_static_subprog_unlock";
	s->progs[3].prog = &obj->progs.lock_static_subprog_unlock;
	s->progs[3].link = &obj->links.lock_static_subprog_unlock;

	s->data = test_spin_lock__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_spin_lock__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x1e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\
\x73\x73\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x61\x74\x61\x2e\x41\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\x2e\x63\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\
\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\x73\
\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\
\x6b\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\
\0\x68\x6d\x61\x70\0\x76\x71\x75\x65\x75\x65\0\x63\x6c\x73\x5f\x6d\x61\x70\0\
\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\
\x5f\x63\x61\x6c\x6c\0\x6c\x6f\x63\x6b\x41\0\x6c\x6f\x63\x6b\x5f\x73\x74\x61\
\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\x6c\x6f\x63\
\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\
\x6c\x6f\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\
\x65\x78\x74\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\
\x6e\x67\x72\x65\x73\x73\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x43\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\x02\0\x03\0\
\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x63\0\0\0\x02\0\x03\0\x48\0\0\0\0\0\0\0\x68\
\0\0\0\0\0\0\0\x77\0\0\0\x02\0\x03\0\xb0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x8d\0\
\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\xa0\0\0\0\x11\0\x06\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa5\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\xac\0\0\0\x11\0\x06\0\x40\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xb4\0\0\0\
\x12\0\x05\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\xcd\0\0\0\x11\x02\x07\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xd3\0\0\0\x12\0\x05\0\x78\0\0\0\0\0\0\0\x38\0\0\0\0\
\0\0\0\xec\0\0\0\x12\0\x05\0\xb0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x07\x01\0\0\
\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x63\x2a\xfc\
\xff\0\0\0\0\x61\x12\x10\0\0\0\0\0\x61\xa0\xfc\xff\0\0\0\0\x55\x02\x03\0\0\0\0\
\0\x61\x11\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\x61\0\0\
\0\0\0\0\x85\x10\0\0\xf2\xff\xff\xff\x63\x0a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x5d\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x61\x60\0\0\0\0\
\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\
\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xe5\xff\xff\xff\
\x63\x0a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x5e\0\0\
\0\x61\xa1\xfc\xff\0\0\0\0\x61\x60\0\0\0\0\0\0\x0f\x10\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\x02\0\0\x64\0\0\0\x63\
\x2a\xf8\xff\0\0\0\0\xb7\x02\0\0\x40\0\0\0\x63\x2a\xf4\xff\0\0\0\0\x63\x1a\xf0\
\xff\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x63\x1a\xe4\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x55\x07\x10\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\
\x06\0\0\xe4\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\
\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\xb7\x06\0\0\x01\0\0\0\x15\x07\x41\0\0\0\0\0\
\xbf\x78\0\0\0\0\0\0\x07\x08\0\0\x04\0\0\0\xbf\x81\0\0\0\0\0\0\x85\0\0\0\x5d\0\
\0\0\x61\x72\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x15\x02\x01\0\0\0\0\0\xb7\x01\0\
\0\xff\xff\xff\xff\x61\x72\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x63\x27\0\0\0\0\0\0\
\xb7\x06\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x71\0\0\0\0\
\0\0\x15\x01\x01\0\x01\0\0\0\xb7\x06\0\0\x01\0\0\0\xbf\x81\0\0\0\0\0\0\x85\0\0\
\0\x5e\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x27\0\0\0\0\
\0\x85\0\0\0\x05\0\0\0\xbf\x08\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\x5d\0\
\0\0\x79\x71\x08\0\0\0\0\0\x7b\x87\x08\0\0\0\0\0\x1f\x18\0\0\0\0\0\0\x61\x71\
\x14\0\0\0\0\0\x2f\x18\0\0\0\0\0\0\x77\x08\0\0\x14\0\0\0\x61\x71\x10\0\0\0\0\0\
\x0f\x81\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x61\xa2\xf8\
\xff\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\0\xdd\x21\x01\0\0\0\0\0\
\x61\xa1\xf8\xff\0\0\0\0\x61\xa2\xf4\xff\0\0\0\0\x1f\x21\0\0\0\0\0\0\x63\x17\
\x10\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\x5e\0\0\0\
\x61\xa1\xfc\xff\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x51\0\0\0\xbf\x07\0\0\0\0\0\0\xbf\x71\0\0\
\0\0\0\0\x85\0\0\0\x5d\0\0\0\x61\x71\x04\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x63\
\x17\x04\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\x5e\0\0\0\xbf\x60\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\x5d\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\0\
\x55\x02\x02\0\x2a\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x5e\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x85\x10\0\0\x08\0\0\0\xbf\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x5e\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x5d\0\0\0\xbf\x61\0\
\0\0\0\0\0\x85\x10\0\0\x15\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x47\x50\x4c\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\
\0\x0d\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\0\0\
\x0a\0\0\0\xa8\x02\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\x78\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xd8\0\0\0\0\0\0\0\x0a\0\0\0\
\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x30\x06\0\0\x30\x06\0\0\x6c\x09\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\
\x03\0\0\x04\x0c\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x27\0\0\0\x09\0\0\0\x20\0\0\
\0\x2c\0\0\0\x02\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\0\x39\0\0\0\x01\0\0\
\x04\x04\0\0\0\x47\0\0\0\x0a\0\0\0\0\0\0\0\x4b\0\0\0\0\0\0\x08\x0b\0\0\0\x51\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x5e\0\0\0\x01\
\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\x40\0\0\0\x6f\0\0\0\x05\0\0\0\x80\0\0\0\x73\
\0\0\0\x06\0\0\0\xc0\0\0\0\x79\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x0f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\x02\x11\0\0\0\x7e\0\0\0\x04\0\0\x04\x18\0\0\0\x27\0\0\0\x09\0\0\0\0\0\
\0\0\x89\0\0\0\x12\0\0\0\x40\0\0\0\x92\0\0\0\x02\0\0\0\x80\0\0\0\x99\0\0\0\x0b\
\0\0\0\xa0\0\0\0\x9e\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x5e\0\0\0\x0e\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\x40\0\0\0\x6f\0\0\0\
\x05\0\0\0\x80\0\0\0\x73\0\0\0\x10\0\0\0\xc0\0\0\0\xb1\0\0\0\0\0\0\x0e\x13\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x13\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\xb8\0\0\0\x02\0\0\x04\x10\0\0\
\0\xcf\0\0\0\x19\0\0\0\0\0\0\0\xdf\0\0\0\x0a\0\0\0\x40\0\0\0\xeb\0\0\0\0\0\0\
\x08\x12\0\0\0\0\0\0\0\0\0\0\x02\x1b\0\0\0\xf1\0\0\0\x02\0\0\x04\x08\0\0\0\x27\
\0\0\0\x09\0\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x18\
\0\0\0\x5e\0\0\0\x15\0\0\0\0\0\0\0\x6f\0\0\0\x17\0\0\0\x40\0\0\0\x73\0\0\0\x1a\
\0\0\0\x80\0\0\0\xfa\0\0\0\0\0\0\x0e\x1c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1f\
\0\0\0\x02\x01\0\0\x22\0\0\x04\xc0\0\0\0\x0c\x01\0\0\x0a\0\0\0\0\0\0\0\x10\x01\
\0\0\x0a\0\0\0\x20\0\0\0\x19\x01\0\0\x0a\0\0\0\x40\0\0\0\x1e\x01\0\0\x0a\0\0\0\
\x60\0\0\0\x2c\x01\0\0\x0a\0\0\0\x80\0\0\0\x35\x01\0\0\x0a\0\0\0\xa0\0\0\0\x42\
\x01\0\0\x0a\0\0\0\xc0\0\0\0\x4b\x01\0\0\x0a\0\0\0\xe0\0\0\0\x56\x01\0\0\x0a\0\
\0\0\0\x01\0\0\x5f\x01\0\0\x0a\0\0\0\x20\x01\0\0\x6f\x01\0\0\x0a\0\0\0\x40\x01\
\0\0\x77\x01\0\0\x0a\0\0\0\x60\x01\0\0\x80\x01\0\0\x20\0\0\0\x80\x01\0\0\x83\
\x01\0\0\x0a\0\0\0\x20\x02\0\0\x88\x01\0\0\x0a\0\0\0\x40\x02\0\0\x93\x01\0\0\
\x0a\0\0\0\x60\x02\0\0\x98\x01\0\0\x0a\0\0\0\x80\x02\0\0\xa1\x01\0\0\x0a\0\0\0\
\xa0\x02\0\0\xa9\x01\0\0\x0a\0\0\0\xc0\x02\0\0\xb0\x01\0\0\x0a\0\0\0\xe0\x02\0\
\0\xbb\x01\0\0\x0a\0\0\0\0\x03\0\0\xc5\x01\0\0\x21\0\0\0\x20\x03\0\0\xd0\x01\0\
\0\x21\0\0\0\xa0\x03\0\0\xda\x01\0\0\x0a\0\0\0\x20\x04\0\0\xe6\x01\0\0\x0a\0\0\
\0\x40\x04\0\0\xf1\x01\0\0\x0a\0\0\0\x60\x04\0\0\0\0\0\0\x22\0\0\0\x80\x04\0\0\
\xfb\x01\0\0\x19\0\0\0\xc0\x04\0\0\x02\x02\0\0\x0a\0\0\0\0\x05\0\0\x0b\x02\0\0\
\x0a\0\0\0\x20\x05\0\0\0\0\0\0\x24\0\0\0\x40\x05\0\0\x14\x02\0\0\x0a\0\0\0\x80\
\x05\0\0\x1d\x02\0\0\x26\0\0\0\xa0\x05\0\0\x29\x02\0\0\x19\0\0\0\xc0\x05\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x0a\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x32\x02\0\0\x23\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x35\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x3c\
\x02\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x36\0\0\0\x3f\x02\0\0\0\0\0\x08\
\x27\0\0\0\x44\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\
\0\0\x52\x02\0\0\x1e\0\0\0\x56\x02\0\0\x01\0\0\x0c\x28\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\x69\x02\0\0\x1e\0\0\0\x6d\x02\0\0\x01\0\0\x0c\x2a\0\0\0\x86\x02\
\0\0\0\0\0\x0c\x2a\0\0\0\x95\x02\0\0\x01\0\0\x0c\x2a\0\0\0\xae\x02\0\0\0\0\0\
\x0c\x2a\0\0\0\xc2\x02\0\0\x01\0\0\x0c\x2a\0\0\0\xdd\x02\0\0\0\0\0\x0c\x2a\0\0\
\0\xf3\x02\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xf9\x02\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x32\0\0\0\x04\0\0\0\x04\0\0\0\xfe\x02\0\
\0\0\0\0\x0e\x33\0\0\0\x01\0\0\0\x07\x03\0\0\0\0\0\x07\0\0\0\0\x15\x03\0\0\0\0\
\0\x07\0\0\0\0\x3a\x09\0\0\x03\0\0\x0f\x58\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\
\x14\0\0\0\x20\0\0\0\x20\0\0\0\x1d\0\0\0\x40\0\0\0\x18\0\0\0\x40\x09\0\0\x01\0\
\0\x0f\x04\0\0\0\x31\0\0\0\0\0\0\0\x04\0\0\0\x48\x09\0\0\x01\0\0\x0f\x04\0\0\0\
\x34\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x6d\x61\x70\x5f\x65\x6c\x65\
\x6d\0\x63\x6e\x74\0\x6c\x6f\x63\x6b\0\x74\x65\x73\x74\x5f\x70\x61\x64\x64\x69\
\x6e\x67\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x68\x6d\x61\x70\0\x62\x70\x66\x5f\x76\x71\x75\x65\x75\x65\0\
\x6c\x61\x73\x74\x74\x69\x6d\x65\0\x63\x72\x65\x64\x69\x74\0\x72\x61\x74\x65\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x76\
\x71\x75\x65\x75\x65\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\
\x65\x5f\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x5f\x5f\x75\
\x36\x34\0\x63\x6c\x73\x5f\x65\x6c\x65\x6d\0\x63\x6c\x73\x5f\x6d\x61\x70\0\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\
\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\
\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\
\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\
\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\
\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\
\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\
\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\
\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\
\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\
\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\
\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\
\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\
\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x62\x70\x66\x5f\x73\x70\x69\
\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\0\x63\x74\x78\0\x6c\x6f\x63\x6b\
\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x61\x6c\
\x6c\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6c\x6f\x63\
\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\
\x63\x6b\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\
\x63\x6b\0\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\
\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\
\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x41\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x2e\x63\0\x73\
\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\
\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x63\x74\
\x78\x2d\x3e\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x29\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x72\x65\x74\x20\x2b\x20\x63\x74\x78\x2d\x3e\x6c\x65\x6e\x3b\0\x7d\0\x73\
\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\x74\x20\
\x3d\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\
\x78\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x26\
\x6c\x6f\x63\x6b\x41\x29\x3b\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x73\
\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\
\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\
\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\
\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x41\x29\x3b\0\x69\x6e\x74\x20\x62\x70\x66\x5f\
\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x28\x73\x74\x72\x75\
\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x63\x72\x65\x64\x69\x74\
\x20\x3d\x20\x30\x2c\x20\x6d\x61\x78\x5f\x63\x72\x65\x64\x69\x74\x20\x3d\x20\
\x31\x30\x30\x2c\x20\x70\x6b\x74\x5f\x6c\x65\x6e\x20\x3d\x20\x36\x34\x3b\0\x09\
\x73\x74\x72\x75\x63\x74\x20\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x20\x7a\x65\
\x72\x6f\x20\x3d\x20\x7b\x7d\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x69\x6e\x74\x20\
\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\x6d\
\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\x61\x6c\
\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\
\x5f\x65\x6c\x65\x6d\x28\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\
\x26\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x09\x76\x61\x6c\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x09\x69\x66\x20\x28\
\x21\x76\x61\x6c\x29\x20\x7b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\x28\x26\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x69\x66\x20\
\x28\x76\x61\x6c\x2d\x3e\x63\x6e\x74\x29\0\x09\x69\x66\x20\x28\x76\x61\x6c\x2d\
\x3e\x63\x6e\x74\x20\x21\x3d\x20\x30\x20\x26\x26\x20\x76\x61\x6c\x2d\x3e\x63\
\x6e\x74\x20\x21\x3d\x20\x31\x29\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\
\x6e\x6c\x6f\x63\x6b\x28\x26\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\
\x71\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x26\x76\x71\x75\x65\x75\x65\x2c\x20\x26\x6b\x65\x79\x29\
\x3b\0\x09\x69\x66\x20\x28\x21\x71\x29\0\x09\x63\x75\x72\x74\x69\x6d\x65\x20\
\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\
\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x26\x71\
\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x20\
\x2b\x3d\x20\x43\x52\x45\x44\x49\x54\x5f\x50\x45\x52\x5f\x4e\x53\x28\x63\x75\
\x72\x74\x69\x6d\x65\x20\x2d\x20\x71\x2d\x3e\x6c\x61\x73\x74\x74\x69\x6d\x65\
\x2c\x20\x71\x2d\x3e\x72\x61\x74\x65\x29\x3b\0\x09\x71\x2d\x3e\x6c\x61\x73\x74\
\x74\x69\x6d\x65\x20\x3d\x20\x63\x75\x72\x74\x69\x6d\x65\x3b\0\x09\x69\x66\x20\
\x28\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x20\x3e\x20\x6d\x61\x78\x5f\x63\x72\
\x65\x64\x69\x74\x29\0\x09\x09\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x20\x3d\x20\
\x6d\x61\x78\x5f\x63\x72\x65\x64\x69\x74\x3b\0\x09\x71\x2d\x3e\x63\x72\x65\x64\
\x69\x74\x20\x2d\x3d\x20\x70\x6b\x74\x5f\x6c\x65\x6e\x3b\0\x09\x63\x72\x65\x64\
\x69\x74\x20\x3d\x20\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x3b\0\x09\x62\x70\x66\
\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x71\x2d\x3e\x6c\x6f\
\x63\x6b\x29\x3b\0\x09\x5f\x5f\x73\x69\x6e\x6b\x28\x63\x72\x65\x64\x69\x74\x29\
\x3b\0\x09\x63\x6c\x73\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\x6f\x63\
\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x28\x26\x63\x6c\x73\x5f\x6d\x61\x70\
\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\
\x28\x26\x63\x6c\x73\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x63\x6c\x73\x2d\x3e\
\x63\x6e\x74\x2b\x2b\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\
\x6f\x63\x6b\x28\x26\x63\x6c\x73\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x65\x72\x72\x3b\0\x69\x6e\x74\x20\x6c\x6f\x63\x6b\x5f\x73\
\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x61\x6c\x6c\x28\
\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\
\x74\x78\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6d\x61\x72\x6b\x20\x3d\
\x3d\x20\x34\x32\x29\0\x09\x09\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\x69\x63\
\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x72\x65\x74\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\x69\
\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\x28\x63\x74\x78\x29\
\x3b\0\x69\x6e\x74\x20\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\
\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x72\x65\
\x74\x20\x3d\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x75\x6e\x6c\x6f\x63\x6b\x28\x63\x74\x78\x29\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\
\x64\x61\x74\x61\x2e\x41\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\
\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x74\
\x63\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x0c\x05\0\0\
\x60\x05\0\0\0\0\0\0\x08\0\0\0\x50\x09\0\0\x03\0\0\0\0\0\0\0\x2c\0\0\0\x48\0\0\
\0\x2e\0\0\0\xb0\0\0\0\x30\0\0\0\x56\x09\0\0\x01\0\0\0\0\0\0\0\x29\0\0\0\x69\
\x09\0\0\x03\0\0\0\0\0\0\0\x2b\0\0\0\x78\0\0\0\x2d\0\0\0\xb0\0\0\0\x2f\0\0\0\
\x10\0\0\0\x50\x09\0\0\x19\0\0\0\0\0\0\0\x1e\x03\0\0\xa8\x03\0\0\0\xb0\x01\0\
\x08\0\0\0\x1e\x03\0\0\xd9\x03\0\0\x0f\xb8\x01\0\x10\0\0\0\x1e\x03\0\0\xf0\x03\
\0\0\x0b\xc0\x01\0\x20\0\0\0\x1e\x03\0\0\xf0\x03\0\0\x06\xc0\x01\0\x28\0\0\0\
\x1e\x03\0\0\x04\x04\0\0\x14\xc8\x01\0\x30\0\0\0\x1e\x03\0\0\x04\x04\0\0\x0d\
\xc8\x01\0\x40\0\0\0\x1e\x03\0\0\x1c\x04\0\0\x01\xcc\x01\0\x48\0\0\0\x1e\x03\0\
\0\x1e\x04\0\0\0\xd8\x01\0\x58\0\0\0\x1e\x03\0\0\xd9\x03\0\0\x0f\xe0\x01\0\x60\
\0\0\0\x1e\x03\0\0\x54\x04\0\0\x08\xe8\x01\0\x70\0\0\0\x1e\x03\0\0\x54\x04\0\0\
\x06\xe8\x01\0\x78\0\0\0\x1e\x03\0\0\x70\x04\0\0\x02\xec\x01\0\x90\0\0\0\x1e\
\x03\0\0\x04\x04\0\0\x09\xf0\x01\0\x98\0\0\0\x1e\x03\0\0\x04\x04\0\0\x14\xf0\
\x01\0\xa0\0\0\0\x1e\x03\0\0\x04\x04\0\0\x0d\xf0\x01\0\xa8\0\0\0\x1e\x03\0\0\
\x04\x04\0\0\x02\xf0\x01\0\xb0\0\0\0\x1e\x03\0\0\x88\x04\0\0\0\0\x02\0\xc0\0\0\
\0\x1e\x03\0\0\xd9\x03\0\0\x0f\x08\x02\0\xc8\0\0\0\x1e\x03\0\0\x54\x04\0\0\x08\
\x10\x02\0\xd8\0\0\0\x1e\x03\0\0\x54\x04\0\0\x06\x10\x02\0\xe0\0\0\0\x1e\x03\0\
\0\xc0\x04\0\0\x02\x14\x02\0\xf8\0\0\0\x1e\x03\0\0\x04\x04\0\0\x09\x18\x02\0\0\
\x01\0\0\x1e\x03\0\0\x04\x04\0\0\x14\x18\x02\0\x08\x01\0\0\x1e\x03\0\0\x04\x04\
\0\0\x0d\x18\x02\0\x10\x01\0\0\x1e\x03\0\0\x04\x04\0\0\x02\x18\x02\0\x56\x09\0\
\0\x28\0\0\0\0\0\0\0\x1e\x03\0\0\xda\x04\0\0\0\xc8\0\0\x08\0\0\0\x1e\x03\0\0\
\x08\x05\0\0\x0f\xd0\0\0\x18\0\0\0\x1e\x03\0\0\x08\x05\0\0\x1b\xd0\0\0\x28\0\0\
\0\x1e\x03\0\0\x08\x05\0\0\x2d\xd0\0\0\x30\0\0\0\x1e\x03\0\0\x42\x05\0\0\x13\
\xd4\0\0\x40\0\0\0\x1e\x03\0\0\x65\x05\0\0\x06\xe4\0\0\x58\0\0\0\x1e\x03\0\0\
\x73\x05\0\0\x08\xf0\0\0\x78\0\0\0\x1e\x03\0\0\x9c\x05\0\0\x06\xf4\0\0\xa0\0\0\
\0\x1e\x03\0\0\xa9\x05\0\0\x03\xf8\0\0\xc8\0\0\0\x1e\x03\0\0\xd7\x05\0\0\x09\
\xfc\0\0\xf8\0\0\0\x1e\x03\0\0\x01\x06\0\0\x07\0\x01\0\0\x01\0\0\x1e\x03\0\0\
\x0f\x06\0\0\x16\x18\x01\0\x10\x01\0\0\x1e\x03\0\0\x0f\x06\0\0\x02\x18\x01\0\
\x20\x01\0\0\x1e\x03\0\0\x2b\x06\0\0\x0b\x1c\x01\0\x60\x01\0\0\x1e\x03\0\0\x3a\
\x06\0\0\x0b\x2c\x01\0\x68\x01\0\0\x1e\x03\0\0\x3a\x06\0\0\x14\x2c\x01\0\x70\
\x01\0\0\x1e\x03\0\0\x3a\x06\0\0\x1c\x2c\x01\0\x78\x01\0\0\x1e\x03\0\0\x3a\x06\
\0\0\x06\x2c\x01\0\x88\x01\0\0\x1e\x03\0\0\x5f\x06\0\0\x02\x34\x01\0\xa8\x01\0\
\0\x1e\x03\0\0\x7d\x06\0\0\x06\x40\x01\0\xc8\x01\0\0\x1e\x03\0\0\xa6\x06\0\0\
\x06\x44\x01\0\xd0\x01\0\0\x1e\x03\0\0\xaf\x06\0\0\x0c\x4c\x01\0\xe0\x01\0\0\
\x1e\x03\0\0\xce\x06\0\0\x02\x50\x01\0\xf0\x01\0\0\x1e\x03\0\0\xe8\x06\0\0\x0f\
\x54\x01\0\xf8\x01\0\0\x1e\x03\0\0\x25\x07\0\0\x0e\x58\x01\0\0\x02\0\0\x1e\x03\
\0\0\xe8\x06\0\0\x0f\x54\x01\0\x20\x02\0\0\x1e\x03\0\0\xe8\x06\0\0\x0c\x54\x01\
\0\x40\x02\0\0\x1e\x03\0\0\x3d\x07\0\0\x12\x5c\x01\0\x58\x02\0\0\x1e\x03\0\0\
\x3d\x07\0\0\x06\x5c\x01\0\x60\x02\0\0\x1e\x03\0\0\x5a\x07\0\0\x0f\x60\x01\0\
\x68\x02\0\0\x1e\x03\0\0\x74\x07\0\0\x0f\x64\x01\0\x70\x02\0\0\x1e\x03\0\0\x74\
\x07\0\0\x0c\x64\x01\0\x80\x02\0\0\x1e\x03\0\0\x8b\x07\0\0\x09\x68\x01\0\x88\
\x02\0\0\x1e\x03\0\0\xa0\x07\0\0\x02\x6c\x01\0\x98\x02\0\0\x1e\x03\0\0\xbc\x07\
\0\0\x02\x74\x01\0\xa8\x02\0\0\x1e\x03\0\0\xcd\x07\0\0\x08\x80\x01\0\xd0\x02\0\
\0\x1e\x03\0\0\xf8\x07\0\0\x02\x84\x01\0\xe0\x02\0\0\x1e\x03\0\0\x14\x08\0\0\
\x0a\x88\x01\0\xf8\x02\0\0\x1e\x03\0\0\x21\x08\0\0\x02\x8c\x01\0\x08\x03\0\0\
\x1e\x03\0\0\x3f\x08\0\0\x02\x98\x01\0\x69\x09\0\0\x0e\0\0\0\0\0\0\0\x1e\x03\0\
\0\x4c\x08\0\0\0\x28\x02\0\x08\0\0\0\x1e\x03\0\0\x70\x04\0\0\x02\x38\x02\0\x30\
\0\0\0\x1e\x03\0\0\x80\x08\0\0\x0b\x3c\x02\0\x38\0\0\0\x1e\x03\0\0\x80\x08\0\0\
\x06\x3c\x02\0\x40\0\0\0\x1e\x03\0\0\x96\x08\0\0\x09\x40\x02\0\x50\0\0\0\x1e\
\x03\0\0\xc0\x04\0\0\x02\x44\x02\0\x68\0\0\0\x1e\x03\0\0\xb3\x08\0\0\x02\x48\
\x02\0\x78\0\0\0\x1e\x03\0\0\xc0\x08\0\0\x08\x68\x02\0\x88\0\0\0\x1e\x03\0\0\
\xc0\x04\0\0\x02\x6c\x02\0\xa0\0\0\0\x1e\x03\0\0\xb3\x08\0\0\x02\x70\x02\0\xb0\
\0\0\0\x1e\x03\0\0\xe1\x08\0\0\0\x80\x02\0\xb8\0\0\0\x1e\x03\0\0\x70\x04\0\0\
\x02\x90\x02\0\xd0\0\0\0\x1e\x03\0\0\x17\x09\0\0\x08\x94\x02\0\xe0\0\0\0\x1e\
\x03\0\0\xb3\x08\0\0\x02\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x46\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x98\x01\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x50\x07\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x08\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x33\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x08\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\x08\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\x09\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x08\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1a\x01\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x08\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x31\x01\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x09\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x02\0\0\0\
\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x38\x01\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x09\0\0\0\0\0\0\xb4\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x30\x19\0\0\0\0\0\0\x80\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_spin_lock *test_spin_lock::open(const struct bpf_object_open_opts *opts) { return test_spin_lock__open_opts(opts); }
struct test_spin_lock *test_spin_lock::open_and_load() { return test_spin_lock__open_and_load(); }
int test_spin_lock::load(struct test_spin_lock *skel) { return test_spin_lock__load(skel); }
int test_spin_lock::attach(struct test_spin_lock *skel) { return test_spin_lock__attach(skel); }
void test_spin_lock::detach(struct test_spin_lock *skel) { test_spin_lock__detach(skel); }
void test_spin_lock::destroy(struct test_spin_lock *skel) { test_spin_lock__destroy(skel); }
const void *test_spin_lock::elf_bytes(size_t *sz) { return test_spin_lock__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_spin_lock__assert(struct test_spin_lock *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SPIN_LOCK_SKEL_H__ */
