/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TRACING_FAILURE_SKEL_H__
#define __TRACING_FAILURE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tracing_failure {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test_spin_lock;
		struct bpf_program *test_spin_unlock;
	} progs;
	struct {
		struct bpf_link *test_spin_lock;
		struct bpf_link *test_spin_unlock;
	} links;

#ifdef __cplusplus
	static inline struct tracing_failure *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tracing_failure *open_and_load();
	static inline int load(struct tracing_failure *skel);
	static inline int attach(struct tracing_failure *skel);
	static inline void detach(struct tracing_failure *skel);
	static inline void destroy(struct tracing_failure *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tracing_failure__destroy(struct tracing_failure *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tracing_failure__create_skeleton(struct tracing_failure *obj);

static inline struct tracing_failure *
tracing_failure__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tracing_failure *obj;
	int err;

	obj = (struct tracing_failure *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tracing_failure__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tracing_failure__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tracing_failure *
tracing_failure__open(void)
{
	return tracing_failure__open_opts(NULL);
}

static inline int
tracing_failure__load(struct tracing_failure *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tracing_failure *
tracing_failure__open_and_load(void)
{
	struct tracing_failure *obj;
	int err;

	obj = tracing_failure__open();
	if (!obj)
		return NULL;
	err = tracing_failure__load(obj);
	if (err) {
		tracing_failure__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tracing_failure__attach(struct tracing_failure *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tracing_failure__detach(struct tracing_failure *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tracing_failure__elf_bytes(size_t *sz);

static inline int
tracing_failure__create_skeleton(struct tracing_failure *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tracing_failure";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_spin_lock";
	s->progs[0].prog = &obj->progs.test_spin_lock;
	s->progs[0].link = &obj->links.test_spin_lock;

	s->progs[1].name = "test_spin_unlock";
	s->progs[1].prog = &obj->progs.test_spin_unlock;
	s->progs[1].link = &obj->links.test_spin_unlock;

	s->data = tracing_failure__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tracing_failure__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\
\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\
\x6c\x6f\x63\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x72\x61\x63\x69\x6e\x67\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x63\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\
\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x59\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x68\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x79\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\0\0\0\xb8\0\0\0\x93\
\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\
\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x2b\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x3c\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\
\x09\0\0\0\x04\0\0\0\x41\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x55\0\0\0\0\0\0\
\x0e\x08\0\0\0\x01\0\0\0\x5d\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\
\x6c\x6f\x63\x6b\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\
\x6b\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x72\x61\x63\x69\x6e\x67\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\
\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\
\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x20\x2a\x6c\x6f\x63\x6b\x29\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x73\
\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x20\x2a\x6c\x6f\x63\x6b\
\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\0\0\0\x58\0\0\0\0\0\0\0\
\x08\0\0\0\x65\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x7b\x01\0\0\x01\0\0\0\0\0\0\
\0\x06\0\0\0\x10\0\0\0\x65\x01\0\0\x01\0\0\0\0\0\0\0\x5e\0\0\0\xe9\0\0\0\x05\
\x2c\0\0\x7b\x01\0\0\x01\0\0\0\0\0\0\0\x5e\0\0\0\x22\x01\0\0\x05\x44\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xd0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x27\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x63\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tracing_failure *tracing_failure::open(const struct bpf_object_open_opts *opts) { return tracing_failure__open_opts(opts); }
struct tracing_failure *tracing_failure::open_and_load() { return tracing_failure__open_and_load(); }
int tracing_failure::load(struct tracing_failure *skel) { return tracing_failure__load(skel); }
int tracing_failure::attach(struct tracing_failure *skel) { return tracing_failure__attach(skel); }
void tracing_failure::detach(struct tracing_failure *skel) { tracing_failure__detach(skel); }
void tracing_failure::destroy(struct tracing_failure *skel) { tracing_failure__destroy(skel); }
const void *tracing_failure::elf_bytes(size_t *sz) { return tracing_failure__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tracing_failure__assert(struct tracing_failure *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TRACING_FAILURE_SKEL_H__ */
