/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_BENCH_SKEL_H__
#define __UPROBE_MULTI_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uprobe_multi_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uprobe_bench;
	} progs;
	struct {
		struct bpf_link *uprobe_bench;
	} links;
	struct uprobe_multi_bench__bss {
		int count;
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi_bench *open_and_load();
	static inline int load(struct uprobe_multi_bench *skel);
	static inline int attach(struct uprobe_multi_bench *skel);
	static inline void detach(struct uprobe_multi_bench *skel);
	static inline void destroy(struct uprobe_multi_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi_bench__destroy(struct uprobe_multi_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi_bench__create_skeleton(struct uprobe_multi_bench *obj);

static inline struct uprobe_multi_bench *
uprobe_multi_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi_bench *obj;
	int err;

	obj = (struct uprobe_multi_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi_bench *
uprobe_multi_bench__open(void)
{
	return uprobe_multi_bench__open_opts(NULL);
}

static inline int
uprobe_multi_bench__load(struct uprobe_multi_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi_bench *
uprobe_multi_bench__open_and_load(void)
{
	struct uprobe_multi_bench *obj;
	int err;

	obj = uprobe_multi_bench__open();
	if (!obj)
		return NULL;
	err = uprobe_multi_bench__load(obj);
	if (err) {
		uprobe_multi_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi_bench__attach(struct uprobe_multi_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi_bench__detach(struct uprobe_multi_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi_bench__elf_bytes(size_t *sz);

static inline int
uprobe_multi_bench__create_skeleton(struct uprobe_multi_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "uprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_bench";
	s->progs[0].prog = &obj->progs.uprobe_bench;
	s->progs[0].link = &obj->links.uprobe_bench;

	s->data = uprobe_multi_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x66\x75\x6e\x63\x5f\x2a\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x62\x65\x6e\x63\x68\x2e\
\x63\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x65\x6e\x63\x68\0\x63\x6f\x75\x6e\x74\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\
\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x2a\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x04\0\xf1\xff\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x70\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x76\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x07\x02\0\
\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\xd0\0\0\0\xd0\0\0\0\x26\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\
\0\x07\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x09\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x11\0\0\0\x01\0\0\x0c\x03\0\0\0\x1e\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\
\0\0\x23\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x37\0\0\0\0\0\0\x0e\x07\0\0\0\x01\
\0\0\0\x40\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xe9\0\0\0\x01\0\0\x0f\x04\0\0\0\
\x09\0\0\0\0\0\0\0\x04\0\0\0\xf1\0\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\
\x72\x6f\x62\x65\x5f\x62\x65\x6e\x63\x68\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x6f\x75\x6e\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x09\
\x63\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x2e\
\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x3a\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x66\x75\x6e\x63\
\x5f\x2a\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\0\0\0\
\x40\0\0\0\0\0\0\0\x08\0\0\0\xf6\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\
\xf6\0\0\0\x02\0\0\0\0\0\0\0\x46\0\0\0\xd4\0\0\0\x07\x34\0\0\x28\0\0\0\x46\0\0\
\0\xde\0\0\0\x02\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc1\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\
\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7f\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xb3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x0e\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi_bench *uprobe_multi_bench::open(const struct bpf_object_open_opts *opts) { return uprobe_multi_bench__open_opts(opts); }
struct uprobe_multi_bench *uprobe_multi_bench::open_and_load() { return uprobe_multi_bench__open_and_load(); }
int uprobe_multi_bench::load(struct uprobe_multi_bench *skel) { return uprobe_multi_bench__load(skel); }
int uprobe_multi_bench::attach(struct uprobe_multi_bench *skel) { return uprobe_multi_bench__attach(skel); }
void uprobe_multi_bench::detach(struct uprobe_multi_bench *skel) { uprobe_multi_bench__detach(skel); }
void uprobe_multi_bench::destroy(struct uprobe_multi_bench *skel) { uprobe_multi_bench__destroy(skel); }
const void *uprobe_multi_bench::elf_bytes(size_t *sz) { return uprobe_multi_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi_bench__assert(struct uprobe_multi_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_BENCH_SKEL_H__ */
