/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __URETPROBE_STACK_SKEL_H__
#define __URETPROBE_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uretprobe_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__bpf_usdt_specs;
		struct bpf_map *__bpf_usdt_ip_to_spec_id;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *uprobe_1;
		struct bpf_program *uretprobe_1;
		struct bpf_program *uprobe_2;
		struct bpf_program *uprobe_3;
		struct bpf_program *uprobe_4;
		struct bpf_program *uretprobe_4;
		struct bpf_program *usdt_probe;
	} progs;
	struct {
		struct bpf_link *uprobe_1;
		struct bpf_link *uretprobe_1;
		struct bpf_link *uprobe_2;
		struct bpf_link *uprobe_3;
		struct bpf_link *uprobe_4;
		struct bpf_link *uretprobe_4;
		struct bpf_link *usdt_probe;
	} links;
	struct uretprobe_stack__bss {
		__u64 entry_stack1[32];
		__u64 exit_stack1[32];
		__u64 entry_stack1_recur[32];
		__u64 exit_stack1_recur[32];
		__u64 entry_stack2[32];
		__u64 entry_stack3[32];
		__u64 entry_stack4[32];
		__u64 exit_stack4[32];
		__u64 usdt_stack[32];
		int entry1_len;
		int exit1_len;
		int entry1_recur_len;
		int exit1_recur_len;
		int entry2_len;
		int exit2_len;
		int entry3_len;
		int exit3_len;
		int entry4_len;
		int exit4_len;
		int usdt_len;
	} *bss;
	struct uretprobe_stack__kconfig {
		const _Bool LINUX_HAS_BPF_COOKIE;
	} *kconfig;

#ifdef __cplusplus
	static inline struct uretprobe_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uretprobe_stack *open_and_load();
	static inline int load(struct uretprobe_stack *skel);
	static inline int attach(struct uretprobe_stack *skel);
	static inline void detach(struct uretprobe_stack *skel);
	static inline void destroy(struct uretprobe_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uretprobe_stack__destroy(struct uretprobe_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uretprobe_stack__create_skeleton(struct uretprobe_stack *obj);

static inline struct uretprobe_stack *
uretprobe_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uretprobe_stack *obj;
	int err;

	obj = (struct uretprobe_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uretprobe_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uretprobe_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uretprobe_stack *
uretprobe_stack__open(void)
{
	return uretprobe_stack__open_opts(NULL);
}

static inline int
uretprobe_stack__load(struct uretprobe_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uretprobe_stack *
uretprobe_stack__open_and_load(void)
{
	struct uretprobe_stack *obj;
	int err;

	obj = uretprobe_stack__open();
	if (!obj)
		return NULL;
	err = uretprobe_stack__load(obj);
	if (err) {
		uretprobe_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uretprobe_stack__attach(struct uretprobe_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uretprobe_stack__detach(struct uretprobe_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uretprobe_stack__elf_bytes(size_t *sz);

static inline int
uretprobe_stack__create_skeleton(struct uretprobe_stack *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uretprobe_stack";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "__bpf_usdt_specs";
	map->map = &obj->maps.__bpf_usdt_specs;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "__bpf_usdt_ip_to_spec_id";
	map->map = &obj->maps.__bpf_usdt_ip_to_spec_id;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "uretprob.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "uretpro.kconfig";
	map->map = &obj->maps.kconfig;
	map->mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 7;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_1";
	s->progs[0].prog = &obj->progs.uprobe_1;
	s->progs[0].link = &obj->links.uprobe_1;

	s->progs[1].name = "uretprobe_1";
	s->progs[1].prog = &obj->progs.uretprobe_1;
	s->progs[1].link = &obj->links.uretprobe_1;

	s->progs[2].name = "uprobe_2";
	s->progs[2].prog = &obj->progs.uprobe_2;
	s->progs[2].link = &obj->links.uprobe_2;

	s->progs[3].name = "uprobe_3";
	s->progs[3].prog = &obj->progs.uprobe_3;
	s->progs[3].link = &obj->links.uprobe_3;

	s->progs[4].name = "uprobe_4";
	s->progs[4].prog = &obj->progs.uprobe_4;
	s->progs[4].link = &obj->links.uprobe_4;

	s->progs[5].name = "uretprobe_4";
	s->progs[5].prog = &obj->progs.uretprobe_4;
	s->progs[5].link = &obj->links.uretprobe_4;

	s->progs[6].name = "usdt_probe";
	s->progs[6].prog = &obj->progs.usdt_probe;
	s->progs[6].link = &obj->links.usdt_probe;

	s->data = uretprobe_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uretprobe_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x2f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x18\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\
\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\
\x32\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\
\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\x75\x70\x72\x6f\x62\x65\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\
\x65\x74\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\
\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x75\
\x73\x64\x74\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x3a\x74\x61\x72\
\x67\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\
\x73\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\
\x5f\x5f\x5f\x5f\x75\x70\x72\x6f\x62\x65\x5f\x31\x2e\x72\x65\x63\x75\x72\0\x5f\
\x5f\x5f\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\x2e\x72\x65\x63\x75\
\x72\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\x74\0\x4c\
\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\0\
\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\x70\
\x65\x63\x5f\x69\x64\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\
\x63\x73\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\0\x62\x70\x66\x5f\
\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x31\
\0\x65\x6e\x74\x72\x79\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x6e\
\x74\x72\x79\x31\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\
\x31\x5f\x72\x65\x63\x75\x72\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\
\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\0\x65\x78\x69\x74\x31\x5f\x6c\
\x65\x6e\0\x65\x78\x69\x74\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\
\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x31\0\x65\x78\x69\x74\x5f\x73\x74\x61\x63\
\x6b\x31\x5f\x72\x65\x63\x75\x72\0\x75\x70\x72\x6f\x62\x65\x5f\x32\0\x65\x6e\
\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x32\0\x65\x6e\x74\x72\x79\x32\x5f\x6c\x65\
\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x33\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\
\x63\x6b\x33\0\x65\x6e\x74\x72\x79\x33\x5f\x6c\x65\x6e\0\x75\x70\x72\x6f\x62\
\x65\x5f\x34\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x34\0\x65\x6e\x74\
\x72\x79\x34\x5f\x6c\x65\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x34\0\
\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x34\0\x65\x78\x69\x74\x34\x5f\x6c\x65\
\x6e\0\x75\x73\x64\x74\x5f\x70\x72\x6f\x62\x65\0\x75\x73\x64\x74\x5f\x73\x74\
\x61\x63\x6b\0\x75\x73\x64\x74\x5f\x6c\x65\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x65\x78\x69\x74\x32\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x33\x5f\x6c\x65\
\x6e\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\
\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\
\x61\x72\x67\x65\x74\x5f\x31\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\
\x72\x67\x65\x74\x5f\x31\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\
\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\
\x5f\x32\0\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\
\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\x2e\x72\
\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\
\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x2e\x72\x65\x6c\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\
\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x2e\x72\x65\x6c\x75\x73\x64\
\x74\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x75\x72\
\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\x61\x63\x6b\x3a\x74\x61\x72\x67\x65\
\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x01\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\x01\0\0\x01\0\x0d\0\x2c\x09\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\
\x01\0\0\x01\0\x0d\0\x2d\x09\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\x22\x02\
\x03\0\0\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\x61\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x76\x01\0\0\x21\0\x0b\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x8f\x01\0\0\x21\0\x0b\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa0\x01\0\0\x22\x02\
\x03\0\x18\x01\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\xad\x01\0\0\x22\x02\x03\0\xc0\
\x04\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\xbd\x01\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xa8\
\0\0\0\0\0\0\0\xc6\x01\0\0\x11\0\x0d\0\x08\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xd7\x01\0\0\x11\0\x0d\0\0\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe2\x01\0\0\x11\0\
\x0d\0\0\x02\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\xf5\x01\0\0\x11\0\x0d\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\x02\x02\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\
\0\x0e\x02\0\0\x11\0\x0d\0\x04\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x02\0\0\
\x11\0\x0d\0\x0c\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x28\x02\0\0\x11\0\x0d\0\0\
\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x34\x02\0\0\x11\0\x0d\0\0\x03\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\x46\x02\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x4f\
\x02\0\0\x11\0\x0d\0\0\x04\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x5c\x02\0\0\x11\0\x0d\
\0\x10\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x67\x02\0\0\x12\0\x07\0\0\0\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\x70\x02\0\0\x11\0\x0d\0\0\x05\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\x7d\x02\0\0\x11\0\x0d\0\x18\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x88\x02\0\0\
\x12\0\x08\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x91\x02\0\0\x11\0\x0d\0\0\x06\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\x9e\x02\0\0\x11\0\x0d\0\x20\x09\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xa9\x02\0\0\x12\0\x09\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xb5\x02\
\0\0\x11\0\x0d\0\0\x07\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\xc1\x02\0\0\x11\0\x0d\0\
\x24\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xcb\x02\0\0\x12\0\x0a\0\0\0\0\0\0\0\0\0\
\x50\0\0\0\0\0\0\0\xd6\x02\0\0\x11\0\x0d\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\xe1\x02\0\0\x11\0\x0d\0\x28\x09\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xea\x02\0\0\x11\
\0\x0c\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf3\x02\0\0\x11\0\x0d\0\x14\x09\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xfd\x02\0\0\x11\0\x0d\0\x1c\x09\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x55\x02\x0d\
\0\0\0\0\0\x79\x11\0\x01\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\xbf\x01\0\0\0\0\0\0\x18\0\0\0\xfd\xff\xff\xff\0\0\0\0\0\0\0\0\x15\x01\
\x03\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\
\x06\0\0\xfd\xff\xff\xff\0\0\0\0\0\0\0\0\x63\x0a\xf4\xff\0\0\0\0\x67\0\0\0\x20\
\0\0\0\xc7\0\0\0\x20\0\0\0\xc5\0\x09\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x03\0\0\0\0\0\x69\x06\xc8\0\0\0\0\0\x67\x06\0\0\x30\0\0\0\xc7\x06\0\0\x30\0\0\
\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x36\0\0\0\0\0\0\xbf\x28\0\0\0\0\0\
\0\xbf\x17\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x55\x01\x0d\0\0\0\0\0\x79\x71\0\x01\0\
\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\
\x18\0\0\0\xfd\xff\xff\xff\0\0\0\0\0\0\0\0\x15\x01\x04\0\0\0\0\0\x61\x10\0\0\0\
\0\0\0\x05\0\x02\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\xae\0\0\0\x18\x09\0\0\
\xfd\xff\xff\xff\0\0\0\0\0\0\0\0\x63\x0a\xf4\xff\0\0\0\0\x67\0\0\0\x20\0\0\0\
\xc7\0\0\0\x20\0\0\0\xc5\0\x55\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf4\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x4f\
\0\0\0\0\0\x18\x09\0\0\xfe\xff\xff\xff\0\0\0\0\0\0\0\0\x25\x08\x4c\0\x0b\0\0\0\
\x69\x01\xc8\0\0\0\0\0\x67\x01\0\0\x30\0\0\0\xc7\x01\0\0\x30\0\0\0\x3d\x18\x48\
\0\0\0\0\0\x67\x08\0\0\x04\0\0\0\x0f\x80\0\0\0\0\0\0\x61\x01\x08\0\0\0\0\0\x15\
\x01\x18\0\x02\0\0\0\x15\x01\x06\0\x01\0\0\0\x18\x09\0\0\xea\xff\xff\xff\0\0\0\
\0\0\0\0\0\x55\x01\x40\0\0\0\0\0\x79\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\
\x05\0\x2e\0\0\0\0\0\x69\x01\x0c\0\0\0\0\0\x67\x01\0\0\x30\0\0\0\xc7\x01\0\0\
\x30\0\0\0\x0f\x17\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\
\xb7\x02\0\0\x08\0\0\0\xbf\x73\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x71\0\
\0\0\xbf\x09\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\xbf\x91\0\0\0\0\0\0\x67\x01\0\0\
\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x15\x01\x1e\0\0\0\0\0\x05\0\x2c\0\0\0\0\0\x69\
\x01\x0c\0\0\0\0\0\x67\x01\0\0\x30\0\0\0\xc7\x01\0\0\x30\0\0\0\x0f\x17\0\0\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\
\x73\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xbf\x09\0\0\0\0\0\0\
\xbf\x71\0\0\0\0\0\0\xbf\x92\0\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\x77\x02\0\0\x20\
\0\0\0\x55\x02\x1c\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\xa3\xf8\xff\0\0\0\0\x0f\
\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\
\x08\0\0\0\x85\0\0\0\x70\0\0\0\xbf\x09\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\xbf\x91\
\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x55\x01\x0f\0\0\0\0\0\
\x71\x01\x0f\0\0\0\0\0\x67\x01\0\0\x38\0\0\0\xc7\x01\0\0\x38\0\0\0\x67\x01\0\0\
\x20\0\0\0\x77\x01\0\0\x20\0\0\0\x79\xa2\xf8\xff\0\0\0\0\x6f\x12\0\0\0\0\0\0\
\xbf\x23\0\0\0\0\0\0\xcf\x13\0\0\0\0\0\0\x71\x04\x0e\0\0\0\0\0\x55\x04\x02\0\0\
\0\0\0\x7f\x12\0\0\0\0\0\0\xbf\x23\0\0\0\0\0\0\x7b\x36\0\0\0\0\0\0\xb7\x09\0\0\
\0\0\0\0\xbf\x90\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x71\x22\0\0\0\0\0\0\x55\x02\x0d\0\0\0\0\0\x79\x11\0\x01\0\0\0\0\x7b\x1a\
\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\x18\0\0\0\xfd\
\xff\xff\xff\0\0\0\0\0\0\0\0\x15\x01\x03\0\0\0\0\0\x61\x10\0\0\0\0\0\0\x05\0\
\x01\0\0\0\0\0\x85\0\0\0\xae\0\0\0\xb7\x06\0\0\0\0\0\0\x63\x0a\xf4\xff\0\0\0\0\
\x67\0\0\0\x20\0\0\0\xc7\0\0\0\x20\0\0\0\xc5\0\x07\0\0\0\0\0\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\x15\0\x01\0\0\0\0\0\x79\x06\xc0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x18\x06\0\0\x2c\x09\0\0\0\0\0\0\0\0\0\0\x71\x63\0\0\0\0\0\0\x18\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\x03\x02\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\x03\x02\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\xb7\x04\0\0\0\x01\0\0\x85\0\
\0\0\x43\0\0\0\x63\x07\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x73\x16\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x06\0\0\x2d\x09\0\0\0\0\0\0\0\0\0\0\
\x71\x63\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\x03\x02\0\0\0\0\0\
\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\
\x03\x02\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\
\xb7\x04\0\0\0\x01\0\0\x85\0\0\0\x43\0\0\0\x63\x07\0\0\0\0\0\0\xb7\x01\0\0\x01\
\0\0\0\x73\x16\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\xb7\x04\0\0\0\x01\0\0\x85\0\0\0\x43\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\
\xb7\x04\0\0\0\x01\0\0\x85\0\0\0\x43\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\xb7\x04\0\0\0\x01\0\0\x85\0\0\0\x43\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\xb7\
\x04\0\0\0\x01\0\0\x85\0\0\0\x43\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x03\0\0\0\x01\0\0\xb7\x04\0\0\0\x01\0\0\x85\0\0\0\x43\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\
\xd0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x40\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\
\x80\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x18\x02\0\0\0\0\0\0\x01\0\0\0\x10\0\0\
\0\xc0\x04\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\0\x05\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\
\0\x88\x05\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\
\x18\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\0\x16\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x19\0\0\0\x30\0\
\0\0\0\0\0\0\x01\0\0\0\x1a\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x1b\0\0\0\x58\0\0\
\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x1e\0\0\0\x28\0\0\0\0\
\0\0\0\x01\0\0\0\x1f\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x21\0\0\0\x28\0\0\0\0\0\0\
\0\x01\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x24\0\0\0\x28\0\0\0\0\0\0\0\
\x01\0\0\0\x25\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x27\0\0\0\x28\0\0\0\0\0\0\0\x01\
\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x2a\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\
\0\x2b\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x48\x09\0\0\x48\x09\0\0\x98\x0b\0\
\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\
\x19\0\0\0\x03\0\0\x04\xd0\0\0\0\x29\0\0\0\x12\0\0\0\0\0\0\0\x2e\0\0\0\x0b\0\0\
\0\0\x06\0\0\x3a\0\0\0\x0e\0\0\0\x40\x06\0\0\x42\0\0\0\x05\0\0\x04\x10\0\0\0\
\x56\0\0\0\x0b\0\0\0\0\0\0\0\x5e\0\0\0\x0d\0\0\0\x40\0\0\0\x67\0\0\0\x0e\0\0\0\
\x60\0\0\0\x6f\0\0\0\x0f\0\0\0\x70\0\0\0\x7a\0\0\0\x11\0\0\0\x78\0\0\0\x87\0\0\
\0\0\0\0\x08\x0c\0\0\0\x8d\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xa0\0\0\0\x03\0\
\0\x06\x04\0\0\0\xb4\0\0\0\0\0\0\0\xc7\0\0\0\x01\0\0\0\xd8\0\0\0\x02\0\0\0\xef\
\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\x01\xf5\0\0\0\0\0\0\x08\x10\0\0\0\xfa\0\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\
\0\0\x05\x01\0\0\x01\0\0\0\0\0\0\0\x0a\x01\0\0\x05\0\0\0\x40\0\0\0\x16\x01\0\0\
\x07\0\0\0\x80\0\0\0\x1a\x01\0\0\x08\0\0\0\xc0\0\0\0\x20\x01\0\0\0\0\0\x0e\x13\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x16\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\x31\x01\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x1c\0\0\0\x36\x01\0\0\0\0\0\x08\
\x1d\0\0\0\x3c\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\
\0\0\x05\x01\0\0\x15\0\0\0\0\0\0\0\x0a\x01\0\0\x17\0\0\0\x40\0\0\0\x16\x01\0\0\
\x19\0\0\0\x80\0\0\0\x1a\x01\0\0\x1b\0\0\0\xc0\0\0\0\x49\x01\0\0\0\0\0\x0e\x1e\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x21\0\0\0\x62\x01\0\0\x02\0\0\x04\x80\x01\0\
\0\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\0\x0b\0\0\0\0\0\0\x02\0\0\x05\
\x60\x01\0\0\x6a\x01\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\0\0\0\0\x74\x01\0\
\0\x0d\0\0\x04\x60\x01\0\0\x81\x01\0\0\x25\0\0\0\0\0\0\0\x85\x01\0\0\x24\0\0\0\
\0\x08\0\0\x89\x01\0\0\x24\0\0\0\x40\x08\0\0\x8d\x01\0\0\x24\0\0\0\x80\x08\0\0\
\x97\x01\0\0\x24\0\0\0\xc0\x08\0\0\x9b\x01\0\0\x24\0\0\0\0\x09\0\0\xa0\x01\0\0\
\x24\0\0\0\x40\x09\0\0\xa4\x01\0\0\x24\0\0\0\x80\x09\0\0\xa8\x01\0\0\x24\0\0\0\
\xc0\x09\0\0\xae\x01\0\0\x24\0\0\0\0\x0a\0\0\xb3\x01\0\0\x24\0\0\0\x40\x0a\0\0\
\xb7\x01\0\0\x24\0\0\0\x80\x0a\0\0\xbd\x01\0\0\x24\0\0\0\xc0\x0a\0\0\xc4\x01\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x24\0\0\0\x04\0\0\0\
\x20\0\0\0\0\0\0\0\x0d\0\0\x04\x60\x01\0\0\x81\x01\0\0\x25\0\0\0\0\0\0\0\x85\
\x01\0\0\x24\0\0\0\0\x08\0\0\x89\x01\0\0\x24\0\0\0\x40\x08\0\0\x8d\x01\0\0\x24\
\0\0\0\x80\x08\0\0\x97\x01\0\0\x24\0\0\0\xc0\x08\0\0\x9b\x01\0\0\x24\0\0\0\0\
\x09\0\0\xa0\x01\0\0\x24\0\0\0\x40\x09\0\0\xa4\x01\0\0\x24\0\0\0\x80\x09\0\0\
\xa8\x01\0\0\x24\0\0\0\xc0\x09\0\0\xae\x01\0\0\x24\0\0\0\0\x0a\0\0\0\0\0\0\x27\
\0\0\0\x40\x0a\0\0\0\0\0\0\x28\0\0\0\x80\x0a\0\0\xbd\x01\0\0\x24\0\0\0\xc0\x0a\
\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xb3\x01\0\0\x24\0\0\0\0\0\0\0\xd2\x01\0\0\
\x24\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xb7\x01\0\0\x24\0\0\0\0\0\0\0\
\xd7\x01\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x2a\0\0\0\
\0\0\0\0\xdb\x01\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\xe1\x01\0\
\0\x24\0\0\0\0\0\0\0\xe5\x01\0\0\x24\0\0\0\x40\0\0\0\0\0\0\0\x2b\0\0\0\x80\0\0\
\0\xf1\x01\0\0\x24\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\xf6\x01\0\0\
\x24\0\0\0\0\0\0\0\xfb\x01\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x24\
\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xff\x01\0\0\x20\0\0\0\
\x03\x02\0\0\x01\0\0\x0c\x2d\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\0\xff\x01\0\0\
\x20\0\0\0\x14\x02\0\0\x0b\0\0\0\x1c\x02\0\0\x19\0\0\0\x20\x02\0\0\x01\0\0\x0c\
\x2f\0\0\0\0\0\0\0\x01\0\0\x0d\x1a\0\0\0\xff\x01\0\0\x20\0\0\0\x2d\x02\0\0\x01\
\0\0\x0c\x31\0\0\0\x3d\x02\0\0\x01\0\0\x0c\x2d\0\0\0\x46\x02\0\0\x01\0\0\x0c\
\x2d\0\0\0\x52\x02\0\0\x01\0\0\x0c\x2d\0\0\0\x5b\x02\0\0\x01\0\0\x0c\x2d\0\0\0\
\x64\x02\0\0\x01\0\0\x0c\x2d\0\0\0\x6d\x02\0\0\x01\0\0\x0c\x2d\0\0\0\x79\x02\0\
\0\x01\0\0\x0c\x2d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\x04\0\0\
\0\x84\x02\0\0\0\0\0\x0e\x3a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\
\0\x04\0\0\0\x20\0\0\0\x8d\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\x9a\x02\0\0\0\
\0\0\x0e\x3c\0\0\0\x01\0\0\0\xa6\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xb9\x02\
\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xcb\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\
\xd8\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xe5\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\
\0\0\0\xf2\x02\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xfe\x02\0\0\0\0\0\x0e\x3c\0\0\
\0\x01\0\0\0\x09\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x14\x03\0\0\0\0\0\x0e\
\x02\0\0\0\x01\0\0\0\x1e\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x2f\x03\0\0\0\0\
\0\x0e\x02\0\0\0\x01\0\0\0\x3f\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x4a\x03\0\
\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x54\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x5f\
\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x69\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\
\0\x74\x03\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x7e\x03\0\0\0\0\0\x0e\x02\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\x0a\x10\0\0\0\x87\x03\0\0\0\0\0\x0e\x51\0\0\0\x02\0\0\
\0\x9c\x03\0\0\0\0\0\x0e\x0f\0\0\0\0\0\0\0\xaf\x03\0\0\0\0\0\x0e\x0f\0\0\0\0\0\
\0\0\x8b\x0a\0\0\x02\0\0\x0f\x40\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\0\x1f\0\0\0\
\x20\0\0\0\x20\0\0\0\x91\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x3b\0\0\0\0\0\0\0\x04\0\
\0\0\x99\x0a\0\0\x16\0\0\x0f\x2e\x09\0\0\x3d\0\0\0\0\0\0\0\0\x01\0\0\x3e\0\0\0\
\0\x01\0\0\0\x01\0\0\x3f\0\0\0\0\x02\0\0\0\x01\0\0\x40\0\0\0\0\x03\0\0\0\x01\0\
\0\x41\0\0\0\0\x04\0\0\0\x01\0\0\x42\0\0\0\0\x05\0\0\0\x01\0\0\x43\0\0\0\0\x06\
\0\0\0\x01\0\0\x44\0\0\0\0\x07\0\0\0\x01\0\0\x45\0\0\0\0\x08\0\0\0\x01\0\0\x46\
\0\0\0\0\x09\0\0\x04\0\0\0\x47\0\0\0\x04\x09\0\0\x04\0\0\0\x48\0\0\0\x08\x09\0\
\0\x04\0\0\0\x49\0\0\0\x0c\x09\0\0\x04\0\0\0\x4a\0\0\0\x10\x09\0\0\x04\0\0\0\
\x4b\0\0\0\x14\x09\0\0\x04\0\0\0\x4c\0\0\0\x18\x09\0\0\x04\0\0\0\x4d\0\0\0\x1c\
\x09\0\0\x04\0\0\0\x4e\0\0\0\x20\x09\0\0\x04\0\0\0\x4f\0\0\0\x24\x09\0\0\x04\0\
\0\0\x50\0\0\0\x28\x09\0\0\x04\0\0\0\x53\0\0\0\x2c\x09\0\0\x01\0\0\0\x54\0\0\0\
\x2d\x09\0\0\x01\0\0\0\x9e\x0a\0\0\x01\0\0\x0f\0\0\0\0\x52\0\0\0\0\0\0\0\x01\0\
\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\
\x63\0\x61\x72\x67\x73\0\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x61\x72\
\x67\x5f\x63\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\
\x5f\x73\x70\x65\x63\0\x76\x61\x6c\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x74\x79\
\x70\x65\0\x72\x65\x67\x5f\x6f\x66\x66\0\x61\x72\x67\x5f\x73\x69\x67\x6e\x65\
\x64\0\x61\x72\x67\x5f\x62\x69\x74\x73\x68\x69\x66\x74\0\x5f\x5f\x75\x36\x34\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\
\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x74\x79\x70\x65\0\x42\
\x50\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x43\x4f\x4e\x53\x54\0\x42\x50\
\x46\x5f\x55\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\0\x42\x50\x46\x5f\x55\
\x53\x44\x54\x5f\x41\x52\x47\x5f\x52\x45\x47\x5f\x44\x45\x52\x45\x46\0\x73\x68\
\x6f\x72\x74\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x63\x68\x61\x72\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\
\x73\0\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\
\x6f\x5f\x73\x70\x65\x63\x5f\x69\x64\0\x70\x74\x5f\x72\x65\x67\x73\0\x75\x73\
\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\
\0\x67\x70\x72\0\x6e\x69\x70\0\x6d\x73\x72\0\x6f\x72\x69\x67\x5f\x67\x70\x72\
\x33\0\x63\x74\x72\0\x6c\x69\x6e\x6b\0\x78\x65\x72\0\x63\x63\x72\0\x73\x6f\x66\
\x74\x65\0\x74\x72\x61\x70\0\x64\x61\x72\0\x64\x73\x69\x73\x72\0\x72\x65\x73\
\x75\x6c\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x64\x65\
\x61\x72\0\x65\x73\x72\0\x5f\x5f\x70\x61\x64\0\x70\x70\x72\0\x65\x78\x69\x74\
\x5f\x72\x65\x73\x75\x6c\x74\0\x69\x61\x6d\x72\0\x6b\x75\x61\x70\0\x61\x6d\x72\
\0\x63\x74\x78\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x61\x72\x67\x5f\x63\x6e\
\x74\0\x61\x72\x67\x5f\x6e\x75\x6d\0\x72\x65\x73\0\x62\x70\x66\x5f\x75\x73\x64\
\x74\x5f\x61\x72\x67\0\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x63\x6f\x6f\x6b\x69\
\x65\0\x75\x70\x72\x6f\x62\x65\x5f\x31\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\
\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x33\0\
\x75\x70\x72\x6f\x62\x65\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x34\
\0\x75\x73\x64\x74\x5f\x70\x72\x6f\x62\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\0\x65\x78\x69\x74\x5f\x73\x74\
\x61\x63\x6b\x31\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x31\x5f\x72\x65\
\x63\x75\x72\0\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x31\x5f\x72\x65\x63\x75\
\x72\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x32\0\x65\x6e\x74\x72\x79\
\x5f\x73\x74\x61\x63\x6b\x33\0\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\x34\
\0\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x34\0\x75\x73\x64\x74\x5f\x73\x74\
\x61\x63\x6b\0\x65\x6e\x74\x72\x79\x31\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x31\
\x5f\x6c\x65\x6e\0\x65\x6e\x74\x72\x79\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\
\x6e\0\x65\x78\x69\x74\x31\x5f\x72\x65\x63\x75\x72\x5f\x6c\x65\x6e\0\x65\x6e\
\x74\x72\x79\x32\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x32\x5f\x6c\x65\x6e\0\x65\
\x6e\x74\x72\x79\x33\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x33\x5f\x6c\x65\x6e\0\
\x65\x6e\x74\x72\x79\x34\x5f\x6c\x65\x6e\0\x65\x78\x69\x74\x34\x5f\x6c\x65\x6e\
\0\x75\x73\x64\x74\x5f\x6c\x65\x6e\0\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\
\x42\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\0\x5f\x5f\x5f\x5f\x75\x70\x72\x6f\x62\
\x65\x5f\x31\x2e\x72\x65\x63\x75\x72\0\x5f\x5f\x5f\x5f\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x5f\x31\x2e\x72\x65\x63\x75\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\
\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\x2f\x75\x73\x64\x74\x2e\x62\x70\x66\
\x2e\x68\0\x09\x69\x66\x20\x28\x21\x4c\x49\x4e\x55\x58\x5f\x48\x41\x53\x5f\x42\
\x50\x46\x5f\x43\x4f\x4f\x4b\x49\x45\x29\x20\x7b\0\x09\x09\x6c\x6f\x6e\x67\x20\
\x69\x70\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x49\x50\x28\x63\x74\x78\
\x29\x3b\0\x09\x09\x73\x70\x65\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3d\x20\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x69\x70\x5f\x74\x6f\x5f\x73\
\x70\x65\x63\x5f\x69\x64\x2c\x20\x26\x69\x70\x29\x3b\0\x09\x09\x72\x65\x74\x75\
\x72\x6e\x20\x73\x70\x65\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3f\x20\x2a\x73\
\x70\x65\x63\x5f\x69\x64\x5f\x70\x74\x72\x20\x3a\x20\x2d\x45\x53\x52\x43\x48\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x61\x74\
\x74\x61\x63\x68\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x3b\0\x09\x73\
\x70\x65\x63\x5f\x69\x64\x20\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\
\x5f\x73\x70\x65\x63\x5f\x69\x64\x28\x63\x74\x78\x29\x3b\0\x09\x69\x66\x20\x28\
\x73\x70\x65\x63\x5f\x69\x64\x20\x3c\x20\x30\x29\0\x09\x73\x70\x65\x63\x20\x3d\
\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\x28\x26\x5f\x5f\x62\x70\x66\x5f\x75\x73\x64\x74\x5f\x73\x70\x65\x63\x73\
\x2c\x20\x26\x73\x70\x65\x63\x5f\x69\x64\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\
\x70\x65\x63\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x70\x65\x63\x2d\x3e\x61\
\x72\x67\x5f\x63\x6e\x74\x3b\0\x7d\0\x69\x6e\x74\x20\x62\x70\x66\x5f\x75\x73\
\x64\x74\x5f\x61\x72\x67\x28\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\
\x67\x73\x20\x2a\x63\x74\x78\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\x72\x67\x5f\
\x6e\x75\x6d\x2c\x20\x6c\x6f\x6e\x67\x20\x2a\x72\x65\x73\x29\0\x09\x2a\x72\x65\
\x73\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\
\x3e\x3d\x20\x42\x50\x46\x5f\x55\x53\x44\x54\x5f\x4d\x41\x58\x5f\x41\x52\x47\
\x5f\x43\x4e\x54\x29\0\x09\x69\x66\x20\x28\x61\x72\x67\x5f\x6e\x75\x6d\x20\x3e\
\x3d\x20\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x63\x6e\x74\x29\0\x09\x61\x72\
\x67\x5f\x73\x70\x65\x63\x20\x3d\x20\x26\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\
\x73\x5b\x61\x72\x67\x5f\x6e\x75\x6d\x5d\x3b\0\x09\x73\x77\x69\x74\x63\x68\x20\
\x28\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x74\x79\x70\x65\
\x29\x20\x7b\0\x09\x09\x76\x61\x6c\x20\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\
\x2d\x3e\x76\x61\x6c\x5f\x6f\x66\x66\x3b\0\x09\x09\x62\x72\x65\x61\x6b\x3b\0\
\x09\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\x6c\x28\x26\x76\x61\x6c\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\
\x63\x74\x78\x20\x2b\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x72\x65\x67\
\x5f\x6f\x66\x66\x29\x3b\0\x09\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\
\x64\x5f\x75\x73\x65\x72\x28\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x76\x61\x6c\x29\x2c\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x76\x61\x6c\x20\
\x2b\x20\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x76\x61\x6c\x5f\x6f\x66\x66\
\x29\x3b\0\x09\x76\x61\x6c\x20\x3c\x3c\x3d\x20\x61\x72\x67\x5f\x73\x70\x65\x63\
\x2d\x3e\x61\x72\x67\x5f\x62\x69\x74\x73\x68\x69\x66\x74\x3b\0\x09\x69\x66\x20\
\x28\x61\x72\x67\x5f\x73\x70\x65\x63\x2d\x3e\x61\x72\x67\x5f\x73\x69\x67\x6e\
\x65\x64\x29\0\x09\x2a\x72\x65\x73\x20\x3d\x20\x76\x61\x6c\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x73\x70\x65\x63\x2d\x3e\x75\x73\x64\x74\x5f\x63\x6f\x6f\
\x6b\x69\x65\x3b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x09\x69\x66\x20\x28\x21\x72\x65\x63\x75\
\x72\x29\0\x09\x72\x65\x63\x75\x72\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\x28\x75\x70\x72\x6f\x62\x65\
\x5f\x31\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\
\x45\x28\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x31\x29\0\x09\x65\x6e\x74\x72\
\x79\x32\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\
\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\
\x63\x6b\x32\x2c\x20\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\
\x5f\x53\x54\x41\x43\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\
\x4f\x42\x45\x28\x75\x70\x72\x6f\x62\x65\x5f\x32\x29\0\x09\x65\x6e\x74\x72\x79\
\x33\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\
\x63\x6b\x28\x63\x74\x78\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\
\x6b\x33\x2c\x20\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\
\x53\x54\x41\x43\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\
\x42\x45\x28\x75\x70\x72\x6f\x62\x65\x5f\x33\x29\0\x09\x65\x6e\x74\x72\x79\x34\
\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x28\x63\x74\x78\x2c\x20\x26\x65\x6e\x74\x72\x79\x5f\x73\x74\x61\x63\x6b\
\x34\x2c\x20\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\
\x54\x41\x43\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\
\x45\x28\x75\x70\x72\x6f\x62\x65\x5f\x34\x29\0\x09\x65\x78\x69\x74\x34\x5f\x6c\
\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\
\x63\x74\x78\x2c\x20\x26\x65\x78\x69\x74\x5f\x73\x74\x61\x63\x6b\x34\x2c\x20\
\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\x43\
\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\x52\x4f\x42\
\x45\x28\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x34\x29\0\x09\x75\x73\x64\x74\
\x5f\x6c\x65\x6e\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\
\x6b\x28\x63\x74\x78\x2c\x20\x26\x75\x73\x64\x74\x5f\x73\x74\x61\x63\x6b\x2c\
\x20\x53\x5a\x2c\x20\x42\x50\x46\x5f\x46\x5f\x55\x53\x45\x52\x5f\x53\x54\x41\
\x43\x4b\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x53\x44\x54\x28\x75\x73\
\x64\x74\x5f\x70\x72\x6f\x62\x65\x29\0\x30\x3a\x30\x3a\x31\x3a\x31\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x63\x6f\
\x6e\x66\x69\x67\0\x2e\x74\x65\x78\x74\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\
\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\
\x5f\x31\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\
\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x31\0\x75\x70\x72\
\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\
\x74\x61\x72\x67\x65\x74\x5f\x32\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\
\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x33\0\
\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\
\x78\x65\x3a\x74\x61\x72\x67\x65\x74\x5f\x34\0\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x74\x61\
\x72\x67\x65\x74\x5f\x34\0\x75\x73\x64\x74\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\
\x6c\x66\x2f\x65\x78\x65\x3a\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x73\x74\
\x61\x63\x6b\x3a\x74\x61\x72\x67\x65\x74\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x94\
\0\0\0\x94\0\0\0\x04\x06\0\0\x98\x06\0\0\x3c\0\0\0\x08\0\0\0\xa7\x0a\0\0\x03\0\
\0\0\0\0\0\0\x2e\0\0\0\x18\x01\0\0\x30\0\0\0\xc0\x04\0\0\x32\0\0\0\xad\x0a\0\0\
\x01\0\0\0\0\0\0\0\x33\0\0\0\xcc\x0a\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\xee\x0a\0\
\0\x01\0\0\0\0\0\0\0\x35\0\0\0\x0d\x0b\0\0\x01\0\0\0\0\0\0\0\x36\0\0\0\x2c\x0b\
\0\0\x01\0\0\0\0\0\0\0\x37\0\0\0\x4b\x0b\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x6d\
\x0b\0\0\x01\0\0\0\0\0\0\0\x39\0\0\0\x10\0\0\0\xa7\x0a\0\0\x47\0\0\0\0\0\0\0\
\xc5\x03\0\0\x55\x04\0\0\x07\x48\x01\0\x18\0\0\0\xc5\x03\0\0\x55\x04\0\0\x06\
\x48\x01\0\x20\0\0\0\xc5\x03\0\0\x73\x04\0\0\x0d\x4c\x01\0\x28\0\0\0\xc5\x03\0\
\0\x73\x04\0\0\x08\x4c\x01\0\x40\0\0\0\xc5\x03\0\0\x90\x04\0\0\x11\x58\x01\0\
\x70\0\0\0\xc5\x03\0\0\xd5\x04\0\0\x0a\x5c\x01\0\x78\0\0\0\xc5\x03\0\0\xd5\x04\
\0\0\x18\x5c\x01\0\x88\0\0\0\xc5\x03\0\0\x03\x05\0\0\x09\x68\x01\0\xa0\0\0\0\
\xc5\x03\0\0\x27\x05\0\0\x0a\x90\x01\0\xb8\0\0\0\xc5\x03\0\0\x4b\x05\0\0\x06\
\x94\x01\0\xd0\0\0\0\xc5\x03\0\0\x5d\x05\0\0\x09\xa0\x01\0\xe8\0\0\0\xc5\x03\0\
\0\x97\x05\0\0\x06\xa4\x01\0\xf0\0\0\0\xc5\x03\0\0\xa3\x05\0\0\x0f\xb0\x01\0\
\x08\x01\0\0\xc5\x03\0\0\xba\x05\0\0\x01\xb4\x01\0\x18\x01\0\0\xc5\x03\0\0\xbc\
\x05\0\0\0\xd0\x01\0\x38\x01\0\0\xc5\x03\0\0\xfc\x05\0\0\x07\xec\x01\0\x40\x01\
\0\0\xc5\x03\0\0\x55\x04\0\0\x07\x48\x01\0\x58\x01\0\0\xc5\x03\0\0\x55\x04\0\0\
\x06\x48\x01\0\x60\x01\0\0\xc5\x03\0\0\x73\x04\0\0\x0d\x4c\x01\0\x68\x01\0\0\
\xc5\x03\0\0\x73\x04\0\0\x08\x4c\x01\0\x80\x01\0\0\xc5\x03\0\0\x90\x04\0\0\x11\
\x58\x01\0\xb0\x01\0\0\xc5\x03\0\0\xd5\x04\0\0\x0a\x5c\x01\0\xb8\x01\0\0\xc5\
\x03\0\0\xd5\x04\0\0\x18\x5c\x01\0\xc8\x01\0\0\xc5\x03\0\0\x03\x05\0\0\x09\x68\
\x01\0\xe8\x01\0\0\xc5\x03\0\0\x27\x05\0\0\x0a\xf4\x01\0\0\x02\0\0\xc5\x03\0\0\
\x4b\x05\0\0\x06\xf8\x01\0\x18\x02\0\0\xc5\x03\0\0\x5d\x05\0\0\x09\x04\x02\0\
\x30\x02\0\0\xc5\x03\0\0\x97\x05\0\0\x06\x08\x02\0\x48\x02\0\0\xc5\x03\0\0\x07\
\x06\0\0\x06\x14\x02\0\x50\x02\0\0\xc5\x03\0\0\x2d\x06\0\0\x17\x20\x02\0\x68\
\x02\0\0\xc5\x03\0\0\x2d\x06\0\0\x06\x20\x02\0\x70\x02\0\0\xc5\x03\0\0\x4c\x06\
\0\0\x0e\x2c\x02\0\x80\x02\0\0\xc5\x03\0\0\x6e\x06\0\0\x14\x30\x02\0\x88\x02\0\
\0\xc5\x03\0\0\x6e\x06\0\0\x02\x30\x02\0\xb0\x02\0\0\xc5\x03\0\0\x8d\x06\0\0\
\x13\x44\x02\0\xb8\x02\0\0\xc5\x03\0\0\x8d\x06\0\0\x07\x44\x02\0\xc0\x02\0\0\
\xc5\x03\0\0\xa8\x06\0\0\x03\x48\x02\0\xc8\x02\0\0\xc5\x03\0\0\xb1\x06\0\0\x4a\
\x64\x02\0\xe0\x02\0\0\xc5\x03\0\0\xb1\x06\0\0\x3e\x64\x02\0\xf8\x02\0\0\xc5\
\x03\0\0\xb1\x06\0\0\x09\x64\x02\0\x40\x03\0\0\xc5\x03\0\0\x04\x07\0\0\x07\x68\
\x02\0\x50\x03\0\0\xc5\x03\0\0\xb1\x06\0\0\x4a\x94\x02\0\x68\x03\0\0\xc5\x03\0\
\0\xb1\x06\0\0\x3e\x94\x02\0\x80\x03\0\0\xc5\x03\0\0\xb1\x06\0\0\x09\x94\x02\0\
\xc8\x03\0\0\xc5\x03\0\0\x04\x07\0\0\x07\x98\x02\0\xd0\x03\0\0\xc5\x03\0\0\x0f\
\x07\0\0\x48\xa0\x02\0\xd8\x03\0\0\xc5\x03\0\0\x0f\x07\0\0\x38\xa0\x02\0\xe0\
\x03\0\0\xc5\x03\0\0\x0f\x07\0\0\x3c\xa0\x02\0\xf8\x03\0\0\xc5\x03\0\0\x0f\x07\
\0\0\x09\xa0\x02\0\x30\x04\0\0\xc5\x03\0\0\x04\x07\0\0\x07\xa4\x02\0\x38\x04\0\
\0\xc5\x03\0\0\x60\x07\0\0\x14\xdc\x02\0\x50\x04\0\0\xc5\x03\0\0\x60\x07\0\0\
\x06\xdc\x02\0\x70\x04\0\0\xc5\x03\0\0\x81\x07\0\0\x06\xe0\x02\0\x80\x04\0\0\
\xc5\x03\0\0\x81\x07\0\0\x10\xe0\x02\0\x88\x04\0\0\xc5\x03\0\0\x81\x07\0\0\x06\
\xe0\x02\0\xa0\x04\0\0\xc5\x03\0\0\x9c\x07\0\0\x07\xf0\x02\0\xb0\x04\0\0\xc5\
\x03\0\0\xba\x05\0\0\x01\xf8\x02\0\xc0\x04\0\0\xc5\x03\0\0\x55\x04\0\0\x07\x48\
\x01\0\xd8\x04\0\0\xc5\x03\0\0\x55\x04\0\0\x06\x48\x01\0\xe0\x04\0\0\xc5\x03\0\
\0\x73\x04\0\0\x0d\x4c\x01\0\xe8\x04\0\0\xc5\x03\0\0\x73\x04\0\0\x08\x4c\x01\0\
\0\x05\0\0\xc5\x03\0\0\x90\x04\0\0\x11\x58\x01\0\x30\x05\0\0\xc5\x03\0\0\xd5\
\x04\0\0\x0a\x5c\x01\0\x38\x05\0\0\xc5\x03\0\0\xd5\x04\0\0\x18\x5c\x01\0\x48\
\x05\0\0\xc5\x03\0\0\x03\x05\0\0\x09\x68\x01\0\x58\x05\0\0\xc5\x03\0\0\x27\x05\
\0\0\x0a\x30\x03\0\x70\x05\0\0\xc5\x03\0\0\x4b\x05\0\0\x06\x34\x03\0\x88\x05\0\
\0\xc5\x03\0\0\x5d\x05\0\0\x09\x40\x03\0\xa0\x05\0\0\xc5\x03\0\0\x97\x05\0\0\
\x06\x44\x03\0\xa8\x05\0\0\xc5\x03\0\0\xa9\x07\0\0\x0f\x50\x03\0\xb0\x05\0\0\
\xc5\x03\0\0\xba\x05\0\0\x01\x54\x03\0\xad\x0a\0\0\x03\0\0\0\0\0\0\0\xc4\x07\0\
\0\x4f\x08\0\0\x07\x88\0\0\x90\0\0\0\xc4\x07\0\0\x5c\x08\0\0\x08\x9c\0\0\x98\0\
\0\0\xc4\x07\0\0\x6b\x08\0\0\x05\x6c\0\0\xcc\x0a\0\0\x03\0\0\0\0\0\0\0\xc4\x07\
\0\0\x4f\x08\0\0\x07\xc8\0\0\x90\0\0\0\xc4\x07\0\0\x5c\x08\0\0\x08\xdc\0\0\x98\
\0\0\0\xc4\x07\0\0\x84\x08\0\0\x05\xb0\0\0\xee\x0a\0\0\x03\0\0\0\0\0\0\0\xc4\
\x07\0\0\xa3\x08\0\0\x0f\xf8\0\0\x28\0\0\0\xc4\x07\0\0\xa3\x08\0\0\x0d\xf8\0\0\
\x40\0\0\0\xc4\x07\0\0\xea\x08\0\0\x05\xf0\0\0\x0d\x0b\0\0\x03\0\0\0\0\0\0\0\
\xc4\x07\0\0\x03\x09\0\0\x0f\x1c\x01\0\x28\0\0\0\xc4\x07\0\0\x03\x09\0\0\x0d\
\x1c\x01\0\x40\0\0\0\xc4\x07\0\0\x4a\x09\0\0\x05\x14\x01\0\x2c\x0b\0\0\x03\0\0\
\0\0\0\0\0\xc4\x07\0\0\x63\x09\0\0\x0f\x40\x01\0\x28\0\0\0\xc4\x07\0\0\x63\x09\
\0\0\x0d\x40\x01\0\x40\0\0\0\xc4\x07\0\0\xaa\x09\0\0\x05\x38\x01\0\x4b\x0b\0\0\
\x03\0\0\0\0\0\0\0\xc4\x07\0\0\xc3\x09\0\0\x0e\x5c\x01\0\x28\0\0\0\xc4\x07\0\0\
\xc3\x09\0\0\x0c\x5c\x01\0\x40\0\0\0\xc4\x07\0\0\x08\x0a\0\0\x05\x54\x01\0\x6d\
\x0b\0\0\x03\0\0\0\0\0\0\0\xc4\x07\0\0\x27\x0a\0\0\x0d\x78\x01\0\x28\0\0\0\xc4\
\x07\0\0\x27\x0a\0\0\x0b\x78\x01\0\x40\0\0\0\xc4\x07\0\0\x6a\x0a\0\0\x05\x70\
\x01\0\x10\0\0\0\xa7\x0a\0\0\x03\0\0\0\x20\0\0\0\x21\0\0\0\x83\x0a\0\0\0\0\0\0\
\x60\x01\0\0\x21\0\0\0\x83\x0a\0\0\0\0\0\0\xe0\x04\0\0\x21\0\0\0\x83\x0a\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x26\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd0\x08\0\0\0\0\0\0\xc0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x90\x0e\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x36\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x0f\0\
\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0f\0\0\0\0\0\0\x50\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x10\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xd0\x10\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x11\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x01\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x11\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x01\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x11\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\
\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x11\0\0\0\0\0\0\x2e\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x03\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x11\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x11\x03\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x12\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x34\x03\0\0\x09\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x98\x12\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x05\0\
\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x5a\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xe8\x12\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\x13\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa0\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x28\x13\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\xc3\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x48\x13\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xe9\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x13\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x0a\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x18\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x13\0\0\
\0\0\0\0\xf8\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x1d\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x28\0\0\0\0\0\0\xf4\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uretprobe_stack *uretprobe_stack::open(const struct bpf_object_open_opts *opts) { return uretprobe_stack__open_opts(opts); }
struct uretprobe_stack *uretprobe_stack::open_and_load() { return uretprobe_stack__open_and_load(); }
int uretprobe_stack::load(struct uretprobe_stack *skel) { return uretprobe_stack__load(skel); }
int uretprobe_stack::attach(struct uretprobe_stack *skel) { return uretprobe_stack__attach(skel); }
void uretprobe_stack::detach(struct uretprobe_stack *skel) { uretprobe_stack__detach(skel); }
void uretprobe_stack::destroy(struct uretprobe_stack *skel) { uretprobe_stack__destroy(skel); }
const void *uretprobe_stack::elf_bytes(size_t *sz) { return uretprobe_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uretprobe_stack__assert(struct uretprobe_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->entry_stack1) == 256, "unexpected size of 'entry_stack1'");
	_Static_assert(sizeof(s->bss->exit_stack1) == 256, "unexpected size of 'exit_stack1'");
	_Static_assert(sizeof(s->bss->entry_stack1_recur) == 256, "unexpected size of 'entry_stack1_recur'");
	_Static_assert(sizeof(s->bss->exit_stack1_recur) == 256, "unexpected size of 'exit_stack1_recur'");
	_Static_assert(sizeof(s->bss->entry_stack2) == 256, "unexpected size of 'entry_stack2'");
	_Static_assert(sizeof(s->bss->entry_stack3) == 256, "unexpected size of 'entry_stack3'");
	_Static_assert(sizeof(s->bss->entry_stack4) == 256, "unexpected size of 'entry_stack4'");
	_Static_assert(sizeof(s->bss->exit_stack4) == 256, "unexpected size of 'exit_stack4'");
	_Static_assert(sizeof(s->bss->usdt_stack) == 256, "unexpected size of 'usdt_stack'");
	_Static_assert(sizeof(s->bss->entry1_len) == 4, "unexpected size of 'entry1_len'");
	_Static_assert(sizeof(s->bss->exit1_len) == 4, "unexpected size of 'exit1_len'");
	_Static_assert(sizeof(s->bss->entry1_recur_len) == 4, "unexpected size of 'entry1_recur_len'");
	_Static_assert(sizeof(s->bss->exit1_recur_len) == 4, "unexpected size of 'exit1_recur_len'");
	_Static_assert(sizeof(s->bss->entry2_len) == 4, "unexpected size of 'entry2_len'");
	_Static_assert(sizeof(s->bss->exit2_len) == 4, "unexpected size of 'exit2_len'");
	_Static_assert(sizeof(s->bss->entry3_len) == 4, "unexpected size of 'entry3_len'");
	_Static_assert(sizeof(s->bss->exit3_len) == 4, "unexpected size of 'exit3_len'");
	_Static_assert(sizeof(s->bss->entry4_len) == 4, "unexpected size of 'entry4_len'");
	_Static_assert(sizeof(s->bss->exit4_len) == 4, "unexpected size of 'exit4_len'");
	_Static_assert(sizeof(s->bss->usdt_len) == 4, "unexpected size of 'usdt_len'");
	_Static_assert(sizeof(s->kconfig->LINUX_HAS_BPF_COOKIE) == 1, "unexpected size of 'LINUX_HAS_BPF_COOKIE'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __URETPROBE_STACK_SKEL_H__ */
