/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PERFBUF_BENCH_SKEL_H__
#define __PERFBUF_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct perfbuf_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *perfbuf;
		struct bpf_map *rodata;
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bench_perfbuf;
	} progs;
	struct {
		struct bpf_link *bench_perfbuf;
	} links;
	struct perfbuf_bench__rodata {
		int batch_cnt;
	} *rodata;
	struct perfbuf_bench__data {
		long sample_val;
	} *data;
	struct perfbuf_bench__bss {
		long dropped;
	} *bss;

#ifdef __cplusplus
	static inline struct perfbuf_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct perfbuf_bench *open_and_load();
	static inline int load(struct perfbuf_bench *skel);
	static inline int attach(struct perfbuf_bench *skel);
	static inline void detach(struct perfbuf_bench *skel);
	static inline void destroy(struct perfbuf_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
perfbuf_bench__destroy(struct perfbuf_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
perfbuf_bench__create_skeleton(struct perfbuf_bench *obj);

static inline struct perfbuf_bench *
perfbuf_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct perfbuf_bench *obj;
	int err;

	obj = (struct perfbuf_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = perfbuf_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	perfbuf_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct perfbuf_bench *
perfbuf_bench__open(void)
{
	return perfbuf_bench__open_opts(NULL);
}

static inline int
perfbuf_bench__load(struct perfbuf_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct perfbuf_bench *
perfbuf_bench__open_and_load(void)
{
	struct perfbuf_bench *obj;
	int err;

	obj = perfbuf_bench__open();
	if (!obj)
		return NULL;
	err = perfbuf_bench__load(obj);
	if (err) {
		perfbuf_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
perfbuf_bench__attach(struct perfbuf_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
perfbuf_bench__detach(struct perfbuf_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *perfbuf_bench__elf_bytes(size_t *sz);

static inline int
perfbuf_bench__create_skeleton(struct perfbuf_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "perfbuf_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "perfbuf";
	map->map = &obj->maps.perfbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "perfbuf_.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "perfbuf_.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "perfbuf_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bench_perfbuf";
	s->progs[0].prog = &obj->progs.bench_perfbuf;
	s->progs[0].link = &obj->links.bench_perfbuf;

	s->data = perfbuf_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *perfbuf_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\
\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x70\x65\x72\x66\x62\x75\
\x66\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x65\x6e\x63\x68\x5f\x70\x65\x72\x66\
\x62\x75\x66\0\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\0\x64\x72\x6f\x70\x70\x65\
\x64\0\x70\x65\x72\x66\x62\x75\x66\0\x73\x61\x6d\x70\x6c\x65\x5f\x76\x61\x6c\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\
\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\xd8\0\0\0\0\0\0\0\x68\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x72\
\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x08\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x82\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x8d\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\xc6\x01\x07\0\
\x01\0\0\0\xb4\x08\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x05\0\
\0\0\0\0\x04\x08\0\0\x01\0\0\0\x61\x71\0\0\0\0\0\0\xce\x18\x02\0\0\0\0\0\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb7\x05\0\0\x08\0\0\0\x85\0\0\0\x19\0\0\0\x15\0\xf1\xff\0\0\0\0\xb7\
\x01\0\0\x01\0\0\0\xdb\x19\0\0\0\0\0\0\x05\0\xee\xff\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x2a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\
\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x98\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\x01\
\0\0\xb8\x01\0\0\xed\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\
\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\
\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x40\0\0\0\x29\0\0\0\x01\0\0\0\x80\0\0\
\0\x32\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\x3a\0\0\0\x07\0\0\0\x3e\0\0\0\x01\0\0\x0c\x08\0\0\0\x4c\
\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x04\
\0\0\0\x04\0\0\0\x51\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x0e\
\0\0\0\0\0\0\0\0\0\0\x09\x02\0\0\0\x5a\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\x64\
\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x69\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\
\x74\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\xb4\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0c\
\0\0\0\0\0\0\0\x04\0\0\0\xbc\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0f\0\0\0\0\0\0\0\
\x04\0\0\0\xc4\x01\0\0\x01\0\0\x0f\x08\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\xca\
\x01\0\0\x01\0\0\x0f\x08\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\xcf\x01\0\0\x01\0\0\
\x0f\x18\0\0\0\x06\0\0\0\0\0\0\0\x18\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\
\x70\x65\x72\x66\x62\x75\x66\0\x63\x74\x78\0\x62\x65\x6e\x63\x68\x5f\x70\x65\
\x72\x66\x62\x75\x66\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\
\x61\x74\x63\x68\x5f\x63\x6e\x74\0\x6c\x6f\x6e\x67\0\x73\x61\x6d\x70\x6c\x65\
\x5f\x76\x61\x6c\0\x64\x72\x6f\x70\x70\x65\x64\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\
\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x70\x65\x72\x66\x62\x75\x66\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x69\x6e\x74\x20\
\x62\x65\x6e\x63\x68\x5f\x70\x65\x72\x66\x62\x75\x66\x28\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\
\x20\x3c\x20\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\x3b\x20\x69\x2b\x2b\x29\x20\
\x7b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\
\x74\x28\x63\x74\x78\x2c\x20\x26\x70\x65\x72\x66\x62\x75\x66\x2c\x20\x42\x50\
\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\0\x09\x09\x09\
\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\
\x68\x28\x26\x64\x72\x6f\x70\x70\x65\x64\x2c\x20\x31\x29\x3b\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\
\x73\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\
\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\
\0\0\0\x14\0\0\0\x14\0\0\0\xac\0\0\0\xc0\0\0\0\0\0\0\0\x08\0\0\0\xd5\x01\0\0\
\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\xd5\x01\0\0\x0a\0\0\0\0\0\0\0\x7c\0\0\0\
\x05\x01\0\0\0\x5c\0\0\x08\0\0\0\x7c\0\0\0\x22\x01\0\0\x12\x6c\0\0\x20\0\0\0\
\x7c\0\0\0\x22\x01\0\0\x02\x6c\0\0\x48\0\0\0\x7c\0\0\0\x22\x01\0\0\x1e\x6c\0\0\
\x50\0\0\0\x7c\0\0\0\x22\x01\0\0\x12\x6c\0\0\x58\0\0\0\x7c\0\0\0\x22\x01\0\0\
\x02\x6c\0\0\x60\0\0\0\x7c\0\0\0\x45\x01\0\0\x02\x80\0\0\x70\0\0\0\x7c\0\0\0\
\x50\x01\0\0\x07\x70\0\0\xb8\0\0\0\x7c\0\0\0\x50\x01\0\0\x07\x70\0\0\xc0\0\0\0\
\x7c\0\0\0\x8e\x01\0\0\x04\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb4\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x02\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3f\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x96\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\xbd\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x07\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct perfbuf_bench *perfbuf_bench::open(const struct bpf_object_open_opts *opts) { return perfbuf_bench__open_opts(opts); }
struct perfbuf_bench *perfbuf_bench::open_and_load() { return perfbuf_bench__open_and_load(); }
int perfbuf_bench::load(struct perfbuf_bench *skel) { return perfbuf_bench__load(skel); }
int perfbuf_bench::attach(struct perfbuf_bench *skel) { return perfbuf_bench__attach(skel); }
void perfbuf_bench::detach(struct perfbuf_bench *skel) { perfbuf_bench__detach(skel); }
void perfbuf_bench::destroy(struct perfbuf_bench *skel) { perfbuf_bench__destroy(skel); }
const void *perfbuf_bench::elf_bytes(size_t *sz) { return perfbuf_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
perfbuf_bench__assert(struct perfbuf_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->batch_cnt) == 4, "unexpected size of 'batch_cnt'");
	_Static_assert(sizeof(s->data->sample_val) == 8, "unexpected size of 'sample_val'");
	_Static_assert(sizeof(s->bss->dropped) == 8, "unexpected size of 'dropped'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PERFBUF_BENCH_SKEL_H__ */
