/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RCU_TASKS_TRACE_GP_SKEL_H__
#define __RCU_TASKS_TRACE_GP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct rcu_tasks_trace_gp {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task_ls_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *do_call_rcu_tasks_trace;
		struct bpf_program *rcu_tasks_trace_postgp;
	} progs;
	struct {
		struct bpf_link *do_call_rcu_tasks_trace;
		struct bpf_link *rcu_tasks_trace_postgp;
	} links;
	struct rcu_tasks_trace_gp__bss {
		long gp_seq;
	} *bss;

#ifdef __cplusplus
	static inline struct rcu_tasks_trace_gp *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct rcu_tasks_trace_gp *open_and_load();
	static inline int load(struct rcu_tasks_trace_gp *skel);
	static inline int attach(struct rcu_tasks_trace_gp *skel);
	static inline void detach(struct rcu_tasks_trace_gp *skel);
	static inline void destroy(struct rcu_tasks_trace_gp *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
rcu_tasks_trace_gp__destroy(struct rcu_tasks_trace_gp *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
rcu_tasks_trace_gp__create_skeleton(struct rcu_tasks_trace_gp *obj);

static inline struct rcu_tasks_trace_gp *
rcu_tasks_trace_gp__open_opts(const struct bpf_object_open_opts *opts)
{
	struct rcu_tasks_trace_gp *obj;
	int err;

	obj = (struct rcu_tasks_trace_gp *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = rcu_tasks_trace_gp__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	rcu_tasks_trace_gp__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct rcu_tasks_trace_gp *
rcu_tasks_trace_gp__open(void)
{
	return rcu_tasks_trace_gp__open_opts(NULL);
}

static inline int
rcu_tasks_trace_gp__load(struct rcu_tasks_trace_gp *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct rcu_tasks_trace_gp *
rcu_tasks_trace_gp__open_and_load(void)
{
	struct rcu_tasks_trace_gp *obj;
	int err;

	obj = rcu_tasks_trace_gp__open();
	if (!obj)
		return NULL;
	err = rcu_tasks_trace_gp__load(obj);
	if (err) {
		rcu_tasks_trace_gp__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
rcu_tasks_trace_gp__attach(struct rcu_tasks_trace_gp *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
rcu_tasks_trace_gp__detach(struct rcu_tasks_trace_gp *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *rcu_tasks_trace_gp__elf_bytes(size_t *sz);

static inline int
rcu_tasks_trace_gp__create_skeleton(struct rcu_tasks_trace_gp *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "rcu_tasks_trace_gp";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "task_ls_map";
	map->map = &obj->maps.task_ls_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "rcu_task.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "do_call_rcu_tasks_trace";
	s->progs[0].prog = &obj->progs.do_call_rcu_tasks_trace;
	s->progs[0].link = &obj->links.do_call_rcu_tasks_trace;

	s->progs[1].name = "rcu_tasks_trace_postgp";
	s->progs[1].prog = &obj->progs.rcu_tasks_trace_postgp;
	s->progs[1].link = &obj->links.rcu_tasks_trace_postgp;

	s->data = rcu_tasks_trace_gp__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *rcu_tasks_trace_gp__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x79\
\x73\x63\x61\x6c\x6c\0\x6b\x70\x72\x6f\x62\x65\x2f\x72\x63\x75\x5f\x74\x61\x73\
\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\x2e\x6d\x61\x70\
\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x72\x63\x75\x5f\x74\x61\
\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x67\x70\x2e\x63\0\x64\x6f\x5f\x63\x61\
\x6c\x6c\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\0\x74\
\x61\x73\x6b\x5f\x6c\x73\x5f\x6d\x61\x70\0\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\
\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\x67\x70\x5f\x73\x65\x71\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\
\x6c\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x72\x63\x75\x5f\x74\x61\x73\
\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4a\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x5f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x77\0\0\
\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x83\0\0\0\x12\0\x04\0\0\0\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\x9a\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\xa1\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x9e\0\0\
\0\xbf\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\xbf\x01\0\0\0\0\
\0\0\xb4\0\0\0\x01\0\0\0\x15\x01\x04\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x9d\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x01\
\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\
\0\0\0\x01\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x98\x01\0\0\x98\x01\0\0\x7a\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x1d\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x19\0\0\0\x04\0\0\x04\x20\0\0\0\x25\0\0\0\x01\0\0\0\0\0\0\
\0\x2a\0\0\0\x05\0\0\0\x40\0\0\0\x34\0\0\0\x07\0\0\0\x80\0\0\0\x38\0\0\0\x07\0\
\0\0\xc0\0\0\0\x19\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3e\0\0\0\x0a\0\0\0\x42\0\0\0\x01\0\0\x0c\x0b\
\0\0\0\x5a\0\0\0\x01\0\0\x0c\x0b\0\0\0\x71\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\x01\x76\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x7d\0\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\0\0\x82\0\0\0\0\0\
\0\x0e\x11\0\0\0\x01\0\0\0\x41\x02\0\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\0\0\0\
\x20\0\0\0\x47\x02\0\0\x01\0\0\x0f\x08\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\0\0\x4c\
\x02\0\0\x01\0\0\x0f\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x61\x73\x6b\x5f\x6c\x73\x5f\x6d\x61\x70\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\
\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x63\x74\x78\0\x64\
\x6f\x5f\x63\x61\x6c\x6c\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\
\x61\x63\x65\0\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\
\x70\x6f\x73\x74\x67\x70\0\x6c\x6f\x6e\x67\0\x67\x70\x5f\x73\x65\x71\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\
\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x72\
\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x67\x70\x2e\x63\0\
\x20\x20\x20\x20\x63\x75\x72\x72\x65\x6e\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\
\x28\x29\x3b\0\x20\x20\x20\x20\x76\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x74\x61\x73\x6b\x5f\
\x6c\x73\x5f\x6d\x61\x70\x2c\x20\x63\x75\x72\x72\x65\x6e\x74\x2c\x20\x4e\x55\
\x4c\x4c\x2c\x20\x42\x50\x46\x5f\x4c\x4f\x43\x41\x4c\x5f\x53\x54\x4f\x52\x41\
\x47\x45\x5f\x47\x45\x54\x5f\x46\x5f\x43\x52\x45\x41\x54\x45\x29\x3b\0\x20\x20\
\x20\x20\x69\x66\x20\x28\x21\x76\x29\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\
\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x64\
\x65\x6c\x65\x74\x65\x28\x26\x74\x61\x73\x6b\x5f\x6c\x73\x5f\x6d\x61\x70\x2c\
\x20\x63\x75\x72\x72\x65\x6e\x74\x29\x3b\0\x7d\0\x69\x6e\x74\x20\x72\x63\x75\
\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\
\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x20\x20\x20\x20\x5f\x5f\x73\x79\
\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x67\
\x70\x5f\x73\x65\x71\x2c\x20\x31\x29\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\
\x6e\x20\x30\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6b\x70\x72\x6f\x62\x65\x2f\x72\x63\
\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\
\x70\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\
\0\xb8\0\0\0\0\0\0\0\x08\0\0\0\x54\x02\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\0\x5c\x02\
\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\x54\x02\0\0\x05\0\0\0\0\0\0\0\x8b\0\
\0\0\x19\x01\0\0\x0f\x54\0\0\x10\0\0\0\x8b\0\0\0\x43\x01\0\0\x09\x58\0\0\x50\0\
\0\0\x8b\0\0\0\x9e\x01\0\0\x09\x5c\0\0\x58\0\0\0\x8b\0\0\0\xaa\x01\0\0\x0c\x68\
\0\0\x78\0\0\0\x8b\0\0\0\xe5\x01\0\0\x01\x6c\0\0\x5c\x02\0\0\x03\0\0\0\0\0\0\0\
\x8b\0\0\0\xe7\x01\0\0\0\x78\0\0\x08\0\0\0\x8b\0\0\0\x0d\x02\0\0\x05\x80\0\0\
\x20\0\0\0\x8b\0\0\0\x33\x02\0\0\x05\x84\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\xe6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\xd8\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd0\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x42\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb6\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd8\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\x2a\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdd\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x07\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct rcu_tasks_trace_gp *rcu_tasks_trace_gp::open(const struct bpf_object_open_opts *opts) { return rcu_tasks_trace_gp__open_opts(opts); }
struct rcu_tasks_trace_gp *rcu_tasks_trace_gp::open_and_load() { return rcu_tasks_trace_gp__open_and_load(); }
int rcu_tasks_trace_gp::load(struct rcu_tasks_trace_gp *skel) { return rcu_tasks_trace_gp__load(skel); }
int rcu_tasks_trace_gp::attach(struct rcu_tasks_trace_gp *skel) { return rcu_tasks_trace_gp__attach(skel); }
void rcu_tasks_trace_gp::detach(struct rcu_tasks_trace_gp *skel) { rcu_tasks_trace_gp__detach(skel); }
void rcu_tasks_trace_gp::destroy(struct rcu_tasks_trace_gp *skel) { rcu_tasks_trace_gp__destroy(skel); }
const void *rcu_tasks_trace_gp::elf_bytes(size_t *sz) { return rcu_tasks_trace_gp__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
rcu_tasks_trace_gp__assert(struct rcu_tasks_trace_gp *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->gp_seq) == 8, "unexpected size of 'gp_seq'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RCU_TASKS_TRACE_GP_SKEL_H__ */
