/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __READ_BPF_TASK_STORAGE_BUSY_SKEL_H__
#define __READ_BPF_TASK_STORAGE_BUSY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct read_bpf_task_storage_busy {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task;
		struct bpf_map *bss;
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *read_bpf_task_storage_busy;
	} progs;
	struct {
		struct bpf_link *read_bpf_task_storage_busy;
	} links;
	struct read_bpf_task_storage_busy__bss {
		int pid;
		int busy;
	} *bss;
	struct read_bpf_task_storage_busy__kconfig {
		bool CONFIG_PREEMPT;
	} *kconfig;

#ifdef __cplusplus
	static inline struct read_bpf_task_storage_busy *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct read_bpf_task_storage_busy *open_and_load();
	static inline int load(struct read_bpf_task_storage_busy *skel);
	static inline int attach(struct read_bpf_task_storage_busy *skel);
	static inline void detach(struct read_bpf_task_storage_busy *skel);
	static inline void destroy(struct read_bpf_task_storage_busy *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
read_bpf_task_storage_busy__destroy(struct read_bpf_task_storage_busy *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
read_bpf_task_storage_busy__create_skeleton(struct read_bpf_task_storage_busy *obj);

static inline struct read_bpf_task_storage_busy *
read_bpf_task_storage_busy__open_opts(const struct bpf_object_open_opts *opts)
{
	struct read_bpf_task_storage_busy *obj;
	int err;

	obj = (struct read_bpf_task_storage_busy *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = read_bpf_task_storage_busy__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	read_bpf_task_storage_busy__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct read_bpf_task_storage_busy *
read_bpf_task_storage_busy__open(void)
{
	return read_bpf_task_storage_busy__open_opts(NULL);
}

static inline int
read_bpf_task_storage_busy__load(struct read_bpf_task_storage_busy *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct read_bpf_task_storage_busy *
read_bpf_task_storage_busy__open_and_load(void)
{
	struct read_bpf_task_storage_busy *obj;
	int err;

	obj = read_bpf_task_storage_busy__open();
	if (!obj)
		return NULL;
	err = read_bpf_task_storage_busy__load(obj);
	if (err) {
		read_bpf_task_storage_busy__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
read_bpf_task_storage_busy__attach(struct read_bpf_task_storage_busy *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
read_bpf_task_storage_busy__detach(struct read_bpf_task_storage_busy *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *read_bpf_task_storage_busy__elf_bytes(size_t *sz);

static inline int
read_bpf_task_storage_busy__create_skeleton(struct read_bpf_task_storage_busy *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "read_bpf_task_storage_busy";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "task";
	map->map = &obj->maps.task;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "read_bpf.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "read_bp.kconfig";
	map->map = &obj->maps.kconfig;
	map->mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "read_bpf_task_storage_busy";
	s->progs[0].prog = &obj->progs.read_bpf_task_storage_busy;
	s->progs[0].link = &obj->links.read_bpf_task_storage_busy;

	s->data = read_bpf_task_storage_busy__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *read_bpf_task_storage_busy__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x72\x65\x61\x64\x5f\x62\x70\
\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x73\x79\
\x2e\x63\0\x72\x65\x61\x64\x5f\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x5f\x62\x75\x73\x79\0\x43\x4f\x4e\x46\x49\x47\x5f\x50\x52\x45\
\x45\x4d\x50\x54\0\x70\x69\x64\0\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x5f\x62\x75\x73\x79\0\x62\x75\x73\x79\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x61\x73\x6b\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\
\0\0\x6d\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x96\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9b\0\0\0\
\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x06\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\
\0\x56\x01\x10\0\x01\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\0\
\x20\0\0\0\x5d\x10\x08\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x9a\0\0\0\x15\0\x04\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x60\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\x3c\x02\0\0\x3c\x02\0\0\x3c\x02\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x1d\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\
\0\x40\0\0\x01\0\0\0\0\x04\0\0\x04\x20\0\0\0\x1e\0\0\0\x01\0\0\0\0\0\0\0\x23\0\
\0\0\x05\0\0\0\x40\0\0\0\x2d\0\0\0\x07\0\0\0\x80\0\0\0\x31\0\0\0\x08\0\0\0\xc0\
\0\0\0\x37\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x3c\
\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x4f\0\0\0\
\x0c\0\0\0\x53\0\0\0\x01\0\0\x0c\x0e\0\0\0\x6e\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x10\0\0\0\x04\0\0\0\x04\0\0\0\x73\0\0\0\0\0\0\
\x0e\x11\0\0\0\x01\0\0\0\x7c\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x80\0\0\0\0\0\
\0\x0e\x02\0\0\0\x01\0\0\0\x85\0\0\0\0\0\0\x08\x16\0\0\0\x8a\0\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x04\x90\0\0\0\0\0\0\x0e\x15\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\x0a\x02\0\0\0\x9f\0\0\0\0\0\0\x0e\x18\0\0\0\x02\0\0\0\x08\x02\0\0\x01\0\0\x0f\
\x04\0\0\0\x12\0\0\0\0\0\0\0\x04\0\0\0\x10\x02\0\0\x02\0\0\x0f\x08\0\0\0\x13\0\
\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\x04\0\0\0\x04\0\0\0\x15\x02\0\0\x01\0\0\x0f\
\x20\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\x1b\x02\0\0\x01\0\0\x0f\0\0\0\0\x17\0\0\
\0\0\0\0\0\x01\0\0\0\x24\x02\0\0\x01\0\0\x0f\0\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\
\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x74\x61\x73\x6b\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x72\x65\x61\x64\x5f\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x62\x75\x73\x79\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x70\x69\x64\0\x62\x75\x73\x79\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\
\x43\x4f\x4e\x46\x49\x47\x5f\x50\x52\x45\x45\x4d\x50\x54\0\x62\x70\x66\x5f\x74\
\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x73\x79\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x72\x65\x61\x64\x5f\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\
\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x73\x79\x2e\x63\0\x09\x69\x66\x20\x28\x21\
\x43\x4f\x4e\x46\x49\x47\x5f\x50\x52\x45\x45\x4d\x50\x54\x29\0\x09\x69\x66\x20\
\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\
\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\x70\
\x69\x64\x29\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x74\x68\x69\
\x73\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\x74\x61\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x75\x73\x79\x29\x3b\0\x09\x69\x66\x20\
\x28\x76\x61\x6c\x75\x65\x29\0\x09\x09\x62\x75\x73\x79\x20\x3d\x20\x2a\x76\x61\
\x6c\x75\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x72\x65\
\x61\x64\x5f\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\
\x5f\x62\x75\x73\x79\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\x2e\x6b\x73\x79\x6d\x73\0\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xbc\0\0\0\xd0\0\0\0\0\0\0\0\x08\0\0\0\
\x2b\x02\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\0\0\x2b\x02\0\0\x0b\0\0\0\0\0\0\
\0\xb5\0\0\0\x4b\x01\0\0\x07\x6c\0\0\x18\0\0\0\xb5\0\0\0\x4b\x01\0\0\x06\x6c\0\
\0\x20\0\0\0\xb5\0\0\0\x61\x01\0\0\x06\x78\0\0\x28\0\0\0\xb5\0\0\0\x61\x01\0\0\
\x21\x78\0\0\x30\0\0\0\xb5\0\0\0\x61\x01\0\0\x2a\x78\0\0\x58\0\0\0\xb5\0\0\0\
\x61\x01\0\0\x06\x78\0\0\x60\0\0\0\xb5\0\0\0\x8f\x01\0\0\x0a\x84\0\0\x78\0\0\0\
\xb5\0\0\0\xc2\x01\0\0\x06\x88\0\0\x80\0\0\0\xb5\0\0\0\xce\x01\0\0\x0a\x8c\0\0\
\x88\0\0\0\xb5\0\0\0\xce\x01\0\0\x08\x8c\0\0\xa0\0\0\0\xb5\0\0\0\xdf\x01\0\0\
\x05\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xcc\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x2a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xbe\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x07\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct read_bpf_task_storage_busy *read_bpf_task_storage_busy::open(const struct bpf_object_open_opts *opts) { return read_bpf_task_storage_busy__open_opts(opts); }
struct read_bpf_task_storage_busy *read_bpf_task_storage_busy::open_and_load() { return read_bpf_task_storage_busy__open_and_load(); }
int read_bpf_task_storage_busy::load(struct read_bpf_task_storage_busy *skel) { return read_bpf_task_storage_busy__load(skel); }
int read_bpf_task_storage_busy::attach(struct read_bpf_task_storage_busy *skel) { return read_bpf_task_storage_busy__attach(skel); }
void read_bpf_task_storage_busy::detach(struct read_bpf_task_storage_busy *skel) { read_bpf_task_storage_busy__detach(skel); }
void read_bpf_task_storage_busy::destroy(struct read_bpf_task_storage_busy *skel) { read_bpf_task_storage_busy__destroy(skel); }
const void *read_bpf_task_storage_busy::elf_bytes(size_t *sz) { return read_bpf_task_storage_busy__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
read_bpf_task_storage_busy__assert(struct read_bpf_task_storage_busy *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->busy) == 4, "unexpected size of 'busy'");
	_Static_assert(sizeof(s->kconfig->CONFIG_PREEMPT) == 1, "unexpected size of 'CONFIG_PREEMPT'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __READ_BPF_TASK_STORAGE_BUSY_SKEL_H__ */
