/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __RINGBUF_BENCH_SKEL_H__
#define __RINGBUF_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct ringbuf_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf;
		struct bpf_map *rodata;
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *bench_ringbuf;
	} progs;
	struct {
		struct bpf_link *bench_ringbuf;
	} links;
	struct ringbuf_bench__rodata {
		int batch_cnt;
		char __pad0[4];
		long use_output;
		long wakeup_data_size;
	} *rodata;
	struct ringbuf_bench__data {
		long sample_val;
	} *data;
	struct ringbuf_bench__bss {
		long dropped;
	} *bss;

#ifdef __cplusplus
	static inline struct ringbuf_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct ringbuf_bench *open_and_load();
	static inline int load(struct ringbuf_bench *skel);
	static inline int attach(struct ringbuf_bench *skel);
	static inline void detach(struct ringbuf_bench *skel);
	static inline void destroy(struct ringbuf_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
ringbuf_bench__destroy(struct ringbuf_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
ringbuf_bench__create_skeleton(struct ringbuf_bench *obj);

static inline struct ringbuf_bench *
ringbuf_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct ringbuf_bench *obj;
	int err;

	obj = (struct ringbuf_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = ringbuf_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	ringbuf_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct ringbuf_bench *
ringbuf_bench__open(void)
{
	return ringbuf_bench__open_opts(NULL);
}

static inline int
ringbuf_bench__load(struct ringbuf_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct ringbuf_bench *
ringbuf_bench__open_and_load(void)
{
	struct ringbuf_bench *obj;
	int err;

	obj = ringbuf_bench__open();
	if (!obj)
		return NULL;
	err = ringbuf_bench__load(obj);
	if (err) {
		ringbuf_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
ringbuf_bench__attach(struct ringbuf_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
ringbuf_bench__detach(struct ringbuf_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *ringbuf_bench__elf_bytes(size_t *sz);

static inline int
ringbuf_bench__create_skeleton(struct ringbuf_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "ringbuf_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "ringbuf";
	map->map = &obj->maps.ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "ringbuf_.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "ringbuf_.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "ringbuf_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bench_ringbuf";
	s->progs[0].prog = &obj->progs.bench_ringbuf;
	s->progs[0].link = &obj->links.bench_ringbuf;

	s->data = ringbuf_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *ringbuf_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\
\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\
\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x72\x69\x6e\x67\x62\x75\
\x66\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x62\x65\x6e\x63\x68\x5f\x72\x69\x6e\x67\
\x62\x75\x66\0\x75\x73\x65\x5f\x6f\x75\x74\x70\x75\x74\0\x62\x61\x74\x63\x68\
\x5f\x63\x6e\x74\0\x77\x61\x6b\x65\x75\x70\x5f\x64\x61\x74\x61\x5f\x73\x69\x7a\
\x65\0\x64\x72\x6f\x70\x70\x65\x64\0\x72\x69\x6e\x67\x62\x75\x66\0\x73\x61\x6d\
\x70\x6c\x65\x5f\x76\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\
\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\x68\0\0\0\x11\0\
\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x73\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x7d\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x8e\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x96\0\0\0\x11\0\x08\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x9e\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xa9\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x61\x11\0\0\0\0\0\0\x15\x02\x09\0\0\0\0\0\xc6\x01\x33\0\x01\0\0\0\xb4\x06\
\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x2d\0\0\0\0\0\xc6\x01\x2a\0\
\x01\0\0\0\xb4\x07\0\0\0\0\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x06\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x84\
\0\0\0\x04\x07\0\0\x01\0\0\0\x61\x91\0\0\0\0\0\0\xce\x17\x01\0\0\0\0\0\x05\0\
\x1e\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x08\0\0\0\xb7\
\x03\0\0\0\0\0\0\x85\0\0\0\x83\0\0\0\xbf\x06\0\0\0\0\0\0\x55\x06\x05\0\0\0\0\0\
\xb7\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\
\x05\0\xf0\xff\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\x7b\x16\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x79\x81\0\0\0\0\0\0\x15\x01\xe7\xff\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x86\0\0\0\x79\x81\0\0\0\0\
\0\0\xb7\x02\0\0\x01\0\0\0\xcd\x10\xe1\xff\0\0\0\0\xb7\x02\0\0\x02\0\0\0\x05\0\
\xdf\xff\0\0\0\0\x04\x06\0\0\x01\0\0\0\x61\x81\0\0\0\0\0\0\xce\x16\x02\0\0\0\0\
\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x71\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\
\x15\x01\x08\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x85\0\0\0\x86\0\0\0\x79\x71\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\xcd\x10\x01\0\0\
\0\0\0\xb7\x04\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\x08\0\0\0\x85\0\0\0\x82\0\0\0\x15\0\xe9\xff\
\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xdb\x19\0\0\0\0\0\0\x05\0\xe6\xff\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x05\0\
\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\
\0\x68\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\
\xa0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\
\x28\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\
\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x01\0\0\0\x08\0\0\
\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x50\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf0\x01\0\0\xf0\x01\0\0\x01\x03\0\0\0\0\0\
\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\0\0\0\
\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\
\0\x26\0\0\0\x07\0\0\0\x2a\0\0\0\x01\0\0\x0c\x08\0\0\0\x38\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\x04\0\0\0\x04\0\0\0\x3d\
\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x0e\0\0\0\0\0\0\0\0\0\0\
\x09\x02\0\0\0\x46\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x11\0\
\0\0\0\0\0\0\0\0\0\x09\x12\0\0\0\x50\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x55\
\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x60\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\
\x6b\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x73\0\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\
\0\xc8\x02\0\0\x01\0\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\xd0\x02\0\0\
\x03\0\0\x0f\x18\0\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x13\0\0\0\x08\0\0\0\x08\0\0\
\0\x16\0\0\0\x10\0\0\0\x08\0\0\0\xd8\x02\0\0\x01\0\0\x0f\x08\0\0\0\x14\0\0\0\0\
\0\0\0\x08\0\0\0\xde\x02\0\0\x01\0\0\x0f\x08\0\0\0\x15\0\0\0\0\0\0\0\x08\0\0\0\
\xe3\x02\0\0\x01\0\0\x0f\x08\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x74\x79\x70\x65\0\x72\x69\x6e\x67\x62\x75\x66\0\x63\x74\x78\0\x62\x65\x6e\x63\
\x68\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\0\x6c\x6f\x6e\x67\0\x75\x73\
\x65\x5f\x6f\x75\x74\x70\x75\x74\0\x73\x61\x6d\x70\x6c\x65\x5f\x76\x61\x6c\0\
\x64\x72\x6f\x70\x70\x65\x64\0\x77\x61\x6b\x65\x75\x70\x5f\x64\x61\x74\x61\x5f\
\x73\x69\x7a\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\
\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\
\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\
\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x72\x69\x6e\x67\x62\x75\x66\x5f\
\x62\x65\x6e\x63\x68\x2e\x63\0\x09\x69\x66\x20\x28\x21\x75\x73\x65\x5f\x6f\x75\
\x74\x70\x75\x74\x29\x20\x7b\0\x09\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\
\x3b\x20\x69\x20\x3c\x20\x62\x61\x74\x63\x68\x5f\x63\x6e\x74\x3b\x20\x69\x2b\
\x2b\x29\x20\x7b\0\x09\x09\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x5f\x73\x75\x62\x6d\x69\x74\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x66\x6c\x61\
\x67\x73\x29\x3b\0\x09\x09\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\x73\x65\x72\x76\x65\x28\x26\x72\
\x69\x6e\x67\x62\x75\x66\x2c\0\x09\x09\x09\x69\x66\x20\x28\x21\x73\x61\x6d\x70\
\x6c\x65\x29\x20\x7b\0\x09\x09\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\
\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x64\x72\x6f\x70\x70\x65\x64\
\x2c\x20\x31\x29\x3b\0\x09\x09\x09\x7d\x20\x65\x6c\x73\x65\x20\x7b\0\x09\x09\
\x09\x09\x2a\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x73\x61\x6d\x70\x6c\x65\x5f\
\x76\x61\x6c\x3b\0\x09\x69\x66\x20\x28\x21\x77\x61\x6b\x65\x75\x70\x5f\x64\x61\
\x74\x61\x5f\x73\x69\x7a\x65\x29\0\x09\x73\x7a\x20\x3d\x20\x62\x70\x66\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\x28\x26\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x41\x56\x41\x49\x4c\x5f\x44\x41\
\x54\x41\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x7a\x20\x3e\x3d\x20\x77\
\x61\x6b\x65\x75\x70\x5f\x64\x61\x74\x61\x5f\x73\x69\x7a\x65\x20\x3f\x20\x42\
\x50\x46\x5f\x52\x42\x5f\x46\x4f\x52\x43\x45\x5f\x57\x41\x4b\x45\x55\x50\x20\
\x3a\x20\x42\x50\x46\x5f\x52\x42\x5f\x4e\x4f\x5f\x57\x41\x4b\x45\x55\x50\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x09\x09\x69\x66\x20\x28\x62\x70\
\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6f\x75\x74\x70\x75\x74\x28\x26\x72\
\x69\x6e\x67\x62\x75\x66\x2c\x20\x26\x73\x61\x6d\x70\x6c\x65\x5f\x76\x61\x6c\
\x2c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\x61\
\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\x2f\
\x5f\x5f\x73\x65\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0\0\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xfc\x01\0\0\x10\x02\0\0\
\0\0\0\0\x08\0\0\0\xe9\x02\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\xe9\x02\0\
\0\x1f\0\0\0\0\0\0\0\x84\0\0\0\x0d\x01\0\0\x07\xa0\0\0\x30\0\0\0\x84\0\0\0\x0d\
\x01\0\0\x06\xa0\0\0\x38\0\0\0\x84\0\0\0\x21\x01\0\0\x03\xd4\0\0\x80\0\0\0\x84\
\0\0\0\x21\x01\0\0\x03\xa4\0\0\xb8\0\0\0\x84\0\0\0\x45\x01\0\0\x05\xc4\0\0\xc8\
\0\0\0\x84\0\0\0\x21\x01\0\0\x1f\xa4\0\0\xd0\0\0\0\x84\0\0\0\x21\x01\0\0\x13\
\xa4\0\0\xd8\0\0\0\x84\0\0\0\x21\x01\0\0\x03\xa4\0\0\xe8\0\0\0\x84\0\0\0\x6c\
\x01\0\0\x0d\xa8\0\0\x18\x01\0\0\x84\0\0\0\x96\x01\0\0\x08\xb0\0\0\x20\x01\0\0\
\x84\0\0\0\xa8\x01\0\0\x05\xb4\0\0\x40\x01\0\0\x84\0\0\0\xcf\x01\0\0\x04\xb8\0\
\0\x48\x01\0\0\x84\0\0\0\xdb\x01\0\0\x0f\xbc\0\0\x60\x01\0\0\x84\0\0\0\xdb\x01\
\0\0\x0d\xbc\0\0\x70\x01\0\0\x84\0\0\0\xf5\x01\0\0\x07\x6c\0\0\x78\x01\0\0\x84\
\0\0\0\xf5\x01\0\0\x06\x6c\0\0\x80\x01\0\0\x84\0\0\0\x0d\x02\0\0\x07\x78\0\0\
\x98\x01\0\0\x84\0\0\0\x43\x02\0\0\x0f\x7c\0\0\xa8\x01\0\0\x84\0\0\0\x43\x02\0\
\0\x09\x7c\0\0\xc0\x01\0\0\x84\0\0\0\x21\x01\0\0\x1f\xd4\0\0\xc8\x01\0\0\x84\0\
\0\0\x21\x01\0\0\x13\xd4\0\0\xd0\x01\0\0\x84\0\0\0\x21\x01\0\0\x03\xd4\0\0\xd8\
\x01\0\0\x84\0\0\0\x8c\x02\0\0\x02\xf0\0\0\xe8\x01\0\0\x84\0\0\0\xf5\x01\0\0\
\x07\x6c\0\0\xf8\x01\0\0\x84\0\0\0\xf5\x01\0\0\x06\x6c\0\0\0\x02\0\0\x84\0\0\0\
\x0d\x02\0\0\x07\x78\0\0\x20\x02\0\0\x84\0\0\0\x43\x02\0\0\x0f\x7c\0\0\x30\x02\
\0\0\x84\0\0\0\x43\x02\0\0\x09\x7c\0\0\x40\x02\0\0\x84\0\0\0\x97\x02\0\0\x08\
\xdc\0\0\x70\x02\0\0\x84\0\0\0\x97\x02\0\0\x08\xdc\0\0\x78\x02\0\0\x84\0\0\0\
\xa8\x01\0\0\x05\xe4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xdc\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x90\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x04\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x39\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x04\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\
\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\x05\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xce\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x05\0\0\0\0\0\0\x09\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\
\x0a\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct ringbuf_bench *ringbuf_bench::open(const struct bpf_object_open_opts *opts) { return ringbuf_bench__open_opts(opts); }
struct ringbuf_bench *ringbuf_bench::open_and_load() { return ringbuf_bench__open_and_load(); }
int ringbuf_bench::load(struct ringbuf_bench *skel) { return ringbuf_bench__load(skel); }
int ringbuf_bench::attach(struct ringbuf_bench *skel) { return ringbuf_bench__attach(skel); }
void ringbuf_bench::detach(struct ringbuf_bench *skel) { ringbuf_bench__detach(skel); }
void ringbuf_bench::destroy(struct ringbuf_bench *skel) { ringbuf_bench__destroy(skel); }
const void *ringbuf_bench::elf_bytes(size_t *sz) { return ringbuf_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
ringbuf_bench__assert(struct ringbuf_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->batch_cnt) == 4, "unexpected size of 'batch_cnt'");
	_Static_assert(sizeof(s->rodata->use_output) == 8, "unexpected size of 'use_output'");
	_Static_assert(sizeof(s->rodata->wakeup_data_size) == 8, "unexpected size of 'wakeup_data_size'");
	_Static_assert(sizeof(s->data->sample_val) == 8, "unexpected size of 'sample_val'");
	_Static_assert(sizeof(s->bss->dropped) == 8, "unexpected size of 'dropped'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __RINGBUF_BENCH_SKEL_H__ */
