/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __STRUCT_OPS_AUTOCREATE2_SKEL_H__
#define __STRUCT_OPS_AUTOCREATE2_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct struct_ops_autocreate2 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *testmod_1;
	} maps;
	struct {
		struct struct_ops_autocreate2__testmod_1__bpf_testmod_ops {
			struct bpf_program *test_1;
		} *testmod_1;
	} struct_ops;
	struct {
		struct bpf_program *foo;
		struct bpf_program *bar;
	} progs;
	struct {
		struct bpf_link *foo;
		struct bpf_link *bar;
		struct bpf_link *testmod_1;
	} links;
	struct struct_ops_autocreate2__bss {
		int test_1_result;
	} *bss;

#ifdef __cplusplus
	static inline struct struct_ops_autocreate2 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct struct_ops_autocreate2 *open_and_load();
	static inline int load(struct struct_ops_autocreate2 *skel);
	static inline int attach(struct struct_ops_autocreate2 *skel);
	static inline void detach(struct struct_ops_autocreate2 *skel);
	static inline void destroy(struct struct_ops_autocreate2 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
struct_ops_autocreate2__destroy(struct struct_ops_autocreate2 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
struct_ops_autocreate2__create_skeleton(struct struct_ops_autocreate2 *obj);

static inline struct struct_ops_autocreate2 *
struct_ops_autocreate2__open_opts(const struct bpf_object_open_opts *opts)
{
	struct struct_ops_autocreate2 *obj;
	int err;

	obj = (struct struct_ops_autocreate2 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = struct_ops_autocreate2__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.testmod_1 = (__typeof__(obj->struct_ops.testmod_1))
		bpf_map__initial_value(obj->maps.testmod_1, NULL);

	return obj;
err_out:
	struct_ops_autocreate2__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct struct_ops_autocreate2 *
struct_ops_autocreate2__open(void)
{
	return struct_ops_autocreate2__open_opts(NULL);
}

static inline int
struct_ops_autocreate2__load(struct struct_ops_autocreate2 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct struct_ops_autocreate2 *
struct_ops_autocreate2__open_and_load(void)
{
	struct struct_ops_autocreate2 *obj;
	int err;

	obj = struct_ops_autocreate2__open();
	if (!obj)
		return NULL;
	err = struct_ops_autocreate2__load(obj);
	if (err) {
		struct_ops_autocreate2__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
struct_ops_autocreate2__attach(struct struct_ops_autocreate2 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
struct_ops_autocreate2__detach(struct struct_ops_autocreate2 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *struct_ops_autocreate2__elf_bytes(size_t *sz);

static inline int
struct_ops_autocreate2__create_skeleton(struct struct_ops_autocreate2 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "struct_ops_autocreate2";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "struct_o.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "testmod_1";
	map->map = &obj->maps.testmod_1;
	map->link = &obj->links.testmod_1;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "foo";
	s->progs[0].prog = &obj->progs.foo;
	s->progs[0].link = &obj->links.foo;

	s->progs[1].name = "bar";
	s->progs[1].prog = &obj->progs.bar;
	s->progs[1].link = &obj->links.bar;

	s->data = struct_ops_autocreate2__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *struct_ops_autocreate2__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\
\x73\x2e\x6c\x69\x6e\x6b\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x5f\x61\x75\
\x74\x6f\x63\x72\x65\x61\x74\x65\x32\x2e\x63\0\x66\x6f\x6f\0\x74\x65\x73\x74\
\x5f\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x62\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x31\0\x2e\x72\x65\x6c\x3f\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x2e\x72\x65\x6c\
\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x42\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x5f\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x6d\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x71\0\0\0\x11\0\x04\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x2a\0\0\0\x63\
\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb4\x02\0\0\x18\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\
\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\
\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x38\x01\0\0\x38\x01\0\0\x86\x01\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x20\0\0\0\x01\0\0\x0c\x03\0\0\0\x24\0\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\
\0\0\0\x29\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x3d\0\0\0\0\0\0\x0e\x08\0\0\0\
\x01\0\0\0\x46\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x54\0\0\0\x01\0\0\x04\x08\0\
\0\0\x64\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x0d\
\x04\0\0\0\x6b\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x55\x01\0\0\x01\0\0\x0f\x04\
\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\x5d\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\
\0\0\0\0\x04\0\0\0\x62\x01\0\0\x01\0\0\x0f\x08\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\0\
\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x63\x74\x78\0\x69\x6e\x74\0\x66\x6f\x6f\0\x62\x61\x72\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\x75\x6c\
\x74\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x6f\x70\x73\0\x74\x65\
\x73\x74\x5f\x31\0\x74\x65\x73\x74\x6d\x6f\x64\x5f\x31\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x5f\x61\x75\x74\x6f\x63\x72\
\x65\x61\x74\x65\x32\x2e\x63\0\x09\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\x75\
\x6c\x74\x20\x3d\x20\x34\x32\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x28\x66\x6f\x6f\x29\0\x09\x74\x65\x73\x74\x5f\x31\x5f\x72\x65\x73\x75\x6c\
\x74\x20\x3d\x20\x32\x34\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x62\x61\x72\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x73\
\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x3f\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\0\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\x4c\0\0\0\x68\0\0\0\0\0\0\0\x08\0\0\0\x73\x01\
\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\x30\0\0\0\x06\0\0\0\x10\0\0\0\x73\x01\0\0\x04\
\0\0\0\0\0\0\0\x75\0\0\0\x07\x01\0\0\x10\x38\0\0\x20\0\0\0\x75\0\0\0\x1c\x01\0\
\0\x05\x30\0\0\x30\0\0\0\x75\0\0\0\x2e\x01\0\0\x10\x54\0\0\x50\0\0\0\x75\0\0\0\
\x43\x01\0\0\x05\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xbe\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x20\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x2c\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x02\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x31\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9b\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\xd6\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x38\x05\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct struct_ops_autocreate2 *struct_ops_autocreate2::open(const struct bpf_object_open_opts *opts) { return struct_ops_autocreate2__open_opts(opts); }
struct struct_ops_autocreate2 *struct_ops_autocreate2::open_and_load() { return struct_ops_autocreate2__open_and_load(); }
int struct_ops_autocreate2::load(struct struct_ops_autocreate2 *skel) { return struct_ops_autocreate2__load(skel); }
int struct_ops_autocreate2::attach(struct struct_ops_autocreate2 *skel) { return struct_ops_autocreate2__attach(skel); }
void struct_ops_autocreate2::detach(struct struct_ops_autocreate2 *skel) { struct_ops_autocreate2__detach(skel); }
void struct_ops_autocreate2::destroy(struct struct_ops_autocreate2 *skel) { struct_ops_autocreate2__destroy(skel); }
const void *struct_ops_autocreate2::elf_bytes(size_t *sz) { return struct_ops_autocreate2__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
struct_ops_autocreate2__assert(struct struct_ops_autocreate2 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test_1_result) == 4, "unexpected size of 'test_1_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __STRUCT_OPS_AUTOCREATE2_SKEL_H__ */
