/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_AUTOATTACH_SKEL_H__
#define __TEST_AUTOATTACH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_autoattach {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *prog1;
		struct bpf_program *prog2;
	} progs;
	struct {
		struct bpf_link *prog1;
		struct bpf_link *prog2;
	} links;
	struct test_autoattach__bss {
		bool prog1_called;
		bool prog2_called;
	} *bss;

#ifdef __cplusplus
	static inline struct test_autoattach *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_autoattach *open_and_load();
	static inline int load(struct test_autoattach *skel);
	static inline int attach(struct test_autoattach *skel);
	static inline void detach(struct test_autoattach *skel);
	static inline void destroy(struct test_autoattach *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_autoattach__destroy(struct test_autoattach *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_autoattach__create_skeleton(struct test_autoattach *obj);

static inline struct test_autoattach *
test_autoattach__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_autoattach *obj;
	int err;

	obj = (struct test_autoattach *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_autoattach__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_autoattach__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_autoattach *
test_autoattach__open(void)
{
	return test_autoattach__open_opts(NULL);
}

static inline int
test_autoattach__load(struct test_autoattach *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_autoattach *
test_autoattach__open_and_load(void)
{
	struct test_autoattach *obj;
	int err;

	obj = test_autoattach__open();
	if (!obj)
		return NULL;
	err = test_autoattach__load(obj);
	if (err) {
		test_autoattach__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_autoattach__attach(struct test_autoattach *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_autoattach__detach(struct test_autoattach *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_autoattach__elf_bytes(size_t *sz);

static inline int
test_autoattach__create_skeleton(struct test_autoattach *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_autoattach";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_aut.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "prog1";
	s->progs[0].prog = &obj->progs.prog1;
	s->progs[0].link = &obj->links.prog1;

	s->progs[1].name = "prog2";
	s->progs[1].prog = &obj->progs.prog2;
	s->progs[1].link = &obj->links.prog2;

	s->data = test_autoattach__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_autoattach__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\
\x5f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x2e\x63\0\x70\x72\x6f\x67\x31\0\
\x70\x72\x6f\x67\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x70\x72\x6f\x67\x32\0\x70\
\x72\x6f\x67\x32\x5f\x63\x61\x6c\x6c\x65\x64\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\
\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x72\x61\x77\
\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x78\x69\x74\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x37\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x49\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x4f\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x5c\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x30\0\0\0\0\0\0\0\x62\0\0\0\x11\0\x05\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\xb4\0\0\0\xb4\0\0\0\x22\x01\0\0\0\0\0\0\0\0\0\x02\x02\
\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x0f\0\0\0\x01\0\0\x0c\x03\0\0\0\x15\0\0\0\0\0\0\x08\x08\0\0\0\x1a\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x04\x20\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x2d\0\0\0\0\
\0\0\x0e\x07\0\0\0\x01\0\0\0\xfc\0\0\0\x02\0\0\x0f\x02\0\0\0\x09\0\0\0\0\0\0\0\
\x01\0\0\0\x0a\0\0\0\x01\0\0\0\x01\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x70\x72\
\x6f\x67\x31\0\x70\x72\x6f\x67\x32\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\
\x70\x72\x6f\x67\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x70\x72\x6f\x67\x32\x5f\x63\
\x61\x6c\x6c\x65\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\
\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\
\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x61\x75\
\x74\x6f\x61\x74\x74\x61\x63\x68\x2e\x63\0\x09\x70\x72\x6f\x67\x31\x5f\x63\x61\
\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x30\x3b\0\x09\x70\x72\x6f\x67\x32\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\
\x74\x72\x75\x65\x3b\0\x2e\x62\x73\x73\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\
\x78\x69\x74\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x54\0\0\
\0\x78\0\0\0\0\0\0\0\x08\0\0\0\x01\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x12\x01\
\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\x01\x01\0\0\x02\0\0\0\0\0\0\0\x3a\0\
\0\0\xc5\0\0\0\x0f\x34\0\0\x20\0\0\0\x3a\0\0\0\xdb\0\0\0\x02\x38\0\0\x12\x01\0\
\0\x02\0\0\0\0\0\0\0\x3a\0\0\0\xe6\0\0\0\x0f\x50\0\0\x20\0\0\0\x3a\0\0\0\xdb\0\
\0\0\x02\x54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa6\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd8\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x32\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x84\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x98\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\xee\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x04\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_autoattach *test_autoattach::open(const struct bpf_object_open_opts *opts) { return test_autoattach__open_opts(opts); }
struct test_autoattach *test_autoattach::open_and_load() { return test_autoattach__open_and_load(); }
int test_autoattach::load(struct test_autoattach *skel) { return test_autoattach__load(skel); }
int test_autoattach::attach(struct test_autoattach *skel) { return test_autoattach__attach(skel); }
void test_autoattach::detach(struct test_autoattach *skel) { test_autoattach__detach(skel); }
void test_autoattach::destroy(struct test_autoattach *skel) { test_autoattach__destroy(skel); }
const void *test_autoattach::elf_bytes(size_t *sz) { return test_autoattach__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_autoattach__assert(struct test_autoattach *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->prog1_called) == 1, "unexpected size of 'prog1_called'");
	_Static_assert(sizeof(s->bss->prog2_called) == 1, "unexpected size of 'prog2_called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_AUTOATTACH_SKEL_H__ */
