/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_FILL_LINK_INFO_SKEL_H__
#define __TEST_FILL_LINK_INFO_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_fill_link_info {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *kconfig;
	} maps;
	struct {
		struct bpf_program *kprobe_run;
		struct bpf_program *uprobe_run;
		struct bpf_program *tp_run;
		struct bpf_program *event_run;
		struct bpf_program *kmulti_run;
		struct bpf_program *umulti_run;
	} progs;
	struct {
		struct bpf_link *kprobe_run;
		struct bpf_link *uprobe_run;
		struct bpf_link *tp_run;
		struct bpf_link *event_run;
		struct bpf_link *kmulti_run;
		struct bpf_link *umulti_run;
	} links;
	struct test_fill_link_info__kconfig {
		_Bool CONFIG_X86_KERNEL_IBT;
	} *kconfig;

#ifdef __cplusplus
	static inline struct test_fill_link_info *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_fill_link_info *open_and_load();
	static inline int load(struct test_fill_link_info *skel);
	static inline int attach(struct test_fill_link_info *skel);
	static inline void detach(struct test_fill_link_info *skel);
	static inline void destroy(struct test_fill_link_info *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_fill_link_info__destroy(struct test_fill_link_info *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_fill_link_info__create_skeleton(struct test_fill_link_info *obj);

static inline struct test_fill_link_info *
test_fill_link_info__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_fill_link_info *obj;
	int err;

	obj = (struct test_fill_link_info *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_fill_link_info__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_fill_link_info__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_fill_link_info *
test_fill_link_info__open(void)
{
	return test_fill_link_info__open_opts(NULL);
}

static inline int
test_fill_link_info__load(struct test_fill_link_info *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_fill_link_info *
test_fill_link_info__open_and_load(void)
{
	struct test_fill_link_info *obj;
	int err;

	obj = test_fill_link_info__open();
	if (!obj)
		return NULL;
	err = test_fill_link_info__load(obj);
	if (err) {
		test_fill_link_info__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_fill_link_info__attach(struct test_fill_link_info *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_fill_link_info__detach(struct test_fill_link_info *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_fill_link_info__elf_bytes(size_t *sz);

static inline int
test_fill_link_info__create_skeleton(struct test_fill_link_info *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_fill_link_info";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_fi.kconfig";
	map->map = &obj->maps.kconfig;
	map->mmaped = (void **)&obj->kconfig;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kprobe_run";
	s->progs[0].prog = &obj->progs.kprobe_run;
	s->progs[0].link = &obj->links.kprobe_run;

	s->progs[1].name = "uprobe_run";
	s->progs[1].prog = &obj->progs.uprobe_run;
	s->progs[1].link = &obj->links.uprobe_run;

	s->progs[2].name = "tp_run";
	s->progs[2].prog = &obj->progs.tp_run;
	s->progs[2].link = &obj->links.tp_run;

	s->progs[3].name = "event_run";
	s->progs[3].prog = &obj->progs.event_run;
	s->progs[3].link = &obj->links.event_run;

	s->progs[4].name = "kmulti_run";
	s->progs[4].prog = &obj->progs.kmulti_run;
	s->progs[4].link = &obj->links.kmulti_run;

	s->progs[5].name = "umulti_run";
	s->progs[5].prog = &obj->progs.umulti_run;
	s->progs[5].link = &obj->links.umulti_run;

	s->data = test_fill_link_info__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_fill_link_info__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x6b\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\0\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\0\x6b\
\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x75\x70\x72\x6f\x62\x65\x2e\x6d\
\x75\x6c\x74\x69\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x66\x69\
\x6c\x6c\x5f\x6c\x69\x6e\x6b\x5f\x69\x6e\x66\x6f\x2e\x63\0\x75\x6e\x75\x73\x65\
\x64\0\x43\x4f\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\
\x49\x42\x54\0\x6b\x70\x72\x6f\x62\x65\x5f\x72\x75\x6e\0\x75\x70\x72\x6f\x62\
\x65\x5f\x72\x75\x6e\0\x74\x70\x5f\x72\x75\x6e\0\x65\x76\x65\x6e\x74\x5f\x72\
\x75\x6e\0\x6b\x6d\x75\x6c\x74\x69\x5f\x72\x75\x6e\0\x75\x6d\x75\x6c\x74\x69\
\x5f\x72\x75\x6e\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\
\x65\x78\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x7a\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x9b\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa6\0\0\0\x12\0\x06\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xad\0\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xb7\0\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc2\0\0\0\
\x12\0\x09\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xcd\0\0\0\x11\0\x0a\0\0\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x10\0\0\0\0\0\
\0\xa4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x58\x01\0\0\x58\x01\0\0\x2d\x02\0\0\0\0\0\
\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x01\
\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\x02\x05\0\0\0\x0c\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x1f\0\0\0\x04\0\0\0\x23\0\0\0\x01\0\0\
\x0c\x06\0\0\0\x2e\0\0\0\x01\0\0\x0c\x06\0\0\0\x39\0\0\0\x01\0\0\x0c\x06\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x1f\0\0\0\x0a\0\0\0\
\x40\0\0\0\x01\0\0\x0c\x0b\0\0\0\x4a\0\0\0\x01\0\0\x0c\x06\0\0\0\x55\0\0\0\x01\
\0\0\x0c\x06\0\0\0\x60\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x66\0\0\0\0\0\0\
\x0e\x0f\0\0\0\x02\0\0\0\x7c\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\x81\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\x95\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xd8\x01\0\0\x01\0\0\x0f\x04\0\0\
\0\x14\0\0\0\0\0\0\0\x04\0\0\0\xe0\x01\0\0\x01\0\0\x0f\0\0\0\0\x10\0\0\0\0\0\0\
\0\x01\0\0\0\0\x69\x6e\x74\0\x75\x6e\x75\x73\x65\x64\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x6b\x70\x72\
\x6f\x62\x65\x5f\x72\x75\x6e\0\x75\x70\x72\x6f\x62\x65\x5f\x72\x75\x6e\0\x74\
\x70\x5f\x72\x75\x6e\0\x65\x76\x65\x6e\x74\x5f\x72\x75\x6e\0\x6b\x6d\x75\x6c\
\x74\x69\x5f\x72\x75\x6e\0\x75\x6d\x75\x6c\x74\x69\x5f\x72\x75\x6e\0\x5f\x42\
\x6f\x6f\x6c\0\x43\x4f\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\x45\
\x4c\x5f\x49\x42\x54\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\
\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x66\x69\x6c\x6c\x5f\x6c\x69\
\x6e\x6b\x5f\x69\x6e\x66\x6f\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x43\x4f\
\x4e\x46\x49\x47\x5f\x58\x38\x36\x5f\x4b\x45\x52\x4e\x45\x4c\x5f\x49\x42\x54\
\x20\x3f\x20\x30\x20\x3a\x20\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x6b\x70\x72\x6f\x62\x65\x5f\x72\x75\x6e\x29\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x75\x70\x72\x6f\x62\x65\x5f\x72\x75\x6e\x29\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x70\x5f\x72\x75\x6e\
\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x6b\x6d\x75\x6c\x74\x69\x5f\x72\x75\x6e\x29\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x75\x6d\x75\x6c\x74\x69\x5f\x72\
\x75\x6e\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x63\x6f\x6e\x66\x69\x67\0\
\x2e\x74\x65\x78\x74\0\x6b\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\0\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\
\0\x6b\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x75\x70\x72\x6f\x62\x65\
\x2e\x6d\x75\x6c\x74\x69\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x74\0\0\0\x74\
\0\0\0\xbc\0\0\0\x30\x01\0\0\0\0\0\0\x08\0\0\0\xe9\x01\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\xef\x01\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\xf6\x01\0\0\x01\0\0\0\0\0\0\
\0\x08\0\0\0\xfd\x01\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x08\x02\0\0\x01\0\0\0\0\0\
\0\0\x0c\0\0\0\x13\x02\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x20\x02\0\0\x01\0\0\0\0\
\0\0\0\x0e\0\0\0\x10\0\0\0\xe9\x01\0\0\x02\0\0\0\0\0\0\0\x9e\0\0\0\x2d\x01\0\0\
\x09\x3c\0\0\x20\0\0\0\x9e\0\0\0\x2d\x01\0\0\x02\x3c\0\0\xef\x01\0\0\x01\0\0\0\
\0\0\0\0\x9e\0\0\0\x54\x01\0\0\x05\x4c\0\0\xf6\x01\0\0\x01\0\0\0\0\0\0\0\x9e\0\
\0\0\x6d\x01\0\0\x05\x64\0\0\xfd\x01\0\0\x01\0\0\0\0\0\0\0\x9e\0\0\0\x86\x01\0\
\0\x05\x7c\0\0\x08\x02\0\0\x01\0\0\0\0\0\0\0\x9e\0\0\0\x9b\x01\0\0\x02\x9c\0\0\
\x13\x02\0\0\x01\0\0\0\0\0\0\0\x9e\0\0\0\xa6\x01\0\0\x05\xac\0\0\x20\x02\0\0\
\x01\0\0\0\0\0\0\0\x9e\0\0\0\xbf\x01\0\0\x05\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xee\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\
\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x02\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x28\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x03\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd6\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\x9d\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x20\x07\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_fill_link_info *test_fill_link_info::open(const struct bpf_object_open_opts *opts) { return test_fill_link_info__open_opts(opts); }
struct test_fill_link_info *test_fill_link_info::open_and_load() { return test_fill_link_info__open_and_load(); }
int test_fill_link_info::load(struct test_fill_link_info *skel) { return test_fill_link_info__load(skel); }
int test_fill_link_info::attach(struct test_fill_link_info *skel) { return test_fill_link_info__attach(skel); }
void test_fill_link_info::detach(struct test_fill_link_info *skel) { test_fill_link_info__detach(skel); }
void test_fill_link_info::destroy(struct test_fill_link_info *skel) { test_fill_link_info__destroy(skel); }
const void *test_fill_link_info::elf_bytes(size_t *sz) { return test_fill_link_info__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_fill_link_info__assert(struct test_fill_link_info *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->kconfig->CONFIG_X86_KERNEL_IBT) == 1, "unexpected size of 'CONFIG_X86_KERNEL_IBT'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_FILL_LINK_INFO_SKEL_H__ */
