/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_MIGRATE_REUSEPORT_SKEL_H__
#define __TEST_MIGRATE_REUSEPORT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_migrate_reuseport {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *migrate_map;
		struct bpf_map *reuseport_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *drop_ack;
		struct bpf_program *migrate_reuseport;
	} progs;
	struct {
		struct bpf_link *drop_ack;
		struct bpf_link *migrate_reuseport;
	} links;
	struct test_migrate_reuseport__bss {
		int migrated_at_close;
		int migrated_at_close_fastopen;
		int migrated_at_send_synack;
		int migrated_at_recv_ack;
		__be16 server_port;
	} *bss;

#ifdef __cplusplus
	static inline struct test_migrate_reuseport *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_migrate_reuseport *open_and_load();
	static inline int load(struct test_migrate_reuseport *skel);
	static inline int attach(struct test_migrate_reuseport *skel);
	static inline void detach(struct test_migrate_reuseport *skel);
	static inline void destroy(struct test_migrate_reuseport *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_migrate_reuseport__destroy(struct test_migrate_reuseport *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_migrate_reuseport__create_skeleton(struct test_migrate_reuseport *obj);

static inline struct test_migrate_reuseport *
test_migrate_reuseport__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_migrate_reuseport *obj;
	int err;

	obj = (struct test_migrate_reuseport *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_migrate_reuseport__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_migrate_reuseport__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_migrate_reuseport *
test_migrate_reuseport__open(void)
{
	return test_migrate_reuseport__open_opts(NULL);
}

static inline int
test_migrate_reuseport__load(struct test_migrate_reuseport *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_migrate_reuseport *
test_migrate_reuseport__open_and_load(void)
{
	struct test_migrate_reuseport *obj;
	int err;

	obj = test_migrate_reuseport__open();
	if (!obj)
		return NULL;
	err = test_migrate_reuseport__load(obj);
	if (err) {
		test_migrate_reuseport__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_migrate_reuseport__attach(struct test_migrate_reuseport *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_migrate_reuseport__detach(struct test_migrate_reuseport *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_migrate_reuseport__elf_bytes(size_t *sz);

static inline int
test_migrate_reuseport__create_skeleton(struct test_migrate_reuseport *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_migrate_reuseport";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "migrate_map";
	map->map = &obj->maps.migrate_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "reuseport_map";
	map->map = &obj->maps.reuseport_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_mig.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "drop_ack";
	s->progs[0].prog = &obj->progs.drop_ack;
	s->progs[0].link = &obj->links.drop_ack;

	s->progs[1].name = "migrate_reuseport";
	s->progs[1].prog = &obj->progs.migrate_reuseport;
	s->progs[1].link = &obj->links.migrate_reuseport;

	s->data = test_migrate_reuseport__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_migrate_reuseport__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x2f\x6d\x69\x67\x72\x61\
\x74\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x74\x65\x73\x74\x5f\x6d\x69\x67\x72\x61\x74\x65\x5f\x72\x65\x75\x73\x65\x70\
\x6f\x72\x74\x2e\x63\0\x64\x72\x6f\x70\x5f\x61\x63\x6b\0\x73\x65\x72\x76\x65\
\x72\x5f\x70\x6f\x72\x74\0\x6d\x69\x67\x72\x61\x74\x65\x5f\x72\x65\x75\x73\x65\
\x70\x6f\x72\x74\0\x6d\x69\x67\x72\x61\x74\x65\x5f\x6d\x61\x70\0\x72\x65\x75\
\x73\x65\x70\x6f\x72\x74\x5f\x6d\x61\x70\0\x6d\x69\x67\x72\x61\x74\x65\x64\x5f\
\x61\x74\x5f\x63\x6c\x6f\x73\x65\0\x6d\x69\x67\x72\x61\x74\x65\x64\x5f\x61\x74\
\x5f\x63\x6c\x6f\x73\x65\x5f\x66\x61\x73\x74\x6f\x70\x65\x6e\0\x6d\x69\x67\x72\
\x61\x74\x65\x64\x5f\x61\x74\x5f\x73\x65\x6e\x64\x5f\x73\x79\x6e\x61\x63\x6b\0\
\x6d\x69\x67\x72\x61\x74\x65\x64\x5f\x61\x74\x5f\x72\x65\x63\x76\x5f\x61\x63\
\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x78\x64\x70\0\x2e\x72\
\x65\x6c\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x2f\x6d\x69\x67\x72\
\x61\x74\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x5f\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\0\0\0\0\x6b\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\x7d\0\
\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x89\0\0\0\x11\0\x06\0\x20\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x97\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xa9\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc4\0\0\0\
\x11\0\x05\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xdc\0\0\0\x11\0\x05\0\x0c\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf1\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x61\x12\x04\0\0\0\0\0\x61\x13\0\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\x07\x01\0\
\0\x0e\0\0\0\x2d\x21\x22\0\0\0\0\0\x71\x35\x0c\0\0\0\0\0\x71\x34\x0d\0\0\0\0\0\
\x64\x04\0\0\x08\0\0\0\x4c\x54\0\0\0\0\0\0\xdc\x04\0\0\x10\0\0\0\x16\x04\x0b\0\
\xdd\x86\0\0\x56\x04\x1b\0\0\x08\0\0\xbf\x34\0\0\0\0\0\0\x07\x04\0\0\x22\0\0\0\
\x2d\x24\x18\0\0\0\0\0\x71\x33\x17\0\0\0\0\0\x56\x03\x16\0\x06\0\0\0\x71\x13\0\
\0\0\0\0\0\x67\x03\0\0\x02\0\0\0\x57\x03\0\0\x3c\0\0\0\x0f\x31\0\0\0\0\0\0\x05\
\0\x05\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\x07\x01\0\0\x36\0\0\0\x2d\x21\x0e\0\0\0\0\
\0\x71\x33\x14\0\0\0\0\0\x56\x03\x0c\0\x06\0\0\0\xbf\x13\0\0\0\0\0\0\x07\x03\0\
\0\x14\0\0\0\x2d\x23\x09\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x22\
\0\0\0\0\0\0\x69\x13\x02\0\0\0\0\0\x5e\x23\x04\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\
\x69\x11\x0c\0\0\0\0\0\x54\x01\0\0\0\x12\0\0\x16\x01\x01\0\0\x10\0\0\xb4\0\0\0\
\x02\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x79\x61\
\x30\0\0\0\0\0\x15\x01\x24\0\0\0\0\0\x61\x17\x48\0\0\0\0\0\x79\x61\x28\0\0\0\0\
\0\x85\0\0\0\x2e\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x03\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x15\x03\x18\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x52\0\0\0\
\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x56\x01\x10\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x16\x07\x0b\0\x01\0\0\0\x16\x07\x04\0\x0c\0\0\0\x56\x07\
\x0b\0\x03\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\x06\0\0\0\0\0\x61\
\x62\x10\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x02\x02\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xc3\x21\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\
\0\0\x50\x04\0\0\x50\x04\0\0\x8b\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\x02\x08\
\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x32\0\0\0\x01\0\0\0\0\
\0\0\0\x37\0\0\0\x05\0\0\0\x40\0\0\0\x43\0\0\0\x07\0\0\0\x80\0\0\0\x47\0\0\0\
\x0a\0\0\0\xc0\0\0\0\x4d\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\
\0\0\x04\x20\0\0\0\x32\0\0\0\x0d\0\0\0\0\0\0\0\x37\0\0\0\x05\0\0\0\x40\0\0\0\
\x43\0\0\0\x0a\0\0\0\x80\0\0\0\x47\0\0\0\x07\0\0\0\xc0\0\0\0\x59\0\0\0\0\0\0\
\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\x67\0\0\0\x06\0\0\x04\x18\
\0\0\0\x6e\0\0\0\x13\0\0\0\0\0\0\0\x73\0\0\0\x13\0\0\0\x20\0\0\0\x7c\0\0\0\x13\
\0\0\0\x40\0\0\0\x86\0\0\0\x13\0\0\0\x60\0\0\0\x96\0\0\0\x13\0\0\0\x80\0\0\0\
\xa5\0\0\0\x13\0\0\0\xa0\0\0\0\xb4\0\0\0\0\0\0\x08\x14\0\0\0\xba\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xc7\0\0\0\x11\0\0\0\xcb\
\0\0\0\x01\0\0\x0c\x15\0\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\xd4\0\0\0\x09\0\0\x04\
\x38\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x40\0\0\0\xe4\0\0\0\x13\
\0\0\0\x80\0\0\0\xe8\0\0\0\x13\0\0\0\xa0\0\0\0\xf5\0\0\0\x13\0\0\0\xc0\0\0\0\
\x01\x01\0\0\x13\0\0\0\xe0\0\0\0\x0c\x01\0\0\x13\0\0\0\0\x01\0\0\0\0\0\0\x1c\0\
\0\0\x40\x01\0\0\0\0\0\0\x1e\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\x6e\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\
\0\0\0\x73\0\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x11\x01\0\0\
\x1d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\x14\x01\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x21\x01\0\0\x17\0\
\0\0\x2a\x01\0\0\x01\0\0\x0c\x1f\0\0\0\x3c\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\
\0\x4e\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x69\x01\0\0\0\0\0\x0e\x02\0\0\0\
\x01\0\0\0\x81\x01\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x96\x01\0\0\0\0\0\x08\x26\
\0\0\0\x9d\x01\0\0\0\0\0\x08\x27\0\0\0\xa3\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\
\0\xb2\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\xbe\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x29\0\0\0\x04\0\0\0\x04\0\0\0\xc3\x01\0\
\0\0\0\0\x0e\x2a\0\0\0\x01\0\0\0\xcc\x01\0\0\0\0\0\x07\0\0\0\0\x63\x05\0\0\x05\
\0\0\x0f\x12\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\x22\0\0\0\x04\0\0\0\x04\0\0\0\
\x23\0\0\0\x08\0\0\0\x04\0\0\0\x24\0\0\0\x0c\0\0\0\x04\0\0\0\x28\0\0\0\x10\0\0\
\0\x02\0\0\0\x68\x05\0\0\x02\0\0\x0f\x40\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x10\
\0\0\0\x20\0\0\0\x20\0\0\0\x6e\x05\0\0\x01\0\0\x0f\x04\0\0\0\x2b\0\0\0\0\0\0\0\
\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x69\
\x67\x72\x61\x74\x65\x5f\x6d\x61\x70\0\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x5f\
\x6d\x61\x70\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\
\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\
\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\
\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\
\x64\x70\0\x64\x72\x6f\x70\x5f\x61\x63\x6b\0\x73\x6b\x5f\x72\x65\x75\x73\x65\
\x70\x6f\x72\x74\x5f\x6d\x64\0\x6c\x65\x6e\0\x65\x74\x68\x5f\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x69\x70\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x62\x69\x6e\
\x64\x5f\x69\x6e\x61\x6e\x79\0\x68\x61\x73\x68\0\x73\x6b\0\x6d\x69\x67\x72\x61\
\x74\x69\x6e\x67\x5f\x73\x6b\0\x72\x65\x75\x73\x65\x5f\x6d\x64\0\x6d\x69\x67\
\x72\x61\x74\x65\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x6d\x69\x67\x72\x61\
\x74\x65\x64\x5f\x61\x74\x5f\x63\x6c\x6f\x73\x65\0\x6d\x69\x67\x72\x61\x74\x65\
\x64\x5f\x61\x74\x5f\x63\x6c\x6f\x73\x65\x5f\x66\x61\x73\x74\x6f\x70\x65\x6e\0\
\x6d\x69\x67\x72\x61\x74\x65\x64\x5f\x61\x74\x5f\x73\x65\x6e\x64\x5f\x73\x79\
\x6e\x61\x63\x6b\0\x6d\x69\x67\x72\x61\x74\x65\x64\x5f\x61\x74\x5f\x72\x65\x63\
\x76\x5f\x61\x63\x6b\0\x5f\x5f\x62\x65\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x73\x65\x72\x76\x65\x72\x5f\
\x70\x6f\x72\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\
\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\
\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6d\
\x69\x67\x72\x61\x74\x65\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x2e\x63\0\x09\
\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\
\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\
\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x20\
\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\
\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\x31\
\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x73\x77\x69\x74\x63\x68\
\x20\x28\x62\x70\x66\x5f\x6e\x74\x6f\x68\x73\x28\x65\x74\x68\x2d\x3e\x68\x5f\
\x70\x72\x6f\x74\x6f\x29\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x69\x70\x20\x2b\
\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x09\x69\x66\x20\
\x28\x69\x70\x2d\x3e\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x20\x21\x3d\x20\x49\x50\
\x50\x52\x4f\x54\x4f\x5f\x54\x43\x50\x29\0\x09\x09\x74\x63\x70\x20\x3d\x20\x28\
\x73\x74\x72\x75\x63\x74\x20\x74\x63\x70\x68\x64\x72\x20\x2a\x29\x28\x28\x76\
\x6f\x69\x64\x20\x2a\x29\x69\x70\x20\x2b\x20\x69\x70\x2d\x3e\x69\x68\x6c\x20\
\x2a\x20\x34\x29\x3b\0\x09\x09\x69\x66\x20\x28\x69\x70\x76\x36\x20\x2b\x20\x31\
\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x09\x69\x66\x20\x28\x69\
\x70\x76\x36\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x20\x21\x3d\x20\x49\x50\x50\
\x52\x4f\x54\x4f\x5f\x54\x43\x50\x29\0\x09\x69\x66\x20\x28\x74\x63\x70\x20\x2b\
\x20\x31\x20\x3e\x20\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\0\x09\x69\x66\x20\x28\
\x74\x63\x70\x2d\x3e\x64\x65\x73\x74\x20\x21\x3d\x20\x73\x65\x72\x76\x65\x72\
\x5f\x70\x6f\x72\x74\x29\0\x09\x69\x66\x20\x28\x21\x74\x63\x70\x2d\x3e\x73\x79\
\x6e\x20\x26\x26\x20\x74\x63\x70\x2d\x3e\x61\x63\x6b\x29\0\x7d\0\x69\x6e\x74\
\x20\x6d\x69\x67\x72\x61\x74\x65\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x28\
\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\
\x5f\x6d\x64\x20\x2a\x72\x65\x75\x73\x65\x5f\x6d\x64\x29\0\x09\x69\x66\x20\x28\
\x21\x72\x65\x75\x73\x65\x5f\x6d\x64\x2d\x3e\x6d\x69\x67\x72\x61\x74\x69\x6e\
\x67\x5f\x73\x6b\x29\0\x09\x73\x74\x61\x74\x65\x20\x3d\x20\x72\x65\x75\x73\x65\
\x5f\x6d\x64\x2d\x3e\x6d\x69\x67\x72\x61\x74\x69\x6e\x67\x5f\x73\x6b\x2d\x3e\
\x73\x74\x61\x74\x65\x3b\0\x09\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\
\x5f\x67\x65\x74\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x28\
\x72\x65\x75\x73\x65\x5f\x6d\x64\x2d\x3e\x73\x6b\x29\x3b\0\x09\x6b\x65\x79\x20\
\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\
\x65\x6d\x28\x26\x6d\x69\x67\x72\x61\x74\x65\x5f\x6d\x61\x70\x2c\x20\x26\x63\
\x6f\x6f\x6b\x69\x65\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6b\x65\x79\x29\0\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x65\x6c\x65\x63\x74\
\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x28\x72\x65\x75\x73\x65\x5f\x6d\x64\
\x2c\x20\x26\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x5f\x6d\x61\x70\x2c\x20\x6b\
\x65\x79\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\
\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x73\x74\x61\x74\x65\x29\x20\x7b\0\
\x09\x09\x69\x66\x20\x28\x21\x72\x65\x75\x73\x65\x5f\x6d\x64\x2d\x3e\x6c\x65\
\x6e\x29\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x73\x6b\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\x2f\x6d\x69\x67\x72\x61\x74\
\x65\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x74\x02\0\
\0\x98\x02\0\0\0\0\0\0\x08\0\0\0\xc7\0\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x76\x05\
\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\xc7\0\0\0\x18\0\0\0\0\0\0\0\xd5\x01\
\0\0\x67\x02\0\0\x26\xbc\0\0\x08\0\0\0\xd5\x01\0\0\x96\x02\0\0\x22\xc0\0\0\x10\
\0\0\0\xd5\x01\0\0\xbd\x02\0\0\x0a\xd0\0\0\x20\0\0\0\xd5\x01\0\0\xbd\x02\0\0\
\x06\xd0\0\0\x28\0\0\0\xd5\x01\0\0\xd6\x02\0\0\x0a\xdc\0\0\x50\0\0\0\xd5\x01\0\
\0\xd6\x02\0\0\x02\xdc\0\0\x60\0\0\0\xd5\x01\0\0\xfa\x02\0\0\x0a\xec\0\0\x70\0\
\0\0\xd5\x01\0\0\xfa\x02\0\0\x07\xec\0\0\x78\0\0\0\xd5\x01\0\0\x13\x03\0\0\x0b\
\xf8\0\0\x80\0\0\0\xd5\x01\0\0\x13\x03\0\0\x07\xf8\0\0\x88\0\0\0\xd5\x01\0\0\
\x36\x03\0\0\x2c\x04\x01\0\x90\0\0\0\xd5\x01\0\0\x36\x03\0\0\x30\x04\x01\0\xa0\
\0\0\0\xd5\x01\0\0\x36\x03\0\0\x26\x04\x01\0\xb0\0\0\0\xd5\x01\0\0\x6b\x03\0\0\
\x0c\x1c\x01\0\xc0\0\0\0\xd5\x01\0\0\x6b\x03\0\0\x07\x1c\x01\0\xc8\0\0\0\xd5\
\x01\0\0\x86\x03\0\0\x0d\x28\x01\0\xd8\0\0\0\xd5\x01\0\0\xaa\x03\0\0\x0a\x50\
\x01\0\xe8\0\0\0\xd5\x01\0\0\xaa\x03\0\0\x06\x50\x01\0\xf0\0\0\0\xd5\x01\0\0\
\xc3\x03\0\0\x13\x5c\x01\0\x08\x01\0\0\xd5\x01\0\0\xc3\x03\0\0\x0b\x5c\x01\0\
\x10\x01\0\0\xd5\x01\0\0\xc3\x03\0\0\x06\x5c\x01\0\x20\x01\0\0\xd5\x01\0\0\xe2\
\x03\0\0\x0c\x68\x01\0\x28\x01\0\0\xd5\x01\0\0\xe2\x03\0\0\x10\x68\x01\0\x40\
\x01\0\0\xd5\x01\0\0\xfe\x03\0\0\x01\x7c\x01\0\x76\x05\0\0\x0e\0\0\0\0\0\0\0\
\xd5\x01\0\0\0\x04\0\0\0\x88\x01\0\x10\0\0\0\xd5\x01\0\0\x38\x04\0\0\x11\x9c\
\x01\0\x18\0\0\0\xd5\x01\0\0\x38\x04\0\0\x06\x9c\x01\0\x20\0\0\0\xd5\x01\0\0\
\x56\x04\0\0\x22\xa8\x01\0\x28\0\0\0\xd5\x01\0\0\x7e\x04\0\0\x2b\xac\x01\0\x30\
\0\0\0\xd5\x01\0\0\x7e\x04\0\0\x0b\xac\x01\0\x38\0\0\0\xd5\x01\0\0\x7e\x04\0\0\
\x09\xac\x01\0\x50\0\0\0\xd5\x01\0\0\xad\x04\0\0\x08\xb4\x01\0\x78\0\0\0\xd5\
\x01\0\0\xe0\x04\0\0\x06\xb8\x01\0\x80\0\0\0\xd5\x01\0\0\xeb\x04\0\0\x08\xc4\
\x01\0\xb8\0\0\0\xd5\x01\0\0\x31\x05\0\0\x06\xc8\x01\0\xd0\0\0\0\xd5\x01\0\0\
\x3b\x05\0\0\x02\xd4\x01\0\0\x01\0\0\xd5\x01\0\0\x4d\x05\0\0\x12\xf4\x01\0\x40\
\x01\0\0\xd5\x01\0\0\xfe\x03\0\0\x01\x14\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x29\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\
\x50\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x02\0\0\0\0\0\0\x48\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x90\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xfa\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x05\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x02\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\
\x60\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x1b\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x06\0\0\0\0\0\0\xf3\x09\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_migrate_reuseport *test_migrate_reuseport::open(const struct bpf_object_open_opts *opts) { return test_migrate_reuseport__open_opts(opts); }
struct test_migrate_reuseport *test_migrate_reuseport::open_and_load() { return test_migrate_reuseport__open_and_load(); }
int test_migrate_reuseport::load(struct test_migrate_reuseport *skel) { return test_migrate_reuseport__load(skel); }
int test_migrate_reuseport::attach(struct test_migrate_reuseport *skel) { return test_migrate_reuseport__attach(skel); }
void test_migrate_reuseport::detach(struct test_migrate_reuseport *skel) { test_migrate_reuseport__detach(skel); }
void test_migrate_reuseport::destroy(struct test_migrate_reuseport *skel) { test_migrate_reuseport__destroy(skel); }
const void *test_migrate_reuseport::elf_bytes(size_t *sz) { return test_migrate_reuseport__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_migrate_reuseport__assert(struct test_migrate_reuseport *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->migrated_at_close) == 4, "unexpected size of 'migrated_at_close'");
	_Static_assert(sizeof(s->bss->migrated_at_close_fastopen) == 4, "unexpected size of 'migrated_at_close_fastopen'");
	_Static_assert(sizeof(s->bss->migrated_at_send_synack) == 4, "unexpected size of 'migrated_at_send_synack'");
	_Static_assert(sizeof(s->bss->migrated_at_recv_ack) == 4, "unexpected size of 'migrated_at_recv_ack'");
	_Static_assert(sizeof(s->bss->server_port) == 2, "unexpected size of 'server_port'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_MIGRATE_REUSEPORT_SKEL_H__ */
