/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_NETFILTER_LINK_ATTACH_SKEL_H__
#define __TEST_NETFILTER_LINK_ATTACH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_netfilter_link_attach {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *nf_link_attach_test;
	} progs;
	struct {
		struct bpf_link *nf_link_attach_test;
	} links;

#ifdef __cplusplus
	static inline struct test_netfilter_link_attach *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_netfilter_link_attach *open_and_load();
	static inline int load(struct test_netfilter_link_attach *skel);
	static inline int attach(struct test_netfilter_link_attach *skel);
	static inline void detach(struct test_netfilter_link_attach *skel);
	static inline void destroy(struct test_netfilter_link_attach *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_netfilter_link_attach__destroy(struct test_netfilter_link_attach *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_netfilter_link_attach__create_skeleton(struct test_netfilter_link_attach *obj);

static inline struct test_netfilter_link_attach *
test_netfilter_link_attach__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_netfilter_link_attach *obj;
	int err;

	obj = (struct test_netfilter_link_attach *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_netfilter_link_attach__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_netfilter_link_attach__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_netfilter_link_attach *
test_netfilter_link_attach__open(void)
{
	return test_netfilter_link_attach__open_opts(NULL);
}

static inline int
test_netfilter_link_attach__load(struct test_netfilter_link_attach *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_netfilter_link_attach *
test_netfilter_link_attach__open_and_load(void)
{
	struct test_netfilter_link_attach *obj;
	int err;

	obj = test_netfilter_link_attach__open();
	if (!obj)
		return NULL;
	err = test_netfilter_link_attach__load(obj);
	if (err) {
		test_netfilter_link_attach__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_netfilter_link_attach__attach(struct test_netfilter_link_attach *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_netfilter_link_attach__detach(struct test_netfilter_link_attach *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_netfilter_link_attach__elf_bytes(size_t *sz);

static inline int
test_netfilter_link_attach__create_skeleton(struct test_netfilter_link_attach *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_netfilter_link_attach";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "nf_link_attach_test";
	s->progs[0].prog = &obj->progs.nf_link_attach_test;
	s->progs[0].link = &obj->links.nf_link_attach_test;

	s->data = test_netfilter_link_attach__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_netfilter_link_attach__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6e\x65\
\x74\x66\x69\x6c\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\
\x5f\x6e\x65\x74\x66\x69\x6c\x74\x65\x72\x5f\x6c\x69\x6e\x6b\x5f\x61\x74\x74\
\x61\x63\x68\x2e\x63\0\x6e\x66\x5f\x6c\x69\x6e\x6b\x5f\x61\x74\x74\x61\x63\x68\
\x5f\x74\x65\x73\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x23\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x54\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\
\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\
\0\0\0\0\0\xfc\0\0\0\xfc\0\0\0\x25\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\
\0\x02\0\0\x04\x10\0\0\0\x0c\0\0\0\x03\0\0\0\0\0\0\0\x12\0\0\0\x05\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\x02\x04\0\0\0\0\0\0\0\0\0\0\x0a\x0e\0\0\0\0\0\0\0\0\0\0\x02\
\x0d\0\0\0\0\0\0\0\x01\0\0\x0d\x07\0\0\0\x16\0\0\0\x01\0\0\0\x1a\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x1e\0\0\0\x01\0\0\x0c\x06\0\0\0\x32\0\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x04\0\0\0\
\x37\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4b\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\
\0\x54\0\0\0\0\0\0\x07\0\0\0\0\x5c\0\0\0\0\0\0\x07\0\0\0\0\x13\x01\0\0\x01\0\0\
\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x70\x66\x5f\x6e\x66\x5f\x63\
\x74\x78\0\x73\x74\x61\x74\x65\0\x73\x6b\x62\0\x63\x74\x78\0\x69\x6e\x74\0\x6e\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x61\x74\x74\x61\x63\x68\x5f\x74\x65\x73\x74\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6b\x5f\x62\x75\x66\x66\0\
\x6e\x66\x5f\x68\x6f\x6f\x6b\x5f\x73\x74\x61\x74\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\
\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\
\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x6e\x65\x74\x66\x69\x6c\x74\x65\x72\x5f\x6c\x69\x6e\
\x6b\x5f\x61\x74\x74\x61\x63\x68\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x4e\
\x46\x5f\x41\x43\x43\x45\x50\x54\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x65\
\x74\x66\x69\x6c\x74\x65\x72\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x1b\x01\0\0\x01\0\0\
\0\0\0\0\0\x08\0\0\0\x10\0\0\0\x1b\x01\0\0\x01\0\0\0\0\0\0\0\x6a\0\0\0\0\x01\0\
\0\x02\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6b\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x38\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x5d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x01\0\0\0\0\
\0\0\x39\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_netfilter_link_attach *test_netfilter_link_attach::open(const struct bpf_object_open_opts *opts) { return test_netfilter_link_attach__open_opts(opts); }
struct test_netfilter_link_attach *test_netfilter_link_attach::open_and_load() { return test_netfilter_link_attach__open_and_load(); }
int test_netfilter_link_attach::load(struct test_netfilter_link_attach *skel) { return test_netfilter_link_attach__load(skel); }
int test_netfilter_link_attach::attach(struct test_netfilter_link_attach *skel) { return test_netfilter_link_attach__attach(skel); }
void test_netfilter_link_attach::detach(struct test_netfilter_link_attach *skel) { test_netfilter_link_attach__detach(skel); }
void test_netfilter_link_attach::destroy(struct test_netfilter_link_attach *skel) { test_netfilter_link_attach__destroy(skel); }
const void *test_netfilter_link_attach::elf_bytes(size_t *sz) { return test_netfilter_link_attach__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_netfilter_link_attach__assert(struct test_netfilter_link_attach *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_NETFILTER_LINK_ATTACH_SKEL_H__ */
