/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PROBE_READ_USER_STR_SKEL_H__
#define __TEST_PROBE_READ_USER_STR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_probe_read_user_str {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *on_write;
	} progs;
	struct {
		struct bpf_link *on_write;
	} links;
	struct test_probe_read_user_str__bss {
		pid_t pid;
		char __pad0[4];
		long ret;
		void *user_ptr;
		char buf[256];
	} *bss;

#ifdef __cplusplus
	static inline struct test_probe_read_user_str *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_probe_read_user_str *open_and_load();
	static inline int load(struct test_probe_read_user_str *skel);
	static inline int attach(struct test_probe_read_user_str *skel);
	static inline void detach(struct test_probe_read_user_str *skel);
	static inline void destroy(struct test_probe_read_user_str *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_probe_read_user_str__destroy(struct test_probe_read_user_str *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_probe_read_user_str__create_skeleton(struct test_probe_read_user_str *obj);

static inline struct test_probe_read_user_str *
test_probe_read_user_str__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_probe_read_user_str *obj;
	int err;

	obj = (struct test_probe_read_user_str *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_probe_read_user_str__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_probe_read_user_str__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_probe_read_user_str *
test_probe_read_user_str__open(void)
{
	return test_probe_read_user_str__open_opts(NULL);
}

static inline int
test_probe_read_user_str__load(struct test_probe_read_user_str *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_probe_read_user_str *
test_probe_read_user_str__open_and_load(void)
{
	struct test_probe_read_user_str *obj;
	int err;

	obj = test_probe_read_user_str__open();
	if (!obj)
		return NULL;
	err = test_probe_read_user_str__load(obj);
	if (err) {
		test_probe_read_user_str__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_probe_read_user_str__attach(struct test_probe_read_user_str *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_probe_read_user_str__detach(struct test_probe_read_user_str *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_probe_read_user_str__elf_bytes(size_t *sz);

static inline int
test_probe_read_user_str__create_skeleton(struct test_probe_read_user_str *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_probe_read_user_str";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_pro.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "on_write";
	s->progs[0].prog = &obj->progs.on_write;
	s->progs[0].link = &obj->links.on_write;

	s->data = test_probe_read_user_str__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_probe_read_user_str__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x90\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\
\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x5f\x73\x74\x72\x2e\x63\0\x6f\
\x6e\x5f\x77\x72\x69\x74\x65\0\x70\x69\x64\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\
\x62\x75\x66\0\x72\x65\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\
\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\
\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x6a\0\0\0\x11\0\x04\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x6e\0\0\0\x11\0\x04\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x77\0\0\0\x11\0\x04\0\x18\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\x7b\0\0\0\x11\
\0\x04\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x05\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x16\0\0\0\0\0\0\
\x67\x06\0\0\x20\0\0\0\xc7\x06\0\0\x20\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\
\0\0\0\x5d\x60\x0a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x13\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\0\x01\0\0\x85\0\0\0\x72\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\
\x78\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x58\x01\
\0\0\x58\x01\0\0\x93\x01\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x03\
\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\
\x01\0\0\x0c\x02\0\0\0\x12\0\0\0\0\0\0\x08\x06\0\0\0\x18\0\0\0\0\0\0\x08\x03\0\
\0\0\x20\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x24\0\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\x29\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x2d\0\0\0\0\0\0\x0e\x01\0\0\0\
\x01\0\0\0\x36\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x0b\0\0\0\x0d\0\0\0\0\x01\0\0\x3b\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4f\0\0\
\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0b\0\0\0\x0d\0\0\0\
\x04\0\0\0\x53\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x5e\x01\0\0\x04\0\0\x0f\x18\
\x01\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\x09\0\0\0\x08\0\0\0\x08\0\0\0\x0a\0\0\0\
\x10\0\0\0\x08\0\0\0\x0e\0\0\0\x18\0\0\0\0\x01\0\0\x63\x01\0\0\x01\0\0\x0f\x04\
\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x6f\x6e\x5f\
\x77\x72\x69\x74\x65\0\x70\x69\x64\x5f\x74\0\x5f\x5f\x70\x69\x64\x5f\x74\0\x70\
\x69\x64\0\x6c\x6f\x6e\x67\0\x72\x65\x74\0\x75\x73\x65\x72\x5f\x70\x74\x72\0\
\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x62\x75\x66\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\
\x5f\x75\x73\x65\x72\x5f\x73\x74\x72\x2e\x63\0\x09\x69\x66\x20\x28\x70\x69\x64\
\x20\x21\x3d\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\
\x29\0\x09\x72\x65\x74\x20\x3d\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\
\x65\x61\x64\x5f\x75\x73\x65\x72\x5f\x73\x74\x72\x28\x62\x75\x66\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x62\x75\x66\x29\x2c\x20\x75\x73\x65\x72\x5f\x70\x74\
\x72\x29\x3b\0\x7d\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\0\0\
\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x8c\0\0\0\xa0\0\0\0\
\0\0\0\0\x08\0\0\0\x6b\x01\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x6b\x01\0\
\0\x08\0\0\0\0\0\0\0\x5c\0\0\0\xf0\0\0\0\x06\x44\0\0\x28\0\0\0\x5c\0\0\0\xf0\0\
\0\0\x0e\x44\0\0\x30\0\0\0\x5c\0\0\0\xf0\0\0\0\x29\x44\0\0\x38\0\0\0\x5c\0\0\0\
\xf0\0\0\0\x06\x44\0\0\x40\0\0\0\x5c\0\0\0\x20\x01\0\0\x32\x50\0\0\x58\0\0\0\
\x5c\0\0\0\x20\x01\0\0\x08\x50\0\0\x78\0\0\0\x5c\0\0\0\x20\x01\0\0\x06\x50\0\0\
\x90\0\0\0\x5c\0\0\0\x5c\x01\0\0\x01\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\xc2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\xd8\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\xa0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x08\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x88\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x02\0\0\0\0\0\0\x03\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\
\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_probe_read_user_str *test_probe_read_user_str::open(const struct bpf_object_open_opts *opts) { return test_probe_read_user_str__open_opts(opts); }
struct test_probe_read_user_str *test_probe_read_user_str::open_and_load() { return test_probe_read_user_str__open_and_load(); }
int test_probe_read_user_str::load(struct test_probe_read_user_str *skel) { return test_probe_read_user_str__load(skel); }
int test_probe_read_user_str::attach(struct test_probe_read_user_str *skel) { return test_probe_read_user_str__attach(skel); }
void test_probe_read_user_str::detach(struct test_probe_read_user_str *skel) { test_probe_read_user_str__detach(skel); }
void test_probe_read_user_str::destroy(struct test_probe_read_user_str *skel) { test_probe_read_user_str__destroy(skel); }
const void *test_probe_read_user_str::elf_bytes(size_t *sz) { return test_probe_read_user_str__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_probe_read_user_str__assert(struct test_probe_read_user_str *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->ret) == 8, "unexpected size of 'ret'");
	_Static_assert(sizeof(s->bss->user_ptr) == 8, "unexpected size of 'user_ptr'");
	_Static_assert(sizeof(s->bss->buf) == 256, "unexpected size of 'buf'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PROBE_READ_USER_STR_SKEL_H__ */
