/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_TRACE_EXT_TRACING_SKEL_H__
#define __TEST_TRACE_EXT_TRACING_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_trace_ext_tracing {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fentry;
		struct bpf_program *fexit;
	} progs;
	struct {
		struct bpf_link *fentry;
		struct bpf_link *fexit;
	} links;
	struct test_trace_ext_tracing__bss {
		__u64 fentry_called;
		__u64 fexit_called;
	} *bss;

#ifdef __cplusplus
	static inline struct test_trace_ext_tracing *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_trace_ext_tracing *open_and_load();
	static inline int load(struct test_trace_ext_tracing *skel);
	static inline int attach(struct test_trace_ext_tracing *skel);
	static inline void detach(struct test_trace_ext_tracing *skel);
	static inline void destroy(struct test_trace_ext_tracing *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_trace_ext_tracing__destroy(struct test_trace_ext_tracing *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj);

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = (struct test_trace_ext_tracing *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_trace_ext_tracing__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_trace_ext_tracing__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open(void)
{
	return test_trace_ext_tracing__open_opts(NULL);
}

static inline int
test_trace_ext_tracing__load(struct test_trace_ext_tracing *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_trace_ext_tracing *
test_trace_ext_tracing__open_and_load(void)
{
	struct test_trace_ext_tracing *obj;
	int err;

	obj = test_trace_ext_tracing__open();
	if (!obj)
		return NULL;
	err = test_trace_ext_tracing__load(obj);
	if (err) {
		test_trace_ext_tracing__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_trace_ext_tracing__attach(struct test_trace_ext_tracing *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_trace_ext_tracing__detach(struct test_trace_ext_tracing *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_trace_ext_tracing__elf_bytes(size_t *sz);

static inline int
test_trace_ext_tracing__create_skeleton(struct test_trace_ext_tracing *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_trace_ext_tracing";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_tra.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fentry";
	s->progs[0].prog = &obj->progs.fentry;
	s->progs[0].link = &obj->links.fentry;

	s->progs[1].name = "fexit";
	s->progs[1].prog = &obj->progs.fexit;
	s->progs[1].link = &obj->links.fexit;

	s->data = test_trace_ext_tracing__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_trace_ext_tracing__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\
\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\
\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x74\x72\x61\x63\
\x65\x5f\x65\x78\x74\x5f\x74\x72\x61\x63\x69\x6e\x67\x2e\x63\0\x66\x65\x6e\x74\
\x72\x79\0\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x78\
\x69\x74\0\x66\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\
\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\
\x72\x65\x6c\x66\x65\x78\x69\x74\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\
\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x59\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x72\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x79\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x87\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\x38\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x9a\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\
\x61\x11\x70\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\x70\0\0\0\0\0\
\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\
\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x58\x09\0\0\
\x58\x09\0\0\xf8\x06\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x23\0\0\0\x1c\0\0\
\x84\xe8\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x2b\0\0\0\x13\0\0\0\xc0\0\0\0\0\0\0\0\
\x14\0\0\0\0\x01\0\0\x2e\0\0\0\x1c\0\0\0\x40\x01\0\0\0\0\0\0\x1e\0\0\0\xc0\x02\
\0\0\x31\0\0\0\x0c\0\0\0\x40\x03\0\0\x37\0\0\0\x22\0\0\0\x80\x03\0\0\x3b\0\0\0\
\x22\0\0\0\xa0\x03\0\0\x44\0\0\0\x23\0\0\0\xc0\x03\0\0\x4c\0\0\0\x23\0\0\0\xd0\
\x03\0\0\x54\0\0\0\x23\0\0\0\xe0\x03\0\0\x62\0\0\0\x27\0\0\0\xf0\x03\0\0\x72\0\
\0\0\x25\0\0\0\xf0\x03\0\x01\x79\0\0\0\x25\0\0\0\xf1\x03\0\x01\x7f\0\0\0\x25\0\
\0\0\xf2\x03\0\x02\x86\0\0\0\x25\0\0\0\xf4\x03\0\x01\x8d\0\0\0\x25\0\0\0\xf5\
\x03\0\x01\x97\0\0\0\x25\0\0\0\xf6\x03\0\x01\xa2\0\0\0\x25\0\0\0\xf7\x03\0\x01\
\xad\0\0\0\x25\0\0\0\xf8\x03\0\0\0\0\0\0\x28\0\0\0\0\x04\0\0\xbf\0\0\0\x36\0\0\
\0\xe0\x05\0\0\xc4\0\0\0\x36\0\0\0\0\x06\0\0\xc8\0\0\0\x37\0\0\0\x40\x06\0\0\
\xcd\0\0\0\x37\0\0\0\x80\x06\0\0\xd2\0\0\0\x22\0\0\0\xc0\x06\0\0\xdb\0\0\0\x38\
\0\0\0\xe0\x06\0\0\xe1\0\0\0\x3c\0\0\0\0\x07\0\0\0\0\0\0\x04\0\0\x05\x18\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\xec\0\0\0\x0d\0\0\0\0\0\0\0\xf3\0\0\0\x0f\0\0\0\0\0\
\0\0\xf8\0\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\0\x01\0\0\x09\0\
\0\0\0\0\0\0\x05\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\
\0\0\0\0\x02\x06\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x0a\x01\0\0\x0b\0\0\0\0\0\
\0\0\x0e\x01\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x42\0\0\0\x1a\x01\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\x28\x01\0\0\x03\0\0\x04\x18\0\0\0\x30\x01\0\0\x0c\0\
\0\0\0\0\0\0\x42\x01\0\0\x0e\0\0\0\x40\0\0\0\x4b\x01\0\0\x0e\0\0\0\x80\0\0\0\0\
\0\0\0\0\0\0\x02\x0d\0\0\0\x53\x01\0\0\x02\0\0\x04\x10\0\0\0\0\x01\0\0\x10\0\0\
\0\0\0\0\0\x05\x01\0\0\x10\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x5d\x01\
\0\0\x01\0\0\x04\x08\0\0\0\0\x01\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x11\0\
\0\0\0\0\0\0\0\0\0\x02\x43\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x68\x01\0\0\x15\
\0\0\0\0\0\0\0\x6f\x01\0\0\x19\0\0\0\0\0\0\0\x7d\x01\0\0\0\0\0\x08\x16\0\0\0\
\x85\x01\0\0\0\0\0\x08\x17\0\0\0\x89\x01\0\0\0\0\0\x08\x18\0\0\0\x8f\x01\0\0\0\
\0\0\x01\x08\0\0\0\x40\0\0\x01\x99\x01\0\0\0\0\0\x08\x1a\0\0\0\x9d\x01\0\0\0\0\
\0\x08\x02\0\0\0\xa3\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x1b\0\0\0\x1d\0\0\0\x30\0\0\0\xa8\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\xbc\x01\0\0\x0f\0\0\
\0\0\0\0\0\xcf\x01\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\xd9\x01\
\0\0\x0c\0\0\0\0\0\0\0\xe5\x01\0\0\x20\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x21\0\
\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x09\0\0\0\xf0\x01\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\xfd\x01\0\0\0\0\0\x08\x24\0\0\0\x03\x02\0\0\0\0\0\x01\x02\0\0\0\
\x10\0\0\0\x12\x02\0\0\0\0\0\x08\x26\0\0\0\x17\x02\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x25\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\x05\x3c\0\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\x25\x02\0\0\x29\0\0\0\0\0\0\0\0\0\0\0\
\x32\0\0\x84\x3c\0\0\0\x2d\x02\0\0\x27\0\0\0\0\0\0\0\x3f\x02\0\0\x25\0\0\0\0\0\
\0\x03\x48\x02\0\0\x25\0\0\0\x03\0\0\x01\x52\x02\0\0\x25\0\0\0\x04\0\0\x01\x66\
\x02\0\0\x25\0\0\0\x05\0\0\x02\x70\x02\0\0\x25\0\0\0\x07\0\0\x01\x79\x02\0\0\
\x27\0\0\0\x08\0\0\0\x8a\x02\0\0\x25\0\0\0\x08\0\0\x02\x96\x02\0\0\x25\0\0\0\
\x0a\0\0\x01\xa4\x02\0\0\x25\0\0\0\x0b\0\0\x01\xb5\x02\0\0\x25\0\0\0\x0c\0\0\
\x01\xc5\x02\0\0\x25\0\0\0\x0d\0\0\x01\xd6\x02\0\0\x25\0\0\0\x0e\0\0\x02\xe1\
\x02\0\0\x25\0\0\0\x10\0\0\x01\xf5\x02\0\0\x25\0\0\0\x11\0\0\x01\xfd\x02\0\0\
\x25\0\0\0\x12\0\0\x01\x05\x03\0\0\x25\0\0\0\x13\0\0\x01\x0c\x03\0\0\x25\0\0\0\
\x14\0\0\x01\x1a\x03\0\0\x25\0\0\0\x15\0\0\x01\x29\x03\0\0\x25\0\0\0\x16\0\0\
\x01\x34\x03\0\0\x25\0\0\0\x18\0\0\x02\x43\x03\0\0\x25\0\0\0\x1a\0\0\x01\x51\
\x03\0\0\x25\0\0\0\x1b\0\0\x01\x5a\x03\0\0\x25\0\0\0\x1c\0\0\x01\x6b\x03\0\0\
\x25\0\0\0\x1d\0\0\x01\x7f\x03\0\0\x25\0\0\0\x1e\0\0\x01\x8a\x03\0\0\x25\0\0\0\
\x1f\0\0\x01\x97\x03\0\0\x25\0\0\0\x20\0\0\x01\xa6\x03\0\0\x25\0\0\0\x21\0\0\
\x01\xb0\x03\0\0\x25\0\0\0\x22\0\0\x01\xb9\x03\0\0\x25\0\0\0\x23\0\0\x01\xc7\
\x03\0\0\x25\0\0\0\x24\0\0\x01\xd2\x03\0\0\x23\0\0\0\x30\0\0\0\xdb\x03\0\0\x2a\
\0\0\0\x40\0\0\0\0\0\0\0\x2b\0\0\0\x60\0\0\0\xe5\x03\0\0\x2d\0\0\0\x80\0\0\0\
\xee\x03\0\0\x04\0\0\0\xa0\0\0\0\xf6\x03\0\0\x2d\0\0\0\xc0\0\0\0\0\0\0\0\x2f\0\
\0\0\xe0\0\0\0\0\0\0\0\x33\0\0\0\0\x01\0\0\xfb\x03\0\0\x2d\0\0\0\x20\x01\0\0\0\
\0\0\0\x34\0\0\0\x40\x01\0\0\0\0\0\0\x35\0\0\0\x60\x01\0\0\x03\x04\0\0\x23\0\0\
\0\x70\x01\0\0\x1a\x04\0\0\x23\0\0\0\x80\x01\0\0\x2f\x04\0\0\x23\0\0\0\x90\x01\
\0\0\x40\x04\0\0\x32\0\0\0\xa0\x01\0\0\x49\x04\0\0\x23\0\0\0\xb0\x01\0\0\x5a\
\x04\0\0\x23\0\0\0\xc0\x01\0\0\x69\x04\0\0\x23\0\0\0\xd0\x01\0\0\x74\x04\0\0\0\
\0\0\x08\x23\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x78\x04\0\0\x2c\0\0\0\0\0\0\0\
\0\0\0\0\x2e\0\0\0\0\0\0\0\x7d\x04\0\0\0\0\0\x08\x2d\0\0\0\x84\x04\0\0\0\0\0\
\x08\x22\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x8a\x04\0\0\x23\0\0\0\0\0\0\0\x95\
\x04\0\0\x23\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xa1\x04\0\0\x30\0\0\
\0\0\0\0\0\0\0\0\0\x31\0\0\0\0\0\0\0\xaa\x04\0\0\0\0\0\x08\x2d\0\0\0\0\0\0\0\
\x02\0\0\x04\x04\0\0\0\xae\x04\0\0\x32\0\0\0\0\0\0\0\xb9\x04\0\0\x23\0\0\0\x10\
\0\0\0\xc2\x04\0\0\0\0\0\x08\x23\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\xc9\x04\0\
\0\x22\0\0\0\0\0\0\0\xd1\x04\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\
\0\xdc\x04\0\0\x2d\0\0\0\0\0\0\0\xe1\x04\0\0\x2d\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\x05\x02\0\0\0\xf3\x04\0\0\x32\0\0\0\0\0\0\0\x02\x05\0\0\x25\0\0\0\0\0\0\0\x10\
\x05\0\0\0\0\0\x08\x22\0\0\0\0\0\0\0\0\0\0\x02\x26\0\0\0\x1f\x05\0\0\0\0\0\x08\
\x39\0\0\0\x2a\x05\0\0\x01\0\0\x04\x04\0\0\0\x3a\x05\0\0\x3a\0\0\0\0\0\0\0\x3f\
\x05\0\0\0\0\0\x08\x3b\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x48\x05\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x44\0\0\0\x50\x05\0\0\x01\0\0\x0c\x03\0\0\0\x56\
\x05\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x64\x05\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\x1d\0\0\0\x04\0\0\0\x71\x05\0\0\0\0\0\
\x0e\x40\0\0\0\x01\0\0\0\x7a\x05\0\0\0\0\0\x07\0\0\0\0\x85\x05\0\0\0\0\0\x07\0\
\0\0\0\x8a\x05\0\0\0\0\0\x07\0\0\0\0\xb0\x06\0\0\x02\0\0\x0f\x10\0\0\0\x3e\0\0\
\0\0\0\0\0\x08\0\0\0\x3f\0\0\0\x08\0\0\0\x08\0\0\0\xb5\x06\0\0\x01\0\0\x0f\x04\
\0\0\0\x41\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x65\x6e\x74\
\x72\x79\0\x73\x6b\x5f\x62\x75\x66\x66\0\x73\x6b\0\x63\x62\0\x5f\x6e\x66\x63\
\x74\0\x6c\x65\x6e\0\x64\x61\x74\x61\x5f\x6c\x65\x6e\0\x6d\x61\x63\x5f\x6c\x65\
\x6e\0\x68\x64\x72\x5f\x6c\x65\x6e\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x5f\x5f\x63\x6c\x6f\x6e\x65\x64\x5f\x6f\x66\x66\x73\x65\x74\0\
\x63\x6c\x6f\x6e\x65\x64\0\x6e\x6f\x68\x64\x72\0\x66\x63\x6c\x6f\x6e\x65\0\x70\
\x65\x65\x6b\x65\x64\0\x68\x65\x61\x64\x5f\x66\x72\x61\x67\0\x70\x66\x6d\x65\
\x6d\x61\x6c\x6c\x6f\x63\0\x70\x70\x5f\x72\x65\x63\x79\x63\x6c\x65\0\x61\x63\
\x74\x69\x76\x65\x5f\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\x73\0\x74\x61\x69\x6c\
\0\x65\x6e\x64\0\x68\x65\x61\x64\0\x64\x61\x74\x61\0\x74\x72\x75\x65\x73\x69\
\x7a\x65\0\x75\x73\x65\x72\x73\0\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\x73\0\x72\
\x62\x6e\x6f\x64\x65\0\x6c\x69\x73\x74\0\x6c\x6c\x5f\x6e\x6f\x64\x65\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x64\x65\x76\0\x64\x65\x76\x5f\x73\x63\x72\x61\x74\
\x63\x68\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x72\x62\x5f\
\x6e\x6f\x64\x65\0\x5f\x5f\x72\x62\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\
\x6f\x72\0\x72\x62\x5f\x72\x69\x67\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6c\
\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\
\x74\x73\x74\x61\x6d\x70\0\x73\x6b\x62\x5f\x6d\x73\x74\x61\x6d\x70\x5f\x6e\x73\
\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x74\x63\x70\x5f\x74\x73\x6f\x72\x74\x65\x64\x5f\x61\x6e\x63\x68\x6f\x72\
\0\x5f\x73\x6b\x5f\x72\x65\x64\x69\x72\0\x5f\x73\x6b\x62\x5f\x72\x65\x66\x64\
\x73\x74\0\x64\x65\x73\x74\x72\x75\x63\x74\x6f\x72\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x63\x68\x61\x72\0\x68\x65\x61\x64\x65\x72\x73\0\x5f\x5f\x70\x6b\x74\
\x5f\x74\x79\x70\x65\x5f\x6f\x66\x66\x73\x65\x74\0\x70\x6b\x74\x5f\x74\x79\x70\
\x65\0\x69\x67\x6e\x6f\x72\x65\x5f\x64\x66\0\x64\x73\x74\x5f\x70\x65\x6e\x64\
\x69\x6e\x67\x5f\x63\x6f\x6e\x66\x69\x72\x6d\0\x69\x70\x5f\x73\x75\x6d\x6d\x65\
\x64\0\x6f\x6f\x6f\x5f\x6f\x6b\x61\x79\0\x5f\x5f\x6d\x6f\x6e\x6f\x5f\x74\x63\
\x5f\x6f\x66\x66\x73\x65\x74\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\
\x74\x63\x5f\x61\x74\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x74\x63\x5f\x73\x6b\x69\
\x70\x5f\x63\x6c\x61\x73\x73\x69\x66\x79\0\x72\x65\x6d\x63\x73\x75\x6d\x5f\x6f\
\x66\x66\x6c\x6f\x61\x64\0\x63\x73\x75\x6d\x5f\x63\x6f\x6d\x70\x6c\x65\x74\x65\
\x5f\x73\x77\0\x63\x73\x75\x6d\x5f\x6c\x65\x76\x65\x6c\0\x69\x6e\x6e\x65\x72\
\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x74\x79\x70\x65\0\x6c\x34\x5f\x68\x61\
\x73\x68\0\x73\x77\x5f\x68\x61\x73\x68\0\x6e\x6f\x5f\x66\x63\x73\0\x65\x6e\x63\
\x61\x70\x73\x75\x6c\x61\x74\x69\x6f\x6e\0\x65\x6e\x63\x61\x70\x5f\x68\x64\x72\
\x5f\x63\x73\x75\x6d\0\x63\x73\x75\x6d\x5f\x76\x61\x6c\x69\x64\0\x6e\x64\x69\
\x73\x63\x5f\x6e\x6f\x64\x65\x74\x79\x70\x65\0\x69\x70\x76\x73\x5f\x70\x72\x6f\
\x70\x65\x72\x74\x79\0\x6e\x66\x5f\x74\x72\x61\x63\x65\0\x6f\x66\x66\x6c\x6f\
\x61\x64\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x6f\x66\x66\x6c\x6f\x61\x64\x5f\
\x6c\x33\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x72\x65\x64\x69\x72\x65\x63\x74\
\x65\x64\0\x66\x72\x6f\x6d\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x6e\x66\x5f\x73\
\x6b\x69\x70\x5f\x65\x67\x72\x65\x73\x73\0\x64\x65\x63\x72\x79\x70\x74\x65\x64\
\0\x73\x6c\x6f\x77\x5f\x67\x72\x6f\0\x63\x73\x75\x6d\x5f\x6e\x6f\x74\x5f\x69\
\x6e\x65\x74\0\x75\x6e\x72\x65\x61\x64\x61\x62\x6c\x65\0\x74\x63\x5f\x69\x6e\
\x64\x65\x78\0\x61\x6c\x6c\x6f\x63\x5f\x63\x70\x75\0\x70\x72\x69\x6f\x72\x69\
\x74\x79\0\x73\x6b\x62\x5f\x69\x69\x66\0\x68\x61\x73\x68\0\x73\x65\x63\x6d\x61\
\x72\x6b\0\x69\x6e\x6e\x65\x72\x5f\x74\x72\x61\x6e\x73\x70\x6f\x72\x74\x5f\x68\
\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6e\x65\x74\x77\x6f\x72\x6b\x5f\
\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x63\x5f\x68\x65\x61\
\x64\x65\x72\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x74\x72\x61\x6e\x73\x70\x6f\
\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\x6e\x65\x74\x77\x6f\x72\x6b\x5f\x68\x65\
\x61\x64\x65\x72\0\x6d\x61\x63\x5f\x68\x65\x61\x64\x65\x72\0\x75\x31\x36\0\x63\
\x73\x75\x6d\0\x5f\x5f\x77\x73\x75\x6d\0\x5f\x5f\x75\x33\x32\0\x63\x73\x75\x6d\
\x5f\x73\x74\x61\x72\x74\0\x63\x73\x75\x6d\x5f\x6f\x66\x66\x73\x65\x74\0\x76\
\x6c\x61\x6e\x5f\x61\x6c\x6c\0\x75\x33\x32\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\
\x74\x6f\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x5f\x5f\x62\x65\x31\x36\0\x6e\x61\
\x70\x69\x5f\x69\x64\0\x73\x65\x6e\x64\x65\x72\x5f\x63\x70\x75\0\x6d\x61\x72\
\x6b\0\x72\x65\x73\x65\x72\x76\x65\x64\x5f\x74\x61\x69\x6c\x72\x6f\x6f\x6d\0\
\x69\x6e\x6e\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x69\x6e\x6e\x65\x72\
\x5f\x69\x70\x70\x72\x6f\x74\x6f\0\x73\x6b\x5f\x62\x75\x66\x66\x5f\x64\x61\x74\
\x61\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\x6f\
\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\x6d\
\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x66\x65\x78\x69\x74\0\x66\x65\
\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x78\x69\x74\x5f\x63\x61\
\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6e\x65\x74\x5f\x64\x65\
\x76\x69\x63\x65\0\x73\x6f\x63\x6b\0\x73\x6b\x62\x5f\x65\x78\x74\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\
\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\
\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x74\x72\x61\x63\x65\x5f\x65\x78\x74\x5f\
\x74\x72\x61\x63\x69\x6e\x67\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x66\x65\x6e\x74\x72\x79\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\
\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x66\x65\x6e\x74\x72\x79\
\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x2c\
\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\
\x62\x29\0\x09\x66\x65\x78\x69\x74\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x73\
\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x30\x3a\x36\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x66\x65\x6e\x74\x72\x79\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\
\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6e\x65\x77\0\x66\x65\x78\x69\x74\
\x2f\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x6d\x64\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x6e\x65\x77\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\
\0\xb8\0\0\0\x34\0\0\0\x08\0\0\0\xbd\x06\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xdb\
\x06\0\0\x01\0\0\0\0\0\0\0\x3d\0\0\0\x10\0\0\0\xbd\x06\0\0\x04\0\0\0\0\0\0\0\
\x92\x05\0\0\x24\x06\0\0\x05\x28\0\0\x08\0\0\0\x92\x05\0\0\x4e\x06\0\0\x17\x30\
\0\0\x10\0\0\0\x92\x05\0\0\x4e\x06\0\0\x10\x30\0\0\x28\0\0\0\x92\x05\0\0\x24\
\x06\0\0\x05\x28\0\0\xdb\x06\0\0\x04\0\0\0\0\0\0\0\x92\x05\0\0\x69\x06\0\0\x05\
\x4c\0\0\x08\0\0\0\x92\x05\0\0\x92\x06\0\0\x16\x54\0\0\x10\0\0\0\x92\x05\0\0\
\x92\x06\0\0\x0f\x54\0\0\x28\0\0\0\x92\x05\0\0\x69\x06\0\0\x05\x4c\0\0\x10\0\0\
\0\xbd\x06\0\0\x01\0\0\0\x08\0\0\0\x06\0\0\0\xac\x06\0\0\0\0\0\0\xdb\x06\0\0\
\x01\0\0\0\x08\0\0\0\x06\0\0\0\xac\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\xf4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\
\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\
\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x38\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x08\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x88\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xc5\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\
\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\
\0\0\0\x68\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xeb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x13\0\0\0\0\0\0\x0c\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_trace_ext_tracing *test_trace_ext_tracing::open(const struct bpf_object_open_opts *opts) { return test_trace_ext_tracing__open_opts(opts); }
struct test_trace_ext_tracing *test_trace_ext_tracing::open_and_load() { return test_trace_ext_tracing__open_and_load(); }
int test_trace_ext_tracing::load(struct test_trace_ext_tracing *skel) { return test_trace_ext_tracing__load(skel); }
int test_trace_ext_tracing::attach(struct test_trace_ext_tracing *skel) { return test_trace_ext_tracing__attach(skel); }
void test_trace_ext_tracing::detach(struct test_trace_ext_tracing *skel) { test_trace_ext_tracing__detach(skel); }
void test_trace_ext_tracing::destroy(struct test_trace_ext_tracing *skel) { test_trace_ext_tracing__destroy(skel); }
const void *test_trace_ext_tracing::elf_bytes(size_t *sz) { return test_trace_ext_tracing__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_trace_ext_tracing__assert(struct test_trace_ext_tracing *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->fentry_called) == 8, "unexpected size of 'fentry_called'");
	_Static_assert(sizeof(s->bss->fexit_called) == 8, "unexpected size of 'fexit_called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_TRACE_EXT_TRACING_SKEL_H__ */
