/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_UPROBE_AUTOATTACH_SKEL_H__
#define __TEST_UPROBE_AUTOATTACH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_uprobe_autoattach {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle_uprobe_noautoattach;
		struct bpf_program *handle_uprobe_byname;
		struct bpf_program *handle_uretprobe_byname;
		struct bpf_program *handle_uprobe_byname2;
		struct bpf_program *handle_uretprobe_byname2;
	} progs;
	struct {
		struct bpf_link *handle_uprobe_noautoattach;
		struct bpf_link *handle_uprobe_byname;
		struct bpf_link *handle_uretprobe_byname;
		struct bpf_link *handle_uprobe_byname2;
		struct bpf_link *handle_uretprobe_byname2;
	} links;
	struct test_uprobe_autoattach__bss {
		int uprobe_byname_parm1;
		int uprobe_byname_ran;
		int uretprobe_byname_rc;
		int uretprobe_byname_ret;
		int uretprobe_byname_ran;
		char __pad0[4];
		u64 uprobe_byname2_parm1;
		int uprobe_byname2_ran;
		char __pad1[4];
		u64 uretprobe_byname2_rc;
		int uretprobe_byname2_ran;
		int test_pid;
		int a[8];
	} *bss;

#ifdef __cplusplus
	static inline struct test_uprobe_autoattach *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_uprobe_autoattach *open_and_load();
	static inline int load(struct test_uprobe_autoattach *skel);
	static inline int attach(struct test_uprobe_autoattach *skel);
	static inline void detach(struct test_uprobe_autoattach *skel);
	static inline void destroy(struct test_uprobe_autoattach *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_uprobe_autoattach__destroy(struct test_uprobe_autoattach *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_uprobe_autoattach__create_skeleton(struct test_uprobe_autoattach *obj);

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_uprobe_autoattach *obj;
	int err;

	obj = (struct test_uprobe_autoattach *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_uprobe_autoattach__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_uprobe_autoattach__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open(void)
{
	return test_uprobe_autoattach__open_opts(NULL);
}

static inline int
test_uprobe_autoattach__load(struct test_uprobe_autoattach *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_uprobe_autoattach *
test_uprobe_autoattach__open_and_load(void)
{
	struct test_uprobe_autoattach *obj;
	int err;

	obj = test_uprobe_autoattach__open();
	if (!obj)
		return NULL;
	err = test_uprobe_autoattach__load(obj);
	if (err) {
		test_uprobe_autoattach__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_uprobe_autoattach__attach(struct test_uprobe_autoattach *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_uprobe_autoattach__detach(struct test_uprobe_autoattach *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_uprobe_autoattach__elf_bytes(size_t *sz);

static inline int
test_uprobe_autoattach__create_skeleton(struct test_uprobe_autoattach *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_uprobe_autoattach";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_upr.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_uprobe_noautoattach";
	s->progs[0].prog = &obj->progs.handle_uprobe_noautoattach;
	s->progs[0].link = &obj->links.handle_uprobe_noautoattach;

	s->progs[1].name = "handle_uprobe_byname";
	s->progs[1].prog = &obj->progs.handle_uprobe_byname;
	s->progs[1].link = &obj->links.handle_uprobe_byname;

	s->progs[2].name = "handle_uretprobe_byname";
	s->progs[2].prog = &obj->progs.handle_uretprobe_byname;
	s->progs[2].link = &obj->links.handle_uretprobe_byname;

	s->progs[3].name = "handle_uprobe_byname2";
	s->progs[3].prog = &obj->progs.handle_uprobe_byname2;
	s->progs[3].link = &obj->links.handle_uprobe_byname2;

	s->progs[4].name = "handle_uretprobe_byname2";
	s->progs[4].prog = &obj->progs.handle_uretprobe_byname2;
	s->progs[4].link = &obj->links.handle_uretprobe_byname2;

	s->data = test_uprobe_autoattach__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_uprobe_autoattach__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x18\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x10\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\
\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\
\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\
\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\
\x6e\x63\0\x75\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\
\x66\x6f\x70\x65\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\
\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\x62\x65\x5f\x61\x75\x74\
\x6f\x61\x74\x74\x61\x63\x68\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\
\x6f\x62\x65\x5f\x6e\x6f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x75\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\0\x61\0\x75\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x70\x61\x72\x6d\x31\0\x68\x61\
\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\
\x72\x65\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x5f\x72\x61\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x5f\x72\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\
\x79\x6e\x61\x6d\x65\x32\0\x74\x65\x73\x74\x5f\x70\x69\x64\0\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\0\x75\x70\x72\x6f\x62\
\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x70\x61\x72\x6d\x31\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x32\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\
\x72\x61\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x32\x5f\x72\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\
\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\
\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\
\x5f\x66\x75\x6e\x63\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\
\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\
\x2e\x72\x65\x6c\x75\x70\x72\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\
\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x72\x65\x6c\x75\x72\x65\x74\x70\x72\x6f\x62\
\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb5\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xce\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xe9\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\xfe\0\0\0\x11\0\x08\
\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x10\x01\0\0\x11\0\x08\0\x38\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x12\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x26\x01\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x3e\x01\0\0\x11\0\
\x08\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x53\x01\0\0\x11\0\x08\0\x10\0\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\x68\x01\0\0\x11\0\x08\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x7c\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x92\x01\0\0\
\x11\0\x08\0\x34\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9b\x01\0\0\x11\0\x08\0\x20\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xae\x01\0\0\x11\0\x08\0\x18\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\xc3\x01\0\0\x12\0\x07\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\xdc\x01\
\0\0\x11\0\x08\0\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xf2\x01\0\0\x11\0\x08\0\
\x28\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x07\x02\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x18\0\0\0\
\xbf\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x79\x12\x20\0\0\0\0\0\x7b\x2a\xf0\xff\
\0\0\0\0\x79\x12\x28\0\0\0\0\0\x7b\x2a\xe8\xff\0\0\0\0\x79\x12\x30\0\0\0\0\0\
\x7b\x2a\xd8\xff\0\0\0\0\x79\x16\x38\0\0\0\0\0\x79\x17\x40\0\0\0\0\0\x79\x18\
\x48\0\0\0\0\0\x79\x19\x50\0\0\0\0\0\x79\x11\x18\0\0\0\0\0\x7b\x1a\xe0\xff\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\
\0\0\0\x71\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x63\
\x21\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x91\x1c\0\0\0\0\0\x63\
\x81\x18\0\0\0\0\0\x63\x71\x14\0\0\0\0\0\x63\x61\x10\0\0\0\0\0\x79\xa2\xd8\xff\
\0\0\0\0\x63\x21\x0c\0\0\0\0\0\x79\xa2\xe8\xff\0\0\0\0\x63\x21\x08\0\0\0\0\0\
\x79\xa2\xf0\xff\0\0\0\0\x63\x21\x04\0\0\0\0\0\x79\xa2\xe0\xff\0\0\0\0\x63\x21\
\0\0\0\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x18\0\0\0\xbf\
\x13\0\0\0\0\0\0\x0f\x23\0\0\0\0\0\0\x79\x16\x18\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\
\x07\x01\0\0\xf8\xff\xff\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x61\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb4\x02\0\0\x02\0\0\0\x63\x21\0\0\0\0\0\0\x79\xa1\xf8\xff\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x79\x16\x18\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x07\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x03\0\0\0\x63\x21\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x79\x16\x18\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x07\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x04\0\0\0\x63\x21\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x61\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xb8\0\0\
\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x40\0\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x80\0\0\0\
\0\0\0\0\x01\0\0\0\x0f\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x38\0\0\0\0\
\0\0\0\x01\0\0\0\x12\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x10\0\0\0\0\0\
\0\0\x01\0\0\0\x11\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x15\0\0\0\x58\0\0\0\0\0\0\
\0\x01\0\0\0\x16\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf0\x04\0\0\xf0\x04\0\0\
\x77\x06\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x80\x01\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\x0b\0\0\0\0\0\0\x02\0\0\x05\x60\x01\
\0\0\x09\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x13\0\0\0\x0d\0\0\
\x04\x60\x01\0\0\x20\0\0\0\x06\0\0\0\0\0\0\0\x24\0\0\0\x05\0\0\0\0\x08\0\0\x28\
\0\0\0\x05\0\0\0\x40\x08\0\0\x2c\0\0\0\x05\0\0\0\x80\x08\0\0\x36\0\0\0\x05\0\0\
\0\xc0\x08\0\0\x3a\0\0\0\x05\0\0\0\0\x09\0\0\x3f\0\0\0\x05\0\0\0\x40\x09\0\0\
\x43\0\0\0\x05\0\0\0\x80\x09\0\0\x47\0\0\0\x05\0\0\0\xc0\x09\0\0\x4d\0\0\0\x05\
\0\0\0\0\x0a\0\0\x52\0\0\0\x05\0\0\0\x40\x0a\0\0\x56\0\0\0\x05\0\0\0\x80\x0a\0\
\0\x5c\0\0\0\x05\0\0\0\xc0\x0a\0\0\x63\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x20\0\0\0\x71\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\0\0\0\0\x0d\0\0\x04\x60\x01\0\0\x20\0\0\0\x06\0\0\0\0\0\0\0\x24\
\0\0\0\x05\0\0\0\0\x08\0\0\x28\0\0\0\x05\0\0\0\x40\x08\0\0\x2c\0\0\0\x05\0\0\0\
\x80\x08\0\0\x36\0\0\0\x05\0\0\0\xc0\x08\0\0\x3a\0\0\0\x05\0\0\0\0\x09\0\0\x3f\
\0\0\0\x05\0\0\0\x40\x09\0\0\x43\0\0\0\x05\0\0\0\x80\x09\0\0\x47\0\0\0\x05\0\0\
\0\xc0\x09\0\0\x4d\0\0\0\x05\0\0\0\0\x0a\0\0\0\0\0\0\x09\0\0\0\x40\x0a\0\0\0\0\
\0\0\x0a\0\0\0\x80\x0a\0\0\x5c\0\0\0\x05\0\0\0\xc0\x0a\0\0\0\0\0\0\x02\0\0\x05\
\x08\0\0\0\x52\0\0\0\x05\0\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\x05\x08\0\0\0\x56\0\0\0\x05\0\0\0\0\0\0\0\x8a\0\0\0\x05\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x8e\0\0\0\x0e\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x94\0\0\0\x05\0\0\0\0\0\0\0\x98\0\0\0\x05\0\0\
\0\x40\0\0\0\0\0\0\0\x0d\0\0\0\x80\0\0\0\xa4\0\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\
\x02\0\0\x05\x08\0\0\0\xa9\0\0\0\x05\0\0\0\0\0\0\0\xae\0\0\0\x05\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x05\0\0\0\x07\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x0d\
\x10\0\0\0\xb2\0\0\0\x01\0\0\0\xb6\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\xba\0\
\0\0\x01\0\0\x0c\x0f\0\0\0\xd5\0\0\0\x01\0\0\x0c\x0f\0\0\0\xea\0\0\0\x01\0\0\
\x0c\x0f\0\0\0\x02\x01\0\0\x01\0\0\x0c\x0f\0\0\0\x18\x01\0\0\x01\0\0\x0c\x0f\0\
\0\0\x31\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x45\x01\0\0\0\0\0\x0e\x10\0\0\0\
\x01\0\0\0\x57\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x6b\x01\0\0\0\0\0\x0e\x10\
\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\
\x08\x1c\0\0\0\x99\x01\0\0\0\0\0\x08\x1d\0\0\0\x9f\x01\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\xb2\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xc7\x01\0\0\0\0\0\x0e\x10\
\0\0\0\x01\0\0\0\xda\x01\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\xef\x01\0\0\0\0\0\
\x0e\x10\0\0\0\x01\0\0\0\x05\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x22\0\0\0\x07\0\0\0\x04\0\0\0\x0a\x02\0\0\0\0\0\x0e\x23\0\0\0\
\x01\0\0\0\x13\x02\0\0\0\0\0\x0e\x10\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x10\0\0\0\x07\0\0\0\x08\0\0\0\x1c\x02\0\0\0\0\0\x0e\x26\0\0\0\x01\0\0\0\xd3\
\x05\0\0\x0b\0\0\x0f\x58\0\0\0\x16\0\0\0\0\0\0\0\x04\0\0\0\x17\0\0\0\x04\0\0\0\
\x04\0\0\0\x18\0\0\0\x08\0\0\0\x04\0\0\0\x19\0\0\0\x0c\0\0\0\x04\0\0\0\x1a\0\0\
\0\x10\0\0\0\x04\0\0\0\x1e\0\0\0\x18\0\0\0\x08\0\0\0\x1f\0\0\0\x20\0\0\0\x04\0\
\0\0\x20\0\0\0\x28\0\0\0\x08\0\0\0\x21\0\0\0\x30\0\0\0\x04\0\0\0\x25\0\0\0\x34\
\0\0\0\x04\0\0\0\x27\0\0\0\x38\0\0\0\x20\0\0\0\xd8\x05\0\0\x01\0\0\x0f\x04\0\0\
\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\
\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x67\
\x70\x72\0\x6e\x69\x70\0\x6d\x73\x72\0\x6f\x72\x69\x67\x5f\x67\x70\x72\x33\0\
\x63\x74\x72\0\x6c\x69\x6e\x6b\0\x78\x65\x72\0\x63\x63\x72\0\x73\x6f\x66\x74\
\x65\0\x74\x72\x61\x70\0\x64\x61\x72\0\x64\x73\x69\x73\x72\0\x72\x65\x73\x75\
\x6c\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\x65\x61\
\x72\0\x65\x73\x72\0\x5f\x5f\x70\x61\x64\0\x70\x70\x72\0\x65\x78\x69\x74\x5f\
\x72\x65\x73\x75\x6c\x74\0\x69\x61\x6d\x72\0\x6b\x75\x61\x70\0\x61\x6d\x72\0\
\x63\x74\x78\0\x69\x6e\x74\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\
\x65\x5f\x6e\x6f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x32\0\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\x32\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x5f\x70\x61\x72\x6d\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x5f\x72\x61\x6e\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x5f\x72\x63\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x5f\x72\x65\x74\0\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\x5f\x72\x61\x6e\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x70\x61\x72\x6d\x31\0\x75\x70\x72\
\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\0\x75\x72\x65\x74\
\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x63\0\x75\x72\x65\
\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x70\x69\
\x64\0\x61\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\
\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\
\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\
\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x75\x70\x72\x6f\
\x62\x65\x5f\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x2e\x63\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\
\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\
\x61\x6d\x65\0\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x70\
\x61\x72\x6d\x31\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\
\x31\x5f\x43\x4f\x52\x45\x28\x63\x74\x78\x29\x3b\0\x09\x75\x70\x72\x6f\x62\x65\
\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\x20\x3d\x20\x31\x3b\0\x09\x61\x5b\
\x30\x5d\x20\x3d\x20\x61\x72\x67\x31\x3b\0\x09\x61\x5b\x37\x5d\x20\x3d\x20\x61\
\x72\x67\x38\x3b\0\x09\x61\x5b\x36\x5d\x20\x3d\x20\x61\x72\x67\x37\x3b\0\x09\
\x61\x5b\x35\x5d\x20\x3d\x20\x61\x72\x67\x36\x3b\0\x09\x61\x5b\x34\x5d\x20\x3d\
\x20\x61\x72\x67\x35\x3b\0\x09\x61\x5b\x33\x5d\x20\x3d\x20\x61\x72\x67\x34\x3b\
\0\x09\x61\x5b\x32\x5d\x20\x3d\x20\x61\x72\x67\x33\x3b\0\x09\x61\x5b\x31\x5d\
\x20\x3d\x20\x61\x72\x67\x32\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x52\x45\
\x54\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\
\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x2c\x20\x69\x6e\x74\x20\x72\x65\
\x74\x29\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\
\x5f\x72\x63\x20\x3d\x20\x50\x54\x5f\x52\x45\x47\x53\x5f\x52\x43\x5f\x43\x4f\
\x52\x45\x28\x63\x74\x78\x29\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\
\x62\x79\x6e\x61\x6d\x65\x5f\x72\x65\x74\x20\x3d\x20\x72\x65\x74\x3b\0\x09\x75\
\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x5f\x72\x61\x6e\
\x20\x3d\x20\x32\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x50\x52\x4f\x42\x45\
\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\
\x6d\x65\x32\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\x2a\x70\x61\
\x74\x68\x6e\x61\x6d\x65\x2c\x20\x63\x6f\x6e\x73\x74\x20\x63\x68\x61\x72\x20\
\x2a\x6d\x6f\x64\x65\x29\0\x09\x69\x6e\x74\x20\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x74\x65\
\x73\x74\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x75\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x61\x6e\x20\x3d\x20\x33\x3b\0\
\x09\x75\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x70\x61\x72\
\x6d\x31\x20\x3d\x20\x28\x75\x36\x34\x29\x28\x6c\x6f\x6e\x67\x29\x70\x61\x74\
\x68\x6e\x61\x6d\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x55\x52\x45\x54\x50\
\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x2c\x20\x76\x6f\x69\x64\x20\x2a\x72\
\x65\x74\x29\0\x09\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x5f\x62\x79\x6e\x61\x6d\
\x65\x32\x5f\x72\x61\x6e\x20\x3d\x20\x34\x3b\0\x09\x75\x72\x65\x74\x70\x72\x6f\
\x62\x65\x5f\x62\x79\x6e\x61\x6d\x65\x32\x5f\x72\x63\x20\x3d\x20\x28\x75\x36\
\x34\x29\x28\x6c\x6f\x6e\x67\x29\x72\x65\x74\x3b\0\x30\x3a\x30\x3a\x31\x3a\x30\
\x3a\x33\0\x30\x3a\x30\x3a\x31\x3a\x30\x3a\x34\0\x30\x3a\x30\x3a\x31\x3a\x30\
\x3a\x35\0\x30\x3a\x30\x3a\x31\x3a\x30\x3a\x36\0\x30\x3a\x30\x3a\x31\x3a\x30\
\x3a\x37\0\x30\x3a\x30\x3a\x31\x3a\x30\x3a\x38\0\x30\x3a\x30\x3a\x31\x3a\x30\
\x3a\x39\0\x30\x3a\x30\x3a\x31\x3a\x30\x3a\x31\x30\0\x2e\x62\x73\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\x2f\
\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\
\x61\x74\x74\x61\x63\x68\x5f\x74\x72\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\
\x75\x72\x65\x74\x70\x72\x6f\x62\x65\x2f\x2f\x70\x72\x6f\x63\x2f\x73\x65\x6c\
\x66\x2f\x65\x78\x65\x3a\x61\x75\x74\x6f\x61\x74\x74\x61\x63\x68\x5f\x74\x72\
\x69\x67\x67\x65\x72\x5f\x66\x75\x6e\x63\0\x75\x70\x72\x6f\x62\x65\x2f\x6c\x69\
\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\x75\x72\x65\x74\x70\x72\
\x6f\x62\x65\x2f\x6c\x69\x62\x63\x2e\x73\x6f\x2e\x36\x3a\x66\x6f\x70\x65\x6e\0\
\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\xbc\x02\0\0\x10\x03\0\0\
\xf4\0\0\0\x08\0\0\0\xe0\x05\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\xe7\x05\0\0\x01\0\
\0\0\0\0\0\0\x12\0\0\0\x15\x06\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\x46\x06\0\0\x01\
\0\0\0\0\0\0\0\x14\0\0\0\x5d\x06\0\0\x01\0\0\0\0\0\0\0\x15\0\0\0\x10\0\0\0\xe0\
\x05\0\0\x01\0\0\0\0\0\0\0\x1e\x02\0\0\xb0\x02\0\0\x02\x7c\0\0\xe7\x05\0\0\x10\
\0\0\0\0\0\0\0\x1e\x02\0\0\xbb\x02\0\0\0\x8c\0\0\x18\0\0\0\x1e\x02\0\0\xbb\x02\
\0\0\x05\x8c\0\0\x70\0\0\0\x1e\x02\0\0\xdf\x02\0\0\x18\xe0\0\0\x98\0\0\0\x1e\
\x02\0\0\x0f\x03\0\0\x14\xe4\0\0\xb8\0\0\0\x1e\x02\0\0\x27\x03\0\0\x07\xec\0\0\
\xc8\0\0\0\x1e\x02\0\0\x35\x03\0\0\x07\x2c\x01\0\xd0\0\0\0\x1e\x02\0\0\x43\x03\
\0\0\x07\x20\x01\0\xd8\0\0\0\x1e\x02\0\0\x51\x03\0\0\x07\x14\x01\0\xe0\0\0\0\
\x1e\x02\0\0\x5f\x03\0\0\x07\x08\x01\0\xe8\0\0\0\x1e\x02\0\0\x6d\x03\0\0\x07\
\xfc\0\0\xf8\0\0\0\x1e\x02\0\0\x7b\x03\0\0\x07\xf4\0\0\x08\x01\0\0\x1e\x02\0\0\
\x89\x03\0\0\x07\xf0\0\0\x18\x01\0\0\x1e\x02\0\0\x27\x03\0\0\x07\xec\0\0\x28\
\x01\0\0\x1e\x02\0\0\xdf\x02\0\0\x18\xe0\0\0\x30\x01\0\0\x1e\x02\0\0\xdf\x02\0\
\0\x16\xe0\0\0\x48\x01\0\0\x1e\x02\0\0\xbb\x02\0\0\x05\x8c\0\0\x15\x06\0\0\x08\
\0\0\0\0\0\0\0\x1e\x02\0\0\x97\x03\0\0\0\x44\x01\0\x18\0\0\0\x1e\x02\0\0\x97\
\x03\0\0\x05\x44\x01\0\x30\0\0\0\x1e\x02\0\0\xcb\x03\0\0\x18\x4c\x01\0\x40\0\0\
\0\x1e\x02\0\0\xf8\x03\0\0\x17\x50\x01\0\x58\0\0\0\x1e\x02\0\0\x15\x04\0\0\x17\
\x54\x01\0\x78\0\0\0\x1e\x02\0\0\xcb\x03\0\0\x18\x4c\x01\0\x80\0\0\0\x1e\x02\0\
\0\xcb\x03\0\0\x16\x4c\x01\0\x98\0\0\0\x1e\x02\0\0\x97\x03\0\0\x05\x44\x01\0\
\x46\x06\0\0\x08\0\0\0\0\0\0\0\x1e\x02\0\0\x30\x04\0\0\x05\x70\x01\0\x08\0\0\0\
\x1e\x02\0\0\x7e\x04\0\0\x0c\x78\x01\0\x10\0\0\0\x1e\x02\0\0\xab\x04\0\0\x06\
\x84\x01\0\x28\0\0\0\x1e\x02\0\0\x7e\x04\0\0\x27\x78\x01\0\x30\0\0\0\x1e\x02\0\
\0\xab\x04\0\0\x06\x84\x01\0\x38\0\0\0\x1e\x02\0\0\xc1\x04\0\0\x15\x90\x01\0\
\x58\0\0\0\x1e\x02\0\0\xda\x04\0\0\x17\x8c\x01\0\x70\0\0\0\x1e\x02\0\0\x30\x04\
\0\0\x05\x70\x01\0\x5d\x06\0\0\x08\0\0\0\0\0\0\0\x1e\x02\0\0\x07\x05\0\0\x05\
\xa4\x01\0\x08\0\0\0\x1e\x02\0\0\x7e\x04\0\0\x0c\xac\x01\0\x10\0\0\0\x1e\x02\0\
\0\xab\x04\0\0\x06\xb8\x01\0\x28\0\0\0\x1e\x02\0\0\x7e\x04\0\0\x27\xac\x01\0\
\x30\0\0\0\x1e\x02\0\0\xab\x04\0\0\x06\xb8\x01\0\x38\0\0\0\x1e\x02\0\0\x3e\x05\
\0\0\x18\xc4\x01\0\x58\0\0\0\x1e\x02\0\0\x5a\x05\0\0\x17\xc0\x01\0\x70\0\0\0\
\x1e\x02\0\0\x07\x05\0\0\x05\xa4\x01\0\x10\0\0\0\xe7\x05\0\0\x09\0\0\0\0\0\0\0\
\x02\0\0\0\x82\x05\0\0\0\0\0\0\x18\0\0\0\x02\0\0\0\x8c\x05\0\0\0\0\0\0\x28\0\0\
\0\x02\0\0\0\x96\x05\0\0\0\0\0\0\x38\0\0\0\x02\0\0\0\xa0\x05\0\0\0\0\0\0\x48\0\
\0\0\x02\0\0\0\xaa\x05\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\xb4\x05\0\0\0\0\0\0\x58\
\0\0\0\x02\0\0\0\xbe\x05\0\0\0\0\0\0\x60\0\0\0\x02\0\0\0\xc8\x05\0\0\0\0\0\0\
\x68\0\0\0\x02\0\0\0\x82\x05\0\0\0\0\0\0\x15\x06\0\0\x02\0\0\0\0\0\0\0\x02\0\0\
\0\x82\x05\0\0\0\0\0\0\x18\0\0\0\x02\0\0\0\x82\x05\0\0\0\0\0\0\x46\x06\0\0\x01\
\0\0\0\0\0\0\0\x02\0\0\0\x82\x05\0\0\0\0\0\0\x5d\x06\0\0\x01\0\0\0\0\0\0\0\x02\
\0\0\0\x82\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xbe\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\x40\x02\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x06\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\
\x07\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x8e\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\0\
\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\
\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x08\0\0\0\0\0\0\x58\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xad\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x02\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x42\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x88\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x77\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x92\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe8\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xb0\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x09\0\0\0\0\0\0\x7f\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb5\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x14\0\0\0\0\
\0\0\x24\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_uprobe_autoattach *test_uprobe_autoattach::open(const struct bpf_object_open_opts *opts) { return test_uprobe_autoattach__open_opts(opts); }
struct test_uprobe_autoattach *test_uprobe_autoattach::open_and_load() { return test_uprobe_autoattach__open_and_load(); }
int test_uprobe_autoattach::load(struct test_uprobe_autoattach *skel) { return test_uprobe_autoattach__load(skel); }
int test_uprobe_autoattach::attach(struct test_uprobe_autoattach *skel) { return test_uprobe_autoattach__attach(skel); }
void test_uprobe_autoattach::detach(struct test_uprobe_autoattach *skel) { test_uprobe_autoattach__detach(skel); }
void test_uprobe_autoattach::destroy(struct test_uprobe_autoattach *skel) { test_uprobe_autoattach__destroy(skel); }
const void *test_uprobe_autoattach::elf_bytes(size_t *sz) { return test_uprobe_autoattach__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_uprobe_autoattach__assert(struct test_uprobe_autoattach *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->uprobe_byname_parm1) == 4, "unexpected size of 'uprobe_byname_parm1'");
	_Static_assert(sizeof(s->bss->uprobe_byname_ran) == 4, "unexpected size of 'uprobe_byname_ran'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_rc) == 4, "unexpected size of 'uretprobe_byname_rc'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_ret) == 4, "unexpected size of 'uretprobe_byname_ret'");
	_Static_assert(sizeof(s->bss->uretprobe_byname_ran) == 4, "unexpected size of 'uretprobe_byname_ran'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_parm1) == 8, "unexpected size of 'uprobe_byname2_parm1'");
	_Static_assert(sizeof(s->bss->uprobe_byname2_ran) == 4, "unexpected size of 'uprobe_byname2_ran'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_rc) == 8, "unexpected size of 'uretprobe_byname2_rc'");
	_Static_assert(sizeof(s->bss->uretprobe_byname2_ran) == 4, "unexpected size of 'uretprobe_byname2_ran'");
	_Static_assert(sizeof(s->bss->test_pid) == 4, "unexpected size of 'test_pid'");
	_Static_assert(sizeof(s->bss->a) == 32, "unexpected size of 'a'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_UPROBE_AUTOATTACH_SKEL_H__ */
