/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_VMLINUX_SKEL_H__
#define __TEST_VMLINUX_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_vmlinux {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *handle__tp;
		struct bpf_program *handle__raw_tp;
		struct bpf_program *handle__tp_btf;
		struct bpf_program *handle__kprobe;
		struct bpf_program *handle__fentry;
	} progs;
	struct {
		struct bpf_link *handle__tp;
		struct bpf_link *handle__raw_tp;
		struct bpf_link *handle__tp_btf;
		struct bpf_link *handle__kprobe;
		struct bpf_link *handle__fentry;
	} links;
	struct test_vmlinux__bss {
		bool tp_called;
		bool raw_tp_called;
		bool tp_btf_called;
		bool kprobe_called;
		bool fentry_called;
	} *bss;

#ifdef __cplusplus
	static inline struct test_vmlinux *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_vmlinux *open_and_load();
	static inline int load(struct test_vmlinux *skel);
	static inline int attach(struct test_vmlinux *skel);
	static inline void detach(struct test_vmlinux *skel);
	static inline void destroy(struct test_vmlinux *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_vmlinux__destroy(struct test_vmlinux *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_vmlinux__create_skeleton(struct test_vmlinux *obj);

static inline struct test_vmlinux *
test_vmlinux__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_vmlinux *obj;
	int err;

	obj = (struct test_vmlinux *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_vmlinux__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_vmlinux__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_vmlinux *
test_vmlinux__open(void)
{
	return test_vmlinux__open_opts(NULL);
}

static inline int
test_vmlinux__load(struct test_vmlinux *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_vmlinux *
test_vmlinux__open_and_load(void)
{
	struct test_vmlinux *obj;
	int err;

	obj = test_vmlinux__open();
	if (!obj)
		return NULL;
	err = test_vmlinux__load(obj);
	if (err) {
		test_vmlinux__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_vmlinux__attach(struct test_vmlinux *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_vmlinux__detach(struct test_vmlinux *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_vmlinux__elf_bytes(size_t *sz);

static inline int
test_vmlinux__create_skeleton(struct test_vmlinux *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_vmlinux";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_vml.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle__tp";
	s->progs[0].prog = &obj->progs.handle__tp;
	s->progs[0].link = &obj->links.handle__tp;

	s->progs[1].name = "handle__raw_tp";
	s->progs[1].prog = &obj->progs.handle__raw_tp;
	s->progs[1].link = &obj->links.handle__raw_tp;

	s->progs[2].name = "handle__tp_btf";
	s->progs[2].prog = &obj->progs.handle__tp_btf;
	s->progs[2].link = &obj->links.handle__tp_btf;

	s->progs[3].name = "handle__kprobe";
	s->progs[3].prog = &obj->progs.handle__kprobe;
	s->progs[3].link = &obj->links.handle__kprobe;

	s->progs[4].name = "handle__fentry";
	s->progs[4].prog = &obj->progs.handle__fentry;
	s->progs[4].link = &obj->links.handle__fentry;

	s->data = test_vmlinux__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_vmlinux__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\0\x6b\x70\x72\x6f\x62\x65\x2f\x68\x72\x74\x69\x6d\x65\x72\x5f\
\x73\x74\x61\x72\x74\x5f\x72\x61\x6e\x67\x65\x5f\x6e\x73\0\x66\x65\x6e\x74\x72\
\x79\x2f\x68\x72\x74\x69\x6d\x65\x72\x5f\x73\x74\x61\x72\x74\x5f\x72\x61\x6e\
\x67\x65\x5f\x6e\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\
\x73\x74\x5f\x76\x6d\x6c\x69\x6e\x75\x78\x2e\x63\0\x68\x61\x6e\x64\x6c\x65\x5f\
\x5f\x74\x70\0\x74\x70\x5f\x63\x61\x6c\x6c\x65\x64\0\x68\x61\x6e\x64\x6c\x65\
\x5f\x5f\x72\x61\x77\x5f\x74\x70\0\x72\x61\x77\x5f\x74\x70\x5f\x63\x61\x6c\x6c\
\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x74\x70\x5f\x62\x74\x66\0\x74\x70\
\x5f\x62\x74\x66\x5f\x63\x61\x6c\x6c\x65\x64\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\
\x6b\x70\x72\x6f\x62\x65\0\x6b\x70\x72\x6f\x62\x65\x5f\x63\x61\x6c\x6c\x65\x64\
\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x66\x65\x6e\x74\x72\x79\0\x66\x65\x6e\x74\
\x72\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\
\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\x65\
\x6c\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x72\
\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x68\x72\x74\x69\x6d\x65\x72\x5f\x73\x74\
\x61\x72\x74\x5f\x72\x61\x6e\x67\x65\x5f\x6e\x73\0\x2e\x72\x65\x6c\x66\x65\x6e\
\x74\x72\x79\x2f\x68\x72\x74\x69\x6d\x65\x72\x5f\x73\x74\x61\x72\x74\x5f\x72\
\x61\x6e\x67\x65\x5f\x6e\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\
\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x04\0\
\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xb6\0\0\0\x11\0\x08\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\xc0\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\
\0\xcf\0\0\0\x11\0\x08\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xdd\0\0\0\x12\0\
\x05\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\xec\0\0\0\x11\0\x08\0\x02\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\xfa\0\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x09\x01\0\0\x11\0\x08\0\x03\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x17\x01\0\0\x12\0\
\x07\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x26\x01\0\0\x11\0\x08\0\x04\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x34\x01\0\0\x11\0\x09\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x61\x12\x08\0\0\0\0\0\x56\x02\x0e\0\xa2\0\0\0\x79\x13\x10\0\0\0\0\0\xb7\x01\
\0\0\x08\0\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x55\0\x06\0\0\0\0\0\x79\xa1\xf8\
\xff\0\0\0\0\x55\x01\x04\0\x39\x05\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\
\x12\x08\0\0\0\0\0\x55\x02\x15\0\xa2\0\0\0\x79\x13\0\0\0\0\0\0\xb7\x01\0\0\x10\
\x01\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\
\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x08\0\0\0\x79\xa3\xf8\
\xff\0\0\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x55\0\x06\0\0\0\0\0\x79\xa1\xf8\
\xff\0\0\0\0\x55\x01\x04\0\x39\x05\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\
\x12\x08\0\0\0\0\0\x55\x02\x15\0\xa2\0\0\0\x79\x13\0\0\0\0\0\0\xb7\x01\0\0\x10\
\x01\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\
\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x71\0\0\0\xb7\x01\0\0\x08\0\0\0\x79\xa3\xf8\
\xff\0\0\0\0\x0f\x13\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\
\xff\xb4\x02\0\0\x08\0\0\0\x85\0\0\0\x70\0\0\0\x55\0\x06\0\0\0\0\0\x79\xa1\xf8\
\xff\0\0\0\0\x55\x01\x04\0\x39\x05\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\
\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\
\x11\x20\0\0\0\0\0\x55\x01\x04\0\x39\x05\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x11\x08\0\0\0\0\0\x55\x01\x04\0\x39\x05\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x60\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x98\0\0\0\
\0\0\0\0\x01\0\0\0\x0a\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x10\0\0\0\0\
\0\0\0\x01\0\0\0\x0e\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x58\x05\0\0\x58\x05\0\0\xb6\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\x01\0\0\0\x03\0\0\x04\x10\0\0\0\x15\0\0\0\x03\0\0\0\0\0\0\0\x19\0\0\0\x06\
\0\0\0\x40\0\0\0\x1c\0\0\0\x08\0\0\0\x80\0\0\0\x21\0\0\0\x04\0\0\x04\x08\0\0\0\
\x2d\0\0\0\x04\0\0\0\0\0\0\0\x32\0\0\0\x05\0\0\0\x10\0\0\0\x38\0\0\0\x05\0\0\0\
\x18\0\0\0\x46\0\0\0\x06\0\0\0\x20\0\0\0\x4a\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\
\0\x59\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\x67\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\x01\x6b\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\
\0\0\x09\0\0\0\0\0\0\0\x79\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x1c\0\0\0\x01\0\0\0\x8d\0\0\0\x01\0\0\x0c\x0a\0\0\0\x98\0\0\0\
\x02\0\0\x04\x10\0\0\0\xaa\0\0\0\x0d\0\0\0\0\0\0\0\xb1\0\0\0\x0e\0\0\0\x40\0\0\
\0\xb9\0\0\0\0\0\0\x08\x0e\0\0\0\xcb\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\
\0\0\0\0\0\x02\x10\0\0\0\xd5\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x0d\x06\0\0\0\xe8\0\0\0\x0f\0\0\0\xec\0\0\0\x01\0\0\x0c\x11\0\0\0\xfb\0\0\0\
\x02\0\0\x04\x80\x01\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\0\x0b\0\0\
\0\0\0\0\x02\0\0\x05\x60\x01\0\0\x03\x01\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\
\0\0\0\0\0\x0d\x01\0\0\x0d\0\0\x04\x60\x01\0\0\x1a\x01\0\0\x16\0\0\0\0\0\0\0\
\x1e\x01\0\0\x07\0\0\0\0\x08\0\0\x22\x01\0\0\x07\0\0\0\x40\x08\0\0\x26\x01\0\0\
\x07\0\0\0\x80\x08\0\0\x30\x01\0\0\x07\0\0\0\xc0\x08\0\0\x34\x01\0\0\x07\0\0\0\
\0\x09\0\0\x39\x01\0\0\x07\0\0\0\x40\x09\0\0\x3d\x01\0\0\x07\0\0\0\x80\x09\0\0\
\x41\x01\0\0\x07\0\0\0\xc0\x09\0\0\x47\x01\0\0\x07\0\0\0\0\x0a\0\0\x4c\x01\0\0\
\x07\0\0\0\x40\x0a\0\0\x50\x01\0\0\x07\0\0\0\x80\x0a\0\0\x56\x01\0\0\x07\0\0\0\
\xc0\x0a\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x20\0\0\0\0\0\0\0\
\x0d\0\0\x04\x60\x01\0\0\x1a\x01\0\0\x16\0\0\0\0\0\0\0\x1e\x01\0\0\x07\0\0\0\0\
\x08\0\0\x22\x01\0\0\x07\0\0\0\x40\x08\0\0\x26\x01\0\0\x07\0\0\0\x80\x08\0\0\
\x30\x01\0\0\x07\0\0\0\xc0\x08\0\0\x34\x01\0\0\x07\0\0\0\0\x09\0\0\x39\x01\0\0\
\x07\0\0\0\x40\x09\0\0\x3d\x01\0\0\x07\0\0\0\x80\x09\0\0\x41\x01\0\0\x07\0\0\0\
\xc0\x09\0\0\x47\x01\0\0\x07\0\0\0\0\x0a\0\0\0\0\0\0\x18\0\0\0\x40\x0a\0\0\0\0\
\0\0\x19\0\0\0\x80\x0a\0\0\x56\x01\0\0\x07\0\0\0\xc0\x0a\0\0\0\0\0\0\x02\0\0\
\x05\x08\0\0\0\x4c\x01\0\0\x07\0\0\0\0\0\0\0\x5d\x01\0\0\x07\0\0\0\0\0\0\0\0\0\
\0\0\x02\0\0\x05\x08\0\0\0\x50\x01\0\0\x07\0\0\0\0\0\0\0\x62\x01\0\0\x07\0\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\x66\x01\0\0\
\x1d\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x6c\x01\0\0\x07\0\0\0\0\0\0\0\
\x70\x01\0\0\x07\0\0\0\x40\0\0\0\0\0\0\0\x1c\0\0\0\x80\0\0\0\x7c\x01\0\0\x07\0\
\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x81\x01\0\0\x07\0\0\0\0\0\0\0\x86\
\x01\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\x09\0\0\0\x04\0\
\0\0\x8a\x01\0\0\x01\0\0\x0c\x11\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\0\0\0\0\x01\
\0\0\x0d\x06\0\0\0\xe8\0\0\0\x1f\0\0\0\x99\x01\0\0\x01\0\0\x0c\x20\0\0\0\xa8\
\x01\0\0\x01\0\0\x0c\x11\0\0\0\xb7\x01\0\0\0\0\0\x08\x24\0\0\0\xbc\x01\0\0\0\0\
\0\x01\x01\0\0\0\x08\0\0\x04\xc2\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xcc\x01\
\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xda\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\
\xe8\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\xf6\x01\0\0\0\0\0\x0e\x23\0\0\0\x01\
\0\0\0\x04\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x2a\0\0\0\x09\0\0\0\x04\0\0\0\x09\x02\0\0\0\0\0\x0e\x2b\0\0\0\x01\0\0\0\x2b\
\x05\0\0\x05\0\0\x0f\x05\0\0\0\x25\0\0\0\0\0\0\0\x01\0\0\0\x26\0\0\0\x01\0\0\0\
\x01\0\0\0\x27\0\0\0\x02\0\0\0\x01\0\0\0\x28\0\0\0\x03\0\0\0\x01\0\0\0\x29\0\0\
\0\x04\0\0\0\x01\0\0\0\x30\x05\0\0\x01\0\0\x0f\x04\0\0\0\x2c\0\0\0\0\0\0\0\x04\
\0\0\0\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x74\x72\x61\x63\x65\x5f\x65\x6e\x74\
\x65\x72\0\x65\x6e\x74\0\x6e\x72\0\x61\x72\x67\x73\0\x74\x72\x61\x63\x65\x5f\
\x65\x6e\x74\x72\x79\0\x74\x79\x70\x65\0\x66\x6c\x61\x67\x73\0\x70\x72\x65\x65\
\x6d\x70\x74\x5f\x63\x6f\x75\x6e\x74\0\x70\x69\x64\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\
\x61\x72\0\x69\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x74\x70\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\
\x74\x69\x6d\x65\x73\x70\x65\x63\0\x74\x76\x5f\x73\x65\x63\0\x74\x76\x5f\x6e\
\x73\x65\x63\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x74\x69\x6d\x65\x36\x34\x5f\
\x74\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\
\x65\x5f\x5f\x72\x61\x77\x5f\x74\x70\0\x70\x74\x5f\x72\x65\x67\x73\0\x75\x73\
\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\
\0\x67\x70\x72\0\x6e\x69\x70\0\x6d\x73\x72\0\x6f\x72\x69\x67\x5f\x67\x70\x72\
\x33\0\x63\x74\x72\0\x6c\x69\x6e\x6b\0\x78\x65\x72\0\x63\x63\x72\0\x73\x6f\x66\
\x74\x65\0\x74\x72\x61\x70\0\x64\x61\x72\0\x64\x73\x69\x73\x72\0\x72\x65\x73\
\x75\x6c\x74\0\x64\x65\x61\x72\0\x65\x73\x72\0\x5f\x5f\x70\x61\x64\0\x70\x70\
\x72\0\x65\x78\x69\x74\x5f\x72\x65\x73\x75\x6c\x74\0\x69\x61\x6d\x72\0\x6b\x75\
\x61\x70\0\x61\x6d\x72\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x74\x70\x5f\x62\x74\
\x66\0\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x6b\x70\x72\x6f\x62\x65\0\x68\x61\x6e\
\x64\x6c\x65\x5f\x5f\x66\x65\x6e\x74\x72\x79\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\
\x6f\x6c\0\x74\x70\x5f\x63\x61\x6c\x6c\x65\x64\0\x72\x61\x77\x5f\x74\x70\x5f\
\x63\x61\x6c\x6c\x65\x64\0\x74\x70\x5f\x62\x74\x66\x5f\x63\x61\x6c\x6c\x65\x64\
\0\x6b\x70\x72\x6f\x62\x65\x5f\x63\x61\x6c\x6c\x65\x64\0\x66\x65\x6e\x74\x72\
\x79\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\
\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\
\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\
\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x76\x6d\x6c\x69\x6e\
\x75\x78\x2e\x63\0\x09\x69\x66\x20\x28\x61\x72\x67\x73\x2d\x3e\x6e\x72\x20\x21\
\x3d\x20\x5f\x5f\x4e\x52\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x29\0\x09\x74\
\x73\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x61\x72\x67\x73\x2d\x3e\x61\
\x72\x67\x73\x5b\x30\x5d\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x70\x72\x6f\
\x62\x65\x5f\x72\x65\x61\x64\x5f\x75\x73\x65\x72\x28\x26\x74\x76\x5f\x6e\x73\
\x65\x63\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x74\x73\x2d\x3e\x74\x76\x5f\x6e\
\x73\x65\x63\x29\x2c\x20\x26\x74\x73\x2d\x3e\x74\x76\x5f\x6e\x73\x65\x63\x29\
\x20\x7c\x7c\0\x09\x74\x70\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\
\x65\x3b\0\x7d\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x68\x61\
\x6e\x64\x6c\x65\x5f\x5f\x72\x61\x77\x5f\x74\x70\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\x6c\x6f\
\x6e\x67\x20\x69\x64\x29\0\x09\x69\x66\x20\x28\x69\x64\x20\x21\x3d\x20\x5f\x5f\
\x4e\x52\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\x29\0\x09\x74\x73\x20\x3d\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\
\x4d\x31\x5f\x43\x4f\x52\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\x28\x72\x65\x67\
\x73\x29\x3b\0\x09\x72\x61\x77\x5f\x74\x70\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\
\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x74\x70\x5f\x62\x74\x66\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\
\x6c\x6f\x6e\x67\x20\x69\x64\x29\0\x09\x74\x70\x5f\x62\x74\x66\x5f\x63\x61\x6c\
\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x4b\x50\x52\x4f\x42\x45\x28\x68\x61\x6e\x64\x6c\x65\x5f\x5f\x6b\x70\x72\x6f\
\x62\x65\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x68\x72\x74\x69\x6d\x65\x72\x20\
\x2a\x74\x69\x6d\x65\x72\x2c\x20\x6b\x74\x69\x6d\x65\x5f\x74\x20\x74\x69\x6d\
\x2c\x20\x75\x36\x34\x20\x64\x65\x6c\x74\x61\x5f\x6e\x73\x2c\0\x09\x69\x66\x20\
\x28\x74\x69\x6d\x20\x3d\x3d\x20\x4d\x59\x5f\x54\x56\x5f\x4e\x53\x45\x43\x29\0\
\x09\x09\x6b\x70\x72\x6f\x62\x65\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\
\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x68\x61\
\x6e\x64\x6c\x65\x5f\x5f\x66\x65\x6e\x74\x72\x79\x2c\x20\x73\x74\x72\x75\x63\
\x74\x20\x68\x72\x74\x69\x6d\x65\x72\x20\x2a\x74\x69\x6d\x65\x72\x2c\x20\x6b\
\x74\x69\x6d\x65\x5f\x74\x20\x74\x69\x6d\x2c\x20\x75\x36\x34\x20\x64\x65\x6c\
\x74\x61\x5f\x6e\x73\x2c\0\x09\x09\x66\x65\x6e\x74\x72\x79\x5f\x63\x61\x6c\x6c\
\x65\x64\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x30\x3a\x31\0\x30\x3a\x32\x3a\x30\0\
\x30\x3a\x30\x3a\x31\x3a\x33\0\x30\x3a\x30\x3a\x31\x3a\x30\x3a\x34\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\0\x74\x70\x5f\x62\x74\x66\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6b\x70\
\x72\x6f\x62\x65\x2f\x68\x72\x74\x69\x6d\x65\x72\x5f\x73\x74\x61\x72\x74\x5f\
\x72\x61\x6e\x67\x65\x5f\x6e\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x68\x72\x74\x69\
\x6d\x65\x72\x5f\x73\x74\x61\x72\x74\x5f\x72\x61\x6e\x67\x65\x5f\x6e\x73\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\x1c\x02\0\0\x70\x02\0\0\
\xa4\0\0\0\x08\0\0\0\x38\x05\0\0\x01\0\0\0\0\0\0\0\x0b\0\0\0\x58\x05\0\0\x01\0\
\0\0\0\0\0\0\x12\0\0\0\x69\x05\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x7a\x05\0\0\x01\
\0\0\0\0\0\0\0\x21\0\0\0\x98\x05\0\0\x01\0\0\0\0\0\0\0\x22\0\0\0\x10\0\0\0\x38\
\x05\0\0\x07\0\0\0\0\0\0\0\x12\x02\0\0\x9a\x02\0\0\x0c\x60\0\0\x08\0\0\0\x12\
\x02\0\0\x9a\x02\0\0\x06\x60\0\0\x10\0\0\0\x12\x02\0\0\xbb\x02\0\0\x0f\x6c\0\0\
\x38\0\0\0\x12\x02\0\0\xd8\x02\0\0\x06\x70\0\0\x48\0\0\0\x12\x02\0\0\xd8\x02\0\
\0\x47\x70\0\0\x60\0\0\0\x12\x02\0\0\x21\x03\0\0\x0c\x80\0\0\x80\0\0\0\x12\x02\
\0\0\x34\x03\0\0\x01\x88\0\0\x58\x05\0\0\x08\0\0\0\0\0\0\0\x12\x02\0\0\x36\x03\
\0\0\x05\x94\0\0\x08\0\0\0\x12\x02\0\0\x72\x03\0\0\x06\xa8\0\0\x38\0\0\0\x12\
\x02\0\0\x8d\x03\0\0\x0f\xb4\0\0\x50\0\0\0\x12\x02\0\0\x8d\x03\0\0\x0f\xb4\0\0\
\x70\0\0\0\x12\x02\0\0\xd8\x02\0\0\x06\xb8\0\0\x80\0\0\0\x12\x02\0\0\xd8\x02\0\
\0\x47\xb8\0\0\x98\0\0\0\x12\x02\0\0\xbd\x03\0\0\x10\xc8\0\0\xb8\0\0\0\x12\x02\
\0\0\x36\x03\0\0\x05\x94\0\0\x69\x05\0\0\x08\0\0\0\0\0\0\0\x12\x02\0\0\xd4\x03\
\0\0\x05\xdc\0\0\x08\0\0\0\x12\x02\0\0\x72\x03\0\0\x06\xf0\0\0\x38\0\0\0\x12\
\x02\0\0\x8d\x03\0\0\x0f\xfc\0\0\x50\0\0\0\x12\x02\0\0\x8d\x03\0\0\x0f\xfc\0\0\
\x70\0\0\0\x12\x02\0\0\xd8\x02\0\0\x06\0\x01\0\x80\0\0\0\x12\x02\0\0\xd8\x02\0\
\0\x47\0\x01\0\x98\0\0\0\x12\x02\0\0\x10\x04\0\0\x10\x10\x01\0\xb8\0\0\0\x12\
\x02\0\0\xd4\x03\0\0\x05\xdc\0\0\x7a\x05\0\0\x04\0\0\0\0\0\0\0\x12\x02\0\0\x27\
\x04\0\0\x05\x24\x01\0\x08\0\0\0\x12\x02\0\0\x78\x04\0\0\x06\x30\x01\0\x10\0\0\
\0\x12\x02\0\0\x90\x04\0\0\x11\x34\x01\0\x30\0\0\0\x12\x02\0\0\x27\x04\0\0\x05\
\x24\x01\0\x98\x05\0\0\x04\0\0\0\0\0\0\0\x12\x02\0\0\xa8\x04\0\0\x05\x48\x01\0\
\x08\0\0\0\x12\x02\0\0\x78\x04\0\0\x06\x54\x01\0\x10\0\0\0\x12\x02\0\0\xf7\x04\
\0\0\x11\x58\x01\0\x30\0\0\0\x12\x02\0\0\xa8\x04\0\0\x05\x48\x01\0\x10\0\0\0\
\x38\x05\0\0\x03\0\0\0\0\0\0\0\x02\0\0\0\x0f\x05\0\0\0\0\0\0\x10\0\0\0\x02\0\0\
\0\x13\x05\0\0\0\0\0\0\x18\0\0\0\x0c\0\0\0\x0f\x05\0\0\0\0\0\0\x58\x05\0\0\x02\
\0\0\0\x18\0\0\0\x13\0\0\0\x19\x05\0\0\0\0\0\0\x48\0\0\0\x0c\0\0\0\x0f\x05\0\0\
\0\0\0\0\x69\x05\0\0\x02\0\0\0\x18\0\0\0\x13\0\0\0\x19\x05\0\0\0\0\0\0\x48\0\0\
\0\x0c\0\0\0\x0f\x05\0\0\0\0\0\0\x7a\x05\0\0\x01\0\0\0\0\0\0\0\x13\0\0\0\x21\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xdd\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x03\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\x05\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x53\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x05\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x06\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8f\0\0\0\x08\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x78\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x61\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x88\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x76\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x8b\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xad\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x06\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\xcf\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x06\0\0\0\0\0\
\0\x26\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x11\0\0\0\0\0\0\x34\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_vmlinux *test_vmlinux::open(const struct bpf_object_open_opts *opts) { return test_vmlinux__open_opts(opts); }
struct test_vmlinux *test_vmlinux::open_and_load() { return test_vmlinux__open_and_load(); }
int test_vmlinux::load(struct test_vmlinux *skel) { return test_vmlinux__load(skel); }
int test_vmlinux::attach(struct test_vmlinux *skel) { return test_vmlinux__attach(skel); }
void test_vmlinux::detach(struct test_vmlinux *skel) { test_vmlinux__detach(skel); }
void test_vmlinux::destroy(struct test_vmlinux *skel) { test_vmlinux__destroy(skel); }
const void *test_vmlinux::elf_bytes(size_t *sz) { return test_vmlinux__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_vmlinux__assert(struct test_vmlinux *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->tp_called) == 1, "unexpected size of 'tp_called'");
	_Static_assert(sizeof(s->bss->raw_tp_called) == 1, "unexpected size of 'raw_tp_called'");
	_Static_assert(sizeof(s->bss->tp_btf_called) == 1, "unexpected size of 'tp_btf_called'");
	_Static_assert(sizeof(s->bss->kprobe_called) == 1, "unexpected size of 'kprobe_called'");
	_Static_assert(sizeof(s->bss->fentry_called) == 1, "unexpected size of 'fentry_called'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_VMLINUX_SKEL_H__ */
