/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UNINIT_STACK_SKEL_H__
#define __UNINIT_STACK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uninit_stack {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *read_uninit_stack_fixed_off;
		struct bpf_program *read_uninit_stack_var_off;
		struct bpf_program *helper_uninit_to_misc;
	} progs;
	struct {
		struct bpf_link *read_uninit_stack_fixed_off;
		struct bpf_link *read_uninit_stack_var_off;
		struct bpf_link *helper_uninit_to_misc;
	} links;

#ifdef __cplusplus
	static inline struct uninit_stack *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uninit_stack *open_and_load();
	static inline int load(struct uninit_stack *skel);
	static inline int attach(struct uninit_stack *skel);
	static inline void detach(struct uninit_stack *skel);
	static inline void destroy(struct uninit_stack *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uninit_stack__destroy(struct uninit_stack *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uninit_stack__create_skeleton(struct uninit_stack *obj);

static inline struct uninit_stack *
uninit_stack__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uninit_stack *obj;
	int err;

	obj = (struct uninit_stack *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uninit_stack__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uninit_stack__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uninit_stack *
uninit_stack__open(void)
{
	return uninit_stack__open_opts(NULL);
}

static inline int
uninit_stack__load(struct uninit_stack *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uninit_stack *
uninit_stack__open_and_load(void)
{
	struct uninit_stack *obj;
	int err;

	obj = uninit_stack__open();
	if (!obj)
		return NULL;
	err = uninit_stack__load(obj);
	if (err) {
		uninit_stack__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uninit_stack__attach(struct uninit_stack *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uninit_stack__detach(struct uninit_stack *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uninit_stack__elf_bytes(size_t *sz);

static inline int
uninit_stack__create_skeleton(struct uninit_stack *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uninit_stack";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "read_uninit_stack_fixed_off";
	s->progs[0].prog = &obj->progs.read_uninit_stack_fixed_off;
	s->progs[0].link = &obj->links.read_uninit_stack_fixed_off;

	s->progs[1].name = "read_uninit_stack_var_off";
	s->progs[1].prog = &obj->progs.read_uninit_stack_var_off;
	s->progs[1].link = &obj->links.read_uninit_stack_var_off;

	s->progs[2].name = "helper_uninit_to_misc";
	s->progs[2].prog = &obj->progs.helper_uninit_to_misc;
	s->progs[2].link = &obj->links.helper_uninit_to_misc;

	s->data = uninit_stack__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uninit_stack__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x48\x06\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x73\x6f\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x75\x6e\
\x69\x6e\x69\x74\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x65\x78\x69\x74\x5f\x30\0\
\x64\x75\x6d\x6d\x79\0\x72\x65\x61\x64\x5f\x75\x6e\x69\x6e\x69\x74\x5f\x73\x74\
\x61\x63\x6b\x5f\x66\x69\x78\x65\x64\x5f\x6f\x66\x66\0\x72\x65\x61\x64\x5f\x75\
\x6e\x69\x6e\x69\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\x72\x5f\x6f\x66\x66\0\
\x68\x65\x6c\x70\x65\x72\x5f\x75\x6e\x69\x6e\x69\x74\x5f\x74\x6f\x5f\x6d\x69\
\x73\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\
\x65\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\0\0\x04\0\xb0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x3c\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x42\0\0\
\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x5e\0\0\0\x12\0\x04\0\x70\0\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\x78\0\0\0\x12\0\x04\0\xc0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\x8e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x7b\x1a\x80\xff\0\0\0\0\x71\xa1\xf8\xff\0\0\0\0\x0f\x10\
\0\0\0\0\0\0\x71\xa1\xf5\xff\0\0\0\0\x71\xa1\xf3\xff\0\0\0\0\x71\xa1\xf1\xff\0\
\0\0\0\x69\xa1\xf0\xff\0\0\0\0\x61\xa1\xe0\xff\0\0\0\0\x79\xa1\xc0\xff\0\0\0\0\
\x63\x1a\xb8\xff\0\0\0\0\x79\xa1\xb8\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x85\0\0\0\x07\0\0\0\x7b\x0a\xc0\xff\0\0\0\0\x87\0\0\0\0\0\0\0\xd5\0\x04\
\0\xe0\xff\xff\xff\x75\0\x03\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\
\x71\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x7b\x1a\x80\xff\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x80\xff\xff\xff\xb7\x02\0\0\x20\0\0\0\x85\0\
\0\0\x06\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\xec\0\0\0\xec\0\0\0\x96\x01\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\0\
\0\0\0\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x02\0\
\0\0\0\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x21\0\0\0\x01\0\0\x0c\x01\0\0\0\x3b\0\0\
\0\x01\0\0\x0c\x01\0\0\0\x51\0\0\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\x6a\0\0\
\0\0\0\0\x11\x06\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0d\0\0\0\0\x94\0\0\0\0\0\
\0\x0c\x09\0\0\0\x9a\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x0b\0\0\0\x0d\0\0\0\x04\0\0\0\x9f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\xb3\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\x81\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0e\
\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x72\x65\x61\x64\x5f\x75\x6e\x69\x6e\
\x69\x74\x5f\x73\x74\x61\x63\x6b\x5f\x66\x69\x78\x65\x64\x5f\x6f\x66\x66\0\x72\
\x65\x61\x64\x5f\x75\x6e\x69\x6e\x69\x74\x5f\x73\x74\x61\x63\x6b\x5f\x76\x61\
\x72\x5f\x6f\x66\x66\0\x68\x65\x6c\x70\x65\x72\x5f\x75\x6e\x69\x6e\x69\x74\x5f\
\x74\x6f\x5f\x6d\x69\x73\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\
\x66\x70\x2d\x31\x30\x34\x3d\x6d\x6d\x6d\x6d\x6d\x6d\x6d\x6d\0\x64\x75\x6d\x6d\
\x79\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\
\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\
\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\
\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\
\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x75\x6e\x69\x6e\x69\x74\x5f\x73\x74\x61\x63\x6b\x2e\x63\0\x73\x74\
\x61\x74\x69\x63\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x76\x6f\x69\
\x64\x20\x64\x75\x6d\x6d\x79\x28\x76\x6f\x69\x64\x29\x20\x7b\x7d\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x73\x6f\x63\x6b\x65\x74\0\
\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x54\0\0\0\x88\
\0\0\0\0\0\0\0\x08\0\0\0\x89\x01\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\x8f\x01\0\0\
\x03\0\0\0\0\0\0\0\x04\0\0\0\x70\0\0\0\x05\0\0\0\xc0\0\0\0\x06\0\0\0\x10\0\0\0\
\x89\x01\0\0\x01\0\0\0\0\0\0\0\xbc\0\0\0\x44\x01\0\0\x25\xe8\0\0\x8f\x01\0\0\
\x03\0\0\0\0\0\0\0\xbc\0\0\0\x6a\x01\0\0\x02\x2c\0\0\x70\0\0\0\xbc\0\0\0\x6a\
\x01\0\0\x02\x98\0\0\xc0\0\0\0\xbc\0\0\0\x6a\x01\0\0\x02\x0c\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x97\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\0\0\x9a\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x05\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uninit_stack *uninit_stack::open(const struct bpf_object_open_opts *opts) { return uninit_stack__open_opts(opts); }
struct uninit_stack *uninit_stack::open_and_load() { return uninit_stack__open_and_load(); }
int uninit_stack::load(struct uninit_stack *skel) { return uninit_stack__load(skel); }
int uninit_stack::attach(struct uninit_stack *skel) { return uninit_stack__attach(skel); }
void uninit_stack::detach(struct uninit_stack *skel) { uninit_stack__detach(skel); }
void uninit_stack::destroy(struct uninit_stack *skel) { uninit_stack__destroy(skel); }
const void *uninit_stack::elf_bytes(size_t *sz) { return uninit_stack__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uninit_stack__assert(struct uninit_stack *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UNINIT_STACK_SKEL_H__ */
