/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_AND_SKEL_H__
#define __VERIFIER_AND_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_and {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_48b;
	} maps;
	struct {
		struct bpf_program *invalid_and_of_negative_number;
		struct bpf_program *invalid_range_check;
		struct bpf_program *known_subreg_with_unknown_reg;
	} progs;
	struct {
		struct bpf_link *invalid_and_of_negative_number;
		struct bpf_link *invalid_range_check;
		struct bpf_link *known_subreg_with_unknown_reg;
	} links;

#ifdef __cplusplus
	static inline struct verifier_and *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_and *open_and_load();
	static inline int load(struct verifier_and *skel);
	static inline int attach(struct verifier_and *skel);
	static inline void detach(struct verifier_and *skel);
	static inline void destroy(struct verifier_and *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_and__destroy(struct verifier_and *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_and__create_skeleton(struct verifier_and *obj);

static inline struct verifier_and *
verifier_and__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_and *obj;
	int err;

	obj = (struct verifier_and *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_and__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_and__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_and *
verifier_and__open(void)
{
	return verifier_and__open_opts(NULL);
}

static inline int
verifier_and__load(struct verifier_and *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_and *
verifier_and__open_and_load(void)
{
	struct verifier_and *obj;
	int err;

	obj = verifier_and__open();
	if (!obj)
		return NULL;
	err = verifier_and__load(obj);
	if (err) {
		verifier_and__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_and__attach(struct verifier_and *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_and__detach(struct verifier_and *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_and__elf_bytes(size_t *sz);

static inline int
verifier_and__create_skeleton(struct verifier_and *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_and";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash_48b";
	map->map = &obj->maps.map_hash_48b;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "invalid_and_of_negative_number";
	s->progs[0].prog = &obj->progs.invalid_and_of_negative_number;
	s->progs[0].link = &obj->links.invalid_and_of_negative_number;

	s->progs[1].name = "invalid_range_check";
	s->progs[1].prog = &obj->progs.invalid_range_check;
	s->progs[1].link = &obj->links.invalid_range_check;

	s->progs[2].name = "known_subreg_with_unknown_reg";
	s->progs[2].prog = &obj->progs.known_subreg_with_unknown_reg;
	s->progs[2].link = &obj->links.known_subreg_with_unknown_reg;

	s->data = verifier_and__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_and__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x61\x6e\x64\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\
\x5f\x31\0\x6c\x30\x5f\x32\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x6e\x64\x5f\
\x6f\x66\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6e\x75\x6d\x62\x65\x72\0\x6d\
\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\
\x72\x61\x6e\x67\x65\x5f\x63\x68\x65\x63\x6b\0\x6b\x6e\x6f\x77\x6e\x5f\x73\x75\
\x62\x72\x65\x67\x5f\x77\x69\x74\x68\x5f\x75\x6e\x6b\x6e\x6f\x77\x6e\x5f\x72\
\x65\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\
\x65\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\
\0\0\0\x03\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\0\0\x03\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\0\0\x03\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x44\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x63\0\0\0\x11\0\x04\
\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x70\0\0\0\x12\0\x03\0\x78\0\0\0\0\0\0\0\
\xb0\0\0\0\0\0\0\0\x84\0\0\0\x12\0\x03\0\x28\x01\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xa2\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x04\0\0\0\0\0\x71\
\x01\0\0\0\0\0\0\x57\x01\0\0\xfc\xff\xff\xff\x67\x01\0\0\x02\0\0\0\x0f\x10\0\0\
\0\0\0\0\xb7\x01\0\0\x04\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\
\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0c\0\0\0\0\
\0\x61\x01\0\0\0\0\0\0\xb7\x09\0\0\x01\0\0\0\x94\x01\0\0\x02\0\0\0\x04\x01\0\0\
\x01\0\0\0\x5c\x19\0\0\0\0\0\0\x04\x09\0\0\x01\0\0\0\x74\x09\0\0\x01\0\0\0\xb4\
\x03\0\0\x01\0\0\0\x1c\x93\0\0\0\0\0\0\x24\x03\0\0\0\0\0\x10\x0f\x30\0\0\0\0\0\
\0\x63\x30\0\0\0\0\0\0\xbf\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\
\x67\0\0\0\x20\0\0\0\x07\0\0\0\x01\0\0\0\x57\0\0\0\x34\x12\xff\xff\xa6\0\x01\0\
\x01\0\0\0\x61\x11\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x8c\x02\0\0\x8c\x02\0\0\x86\x03\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\
\0\0\0\x02\x08\0\0\0\x23\0\0\0\x02\0\0\x04\x30\0\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\
\0\x32\0\0\0\x0a\0\0\0\x20\0\0\0\x36\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\
\0\x43\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x05\0\0\
\0\x80\0\0\0\x58\0\0\0\x07\0\0\0\xc0\0\0\0\x5e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x6b\0\0\0\x01\0\0\x0c\x0d\0\0\0\x8a\0\0\0\0\0\0\
\x11\x0e\0\0\0\xff\xff\xff\xff\xc2\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\
\xde\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x2c\x01\0\0\0\0\0\x11\x0e\0\0\0\
\xff\xff\xff\xff\x4f\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x7b\x01\0\0\
\x01\0\0\x0c\x0d\0\0\0\x8f\x01\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xc2\0\0\
\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\x11\x14\0\0\0\xff\xff\
\xff\xff\x2c\x01\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x4f\x01\0\0\0\0\0\x11\
\x14\0\0\0\xff\xff\xff\xff\x0a\x02\0\0\x01\0\0\x0c\x0d\0\0\0\x28\x02\0\0\0\0\0\
\x11\x1a\0\0\0\xff\xff\xff\xff\x65\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\
\x2c\x01\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x81\x02\0\0\0\0\0\x11\x1a\0\0\
\0\xff\xff\xff\xff\xae\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\xc4\x02\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x04\0\0\0\
\x04\0\0\0\xc9\x02\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\x71\x03\0\0\x01\0\0\x0f\
\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x77\x03\0\0\x01\0\0\x0f\x04\0\0\0\x22\0\
\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\
\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\
\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x61\x6e\
\x64\x5f\x6f\x66\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6e\x75\x6d\x62\x65\
\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x6e\x64\x20\
\x6f\x66\x20\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6e\x75\x6d\x62\x65\x72\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x52\x30\x20\x6d\x61\
\x78\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x6f\x75\x74\x73\x69\x64\x65\x20\
\x6f\x66\x20\x74\x68\x65\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6d\x65\x6d\x6f\
\x72\x79\x20\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\
\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\
\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\
\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x69\x6e\x76\x61\x6c\x69\x64\x5f\x72\x61\
\x6e\x67\x65\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x72\x61\x6e\x67\x65\x20\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x31\x3d\x52\x30\x20\x6d\x61\x78\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\
\x6f\x75\x74\x73\x69\x64\x65\x20\x6f\x66\x20\x74\x68\x65\x20\x61\x6c\x6c\x6f\
\x77\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x72\x61\x6e\x67\x65\0\x6b\x6e\x6f\
\x77\x6e\x5f\x73\x75\x62\x72\x65\x67\x5f\x77\x69\x74\x68\x5f\x75\x6e\x6b\x6e\
\x6f\x77\x6e\x5f\x72\x65\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x63\x68\x65\x63\x6b\x20\
\x6b\x6e\x6f\x77\x6e\x20\x73\x75\x62\x72\x65\x67\x20\x77\x69\x74\x68\x20\x75\
\x6e\x6b\x6e\x6f\x77\x6e\x20\x72\x65\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x32\x3d\x52\x31\x20\x21\x72\x65\
\x61\x64\x5f\x6f\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x3d\x30\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\
\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x61\x6e\
\x64\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\
\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\
\0\x24\0\0\0\x3c\0\0\0\x60\0\0\0\0\0\0\0\x08\0\0\0\x7f\x03\0\0\x03\0\0\0\0\0\0\
\0\x0e\0\0\0\x78\0\0\0\x14\0\0\0\x28\x01\0\0\x1a\0\0\0\x10\0\0\0\x7f\x03\0\0\
\x03\0\0\0\0\0\0\0\xd2\x02\0\0\x5a\x03\0\0\x02\x74\0\0\x78\0\0\0\xd2\x02\0\0\
\x5a\x03\0\0\x02\xe8\0\0\x28\x01\0\0\xd2\x02\0\0\x5a\x03\0\0\x02\x70\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x03\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xab\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb6\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\x2a\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf0\x09\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_and *verifier_and::open(const struct bpf_object_open_opts *opts) { return verifier_and__open_opts(opts); }
struct verifier_and *verifier_and::open_and_load() { return verifier_and__open_and_load(); }
int verifier_and::load(struct verifier_and *skel) { return verifier_and__load(skel); }
int verifier_and::attach(struct verifier_and *skel) { return verifier_and__attach(skel); }
void verifier_and::detach(struct verifier_and *skel) { verifier_and__detach(skel); }
void verifier_and::destroy(struct verifier_and *skel) { verifier_and__destroy(skel); }
const void *verifier_and::elf_bytes(size_t *sz) { return verifier_and__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_and__assert(struct verifier_and *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_AND_SKEL_H__ */
