/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_ARENA_LARGE_SKEL_H__
#define __VERIFIER_ARENA_LARGE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_arena_large {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *arena;
	} maps;
	struct {
		struct bpf_program *big_alloc1;
	} progs;
	struct {
		struct bpf_link *big_alloc1;
	} links;

#ifdef __cplusplus
	static inline struct verifier_arena_large *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_arena_large *open_and_load();
	static inline int load(struct verifier_arena_large *skel);
	static inline int attach(struct verifier_arena_large *skel);
	static inline void detach(struct verifier_arena_large *skel);
	static inline void destroy(struct verifier_arena_large *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_arena_large__destroy(struct verifier_arena_large *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_arena_large__create_skeleton(struct verifier_arena_large *obj);

static inline struct verifier_arena_large *
verifier_arena_large__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_arena_large *obj;
	int err;

	obj = (struct verifier_arena_large *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_arena_large__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_arena_large__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_arena_large *
verifier_arena_large__open(void)
{
	return verifier_arena_large__open_opts(NULL);
}

static inline int
verifier_arena_large__load(struct verifier_arena_large *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_arena_large *
verifier_arena_large__open_and_load(void)
{
	struct verifier_arena_large *obj;
	int err;

	obj = verifier_arena_large__open();
	if (!obj)
		return NULL;
	err = verifier_arena_large__load(obj);
	if (err) {
		verifier_arena_large__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_arena_large__attach(struct verifier_arena_large *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_arena_large__detach(struct verifier_arena_large *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_arena_large__elf_bytes(size_t *sz);

static inline int
verifier_arena_large__create_skeleton(struct verifier_arena_large *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_arena_large";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "arena";
	map->map = &obj->maps.arena;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "big_alloc1";
	s->progs[0].prog = &obj->progs.big_alloc1;
	s->progs[0].link = &obj->links.big_alloc1;

	s->data = verifier_arena_large__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_arena_large__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x79\
\x73\x63\x61\x6c\x6c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\
\x65\x72\x69\x66\x69\x65\x72\x5f\x61\x72\x65\x6e\x61\x5f\x6c\x61\x72\x67\x65\
\x2e\x63\0\x62\x69\x67\x5f\x61\x6c\x6c\x6f\x63\x31\0\x61\x72\x65\x6e\x61\0\x62\
\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\
\x73\0\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\
\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x79\x73\x63\
\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x49\0\0\0\x11\0\x04\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x4f\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x65\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x07\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\xff\xff\
\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x06\0\0\0\0\0\0\
\x15\x06\x53\0\0\0\0\0\xbf\x68\x01\0\x01\0\0\0\xb4\x01\0\0\x01\0\0\0\x73\x18\0\
\0\0\0\0\0\x18\x01\0\0\0\0\xff\xff\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x0f\x12\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\
\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\
\0\x02\0\0\0\x15\0\x44\0\0\0\0\0\xbf\x09\x01\0\x01\0\0\0\xb4\x01\0\0\x02\0\0\0\
\x73\x19\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\xbf\x62\0\0\0\0\0\0\
\x0f\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\
\xb4\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xb4\x07\0\0\x03\0\0\0\x55\0\x35\0\0\0\0\0\xb4\x07\0\0\x04\0\0\0\x71\x81\0\0\0\
\0\0\0\x56\x01\x32\0\x01\0\0\0\xb4\x07\0\0\x05\0\0\0\x71\x91\0\0\0\0\0\0\x56\
\x01\x2f\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\
\xb4\x03\0\0\x01\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\x06\0\0\0\x71\
\x91\0\0\0\0\0\0\x56\x01\x27\0\x02\0\0\0\xb4\x07\0\0\x07\0\0\0\x71\x81\0\0\0\0\
\0\0\x56\x01\x24\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\
\0\0\xb4\x03\0\0\x01\0\0\0\xb4\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xb4\x07\0\0\x08\0\0\0\x15\0\x1b\0\0\0\0\0\xbf\x01\x01\
\0\x01\0\0\0\xb4\x02\0\0\x03\0\0\0\x73\x21\0\0\0\0\0\0\xb4\x07\0\0\x09\0\0\0\
\x5d\x06\x16\0\0\0\0\0\xb4\x07\0\0\x0a\0\0\0\x71\x91\0\0\0\0\0\0\x56\x01\x13\0\
\x02\0\0\0\xb4\x07\0\0\x0b\0\0\0\xbf\x81\0\0\0\0\0\0\x07\x01\0\0\0\0\x01\0\x71\
\x11\0\0\0\0\0\0\x56\x01\x0e\0\0\0\0\0\xb4\x07\0\0\x0c\0\0\0\x07\x08\0\0\0\0\
\xff\xff\x71\x81\0\0\0\0\0\0\x56\x01\x0a\0\0\0\0\0\xb4\x07\0\0\x0d\0\0\0\xbf\
\x91\0\0\0\0\0\0\x07\x01\0\0\0\0\x01\0\x71\x11\0\0\0\0\0\0\x56\x01\x05\0\0\0\0\
\0\x07\x09\0\0\0\0\xff\xff\x71\x91\0\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\x16\x01\x01\
\0\0\0\0\0\xb4\x07\0\0\x0e\0\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x88\0\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\xb0\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\0\x01\0\0\0\0\0\0\
\x01\0\0\0\x04\0\0\0\x28\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x70\x01\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x90\x01\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\xc8\x01\0\0\0\0\
\0\0\x01\0\0\0\x04\0\0\0\xf8\x01\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x4c\x02\0\0\x4c\x02\0\0\x3b\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x21\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\x01\0\0\
\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\
\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x34\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3a\0\0\0\x0b\0\0\0\
\x3e\0\0\0\x01\0\0\x0c\x0c\0\0\0\x49\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\
\x65\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\0\0\0\0\x05\0\0\x0d\x0b\0\0\0\0\
\0\0\0\x0b\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\
\x13\0\0\0\x7b\0\0\0\0\0\0\x08\x12\0\0\0\x81\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\x8e\0\0\0\0\0\0\x08\x14\0\0\0\x94\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xa7\0\
\0\0\x02\0\0\x0c\x10\0\0\0\0\0\0\0\x03\0\0\x0d\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\
\0\x0b\0\0\0\0\0\0\0\x11\0\0\0\xbd\0\0\0\x02\0\0\x0c\x16\0\0\0\xd2\0\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x18\0\0\0\x04\0\0\0\x04\0\
\0\0\xd7\0\0\0\0\0\0\x0e\x19\0\0\0\x01\0\0\0\x1e\x04\0\0\x01\0\0\x0f\x18\0\0\0\
\x0a\0\0\0\0\0\0\0\x18\0\0\0\x24\x04\0\0\x01\0\0\x0f\x04\0\0\0\x1a\0\0\0\0\0\0\
\0\x04\0\0\0\x2c\x04\0\0\x02\0\0\x0f\0\0\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\
\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x72\x65\x6e\
\x61\0\x63\x74\x78\0\x62\x69\x67\x5f\x61\x6c\x6c\x6f\x63\x31\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\
\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\
\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\0\x62\x70\x66\x5f\x61\x72\x65\
\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\
\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x61\x72\x65\x6e\x61\x5f\x6c\x61\x72\x67\x65\x2e\x63\0\x69\x6e\
\x74\x20\x62\x69\x67\x5f\x61\x6c\x6c\x6f\x63\x31\x28\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x70\x61\x67\x65\x31\x20\x3d\x20\x62\x61\x73\x65\x20\x3d\
\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\
\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\
\x2c\x20\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x70\x61\x67\x65\x31\x29\0\x09\x2a\x70\x61\x67\x65\x31\
\x20\x3d\x20\x31\x3b\0\x09\x70\x61\x67\x65\x32\x20\x3d\x20\x62\x70\x66\x5f\x61\
\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\
\x72\x65\x6e\x61\x2c\x20\x62\x61\x73\x65\x20\x2b\x20\x41\x52\x45\x4e\x41\x5f\
\x53\x49\x5a\x45\x20\x2d\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x2c\0\x09\x69\
\x66\x20\x28\x21\x70\x61\x67\x65\x32\x29\0\x09\x2a\x70\x61\x67\x65\x32\x20\x3d\
\x20\x32\x3b\0\x09\x6e\x6f\x5f\x70\x61\x67\x65\x20\x3d\x20\x62\x70\x66\x5f\x61\
\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\x67\x65\x73\x28\x26\x61\
\x72\x65\x6e\x61\x2c\x20\x62\x61\x73\x65\x20\x2b\x20\x41\x52\x45\x4e\x41\x5f\
\x53\x49\x5a\x45\x2c\0\x09\x69\x66\x20\x28\x6e\x6f\x5f\x70\x61\x67\x65\x29\0\
\x09\x69\x66\x20\x28\x2a\x70\x61\x67\x65\x31\x20\x21\x3d\x20\x31\x29\0\x09\x69\
\x66\x20\x28\x2a\x70\x61\x67\x65\x32\x20\x21\x3d\x20\x32\x29\0\x09\x62\x70\x66\
\x5f\x61\x72\x65\x6e\x61\x5f\x66\x72\x65\x65\x5f\x70\x61\x67\x65\x73\x28\x26\
\x61\x72\x65\x6e\x61\x2c\x20\x28\x76\x6f\x69\x64\x20\x5f\x5f\x61\x72\x65\x6e\
\x61\x20\x2a\x29\x70\x61\x67\x65\x31\x2c\x20\x31\x29\x3b\0\x09\x69\x66\x20\x28\
\x2a\x70\x61\x67\x65\x31\x20\x21\x3d\x20\x30\x29\x20\x2f\x2a\x20\x75\x73\x65\
\x2d\x61\x66\x74\x65\x72\x2d\x66\x72\x65\x65\x20\x73\x68\x6f\x75\x6c\x64\x20\
\x72\x65\x74\x75\x72\x6e\x20\x30\x20\x2a\x2f\0\x09\x70\x61\x67\x65\x33\x20\x3d\
\x20\x62\x70\x66\x5f\x61\x72\x65\x6e\x61\x5f\x61\x6c\x6c\x6f\x63\x5f\x70\x61\
\x67\x65\x73\x28\x26\x61\x72\x65\x6e\x61\x2c\x20\x4e\x55\x4c\x4c\x2c\x20\x31\
\x2c\x20\x4e\x55\x4d\x41\x5f\x4e\x4f\x5f\x4e\x4f\x44\x45\x2c\x20\x30\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x70\x61\x67\x65\x33\x29\0\x09\x2a\x70\x61\x67\x65\x33\
\x20\x3d\x20\x33\x3b\0\x09\x69\x66\x20\x28\x70\x61\x67\x65\x31\x20\x21\x3d\x20\
\x70\x61\x67\x65\x33\x29\0\x09\x69\x66\x20\x28\x2a\x28\x70\x61\x67\x65\x31\x20\
\x2b\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x29\x20\x21\x3d\x20\x30\x29\0\x09\
\x69\x66\x20\x28\x2a\x28\x70\x61\x67\x65\x31\x20\x2d\x20\x50\x41\x47\x45\x5f\
\x53\x49\x5a\x45\x29\x20\x21\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x2a\x28\x70\
\x61\x67\x65\x32\x20\x2b\x20\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x29\x20\x21\
\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x2a\x28\x70\x61\x67\x65\x32\x20\x2d\x20\
\x50\x41\x47\x45\x5f\x53\x49\x5a\x45\x29\x20\x21\x3d\x20\x30\x29\0\x7d\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x73\
\x79\x73\x63\x61\x6c\x6c\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\0\x6c\x02\0\0\x80\x02\0\0\0\0\0\0\x08\0\0\0\x33\x04\0\0\x01\0\0\0\0\0\0\0\x0d\
\0\0\0\x10\0\0\0\x33\x04\0\0\x26\0\0\0\0\0\0\0\xe0\0\0\0\x70\x01\0\0\0\x58\0\0\
\x08\0\0\0\xe0\0\0\0\x8a\x01\0\0\x11\x70\0\0\x48\0\0\0\xe0\0\0\0\xd3\x01\0\0\
\x06\x74\0\0\x60\0\0\0\xe0\0\0\0\xe0\x01\0\0\x09\x7c\0\0\x78\0\0\0\xe0\0\0\0\
\xed\x01\0\0\x3a\x80\0\0\x88\0\0\0\xe0\0\0\0\xed\x01\0\0\x0a\x80\0\0\xc0\0\0\0\
\xe0\0\0\0\x33\x02\0\0\x06\x88\0\0\xd8\0\0\0\xe0\0\0\0\x40\x02\0\0\x09\x90\0\0\
\xf0\0\0\0\xe0\0\0\0\xed\x01\0\0\x2d\x80\0\0\0\x01\0\0\xe0\0\0\0\x4d\x02\0\0\
\x0c\x94\0\0\x38\x01\0\0\xe0\0\0\0\x89\x02\0\0\x06\x9c\0\0\x48\x01\0\0\xe0\0\0\
\0\x97\x02\0\0\x06\xa4\0\0\x50\x01\0\0\xe0\0\0\0\x97\x02\0\0\x06\xa4\0\0\x60\
\x01\0\0\xe0\0\0\0\xa9\x02\0\0\x06\xac\0\0\x68\x01\0\0\xe0\0\0\0\xa9\x02\0\0\
\x06\xac\0\0\x70\x01\0\0\xe0\0\0\0\xbb\x02\0\0\x02\xb4\0\0\xa0\x01\0\0\xe0\0\0\
\0\xa9\x02\0\0\x06\xb8\0\0\xa8\x01\0\0\xe0\0\0\0\xa9\x02\0\0\x06\xb8\0\0\xb8\
\x01\0\0\xe0\0\0\0\xf4\x02\0\0\x06\xc0\0\0\xc0\x01\0\0\xe0\0\0\0\xf4\x02\0\0\
\x06\xc0\0\0\xc8\x01\0\0\xe0\0\0\0\x2b\x03\0\0\x0a\xc8\0\0\x08\x02\0\0\xe0\0\0\
\0\x6d\x03\0\0\x06\xcc\0\0\x20\x02\0\0\xe0\0\0\0\x7a\x03\0\0\x09\xd4\0\0\x30\
\x02\0\0\xe0\0\0\0\x87\x03\0\0\x06\xd8\0\0\x40\x02\0\0\xe0\0\0\0\xa9\x02\0\0\
\x06\xe0\0\0\x48\x02\0\0\xe0\0\0\0\xa9\x02\0\0\x06\xe0\0\0\x58\x02\0\0\xe0\0\0\
\0\x9c\x03\0\0\x0e\xe8\0\0\x68\x02\0\0\xe0\0\0\0\x9c\x03\0\0\x06\xe8\0\0\x70\
\x02\0\0\xe0\0\0\0\x9c\x03\0\0\x06\xe8\0\0\x80\x02\0\0\xe0\0\0\0\xbc\x03\0\0\
\x0e\xf0\0\0\x88\x02\0\0\xe0\0\0\0\xbc\x03\0\0\x06\xf0\0\0\x90\x02\0\0\xe0\0\0\
\0\xbc\x03\0\0\x06\xf0\0\0\xa0\x02\0\0\xe0\0\0\0\xdc\x03\0\0\x0e\xf8\0\0\xb0\
\x02\0\0\xe0\0\0\0\xdc\x03\0\0\x06\xf8\0\0\xb8\x02\0\0\xe0\0\0\0\xdc\x03\0\0\
\x06\xf8\0\0\xc0\x02\0\0\xe0\0\0\0\xfc\x03\0\0\x0e\0\x01\0\xc8\x02\0\0\xe0\0\0\
\0\xfc\x03\0\0\x06\0\x01\0\xe8\x02\0\0\xe0\0\0\0\x1c\x04\0\0\x01\x10\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xe0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x01\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x04\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\
\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x83\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8f\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x9f\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xf8\x0b\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_arena_large *verifier_arena_large::open(const struct bpf_object_open_opts *opts) { return verifier_arena_large__open_opts(opts); }
struct verifier_arena_large *verifier_arena_large::open_and_load() { return verifier_arena_large__open_and_load(); }
int verifier_arena_large::load(struct verifier_arena_large *skel) { return verifier_arena_large__load(skel); }
int verifier_arena_large::attach(struct verifier_arena_large *skel) { return verifier_arena_large__attach(skel); }
void verifier_arena_large::detach(struct verifier_arena_large *skel) { verifier_arena_large__detach(skel); }
void verifier_arena_large::destroy(struct verifier_arena_large *skel) { verifier_arena_large__destroy(skel); }
const void *verifier_arena_large::elf_bytes(size_t *sz) { return verifier_arena_large__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_arena_large__assert(struct verifier_arena_large *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_ARENA_LARGE_SKEL_H__ */
