/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BTF_UNRELIABLE_PROG_SKEL_H__
#define __VERIFIER_BTF_UNRELIABLE_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_btf_unreliable_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *btf_unreliable_kprobe;
	} progs;
	struct {
		struct bpf_link *btf_unreliable_kprobe;
	} links;

#ifdef __cplusplus
	static inline struct verifier_btf_unreliable_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_btf_unreliable_prog *open_and_load();
	static inline int load(struct verifier_btf_unreliable_prog *skel);
	static inline int attach(struct verifier_btf_unreliable_prog *skel);
	static inline void detach(struct verifier_btf_unreliable_prog *skel);
	static inline void destroy(struct verifier_btf_unreliable_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_btf_unreliable_prog__destroy(struct verifier_btf_unreliable_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_btf_unreliable_prog__create_skeleton(struct verifier_btf_unreliable_prog *obj);

static inline struct verifier_btf_unreliable_prog *
verifier_btf_unreliable_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_btf_unreliable_prog *obj;
	int err;

	obj = (struct verifier_btf_unreliable_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_btf_unreliable_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_btf_unreliable_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_btf_unreliable_prog *
verifier_btf_unreliable_prog__open(void)
{
	return verifier_btf_unreliable_prog__open_opts(NULL);
}

static inline int
verifier_btf_unreliable_prog__load(struct verifier_btf_unreliable_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_btf_unreliable_prog *
verifier_btf_unreliable_prog__open_and_load(void)
{
	struct verifier_btf_unreliable_prog *obj;
	int err;

	obj = verifier_btf_unreliable_prog__open();
	if (!obj)
		return NULL;
	err = verifier_btf_unreliable_prog__load(obj);
	if (err) {
		verifier_btf_unreliable_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_btf_unreliable_prog__attach(struct verifier_btf_unreliable_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_btf_unreliable_prog__detach(struct verifier_btf_unreliable_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_btf_unreliable_prog__elf_bytes(size_t *sz);

static inline int
verifier_btf_unreliable_prog__create_skeleton(struct verifier_btf_unreliable_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_btf_unreliable_prog";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "btf_unreliable_kprobe";
	s->progs[0].prog = &obj->progs.btf_unreliable_kprobe;
	s->progs[0].link = &obj->links.btf_unreliable_kprobe;

	s->data = verifier_btf_unreliable_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_btf_unreliable_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\
\x72\x6f\x62\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x62\x74\x66\x5f\x75\x6e\x72\x65\x6c\x69\x61\x62\x6c\x65\x5f\x70\x72\
\x6f\x67\x2e\x63\0\x62\x74\x66\x5f\x75\x6e\x72\x65\x6c\x69\x61\x62\x6c\x65\x5f\
\x6b\x70\x72\x6f\x62\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x55\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xc8\0\0\0\xc8\0\0\0\x31\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x0a\0\0\0\x01\0\0\0\x0e\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x12\0\0\0\x01\0\0\x0c\x03\0\0\0\x28\0\0\0\
\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\x44\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\
\xff\x5d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\
\0\0\x0a\0\0\0\x04\0\0\0\x62\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x76\0\0\0\0\0\
\0\x0e\x09\0\0\0\x01\0\0\0\x22\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0b\0\0\0\0\0\0\0\
\x04\0\0\0\0\x77\x68\x61\x74\x65\x76\x65\x72\0\x63\x74\x78\0\x69\x6e\x74\0\x62\
\x74\x66\x5f\x75\x6e\x72\x65\x6c\x69\x61\x62\x6c\x65\x5f\x6b\x70\x72\x6f\x62\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\
\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\
\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\
\x66\x69\x65\x72\x5f\x62\x74\x66\x5f\x75\x6e\x72\x65\x6c\x69\x61\x62\x6c\x65\
\x5f\x70\x72\x6f\x67\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\0\0\0\0\0\0\0\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\
\x2a\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\0\x2a\x01\0\0\x01\0\0\0\0\0\0\
\0\x7f\0\0\0\x17\x01\0\0\x02\x44\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x6c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\x01\0\0\0\0\0\0\x11\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\
\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_btf_unreliable_prog *verifier_btf_unreliable_prog::open(const struct bpf_object_open_opts *opts) { return verifier_btf_unreliable_prog__open_opts(opts); }
struct verifier_btf_unreliable_prog *verifier_btf_unreliable_prog::open_and_load() { return verifier_btf_unreliable_prog__open_and_load(); }
int verifier_btf_unreliable_prog::load(struct verifier_btf_unreliable_prog *skel) { return verifier_btf_unreliable_prog__load(skel); }
int verifier_btf_unreliable_prog::attach(struct verifier_btf_unreliable_prog *skel) { return verifier_btf_unreliable_prog__attach(skel); }
void verifier_btf_unreliable_prog::detach(struct verifier_btf_unreliable_prog *skel) { verifier_btf_unreliable_prog__detach(skel); }
void verifier_btf_unreliable_prog::destroy(struct verifier_btf_unreliable_prog *skel) { verifier_btf_unreliable_prog__destroy(skel); }
const void *verifier_btf_unreliable_prog::elf_bytes(size_t *sz) { return verifier_btf_unreliable_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_btf_unreliable_prog__assert(struct verifier_btf_unreliable_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BTF_UNRELIABLE_PROG_SKEL_H__ */
