/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_DIRECT_STACK_ACCESS_WRAPAROUND_SKEL_H__
#define __VERIFIER_DIRECT_STACK_ACCESS_WRAPAROUND_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_direct_stack_access_wraparound {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *with_32_bit_wraparound_test1;
		struct bpf_program *with_32_bit_wraparound_test2;
		struct bpf_program *with_32_bit_wraparound_test3;
	} progs;
	struct {
		struct bpf_link *with_32_bit_wraparound_test1;
		struct bpf_link *with_32_bit_wraparound_test2;
		struct bpf_link *with_32_bit_wraparound_test3;
	} links;

#ifdef __cplusplus
	static inline struct verifier_direct_stack_access_wraparound *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_direct_stack_access_wraparound *open_and_load();
	static inline int load(struct verifier_direct_stack_access_wraparound *skel);
	static inline int attach(struct verifier_direct_stack_access_wraparound *skel);
	static inline void detach(struct verifier_direct_stack_access_wraparound *skel);
	static inline void destroy(struct verifier_direct_stack_access_wraparound *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_direct_stack_access_wraparound__destroy(struct verifier_direct_stack_access_wraparound *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_direct_stack_access_wraparound__create_skeleton(struct verifier_direct_stack_access_wraparound *obj);

static inline struct verifier_direct_stack_access_wraparound *
verifier_direct_stack_access_wraparound__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_direct_stack_access_wraparound *obj;
	int err;

	obj = (struct verifier_direct_stack_access_wraparound *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_direct_stack_access_wraparound__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_direct_stack_access_wraparound__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_direct_stack_access_wraparound *
verifier_direct_stack_access_wraparound__open(void)
{
	return verifier_direct_stack_access_wraparound__open_opts(NULL);
}

static inline int
verifier_direct_stack_access_wraparound__load(struct verifier_direct_stack_access_wraparound *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_direct_stack_access_wraparound *
verifier_direct_stack_access_wraparound__open_and_load(void)
{
	struct verifier_direct_stack_access_wraparound *obj;
	int err;

	obj = verifier_direct_stack_access_wraparound__open();
	if (!obj)
		return NULL;
	err = verifier_direct_stack_access_wraparound__load(obj);
	if (err) {
		verifier_direct_stack_access_wraparound__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_direct_stack_access_wraparound__attach(struct verifier_direct_stack_access_wraparound *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_direct_stack_access_wraparound__detach(struct verifier_direct_stack_access_wraparound *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_direct_stack_access_wraparound__elf_bytes(size_t *sz);

static inline int
verifier_direct_stack_access_wraparound__create_skeleton(struct verifier_direct_stack_access_wraparound *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_direct_stack_access_wraparound";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "with_32_bit_wraparound_test1";
	s->progs[0].prog = &obj->progs.with_32_bit_wraparound_test1;
	s->progs[0].link = &obj->links.with_32_bit_wraparound_test1;

	s->progs[1].name = "with_32_bit_wraparound_test2";
	s->progs[1].prog = &obj->progs.with_32_bit_wraparound_test2;
	s->progs[1].link = &obj->links.with_32_bit_wraparound_test2;

	s->progs[2].name = "with_32_bit_wraparound_test3";
	s->progs[2].prog = &obj->progs.with_32_bit_wraparound_test3;
	s->progs[2].link = &obj->links.with_32_bit_wraparound_test3;

	s->data = verifier_direct_stack_access_wraparound__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_direct_stack_access_wraparound__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x78\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x64\x69\x72\x65\x63\x74\x5f\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\
\x73\x73\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x2e\x63\0\x77\x69\x74\x68\
\x5f\x33\x32\x5f\x62\x69\x74\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x5f\
\x74\x65\x73\x74\x31\0\x77\x69\x74\x68\x5f\x33\x32\x5f\x62\x69\x74\x5f\x77\x72\
\x61\x70\x61\x72\x6f\x75\x6e\x64\x5f\x74\x65\x73\x74\x32\0\x77\x69\x74\x68\x5f\
\x33\x32\x5f\x62\x69\x74\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x5f\x74\
\x65\x73\x74\x33\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\
\0\0\x67\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x84\0\0\0\x12\0\
\x03\0\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xa1\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xff\xff\xff\x7f\x07\x01\0\
\0\xff\xff\xff\x7f\xb4\0\0\0\0\0\0\0\x73\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xff\xff\xff\x3f\x07\x01\0\0\xff\xff\xff\x3f\xb4\0\
\0\0\0\0\0\0\x73\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xff\xff\xff\x1f\x07\x01\0\0\xff\xff\xff\x1f\xb4\0\0\0\0\0\0\0\x73\x01\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x50\x01\0\0\x50\x01\0\0\x51\x03\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\
\0\0\x0c\x01\0\0\0\x1e\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\
\0\x11\x02\0\0\0\xff\xff\xff\xff\x85\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\xb9\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\xdc\0\0\0\x01\0\0\x0c\x01\0\0\0\
\xf9\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x07\0\0\0\
\xff\xff\xff\xff\x44\x01\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xb9\0\0\0\0\0\
\0\x11\x07\0\0\0\xff\xff\xff\xff\x78\x01\0\0\x01\0\0\x0c\x01\0\0\0\x95\x01\0\0\
\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x69\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\
\xff\xe0\x01\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x17\x02\0\0\0\0\0\x11\x0c\
\0\0\0\xff\xff\xff\xff\x66\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\
\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\x6b\x02\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\x7f\x02\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x42\x03\0\0\x01\0\0\x0f\
\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\x77\x69\x74\x68\x5f\x33\x32\x5f\x62\
\x69\x74\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x5f\x74\x65\x73\x74\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x73\x74\x61\x63\x6b\x20\
\x61\x63\x63\x65\x73\x73\x20\x77\x69\x74\x68\x20\x33\x32\x2d\x62\x69\x74\x20\
\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x2e\x20\x74\x65\x73\x74\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\
\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x66\x70\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x61\x6e\x64\x20\x32\x31\x34\x37\x34\x38\x33\x36\x34\x37\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x77\x69\x74\x68\
\x5f\x33\x32\x5f\x62\x69\x74\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x5f\
\x74\x65\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\x73\
\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x77\x69\x74\x68\x20\x33\x32\
\x2d\x62\x69\x74\x20\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x2e\x20\x74\x65\
\x73\x74\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x66\x70\x20\x70\x6f\x69\x6e\x74\x65\
\x72\x20\x61\x6e\x64\x20\x31\x30\x37\x33\x37\x34\x31\x38\x32\x33\0\x77\x69\x74\
\x68\x5f\x33\x32\x5f\x62\x69\x74\x5f\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\
\x5f\x74\x65\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x64\x69\x72\x65\x63\x74\x20\
\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x77\x69\x74\x68\x20\x33\
\x32\x2d\x62\x69\x74\x20\x77\x72\x61\x70\x61\x72\x6f\x75\x6e\x64\x2e\x20\x74\
\x65\x73\x74\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x66\x70\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x6f\x66\x66\x73\x65\x74\x20\x31\x30\x37\x33\x37\x34\x31\x38\x32\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x33\x3d\x52\x31\x20\x73\
\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\x6d\
\x65\x74\x69\x63\x20\x67\x6f\x65\x73\x20\x6f\x75\x74\x20\x6f\x66\x20\x72\x61\
\x6e\x67\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x64\x69\x72\x65\x63\
\x74\x5f\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\x5f\x77\x72\x61\x70\
\x61\x72\x6f\x75\x6e\x64\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\
\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\
\0\0\x24\0\0\0\x3c\0\0\0\x60\0\0\0\0\0\0\0\x08\0\0\0\x4a\x03\0\0\x03\0\0\0\0\0\
\0\0\x02\0\0\0\x30\0\0\0\x07\0\0\0\x60\0\0\0\x0c\0\0\0\x10\0\0\0\x4a\x03\0\0\
\x03\0\0\0\0\0\0\0\x88\x02\0\0\x2b\x03\0\0\x02\x38\0\0\x30\0\0\0\x88\x02\0\0\
\x2b\x03\0\0\x02\x78\0\0\x60\0\0\0\x88\x02\0\0\x2b\x03\0\0\x02\xb8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf8\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\xb9\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x06\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_direct_stack_access_wraparound *verifier_direct_stack_access_wraparound::open(const struct bpf_object_open_opts *opts) { return verifier_direct_stack_access_wraparound__open_opts(opts); }
struct verifier_direct_stack_access_wraparound *verifier_direct_stack_access_wraparound::open_and_load() { return verifier_direct_stack_access_wraparound__open_and_load(); }
int verifier_direct_stack_access_wraparound::load(struct verifier_direct_stack_access_wraparound *skel) { return verifier_direct_stack_access_wraparound__load(skel); }
int verifier_direct_stack_access_wraparound::attach(struct verifier_direct_stack_access_wraparound *skel) { return verifier_direct_stack_access_wraparound__attach(skel); }
void verifier_direct_stack_access_wraparound::detach(struct verifier_direct_stack_access_wraparound *skel) { verifier_direct_stack_access_wraparound__detach(skel); }
void verifier_direct_stack_access_wraparound::destroy(struct verifier_direct_stack_access_wraparound *skel) { verifier_direct_stack_access_wraparound__destroy(skel); }
const void *verifier_direct_stack_access_wraparound::elf_bytes(size_t *sz) { return verifier_direct_stack_access_wraparound__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_direct_stack_access_wraparound__assert(struct verifier_direct_stack_access_wraparound *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_DIRECT_STACK_ACCESS_WRAPAROUND_SKEL_H__ */
