/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_DIV0_SKEL_H__
#define __VERIFIER_DIV0_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_div0 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *by_0_zero_check_1_1;
		struct bpf_program *by_0_zero_check_2_1;
		struct bpf_program *div64_by_0_zero_check;
		struct bpf_program *by_0_zero_check_1_2;
		struct bpf_program *by_0_zero_check_2_2;
		struct bpf_program *mod64_by_0_zero_check;
		struct bpf_program *_0_zero_check_ok_cls_1;
		struct bpf_program *_0_zero_check_1_cls_1;
		struct bpf_program *_0_zero_check_2_cls_1;
		struct bpf_program *by_0_zero_check_cls;
		struct bpf_program *_0_zero_check_ok_cls_2;
		struct bpf_program *_0_zero_check_1_cls_2;
		struct bpf_program *_0_zero_check_2_cls_2;
		struct bpf_program *_0_zero_check_1_cls_3;
		struct bpf_program *_0_zero_check_2_cls_3;
	} progs;
	struct {
		struct bpf_link *by_0_zero_check_1_1;
		struct bpf_link *by_0_zero_check_2_1;
		struct bpf_link *div64_by_0_zero_check;
		struct bpf_link *by_0_zero_check_1_2;
		struct bpf_link *by_0_zero_check_2_2;
		struct bpf_link *mod64_by_0_zero_check;
		struct bpf_link *_0_zero_check_ok_cls_1;
		struct bpf_link *_0_zero_check_1_cls_1;
		struct bpf_link *_0_zero_check_2_cls_1;
		struct bpf_link *by_0_zero_check_cls;
		struct bpf_link *_0_zero_check_ok_cls_2;
		struct bpf_link *_0_zero_check_1_cls_2;
		struct bpf_link *_0_zero_check_2_cls_2;
		struct bpf_link *_0_zero_check_1_cls_3;
		struct bpf_link *_0_zero_check_2_cls_3;
	} links;

#ifdef __cplusplus
	static inline struct verifier_div0 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_div0 *open_and_load();
	static inline int load(struct verifier_div0 *skel);
	static inline int attach(struct verifier_div0 *skel);
	static inline void detach(struct verifier_div0 *skel);
	static inline void destroy(struct verifier_div0 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_div0__destroy(struct verifier_div0 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_div0__create_skeleton(struct verifier_div0 *obj);

static inline struct verifier_div0 *
verifier_div0__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_div0 *obj;
	int err;

	obj = (struct verifier_div0 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_div0__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_div0__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_div0 *
verifier_div0__open(void)
{
	return verifier_div0__open_opts(NULL);
}

static inline int
verifier_div0__load(struct verifier_div0 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_div0 *
verifier_div0__open_and_load(void)
{
	struct verifier_div0 *obj;
	int err;

	obj = verifier_div0__open();
	if (!obj)
		return NULL;
	err = verifier_div0__load(obj);
	if (err) {
		verifier_div0__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_div0__attach(struct verifier_div0 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_div0__detach(struct verifier_div0 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_div0__elf_bytes(size_t *sz);

static inline int
verifier_div0__create_skeleton(struct verifier_div0 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_div0";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 15;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "by_0_zero_check_1_1";
	s->progs[0].prog = &obj->progs.by_0_zero_check_1_1;
	s->progs[0].link = &obj->links.by_0_zero_check_1_1;

	s->progs[1].name = "by_0_zero_check_2_1";
	s->progs[1].prog = &obj->progs.by_0_zero_check_2_1;
	s->progs[1].link = &obj->links.by_0_zero_check_2_1;

	s->progs[2].name = "div64_by_0_zero_check";
	s->progs[2].prog = &obj->progs.div64_by_0_zero_check;
	s->progs[2].link = &obj->links.div64_by_0_zero_check;

	s->progs[3].name = "by_0_zero_check_1_2";
	s->progs[3].prog = &obj->progs.by_0_zero_check_1_2;
	s->progs[3].link = &obj->links.by_0_zero_check_1_2;

	s->progs[4].name = "by_0_zero_check_2_2";
	s->progs[4].prog = &obj->progs.by_0_zero_check_2_2;
	s->progs[4].link = &obj->links.by_0_zero_check_2_2;

	s->progs[5].name = "mod64_by_0_zero_check";
	s->progs[5].prog = &obj->progs.mod64_by_0_zero_check;
	s->progs[5].link = &obj->links.mod64_by_0_zero_check;

	s->progs[6].name = "_0_zero_check_ok_cls_1";
	s->progs[6].prog = &obj->progs._0_zero_check_ok_cls_1;
	s->progs[6].link = &obj->links._0_zero_check_ok_cls_1;

	s->progs[7].name = "_0_zero_check_1_cls_1";
	s->progs[7].prog = &obj->progs._0_zero_check_1_cls_1;
	s->progs[7].link = &obj->links._0_zero_check_1_cls_1;

	s->progs[8].name = "_0_zero_check_2_cls_1";
	s->progs[8].prog = &obj->progs._0_zero_check_2_cls_1;
	s->progs[8].link = &obj->links._0_zero_check_2_cls_1;

	s->progs[9].name = "by_0_zero_check_cls";
	s->progs[9].prog = &obj->progs.by_0_zero_check_cls;
	s->progs[9].link = &obj->links.by_0_zero_check_cls;

	s->progs[10].name = "_0_zero_check_ok_cls_2";
	s->progs[10].prog = &obj->progs._0_zero_check_ok_cls_2;
	s->progs[10].link = &obj->links._0_zero_check_ok_cls_2;

	s->progs[11].name = "_0_zero_check_1_cls_2";
	s->progs[11].prog = &obj->progs._0_zero_check_1_cls_2;
	s->progs[11].link = &obj->links._0_zero_check_1_cls_2;

	s->progs[12].name = "_0_zero_check_2_cls_2";
	s->progs[12].prog = &obj->progs._0_zero_check_2_cls_2;
	s->progs[12].link = &obj->links._0_zero_check_2_cls_2;

	s->progs[13].name = "_0_zero_check_1_cls_3";
	s->progs[13].prog = &obj->progs._0_zero_check_1_cls_3;
	s->progs[13].link = &obj->links._0_zero_check_1_cls_3;

	s->progs[14].name = "_0_zero_check_2_cls_3";
	s->progs[14].prog = &obj->progs._0_zero_check_2_cls_3;
	s->progs[14].link = &obj->links._0_zero_check_2_cls_3;

	s->data = verifier_div0__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_div0__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x64\x69\x76\x30\x2e\x63\0\x62\x79\x5f\x30\x5f\x7a\x65\x72\x6f\
\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x31\0\x62\x79\x5f\x30\x5f\x7a\x65\x72\x6f\
\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x31\0\x64\x69\x76\x36\x34\x5f\x62\x79\x5f\
\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\0\x62\x79\x5f\x30\x5f\x7a\x65\
\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x32\0\x62\x79\x5f\x30\x5f\x7a\x65\
\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x32\0\x6d\x6f\x64\x36\x34\x5f\x62\
\x79\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\0\x5f\x30\x5f\x7a\x65\
\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x6f\x6b\x5f\x63\x6c\x73\x5f\x31\0\x5f\x30\
\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\x6c\x73\x5f\x31\0\
\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x63\x6c\x73\
\x5f\x31\0\x62\x79\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x63\
\x6c\x73\0\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x6f\x6b\x5f\
\x63\x6c\x73\x5f\x32\0\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\
\x31\x5f\x63\x6c\x73\x5f\x32\0\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\
\x6b\x5f\x32\x5f\x63\x6c\x73\x5f\x32\0\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\
\x65\x63\x6b\x5f\x31\x5f\x63\x6c\x73\x5f\x33\0\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\
\x63\x68\x65\x63\x6b\x5f\x32\x5f\x63\x6c\x73\x5f\x33\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x12\0\x03\0\0\0\0\0\0\0\
\0\0\x28\0\0\0\0\0\0\0\x47\0\0\0\x12\0\x03\0\x28\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\x5b\0\0\0\x12\0\x03\0\x58\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x71\0\0\0\x12\0\
\x03\0\x80\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x85\0\0\0\x12\0\x03\0\xa8\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\x99\0\0\0\x12\0\x03\0\xd8\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\xaf\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xc6\0\0\0\x12\0\x04\
\0\x30\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xdc\0\0\0\x12\0\x04\0\x50\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\xf2\0\0\0\x12\0\x04\0\x78\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x06\x01\0\0\x12\0\x04\0\x98\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x1d\x01\0\0\x12\0\
\x04\0\xc8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x33\x01\0\0\x12\0\x04\0\xe8\0\0\0\0\
\0\0\0\x28\0\0\0\0\0\0\0\x49\x01\0\0\x12\0\x04\0\x10\x01\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x5f\x01\0\0\x12\0\x04\0\x30\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x75\x01\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\x2a\0\0\0\xb4\x01\
\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x3c\x12\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\
\0\0\x2a\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xb4\x02\0\0\x01\0\0\
\0\x3c\x12\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x2a\0\0\0\xb4\x01\0\0\0\0\0\
\0\xb4\x02\0\0\x01\0\0\0\x3f\x12\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x2a\0\
\0\0\xb4\x01\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x9c\x12\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xb4\0\0\0\x2a\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\xff\xb4\x02\
\0\0\x01\0\0\0\x9c\x12\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\x2a\0\0\0\xb4\
\x01\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x9f\x12\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb4\0\0\0\x2a\0\0\0\xb4\x01\0\0\x02\0\0\0\xb4\x02\0\0\x10\0\0\0\x3c\x12\0\0\0\
\0\0\0\xbf\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\xb4\0\0\0\x01\
\0\0\0\x3c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\xff\
\xff\xff\xff\xb4\0\0\0\x01\0\0\0\x3c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\
\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x3f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\
\0\x2a\0\0\0\xb4\x01\0\0\x03\0\0\0\xb4\x02\0\0\x05\0\0\0\x9c\x12\0\0\0\0\0\0\
\xbf\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\
\x9c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\xff\xff\xff\
\xff\xb4\0\0\0\x01\0\0\0\x9c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\
\0\0\xb4\0\0\0\x02\0\0\0\x9f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\
\0\0\xb4\0\0\0\xff\xff\xff\xff\x9f\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x50\x04\0\0\x50\x04\0\0\xf3\x05\
\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x15\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x63\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x86\0\0\0\0\0\0\x11\x02\0\0\0\
\xff\xff\xff\xff\x9d\0\0\0\x01\0\0\x0c\x01\0\0\0\xb1\0\0\0\0\0\0\x11\x07\0\0\0\
\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x63\0\0\0\0\0\0\
\x11\x07\0\0\0\xff\xff\xff\xff\x86\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\
\xe3\0\0\0\x01\0\0\x0c\x01\0\0\0\xf9\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\
\x47\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x63\0\0\0\0\0\0\x11\x0c\0\0\0\
\xff\xff\xff\xff\x86\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x29\x01\0\0\x01\
\0\0\x0c\x01\0\0\0\x3d\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x63\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\x86\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x6f\x01\0\0\x01\0\0\x0c\x01\
\0\0\0\x83\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x63\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x86\0\0\0\
\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xb5\x01\0\0\x01\0\0\x0c\x01\0\0\0\xcb\x01\
\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\
\xff\xff\x63\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x86\0\0\0\0\0\0\x11\x1b\
\0\0\0\xff\xff\xff\xff\xfb\x01\0\0\x01\0\0\x0c\x01\0\0\0\x12\x02\0\0\0\0\0\x11\
\x20\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x4a\
\x02\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\x60\x02\0\0\x01\0\0\x0c\x01\0\0\0\
\x76\x02\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x24\0\0\0\
\xff\xff\xff\xff\xad\x02\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\xc3\x02\0\0\
\x01\0\0\x0c\x01\0\0\0\xd9\x02\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x47\0\0\
\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xad\x02\0\0\0\0\0\x11\x28\0\0\0\xff\xff\
\xff\xff\x10\x03\0\0\x01\0\0\x0c\x01\0\0\0\x24\x03\0\0\0\0\0\x11\x2c\0\0\0\xff\
\xff\xff\xff\x47\0\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\xad\x02\0\0\0\0\0\
\x11\x2c\0\0\0\xff\xff\xff\xff\x59\x03\0\0\x01\0\0\x0c\x01\0\0\0\x70\x03\0\0\0\
\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\
\xff\xa8\x03\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\xbe\x03\0\0\x01\0\0\x0c\
\x01\0\0\0\xd4\x03\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\
\x34\0\0\0\xff\xff\xff\xff\x0b\x04\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x21\
\x04\0\0\x01\0\0\x0c\x01\0\0\0\x37\x04\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\
\x47\0\0\0\0\0\0\x11\x38\0\0\0\xff\xff\xff\xff\x0b\x04\0\0\0\0\0\x11\x38\0\0\0\
\xff\xff\xff\xff\x6e\x04\0\0\x01\0\0\x0c\x01\0\0\0\x84\x04\0\0\0\0\0\x11\x3c\0\
\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x3c\0\0\0\xff\xff\xff\xff\xa8\x03\0\0\
\0\0\0\x11\x3c\0\0\0\xff\xff\xff\xff\xbb\x04\0\0\x01\0\0\x0c\x01\0\0\0\xd1\x04\
\0\0\0\0\0\x11\x40\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x40\0\0\0\xff\xff\
\xff\xff\x08\x05\0\0\0\0\0\x11\x40\0\0\0\xff\xff\xff\xff\x1f\x05\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x44\0\0\0\x46\0\0\0\x04\0\0\0\
\x24\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x38\x05\0\0\0\0\0\x0e\x45\0\0\0\x01\
\0\0\0\xe1\x05\0\0\x01\0\0\x0f\x04\0\0\0\x47\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x79\
\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\
\x6f\x20\x63\x68\x65\x63\x6b\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\
\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x34\x32\0\x62\x79\x5f\
\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\x6f\
\x20\x63\x68\x65\x63\x6b\x20\x32\0\x64\x69\x76\x36\x34\x5f\x62\x79\x5f\x30\x5f\
\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x44\x49\x56\
\x36\x34\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\x6f\x20\x63\x68\x65\x63\x6b\0\
\x62\x79\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x32\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\
\x65\x72\x6f\x20\x63\x68\x65\x63\x6b\x20\x31\0\x62\x79\x5f\x30\x5f\x7a\x65\x72\
\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\
\x44\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\x6f\x20\x63\x68\x65\x63\
\x6b\x20\x32\0\x6d\x6f\x64\x36\x34\x5f\x62\x79\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\
\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\x36\x34\x20\x62\x79\
\x20\x30\x2c\x20\x7a\x65\x72\x6f\x20\x63\x68\x65\x63\x6b\0\x5f\x30\x5f\x7a\x65\
\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x6f\x6b\x5f\x63\x6c\x73\x5f\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\
\x6f\x20\x63\x68\x65\x63\x6b\x20\x6f\x6b\x2c\x20\x63\x6c\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x38\0\x5f\x30\
\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\x6c\x73\x5f\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\
\x65\x72\x6f\x20\x63\x68\x65\x63\x6b\x20\x31\x2c\x20\x63\x6c\x73\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x5f\
\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x63\x6c\x73\x5f\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x44\x49\x56\x33\x32\x20\x62\x79\x20\x30\x2c\x20\
\x7a\x65\x72\x6f\x20\x63\x68\x65\x63\x6b\x20\x32\x2c\x20\x63\x6c\x73\0\x62\x79\
\x5f\x30\x5f\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x63\x6c\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x44\x49\x56\x36\x34\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\
\x6f\x20\x63\x68\x65\x63\x6b\x2c\x20\x63\x6c\x73\0\x5f\x30\x5f\x7a\x65\x72\x6f\
\x5f\x63\x68\x65\x63\x6b\x5f\x6f\x6b\x5f\x63\x6c\x73\x5f\x32\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\x6f\x20\
\x63\x68\x65\x63\x6b\x20\x6f\x6b\x2c\x20\x63\x6c\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\0\x5f\x30\x5f\x7a\
\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\x6c\x73\x5f\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\
\x6f\x20\x63\x68\x65\x63\x6b\x20\x31\x2c\x20\x63\x6c\x73\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x5f\x30\x5f\
\x7a\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x63\x6c\x73\x5f\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x4d\x4f\x44\x33\x32\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\
\x72\x6f\x20\x63\x68\x65\x63\x6b\x20\x32\x2c\x20\x63\x6c\x73\0\x5f\x30\x5f\x7a\
\x65\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x31\x5f\x63\x6c\x73\x5f\x33\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x4d\x4f\x44\x36\x34\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\
\x6f\x20\x63\x68\x65\x63\x6b\x20\x31\x2c\x20\x63\x6c\x73\0\x5f\x30\x5f\x7a\x65\
\x72\x6f\x5f\x63\x68\x65\x63\x6b\x5f\x32\x5f\x63\x6c\x73\x5f\x33\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x4d\x4f\x44\x36\x34\x20\x62\x79\x20\x30\x2c\x20\x7a\x65\x72\x6f\
\x20\x63\x68\x65\x63\x6b\x20\x32\x2c\x20\x63\x6c\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x2d\x31\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x64\x69\x76\x30\x2e\x63\0\x09\x61\x73\x6d\x20\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x74\x63\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x8c\0\0\0\x8c\0\0\0\x04\x01\0\0\x90\x01\0\0\0\0\0\0\x08\0\0\
\0\xe9\x05\0\0\x06\0\0\0\0\0\0\0\x02\0\0\0\x28\0\0\0\x07\0\0\0\x58\0\0\0\x0c\0\
\0\0\x80\0\0\0\x11\0\0\0\xa8\0\0\0\x16\0\0\0\xd8\0\0\0\x1b\0\0\0\xf0\x05\0\0\
\x09\0\0\0\0\0\0\0\x20\0\0\0\x30\0\0\0\x24\0\0\0\x50\0\0\0\x28\0\0\0\x78\0\0\0\
\x2c\0\0\0\x98\0\0\0\x30\0\0\0\xc8\0\0\0\x34\0\0\0\xe8\0\0\0\x38\0\0\0\x10\x01\
\0\0\x3c\0\0\0\x30\x01\0\0\x40\0\0\0\x10\0\0\0\xe9\x05\0\0\x06\0\0\0\0\0\0\0\
\x41\x05\0\0\xca\x05\0\0\x02\x34\0\0\x28\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\x6c\
\0\0\x58\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\xa4\0\0\x80\0\0\0\x41\x05\0\0\xca\
\x05\0\0\x02\xdc\0\0\xa8\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\x14\x01\0\xd8\0\0\0\
\x41\x05\0\0\xca\x05\0\0\x02\x4c\x01\0\xf0\x05\0\0\x09\0\0\0\0\0\0\0\x41\x05\0\
\0\xca\x05\0\0\x02\x84\x01\0\x30\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\xc0\x01\0\
\x50\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\xf4\x01\0\x78\0\0\0\x41\x05\0\0\xca\x05\
\0\0\x02\x28\x02\0\x98\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\x5c\x02\0\xc8\0\0\0\
\x41\x05\0\0\xca\x05\0\0\x02\x98\x02\0\xe8\0\0\0\x41\x05\0\0\xca\x05\0\0\x02\
\xcc\x02\0\x10\x01\0\0\x41\x05\0\0\xca\x05\0\0\x02\0\x03\0\x30\x01\0\0\x41\x05\
\0\0\xca\x05\0\0\x02\x34\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8c\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\xe0\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7e\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x06\0\0\0\0\0\0\x5b\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x83\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x10\0\0\0\0\
\0\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_div0 *verifier_div0::open(const struct bpf_object_open_opts *opts) { return verifier_div0__open_opts(opts); }
struct verifier_div0 *verifier_div0::open_and_load() { return verifier_div0__open_and_load(); }
int verifier_div0::load(struct verifier_div0 *skel) { return verifier_div0__load(skel); }
int verifier_div0::attach(struct verifier_div0 *skel) { return verifier_div0__attach(skel); }
void verifier_div0::detach(struct verifier_div0 *skel) { verifier_div0__detach(skel); }
void verifier_div0::destroy(struct verifier_div0 *skel) { verifier_div0__destroy(skel); }
const void *verifier_div0::elf_bytes(size_t *sz) { return verifier_div0__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_div0__assert(struct verifier_div0 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_DIV0_SKEL_H__ */
