/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LD_IND_SKEL_H__
#define __VERIFIER_LD_IND_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_ld_ind {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *ind_check_calling_conv_r1;
		struct bpf_program *ind_check_calling_conv_r2;
		struct bpf_program *ind_check_calling_conv_r3;
		struct bpf_program *ind_check_calling_conv_r4;
		struct bpf_program *ind_check_calling_conv_r5;
		struct bpf_program *ind_check_calling_conv_r7;
	} progs;
	struct {
		struct bpf_link *ind_check_calling_conv_r1;
		struct bpf_link *ind_check_calling_conv_r2;
		struct bpf_link *ind_check_calling_conv_r3;
		struct bpf_link *ind_check_calling_conv_r4;
		struct bpf_link *ind_check_calling_conv_r5;
		struct bpf_link *ind_check_calling_conv_r7;
	} links;

#ifdef __cplusplus
	static inline struct verifier_ld_ind *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_ld_ind *open_and_load();
	static inline int load(struct verifier_ld_ind *skel);
	static inline int attach(struct verifier_ld_ind *skel);
	static inline void detach(struct verifier_ld_ind *skel);
	static inline void destroy(struct verifier_ld_ind *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_ld_ind__destroy(struct verifier_ld_ind *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_ld_ind__create_skeleton(struct verifier_ld_ind *obj);

static inline struct verifier_ld_ind *
verifier_ld_ind__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_ld_ind *obj;
	int err;

	obj = (struct verifier_ld_ind *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_ld_ind__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_ld_ind__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_ld_ind *
verifier_ld_ind__open(void)
{
	return verifier_ld_ind__open_opts(NULL);
}

static inline int
verifier_ld_ind__load(struct verifier_ld_ind *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_ld_ind *
verifier_ld_ind__open_and_load(void)
{
	struct verifier_ld_ind *obj;
	int err;

	obj = verifier_ld_ind__open();
	if (!obj)
		return NULL;
	err = verifier_ld_ind__load(obj);
	if (err) {
		verifier_ld_ind__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_ld_ind__attach(struct verifier_ld_ind *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_ld_ind__detach(struct verifier_ld_ind *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_ld_ind__elf_bytes(size_t *sz);

static inline int
verifier_ld_ind__create_skeleton(struct verifier_ld_ind *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_ld_ind";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ind_check_calling_conv_r1";
	s->progs[0].prog = &obj->progs.ind_check_calling_conv_r1;
	s->progs[0].link = &obj->links.ind_check_calling_conv_r1;

	s->progs[1].name = "ind_check_calling_conv_r2";
	s->progs[1].prog = &obj->progs.ind_check_calling_conv_r2;
	s->progs[1].link = &obj->links.ind_check_calling_conv_r2;

	s->progs[2].name = "ind_check_calling_conv_r3";
	s->progs[2].prog = &obj->progs.ind_check_calling_conv_r3;
	s->progs[2].link = &obj->links.ind_check_calling_conv_r3;

	s->progs[3].name = "ind_check_calling_conv_r4";
	s->progs[3].prog = &obj->progs.ind_check_calling_conv_r4;
	s->progs[3].link = &obj->links.ind_check_calling_conv_r4;

	s->progs[4].name = "ind_check_calling_conv_r5";
	s->progs[4].prog = &obj->progs.ind_check_calling_conv_r5;
	s->progs[4].link = &obj->links.ind_check_calling_conv_r5;

	s->progs[5].name = "ind_check_calling_conv_r7";
	s->progs[5].prog = &obj->progs.ind_check_calling_conv_r7;
	s->progs[5].link = &obj->links.ind_check_calling_conv_r7;

	s->data = verifier_ld_ind__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_ld_ind__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x6c\x64\x5f\x69\x6e\x64\x2e\x63\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\
\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x31\0\x69\x6e\x64\
\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\
\x5f\x72\x32\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\
\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x33\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\
\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x34\0\x69\x6e\x64\x5f\
\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\
\x72\x35\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\
\x5f\x63\x6f\x6e\x76\x5f\x72\x37\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x12\0\x03\0\0\0\0\
\0\0\0\0\0\x28\0\0\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\x28\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\x66\0\0\0\x12\0\x03\0\x50\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x80\0\0\0\
\x12\0\x03\0\x78\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x9a\0\0\0\x12\0\x03\0\xa0\0\0\
\0\0\0\0\0\x28\0\0\0\0\0\0\0\xb4\0\0\0\x12\0\x03\0\xc8\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\xce\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\xb7\x01\0\0\x01\0\0\0\x40\x10\0\0\0\0\xe0\xff\xbf\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x40\x20\0\0\0\0\xe0\xff\
\xbf\x20\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\
\0\x40\x30\0\0\0\0\xe0\xff\xbf\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\xb7\x04\0\0\x01\0\0\0\x40\x40\0\0\0\0\xe0\xff\xbf\x40\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x05\0\0\x01\0\0\0\x40\x50\0\0\0\0\xe0\xff\
\xbf\x50\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x07\0\0\x01\0\0\
\0\x40\x70\0\0\0\0\xe0\xff\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x34\x02\0\0\x34\x02\0\0\x12\x04\0\0\0\
\0\0\0\0\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x1b\0\0\0\0\0\0\x11\
\x02\0\0\0\xff\xff\xff\xff\x53\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x6f\0\
\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\
\xff\xff\xb8\0\0\0\x01\0\0\x0c\x01\0\0\0\xd2\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\
\xff\xff\x53\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x0a\x01\0\0\0\0\0\x11\
\x07\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x30\
\x01\0\0\x01\0\0\x0c\x01\0\0\0\x4a\x01\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\
\x53\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x82\x01\0\0\0\0\0\x11\x0c\0\0\0\
\xff\xff\xff\xff\x95\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\xa8\x01\0\0\x01\
\0\0\x0c\x01\0\0\0\xc2\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x53\0\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xfa\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x20\x02\0\0\x01\0\0\x0c\x01\
\0\0\0\x3a\x02\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x53\0\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x72\x02\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x95\0\0\
\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x98\x02\0\0\x01\0\0\x0c\x01\0\0\0\xb2\
\x02\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\xea\x02\0\0\0\0\0\x11\x1b\0\0\0\
\xff\xff\xff\xff\x06\x03\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x29\x03\0\0\0\
\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x3f\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x20\0\0\0\x22\0\0\0\x04\0\0\0\x44\x03\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x58\x03\0\0\0\0\0\x0e\x21\0\0\0\x01\0\0\0\x03\x04\0\0\x01\
\0\0\x0f\x04\0\0\0\x23\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x64\x5f\x63\x68\x65\
\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x31\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6c\x64\x5f\x69\x6e\x64\x3a\x20\x63\x68\x65\x63\x6b\x20\
\x63\x61\x6c\x6c\x69\x6e\x67\x20\x63\x6f\x6e\x76\x2c\x20\x72\x31\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\
\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x52\x31\x20\x21\x72\x65\x61\
\x64\x5f\x6f\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\
\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\
\x6f\x6e\x76\x5f\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6c\x64\x5f\x69\x6e\x64\x3a\
\x20\x63\x68\x65\x63\x6b\x20\x63\x61\x6c\x6c\x69\x6e\x67\x20\x63\x6f\x6e\x76\
\x2c\x20\x72\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x52\x32\x20\x21\x72\x65\x61\x64\
\x5f\x6f\x6b\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\
\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6c\x64\x5f\x69\
\x6e\x64\x3a\x20\x63\x68\x65\x63\x6b\x20\x63\x61\x6c\x6c\x69\x6e\x67\x20\x63\
\x6f\x6e\x76\x2c\x20\x72\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x52\x33\x20\x21\x72\
\x65\x61\x64\x5f\x6f\x6b\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\x63\x61\x6c\
\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6c\
\x64\x5f\x69\x6e\x64\x3a\x20\x63\x68\x65\x63\x6b\x20\x63\x61\x6c\x6c\x69\x6e\
\x67\x20\x63\x6f\x6e\x76\x2c\x20\x72\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x52\x34\
\x20\x21\x72\x65\x61\x64\x5f\x6f\x6b\0\x69\x6e\x64\x5f\x63\x68\x65\x63\x6b\x5f\
\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x35\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x6c\x64\x5f\x69\x6e\x64\x3a\x20\x63\x68\x65\x63\x6b\x20\x63\x61\x6c\
\x6c\x69\x6e\x67\x20\x63\x6f\x6e\x76\x2c\x20\x72\x35\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\
\x3d\x52\x35\x20\x21\x72\x65\x61\x64\x5f\x6f\x6b\0\x69\x6e\x64\x5f\x63\x68\x65\
\x63\x6b\x5f\x63\x61\x6c\x6c\x69\x6e\x67\x5f\x63\x6f\x6e\x76\x5f\x72\x37\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x6c\x64\x5f\x69\x6e\x64\x3a\x20\x63\x68\x65\x63\x6b\x20\
\x63\x61\x6c\x6c\x69\x6e\x67\x20\x63\x6f\x6e\x76\x2c\x20\x72\x37\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\
\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\
\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x31\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6c\x64\x5f\x69\x6e\
\x64\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\
\x09\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\
\x74\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x6c\0\0\0\xa8\0\
\0\0\0\0\0\0\x08\0\0\0\x0b\x04\0\0\x06\0\0\0\0\0\0\0\x02\0\0\0\x28\0\0\0\x07\0\
\0\0\x50\0\0\0\x0c\0\0\0\x78\0\0\0\x11\0\0\0\xa0\0\0\0\x16\0\0\0\xc8\0\0\0\x1b\
\0\0\0\x10\0\0\0\x0b\x04\0\0\x06\0\0\0\0\0\0\0\x61\x03\0\0\xec\x03\0\0\x02\x3c\
\0\0\x28\0\0\0\x61\x03\0\0\xec\x03\0\0\x02\x80\0\0\x50\0\0\0\x61\x03\0\0\xec\
\x03\0\0\x02\xc4\0\0\x78\0\0\0\x61\x03\0\0\xec\x03\0\0\x02\x08\x01\0\xa0\0\0\0\
\x61\x03\0\0\xec\x03\0\0\x02\x4c\x01\0\xc8\0\0\0\x61\x03\0\0\xec\x03\0\0\x02\
\x8c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xe5\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x02\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xd7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\
\x5e\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x09\0\0\0\0\0\0\xc8\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_ld_ind *verifier_ld_ind::open(const struct bpf_object_open_opts *opts) { return verifier_ld_ind__open_opts(opts); }
struct verifier_ld_ind *verifier_ld_ind::open_and_load() { return verifier_ld_ind__open_and_load(); }
int verifier_ld_ind::load(struct verifier_ld_ind *skel) { return verifier_ld_ind__load(skel); }
int verifier_ld_ind::attach(struct verifier_ld_ind *skel) { return verifier_ld_ind__attach(skel); }
void verifier_ld_ind::detach(struct verifier_ld_ind *skel) { verifier_ld_ind__detach(skel); }
void verifier_ld_ind::destroy(struct verifier_ld_ind *skel) { verifier_ld_ind__destroy(skel); }
const void *verifier_ld_ind::elf_bytes(size_t *sz) { return verifier_ld_ind__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_ld_ind__assert(struct verifier_ld_ind *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LD_IND_SKEL_H__ */
