/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_MAP_PTR_SKEL_H__
#define __VERIFIER_MAP_PTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_map_ptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_array_48b;
		struct bpf_map *map_hash_16b;
	} maps;
	struct {
		struct bpf_program *read_with_negative_offset_rejected;
		struct bpf_program *bpf_map_ptr_write_rejected;
		struct bpf_program *read_non_existent_field_rejected;
		struct bpf_program *ptr_read_ops_field_accepted;
		struct bpf_program *map_ptr_map_ptr_r;
		struct bpf_program *_0_r_r_map_ptr;
	} progs;
	struct {
		struct bpf_link *read_with_negative_offset_rejected;
		struct bpf_link *bpf_map_ptr_write_rejected;
		struct bpf_link *read_non_existent_field_rejected;
		struct bpf_link *ptr_read_ops_field_accepted;
		struct bpf_link *map_ptr_map_ptr_r;
		struct bpf_link *_0_r_r_map_ptr;
	} links;

#ifdef __cplusplus
	static inline struct verifier_map_ptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_map_ptr *open_and_load();
	static inline int load(struct verifier_map_ptr *skel);
	static inline int attach(struct verifier_map_ptr *skel);
	static inline void detach(struct verifier_map_ptr *skel);
	static inline void destroy(struct verifier_map_ptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_map_ptr__destroy(struct verifier_map_ptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_map_ptr__create_skeleton(struct verifier_map_ptr *obj);

static inline struct verifier_map_ptr *
verifier_map_ptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_map_ptr *obj;
	int err;

	obj = (struct verifier_map_ptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_map_ptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_map_ptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_map_ptr *
verifier_map_ptr__open(void)
{
	return verifier_map_ptr__open_opts(NULL);
}

static inline int
verifier_map_ptr__load(struct verifier_map_ptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_map_ptr *
verifier_map_ptr__open_and_load(void)
{
	struct verifier_map_ptr *obj;
	int err;

	obj = verifier_map_ptr__open();
	if (!obj)
		return NULL;
	err = verifier_map_ptr__load(obj);
	if (err) {
		verifier_map_ptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_map_ptr__attach(struct verifier_map_ptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_map_ptr__detach(struct verifier_map_ptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_map_ptr__elf_bytes(size_t *sz);

static inline int
verifier_map_ptr__create_skeleton(struct verifier_map_ptr *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_map_ptr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_array_48b";
	map->map = &obj->maps.map_array_48b;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "map_hash_16b";
	map->map = &obj->maps.map_hash_16b;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "read_with_negative_offset_rejected";
	s->progs[0].prog = &obj->progs.read_with_negative_offset_rejected;
	s->progs[0].link = &obj->links.read_with_negative_offset_rejected;

	s->progs[1].name = "bpf_map_ptr_write_rejected";
	s->progs[1].prog = &obj->progs.bpf_map_ptr_write_rejected;
	s->progs[1].link = &obj->links.bpf_map_ptr_write_rejected;

	s->progs[2].name = "read_non_existent_field_rejected";
	s->progs[2].prog = &obj->progs.read_non_existent_field_rejected;
	s->progs[2].link = &obj->links.read_non_existent_field_rejected;

	s->progs[3].name = "ptr_read_ops_field_accepted";
	s->progs[3].prog = &obj->progs.ptr_read_ops_field_accepted;
	s->progs[3].link = &obj->links.ptr_read_ops_field_accepted;

	s->progs[4].name = "map_ptr_map_ptr_r";
	s->progs[4].prog = &obj->progs.map_ptr_map_ptr_r;
	s->progs[4].link = &obj->links.map_ptr_map_ptr_r;

	s->progs[5].name = "_0_r_r_map_ptr";
	s->progs[5].prog = &obj->progs._0_r_r_map_ptr;
	s->progs[5].link = &obj->links._0_r_r_map_ptr;

	s->data = verifier_map_ptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_map_ptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\
\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\x70\x74\x72\x2e\x63\0\x72\x65\x61\
\x64\x5f\x77\x69\x74\x68\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6f\x66\x66\
\x73\x65\x74\x5f\x72\x65\x6a\x65\x63\x74\x65\x64\0\x6d\x61\x70\x5f\x61\x72\x72\
\x61\x79\x5f\x34\x38\x62\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x74\x72\x5f\x77\
\x72\x69\x74\x65\x5f\x72\x65\x6a\x65\x63\x74\x65\x64\0\x72\x65\x61\x64\x5f\x6e\
\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x66\x69\x65\x6c\x64\x5f\x72\
\x65\x6a\x65\x63\x74\x65\x64\0\x70\x74\x72\x5f\x72\x65\x61\x64\x5f\x6f\x70\x73\
\x5f\x66\x69\x65\x6c\x64\x5f\x61\x63\x63\x65\x70\x74\x65\x64\0\x6d\x61\x70\x5f\
\x70\x74\x72\x5f\x6d\x61\x70\x5f\x70\x74\x72\x5f\x72\0\x6d\x61\x70\x5f\x68\x61\
\x73\x68\x5f\x31\x36\x62\0\x5f\x30\x5f\x72\x5f\x72\x5f\x6d\x61\x70\x5f\x70\x74\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\
\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x5c\0\0\0\x11\0\x04\0\0\0\0\0\
\0\0\0\0\x20\0\0\0\0\0\0\0\x6a\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x48\0\0\0\0\
\0\0\0\x85\0\0\0\x12\0\x03\0\x78\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xa6\0\0\0\x12\
\0\x03\0\xa8\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xc2\0\0\0\x12\0\x03\0\xd8\0\0\0\0\
\0\0\0\x58\0\0\0\0\0\0\0\xd4\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\xe1\0\0\0\x12\0\x03\0\x30\x01\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xf0\0\0\0\x11\
\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\x16\xf8\xff\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb7\0\
\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x16\x01\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\x06\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x16\0\0\0\0\0\0\xb7\0\0\0\
\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x0f\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\x01\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x80\0\
\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\0\x01\0\
\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x58\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x9f\xeb\
\x01\0\x18\0\0\0\0\0\0\0\x68\x04\0\0\x68\x04\0\0\x12\x07\0\0\0\0\0\0\0\0\0\x02\
\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\x19\0\0\0\x02\0\0\x04\
\x30\0\0\0\x22\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\x0b\0\0\0\x20\0\0\0\x2c\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x0b\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x39\0\0\0\x01\0\0\0\0\0\0\0\x3e\0\0\0\
\x05\0\0\0\x40\0\0\0\x4a\0\0\0\x07\0\0\0\x80\0\0\0\x4e\0\0\0\x08\0\0\0\xc0\0\0\
\0\x54\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\x62\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x11\0\0\0\x6c\0\0\0\x02\0\
\0\x04\x10\0\0\0\x28\0\0\0\x0f\0\0\0\0\0\0\0\x76\0\0\0\x0f\0\0\0\x40\0\0\0\0\0\
\0\0\x04\0\0\x04\x20\0\0\0\x39\0\0\0\x05\0\0\0\0\0\0\0\x3e\0\0\0\x05\0\0\0\x40\
\0\0\0\x4a\0\0\0\x0e\0\0\0\x80\0\0\0\x4e\0\0\0\x10\0\0\0\xc0\0\0\0\x7a\0\0\0\0\
\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x87\0\0\0\x01\0\0\x0c\
\x14\0\0\0\xaa\0\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\xf3\0\0\0\0\0\0\x11\
\x15\0\0\0\xff\xff\xff\xff\x0f\x01\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x59\
\x01\0\0\0\0\0\x11\x15\0\0\0\xff\xff\xff\xff\x7c\x01\0\0\0\0\0\x11\x15\0\0\0\
\xff\xff\xff\xff\xd5\x01\0\0\x01\0\0\x0c\x14\0\0\0\xf0\x01\0\0\0\0\0\x11\x1b\0\
\0\0\xff\xff\xff\xff\xf3\0\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x25\x02\0\0\
\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x59\x01\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\
\xff\xff\x65\x02\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\xbe\x02\0\0\x01\0\0\
\x0c\x14\0\0\0\xdf\x02\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\xf3\0\0\0\0\0\0\
\x11\x21\0\0\0\xff\xff\xff\xff\x26\x03\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\
\x59\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x8d\x03\0\0\0\0\0\x11\x21\0\0\
\0\xff\xff\xff\xff\xe6\x03\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x12\x04\0\0\
\x01\0\0\x0c\x14\0\0\0\x2e\x04\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x6c\x04\
\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\x59\x01\0\0\0\0\0\x11\x28\0\0\0\xff\
\xff\xff\xff\x88\x04\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xe1\x04\0\0\0\0\0\
\x11\x28\0\0\0\xff\xff\xff\xff\xf7\x04\0\0\x01\0\0\x0c\x14\0\0\0\x09\x05\0\0\0\
\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x6c\x04\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\
\xff\x59\x01\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\x4c\x05\0\0\0\0\0\x11\x2e\
\0\0\0\xff\xff\xff\xff\x9b\x05\0\0\0\0\0\x11\x2e\0\0\0\xff\xff\xff\xff\xb1\x05\
\0\0\x01\0\0\x0c\x14\0\0\0\xc0\x05\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x6c\
\x04\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x59\x01\0\0\0\0\0\x11\x34\0\0\0\
\xff\xff\xff\xff\xfd\x05\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x9b\x05\0\0\0\
\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x4c\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\x3a\0\0\0\x04\0\0\0\x04\0\0\0\x51\x06\0\0\0\0\0\x0e\
\x3b\0\0\0\x01\0\0\0\xfd\x06\0\0\x02\0\0\x0f\x40\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\
\0\0\x13\0\0\0\x20\0\0\0\x20\0\0\0\x03\x07\0\0\x01\0\0\x0f\x04\0\0\0\x3c\0\0\0\
\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\
\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\
\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\
\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x61\x72\x72\x61\x79\x5f\x34\x38\x62\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x6f\x74\x68\x65\x72\x5f\x76\x61\x6c\0\
\x62\x61\x72\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x31\x36\x62\0\x72\x65\x61\
\x64\x5f\x77\x69\x74\x68\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\x5f\x6f\x66\x66\
\x73\x65\x74\x5f\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x70\x74\x72\x3a\x20\x72\x65\x61\x64\x20\x77\x69\
\x74\x68\x20\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x6f\x66\x66\x73\x65\x74\x20\
\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x30\x3d\x52\x31\x20\x69\x73\x20\x62\x70\x66\x5f\x61\x72\x72\x61\x79\
\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x6e\x65\x67\x61\x74\x69\x76\x65\x20\x61\
\x63\x63\x65\x73\x73\x3a\x20\x6f\x66\x66\x3d\x2d\x38\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\
\x76\x3d\x31\x3d\x61\x63\x63\x65\x73\x73\x20\x69\x73\x20\x61\x6c\x6c\x6f\x77\
\x65\x64\x20\x6f\x6e\x6c\x79\x20\x74\x6f\x20\x43\x41\x50\x5f\x50\x45\x52\x46\
\x4d\x4f\x4e\x20\x61\x6e\x64\x20\x43\x41\x50\x5f\x53\x59\x53\x5f\x41\x44\x4d\
\x49\x4e\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x74\x72\x5f\x77\x72\x69\x74\x65\
\x5f\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x70\x74\x72\x3a\x20\x77\x72\x69\x74\x65\x20\x72\x65\x6a\x65\
\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x6f\x6e\x6c\x79\x20\x72\x65\x61\
\x64\x20\x66\x72\x6f\x6d\x20\x62\x70\x66\x5f\x61\x72\x72\x61\x79\x20\x69\x73\
\x20\x73\x75\x70\x70\x6f\x72\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\
\x69\x76\x3d\x33\x3d\x61\x63\x63\x65\x73\x73\x20\x69\x73\x20\x61\x6c\x6c\x6f\
\x77\x65\x64\x20\x6f\x6e\x6c\x79\x20\x74\x6f\x20\x43\x41\x50\x5f\x50\x45\x52\
\x46\x4d\x4f\x4e\x20\x61\x6e\x64\x20\x43\x41\x50\x5f\x53\x59\x53\x5f\x41\x44\
\x4d\x49\x4e\0\x72\x65\x61\x64\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\
\x74\x5f\x66\x69\x65\x6c\x64\x5f\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x74\x72\x3a\x20\x72\x65\x61\
\x64\x20\x6e\x6f\x6e\x2d\x65\x78\x69\x73\x74\x65\x6e\x74\x20\x66\x69\x65\x6c\
\x64\x20\x72\x65\x6a\x65\x63\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x63\x61\
\x6e\x6e\x6f\x74\x20\x61\x63\x63\x65\x73\x73\x20\x70\x74\x72\x20\x6d\x65\x6d\
\x62\x65\x72\x20\x6f\x70\x73\x20\x77\x69\x74\x68\x20\x6d\x6f\x66\x66\x20\x30\
\x20\x69\x6e\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\
\x77\x69\x74\x68\x20\x6f\x66\x66\x20\x31\x20\x73\x69\x7a\x65\x20\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x35\x3d\x61\x63\x63\x65\x73\x73\x20\
\x69\x73\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x6c\x79\x20\x74\x6f\x20\
\x43\x41\x50\x5f\x50\x45\x52\x46\x4d\x4f\x4e\x20\x61\x6e\x64\x20\x43\x41\x50\
\x5f\x53\x59\x53\x5f\x41\x44\x4d\x49\x4e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\
\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x70\x74\x72\x5f\
\x72\x65\x61\x64\x5f\x6f\x70\x73\x5f\x66\x69\x65\x6c\x64\x5f\x61\x63\x63\x65\
\x70\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\
\x74\x72\x3a\x20\x72\x65\x61\x64\x20\x6f\x70\x73\x20\x66\x69\x65\x6c\x64\x20\
\x61\x63\x63\x65\x70\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x36\x3d\x61\x63\x63\x65\x73\x73\x20\x69\
\x73\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x6c\x79\x20\x74\x6f\x20\x43\
\x41\x50\x5f\x50\x45\x52\x46\x4d\x4f\x4e\x20\x61\x6e\x64\x20\x43\x41\x50\x5f\
\x53\x59\x53\x5f\x41\x44\x4d\x49\x4e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\x6d\x61\x70\x5f\x70\x74\x72\x5f\
\x6d\x61\x70\x5f\x70\x74\x72\x5f\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x70\x74\x72\x3a\x20\x72\x20\x3d\x20\x30\x2c\x20\x6d\x61\x70\
\x5f\x70\x74\x72\x20\x3d\x20\x6d\x61\x70\x5f\x70\x74\x72\x20\x2b\x20\x72\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x37\x3d\x52\x31\x20\x68\x61\x73\
\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x77\x69\x74\x68\x20\x75\x6e\x73\x75\x70\
\x70\x6f\x72\x74\x65\x64\x20\x61\x6c\x75\x20\x6f\x70\x65\x72\x61\x74\x69\x6f\
\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\
\x6c\x3d\x30\0\x5f\x30\x5f\x72\x5f\x72\x5f\x6d\x61\x70\x5f\x70\x74\x72\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x6d\x61\x70\x5f\x70\x74\x72\x3a\x20\x72\
\x20\x3d\x20\x30\x2c\x20\x72\x20\x3d\x20\x72\x20\x2b\x20\x6d\x61\x70\x5f\x70\
\x74\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x38\x3d\x52\x30\x20\
\x68\x61\x73\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x77\x69\x74\x68\x20\x75\x6e\
\x73\x75\x70\x70\x6f\x72\x74\x65\x64\x20\x61\x6c\x75\x20\x6f\x70\x65\x72\x61\
\x74\x69\x6f\x6e\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6d\x61\x70\x5f\x70\
\x74\x72\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\
\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x6f\x63\x6b\x65\x74\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x3c\0\0\0\x3c\0\0\0\x6c\0\0\0\xa8\0\0\0\0\0\0\0\x08\0\0\0\x0b\x07\0\0\x06\0\0\
\0\0\0\0\0\x15\0\0\0\x30\0\0\0\x1b\0\0\0\x78\0\0\0\x21\0\0\0\xa8\0\0\0\x28\0\0\
\0\xd8\0\0\0\x2e\0\0\0\x30\x01\0\0\x34\0\0\0\x10\0\0\0\x0b\x07\0\0\x06\0\0\0\0\
\0\0\0\x5a\x06\0\0\xe6\x06\0\0\x02\xa4\0\0\x30\0\0\0\x5a\x06\0\0\xe6\x06\0\0\
\x02\xec\0\0\x78\0\0\0\x5a\x06\0\0\xe6\x06\0\0\x02\x48\x01\0\xa8\0\0\0\x5a\x06\
\0\0\xe6\x06\0\0\x02\x90\x01\0\xd8\0\0\0\x5a\x06\0\0\xe6\x06\0\0\x02\xd8\x01\0\
\x30\x01\0\0\x5a\x06\0\0\xe6\x06\0\0\x02\x38\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x12\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\
\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x88\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf9\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x48\x04\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa8\x04\0\0\0\0\0\0\x92\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x10\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_map_ptr *verifier_map_ptr::open(const struct bpf_object_open_opts *opts) { return verifier_map_ptr__open_opts(opts); }
struct verifier_map_ptr *verifier_map_ptr::open_and_load() { return verifier_map_ptr__open_and_load(); }
int verifier_map_ptr::load(struct verifier_map_ptr *skel) { return verifier_map_ptr__load(skel); }
int verifier_map_ptr::attach(struct verifier_map_ptr *skel) { return verifier_map_ptr__attach(skel); }
void verifier_map_ptr::detach(struct verifier_map_ptr *skel) { verifier_map_ptr__detach(skel); }
void verifier_map_ptr::destroy(struct verifier_map_ptr *skel) { verifier_map_ptr__destroy(skel); }
const void *verifier_map_ptr::elf_bytes(size_t *sz) { return verifier_map_ptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_map_ptr__assert(struct verifier_map_ptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_MAP_PTR_SKEL_H__ */
