/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_VALUE_ILLEGAL_ALU_SKEL_H__
#define __VERIFIER_VALUE_ILLEGAL_ALU_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_value_illegal_alu {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_48b;
	} maps;
	struct {
		struct bpf_program *value_illegal_alu_op_1;
		struct bpf_program *value_illegal_alu_op_2;
		struct bpf_program *value_illegal_alu_op_3;
		struct bpf_program *value_illegal_alu_op_4;
		struct bpf_program *value_illegal_alu_op_5;
		struct bpf_program *flow_keys_illegal_variable_offset_alu;
	} progs;
	struct {
		struct bpf_link *value_illegal_alu_op_1;
		struct bpf_link *value_illegal_alu_op_2;
		struct bpf_link *value_illegal_alu_op_3;
		struct bpf_link *value_illegal_alu_op_4;
		struct bpf_link *value_illegal_alu_op_5;
		struct bpf_link *flow_keys_illegal_variable_offset_alu;
	} links;

#ifdef __cplusplus
	static inline struct verifier_value_illegal_alu *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_value_illegal_alu *open_and_load();
	static inline int load(struct verifier_value_illegal_alu *skel);
	static inline int attach(struct verifier_value_illegal_alu *skel);
	static inline void detach(struct verifier_value_illegal_alu *skel);
	static inline void destroy(struct verifier_value_illegal_alu *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_value_illegal_alu__destroy(struct verifier_value_illegal_alu *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_value_illegal_alu__create_skeleton(struct verifier_value_illegal_alu *obj);

static inline struct verifier_value_illegal_alu *
verifier_value_illegal_alu__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_value_illegal_alu *obj;
	int err;

	obj = (struct verifier_value_illegal_alu *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_value_illegal_alu__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_value_illegal_alu__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_value_illegal_alu *
verifier_value_illegal_alu__open(void)
{
	return verifier_value_illegal_alu__open_opts(NULL);
}

static inline int
verifier_value_illegal_alu__load(struct verifier_value_illegal_alu *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_value_illegal_alu *
verifier_value_illegal_alu__open_and_load(void)
{
	struct verifier_value_illegal_alu *obj;
	int err;

	obj = verifier_value_illegal_alu__open();
	if (!obj)
		return NULL;
	err = verifier_value_illegal_alu__load(obj);
	if (err) {
		verifier_value_illegal_alu__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_value_illegal_alu__attach(struct verifier_value_illegal_alu *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_value_illegal_alu__detach(struct verifier_value_illegal_alu *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_value_illegal_alu__elf_bytes(size_t *sz);

static inline int
verifier_value_illegal_alu__create_skeleton(struct verifier_value_illegal_alu *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_value_illegal_alu";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash_48b";
	map->map = &obj->maps.map_hash_48b;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "value_illegal_alu_op_1";
	s->progs[0].prog = &obj->progs.value_illegal_alu_op_1;
	s->progs[0].link = &obj->links.value_illegal_alu_op_1;

	s->progs[1].name = "value_illegal_alu_op_2";
	s->progs[1].prog = &obj->progs.value_illegal_alu_op_2;
	s->progs[1].link = &obj->links.value_illegal_alu_op_2;

	s->progs[2].name = "value_illegal_alu_op_3";
	s->progs[2].prog = &obj->progs.value_illegal_alu_op_3;
	s->progs[2].link = &obj->links.value_illegal_alu_op_3;

	s->progs[3].name = "value_illegal_alu_op_4";
	s->progs[3].prog = &obj->progs.value_illegal_alu_op_4;
	s->progs[3].link = &obj->links.value_illegal_alu_op_4;

	s->progs[4].name = "value_illegal_alu_op_5";
	s->progs[4].prog = &obj->progs.value_illegal_alu_op_5;
	s->progs[4].link = &obj->links.value_illegal_alu_op_5;

	s->progs[5].name = "flow_keys_illegal_variable_offset_alu";
	s->progs[5].prog = &obj->progs.flow_keys_illegal_variable_offset_alu;
	s->progs[5].link = &obj->links.flow_keys_illegal_variable_offset_alu;

	s->data = verifier_value_illegal_alu__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_value_illegal_alu__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x66\x6c\x6f\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\x72\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\
\x75\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x30\
\x5f\x33\0\x6c\x30\x5f\x34\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\
\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x31\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\
\x34\x38\x62\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\
\x75\x5f\x6f\x70\x5f\x32\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\
\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x33\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\
\x67\x61\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x34\0\x76\x61\x6c\x75\x65\x5f\x69\
\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x35\0\x66\x6c\x6f\x77\
\x5f\x6b\x65\x79\x73\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x76\x61\x72\x69\x61\
\x62\x6c\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x61\x6c\x75\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x42\x54\x46\0\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x35\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\0\0\x03\0\x58\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x57\0\0\0\0\0\x03\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\
\0\0\0\x03\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\0\0\x03\0\x78\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\0\0\x03\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\x12\0\x03\0\0\
\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x82\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x8f\0\0\0\x12\0\x03\0\x60\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xa6\0\0\0\
\x12\0\x03\0\xc0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xbd\0\0\0\x12\0\x03\0\x20\x01\
\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xd4\0\0\0\x12\0\x03\0\x80\x01\0\0\0\0\0\0\x88\0\
\0\0\0\0\0\0\xeb\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x11\x01\0\
\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x57\0\0\0\x08\0\0\0\
\xb7\x01\0\0\x16\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\
\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\xb7\x01\0\0\x16\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\
\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\
\x37\0\0\0\x2a\0\0\0\xb7\x01\0\0\x16\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\x12\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x03\
\0\0\0\0\0\xdc\0\0\0\x40\0\0\0\xb7\x01\0\0\x16\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\
\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\x15\0\x08\0\0\0\0\0\xb7\x03\0\0\0\x10\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\
\xff\xff\xff\x7b\x02\0\0\0\0\0\0\xdb\x32\0\0\0\0\0\0\x79\x20\0\0\0\0\0\0\xb7\
\x01\0\0\x16\0\0\0\x7b\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\
\x79\x67\x90\0\0\0\0\0\xb7\x08\0\0\x08\0\0\0\x37\x08\0\0\x01\0\0\0\x57\x08\0\0\
\x08\0\0\0\x0f\x87\0\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\
\xe0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x40\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\
\xa0\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x60\
\x03\0\0\x60\x03\0\0\xd7\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\
\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x08\0\0\0\x23\0\0\0\x02\
\0\0\x04\x30\0\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\0\x32\0\0\0\x0a\0\0\0\x20\0\0\0\
\x36\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\
\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x05\0\0\0\x80\0\0\0\x58\0\0\0\x07\0\0\
\0\xc0\0\0\0\x5e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\x6b\0\0\0\x01\0\0\x0c\x0d\0\0\0\x82\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\
\xbf\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xdb\0\0\0\0\0\0\x11\x0e\0\0\0\
\xff\xff\xff\xff\x17\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x3a\x01\0\0\
\x01\0\0\x0c\x0d\0\0\0\x51\x01\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\xbf\0\0\
\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\x8e\x01\0\0\0\0\0\x11\x13\0\0\0\xff\xff\
\xff\xff\x17\x01\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\xd0\x01\0\0\x01\0\0\
\x0c\x0d\0\0\0\xe7\x01\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\xbf\0\0\0\0\0\0\
\x11\x18\0\0\0\xff\xff\xff\xff\x24\x02\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\
\x17\x01\0\0\0\0\0\x11\x18\0\0\0\xff\xff\xff\xff\x65\x02\0\0\x01\0\0\x0c\x0d\0\
\0\0\x7c\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xbf\0\0\0\0\0\0\x11\x1d\0\
\0\0\xff\xff\xff\xff\xb9\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x17\x01\0\
\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\xef\x02\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\
\xff\xff\x31\x03\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x5d\x03\0\0\x01\0\0\
\x0c\x0d\0\0\0\x74\x03\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\xbf\0\0\0\0\0\0\
\x11\x24\0\0\0\xff\xff\xff\xff\xb1\x03\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\
\xea\x03\0\0\0\0\0\x11\x24\0\0\0\xff\xff\xff\xff\x31\x03\0\0\0\0\0\x11\x24\0\0\
\0\xff\xff\xff\xff\x2d\x04\0\0\x01\0\0\x0c\x0d\0\0\0\x53\x04\0\0\0\0\0\x11\x2a\
\0\0\0\xff\xff\xff\xff\xbf\0\0\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\x9a\x04\0\
\0\0\0\0\x11\x2a\0\0\0\xff\xff\xff\xff\xe2\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x2e\0\0\0\x04\0\0\0\x04\0\0\0\xe7\x04\0\0\0\0\0\
\x0e\x2f\0\0\0\x01\0\0\0\xb3\x05\0\0\x01\0\0\x0f\x20\0\0\0\x0c\0\0\0\0\0\0\0\
\x20\0\0\0\xb9\x05\0\0\x01\0\0\x0f\x04\0\0\0\x30\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x76\x61\
\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\
\x38\x62\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\x75\
\x5f\x6f\x70\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x65\x6c\x65\x6d\
\x65\x6e\x74\x20\x76\x61\x6c\x75\x65\x20\x69\x6c\x6c\x65\x67\x61\x6c\x20\x61\
\x6c\x75\x20\x6f\x70\x2c\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x30\x3d\x52\x30\x20\x62\x69\x74\x77\x69\x73\x65\x20\x6f\x70\x65\x72\
\x61\x74\x6f\x72\x20\x26\x3d\x20\x6f\x6e\x20\x70\x6f\x69\x6e\x74\x65\x72\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x76\x61\x6c\x75\x65\
\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x65\x6c\x65\x6d\x65\x6e\x74\x20\x76\x61\x6c\
\x75\x65\x20\x69\x6c\x6c\x65\x67\x61\x6c\x20\x61\x6c\x75\x20\x6f\x70\x2c\x20\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x52\x30\x20\x33\x32\x2d\x62\x69\x74\x20\x70\
\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\x20\x70\
\x72\x6f\x68\x69\x62\x69\x74\x65\x64\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\
\x67\x61\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\
\x61\x70\x20\x65\x6c\x65\x6d\x65\x6e\x74\x20\x76\x61\x6c\x75\x65\x20\x69\x6c\
\x6c\x65\x67\x61\x6c\x20\x61\x6c\x75\x20\x6f\x70\x2c\x20\x33\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x32\x3d\x52\x30\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\
\x6d\x65\x74\x69\x63\x20\x77\x69\x74\x68\x20\x2f\x3d\x20\x6f\x70\x65\x72\x61\
\x74\x6f\x72\0\x76\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\
\x75\x5f\x6f\x70\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x65\x6c\x65\
\x6d\x65\x6e\x74\x20\x76\x61\x6c\x75\x65\x20\x69\x6c\x6c\x65\x67\x61\x6c\x20\
\x61\x6c\x75\x20\x6f\x70\x2c\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\
\x61\x6c\x61\x72\x27\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x34\x3d\
\x52\x30\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\x6d\x65\x74\
\x69\x63\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\
\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x76\
\x61\x6c\x75\x65\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x61\x6c\x75\x5f\x6f\x70\
\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x6d\x61\x70\x20\x65\x6c\x65\x6d\x65\x6e\x74\
\x20\x76\x61\x6c\x75\x65\x20\x69\x6c\x6c\x65\x67\x61\x6c\x20\x61\x6c\x75\x20\
\x6f\x70\x2c\x20\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x52\x30\x20\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\x27\x73\x63\x61\
\x6c\x61\x72\x27\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x36\x3d\x6c\
\x65\x61\x6b\x69\x6e\x67\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x66\x72\x6f\x6d\
\x20\x73\x74\x61\x63\x6b\x20\x6f\x66\x66\x20\x2d\x38\0\x66\x6c\x6f\x77\x5f\x6b\
\x65\x79\x73\x5f\x69\x6c\x6c\x65\x67\x61\x6c\x5f\x76\x61\x72\x69\x61\x62\x6c\
\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x61\x6c\x75\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\x20\x69\x6c\x6c\x65\x67\x61\x6c\x20\x61\x6c\
\x75\x20\x6f\x70\x20\x77\x69\x74\x68\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\
\x6f\x66\x66\x73\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x52\x37\x20\x70\x6f\x69\
\x6e\x74\x65\x72\x20\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\x20\x6f\x6e\x20\
\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\
\x64\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\
\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\
\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\
\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x76\x61\x6c\x75\x65\x5f\x69\x6c\
\x6c\x65\x67\x61\x6c\x5f\x61\x6c\x75\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\x66\x6c\x6f\
\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\x72\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\
\0\x44\0\0\0\x44\0\0\0\x74\0\0\0\xb8\0\0\0\0\0\0\0\x08\0\0\0\xc1\x05\0\0\x05\0\
\0\0\0\0\0\0\x0e\0\0\0\x60\0\0\0\x13\0\0\0\xc0\0\0\0\x18\0\0\0\x20\x01\0\0\x1d\
\0\0\0\x80\x01\0\0\x24\0\0\0\xc8\x05\0\0\x01\0\0\0\0\0\0\0\x2a\0\0\0\x10\0\0\0\
\xc1\x05\0\0\x05\0\0\0\0\0\0\0\xf0\x04\0\0\x86\x05\0\0\x02\x70\0\0\x60\0\0\0\
\xf0\x04\0\0\x86\x05\0\0\x02\xd0\0\0\xc0\0\0\0\xf0\x04\0\0\x86\x05\0\0\x02\x30\
\x01\0\x20\x01\0\0\xf0\x04\0\0\x86\x05\0\0\x02\x94\x01\0\x80\x01\0\0\xf0\x04\0\
\0\x86\x05\0\0\x02\xf8\x01\0\xc8\x05\0\0\x01\0\0\0\0\0\0\0\xf0\x04\0\0\x9d\x05\
\0\0\x02\x68\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x33\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x18\x05\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x2d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x05\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x01\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x05\0\0\0\0\0\0\x50\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x25\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x05\0\0\0\0\0\0\x4f\x09\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\x01\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0f\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_value_illegal_alu *verifier_value_illegal_alu::open(const struct bpf_object_open_opts *opts) { return verifier_value_illegal_alu__open_opts(opts); }
struct verifier_value_illegal_alu *verifier_value_illegal_alu::open_and_load() { return verifier_value_illegal_alu__open_and_load(); }
int verifier_value_illegal_alu::load(struct verifier_value_illegal_alu *skel) { return verifier_value_illegal_alu__load(skel); }
int verifier_value_illegal_alu::attach(struct verifier_value_illegal_alu *skel) { return verifier_value_illegal_alu__attach(skel); }
void verifier_value_illegal_alu::detach(struct verifier_value_illegal_alu *skel) { verifier_value_illegal_alu__detach(skel); }
void verifier_value_illegal_alu::destroy(struct verifier_value_illegal_alu *skel) { verifier_value_illegal_alu__destroy(skel); }
const void *verifier_value_illegal_alu::elf_bytes(size_t *sz) { return verifier_value_illegal_alu__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_value_illegal_alu__assert(struct verifier_value_illegal_alu *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_VALUE_ILLEGAL_ALU_SKEL_H__ */
