/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_VAR_OFF_SKEL_H__
#define __VERIFIER_VAR_OFF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_var_off {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_8b;
	} maps;
	struct {
		struct bpf_program *variable_offset_ctx_access;
		struct bpf_program *access_max_out_of_bound;
		struct bpf_program *access_min_out_of_bound;
		struct bpf_program *variable_offset_stack_access_ok;
		struct bpf_program *stack_read_priv_vs_unpriv;
		struct bpf_program *variable_offset_stack_read_uninitialized;
		struct bpf_program *access_min_off_min_initialized;
		struct bpf_program *stack_access_priv_vs_unpriv;
		struct bpf_program *stack_write_priv_vs_unpriv;
		struct bpf_program *stack_write_followed_by_read;
		struct bpf_program *stack_write_clobbers_spilled_regs;
		struct bpf_program *zero_sized_access_max_out_of_bound;
		struct bpf_program *variable_offset_stack_access_unbounded;
	} progs;
	struct {
		struct bpf_link *variable_offset_ctx_access;
		struct bpf_link *access_max_out_of_bound;
		struct bpf_link *access_min_out_of_bound;
		struct bpf_link *variable_offset_stack_access_ok;
		struct bpf_link *stack_read_priv_vs_unpriv;
		struct bpf_link *variable_offset_stack_read_uninitialized;
		struct bpf_link *access_min_off_min_initialized;
		struct bpf_link *stack_access_priv_vs_unpriv;
		struct bpf_link *stack_write_priv_vs_unpriv;
		struct bpf_link *stack_write_followed_by_read;
		struct bpf_link *stack_write_clobbers_spilled_regs;
		struct bpf_link *zero_sized_access_max_out_of_bound;
		struct bpf_link *variable_offset_stack_access_unbounded;
	} links;

#ifdef __cplusplus
	static inline struct verifier_var_off *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_var_off *open_and_load();
	static inline int load(struct verifier_var_off *skel);
	static inline int attach(struct verifier_var_off *skel);
	static inline void detach(struct verifier_var_off *skel);
	static inline void destroy(struct verifier_var_off *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_var_off__destroy(struct verifier_var_off *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_var_off__create_skeleton(struct verifier_var_off *obj);

static inline struct verifier_var_off *
verifier_var_off__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_var_off *obj;
	int err;

	obj = (struct verifier_var_off *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_var_off__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_var_off__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_var_off *
verifier_var_off__open(void)
{
	return verifier_var_off__open_opts(NULL);
}

static inline int
verifier_var_off__load(struct verifier_var_off *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_var_off *
verifier_var_off__open_and_load(void)
{
	struct verifier_var_off *obj;
	int err;

	obj = verifier_var_off__open();
	if (!obj)
		return NULL;
	err = verifier_var_off__load(obj);
	if (err) {
		verifier_var_off__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_var_off__attach(struct verifier_var_off *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_var_off__detach(struct verifier_var_off *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_var_off__elf_bytes(size_t *sz);

static inline int
verifier_var_off__create_skeleton(struct verifier_var_off *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_var_off";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash_8b";
	map->map = &obj->maps.map_hash_8b;

	/* programs */
	s->prog_cnt = 13;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "variable_offset_ctx_access";
	s->progs[0].prog = &obj->progs.variable_offset_ctx_access;
	s->progs[0].link = &obj->links.variable_offset_ctx_access;

	s->progs[1].name = "access_max_out_of_bound";
	s->progs[1].prog = &obj->progs.access_max_out_of_bound;
	s->progs[1].link = &obj->links.access_max_out_of_bound;

	s->progs[2].name = "access_min_out_of_bound";
	s->progs[2].prog = &obj->progs.access_min_out_of_bound;
	s->progs[2].link = &obj->links.access_min_out_of_bound;

	s->progs[3].name = "variable_offset_stack_access_ok";
	s->progs[3].prog = &obj->progs.variable_offset_stack_access_ok;
	s->progs[3].link = &obj->links.variable_offset_stack_access_ok;

	s->progs[4].name = "stack_read_priv_vs_unpriv";
	s->progs[4].prog = &obj->progs.stack_read_priv_vs_unpriv;
	s->progs[4].link = &obj->links.stack_read_priv_vs_unpriv;

	s->progs[5].name = "variable_offset_stack_read_uninitialized";
	s->progs[5].prog = &obj->progs.variable_offset_stack_read_uninitialized;
	s->progs[5].link = &obj->links.variable_offset_stack_read_uninitialized;

	s->progs[6].name = "access_min_off_min_initialized";
	s->progs[6].prog = &obj->progs.access_min_off_min_initialized;
	s->progs[6].link = &obj->links.access_min_off_min_initialized;

	s->progs[7].name = "stack_access_priv_vs_unpriv";
	s->progs[7].prog = &obj->progs.stack_access_priv_vs_unpriv;
	s->progs[7].link = &obj->links.stack_access_priv_vs_unpriv;

	s->progs[8].name = "stack_write_priv_vs_unpriv";
	s->progs[8].prog = &obj->progs.stack_write_priv_vs_unpriv;
	s->progs[8].link = &obj->links.stack_write_priv_vs_unpriv;

	s->progs[9].name = "stack_write_followed_by_read";
	s->progs[9].prog = &obj->progs.stack_write_followed_by_read;
	s->progs[9].link = &obj->links.stack_write_followed_by_read;

	s->progs[10].name = "stack_write_clobbers_spilled_regs";
	s->progs[10].prog = &obj->progs.stack_write_clobbers_spilled_regs;
	s->progs[10].link = &obj->links.stack_write_clobbers_spilled_regs;

	s->progs[11].name = "zero_sized_access_max_out_of_bound";
	s->progs[11].prog = &obj->progs.zero_sized_access_max_out_of_bound;
	s->progs[11].link = &obj->links.zero_sized_access_max_out_of_bound;

	s->progs[12].name = "variable_offset_stack_access_unbounded";
	s->progs[12].prog = &obj->progs.variable_offset_stack_access_unbounded;
	s->progs[12].link = &obj->links.variable_offset_stack_access_unbounded;

	s->data = verifier_var_off__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_var_off__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x77\
\x74\x5f\x69\x6e\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x73\x6f\x63\x6b\
\x65\x74\0\x73\x6f\x63\x6b\x6f\x70\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x76\x61\x72\x5f\x6f\x66\x66\
\x2e\x63\0\x6c\x30\x5f\x30\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6f\x66\x66\
\x73\x65\x74\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\0\x73\x74\x61\x63\x6b\
\x5f\x72\x65\x61\x64\x5f\x70\x72\x69\x76\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\
\x76\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x73\x74\
\x61\x63\x6b\x5f\x72\x65\x61\x64\x5f\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\
\x7a\x65\x64\0\x73\x74\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\x5f\x70\x72\x69\x76\
\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x73\x74\x61\x63\x6b\x5f\x77\x72\x69\
\x74\x65\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x64\x5f\x62\x79\x5f\x72\x65\x61\x64\0\
\x73\x74\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\x5f\x63\x6c\x6f\x62\x62\x65\x72\
\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\0\x6d\x61\x70\x5f\x68\
\x61\x73\x68\x5f\x38\x62\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6f\x66\x66\x73\
\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\x5f\x75\x6e\x62\
\x6f\x75\x6e\x64\x65\x64\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x78\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\0\x7a\x65\x72\x6f\x5f\x73\x69\x7a\x65\
\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x78\x5f\x6f\x75\x74\x5f\x6f\x66\
\x5f\x62\x6f\x75\x6e\x64\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x69\x6e\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x69\
\x6e\x5f\x6f\x66\x66\x5f\x6d\x69\x6e\x5f\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\
\x65\x64\0\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\x5f\x70\x72\x69\x76\
\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\
\x6f\x66\x66\x73\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\
\x5f\x6f\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\x77\x74\
\x5f\x69\x6e\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x2e\
\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x06\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x73\0\0\0\x12\0\x04\0\0\0\
\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x8d\0\0\0\x12\0\x04\0\x48\0\0\0\0\0\0\0\x38\0\0\
\0\0\0\0\0\xb6\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\xd1\0\0\0\
\x12\0\x05\0\x38\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xee\0\0\0\x12\0\x05\0\x80\0\0\
\0\0\0\0\0\x68\0\0\0\0\0\0\0\x10\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x1c\x01\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x43\x01\0\0\
\x12\0\x03\0\x28\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x5b\x01\0\0\x12\0\x05\0\xe8\0\
\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x7e\x01\0\0\x12\0\x03\0\x80\0\0\0\0\0\0\0\x58\0\
\0\0\0\0\0\0\x96\x01\0\0\x12\0\x04\0\x80\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xb5\
\x01\0\0\x12\0\x04\0\xd8\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xd1\x01\0\0\x12\0\x03\
\0\xd8\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\xf1\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x0f\x21\0\0\0\0\0\
\0\x61\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\
\0\0\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\x08\0\0\0\x0f\xa2\
\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x61\x12\
\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\x04\x02\0\0\x0f\xa2\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf0\xff\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\x7b\x2a\xf8\xff\0\0\0\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\
\x10\0\0\0\x0f\xa2\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xf8\
\xff\0\0\0\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\x08\0\0\0\
\x0f\xa2\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\x08\0\0\0\x0f\xa2\0\0\0\
\0\0\0\x61\x20\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\
\0\0\x7b\x2a\xf8\xff\0\0\0\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x04\0\0\0\x17\x02\
\0\0\x10\0\0\0\x0f\xa2\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\
\xf0\xff\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x61\x12\0\0\0\0\0\
\0\x57\x02\0\0\x04\0\0\0\x17\x02\0\0\x10\0\0\0\x0f\xa2\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x61\x12\0\0\0\0\0\0\x57\x02\0\0\x08\0\0\0\x17\x02\0\0\x10\0\0\0\x0f\xa2\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\0\0\0\
\0\0\0\x57\x02\0\0\x08\0\0\0\x17\x02\0\0\x10\0\0\0\x0f\xa2\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\x79\x23\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\x06\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\
\0\0\x57\x02\0\0\x08\0\0\0\x17\x02\0\0\x10\0\0\0\x0f\xa2\0\0\0\0\0\0\x7b\x0a\
\xf8\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\x79\xa2\xf8\xff\0\0\0\0\
\x79\x20\x08\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xf0\xff\0\0\
\0\0\x7b\x0a\xf8\xff\0\0\0\0\x61\x11\0\0\0\0\0\0\x57\x01\0\0\x3f\0\0\0\x07\x01\
\0\0\xf0\xff\xff\xff\x0f\xa1\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\
\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x06\0\0\0\xb7\x03\0\0\x1c\
\0\0\0\xb7\x04\0\0\0\0\0\0\x7b\x4a\xf0\xff\0\0\0\0\xb7\x04\0\0\0\0\0\0\x7b\x4a\
\xf8\xff\0\0\0\0\x79\x14\xa8\0\0\0\0\0\xc5\x04\x04\0\0\0\0\0\x17\x04\0\0\x10\0\
\0\0\x0f\xa4\0\0\0\0\0\0\xb7\x05\0\0\x08\0\0\0\x85\0\0\0\x39\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xb0\0\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xb0\0\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x18\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x88\0\0\
\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x2c\x05\0\0\x2c\
\x05\0\0\x9c\x0b\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\x01\0\0\0\0\x04\0\0\x04\x20\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\
\0\x28\0\0\0\x01\0\0\0\x40\0\0\0\x34\0\0\0\x05\0\0\0\x80\0\0\0\x38\0\0\0\x05\0\
\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\
\0\x4a\0\0\0\x01\0\0\x0c\x09\0\0\0\x65\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\
\xff\x99\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xb5\0\0\0\0\0\0\x11\x0a\0\0\
\0\xff\xff\xff\xff\xf6\0\0\0\x01\0\0\x0c\x09\0\0\0\x10\x01\0\0\0\0\0\x11\x0e\0\
\0\0\xff\xff\xff\xff\x54\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x70\x01\0\
\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x93\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\
\xff\xff\xe2\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xf8\x01\0\0\x01\0\0\
\x0c\x09\0\0\0\x21\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\x54\x01\0\0\0\0\
\0\x11\x14\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\
\xff\x64\x02\0\0\0\0\0\x11\x14\0\0\0\xff\xff\xff\xff\xb3\x02\0\0\x01\0\0\x0c\
\x09\0\0\0\xce\x02\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x54\x01\0\0\0\0\0\
\x11\x19\0\0\0\xff\xff\xff\xff\x13\x03\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\
\x2c\x03\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x19\0\0\
\0\xff\xff\xff\xff\x55\x03\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\xe2\x01\0\0\
\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\xa4\x03\0\0\x01\0\0\x0c\x09\0\0\0\xc1\x03\
\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x54\x01\0\0\0\0\0\x11\x21\0\0\0\xff\
\xff\xff\xff\x13\x03\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x07\x04\0\0\0\0\0\
\x11\x21\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\
\x30\x04\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\xe2\x01\0\0\0\0\0\x11\x21\0\0\
\0\xff\xff\xff\xff\x7f\x04\0\0\x01\0\0\x0c\x09\0\0\0\xa1\x04\0\0\0\0\0\x11\x29\
\0\0\0\xff\xff\xff\xff\x99\0\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\xec\x04\0\
\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x29\0\0\0\xff\xff\
\xff\xff\x25\x05\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\x74\x05\0\0\x01\0\0\
\x0c\x09\0\0\0\x9b\x05\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\x99\0\0\0\0\0\0\
\x11\x2f\0\0\0\xff\xff\xff\xff\xe5\x05\0\0\0\0\0\x11\x2f\0\0\0\xff\xff\xff\xff\
\x3d\x06\0\0\x01\0\0\x0c\x09\0\0\0\x55\x06\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\
\xff\x99\0\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\xa6\x06\0\0\0\0\0\x11\x33\0\
\0\0\xff\xff\xff\xff\xf5\x06\0\0\x01\0\0\x0c\x09\0\0\0\x18\x07\0\0\0\0\0\x11\
\x37\0\0\0\xff\xff\xff\xff\x99\0\0\0\0\0\0\x11\x37\0\0\0\xff\xff\xff\xff\x75\
\x07\0\0\0\0\0\x11\x37\0\0\0\xff\xff\xff\xff\xc4\x07\0\0\x01\0\0\x0c\x09\0\0\0\
\xdc\x07\0\0\0\0\0\x11\x3b\0\0\0\xff\xff\xff\xff\x99\0\0\0\0\0\0\x11\x3b\0\0\0\
\xff\xff\xff\xff\x2d\x08\0\0\0\0\0\x11\x3b\0\0\0\xff\xff\xff\xff\x7c\x08\0\0\
\x01\0\0\x0c\x09\0\0\0\x9b\x08\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x54\x01\
\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x3f\0\0\0\xff\
\xff\xff\xff\xf5\x08\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x45\x09\0\0\x01\0\
\0\x0c\x09\0\0\0\x61\x09\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\x54\x01\0\0\0\
\0\0\x11\x44\0\0\0\xff\xff\xff\xff\x70\x01\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\
\xff\xb0\x09\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\xff\xe2\x01\0\0\0\0\0\x11\x44\
\0\0\0\xff\xff\xff\xff\0\x0a\0\0\x01\0\0\x0c\x09\0\0\0\x20\x0a\0\0\0\0\0\x11\
\x4a\0\0\0\xff\xff\xff\xff\x54\x01\0\0\0\0\0\x11\x4a\0\0\0\xff\xff\xff\xff\xe2\
\x01\0\0\0\0\0\x11\x4a\0\0\0\xff\xff\xff\xff\x63\x0a\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x4e\0\0\0\x04\0\0\0\x04\0\0\0\x68\x0a\0\
\0\0\0\0\x0e\x4f\0\0\0\x01\0\0\0\x6d\x0b\0\0\x01\0\0\x0f\x20\0\0\0\x08\0\0\0\0\
\0\0\0\x20\0\0\0\x73\x0b\0\0\x01\0\0\x0f\x04\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\
\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x76\x61\x72\x69\x61\x62\x6c\x65\
\x5f\x6f\x66\x66\x73\x65\x74\x5f\x63\x74\x78\x5f\x61\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\
\x74\x20\x63\x74\x78\x20\x61\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\
\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x63\x74\
\x78\x20\x61\x63\x63\x65\x73\x73\x20\x76\x61\x72\x5f\x6f\x66\x66\x3d\x28\x30\
\x78\x30\x3b\x20\x30\x78\x34\x29\0\x73\x74\x61\x63\x6b\x5f\x72\x65\x61\x64\x5f\
\x70\x72\x69\x76\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\x74\
\x61\x63\x6b\x20\x72\x65\x61\x64\x2c\x20\x70\x72\x69\x76\x20\x76\x73\x20\x75\
\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\
\x76\x3d\x31\x3d\x52\x32\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x73\x74\x61\
\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\
\x64\x20\x66\x6f\x72\x20\x21\x72\x6f\x6f\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x76\x61\x72\x69\x61\x62\
\x6c\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x61\
\x64\x5f\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\
\x74\x61\x63\x6b\x20\x72\x65\x61\x64\x2c\x20\x75\x6e\x69\x6e\x69\x74\x69\x61\
\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x32\x3d\
\x52\x32\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x73\x74\x61\x63\x6b\x20\x61\
\x63\x63\x65\x73\x73\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\x64\x20\x66\x6f\
\x72\x20\x21\x72\x6f\x6f\x74\0\x73\x74\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\x5f\
\x70\x72\x69\x76\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\x74\
\x61\x63\x6b\x20\x77\x72\x69\x74\x65\x2c\x20\x70\x72\x69\x76\x20\x76\x73\x20\
\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x73\
\x74\x61\x63\x6b\x20\x64\x65\x70\x74\x68\x20\x31\x36\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\x34\x3d\x52\x32\x20\x76\x61\x72\x69\x61\x62\x6c\x65\
\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x70\x72\x6f\x68\x69\
\x62\x69\x74\x65\x64\x20\x66\x6f\x72\x20\x21\x72\x6f\x6f\x74\0\x73\x74\x61\x63\
\x6b\x5f\x77\x72\x69\x74\x65\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x64\x5f\x62\x79\
\x5f\x72\x65\x61\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\
\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x77\x72\x69\x74\x65\
\x20\x66\x6f\x6c\x6c\x6f\x77\x65\x64\x20\x62\x79\x20\x72\x65\x61\x64\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x35\x3d\x73\x74\x61\x63\x6b\x20\x64\x65\x70\x74\x68\x20\x31\x36\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x36\x3d\x52\x32\x20\x76\x61\
\x72\x69\x61\x62\x6c\x65\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\
\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\x64\x20\x66\x6f\x72\x20\x21\x72\x6f\
\x6f\x74\0\x73\x74\x61\x63\x6b\x5f\x77\x72\x69\x74\x65\x5f\x63\x6c\x6f\x62\x62\
\x65\x72\x73\x5f\x73\x70\x69\x6c\x6c\x65\x64\x5f\x72\x65\x67\x73\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\
\x73\x74\x61\x63\x6b\x20\x77\x72\x69\x74\x65\x20\x63\x6c\x6f\x62\x62\x65\x72\
\x73\x20\x73\x70\x69\x6c\x6c\x65\x64\x20\x72\x65\x67\x73\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\
\x37\x3d\x52\x32\x20\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\
\x63\x65\x73\x73\x20\x27\x73\x63\x61\x6c\x61\x72\x27\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\x38\x3d\x52\x32\x20\x76\x61\x72\x69\x61\x62\x6c\x65\
\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x70\x72\x6f\x68\x69\
\x62\x69\x74\x65\x64\x20\x66\x6f\x72\x20\x21\x72\x6f\x6f\x74\0\x76\x61\x72\x69\
\x61\x62\x6c\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x73\x74\x61\x63\x6b\x5f\x61\
\x63\x63\x65\x73\x73\x5f\x75\x6e\x62\x6f\x75\x6e\x64\x65\x64\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\
\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\
\x73\x2c\x20\x75\x6e\x62\x6f\x75\x6e\x64\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3d\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x75\x6e\x62\x6f\x75\x6e\x64\x65\x64\x20\x76\
\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x69\x6e\x64\x69\
\x72\x65\x63\x74\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\
\x6b\x20\x52\x34\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x78\x5f\x6f\x75\x74\x5f\
\x6f\x66\x5f\x62\x6f\x75\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x64\x69\x72\
\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\
\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x6d\x61\x78\x20\
\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\
\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\
\x66\x66\x73\x65\x74\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\
\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x32\0\x7a\x65\x72\x6f\x5f\
\x73\x69\x7a\x65\x64\x5f\x61\x63\x63\x65\x73\x73\x5f\x6d\x61\x78\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\x64\
\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\
\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x7a\x65\
\x72\x6f\x2d\x73\x69\x7a\x65\x64\x2c\x20\x6d\x61\x78\x20\x6f\x75\x74\x20\x6f\
\x66\x20\x62\x6f\x75\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x31\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\
\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\
\x20\x73\x74\x61\x63\x6b\x20\x52\x31\0\x61\x63\x63\x65\x73\x73\x5f\x6d\x69\x6e\
\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\
\x66\x66\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x2c\
\x20\x6d\x69\x6e\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\
\x73\x67\x3d\x31\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x76\x61\x72\x69\x61\
\x62\x6c\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x69\x6e\x64\x69\x72\x65\x63\x74\
\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x32\0\
\x61\x63\x63\x65\x73\x73\x5f\x6d\x69\x6e\x5f\x6f\x66\x66\x5f\x6d\x69\x6e\x5f\
\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x69\x6e\
\x64\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\x6f\x66\x66\
\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x2c\x20\x6d\
\x69\x6e\x5f\x6f\x66\x66\x20\x3c\x20\x6d\x69\x6e\x5f\x69\x6e\x69\x74\x69\x61\
\x6c\x69\x7a\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x31\x33\
\x3d\x52\x32\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x73\x74\x61\x63\x6b\x20\
\x61\x63\x63\x65\x73\x73\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\x64\x20\x66\
\x6f\x72\x20\x21\x72\x6f\x6f\x74\0\x73\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\
\x73\x5f\x70\x72\x69\x76\x5f\x76\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\
\x65\x2d\x6f\x66\x66\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\
\x73\x73\x2c\x20\x70\x72\x69\x76\x20\x76\x73\x20\x75\x6e\x70\x72\x69\x76\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x31\x34\x3d\x52\x32\x20\x76\x61\
\x72\x69\x61\x62\x6c\x65\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\
\x20\x70\x72\x6f\x68\x69\x62\x69\x74\x65\x64\x20\x66\x6f\x72\x20\x21\x72\x6f\
\x6f\x74\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6f\x66\x66\x73\x65\x74\x5f\x73\
\x74\x61\x63\x6b\x5f\x61\x63\x63\x65\x73\x73\x5f\x6f\x6b\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x2d\
\x6f\x66\x66\x73\x65\x74\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\
\x2c\x20\x6f\x6b\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\
\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\
\x2e\x70\x70\x63\x36\x34\x6c\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x76\x61\x72\x5f\x6f\
\x66\x66\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\
\x22\x09\x09\x09\x09\x09\x5c\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\
\x65\x20\x28\x22\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x5c\0\x09\x61\
\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x5c\0\x2e\
\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x77\x74\x5f\x69\x6e\0\x63\
\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x73\x6f\x63\x6b\x65\x74\0\x73\x6f\x63\
\x6b\x6f\x70\x73\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x8c\0\0\0\x8c\0\0\0\xf4\0\0\
\0\x80\x01\0\0\0\0\0\0\x08\0\0\0\x7b\x0b\0\0\x04\0\0\0\0\0\0\0\x0a\0\0\0\x28\0\
\0\0\x33\0\0\0\x80\0\0\0\x3b\0\0\0\xd8\0\0\0\x4a\0\0\0\x82\x0b\0\0\x04\0\0\0\0\
\0\0\0\x0e\0\0\0\x48\0\0\0\x14\0\0\0\x80\0\0\0\x3f\0\0\0\xd8\0\0\0\x44\0\0\0\
\x8d\x0b\0\0\x04\0\0\0\0\0\0\0\x19\0\0\0\x38\0\0\0\x21\0\0\0\x80\0\0\0\x29\0\0\
\0\xe8\0\0\0\x37\0\0\0\x94\x0b\0\0\x01\0\0\0\0\0\0\0\x2f\0\0\0\x10\0\0\0\x7b\
\x0b\0\0\x04\0\0\0\0\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\x50\0\0\x28\0\0\0\x71\
\x0a\0\0\xfd\x0a\0\0\x02\xc8\x03\0\x80\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\xb0\
\x04\0\xd8\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\x20\x06\0\x82\x0b\0\0\x04\0\0\0\0\
\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\xa8\0\0\x48\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\
\x02\x10\x01\0\x80\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\x28\x05\0\xd8\0\0\0\x71\
\x0a\0\0\xfd\x0a\0\0\x02\xa4\x05\0\x8d\x0b\0\0\x04\0\0\0\0\0\0\0\x71\x0a\0\0\
\x14\x0b\0\0\x02\x8c\x01\0\x38\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\x24\x02\0\x80\
\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\xb4\x02\0\xe8\0\0\0\x71\x0a\0\0\x45\x0b\0\0\
\x02\x4c\x04\0\x94\x0b\0\0\x01\0\0\0\0\0\0\0\x71\x0a\0\0\xfd\x0a\0\0\x02\x44\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x2d\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x05\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\
\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x08\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x08\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfa\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd8\x08\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x05\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\x09\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x14\x02\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x28\x09\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x1f\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\
\x09\0\0\0\0\0\0\xe0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x24\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x1a\0\0\0\0\
\0\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_var_off *verifier_var_off::open(const struct bpf_object_open_opts *opts) { return verifier_var_off__open_opts(opts); }
struct verifier_var_off *verifier_var_off::open_and_load() { return verifier_var_off__open_and_load(); }
int verifier_var_off::load(struct verifier_var_off *skel) { return verifier_var_off__load(skel); }
int verifier_var_off::attach(struct verifier_var_off *skel) { return verifier_var_off__attach(skel); }
void verifier_var_off::detach(struct verifier_var_off *skel) { verifier_var_off__detach(skel); }
void verifier_var_off::destroy(struct verifier_var_off *skel) { verifier_var_off__destroy(skel); }
const void *verifier_var_off::elf_bytes(size_t *sz) { return verifier_var_off__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_var_off__assert(struct verifier_var_off *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_VAR_OFF_SKEL_H__ */
