/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VRF_SOCKET_LOOKUP_SKEL_H__
#define __VRF_SOCKET_LOOKUP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct vrf_socket_lookup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *tc_socket_lookup;
		struct bpf_program *xdp_socket_lookup;
	} progs;
	struct {
		struct bpf_link *tc_socket_lookup;
		struct bpf_link *xdp_socket_lookup;
	} links;
	struct vrf_socket_lookup__bss {
		_Bool test_xdp;
		int lookup_status;
		_Bool tcp_skc;
	} *bss;

#ifdef __cplusplus
	static inline struct vrf_socket_lookup *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct vrf_socket_lookup *open_and_load();
	static inline int load(struct vrf_socket_lookup *skel);
	static inline int attach(struct vrf_socket_lookup *skel);
	static inline void detach(struct vrf_socket_lookup *skel);
	static inline void destroy(struct vrf_socket_lookup *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
vrf_socket_lookup__destroy(struct vrf_socket_lookup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
vrf_socket_lookup__create_skeleton(struct vrf_socket_lookup *obj);

static inline struct vrf_socket_lookup *
vrf_socket_lookup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct vrf_socket_lookup *obj;
	int err;

	obj = (struct vrf_socket_lookup *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = vrf_socket_lookup__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	vrf_socket_lookup__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct vrf_socket_lookup *
vrf_socket_lookup__open(void)
{
	return vrf_socket_lookup__open_opts(NULL);
}

static inline int
vrf_socket_lookup__load(struct vrf_socket_lookup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct vrf_socket_lookup *
vrf_socket_lookup__open_and_load(void)
{
	struct vrf_socket_lookup *obj;
	int err;

	obj = vrf_socket_lookup__open();
	if (!obj)
		return NULL;
	err = vrf_socket_lookup__load(obj);
	if (err) {
		vrf_socket_lookup__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
vrf_socket_lookup__attach(struct vrf_socket_lookup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
vrf_socket_lookup__detach(struct vrf_socket_lookup *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *vrf_socket_lookup__elf_bytes(size_t *sz);

static inline int
vrf_socket_lookup__create_skeleton(struct vrf_socket_lookup *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "vrf_socket_lookup";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "vrf_sock.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tc_socket_lookup";
	s->progs[0].prog = &obj->progs.tc_socket_lookup;
	s->progs[0].link = &obj->links.tc_socket_lookup;

	s->progs[1].name = "xdp_socket_lookup";
	s->progs[1].prog = &obj->progs.xdp_socket_lookup;
	s->progs[1].link = &obj->links.xdp_socket_lookup;

	s->data = vrf_socket_lookup__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *vrf_socket_lookup__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x12\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x78\x64\x70\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x72\x66\x5f\
\x73\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\x2e\x63\0\x74\x63\x5f\x73\
\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x74\x65\x73\x74\x5f\x78\x64\
\x70\0\x74\x63\x70\x5f\x73\x6b\x63\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x74\x61\
\x74\x75\x73\0\x78\x64\x70\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\
\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x72\x65\
\x6c\x78\x64\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x25\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x4a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\x53\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x5b\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x69\0\0\0\x12\0\x04\
\0\0\0\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x7b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x56\
\x02\x2f\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\x61\x12\x4c\0\0\0\0\0\xbf\x24\0\0\0\0\
\0\0\x07\x04\0\0\x0e\0\0\0\x2d\x34\x2a\0\0\0\0\0\x71\x24\x0d\0\0\0\0\0\x64\x04\
\0\0\x08\0\0\0\x71\x25\x0c\0\0\0\0\0\x4c\x54\0\0\0\0\0\0\x56\x04\x25\0\x08\0\0\
\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x22\0\0\0\x2d\x34\x22\0\0\0\0\0\xbf\x24\0\0\
\0\0\0\0\x07\x04\0\0\x26\0\0\0\x2d\x34\x1f\0\0\0\0\0\x71\x23\x17\0\0\0\0\0\x07\
\x02\0\0\x1a\0\0\0\x16\x03\x0a\0\x11\0\0\0\x56\x03\x1b\0\x06\0\0\0\x18\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x71\x33\0\0\0\0\0\0\x56\x03\x0a\0\x01\0\0\0\xb4\x03\0\
\0\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x63\0\0\
\0\x05\0\x09\0\0\0\0\0\xb4\x03\0\0\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\
\x05\0\0\0\0\0\0\x85\0\0\0\x55\0\0\0\x05\0\x04\0\0\0\0\0\xb4\x03\0\0\x0c\0\0\0\
\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x54\0\0\0\x18\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x16\0\0\0\0\0\0\x15\0\x04\0\
\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\xb4\x01\0\0\x01\0\0\0\x63\x16\
\0\0\0\0\0\0\xb4\0\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x56\x02\x2f\0\x01\0\0\0\x61\x13\x04\0\0\0\0\
\0\x61\x12\0\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x0e\0\0\0\x2d\x34\x2a\0\
\0\0\0\0\x71\x24\x0d\0\0\0\0\0\x64\x04\0\0\x08\0\0\0\x71\x25\x0c\0\0\0\0\0\x4c\
\x54\0\0\0\0\0\0\x56\x04\x25\0\x08\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x22\0\
\0\0\x2d\x34\x22\0\0\0\0\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x26\0\0\0\x2d\x34\
\x1f\0\0\0\0\0\x71\x23\x17\0\0\0\0\0\x07\x02\0\0\x1a\0\0\0\x16\x03\x0a\0\x11\0\
\0\0\x56\x03\x1b\0\x06\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\x33\0\0\0\
\0\0\0\x56\x03\x0a\0\x01\0\0\0\xb4\x03\0\0\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\
\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x63\0\0\0\x05\0\x09\0\0\0\0\0\xb4\x03\0\0\
\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x55\0\0\0\
\x05\0\x04\0\0\0\0\0\xb4\x03\0\0\x0c\0\0\0\xb7\x04\0\0\xff\xff\xff\xff\xb7\x05\
\0\0\0\0\0\0\x85\0\0\0\x54\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x01\0\
\0\0\0\0\0\x63\x16\0\0\0\0\0\0\x15\0\x04\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x85\0\0\
\0\x56\0\0\0\xb4\x01\0\0\x01\0\0\0\x63\x16\0\0\0\0\0\0\xb4\0\0\0\x02\0\0\0\x95\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xc0\0\
\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x05\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x50\x01\0\
\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x14\x04\0\0\x14\
\x04\0\0\x15\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\
\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\
\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\
\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\
\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\
\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\
\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\
\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\
\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\
\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\
\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\
\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\
\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\
\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\
\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\
\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\0\0\x62\x01\0\
\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\
\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\x7e\
\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\xaa\
\x01\0\0\x06\0\0\x04\x18\0\0\0\x92\0\0\0\x03\0\0\0\0\0\0\0\x97\0\0\0\x03\0\0\0\
\x20\0\0\0\xf0\0\0\0\x03\0\0\0\x40\0\0\0\x5e\0\0\0\x03\0\0\0\x60\0\0\0\xb1\x01\
\0\0\x03\0\0\0\x80\0\0\0\xc0\x01\0\0\x03\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x11\0\0\0\xcf\x01\0\0\x13\0\0\0\xd3\x01\0\0\x01\0\0\x0c\x15\0\0\0\xe5\x01\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xeb\x01\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\xf4\
\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x19\0\0\0\
\x06\0\0\0\x04\0\0\0\xf9\x01\0\0\0\0\0\x0e\x1a\0\0\0\x01\0\0\0\x02\x02\0\0\0\0\
\0\x0e\x11\0\0\0\x01\0\0\0\x10\x02\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\x18\x02\0\
\0\0\0\0\x07\0\0\0\0\x26\x02\0\0\0\0\0\x07\0\0\0\0\x05\x05\0\0\x03\0\0\x0f\x09\
\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\0\x1d\0\0\0\x08\
\0\0\0\x01\0\0\0\x0a\x05\0\0\x01\0\0\x0f\x04\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\0\
\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\
\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\
\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\
\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\
\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\
\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\
\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\
\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\
\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\
\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\
\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\
\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\
\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\
\x6e\x74\0\x74\x63\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\0\
\x78\x64\x70\x5f\x6d\x64\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\
\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x78\x64\x70\0\
\x78\x64\x70\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\0\x5f\x42\
\x6f\x6f\x6c\0\x74\x65\x73\x74\x5f\x78\x64\x70\0\x63\x68\x61\x72\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x74\x61\x74\x75\x73\0\
\x74\x63\x70\x5f\x73\x6b\x63\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\
\x30\x5f\x30\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x31\x32\x2e\x30\x2d\x35\x35\
\x2e\x31\x38\x2e\x31\x2e\x65\x6c\x31\x30\x5f\x30\x2e\x70\x70\x63\x36\x34\x6c\
\x65\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x72\
\x66\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x6c\x6f\x6f\x6b\x75\x70\x2e\x63\0\x09\x69\
\x66\x20\x28\x74\x65\x73\x74\x5f\x78\x64\x70\x29\0\x09\x76\x6f\x69\x64\x20\x2a\
\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\
\x28\x6c\x6f\x6e\x67\x29\x73\x6b\x62\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\
\x3b\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\
\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x73\x6b\x62\x2d\x3e\x64\x61\x74\x61\
\x3b\0\x09\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\
\x61\x5f\x65\x6e\x64\x29\0\x09\x69\x66\x20\x28\x65\x74\x68\x2d\x3e\x68\x5f\x70\
\x72\x6f\x74\x6f\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\
\x54\x48\x5f\x50\x5f\x49\x50\x29\x29\0\x09\x69\x66\x20\x28\x28\x76\x6f\x69\x64\
\x20\x2a\x29\x74\x70\x20\x2b\x20\x74\x70\x6c\x65\x6e\x20\x3e\x20\x64\x61\x74\
\x61\x5f\x65\x6e\x64\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x69\x70\x68\x2d\
\x3e\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x74\
\x63\x70\x5f\x73\x6b\x63\x29\0\x09\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\
\x73\x6b\x63\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x74\x63\x70\x28\x63\x74\x78\x2c\
\x20\x74\x70\x2c\x20\x74\x70\x6c\x65\x6e\x2c\x20\x43\x55\x52\x5f\x4e\x53\x2c\
\x20\x30\x29\x3b\0\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x75\x64\x70\x28\x63\x74\x78\x2c\x20\x74\x70\x2c\x20\
\x74\x70\x6c\x65\x6e\x2c\x20\x43\x55\x52\x5f\x4e\x53\x2c\x20\x30\x29\x3b\0\x09\
\x09\x09\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x74\x63\x70\x28\x63\x74\x78\x2c\x20\x74\x70\x2c\x20\x74\x70\x6c\x65\
\x6e\x2c\x20\x43\x55\x52\x5f\x4e\x53\x2c\x20\x30\x29\x3b\0\x09\x6c\x6f\x6f\x6b\
\x75\x70\x5f\x73\x74\x61\x74\x75\x73\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\
\x73\x6b\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\x65\x61\
\x73\x65\x28\x73\x6b\x29\x3b\0\x09\x09\x6c\x6f\x6f\x6b\x75\x70\x5f\x73\x74\x61\
\x74\x75\x73\x20\x3d\x20\x31\x3b\0\x7d\0\x09\x69\x66\x20\x28\x21\x74\x65\x73\
\x74\x5f\x78\x64\x70\x29\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\x61\x5f\x65\
\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\
\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x3b\0\x09\x76\x6f\x69\x64\
\x20\x2a\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\
\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x63\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x24\0\0\0\x24\0\0\0\xf4\x02\0\0\x18\x03\0\0\0\0\0\0\x08\0\0\0\x12\x05\
\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\xcf\x01\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x10\0\
\0\0\x12\x05\0\0\x17\0\0\0\0\0\0\0\x2f\x02\0\0\xbc\x02\0\0\x06\x14\x01\0\x18\0\
\0\0\x2f\x02\0\0\xbc\x02\0\0\x06\x14\x01\0\x20\0\0\0\x2f\x02\0\0\xcb\x02\0\0\
\x26\x08\x01\0\x28\0\0\0\x2f\x02\0\0\xfa\x02\0\0\x22\x0c\x01\0\x30\0\0\0\x2f\
\x02\0\0\x21\x03\0\0\x0a\x68\0\0\x40\0\0\0\x2f\x02\0\0\x21\x03\0\0\x06\x68\0\0\
\x48\0\0\0\x2f\x02\0\0\x3a\x03\0\0\x0b\x74\0\0\x68\0\0\0\x2f\x02\0\0\x3a\x03\0\
\0\x06\x74\0\0\x88\0\0\0\x2f\x02\0\0\x64\x03\0\0\x11\x98\0\0\x98\0\0\0\x2f\x02\
\0\0\x64\x03\0\0\x06\x98\0\0\xa0\0\0\0\x2f\x02\0\0\x88\x03\0\0\x0f\xa4\0\0\xb0\
\0\0\0\x2f\x02\0\0\x88\x03\0\0\x02\xa4\0\0\xc0\0\0\0\x2f\x02\0\0\xa2\x03\0\0\
\x07\xac\0\0\xd8\0\0\0\x2f\x02\0\0\xa2\x03\0\0\x07\xac\0\0\xe0\0\0\0\x2f\x02\0\
\0\xb1\x03\0\0\x09\xb0\0\0\0\x01\0\0\x2f\x02\0\0\xb1\x03\0\0\x04\xb0\0\0\x08\
\x01\0\0\x2f\x02\0\0\xe8\x03\0\0\x08\xc4\0\0\x30\x01\0\0\x2f\x02\0\0\x1d\x04\0\
\0\x09\xb8\0\0\x50\x01\0\0\x2f\x02\0\0\x53\x04\0\0\x10\xdc\0\0\x70\x01\0\0\x2f\
\x02\0\0\x67\x04\0\0\x06\xe4\0\0\x78\x01\0\0\x2f\x02\0\0\x72\x04\0\0\x03\xe8\0\
\0\x90\x01\0\0\x2f\x02\0\0\x88\x04\0\0\x11\xec\0\0\x98\x01\0\0\x2f\x02\0\0\x9d\
\x04\0\0\x01\x28\x01\0\xcf\x01\0\0\x17\0\0\0\0\0\0\0\x2f\x02\0\0\x9f\x04\0\0\
\x07\x48\x01\0\x18\0\0\0\x2f\x02\0\0\x9f\x04\0\0\x06\x48\x01\0\x20\0\0\0\x2f\
\x02\0\0\xaf\x04\0\0\x26\x3c\x01\0\x28\0\0\0\x2f\x02\0\0\xde\x04\0\0\x22\x40\
\x01\0\x30\0\0\0\x2f\x02\0\0\x21\x03\0\0\x0a\x68\0\0\x40\0\0\0\x2f\x02\0\0\x21\
\x03\0\0\x06\x68\0\0\x48\0\0\0\x2f\x02\0\0\x3a\x03\0\0\x0b\x74\0\0\x68\0\0\0\
\x2f\x02\0\0\x3a\x03\0\0\x06\x74\0\0\x88\0\0\0\x2f\x02\0\0\x64\x03\0\0\x11\x98\
\0\0\x98\0\0\0\x2f\x02\0\0\x64\x03\0\0\x06\x98\0\0\xa0\0\0\0\x2f\x02\0\0\x88\
\x03\0\0\x0f\xa4\0\0\xb0\0\0\0\x2f\x02\0\0\x88\x03\0\0\x02\xa4\0\0\xc0\0\0\0\
\x2f\x02\0\0\xa2\x03\0\0\x07\xac\0\0\xd8\0\0\0\x2f\x02\0\0\xa2\x03\0\0\x07\xac\
\0\0\xe0\0\0\0\x2f\x02\0\0\xb1\x03\0\0\x09\xb0\0\0\0\x01\0\0\x2f\x02\0\0\xb1\
\x03\0\0\x04\xb0\0\0\x08\x01\0\0\x2f\x02\0\0\xe8\x03\0\0\x08\xc4\0\0\x30\x01\0\
\0\x2f\x02\0\0\x1d\x04\0\0\x09\xb8\0\0\x50\x01\0\0\x2f\x02\0\0\x53\x04\0\0\x10\
\xdc\0\0\x70\x01\0\0\x2f\x02\0\0\x67\x04\0\0\x06\xe4\0\0\x78\x01\0\0\x2f\x02\0\
\0\x72\x04\0\0\x03\xe8\0\0\x90\x01\0\0\x2f\x02\0\0\x88\x04\0\0\x11\xec\0\0\x98\
\x01\0\0\x2f\x02\0\0\x9d\x04\0\0\x01\x5c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xf0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\xa8\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x03\0\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x84\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x8b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x05\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x93\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x05\0\0\0\0\0\0\
\x41\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x0e\0\0\0\0\0\0\x38\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct vrf_socket_lookup *vrf_socket_lookup::open(const struct bpf_object_open_opts *opts) { return vrf_socket_lookup__open_opts(opts); }
struct vrf_socket_lookup *vrf_socket_lookup::open_and_load() { return vrf_socket_lookup__open_and_load(); }
int vrf_socket_lookup::load(struct vrf_socket_lookup *skel) { return vrf_socket_lookup__load(skel); }
int vrf_socket_lookup::attach(struct vrf_socket_lookup *skel) { return vrf_socket_lookup__attach(skel); }
void vrf_socket_lookup::detach(struct vrf_socket_lookup *skel) { vrf_socket_lookup__detach(skel); }
void vrf_socket_lookup::destroy(struct vrf_socket_lookup *skel) { vrf_socket_lookup__destroy(skel); }
const void *vrf_socket_lookup::elf_bytes(size_t *sz) { return vrf_socket_lookup__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
vrf_socket_lookup__assert(struct vrf_socket_lookup *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test_xdp) == 1, "unexpected size of 'test_xdp'");
	_Static_assert(sizeof(s->bss->lookup_status) == 4, "unexpected size of 'lookup_status'");
	_Static_assert(sizeof(s->bss->tcp_skc) == 1, "unexpected size of 'tcp_skc'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VRF_SOCKET_LOOKUP_SKEL_H__ */
